
<?php
     $form = $this->beginWidget('CActiveForm', array(
            'id' => 'voucher-form',
            'enableAjaxValidation' => false,
            'enableClientValidation' => false,
        ));
        $cs = Yii::app()->getClientScript();
        $cs->registerScript("getSubledgerdiv", "function getSubledgerdiv(field_id,value,type){
            var arr_field_id = field_id.split('_');
            var no = arr_field_id[1];
            var account_id = $('#FinanceVoucherTypeMappings_'+no+'_account_id').val();
            if( value == 'N' )
                account_id = 0;
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/core/getsubledgers') . "',
                'data' : {'account' : account_id,'i' : no, 'model' : 'FinanceVoucherTypeMappings', 'field' : 'subledger_id'},
                'success': function(data) { 
                        $('#'+type+no).html(data);
                }
            });
        }", CClientScript::POS_HEAD);
?>
<ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
    <li class="active"><a href="#tab1" data-toggle="tab">General</a></li>
    <li id="voucher_seetings_li"  style="display:<?php echo ( $model->have_mappings == 'Y' ) ? 'block' : 'none' ?>"><a href="#tab2" data-toggle="tab">Mappings</a></li>
</ul>
<div class="tab-content">
    <div class="tab-pane active" id="tab1">
        <ul class="clearfix form-ul material">
            <li class="col-sm-4">
                <?php echo CHtml::dropdownlist('voucher_selection', (int) $model->id, FinanceVoucherType::getTypes( true ), array('data-label'=>'Voucher', 'prompt' => 'New Voucher', 'onchange' => 'loadPopupModal("finance/core/vouchersettings&id="+this.value,"Vouchers","xl")' )); ?>
                <?php echo $form->hiddenField($model, 'id'); ?>
             </li>
            <li class="col-sm-4">
                <?php echo $form->textField($model,'code',array('data-label'=>'Code *', 'readonly' => ( $model->system_generated == 'Y' ) ? true : false )); ?>
             </li>
             <li class="col-sm-4">
                <?php echo $form->textField($model,'description',array('data-label'=>'Description *' , 'readonly' => ( $model->system_generated == 'Y' ) ? true : false)); ?>
             </li>
             <li class="col-sm-4">
                <?php echo $form->dropdownlist($model,'isActive', array('Y'=>'Yes','N'=>'No'),array('data-label'=>'isActive *')); ?>
             </li>
             <li class="col-sm-4">
                <?php $mappingArray = array('N'=>'No', 'Y'=>'Yes'); ?>
                <?php echo $form->dropdownlist($model,'have_mappings', $mappingArray,array('data-label'=>'Mappings *', 'onchange' => 'if(this.value=="Y"){ if( $("#FinanceVoucherType_have_footer_mappings").val() == "Y" ){ $("#footer_mappings_div").show(); }else{  $("#footer_mappings_div").hide(); } $("#mappings_div").show(); $("#no_mappings_div").hide(); $("#voucher_seetings_li").show(); }else{ $("#mappings_div").hide(); $("#no_mappings_div").show(); $("#voucher_seetings_li").hide(); }')); ?>
             </li>
             <li class="col-sm-4">
                <?php $footermappingArray = array('N'=>'No', 'Y'=>'Yes'); ?>
                <?php echo $form->dropdownlist($model,'have_footer_mappings', $footermappingArray,array('data-label'=>'Footer Mappings *', 'onChange' => 'if( this.value == "Y" ){ $("#footer_mappings_div").show(); }else{  $("#footer_mappings_div").hide(); }')); ?>
             </li>
             <div id="no_mappings_div" style="display:<?php echo ( $model->have_mappings == 'N' ) ? 'block' : 'none' ?>">
                <li class="col-sm-4">
                    <?php echo $form->textField($model,'starting_series',array('data-label'=>'Starting Series', 'readonly' => ( !$model->isnewrecord ) ? true : false )); ?>
                </li>
             </div>
             <div id="mappings_div" style="display:<?php echo ( $model->have_mappings == 'Y' ) ? 'block' : 'none' ?>">
                <li class="col-sm-4">
                    <?php echo $form->textField($model,'header_table',array('data-label'=>'Header Model' )); ?>
                </li>
                <li class="col-sm-4">
                    <?php echo $form->textField($model,'date_field',array('data-label'=>'Date Field' )); ?>
                </li>
                <li class="col-sm-4">
                    <?php echo $form->textField($model,'label_field',array('data-label'=>'Label Field' )); ?>
                </li>
                <li class="col-sm-4">
                    <?php echo $form->textField($model,'voucher_reference',array('data-label'=>'Voucher Reference' )); ?>
                </li>
                <li class="col-sm-4">
                    <?php echo $form->textField($model,'currency_field',array('data-label'=>'Currency' )); ?>
                </li>
                <li class="col-sm-4">
                    <?php echo $form->textField($model,'exchange_rate_field',array('data-label'=>'Exchange Rate' )); ?>
                </li>
                <li class="col-sm-4">
                    <?php echo $form->textField($model,'grand_total_value',array('data-label'=>'Grand Total' )); ?>
                </li>
                <li class="col-sm-4">
                    <?php echo $form->textField($model,'sales_value',array('data-label'=>'Total(W/O Footer value)' )); ?>
                </li>
                <li class="col-sm-4">
                    <?php echo $form->textField($model,'sales_wo_tax',array('data-label'=>'Total ( W/O Footer value & VAT)' )); ?>
                </li>
                </li><li class="col-sm-4">
                    <?php echo $form->textField($model,'vat_value',array('data-label'=> 'VAT' )); ?>
                </li>
                </li><li class="col-sm-4">
                    <?php echo $form->textField($model,'cost_value',array('data-label'=>'Cost Value' )); ?>
                </li>
                </li><li class="col-sm-4">
                    <?php echo $form->textField($model,'status_field',array('data-label'=>'Status Field' )); ?>
                </li>
                </li><li class="col-sm-4">
                    <?php echo $form->textField($model,'pdf_layout',array('data-label'=>'PDF layout' )); ?>
                </li>
                <li class="col-sm-4">
                    <?php $rcm = array('N'=>'No', 'Y'=>'Yes') ; ?>
                    <?php echo $form->dropdownlist($model,'support_rcm', $rcm,array('data-label'=>'RCM')); ?>
                </li>
                </li><li class="col-sm-4">
                    <?php echo $form->textField($model,'rcm_compare_field',array('data-label'=>'RCM Comparison field' )); ?>
                </li>
                </li><li class="col-sm-4">
                    <?php echo $form->textField($model,'rcm_true_value',array('data-label'=>'RCM True value' )); ?>
                </li>
                <div id="footer_mappings_div" style="display:<?php echo ( $model->have_footer_mappings == 'Y' ) ? 'block' : 'none' ?>">
                    </li><li class="col-sm-4">
                        <?php echo $form->textField($model,'footer_addition_items',array('data-label'=>'Footer Addition items array' )); ?>
                    </li>
                    </li><li class="col-sm-4">
                        <?php echo $form->dropdownlist($model,'footer_addition_type', array('1' => 'Debit', '-1' => 'Credit'), array('data-label'=>'Footer Addition Type' )); ?>
                    </li>
                    </li><li class="col-sm-4">
                        <?php echo $form->textField($model,'footer_deduction_items',array('data-label'=>'Footer Deduction items array' )); ?>
                    </li>
                    </li><li class="col-sm-4">
                        <?php echo $form->dropdownlist($model,'footer_deduction_type', array('1' => 'Debit', '-1' => 'Credit'), array('data-label'=>'Footer Deduction Type' )); ?>
                    </li>
                    </li><li class="col-sm-4">
                        <?php echo $form->textField($model,'footer_id_field',array('data-label'=>'Footer id field' )); ?>
                    </li>
                    </li><li class="col-sm-4">
                        <?php echo $form->textField($model,'footer_value_field',array('data-label'=>'Footer value field' )); ?>
                    </li>
                </div>
             </div>
        </ul>
    </div>
    <div class="tab-pane" id="tab2">
        <ul class="clearfix form-ul material">
            <div class="table-responsive">
                <table class="table table-hover table-bordered personal-task" id="entries_table" >        
                <tr>
                    <th style="width:1%">No</th>            
                    <th style="width:8%">Account</th>
                    <th style="width:7%">Sub Type</th>   
                    <th style="width:7%" class="bg-danger">Dy. Sub Field</th>   
                    <th style="width:7%" class="bg-danger">Dy. Sub Group</th>   
                    <th style="width:7%">Sub</th>           
                    <th style="width:7%">Debit</th>           
                    <th style="width:7%">Credit</th>     
                    <th style="width:10%">Narration</th>  
                    <th style="width:7%">RCM Field</th>     
                    <th style="width:1%"class="text-center"><a class="btn btn-xs btn-theme " href="javascript:void(0);" onclick="addTableRow($('#entries_table'));"><i class="fa fa-plus"></i></a></th>                          
                </tr>
                    <?php  foreach( $items as $i => $each ): ?>
                        <tr>
                            <td><label><?php echo $i+1; ?></label></td>
                            <td>
                                <?php echo $form->hiddenField($each, "[".$i."]id"); ?>
                                <?php echo $form->dropdownlist($each, "[".$i."]account_id", FinanceLegder::getChilds(), array('class'=>'form-control')); ?>
                            </td>
                            <td>
                                <?php echo $form->dropdownlist($each, "[".$i."]dynamic_subledger", array( 'N' => 'Static', 'Y' => 'Dynamic'), array('class'=>'form-control', 'onChange' => 'js:getSubledgerdiv(this.id,this.value,"debit_")')); ?>
                            </td>
                            <td class="bg-danger">
                                <?php echo $form->textField($each, "[".$i."]dynamic_subledger_field",array('data-label'=>'Footer value field', 'class' => 'form-control' )); ?>
                            </td>
                            <td class="bg-danger">
                                <?php echo $form->dropdownlist($each,"[".$i."]dynamic_subledger_type", FinanceSubledgerType::getSublegdertypes(false),array('class'=>'form-control', 'prompt' => '-select-')); ?>
                            </td>
                            <td id="debit_<?php echo $i ?>">
                                <?php echo $form->dropdownlist($each, "[".$i."]subledger_id",FinanceSubledger::getSubledgers(($each->account_id > 0) ? $each->account_id : 0), array('class'=>'form-control','prompt' => '-select-')); ?>
                            </td>
                            <td>
                                <?php echo $form->dropdownlist($each, "[".$i."]debit_field" , array( 'grand_total_value' => 'Grand Total', 'sales_value' => 'Total Sales', 'sales_wo_tax' => 'Total Sales w/o VAT', 'vat_value' => 'VAT', 'cost_value' => 'Cost'), array('class'=>'form-control','prompt' => '-select-')); ?>
                            </td>
                            <td>
                                <?php echo $form->dropdownlist($each, "[".$i."]credit_field", array( 'grand_total_value' => 'Grand Total', 'sales_value' => 'Total Sales', 'sales_wo_tax' => 'Total Sales w/o VAT', 'vat_value' => 'VAT', 'cost_value' => 'Cost'), array('class'=>'form-control','prompt' => '-select-')); ?>
                            </td>
                            <td>
                                <?php echo $form->textField($each, "[".$i."]narration",array('data-label'=>'Narration', 'class' => 'form-control' )); ?>
                            </td>
                            <td>
                                <?php echo $form->dropdownlist($each, "[".$i."]rcm_comparison", array( 'NORMAL' => 'No RCM', 'RTRUE' => 'True', 'RFALSE' => 'False'), array('class'=>'form-control')); ?>
                            </td>
                            <td class="text-center nw" width="1%"><?php echo CHtml::link('<i class="fa fa-times"></i>', 'javascript:void(0);', array('class'=>'btn btn-xs btn-danger','onclick' => 'removeTableRow($(\'#entries_table\'),this)', 'title' => 'Remove this item')); ?></td>
                        </tr>
                    <?php endforeach; ?>    
              
                </table>
            </div>
        </ul>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default "  data-dismiss="modal">Close</button>
    <?php
            $url = Yii::app()->createUrl('finance/core/savevouchersettings');
            echo CHtml::ajaxSubmitButton('Save', $url, array(
                    'dataType' => 'json',
                    'type' => 'post',
                    'success' => 'function(data) {
                                    $("#loader").hide();
                                    if(data.status=="success"){  
                                         t8.success("Done!");
                                         $(".x.close").click();
                                    }else{ 
                                        $.each(data, function(key, val) {
                                            t8.error(""+val+"");
                                        }); 
                                    } 
                                }',

                    'beforeSend' => 'function(){
                        $("#loader").show();
                    }'
                ), array('id' => 'mybtn' . rand(), 'class' => 'btn btn-theme'));
    ?>
    </div>


<?php $this->endWidget(); ?>






