<script src="js/jquery.aCollapTable.js"></script>

<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("loadPage", "function loadPage(){
                $('#loader').show();
                jQuery.ajax({
                    'type': 'post',
                    'url': '" . Yii::app()->createUrl('finance/cossale/statement_html') . "',
                    'data' : { 'ledger_id' : $('#ledger_id').val(), 'from' : $('#fn_report_from').val(), 'to' : $('#fn_report_to').val(), 'subledger_id' : $('#subledger_id').val(), 'currency' : $('#currency').val(), 'type' : '".$type."', 'outlet' : $('#outlet').val() },
                    'success': function(data) {
                        $('#data_div').show();
                        $('#statement_detailed_li').hide();
                        $('#statement_detailed').empty();
                        $('#statement_li').show();
                        $('#statement_li').addClass('active');
                        $('#statement_tab').addClass('active');
                        $('#statement_tab').html(data);
                        $('#loader').hide();
                    }
                });
        }", CClientScript::POS_HEAD);
        $cs->registerScript("getSublegders", "function getSublegders(field_id)
        {
           account_id = $('#ledger_id').val();
           $('#subledger_id').val(0);
           if( account_id > 0 ){
                var url = '" . Yii::app()->createUrl('finance/vouchers/subledgerlist') . "&ledger='+account_id;
                $('#'+field_id).autocomplete({
                    minLength   : 1,
                    source      : function (request, response) { autoCompleteSource(request, response, url) },
                    focus       : function( event, ui ) {},
                    select          : function( event, ui ) {
                        event.preventDefault();
                        $('#subledger_name').val(ui.item.label);
                        $('#subledger_id').val(ui.item.value);
                    }
                })
            }else{
                t8.error('Choose Ledger First!');
                $('#subledger_name').val('');
                return false;
            }
        }", CClientScript::POS_HEAD); 
        
?>

<style>
table {
  font-family: arial, sans-serif !important;
  border-collapse: collapse !important;
  width: 100% !important;
}

td, th {
  border: 1px solid #dddddd !important;
  text-align: left !important;
  padding: 8px !important;
}

table th{
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #1f67b2;
    color: white;
}

tr:nth-child(even) {
  background-color: #f2f2f2 !important;
}
</style>
<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
<!--                    <li class="col-sm-2">
                        <?php //echo CHtml::textField('fn_report_from', date('d/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'From')); ?>
                    </li>-->
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('fn_report_to', date('d/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => ' AS ON ')); ?>
                    </li>
                    <li class="col-sm-4">
                        <?php echo CHtml::hiddenfield("ledger_id", $ledger_id ); ?>
                        <?php /*echo CHtml::hiddenField("subledger_id"); ?>
                        <?php echo CHtml::textField("subledger_name", '', array('data-label' => Ucfirst($type), 'class' => 'tooltipster', 'onKeyup' => 'js:getSublegders(this.id);'));*/ ?>

                        <?php echo CHtml::dropDownList("subledger_id","",Customer::getCustomer(), array('class' => 'tooltipster', 'title' => 'Customer', 'data-label' => 'Customer', 'data-search' => 'true','multiple'=>true));?>
                    </li>
                    <li class="col-sm-2">
                    <?php 
                    echo CHtml::dropDownList("currency","",MasCurrency::getCurrency(), array('class' => 'tooltipster', 'title' => 'Currency', 'data-label' => 'Currency', 'value' => MasCurrency::base_currency_id()));
                    ?> 
            </li>
            <li class="col-sm-2">
                    <?php 
                    if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet','prompt' => 'All Outlets');
                    }
                    else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet');
                    }
                    echo CHtml::dropdownlist('outlet',Yii::app()->user->outlet_id, MasOutlets::getAllOutlets(), $array); ?>     
                    </li>
                    <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-theme" onclick="loadPage();">HTML</a>
                        <!-- <a type="button" class="btn btn-theme" onclick="loadPopupModal('finance/reports/statement_pdf_filter&ledger_id='+$('#ledger_id').val()+'&subledger_id='+$('#subledger_id').val()+'&type=<?php echo $type ?>','Layout','sm')">PDF</a> -->
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/statement_pdf&layout=1&from='+$('#fn_report_from').val()+'&to='+$('#fn_report_to').val()+'&ledger_id='+$('#ledger_id').val()+'&subledger_id='+$('#subledger_id').val()+'&currency='+$('#currency').val()+'&outlet='+$('#outlet').val()+'&type=<?php echo $type ?>', '_blank');">Pdf</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/statement_excel&from='+$('#fn_report_from').val()+'&to='+$('#fn_report_to').val()+'&ledger_id='+$('#ledger_id').val()+'&subledger_id='+$('#subledger_id').val()+'&currency='+$('#currency').val()+'&outlet='+$('#outlet').val()+'&type=<?php echo $type ?>', '_blank');">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <!-- <ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
                    <li id="statement_li" style="display:none;"><a href="#statement_tab" data-toggle="tab" ><?php // echo ucfirst(strtolower($category)); ?> Statement </a></li>
                    <li id="statement_detailed_li" style="display:none;"><a href="#statement_detailed" data-toggle="tab" >Vouchers <i onclick="$('#statement_li').addClass('active'); $('#statement_tab').addClass('active');  $('#statement_detailed_li').hide();$('#statement_detailed').empty();" class="fa fa-remove"></i></a></li>
                </ul> -->
                <div class="tab-content">
                    <div class="tab-pane" id="statement_tab">
                    </div>
                    <div class="tab-pane" id="statement_detailed">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
