<?php
$cs = Yii::app()->getClientScript();

$cs->registerScript(
    "loadledger",
    '$(document).ready(function() {
                    var table_id ="#acc_payment_mode";
                    var table = $(table_id).on("preXhr.dt", function (e, settings, data) {
                        
                    }).DataTable({
                    scrollY         : "450px",
                    pageLength      : 100,
                    ajax: {
                        url: "' . Yii::app()->createUrl('finance/paymentmode/GetList') . '",
                        type: "POST",
                        cache : false,
                    },
                    serverSide:     true,
                    fixedColumns:   true,
                    processing: true,
                    "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {
                        if ( aData[3].active == "N" ){
                            $("td", nRow).css("background-color", "rgb(255 189 189)"); 
        
                        }
                    }
                });
                $(".dataTables_scrollFoot").hide();
            });',
    CClientScript::POS_HEAD
);


?>
<section class="panel">
    <header class="panel-heading clearfix panel-theame">
        <i class="fa fa-file"></i> Payment Mode
        <div class="pull-right" style="display:flex;">
            <!-- ----------------------------------------- -->
            <?php //if (Yii::app()->user->authorised_user == 1 || ((int) Yii::app()->user->havePermissionOn["acc_payment_mode_add"])) { ?>
                <button class="btn btn-sm btn-theme" onclick="loadPopupModal('finance/paymentmode/Create','New Payment Mode','xl')"><i class="fa fa-plus"></i></button>
            <?php //} ?>
            <!-- ----------------------------------------- -->
        </div>
    </header>
    <div class="panel-body">
        <div class="custom-data-table">
            <table class="table table-hover table-bordered personal-task" id="acc_payment_mode" style="font-size:13px;">
                <thead>
                    <tr>
                        <th>Mode</th>
                        <th>Ledger</th>
                        <th>Actions</th>
                    </tr>
                </thead>

            </table>
        </div>
    </div>
</section>