<script src="js/jquery.aCollapTable.js"></script>

<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("loadPage", "function loadPage(){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/bs_new_html') . "',
                'data' : { 'from' : $('#fn_report_from').val(),'to' : $('#fn_report_to').val(), 'brand' : $('#brand_id').val(), 'outlet' : $('#outlet').val(), 'costcenter' : $('#costcenter').val() },
                'success': function(data) {
                    $('#data_div').show();
                    $('.main-li-data').html(data);
                    $('#loader').hide();
                    
                    $('#bs_table_1').aCollapTable({
                        startCollapsed: false,
                        addColumn: false,
                        plusButton: '<i class=\"fa fa-plus\"></i>&nbsp;', 
                        minusButton: '<i class=\"fa fa-minus\"></i>&nbsp;' 
                    });

                    $('#bs_table_2').aCollapTable({
                        startCollapsed: false,
                        addColumn: false,
                        plusButton: '<i class=\"fa fa-plus\"></i>&nbsp;', 
                        minusButton: '<i class=\"fa fa-minus\"></i>&nbsp;' 
                    });
                }
            });
        }", CClientScript::POS_HEAD);
        $cs->registerScript("load_gl_report", "function load_gl_report(ledger_id, subledger_id, from_date, to_date, outlet){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/gl_html') . "',
                'data' : { 'ledger_id' : ledger_id, 'subledger_id' : subledger_id, 'from' : from_date, 'to' : to_date, 'brand' : 0, 'outlet' : outlet, 'costcenter' : $('#costcenter').val() },
                'success': function(data) {
                    $('#gl_report_li').show();
                    $('#gl_report_tab').html(data);
                    $('#bs_li').removeClass('active');
                    $('#bs_tab').removeClass('active');
                    $('#gl_summary_li').removeClass('active');
                    $('#gl_summary_tab').removeClass('active');
                    $('#gl_report_li').addClass('active');
                    $('#gl_report_tab').addClass('active');
                    $('#loader').hide();
                    $('#gl_table').aCollapTable({
                        startCollapsed: true,
                        addColumn: false,
                        plusButton: '<i class=\"fa fa-plus\"></i>&nbsp;', 
                        minusButton: '<i class=\"fa fa-minus\"></i>&nbsp;' 
                    });
                }
            });
        }", CClientScript::POS_HEAD);
        $cs->registerScript("load_summary", "function load_summary(ledger_id, from_date, to_date, outlet){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/gl_summary_html') . "',
                'data' : { 'ledger_id' : ledger_id, 'from' : from_date, 'to' : to_date, 'brand' : 0, 'outlet' : outlet },
                'success': function(data) {
                    $('#gl_report_li').hide();
                    $('#gl_report_tab').empty();
                    $('#bs_li').removeClass('active');
                    $('#bs_tab').removeClass('active');
                    $('#gl_summary_li').show();
                    $('#gl_summary_li').addClass('active');
                    $('#gl_summary_tab').addClass('active');
                    $('#gl_summary_tab').html(data);
                    $('#loader').hide();
                }
            });
        }", CClientScript::POS_HEAD);
        
?>

<style>
table {
  font-family: arial, sans-serif !important;
  border-collapse: collapse !important;
  width: 100% !important;
}

td, th {
  border: 1px solid #dddddd !important;
  text-align: left !important;
  padding: 8px !important;
}

table th{
	padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #1f67b2;
    color: white;
}

tr:nth-child(even) {
  background-color: #f2f2f2 !important;
}
</style>
<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
<!--                <li class="col-sm-4">
                    <?php
//                    $year=date("Y");
//                    $date='01-01-'.$year;
//                    $from=date('d/m/Y',strtotime($date));
//                    echo CHtml::textField('fn_report_from', $from, array('class' => 'datepicker tooltipster', 'data-label' => 'From')); 
                    ?>
                    </li>-->
                    <li class="col-sm-4">
                        <?php echo CHtml::textField('fn_report_to', date('d/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'As on date')); ?>
                    </li>
                    <!-- <li class="col-sm-4">
                        <?php // echo CHtml::dropdownlist("brand_id", '', FinanceLegder::getChilds(), array('class' => 'tooltipster', 'data-label' => 'Ledgers', 'data-search' => true, 'onChange' => 'js:updatetextfield(this.value)', 'multiple' => true)); //getAll  ?>
                    </li> -->
                    <li class="col-sm-2">
                    <?php 
                    if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet','prompt' => 'All Outlets');
                    }
                    else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet');
                    }
                    echo CHtml::dropdownlist('outlet',Yii::app()->user->outlet_id, MasOutlets::getAllOutlets(), $array); ?>     
                    </li>
                    <li class="col-sm-3">
                        <?php 
                          $arrayinv_type = array('1' => 'Taxable', '2' => 'Non Tax'); // Tax  (default) / Export  - non-tax
                          echo CHtml::dropdownlist('costcenter','', $arrayinv_type, array('data-label' => 'Costcenter','empty'=>'All')); ?>

                    </li>
                    <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-theme" onclick="loadPage();">HTML</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/bs_new_pdf&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&brand='+$('#brand_id').val()+'&outlet='+$('#outlet').val()+'&costcenter='+$('#costcenter').val(), '_blank')">PDF</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/bs_new_excel&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&brand='+$('#brand_id').val()+'&outlet='+$('#outlet').val()+'&costcenter='+$('#costcenter').val(), '_blank');">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
                    <li id="bs_li" class="main-li active"><a href="#bs_tab" data-toggle="tab">Balance Sheet</a></li>
                    <li id="gl_summary_li" style="display:none;"><a href="#gl_summary_tab" data-toggle="tab" >Summary <i onclick="$('#bs_li').addClass('active');$('#bs_tab').addClass('active');$('#gl_summary_li').hide();$('#gl_summary_tab').empty();" class="fa fa-remove"></i></a></li>
                    <li id="gl_report_li" style="display:none;"><a href="#gl_report_tab" data-toggle="tab" >General Ledger <i onclick="if( !$('#gl_summary_li').is(':visible') ){ $('#bs_li').addClass('active'); $('#bs_tab').addClass('active'); }else{ $('#gl_summary_li').addClass('active'); $('#gl_summary_tab').addClass('active'); } $('#gl_report_li').hide();$('#gl_report_tab').empty();" class="fa fa-remove"></i></a></li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="bs_tab">
                    </div>
                    <div class="tab-pane" id="gl_summary_tab">
                    </div>
                    <div class="tab-pane" id="gl_report_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
