<style type="text/css">
    .l1 {
        font-size: 13px !important;
        color: violet;
    }
</style>

<script src="js/jquery.aCollapTable.js"></script>

<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("loadPage", "function loadPage(){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/cost_html') . "',
                'data' : { 'from' : $('#fn_report_from').val(),'to' : $('#fn_report_to').val(), 'brand_id' : $('#brand_id').val(), 'created_user' : $('#created_user').val(), 'outlet' : $('#outlet').val(), 'salesinvoice_customer_id' : $('#salesinvoice_customer_id').val(),'cost_type' :$('#cost_type').val(),'product_id':$('#salesinvoice_product_id').val() },
                'success': function(data) {
                    $('#data_div').show();
                    $('#items_div').show();
                    $('#invoice_div').hide();
                    $('.main-li-data').html(data);
                    $('#loader').hide();
                    $('#tb_table').aCollapTable({
                        startCollapsed: true,
                        addColumn: false,
                        plusButton: '<i class=\"fa fa-plus\"></i>&nbsp;', 
                        minusButton: '<i class=\"fa fa-minus\"></i>&nbsp;' 
                    });
                }
            });
        }", CClientScript::POS_HEAD);

$cs->registerScript("loadPageInvoice", "function loadPageInvoice(){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/invoice_cost_html') . "',
                'data' : { 'from' : $('#fn_report_from').val(),'to' : $('#fn_report_to').val(), 'brand_id' : $('#brand_id').val(), 'created_user' : $('#created_user').val(), 'outlet' : $('#outlet').val(), 'salesinvoice_customer_id' : $('#salesinvoice_customer_id').val(),'cost_type' :$('#cost_type').val(),'product_id':$('#salesinvoice_product_id').val() },
                'success': function(data) {
                    $('#data_div').show();
                    $('#items_div').hide();
                    $('#invoice_div').show();
                    $('.main-li-data').html(data);
                    $('#loader').hide();
                    $('#tb_table').aCollapTable({
                        startCollapsed: true,
                        addColumn: false,
                        plusButton: '<i class=\"fa fa-plus\"></i>&nbsp;', 
                        minusButton: '<i class=\"fa fa-minus\"></i>&nbsp;' 
                    });
                }
            });
        }", CClientScript::POS_HEAD);
$cs->registerScript("loadPageGroup", "function loadPageGroup(){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/Cost_group_html') . "',
                'data' : { 'from' : $('#fn_report_from').val(),'to' : $('#fn_report_to').val(), 'brand_id' : $('#brand_id').val(), 'outlet' : $('#outlet').val() },
                'success': function(data) {
                    $('#data_div').show();
                    $('.main-li-data').html(data);
                    $('#loader').hide();
                    $('#tb_table').aCollapTable({
                        startCollapsed: true,
                        addColumn: false,
                        plusButton: '<i class=\"fa fa-plus\"></i>&nbsp;', 
                        minusButton: '<i class=\"fa fa-minus\"></i>&nbsp;' 
                    });
                }
            });
        }", CClientScript::POS_HEAD);
$cs->registerScript("load_gl_report", "function load_gl_report(ledger_id, subledger_id, from_date, to_date){
            $('#loader').show();
            var ledger_arr = [];
            ledger_arr[0] = ledger_id;
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/gl_html') . "',
                'data' : { 'ledger_id' : ledger_id, 'subledger_id' : subledger_id, 'from' : from_date, 'to' : to_date, 'brand' : 0, 'currency' : 1 },
                'success': function(data) {
                    $('#gl_report_li').show();
                    $('#gl_report_tab').html(data);
                    $('#tb_li').removeClass('active');
                    $('#tb_tab').removeClass('active');
                    $('#gl_summary_li').removeClass('active');
                    $('#gl_summary_tab').removeClass('active');
                    $('#gl_report_li').addClass('active');
                    $('#gl_report_tab').addClass('active');
                    $('#loader').hide();
                    $('#gl_table').aCollapTable({
                        startCollapsed: true,
                        addColumn: false,
                        plusButton: '<i class=\"fa fa-plus\"></i>&nbsp;', 
                        minusButton: '<i class=\"fa fa-minus\"></i>&nbsp;' 
                    });
                }
            });
        }", CClientScript::POS_HEAD);
$cs->registerScript("load_summary", "function load_summary(ledger_id, from_date, to_date){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/gl_summary_html') . "',
                'data' : { 'ledger_id' : ledger_id, 'from' : from_date, 'to' : to_date, 'brand' : 0 },
                'success': function(data) {
                    $('#gl_report_li').hide();
                    $('#gl_report_tab').empty();
                    $('#tb_li').removeClass('active');
                    $('#tb_tab').removeClass('active');
                    $('#gl_summary_li').show();
                    $('#gl_summary_li').addClass('active');
                    $('#gl_summary_tab').addClass('active');
                    $('#gl_summary_tab').html(data);
                    $('#loader').hide();
                }
            });
        }", CClientScript::POS_HEAD);

?>


<style>
    table {
        font-family: arial, sans-serif !important;
        border-collapse: collapse !important;
        width: 100% !important;
    }

    td,
    th {
        border: 1px solid #dddddd !important;
        text-align: left !important;
        padding: 8px !important;
    }

    table th {
        padding-top: 12px;
        padding-bottom: 12px;
        text-align: left;
        background-color: #1f67b2;
        color: white;
    }

    tr:nth-child(even) {
        background-color: #f2f2f2 !important;
    }
</style>
<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <li class="col-sm-1">
                        <?php
                        $from = date('d/m/Y');
                        echo CHtml::textField('fn_report_from', $from, array('class' => 'datepicker tooltipster', 'data-label' => 'From')); ?>
                    </li>

                    <li class="col-sm-1">
                        <?php echo CHtml::textField('fn_report_to', date('d/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'To')); ?>
                    </li>
                    <?php if (Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA') { ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::hiddenField('salesinvoice_customer_id'); ?>
                            <?php echo CHtml::textField('salesinvoice_customer', '', array('class' => 'tooltipster', 'data-label' => 'Customer', 'onKeypress' => 'js:customers(this.id);')); ?>
                        </li>
                    <?php } ?>
                    
                     <li class="col-sm-2">
                        <?php echo CHtml::hiddenField('salesinvoice_product_id'); ?>
                        <?php echo CHtml::textField('salesinvoice_product', '', array('class' => 'tooltipster', 'data-label' => 'Product', 'onKeypress' => 'js:transdetproducts(this.id);')); ?>
                    </li>
                    
                    <li class="col-sm-2">
                        <?php
                        $outlet = (int) Yii::app()->user->outlet_id;
                        if (Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM') {
                            $uarray = array('class' => 'tooltipster', 'data-label' => 'User', 'prompt' => 'All Users');
                            if (Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU') {
                                $outlet = 0;
                            }
                        } else if (Yii::app()->user->user_access_type == 'SL') {
                            $uarray = array('class' => 'tooltipster', 'data-label' => 'User');
                        }
                        echo CHtml::dropdownlist('created_user', '', MasUsers::get_outlet_salesandadmin($outlet), $uarray); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php
                        if (Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU') {
                            $array = array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All Outlets');
                        } else if (Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL') {
                            $array = array('class' => 'tooltipster', 'data-label' => 'Outlet');
                        }
                        echo CHtml::dropdownlist('outlet', Yii::app()->user->outlet_id, MasOutlets::getAllOutlets(), $array); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::dropdownlist("brand_id", '', MasBrand::getAllBrands(), array('class' => 'tooltipster', 'data-label' => 'Brand', 'data-search' => true, 'prompt' => 'All Brands')); //getAll  
                        ?>
                    </li>
                    
                      <li class="col-sm-2">
                        <?php
                        $array_cost = ['0'=>'AVG Cost','1'=>'Last Cost'];
                        echo CHtml::dropdownlist("cost_type", '', $array_cost, array('class' => 'tooltipster', 'data-label' => 'Cost')); //getAll  
                        ?>
                    </li>
                    
                    
                    <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-theme" onclick="loadPage();">ITEM</a>

                        <a type="button" class="btn btn-theme" onclick="loadPageInvoice();">INVOICE</a>

                        <!--<a type="button" class="btn btn-theme" onclick="loadPageGroup();">HTML ALL</a>-->

                        <!--<a type="button" class="btn btn-theme" onclick="loadPopupModal('finance/reports/cost_pdf_level&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&brand='+$('#brand_id').val()+'&outlet='+$('#outlet').val(),'Choose Level','sm')">PDF</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/cost_excel&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&brand='+$('#brand_id').val()+'&outlet='+$('#outlet').val(), '_blank');">XLS</a>-->
                    </div>
                </ul>
            </header>

            <div class="panel-body text-right" id="data_div" style="display:none;">
                <ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
                    <li id="tb_li" class="main-li active"><a href="#tb_tab" data-toggle="tab">Cost of Sale Report</a></li>

                    <div id="items_div" style="display:none;">

                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/cossale/PrintReportItemsPDF&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&created_user='+$('#created_user').val()+'&customer_id='+$('#salesinvoice_customer_id').val()+'&brand_id='+$('#brand_id').val()+'&outlet='+$('#outlet').val()+'&cost_type='+$('#cost_type').val()+'&product_id='+$('#salesinvoice_product_id').val(), '_blank')"> Download Pdf</a>

                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/cossale/ExcelItems&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&created_user='+$('#created_user').val()+'&customer_id='+$('#salesinvoice_customer_id').val()+'&brand_id='+$('#brand_id').val()+'&outlet='+$('#outlet').val()+'&cost_type='+$('#cost_type').val()+'&product_id='+$('#salesinvoice_product_id').val())"> Download Excel</a>
                    </div>
                    <div id="invoice_div" style="display:none;">
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/cossale/PrintReportInvoicePDF&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&created_user='+$('#created_user').val()+'&customer_id='+$('#salesinvoice_customer_id').val()+'&brand_id='+$('#brand_id').val()+'&outlet='+$('#outlet').val()+'&cost_type='+$('#cost_type').val()+'&product_id='+$('#salesinvoice_product_id').val(), '_blank')"> Download Pdf</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/cossale/ExcelInvoice&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&created_user='+$('#created_user').val()+'&customer_id='+$('#salesinvoice_customer_id').val()+'&brand_id='+$('#brand_id').val()+'&outlet='+$('#outlet').val()+'&cost_type='+$('#cost_type').val()+'&product_id='+$('#salesinvoice_product_id').val(), '_blank')">Download Excel</a>
                    </div>
                    <!-- <li id="gl_summary_li" style="display:none;"><a href="#gl_summary_tab" data-toggle="tab" >Summary <i onclick="$('#tb_li').addClass('active');$('#tb_tab').addClass('active');$('#gl_summary_li').hide();$('#gl_summary_tab').empty();" class="fa fa-remove"></i></a></li>
                    <li id="gl_report_li" style="display:none;"><a href="#gl_report_tab" data-toggle="tab" >General Ledger <i onclick="if( !$('#gl_summary_li').is(':visible') ){ $('#tb_li').addClass('active'); $('#tb_tab').addClass('active'); }else{ $('#gl_summary_li').addClass('active'); $('#gl_summary_tab').addClass('active'); } $('#gl_report_li').hide();$('#gl_report_tab').empty();" class="fa fa-remove"></i></a></li>-->

                </ul>
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="tb_tab">
                    </div>
                    <div class="tab-pane" id="gl_summary_tab">
                    </div>
                    <div class="tab-pane" id="gl_summary_tab">
                    </div>
                </div>


        </section>
    </div>
</div>
<?php
$cs = Yii::app()->getClientScript();
 $cs->registerScript("products", "function transdetproducts(field_id)
    {
        $('#salesinvoice_product_id').val('');
        var url = '" . Yii::app()->createUrl('inventory/GetProducts') . "'+'&frm=reports';
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response, url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false; },
            select      : function( event, ui ) {
                event.preventDefault();
                $('#salesinvoice_product_id').val(ui.item.value);
                $('#salesinvoice_product').val(ui.item.label);
            }
        });
    }", CClientScript::POS_HEAD);
$cs->registerScript("customers", "function customers(field_id)
    {
        $('#customer_id').val('');
        var url = '" . Yii::app()->createUrl('reports/get_customers') . "';
        $('#salesinvoice_customer_id').val('');
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response, url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false; },
            select      : function( event, ui ) {
                event.preventDefault();
                $('#salesinvoice_customer_id').val(ui.item.value);
                $('#salesinvoice_customer').val(ui.item.label);
            }
        });
    }", CClientScript::POS_HEAD);
?>