<!DOCTYPE html>
<html>
<head>
<style>
.table thead {display: table-header-group;}
</style>
    <title><?php echo date('dmYhis'); ?></title>
</head>
<body>
     <?php
    if ((int)$user_id > 0) {
        $userModel = MasUsers::model()->findByPk((int) $user_id);
    } else {
        $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
    }
    ?>
    
<div class="col-5 offset-1" style="color:#101010;">
            <div class="text-right">
            <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo"  />
            </div>
</div>
<div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;"> 
    <!--add New Template-->
    <div class="">
        <div class="col-6">
                <div class="input-block">
                    <b><?php echo 'GL Report'; ?></b>
                </div>
                <br>
                <table class="table" style="width:100%">
                <tr>
                    <td class="bc-tl">From </td>
                    <td>
                        <?php echo $from_date;?>
                    </td>
                </tr>
                <tr>
                    <td>To</td>
                    <td>
                        <?php echo $to_date;?>
                    </td>
                </tr>
            </table>
        </div>
       
    </div>
    <br>
    <div class="col-md-12">
        <table id="tbl_reorder_level_table" class="table table-fixed table-bordered table-primary dataTable">
            <thead>
				  <tr>
                    <th>Date</th>
                    <th>VO #</th>
                    <th>Ledger</th>
                    <th>Subledger</th>
                    <th class="text-right">Dr</th> 
                    <th class="text-right">Cr</th> 
                    <th class="text-right">Balance</th>  
                    <th>Narration</th> 
                </tr>
                
            </thead>
            <?php 
                                $from_date = ( count(explode('/',$from_date)) == 3 ) ? date("Y-m-d", strtotime(str_replace('/', '-', $from_date)))  : date('Y-m-d');
                                $to_date = ( count(explode('/',$to_date)) == 3 ) ? date("Y-m-d", strtotime(str_replace('/', '-', $to_date)))  : date('Y-m-d');
                
                                $condition = 'parent.is_posted = "Y" AND parent.voucher_date BETWEEN "'.$from_date.'" AND "'.$to_date.'"';
                                $condition_for_opening = 'H.is_posted = "Y" AND H.voucher_date < "'.$from_date.'"';
                
                                if ( $ledger != '' ) {
                                    $condition .= ' AND t.ledger_id IN('.$ledger .')';
                                    $condition_for_opening .= ' AND I.ledger_id IN(' . $ledger.')';
                                }
                                if( $subledger > 0 ){
                                    $condition .= ' AND t.subledger_id='.$subledger;
                                    $condition_for_opening .= ' AND I.subledger_id='.$subledger;
                                }
                                if ( $brand > 0 ) {
                                    $condition .= ' AND t.brand_id=' . $brand;
                                    $condition_for_opening .= ' AND I.subledger_id=' . $brand;
                                }
                                
                                if ($outlet > 0) {
                                $condition .= ' AND t.outlet=' . $outlet;
                                $condition_for_opening .= ' AND I.outlet=' . $outlet;
                                }
                                if ($costcenter > 0) {
                                $condition .= ' AND parent.costcenter=' . $costcenter;
                                $condition_for_opening .= ' AND H.costcenter=' . $costcenter;
                                }
                                $openingBalance1 = Yii::app()->db->createCommand('SELECT ROUND((SUM(I.amount)), 4) AS amount FROM {{finance_voucher_items}} I LEFT JOIN {{finance_voucher_head}} H ON I.header_id = H.id WHERE I.currency_id='.$currency.' AND '. $condition_for_opening . ' ')->queryScalar();
                                $openingBalance2 = Yii::app()->db->createCommand('SELECT ROUND((SUM(I.amount*I.exchange_rate)), 4) AS amount FROM {{finance_voucher_items}} I LEFT JOIN {{finance_voucher_head}} H ON I.header_id = H.id WHERE I.currency_id!='.$currency.' AND '. $condition_for_opening . ' ')->queryScalar();
                                $items = FinanceVoucherItems::model()->with('parent')->findAll(array('condition' => $condition, 'order' => 'parent.voucher_date ASC'));
                                $openingBalance=$openingBalance1+($openingBalance2/$exchange_rate);
                                $previousBalance = $openingBalance;
                                $closingBalance = $openingBalance;
                                $symbol = ( $previousBalance > 0 ) ? 'Dr' : 'Cr';
            ?>
                <tbody>       
                        <tr>
                            <td colspan="4" class="text-right"><b>Opening Balance</b></td>
                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency( ( ( $previousBalance > 0  ) ? abs($previousBalance) : '' )," ");?></td>
                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency( ( ( $previousBalance < 0  ) ? abs($previousBalance) : '' )," ");?></td>
                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(abs($previousBalance)," ").' '.$symbol;?></td>
                            <td></td>
                        </tr>
            <?php 
            $total_debit = 0;
            $total_credit = 0;
            
            $total_debit += $previousBalance > 0 ? abs($previousBalance) : '';
            $total_credit += $previousBalance < 0 ? abs($previousBalance) : '';
            foreach ( $items as $each ){
                        
                        $debit = ($each->amount > 0) ? round(($each->amount * $each->exchange_rate), 4) : '';
                        $credit = ($each->amount < 0) ? round(abs($each->amount * $each->exchange_rate), 4) : '';
                        $debit= ($currency==$each->currency_id) ? $debit/$each->exchange_rate : $debit/$exchange_rate;
                        $credit= ($currency==$each->currency_id) ? $credit/$each->exchange_rate : $credit/$exchange_rate;
                        $running = $debit - $credit + $previousBalance;
                        $previousBalance = $running;
                        $symbol = ( $running > 0 ) ? 'Dr' : 'Cr';
                        $closingBalance +=  ( $debit - $credit );

                        $total_debit += $debit;
                        $total_credit += $credit;

                        $subledgerName = ( $each->subledger_id > 0 ) ? $each->subledger->description : '';
                        ?>
                        <tr>      
                            <td><?php echo date("d/m/Y",strtotime($each->parent->voucher_date)); ?></td>
                            <td><?php echo $each->parent->fullvoucher; ?></td>
                            <td><?php echo $each->ledger->description; ?></td>
                            <td><?php echo $subledgerName; ?></td>
                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($debit," "); ?></td>
                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($credit," "); ?></td>
                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(abs($running)," ")." ".$symbol; ?></td>
                            <td><?php echo $each->narration; ?></td>
                        </tr>
                        <?php } 
                            
                            $symbol = ( $closingBalance > 0 ) ? 'Dr' : 'Cr';
                        ?>
                           <tr>
                            <td colspan="4" class="text-right"><b>Total</b></td>
                            <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency(abs($total_debit)," "); ?></b></td>
                            <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency(abs($total_credit)," "); ?></b></td>
                            <td class="text-right"></td>
                            <td></td>
                        </tr>
                      
                        <tr>
                            <td colspan="5" class="text-right"><b>Closing Balance</b></td>
                            <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency(abs($closingBalance)," ").' '.$symbol;?></b></td>
                            <td></td>
                            <td></td>
                        </tr>
                </tbody>
            </table>
            </div>
    
     <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px"><?php echo $userModel->companyDetails->pdf_footer; ?>
            <?php
            date_default_timezone_set("Asia/Dubai");
            echo date('d/m/Y') . " " . date("h:i:sa");
            ?>
        </div>


        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
            <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>

