

<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("loadPage", "function loadPage(){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/vat_html') . "',
                'data' : { 'from' : $('#fn_report_from').val(), 'to' : $('#fn_report_to').val(), 'outlet' : $('#outlet').val() },
                'success': function(data) {
                    $('#data_div').show();
                    $('.main-li-data').html(data);
                    $('#loader').hide();
                }
            });
        }", CClientScript::POS_HEAD);

?>

<style>
table {
  font-family: arial, sans-serif !important;
  border-collapse: collapse !important;
  width: 100% !important;
}

td, th {
  border: 1px solid #dddddd !important;
  text-align: left !important;
  padding: 8px !important;
}

table th{
	padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #1f67b2;
    color: white;
}

tr:nth-child(even) {
  background-color: #f2f2f2 !important;
}
</style>
<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <li class="col-sm-3">
                        <?php echo CHtml::textField('fn_report_from', date('01/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'From')); ?>
                    </li>
                    <li class="col-sm-3">
                        <?php echo CHtml::textField('fn_report_to', date('d/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'To')); ?>
                    </li>
                    <li class="col-sm-1">
                    <?php 
                    if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet','prompt' => 'All Outlets');
                    }
                    else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet');
                    }
                    echo CHtml::dropdownlist('outlet',Yii::app()->user->outlet_id, MasOutlets::getAllOutlets(), $array); ?>     
                    </li>
                    <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-theme" onclick="loadPage();">HTML</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/vat_new_pdf&from='+$('#fn_report_from').val()+'&to='+$('#fn_report_to').val()+'&outlet='+$('#outlet').val(), '_blank')">PDF</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/vat_new_excel&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&outlet='+$('#outlet').val(), '_blank');">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >

                <div class="tab-content">
                    <div class="tab-pane main-li-data active" >
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
