<?php  $cs = Yii::app()->getClientScript(); ?>
<?php
    $form = $this->beginWidget('CActiveForm', array(
        'id' => 'group-form',
        'enableAjaxValidation' => false,
        'enableClientValidation' => false,
    ));
?>

<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <li class="col-sm-4">
                <?php $model = MasCompany::model()->findBypk( (int) Yii::app()->user->company_id ); ?>
                <?php echo $form->textField($model, 'name',array('data-label'=> 'Name *')); ?>
                <?php echo $form->hiddenField($model, 'id'); ?>
            </li>
            <li class="col-sm-4">
                <?php echo $form->textField($model, 'name_other',array('data-label'=> 'Name (Alias)')); ?>
            </li> 
            <li class="col-sm-4">
                <?php echo $form->textField($model, 'trn_no',array('data-label'=> 'TRN No')); ?>
            </li> 
            <li class="col-sm-4">
                <?php echo $form->textField($model, 'phone',array('data-label'=> 'Phone No')); ?>
            </li> 
            <li class="col-sm-4">
                <?php echo $form->textField($model, 'po_box',array('data-label'=> 'PO Box')); ?>
            </li> 
            <li class="col-sm-4">
                <?php echo $form->dropdownlist($model, 'vat_return', array('Q' => 'Quarterly', 'M' => 'Monthly'), array('data-label'=>'VAT Return Period')); ?>
            </li>
            <li class="col-sm-4">
                <?php echo $form->textArea($model, 'billing_address',array('data-label'=> 'Address')); ?>
            </li> 
            <li class="col-sm-4">
                <?php echo $form->textArea($model, 'pdf_footer',array('data-label'=> 'Footer')); ?>
            </li> 
            <li class="col-sm-2">
                PDF Logo
                <?php
                    $allowedExtensions = array("png");
                    $this->widget('ext.EAjaxUpload.EAjaxUpload', array(
                        'id' => rand(),
                        'config' => array(
                            'action' => Yii::app()->createUrl(Yii::app()->controller->id . '/Upload', array('folder' => 'images/')),
                            'multiple' => false,
                            'allowedExtensions' => $allowedExtensions,
                            'sizeLimit' => 1 * 1024 * 1024,
                            'onStart' => "js:function(){}",
                            'onComplete' => "js:function(id, fileName, responseJSON){
                                $('#MasCompany_pdf_logo').val(responseJSON.filename);
                            }",
                        )
                    ));
                ?>
             <?php echo $form->hiddenField($model, 'pdf_logo'); ?>
            </li>
        </ul>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
    <?php 
        echo CHtml::ajaxSubmitButton('Save',  Yii::app()->createUrl('config/savecompany'), array(
            'dataType' => 'json',
            'type' => 'post',
            'success' => 'function(data) {
                $("#loader").hide();
                if(data.status=="success"){  
                    t8.success("Saved!");
                    $(".x.close").click();
                } else { 
                    $.each(data, function(key, val) {
                        t8.error(""+val+""); 
                    }); 
                } 
            }',
            'beforeSend' => 'function(){
                 $("#loader").show();
            }'
        ), array('id' => 'mybtn' . rand(), 'class' => 'btn btn-theme'));
    ?>
</div>

<?php $this->endWidget(); ?>










