<?php  $cs = Yii::app()->getClientScript(); ?>
<?php
    $form = $this->beginWidget('CActiveForm', array(
        'id' => 'group-form',
        'enableAjaxValidation' => false,
        'enableClientValidation' => false,
    ));
?>

<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <li class="col-sm-4">
                <?php echo $form->textField($model, 'name',array('data-label'=>'Outlet Name *', 'readonly' => !$model->isNewRecord ? true : false, 'placeholder' => 'Avoid Space & Special Characters')); ?>
                <?php echo $form->hiddenField($model, 'id'); ?>
            </li>
            <li class="col-sm-4">
                <?php echo $form->dropdownlist($model, 'is_active', array('Y' => 'Active', 'N' => 'Block'), array('data-label'=>'Status')); ?>
            </li>
            <li class="col-sm-4">
                <?php echo $form->textArea($model, 'bank_details',array('data-label'=>'Bank Details', 'placeholder' => 'User <br> For Next line')); ?>
            </li>
          
            <?php if( $model->isNewRecord ) : ?>
                <li class="col-sm-4">
                    <?php echo $form->dropdownlist($model, 'mode', array(/*'S' => 'Singe Stock',*/ 'M' => 'Default', 'SC' => 'Sub Company Mode'), array('data-label'=>'Setup Mode')); ?>
                </li>
            <?php endif; ?>
        </ul>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
    <?php 
        echo CHtml::ajaxSubmitButton('Save',  Yii::app()->createUrl('config/saveoutlet'), array(
            'dataType' => 'json',
            'type' => 'post',
            'success' => 'function(data) {
                $("#loader").hide();
                if(data.status=="success"){  
                    t8.success("Saved!");
                    $(".x.close").click();
                    reloadTable("#tbl_outlets");
                } else { 
                    $.each(data, function(key, val) {
                        t8.error(""+val+""); 
                    }); 
                } 
            }',
            'beforeSend' => 'function(){
                $(".errorMessage").hide(); 
                $("#loader").show();
            }'
        ), array('id' => 'mybtn' . rand(), 'class' => 'btn btn-theme'));
    ?>

    </div>

<?php $this->endWidget(); ?>










