<?php  $cs = Yii::app()->getClientScript(); ?>
<?php
    $form = $this->beginWidget('CActiveForm', array(
        'id' => 'group-form',
        'enableAjaxValidation' => false,
        'enableClientValidation' => false,
    ));
?>

<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <li class="col-sm-4">
                <?php echo $form->textField($model, 'full_name',array('data-label'=> 'Name *')); ?>
                <?php echo $form->hiddenField($model, 'id'); ?>
                <?php echo $form->hiddenField($model, 'access_type'); ?>
            </li>
            <li class="col-sm-4">
                <?php echo $form->textField($model, 'phone_no',array('data-label'=> 'Phone')); ?>
            </li>
            <li class="col-sm-4">
                <?php echo $form->textField($model, 'username', array('data-label'=> 'Username *')); ?>
            </li> 
            <li class="col-sm-4">
                <?php echo $form->passwordfield($model, 'password', array('data-label'=> 'Password', 'autocomplete' => 'off')); ?>
            </li> 
            <li class="col-sm-4">
                <?php echo $form->dropdownlist($model, 'is_active', array('Y' => 'Active', 'N' => 'Block'), array('data-label'=>'Status')); ?>
            </li>
            <?php if( $model->access_type == 'CA' ) : ?>
                <li class="col-sm-4">
                    <?php echo $form->dropdownlist($model, 'hide_finance', array('0' => 'Show', '1' => 'Hide'), array('data-label'=>'Show Finance?')); ?>
                </li>
            <?php endif; ?>
        </ul>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
    <?php 
        echo CHtml::ajaxSubmitButton('Save',  Yii::app()->createUrl('config/saveuser'), array(
            'dataType' => 'json',
            'type' => 'post',
            'success' => 'function(data) {
                $("#loader").hide();
                if(data.status=="success"){  
                    t8.success("Saved!");
                    $(".x.close").click();
                    reloadTable("#tbl_users");
                } else { 
                    $.each(data, function(key, val) {
                        t8.error(""+val+""); 
                    }); 
                } 
            }',
            'beforeSend' => 'function(){
                if( $("#VanUsers_id").val() > 0 &&   $("#VanUsers_password").val().trim() != "" ){
                    if( confirm("Are you sure to change the password? If no make the password field blank!") ){
                        $(".errorMessage").hide(); 
                        $("#loader").show();
                    }else
                        return false;
                }else{
                    $("#loader").show();
                }
            }'
        ), array('id' => 'mybtn' . rand(), 'class' => 'btn btn-theme'));
    ?>

    </div>

<?php $this->endWidget(); ?>










