
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("load", '
        $(document).ready(function() {
            $("#tbl_outlets").on("preXhr.dt", function (e, settings, data) {
                data.dev = true;
                return data;
            }).DataTable({
                "sScrollY": "auto",
                pageLength      : 100,
                "bSort" : false,
                "bFilter": false,
                ajax: {
                    url: "' . Yii::app()->createUrl('config/outletlist_data') . '",
                    type: "POST",
                    cache : false,
                },
                serverSide:     true,
                fixedColumns:   true,
                processing: true,
                order: [[ 0, "ASC" ]],
            });

    });', CClientScript::POS_HEAD);

?>
    <section class="panel">
            <header class="panel-heading clearfix panel-theame">
                <i class="fa fa-university"></i> Outlets
                <div class="pull-right">
                    <button class="btn btn-sm btn-theme" onclick="loadPopupModal('config/create_outlet','New Outlet','lg')"><i class="fa fa-plus"></i> ADD</button>
                </div>
            </header>   
        <div class="panel-body">
            <div class="custom-data-table">
                <table class="table table-hover table-bordered personal-task" id="tbl_outlets">
                    <thead>
                        <tr>
                           <th>Name</th>
                           <th>End Date</th>
                           <th>Activation Key</th>
                           <th>Actions</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </section>
