<!DOCTYPE html>
<html>
    <head>
        <style>
            .table thead {display: table-header-group;}
        </style>
        <title><?php echo date('dmYhis'); ?></title>
    </head>
    <body>
        <?php $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id); ?>    
        <div class="col-12">
            <div class="text-center">
                <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
            </div>
            <div class="text-center">
                <small><?php echo $userModel->companyDetails->billing_address ?></small>
            </div>
        </div>
    </div>
    <div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;"> 
        <!--add New Template-->
        <div class="">
            <div class="col-8">
                <div class="input-block">
                    <b><?php echo 'SALES SUMMARY REPORT'; ?></b>
                </div>

            </div>

        </div>
        <br>
        <?php
        $condition = '1=1';
        if ($month != '') {
            $condition .= ' AND MONTH(transaction_date)=' . $month;
        }
        if ($year > 0) {
            $condition .= ' AND YEAR(transaction_date)=' . $year;
        }
        if ($day != '') {
            $condition .= ' AND DAY(transaction_date)=' . $day;
        }
        if ($customer_id != '') {
            $condition .= ' AND customer_vendor_id ="' . $customer_id . '"';
        }
        if ($salesman != '') {
            $condition .= ' AND created_by ="' . $salesman . '"';
        }
        if ($sale_type == 'M') {
            $SQL = ' SELECT YEAR(transaction_date) as y, MONTH(transaction_date) as m,  DAY(transaction_date) as d,COUNT(id) as TOTAL_COUNT,(SUM(rate*quantity)) AS TOTAL_AMT 
        FROM {{stock_ledger }} 
        
        WHERE ' . $condition . ' GROUP BY MONTH(transaction_date)';
        } else if ($sale_type == 'D') {
            $SQL = ' SELECT header_id,YEAR(transaction_date) as y, MONTH(transaction_date) as m,  DAY(transaction_date) as d,COUNT(id) as TOTAL_COUNT,(SUM(rate*quantity)) AS TOTAL_AMT 
        FROM {{stock_ledger }} 
        
        WHERE ' . $condition . ' GROUP BY DAY(transaction_date) ORDER BY MONTH(transaction_date)';
        }
       $condition;
       $all = Yii::app()->db->createCommand($SQL)->queryAll();?>
                    <table class="table table-hover table-fixed table-bordered">
                        <thead>
                            <tr>
                                <th style="width:6%">YEAR</th>
                                <th style="width:10%">MONTH</th>
                                <th style="width:10%">DAY</th>
                                <th style="width:5%">TOTAL#INV</th>
                                <th style="width:10%">INV.AMOUNT</th>
                                <th style="width:10%">PAID</th>
                                <th style="width:5%">BALANCE</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $grand_total = 0;
                            $month_array = array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
                            
                            if (count($all) > 0) {
                                foreach ($all as $each) {
                                    if ($month > 0) {
                                        $month_name = $month_array[$each['m'] - 1];
                                    } else {
                                        $month_name = 'ALL';
                                    }
                                    if ($sale_type == 'D') {
                                        $day_name = $each['d'];
                                    } else {
                                        $day_name = 'ALL';
                                    }
                                    if ($SQL->id > 0) {
                                        $received_amount = Yii::app()->db->createCommand('select sum(amount)  from erp_finance_allocation_items where header_id=' . $each['header_id'])->queryScalar();
                                    } else {
                                        $received_amount = 0;
                                    }
                                   
                                    $BAL = $each['TOTAL_AMT'] - $received_amount;
                                    $total += $each['TOTAL_AMT'];
                                    $rec_total += $received_amount;
                                    $bal_total += $BAL;?>
                                    
                                    <tr>
                                        <td><?php echo $each['y'] ?></td>
                                        <td><?php echo $month_array[$each['m'] - 1] ?></td>
                                        <td><?php echo $day_name ?></td><td><?php echo $each['TOTAL_COUNT'] ?></td>
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['TOTAL_AMT'], " ") ?></td>
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($received_amount, " ") ?></td>
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($BAL, " ") ?></td>
                                    </tr>
                                     <?php
                                }
                            } else {
                                ?>
                                <tr>
                                    <td colspan="7" class="text-center">No Data found</td>  


                                </tr>
                                <?php
                            }
                            ?>
                                    <tr>
                                        <td colspan="4" style="text-align:right !important;"><b>Total</b></td>
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total, " ") ?></b></td>
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($rec_total, " ") ?></b></td>
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($bal_total, " ") ?></b></td>
                                    </tr>
                                   
                        </tbody>
                    </table>
            </div>
        <htmlpagefooter name="myfooter">
            <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
                <?php
                date_default_timezone_set("Asia/Dubai");
                echo date('d/m/Y') . " " . date("h:i:sa");
                ?>
    </div>


    <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
        <div style="text-align:center;width:100%">
        </div>
        <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
    </div>
</htmlpagefooter>
</body>
</html>