<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'goodsreceipt-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>
<ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
    <li class="active"><a href="#gr_tab1" data-toggle="tab">General</a></li>
    <li><a href="#gr_tab2" data-toggle="tab">Details</a></li>
</ul>
<div class="tab-content">
    <div class="tab-pane active" id="gr_tab1">
        <?php $this->renderPartial('general', array('model' => $model, 'form' => $form)); ?>
    </div>
    <div class="tab-pane" id="gr_tab2">
        <?php $this->renderPartial('details', array('model' => $model, 'modelItems' => $modelItems, 'form' => $form)); ?>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" id="gr_close" data-dismiss="modal">Close</button>
    <?php 
                $url = Yii::app()->createUrl('goodsreceipt/Save');
                echo CHtml::ajaxSubmitButton('Save', $url, array(
                            'dataType' => 'json',
                            'type' => 'post',
                            'success' => 'function(data) {
                                if(data.status=="success"){  
                                    $("#gr_close").click();                                        
                                    t8.success("Goods Receipt Details Saved Successfully!");
                                    reloadTable("#tbl_goods_receipt");
                                } else { 
                                    $("#goodsreceipt-form .goodsreceipt-save-btn").prop("disabled", false);
                                    $("#goodsreceipt-form .goodsreceipt-save-btn").addClass("btn-theme").removeClass("btn_loading");
                                    $.each(data, function(key, val) {
                                        $("#goodsreceipt-form #"+key+"_em_").text(val).show(); 
                                        t8.error(""+val+""); 
                                    }); 
                                } 
                            }',
                            'beforeSend' => 'function(){
                                $(".toast8-error").hide(); 
                                $("#loader").show();
                                $("#goodsreceipt-form .goodsreceipt-save-btn").prop("disabled", true);                                
                                $("#goodsreceipt-form .goodsreceipt-save-btn").addClass("btn_loading").removeClass("btn-theme");
                                
                            }',
                            'complete' => 'function(){
                                $("#loader").hide();
                                $("#goodsreceipt-form .goodsreceipt-save-btn").prop("disabled", false);                                
                                $("#goodsreceipt-form .goodsreceipt-save-btn").addClass("btn-theme").removeClass("btn_loading");
                            }'
                                
                    ), array('id' => 'mybtn' . rand(), 'class' => 'goodsreceipt-save-btn btn btn-theme'));
           
    ?>
</div>
<?php $this->endWidget(); ?>
