
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("load", '
        $(document).ready(function() {
            $("#tbl_masters").on("preXhr.dt", function (e, settings, data) {
                data.type = "'.$properties['title'].'";
                return data;
            }).DataTable({
                "sScrollY": "auto",
                pageLength      : 50,
                "bSort" : false,
                "bFilter": false,
                ajax: {
                    url: "' . Yii::app()->createUrl('masters/getList') . '",
                    type: "POST",
                    cache : false,
                },
                serverSide:     true,
                fixedColumns:   true,
                processing: true,
                order: [[ 0, "ASC" ]],
            });

    });', CClientScript::POS_HEAD);

?>
    <section class="panel">
            <header class="panel-heading clearfix panel-theame">
                <i class="<?php echo $properties['image_class']; ?>"></i> <?php echo $properties['title']; ?>
                <div class="pull-right">
                    <button class="btn btn-sm btn-theme" onclick="loadPopupModal('masters/create&type=<?php echo $properties['title'] ?>','New <?php echo $properties['title_single'] ?>','lg')"><i class="fa fa-plus"></i> ADD</button>
                </div>
            </header>   
        <div class="panel-body">
            <div class="custom-data-table">
                <table class="table table-hover table-bordered personal-task" id="tbl_masters">
                    <thead>
                        <tr>
                            <?php foreach( $properties['heads'] as $each ) : 
                                    echo $each;
                             endforeach; ?>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </section>
