
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("load", '
        $(document).ready(function() {
            $("#tbl_units").on("preXhr.dt", function (e, settings, data) {
                return data;
            }).DataTable( {
                "searching": false,
                "paging":   false,
                // "ordering": false,
                "info":     false
            } );

    });', CClientScript::POS_HEAD);

    // $cs->registerScript("reloadAll", 'function reloadAll(){
    //         $("#tbl_units").on("preXhr.dt", function (e, settings, data) {
    //             return data;
    //         }).DataTable( {
    //             "searching": false,
    //             "paging":   false,
    //             // "ordering": false,
    //             // "info":     false
    //         });
    // }', CClientScript::POS_HEAD);

    $cs->registerScript("reloadPage", "function reloadPage(){
        var search = $('#search').val();
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'dataType' : 'json',
                'url': '" . Yii::app()->createUrl('masters/searchUnit') . "',
                'data' : {'search' : search},
                'success': function(data) { 
                    $('#loader').hide();
                    $('#tbl_units').html(data.table);
                    $('#tbl_units').destroy();
                    $('#tbl_units').on('preXhr.dt', function (e, settings, data) { return data; }).dataTable();
                }
            });
    }", CClientScript::POS_HEAD);
?>
    <section class="panel">
            <header class="panel-heading clearfix panel-theame">
                <i class="fa fa-cogs"></i>Units
                &nbsp;&nbsp;<button class="btn btn-sm btn-theme" onclick="loadPopupModal('masters/create&type=units','New Unit','lg')"><i class="fa fa-plus"></i> ADD</button>
                <div class="pull-right" style="display: flex;">
                <?php echo CHtml::textfield('search','', array('class' => 'form-control','style' => 'margin-right:10px; width:120px;')); ?>
                <button class="btn btn-sm btn-theme" style="margin-right: 10px;" title="Reload" onclick="reloadPage();"><i class="fa fa-retweet"></i></button>
            </div>
            </header>   
        <div class="panel-body">
            <div class="custom-data-table">
            <table class="table table-hover table-bordered personal-task" id="tbl_units">
            <thead>
            <tr>
            <th>S.No</th>
            <th>Symbol</th>
            <th>Actions</th>
            </tr>
            </thead>
            <tbody>
            <?php 
            $unit=Unit::model()->findAll(array('condition'=>'active="Y"'));
            foreach($unit as $i=>$each)
            {
                
            ?>
            <tr>
            <td><?= ($i+1); ?></td>
            <td><?= $each->unit_name; ?></td>
            <td><div class="btn-wrap text-center"></div></td>
            </tr>
            <?php } ?>
            </tbody>
            </table>
            </div>
        </div>
    </section>
