<!DOCTYPE html>
<html>
    <head>
        <title>Goods Issue</title>
    </head>
    <body>
    <?php $model = GoodsIssue::model()->findByPk($id);
    $modelItems = GoodsIssueItems::model()->findAll(array('condition'=>'issue_id='.$id,'order'=>'id ASC'));
     if((int)$user_id>0){
              $userModel = MasUsers ::model()->findByPk((int) $user_id);
        }else{
              $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);
        }
    ?>
        <div class="">
            <div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <b><?php echo $model->gi_outlet->name; ?></b><br>
                    <small><?php echo nl2br($model->gi_outlet->address); ?></small><br>
                    <small><?php echo $model->gi_outlet->phone_no; ?></small>
                </div>
            </div>
            <div class="col-12">
                <br>
                <div class="text-center">
                    <div class="h3" style="margin-top: 0;margin-bottom: 0;">Goods Issue</div>
                </div>
            </div>
            <div class="col-6">
                <div class="input-block">
                    <b><?php echo $model->issue_no; ?></b>
                </div>
                <br> <br> 
                <table class="table" style="width:100%">
                   
                     <tr> 
                        <td><b>Date</b></td>
                        <td><?php echo date('d/m/Y', STRTOTIME($model->issue_date)); ?></td>
                    </tr>
                    <tr> 
                        <td><b>Reference</b></td>
                        <td><?php echo $model->reference; ?></td>
                    </tr>
                    <tr> 
                        <td><b>Outlet</b></td>
                        <td><?php echo $model->gi_outlet->outlet_name; ?></td>
                    </tr>
                    <tr> 
                        <td><b>Issued From</b></td>
                        <td><?php echo $model->gi_user->full_name; ?></td>
                    </tr>
                </table>
            </div>
            
        </div>
        <br>
        <div class="col-md-12">
            <table id="" class="table">
                <thead>
                    <tr>
                        <th style="width:4%">#</th>
                        <th style="width:15%">Part No.</th>
                        <th style="width:30%">Description</th>
                        <th style="width:8%">Qty</th>
                        <th style="width:8%">UOM</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        
                        foreach ( $modelItems as $i => $eachItem) {
                            ?>
                            <tr>
                            <td><?php echo $i+1; ?></td>
                                <td><?php echo $eachItem->gi_product_details->part_number; ?></td>
                                <td><?php echo nl2br($eachItem->description); ?></td>
                                <td class="text-right"><?php echo $eachItem->quantity; ?></td>
                                <td style="text-align:center;"><?php echo $eachItem->gi_unit_details->label; ?></td>
                            </tr>
                            <?php                     
                    }
                    ?>
                </tbody>
            </table>
          <?php if($model->notes!='')
            {
            ?>
             <div class="box" style="width:100%">
                <h5>Notes</h5>
                <div class="h5sub-details"><?php echo nl2br($model->notes);?> </div>
            </div>
            <?php } ?>
        </div>
        <br/>


        <htmlpagefooter name="myfooter">
            <div style="text-align:center;width:100%;font-size:10px">
            </div>
            <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
                <div class="col-12">
                  <div class="col-6">
                    <p style="text-align:left;font-size:10px;padding-left:17px;">
                        Generated by : <?php echo $userModel->full_name; ?>
                        <?php
                        date_default_timezone_set("Asia/Dubai");
                        echo ' On '.date('d-m-Y h:i a');
                        ?>
                    </p>
                </div>
                <div class="col-6">
                    <p style="text-align:right;font-size:10px;padding-right:17px;">
                        Created by : <?php echo $model->gi_user->full_name; ?>
                        <?php
                        date_default_timezone_set("Asia/Dubai");
                        echo ' On '.date('d-m-Y h:i a', strtotime($model->created_time))
                        ?>
                    </p>
                </div>
                </div>
                <div style="text-align:center;width:100%;padding-top:-22px;">
                    <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p> 
                </div>
            </div>
        </htmlpagefooter>    

</body>

</html>
