<!DOCTYPE html>
<html>
<head>
    
    <title><?php echo $title; ?></title>
</head>
<body>
      <div class="">
            <div class="col-6">
                <br>
                <div class="h3" style="margin-top: 0;margin-bottom: 0;"><?php echo $title; ?></div>
                <br><br>  <br><br>
                <table class="table" style="width:100%">
                    <?php if (isset($params['from_date'])) { ?>
                     <tr>
                        <td>From </td>
                        <td><?php echo date('d/m/Y', strtotime($params['from_date'])); ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if (isset($params['to_date'])) { ?>
                    <tr>
                        <td>To </td>
                        <td><?php echo date('d/m/Y', strtotime($params['to_date'])); ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['customer_id'] > 0 ) { ?>
                    <tr>
                        <td>Customer </td>
                        <td><?php echo Customer::model()->findBypk($params['customer_id'])->customer_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['vendor_id'] > 0 ) { ?>
                    <tr>
                        <td>Vendor </td>
                        <td><?php echo Vendor::model()->findBypk($params['vendor_id'])->vendor_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['product_id'] > 0 ) { ?>
                    <tr>
                        <td>Product </td>
                        <td><?php echo Inventory::model()->findBypk($params['product_id'])->part_number; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['product_group_id'] > 0 ) { ?>
                    <tr>
                        <td>Product Group</td>
                        <td><?php echo MasBrand::model()->findBypk($params['product_group_id'])->brand_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['salesman_id'] > 0 ) { ?>
                    <tr>
                        <td>Salesman </td>
                        <td><?php echo MasUsers::model()->findBypk($params['salesman_id'])->full_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['outlet_id'] > 0 ) { ?>
                    <tr>
                        <td>Outlet </td>
                        <td><?php echo MasOutlets::model()->findBypk($params['outlet_id'])->name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['brand'] > 0 ) { ?>
                    <tr>
                        <td>Brand </td>
                        <td><?php echo  MasBrand::model()->findBypk($params['brand'])->brand_name; ?> </td>
                    </tr>
                    <?php } ?>
                </table>
            </div>
            <div class="col-5 offset-1" style="color:#101010;">
                <div class="text-right">
                    <img src="<?php echo 'images/' . $logo; ?>" class="logo">
                </div>
                 <div class="text-center">
                   <b><?php echo $userModel->outletDetails->name; ?></b><br>
                    <small><?php echo nl2br($userModel->outletDetails->address); ?></small><br>
                    <small><?php echo $userModel->outletDetails->phone_no; ?></small>
                </div>
            </div>
        </div>
        <br>
        <br>
    <div class="clearfix"></div>
    <div class="panel">
        <div class="panel-body text-bold">
        <?php
        $from_date = $params['from_date'];
            $daybook_date = $params['to_date'];
            $outlet = (int) $params['outlet_id'];
            $created_user = (int) $params['salesman_id'];
            $customer_id = (int) $params['customer_id'];
            ?>

     <div class="table-responsive">
<table class="table table-hover table-striped table-bordered ">
<thead>
    <tr>
        <th style="width:3%">Sl No.</th>
        <th style="width:7%">Inv No.</th>
        <th style="width:10%">Date</th>
        <th style="width:25%">Customer</th>
        <th style="width:10%">Amount</th>
        <th style="width:10%">Receipt Amount</th>
        <th style="width:10%">Balance</th>
    </tr>
</thead>
<tbody>
    <?php
            $condition_sales .= "1=1 AND active='Y'";
            $condition_sales_return .= "1=1 AND active='Y'";

            if ($outlet > 0) {
                $condition_sales .= " AND outlet=" . $outlet;
                $condition_sales_return .= " AND outlet=" . $outlet;
            }
            if ($created_user > 0) {
                $condition_sales .= " AND sales_man=" . $created_user;
                $condition_sales_return .= " AND created_by=" . $created_user;
            }
            if ($customer_id > 0) {
                $condition_sales .= " AND customer_id=" . $customer_id;
                $condition_sales_return .= " AND customer_id=" . $customer_id;
            }
            if ($daybook_date != '' && $daybook_date != '00/00/0000') {
                $daybook_date = str_replace('/', '-', $daybook_date);
                $daybook_date = date("Y-m-d", strtotime($daybook_date));
                $condition_sales .= ' AND invoice_date="' . $daybook_date . '"';
                $condition_sales_return .= ' AND return_date="' . $daybook_date . '"';
            }
            //Sales
             $model = SalesInvoice::model()->findAll(array('condition' => $condition_sales));
            $grand_total = 0;
            $received_total = 0;
            foreach ($model as $i => $row) {
                if ($row['posted'] == 'Y') {
                    $outlet = $row->outlet;
                    $vouchertype = FinanceVoucherType::model()->find(array('condition' => 'code="SI" AND outlet=' . $outlet))->id;
                    $inv = FinanceVoucherHead::model()->find(array('condition' => 'voucher_type=' . $vouchertype . ' AND header_table_id=' . $row->id));
                    $debtor = FinanceSystemAccountsMapping::getSystemdefault('debtors');
                    if ($inv->id > 0) {
                        $inv_item = FinanceVoucherItems::model()->find(array('condition' => 'ledger_id=' . $debtor . ' AND header_id=' . $inv->id));
                        $inv_amount = $inv_item->amount;
                    } else {
                        $inv_amount = 0;
                    }
                    if ($inv_item->id > 0) {
                        $received_amount = Yii::app()->db->createCommand('select sum(amount) from erp_finance_allocation_items where voucher_item_id=' . $inv_item->id)->queryScalar();
                    } else {
                        $received_amount = 0;
                    }
                }
                ?>
            <tr>
            <td style="text-align:center !important;"><?php echo ($i + 1); ?></td> 
            <td style="text-align:left !important;"><?php echo $row->invoice_no; ?></td> 
            <td style="text-align:left !important;"><?php echo date('d/m/Y', strtotime($row->invoice_date)); ?></td> 
            <td style="text-align:left !important;"><?php echo $row->customer->customer_name; ?></td> 
            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row->grand_total, ""); ?></td>
            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($received_amount, ""); ?></td> 
            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row->grand_total - $received_amount, ""); ?></td>
        </tr>
        <?php

                $grand_total += $row->grand_total;
                $received_total += $received_amount;
            }
            $total_sales = $grand_total;
            ?>
            <tr>
            <td style="text-align:right !important;" colspan="4"><b>Total</b></td> 
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total, ""); ?></b></td>
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($received_total, ""); ?></b></td> 
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total - $received_total, ""); ?></b></td>
        </tr>
</tbody>
</table>
<table class="table table-hover table-striped table-bordered ">
<thead>
    <tr>
        <th style="width:3%">Sl No.</th>
        <th style="width:7%">Cn. No.</th>
        <th style="width:10%">Cn. Date</th>
        <th style="width:25%">Customer</th>
        <th style="width:7%">Inv. No.</th>
        <th style="width:10%">Inv. Date</th>
        <th style="width:10%">Inv. Amt.</th>
        <th style="width:10%">Cn. Amt.</th>
        <th style="width:10%">Balance</th>
    </tr>
</thead>
<tbody>
    <?php
            //Sales Return
            $model = SalesReturn::model()->findAll(array('condition' => $condition_sales_return));
            $grand_total = 0;
            $cn_total = 0;
            foreach ($model as $i => $row) {
            ?>
            <tr>
            <td style="text-align:center !important;"><?php echo ($i + 1); ?></td> 
            <td style="text-align:left !important;"><?php echo $row->return_no; ?></td> 
            <td style="text-align:left !important;"><?php echo date('d/m/Y', strtotime($row->return_date)); ?></td> 
            <td style="text-align:left !important;"><?php echo $row->sr_customer->customer_name; ?></td> 
            <td style="text-align:left !important;"><?php echo $row->sr_invoice->invoice_no; ?></td> 
            <td style="text-align:left !important;"><?php echo date('d/m/Y', strtotime($row->sr_invoice->invoice_date)); ?></td> 
            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row->grand_total, ""); ?></td>
            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row->sr_invoice->grand_total, ""); ?></td> 
            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row->grand_total - $row->sr_invoice->grand_total, ""); ?></td>
        </tr>
        <?php
                $grand_total += $row->sr_invoice->grand_total;
                $cn_total += $row->grand_total;
            }
            $total_sales_return = $cn_total;
        ?>
        <tr>
            <td style="text-align:right !important;" colspan="6"><b>Total</b></td> 
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total, ""); ?></b></td>
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($cn_total, ""); ?></b></td> 
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total - $cn_total, ""); ?></b></td>
        </tr>
</tbody>
</table>
<table class="table table-hover table-striped table-bordered ">
<thead>
    <tr>
        <th style="width:3%">Sl No.</th>
        <th style="width:7%">Voucher No.</th>
        <th style="width:10%">Voucher Date</th>
        <th style="width:25%">Customer</th>
        <th style="width:7%">Inv No.</th>
        <th style="width:10%">Inv. Date</th>
        <th style="width:10%">Inv. Amount</th>
        <th style="width:10%">Receipt Amount</th>
        <th style="width:10%">Discount</th>
        <th style="width:10%">Balance</th>
    </tr>
</thead>
<tbody>
    <?php
            $CashAccount = FinanceSystemAccountsMapping::getSystemdefault('cash_account');
            $condition_expense = "1=1 AND H.is_posted='Y' AND H.is_posted='Y' AND amount<0 AND ledger_id=" . $CashAccount;
            $condition_cash = "1=1 AND H.is_posted='Y' AND H.is_posted='Y' AND amount>0 AND ledger_id=" . $CashAccount;

            if ($outlet > 0) {
                $condition_expense .= " AND I.outlet=" . $outlet;
                $condition_cash .= " AND I.outlet=" . $outlet;
            }
            if ($created_user > 0) {
                $condition_expense .= " AND H.created_by=" . $created_user;
                $condition_cash .= " AND H.created_by=" . $created_user;
            }
            if ($daybook_date != '' && $daybook_date != '00/00/0000') {
                $daybook_date = str_replace('/', '-', $daybook_date);
                $daybook_date = date("Y-m-d", strtotime($daybook_date));
                $condition_expense .= ' AND H.voucher_date="' . $daybook_date . '"';
                $condition_cash .= ' AND H.voucher_date="' . $daybook_date . '"';
            }
            //Expense & Cash
            $grand_total = 0;
            $received_total = 0;
            $discount_tot = 0;
            $expenses = Yii::app()->db->createCommand("SELECT H.voucher_no,H.id,I.id AS voucher_item_id,H.voucher_date,I.amount FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id where $condition_cash")->queryAll();
            foreach ($expenses as $i => $row) {
                if ($customer_id > 0) {
                    $subledger = FinanceSubledger::model()->find(array('condition' => 'subledger_type_id=1 AND parent_id=' . $customer_id));
                }
                $voucher = FinanceVoucherItems::model()->find(array('condition' => 'amount<0 AND header_id=' . $row['id']));
                if ($voucher->id > 0) {
                    $invoice = SalesInvoice::model()->findByPk($voucher->parent->header_table_id);
                    //                    $received_amount=-1*Yii::app()->db->createCommand('select sum(amount) from erp_finance_allocation_items where voucher_item_id='.$voucher->id)->queryScalar();
                } else {
                    //                    $received_amount=0;
                }
                if ($customer_id > 0) {
                    if ($voucher->subledger_id == $subledger->id) {
                        if ($invoice->invoice_no > 0) {
                            $inv_date = date('d/m/Y', strtotime($invoice->invoice_date));
                        }
                        ?>
                        <tr>
                                        <td style="text-align:center !important;"><?php echo ($i + 1); ?></td> 
                                        <td style="text-align:left !important;"><?php echo $row['voucher_no']; ?></td> 
                                        <td style="text-align:left !important;"><?php echo date('d/m/Y', strtotime($row['voucher_date'])); ?></td> 
                                        <td style="text-align:left !important;"><?php echo $voucher->subledger->description; ?></td> 
                                        <td style="text-align:left !important;"><?php echo $invoice->invoice_no; ?></td> 
                                        <td style="text-align:left !important;"><?php echo $inv_date; ?></td> 
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total, ""); ?></td>
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row['amount'], ""); ?></td> 
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->discount, ""); ?></td> 
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total - $row['amount'] - $invoice->discount, ""); ?></td>
                                    </tr>
                        <?php
                        $grand_total += $invoice->grand_total;
                        $received_total += 1 * $row['amount'];
                        $discount_tot += $invoice->discount;
                    }
                } else {
                    if ($voucher->subledger->description != '') {
                        if ($invoice->invoice_no > 0) {
                            $inv_date = date('d/m/Y', strtotime($invoice->invoice_date));
                        }
                        ?>
                        <tr>
                                        <td style="text-align:center !important;"><?php echo ($i + 1); ?></td> 
                                        <td style="text-align:left !important;"><?php echo $row['voucher_no']; ?></td> 
                                        <td style="text-align:left !important;"><?php echo date('d/m/Y', strtotime($row['voucher_date'])); ?></td> 
                                        <td style="text-align:left !important;"><?php echo $voucher->subledger->description; ?></td> 
                                        <td style="text-align:left !important;"><?php echo $invoice->invoice_no; ?></td> 
                                        <td style="text-align:left !important;"><?php echo $inv_date; ?></td> 
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total, ""); ?></td>
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row['amount'], ""); ?></td> 
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->discount, ""); ?></td> 
                                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total - $row['amount'] - $invoice->discount, ""); ?></td>
                                    </tr>
                        <?php

                        $grand_total += $invoice->grand_total;
                        $received_total += 1 * $row['amount'];
                        $discount_tot += $invoice->discount;
                    }
                }
            }
            $cash_collected = $received_total;
            ?>
            <tr>
                                        <td style="text-align:right !important;" colspan="6"><b>Total</b></td> 
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total, ""); ?></b></td>
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($received_total, ""); ?></b></td> 
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($discount_tot, ""); ?></b></td> 
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total - $received_total - $discount_tot, ""); ?></b></td>
                                    </tr>
                            </tbody>
                        </table>
                        <table class="table table-hover table-striped table-bordered ">
                            <thead>
                                <tr>
                                    <th style="width:25%">Total Sales</th>
                                    <th style="width:25%">Total Creditnote</th>
                                    <th style="width:25%">Total Cash Collected</th>
                                    <th style="width:25%">Total Discount Allowed</th>
                                </tr>
                            </thead>
                            <tbody>
                                    <tr>
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_sales, ""); ?></b></td>
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_sales_return, ""); ?></b></td> 
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($cash_collected, ""); ?></b></td>
                                        <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($discount_tot, ""); ?></b></td>
                                    </tr>
                            </tbody>
                        </table>
                        </div>                
                            </div>
    </div>
    
    
    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px">
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
            <div class="col-12">
                <div class="col-6">
                    <p style="text-align:left;font-size:10px;padding-left:17px;">
                        Generated by : <?php echo $userModel->full_name; ?>
                    </p>
                </div>
                <div class="col-6">
                    <p style="text-align:right;font-size:10px;padding-right:17px;">
                     <?php
                            date_default_timezone_set("Asia/Dubai");
                            echo date('l, F j, Y') . " " . date("h:i a");
                    ?>
                    </p>
                </div>
            </div>
            <div style="text-align:center;width:100%;padding-top:-22px;">
                <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p> 
            </div>
        </div>
    </htmlpagefooter> 
            
<sethtmlpagefooter name="myfooter" page="all" value="on" />
</body>
</html>
