<!DOCTYPE html>
<html>

    <head>
        <title>Order List</title>
    </head>

    <body>
        <?php
        $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);
        ?>
        <div class="">
            <div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <small><?php echo $userModel->companyDetails->billing_address ?></small>
                </div>
            </div>
            <div class="col-6">
                <div style="height: 10px;"></div>
            </div>
            <div class="col-6 text-right">
                <h1>ORDER LIST</h1>
                <div class="details-box">
                    <div class="pull-left">
                        <div class="filter_details">

                        <?php
                        /*if ($order_date != '') {
                        ?>
                        <div class="filter-item">
                        <label>Order Date :</label>
                        <b><?php echo $order_date ?></b>
                        </div>
                        <br/>
                        <?php
                        }*/
                         ?>
                        <?php
                        if ($from != '') {
                        ?>
                        <div class="filter-item">
                        <label>From Date :</label>
                        <b><?php echo $from ?></b>
                        </div>
                        <br/>
                        <?php
                        }
                         ?>
                        <?php
                        if ($to != '') {
                        ?>
                        <div class="filter-item">
                        <label>To Date :</label>
                        <b><?php echo $to ?></b>
                        </div>
                        <br/>
                        <?php
                        }
                         ?>
                    </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="table-body">
            <table id="tbl_enquiry_table" class="table ">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Part Number</th>
                        <th>Description</th>
                        <th>Sec Qty</th>
                        <th>Sec Unit</th>
                        <th>Primary Qty</th>
                        <th>Primary Unit</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                   $si_no=0;
                    foreach ($arr_list as $i => $eachItem) {?>
                    <tr>
                        <td>
                            <?php echo $si_no+1; ?>
                        </td>
                        <td>
                            <?php echo $eachItem['part_number']; ?>
                        </td>
                        <td>
                            <?php echo $eachItem['description']; ?>
                        </td>
                        <td>
                                 <?php echo Yii::app()->numberFormatter->formatCurrency($eachItem['quantity'],"");?>
                        </td>
                        <td>
                            <?php echo $eachItem['ordered_unit']; ?>
                        </td>
                        <td>
                                 <?php echo Yii::app()->numberFormatter->formatCurrency($eachItem['base_qty'],"");?>
                        </td>
                        <td>
                            <?php echo $eachItem['base_unit']; ?>
                        </td>
                    </tr>
<?php $si_no++; } ?>
                </tbody>
            </table>
        </div>


    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px">
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
            <div class="col-12">
                <div class="col-6">
                    <p style="text-align:left;font-size:10px;padding-left:17px;">
                        Generated by : <?php echo $userModel->full_name; ?>
                    </p>
                </div>
                <div class="col-6">
                    <p style="text-align:right;font-size:10px;padding-right:17px;">
                        <?php
                        date_default_timezone_set("Asia/Dubai");
                       echo date('l, F j, Y') . " " . date("h:i a");
                        ?>
                    </p>
                </div>
            </div>
            <div style="text-align:center;width:100%;padding-top:-22px;">
                <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p>
            </div>
        </div>
    </htmlpagefooter>
    <sethtmlpagefooter name="myfooter" page="all" value="on" />
</body>

</html>
