<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'purchasereturn-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>
<div class="tab-content">
    <ul class="clearfix form-ul material">
        <li class="col-sm-3">
            <?php echo $form->hiddenField($model, 'invoice_id'); ?>
            <?php echo $form->textField($model, 'invoice_no', array('data-label'=>'Return No <span style="color:red;">*</span>','value' =>$model->pr_invoice->invoice_no,'readonly'=>true));?>
            <?php echo CHtml::hiddenField('PurchaseReturn_invoice_date',$invoice_date);?>
        </li>
        <li class="col-sm-3">
            <?php echo $form->hiddenField($model, 'id'); ?>
            <?php echo $form->hiddenField($model, 'return_no'); ?>
            <?php echo $form->textField($model, 'vendor_name', array('data-label'=>'Vendor <span style="color:red;">*</span>','value' =>$model->pr_vendor->vendor_name,'readonly'=>true));
                echo $form->hiddenField($model, 'vendor_id'); 
                echo $form->hiddenField($model, 'currency');
                echo $form->hiddenField($model, 'exchange_rate');
                ?>
        </li>
        <?php
            $return_date=date('d/m/Y');
            if($model->id>0)
            {
                if($model->return_date!='0000-00-00')
                {
                    $return_date=date('d/m/Y',strtotime($model->return_date));    
                }    
            }
        ?>
        <li class="col-sm-3">
            <?php echo $form->textField($model, 'return_date', array('data-label' => 'Return Date <span style="color:red;">*</span>', 'class' => 'datepicker','value'=>$return_date)); ?>
        </li>
        <li class="col-sm-3">
            <?php echo $form->textField($model, 'reference_no', array('data-label' => 'Reference No ')); ?>
        </li>
        <li class="col-sm-6">
            <?php echo $form->textArea($model, 'notes', array('data-label' => 'Notes')); ?>
        </li>
    </ul>

    <div id="div_purchase_return_details">
        <div class="table-responsive">
            <table class="table table-hover table-bordered personal-task" id="return_item_table">
                <tr>
                    <th style="width:20%">Item</th>
                    <th style="width:20%">Description</th>
                    <th style="width:5%">Return Qty.</th>
                    <th style="width:10%">Unit</th>
                    <th style="width:10%">Rate</th>
                    <th style="width:10%">Amount</th>
                    <th style="width:5%">Tax(%)</th>
                    <th style="width:5%">Excise Tax(%)</th>
                    <th style="width:10%">Net</th>
                </tr>
                <?php
                foreach ($modelItems as $i => $each){
                if($each->unit>0){
                    $each->unit_exchange=$each->pr_units->unit_exchange_rate;
                    $each->unit_price=$each->rate/$each->pr_units->unit_exchange_rate;
                }
                ?>
                    <tr>
                        <td>
                            <?php  echo $form->textField($each, "[" . $i . "]part_no", array('class'=>'tooltipster go','value'=>$each->pr_product->part_number,'readonly'=>true)); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]product_id"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]invoiced_qty"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]invoice_item_id"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]invoice_id"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]unit_price"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]unit_exchange"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]id"); ?>
                        </td>
                        <td>
                            <?php echo $form->textArea($each, "[" . $i . "]description", array( 'class' => 'tooltipster desc go en-text-area','readonly'=>true));  ?>
                        </td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]returned_quantity", array('class' => 'qty go cell-center text-right','onkeypress' => 'return isNumberKey(event)','onkeyup' =>'calculateReturnValue($("#return_item_table"))')); ?>
                        </td>
                        <td>
                        <div id=<?php echo "unitdiv_".$i;?>><?php 
                        if($each->unit>0)
                        {
                        $units=MasUnit::getSimilarUnits($each->unit);
                        }
                        else {
                        $units=array();
                        }
                        echo $form->dropdownList($each, "[" . $i . "]unit",$units, array('class' => 'qty go cell-center text-center','onchange'=>'getPriceOnUnitChange(this.id)')); 
                        ?></div>
                        </td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]rate", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateReturnValue($("#return_item_table"))','readonly' =>true)); ?>
                        </td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]amount", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event);','readonly' =>true)); ?>
                        </td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]tax_percentage", array('class' => 'amout go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateReturnValue($("#return_item_table"))','readonly' =>true)); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]tax_amount", array('class' => 'go cell-center text-center')); ?>
                        </td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]excise_percentage", array('class' => 'amount go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateReturnValue($("#return_item_table"))','readonly' =>true)); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]excise_amount", array('class' => 'go cell-center text-center')); ?>
                        </td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]net_amount", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event)','readonly' => 'readonly')); ?>
                        </td>
                        </tr>
                        <?php $total += $each->net_amount;  
                        $total_tax += $each->tax_amount; 
                        $total_excise += $each->excise_amount; 
                        $total_tax=$total_tax+$total_excise;
                } ?>
            </table>
            <table class="table table-hover table-bordered table-nexted order_grand_total">
                <tr  class="summary_tr bg-total"> 
                    <td width="70%" class="text-right table_total_title">
                    <h3>VAT</h3></td>
                    <td width="30%" class="text-right table_total">
                        <h3 class="vat" class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($total_tax, " "); ?>
                        </h3>
                    </td>
                </tr>
                <tr class="summary_tr bg-total">
                    <td width="70%" class="text-right table_total_title">
                            <h1>Grand Total</h1></td>
                    <td width="30%" class="text-right table_total">
                        <h1 class="grandtotal" class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(($total), " "); ?></h1>
                    </td>
                </tr>
                </table>
<?php if($model->id>0)
{
echo $form->hiddenField($model, 'paid', array('data-label' => 'Received','value'=>0));   
echo $form->hiddenField($model, 'discount', array('data-label' => 'Discount','value'=>0));
if($model->discount>0)
{
echo $form->hiddenField($model, 'old_discount', array('data-label' => 'Discount','value'=>$model->discount));
}
?>
<ul class="clearfix form-ul material">
<li class="col-sm-3">
<input type="checkbox" id="print" name="print" data-label="Print">
</li>
</ul>
<?php
}
else {
?>
<ul class="clearfix form-ul material">
<li class="col-sm-3">
<?php echo $form->textField($model, 'paid', array('data-label' => 'Paid')); ?>
</li>
<li class="col-sm-3">
<?php echo $form->textField($model, 'discount', array('data-label' => 'Discount')); ?>
</li>
<li class="col-sm-3">
<input type="checkbox" id="print" name="print" data-label="Print">
</li>
</ul>
<?php } ?>
        </div>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" id="pr_close" data-dismiss="modal">Close</button>
    <?php 
                $url = Yii::app()->createUrl('purchasereturn/Save');
                echo CHtml::ajaxSubmitButton('Save', $url, array(
                            'dataType' => 'json',
                            'type' => 'post',
                            'success' => 'function(data) {
                                if(data.status=="success"){  
                                    $("#pr_close").click();                                        
                                    t8.success("Purchase Return Details Saved Successfully!");
                                    if( data.generate_print )
                                    {
                                    window.open("index.php?r=purchaseinvoice/PrintPDF&id="+data.id);
                                    }
                                    reloadTable("#tbl_purchase_return");reloadTable("#tbl_purchase_invoice");
                                } else { 
                                    $("#purchasereturn-form .purchasereturn-save-btn").prop("disabled", false);
                                    $("#purchasereturn-form .purchasereturn-save-btn").addClass("btn-theme").removeClass("btn_loading");
                                    $.each(data, function(key, val) {
                                        $("#purchasereturn-form #"+key+"_em_").text(val).show(); 
                                        t8.error(""+val+""); 
                                    }); 
                                } 
                            }',
                            'beforeSend' => 'function(){
                                $(".toast8-error").hide(); 
                                $("#loader").show();
                                $("#purchasereturn-form .purchasereturn-save-btn").prop("disabled", true);                                
                                $("#purchasereturn-form .purchasereturn-save-btn").addClass("btn_loading").removeClass("btn-theme");
                                
                            }',
                            'complete' => 'function(){
                                $("#loader").hide();
                                $("#purchasereturn-form .purchasereturn-save-btn").prop("disabled", false);                                
                                $("#purchasereturn-form .purchasereturn-save-btn").addClass("btn-theme").removeClass("btn_loading");
                            }'
                                
                    ), array('id' => 'mybtn' . rand(), 'class' => 'purchasereturn-save-btn btn btn-theme'));
           
    ?>
</div>
<?php $this->endWidget(); ?>
<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;
$cs->registerScript("calculateReturnValue", " 
    $(document).ready(function(){
        calculateReturnValue($('#return_item_table'));
        var invoice_date=$('#PurchaseReturn_invoice_date').val();
        var invoice_date_1 = invoice_date.split('/');  
        var min_date = new Date(invoice_date_1[2], invoice_date_1[1] - 1, invoice_date_1[0]);
        $('#PurchaseReturn_return_date').datetimepicker({format: 'DD/MM/YYYY',minDate :min_date});
    });
    function getPriceOnUnitChange(id){
        var unit_id =$('#'+id).val();
        jQuery.ajax({
                'data' :{'unit':unit_id},
                'dataType' : 'json',
                'type':'post',
                'url': '" . Yii::app()->createUrl('Masunit/getUnitExchangeRate') . "',
                'success': function(data) {
                    var arr_fields= id.split('_');
                    var row_field  = arr_fields[1];
                    var exchang=Number(data.unit_exchange).toFixed(2);
                    $('#PurchaseReturnItems_'+row_field+'_unit_exchange').val(exchang);
                    var unitprice = $('#PurchaseReturnItems_'+row_field+'_unit_price').val();
                    var rate = Number(exchang*unitprice).toFixed(2);
                    $('#PurchaseReturnItems_'+row_field+'_rate').val(rate);
                    calculateReturnValue($('#return_item_table'));
                }
            });
    }
    function calculateReturnValue(jQtable) {
            formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
            var count,qty,rate,amount,net_amount,discount,costrate,unit_exchange,unitprice;
            var total   =   0;
            var grand_total =   0;
            var vat_total = 0;
            var net_amount = 0;
            jQtable.find('tr:gt(0)').each(function() {
                net_amount = 0;  discount = 0;
                unit_exchange = $(this).find('[id $=_unit_exchange]').val();
                rate = $(this).find('[id $=_rate]').val();
                if(unit_exchange>0)
                    unitprice =(Number(rate)/Number(unit_exchange)).toFixed(2);
                else
                    unitprice =0;
                $(this).find('[id $=_unit_price]').val(unitprice);
                qty =   $(this).find('[id $=_quantity]').val();
                rate_amount =   (Number(rate)*Number(qty)).toFixed(2);
                var excise_per =  $(this).find('[id $=_excise_percentage]').val();
                var excise_amount  = 0;
                if(excise_per > 0){
                    excise_amount = qty*(rate*excise_per)/100;
                }else{
                    excise_amount = 0;
                }
                excise_amount = Number(excise_amount).toFixed(2);

                amount =   ((Number(rate)*Number(qty))+ Number(excise_amount)).toFixed(2);
                total   =   Number(total)+Number(amount);
                if(amount > 0){
                    var tax_per =  $(this).find('[id $=_tax_percentage]').val();
                    var tax_amount  = 0;
                    if(tax_per > 0){
                        tax_amount = (amount*tax_per)/100;
                    }else{
                        tax_amount = 0;
                    }
                    tax_amount = Number(tax_amount).toFixed(2);
                    $(this).find('[id $=_amount]').val(Number(amount).toFixed(2));
                    $(this).find('[id $=_tax_amount]').val(tax_amount);
                    $(this).find('[id $=_excise_amount]').val(excise_amount);
                    net_amount=Number(Number(amount)+Number(tax_amount)).toFixed(2);
                    $(this).find('[id $=_net_amount]').val(net_amount);
                    grand_total += Number(net_amount);
                    vat_total += Number(tax_amount);
                } 
                else {
                    $(this).find('[id $=_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_tax_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_excise_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_net_amount]').val(Number(0).toFixed(2));  
                }
            });
            $('.total').html(Number(total).toFixed(2));
            $('.grandtotal').html(Number(grand_total).toFixed(2));
            $('.vat').html(Number(vat_total).toFixed(2));
        }
        
        
        ", CClientScript::POS_HEAD);
