<style>
    table,
    th,
    td {
        border: 1px solid black;
    }

    .txt-right {
        text-align: right !important;
    }

    .text-left {
        text-align: left;
    }
</style>

<table style="width:100%">


    <!-- <table class="table-tree"> -->
    <thead>
        <th colspan="10">
            <?php
            $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
            echo $userModel->companyDetails->name;
            ?>
        </th>
        </tr>
        <tr>

        </tr>
        <tr>
            <?php if (Yii::app()->user->user_access_type != 'SL') { ?>
                <th style="color: white ;background-color:#696969;" colspan="10">Transaction Detail</th>
            <?php } else { ?>
                <th style="color: white ;background-color:#696969;" colspan="9">Transaction Detail</th>
            <?php } ?>
        </tr>


        <?php

        if ($from != '') {
        ?>

            <tr>
                <td colspan="4"><b> From Date</b></td>
                <td class="text-left" colspan="6">
                    <?php echo $from; ?>
                </td>
            </tr>

        <?php
        }
        ?>

        <?php
        if ($to != '') {
        ?>

            <tr>
                <td colspan="4"><b>To Date</b></td>
                <td class="text-left" colspan="6">
                    <?php echo $to; ?>
                </td>
            </tr>

        <?php
        }
        ?>
        <?php
        if ((int)$salesman > 0) {
        ?>

            <tr>
                <td colspan="4"><b>Salesman</b></td>
                <td class="text-left" colspan="6">
                    <?php
                    $full_name = MasUsers::model()->findByPk((int)$salesman)->full_name;
                    echo $full_name ?>
                </td>
            </tr>

        <?php
        }
        ?>

        <?php
        if ((int)$product_id > 0) {
        ?>

            <tr>
                <td colspan="4"><b>Part Number</b></td>
                <td class="text-left" colspan="6">
                    <?php
                    echo  Inventory::model()->findByPk($product_id)->part_number; ?>
                </td>
            </tr>

        <?php
        }
        ?>

        <?php
        if ((int)$product_id > 0) {
        ?>

            <tr>
                <td colspan="4"><b>Product Name</b></td>
                <td class="text-left" colspan="6">
                    <?php
                    echo Inventory::model()->findByPk($product_id)->description;  ?>
                </td>
            </tr>

        <?php
        }
        ?>


        <tr></tr>
        <?php if ($product_id > 0) {
            $pdt_model = Inventory::model()->findByPk($product_id);
            $default_unit = $pdt_model->Unit_symbol;
        } ?>

        <tr class="head">
            <th style="width:5%">Date</th>
            <th style="width:8%">Transaction No</th>
            <th style="width:5%">Salesman</th>
            <th style="width:10%">Type</th>
            <th style="width:20%">Customer/Vendor</th>
            <?php if (Yii::app()->user->user_access_type != 'SL') { ?>
                <th style="width:5%">Cost/Item</th>
            <?php } ?>
            <th style="width:5%">Rate/Item</th>
            <th style="width:5%">Quantity</th>
            <th style="width:5%">Unit</th>

            <th style="width:10%">Balance(in <?php echo $default_unit; ?>)</th>
        </tr>
    </thead>
    <tbody>
        <?php $model  = new StockLedger();
        $condition      = '1=1';
        if ($outlet > 0) {
            $condition .= " AND t.outlet=" . $outlet;
        }
        if ($from != '' && $from != '00/00/0000') {
            $from = str_replace('/', '-', $from);
            $from = date("Y-m-d", strtotime($from));
            $condition .= ' AND t.transaction_date>="' . $from . '"';
        }
        if ($to != '' && $to != '00/00/0000') {
            $to = str_replace('/', '-', $to);
            $to = date("Y-m-d", strtotime($to));
            $condition .= ' AND t.transaction_date<="' . $to . '"';
        }
        if ($product_id > 0) {
            $condition .= ' AND t.product_id=' . $product_id;
        }
        if ($salesman > 0) {
            $condition .= ' AND (t.created_by=' . $salesman . ')';
        }
        //echo $condition;

        $transaction_sql = 'SELECT * FROM view_stockledger t 
                    WHERE ' . $condition . ' ORDER BY transaction_date,in_out asc';
        $arr_transactions = Yii::app()->db->createCommand($transaction_sql)->queryAll();
        $open_cond = 'product_id=' . $product_id;
        if ($outlet > 0) {
            $open_cond .= " AND t.outlet=" . $outlet;
        }
        if ($from != '' && $from != '00/00/0000') {
            $open_cond .= ' AND t.transaction_date<"' . $from . '"';
        }
        if ($salesman > 0) {
            $open_cond .= ' AND (t.created_by=' . $salesman . ')';
        }
        $open_bal_in_sql = 'SELECT SUM(default_qty) AS in_qty FROM view_stockledger t 
                    WHERE ' . $open_cond . ' AND in_out="IN" ';
        $open_bal_out_sql = 'SELECT SUM(default_qty) AS in_qty FROM view_stockledger t 
                    WHERE ' . $open_cond . ' AND in_out="OUT" ';
        $opening_in_qty = Yii::app()->db->createCommand($open_bal_in_sql)->queryScalar();
        $opening_out_qty = Yii::app()->db->createCommand($open_bal_out_sql)->queryScalar();
        $balance = $opening_in_qty - $opening_out_qty;
        ?>
        <tr>
            <?php if (Yii::app()->user->user_access_type != 'SL') { ?>
                <th colspan="9" class="text-right">Opening Balance</th>
            <?php } else { ?>
                <th colspan="8" class="text-right">Opening Balance</th>
            <?php } ?>
            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($balance, ''); ?></td>
        </tr>

        <?php if (!empty($arr_transactions)) {
            foreach ($arr_transactions as $row) {
                $cost_per_item = $rate_per_item = 0;
                if ($row['in_out'] == 'IN') {
                    $balance += $row['default_qty'];
                } else {
                    $balance -= $row['default_qty'];
                }
                if ($row['type'] == 'SI' || $row['type'] == 'SR') {
                    $rate_per_item = $row['rate'];
                }
                if ($row['type'] == 'PI' || $row['type'] == 'PR') {
                    $cost_per_item = $row['rate'];
                } else {
                    $cost_per_item = StockLedger::getAvgPurchaseRate($row['product_id'], '', $outlet);
                }
        ?>
                <tr>
                    <td><?php echo date("d/m/Y", strtotime($row['transaction_date'])); ?></td>
                    <td><?php echo $row['invoice_no']; ?></td>
                    <td><?php echo $row['transaction_type']; ?></td>
                    <td><?php echo $row['full_name']; ?></td>
                    <td><?php echo $row['customer_name']; ?></td>
                    <?php if (Yii::app()->user->user_access_type != 'SL') { ?>
                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($cost_per_item, ''); ?></td>
                    <?php } ?>
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($rate_per_item, ''); ?></td>
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['quantity'], ''); ?></td>
                    <td><?php echo $row['unit_label']; ?></td>

                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($balance, ''); ?></td>

                </tr>
            <?php } ?>
            <tr>
                <?php if (Yii::app()->user->user_access_type != 'SL') { ?>
                    <th colspan="9" class="text-right bg-info">Closing Balance</th>
                <?php } else { ?>
                    <th colspan="8" class="text-right bg-info">Closing Balance</th>
                <?php } ?>
                <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($balance, ''); ?></th>
            </tr>
        <?php } else { ?>
            <tr>
                <?php if (Yii::app()->user->user_access_type != 'SL') { ?>
                    <th colspan="10" class="text-center bg-info">No Details Found</th>
                <?php } else { ?>
                    <th colspan="9" class="text-center bg-info">No Details Found</th>
                <?php } ?>
            </tr>
        <?php } ?>
    </tbody>
</table>