<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="text-center panel-heading clearfix"><h4><b>DAILY SALES REPORT </b></h4></header>
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <?php if( Yii::app()->user->user_access_type == 'SU' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('daybook_outlet', '', MasOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php }else{
                         echo CHtml::hiddenField('daybook_outlet',Yii::app()->user->outlet_id);
                    } ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('daybook_from_date', date('d/m/Y 00:00',strtotime('-1 days')), array('class' => 'datetimepicker tooltipster', 'data-label' => 'From Date')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('daybook_to_date', date('d/m/Y 23:59:00'), array('class' => 'datetimepicker tooltipster', 'data-label' => 'To Date')); ?>
                    </li>
                    <li class="col-sm-2">
                    <?php
                    $outlet=(int) Yii::app()->user->outlet_id;
                    if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU'|| Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM')
                    {
                    $uarray=array('class'=>'tooltipster','data-label'=>'User','prompt' => 'All Users');
                    if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU'){
                    $outlet=0;
                    }
                    }
                    else if( Yii::app()->user->user_access_type == 'SL')
                    {
                    $uarray=array('class'=>'tooltipster','data-label'=>'User');
                    }
                    echo CHtml::dropdownlist('created_user','',MasUsers::get_outlet_salesandadmin($outlet), $uarray);
                    ?>
                    </li>
                    <li class="col-sm-4">
                        <?php echo CHtml::hiddenField('daily_sales_customer_id'); ?>
                        <?php echo CHtml::textField('daily_sales_customer', '', array('class' => 'tooltipster', 'data-label' => 'Customer', 'onKeypress' => 'js:customers(this.id);')); ?>
                    </li>
                     <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reports/PdfdailysalesReport1&outlet='+$('#daybook_outlet').val()+'&daybook_from_date='+$('#daybook_from_date').val()+'&daybook_to_date='+$('#daybook_to_date').val()+'&customer_id='+$('#daily_sales_customer_id').val()+'&salesman='+$('#created_user').val(), '_blank'); ">PDF</a> 
                        <!--<a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportpdf/netsales&outlet='+$('#netsales_outlet').val()+'&from='+$('#netsales_date_from').val()+'&to='+$('#netsales_date_to').val()+'&customer_id='+$('#netsales_customer_id').val()+'&salesman='+$('#netsales_salesman').val()), '_blank'); ">PDF</a>-->
                        <!--<a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/netsales&outlet='+$('#netsales_outlet').val()+'&from='+$('#netsales_date_from').val()+'&to='+$('#netsales_date_to').val()+'&customer_id='+$('#netsales_customer_id').val()+'&salesman='+$('#netsales_salesman').val());">XLS</a>-->
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="gl_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<?php 

$cs = Yii::app()->getClientScript();

    $cs->registerScript("customers", "function customers(field_id)
    {
        $('#customer_id').val('');
        var url = '" . Yii::app()->createUrl('reports/get_customers') . "';
        $('#daily_sales_customer_id').val('');
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response, url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false; },
            select      : function( event, ui ) {
                event.preventDefault();
                $('#daily_sales_customer_id').val(ui.item.value);
                $('#daily_sales_customer').val(ui.item.label);
            }
        });
    }", CClientScript::POS_HEAD);
    $cs->registerScript("loadPage", "function loadPage(){
        $('#loader').show();
        jQuery.ajax({
            'type': 'post',
            'url': '" . Yii::app()->createUrl('reports/HtmldailysalesReport1') . "',
            'data' : { 'outlet' : $('#daybook_outlet').val(), 'daybook_from_date' : $('#daybook_from_date').val(),'daybook_to_date' : $('#daybook_to_date').val(), 'created_user' : $('#created_user').val(), 'customer_id' : $('#daily_sales_customer_id').val()},
            'success': function(data) {
                $('#data_div').show();
                $('.main-li-data').html(data);
                $('#loader').hide();
            }
        });
    }", CClientScript::POS_HEAD);
?>