<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="text-center panel-heading clearfix"><h4><b>PURCHASE RETURNS</b></h4></header>
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <?php if( Yii::app()->user->user_access_type == 'SU' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('purchasereturn_outlet', '', MasOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php }else{
                         echo CHtml::hiddenField('purchasereturn_outlet',Yii::app()->user->outlet_id);
                    } ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('purchasereturn_date_from', date('01/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'From')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('purchasereturn_date_to', date('t/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'To')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::dropdownlist('purchasereturn_vendor_id', '', Vendor::getAllVendors(),array('class' => 'tooltipster', 'data-label' => 'Vendor', 'prompt' => 'All','data-search'=>true)); ?>
                    </li>
                    <?php if( Yii::app()->user->user_access_type == 'SL' ) { ?>
                            <?php echo CHtml::hiddenField('purchasereturn_salesman','',array('value'=>Yii::app()->user->id));?>
                    <?php }else{ ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::dropdownlist('purchasereturn_salesman', '', MasOutlets::salesmans(), array('class' => 'tooltipster', 'data-label' => 'Salesman', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                            
                    <?php } ?>
                     <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reports/Pdfpurchasereturns&outlet='+$('#purchasereturn_outlet').val()+'&from='+$('#purchasereturn_date_from').val()+'&to='+$('#purchasereturn_date_to').val()+'&vendor_id='+$('#purchasereturn_vendor_id').val()+'&salesman='+$('#purchasereturn_salesman').val(), '_blank'); ">PDF</a>
                        <!--<a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportpdf/purchasereturns&outlet='+$('#purchasereturn_outlet').val()+'&from='+$('#purchasereturn_date_from').val()+'&to='+$('#purchasereturn_date_to').val()+'&vendor_id='+$('#purchasereturn_vendor_id').val()+'&salesman='+$('#purchasereturn_salesman').val(), '_blank'); ">PDF</a>-->
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/purchasereturns&outlet='+$('#purchasereturn_outlet').val()+'&from='+$('#purchasereturn_date_from').val()+'&to='+$('#purchasereturn_date_to').val()+'&vendor_id='+$('#purchasereturn_vendor_id').val()+'&salesman='+$('#purchasereturn_salesman').val());">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="gl_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<?php 

$cs = Yii::app()->getClientScript();
    $cs->registerScript("loadPage", "function loadPage(){
        $('#loader').show();
        jQuery.ajax({
            'type': 'post',
            'url': '" . Yii::app()->createUrl('reports/Htmlpurchasereturns') . "',
            'data' : { 'outlet' : $('#purchasereturn_outlet').val(), 'from' : $('#purchasereturn_date_from').val(), 'to' : $('#purchasereturn_date_to').val(), 'vendor_id' : $('#purchasereturn_vendor_id').val(), 'salesman' : $('#purchasereturn_salesman').val() },
            'success': function(data) {
                $('#data_div').show();
                $('.main-li-data').html(data);
                $('#loader').hide();
            }
        });
    }", CClientScript::POS_HEAD);
?>