<div class="table-responsive">
        <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:3%">Sl No.</th>
                <th style="width:7%">Voucher No.</th>
                <th style="width:7%">Inv No.</th>
                <th style="width:10%">Inv. Date</th>
                <th style="width:25%">Customer</th>
                <th style="width:10%">Inv. Amount</th>
                <th style="width:10%">Voucher Date</th>
                <th style="width:10%">Receipt Amount</th>
                <th style="width:10%">Discount</th>
                <th style="width:10%">Balance</th>
            </tr>
        </thead>
        <tbody>
            <?php 
                $CashAccount=FinanceSystemAccountsMapping::getSystemdefault('cash_account');
                $condition_expense="1=1 AND H.is_posted='Y' AND H.is_posted='Y' AND amount<0 AND ledger_id=".$CashAccount;
                $condition_cash="1=1 AND H.is_posted='Y' AND H.is_posted='Y' AND amount>0 AND ledger_id=".$CashAccount;
                
            if($outlet>0){
                $condition_expense.=" AND I.outlet=".$outlet;
                $condition_cash.=" AND I.outlet=".$outlet;
            }
           /* if($created_user>0){
                $condition_expense.=" AND H.created_by=".$created_user;
                $condition_cash.=" AND H.created_by=".$created_user;
            }*/
            
            if ($created_user > 0) {
                $subledger_id = FinanceSubledger::model()->find(array('condition' => 'subledger_type_id=3 AND parent_id=' . $created_user))->id;
                if ((int)$subledger_id > 0) {
                    $condition_expense .= " AND I.subledger_id=" . $subledger_id;
                    $condition_cash .= " AND I.subledger_id=" . $subledger_id;
                }
            }
            
            if($from_date!='' && $to_date!='')
            {
                $from_date = str_replace('/', '-',$from_date);
                $from_date=date("Y-m-d", strtotime($from_date)); 
                $to_date = str_replace('/', '-',$to_date);
                $to_date=date("Y-m-d", strtotime($to_date)); 
                $condition_cash.=' AND (H.voucher_date>="'.$from_date.'" AND H.voucher_date<="'.$to_date.'")';  
            }
        //Expense & Cash
        $grand_total=0;
        $received_total=0;
        $discount_tot=0;
        $expenses=Yii::app()->db->createCommand("SELECT H.voucher_no,H.id,I.id AS voucher_item_id,H.voucher_date,I.amount FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id where $condition_cash")->queryAll();
        foreach ($expenses as $i=>$row)
        {       
            if($customer_id>0)
            {
            $subledger=FinanceSubledger::model()->find(array('condition'=>'subledger_type_id=1 AND parent_id='.$customer_id));  
            }
                $voucher=FinanceVoucherItems::model()->find(array('condition'=>'amount<0 AND header_id='.$row['id']));
                if($voucher->id>0){
                    $invoice=SalesInvoice::model()->findByPk($voucher->parent->header_table_id);
//                    $received_amount=-1*Yii::app()->db->createCommand('select sum(amount) from erp_finance_allocation_items where voucher_item_id='.$voucher->id)->queryScalar();
                }else{
//                    $received_amount=0;
                }
        ?>
            <?php if($customer_id>0)
            {
            if($voucher->subledger_id==$subledger->id)
            {
            ?>
                <tr>
                    <td style="text-align:center !important;"><?php echo ($i+1); ?></td> 
                    <td style="text-align:left !important;"><?php echo $row['voucher_no']; ?></td> 
                    <td style="text-align:left !important;"><?php echo $invoice->invoice_no; ?></td> 
                    <td style="text-align:left !important;"><?php if($invoice->invoice_no>0) { echo date('d/m/Y',strtotime($invoice->invoice_date)); } ?></td> 
                    <td style="text-align:left !important;"><?php echo $voucher->subledger->description; ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total,""); ?></td>
                    <td style="text-align:left !important;"><?php echo date('d/m/Y',strtotime($row['voucher_date'])); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row['amount'],""); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->discount,""); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total-$row['amount']-$invoice->discount,""); ?></td>
                </tr>
        <?php
        $grand_total+=$invoice->grand_total;
        $received_total+=1*$row['amount'];
        $discount_tot+=$invoice->discount;
            }
            }
            else {
                if($voucher->subledger->description!='')
                {
                ?>
                <tr>
                    <td style="text-align:center !important;"><?php echo ($i+1); ?></td> 
                    <td style="text-align:left !important;"><?php echo $row['voucher_no']; ?></td> 
                    <td style="text-align:left !important;"><?php echo $invoice->invoice_no; ?></td> 
                    <td style="text-align:left !important;"><?php if($invoice->invoice_no>0) { echo date('d/m/Y',strtotime($invoice->invoice_date)); } ?></td> 
                    <td style="text-align:left !important;"><?php echo $voucher->subledger->description; ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total,""); ?></td>
                    <td style="text-align:left !important;"><?php echo date('d/m/Y',strtotime($row['voucher_date'])); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row['amount'],""); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->discount,""); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total-$row['amount']-$invoice->discount,""); ?></td>
                </tr>
        <?php
        $grand_total+=$invoice->grand_total;
        $received_total+=1*$row['amount'];
        $discount_tot+=$invoice->discount;
                }
            }
        } 
        $cash_collected=$received_total;
        ?>
                <tr>
                    <td style="text-align:right !important;" colspan="5"><b>Total</b></td> 
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total,""); ?></b></td>
                    <td style="text-align:right !important;"></td> 
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($received_total,""); ?></b></td> 
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($discount_tot,""); ?></b></td> 
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total-$received_total-$discount_tot,""); ?></b></td>
                </tr>
        </tbody>
    </table>
</div>