<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Location</th>
                <th>State</th>
                <th>Phone</th>
                <th>Mobile</th>
                <th>TRN #</th>
                <?php if(Yii::app()->user->user_access_type == 'SU' ){ ?><th>Outlet</th><?php } ?>
                <th>Balance</th>
            </tr>
        </thead>
        <tbody>
            <?php  $model  = new Customer();
            $condition      = '1=1';
            if($outlet>0){
                $condition.=" AND t.outlet=".$outlet;
            }
            if($state>0){
                $condition.=" AND t.state=".$state;
            }
            if($customer_id>0)
            {
                $condition.=' AND t.id='.$customer_id;    
            }
            if($salesman >0)
            {
//                $condition.=" AND (t.created_by = ".$salesman." OR FIND_IN_SET(".$salesman.",accessed_by))";
                $condition.=" AND (FIND_IN_SET(".$salesman.",accessed_by))";
            }
            $arr_customers       = $model->with('state_detail','outlet_detail')->findAll(array('condition' => $condition,'order'=>'customer_name ASC'));
            if(!empty($arr_customers)){
                foreach ($arr_customers as $row)
                {
                ?>
                <tr>
                    <td><?php echo $row['customer_no'];?></td>
                    <td><?php echo $row['customer_name'];?></td>
                    <td><?php echo $row['location'];?></td>
                    <td><?php echo $row['state_detail']['state_name'];?></td>
                    <td><?php echo $row['phone'];?></td>
                    <td><?php echo $row['mobile'];?></td>
                    <td><?php echo $row['trn_no'];?></td>
                    <?php if(Yii::app()->user->user_access_type == 'SU' ){ echo '<td>'.$row['outlet_detail']['outlet_name'].'</td>'; } ?>
                    <td>
                    <?php
                    $balance=Yii::app()->db->createCommand('select ROUND(SUM(amount*exchange_rate),2) from {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id INNER JOIN {{finance_subledger}} S ON S.id=I.subledger_id  where I.ledger_id=2 AND S.subledger_type_id=1 AND S.parent_id='.$row['id'].' AND H.is_posted="Y"')->queryScalar();   
                    echo Yii::app()->numberFormatter->formatCurrency($balance,"");
                    ?>
                    </td> 
                </tr>
                <?php } ?>
            <?php }else{?>
            <tr>
                    <th colspan="9" class="text-center bg-info">No Details Found</th>
            </tr>
            <?php } ?>
        </tbody>
    </table>
</div>