<div class="table-responsive">

    <div class="">
        <div class="col-12">
            <div class="input-block">
                <b><?php echo 'Target Report'; ?></b>

            </div>
            <br>

            <table class="table table-hover table-striped table-bordered ">
                <tr>
                    <td><b>From </b></td>
                    <td>
                        <?php echo $firstDateOfMonth; ?>
                    </td>

                    <td><b>To(Target By )</b></td>
                    <td>
                        <?php echo $target_by_date; ?>
                    </td>



                    <td><b>Balance Days</b></td>
                    <td>
                        <?php
                        $working_day_balance = $no_of_working_days - $days_passed;
                        echo $working_day_balance; ?>
                    </td>



                </tr>


            </table>
        </div>
    </div>
    <!-- <b>Target Report</b> -->

    <table class="table table-hover table-striped table-bordered ">
        <thead class="btn-theme">

            <tr>
                <th>Sl No.</th>
                <th>SALES PERSON</th>
                <th>MONTH TARGET</th>
                <th class="text-center" colspan="2">MTD ACHEIVMENT </th>
                <th>BALANCE</th>
                <th>DAY TARGET</th>
                <th>REQUIRED TARGET /DAY</th>

            </tr>
        </thead>
        <tbody>
            <?php

            if (!empty($data)) {
                $sl = 1;
                $total_required_target_per_day =  $total_day_target = 0;
                $total_balance = $total_targetAmount = $total_amount_withoutvat = $total_mid_per = 0;

                foreach ($data as $row) {
                    $MasUsers = new MasUsers();
                    $userid = $row['userId'];
                    $MasUsers = $MasUsers->findByPK($userid)->full_name;
                    $condition = '1=1';
                    $condition_cn = '1=1';


                    if ($userid > 0) {
                        $condition .= ' AND (I.sales_man=' . $userid . ')';
                        $condition_cn .= ' AND (I.sales_man=' . $userid . ')';
                    }

                    if ($firstDateOfMonth != '' && $firstDateOfMonth != '00/00/0000') {
                        $from = str_replace('/', '-', $firstDateOfMonth);
                        $from = date("Y-m-d", strtotime($from));
                        $condition .= ' AND I.invoice_date>="' . $from . '"';
                        $condition_cn .= ' AND CN.return_date>="' . $from . '"';
                    }
                    if ($target_by_date != '' && $target_by_date != '00/00/0000') {
                        $to = str_replace('/', '-', $target_by_date);
                        $to = date("Y-m-d", strtotime($to));
                        $condition .= ' AND I.invoice_date<="' . $to . '"';
                        $condition_cn .= ' AND CN.return_date<="' . $to . '"';
                    }

                    $sales_view_sql = 'CREATE OR REPLACE VIEW view_net_sale_report_for_testing AS
                                (
                                    SELECT "I" as type, I.id, I.customer_id, I.sales_man, I.invoice_no, I.invoice_date, U.full_name, I.exchange_rate, I.total_amount, I.grand_total, I.tax_total, I.outlet, I.active
                                    FROM {{sales_invoice}} I
                                    LEFT JOIN bluesell_new_main.erp_users U ON U.id = I.sales_man
                                    WHERE ' . $condition . '
                                )
                                UNION ALL
                                (
                                    SELECT "CN" as type, CN.id, I.customer_id, I.sales_man,
                                    CN.return_no AS invoice_no, CN.return_date AS invoice_date, 
                                    U.full_name, I.exchange_rate, -1 * (CN.total_amount), -1 * (CN.grand_total), -1 * (CN.tax_total), CN.outlet, CN.active 
                                    FROM {{sales_return}} CN
                                    LEFT JOIN {{sales_invoice}} I ON I.id = CN.invoice_id
                                    LEFT JOIN bluesell_new_main.erp_users U ON U.id = I.sales_man
                                    WHERE ' . $condition_cn . '
                                )';

                    Yii::app()->db->createCommand($sales_view_sql)->execute();


                    $sales_sql = 'SELECT t.full_name,sum(t.total_amount) as total_amount, sum(t.tax_total) as tax_total,sum(t.grand_total) as grand_total,t.exchange_rate FROM view_net_sale_report_for_testing t 
                    GROUP BY t.sales_man  ORDER BY t.invoice_date ASC, t.type DESC';

                    $arr_invoices            = Yii::app()->db->createCommand($sales_sql)->queryAll();

                    $amount_withoutvat       = $arr_invoices[0]['exchange_rate'] * $arr_invoices[0]['total_amount'];
                    $mid_per                 = ($row['targetAmount'] > 0) ? ($amount_withoutvat / $row['targetAmount']) * 100  : 0;
                    $balance                 = $row['targetAmount'] - $amount_withoutvat;
                    $day_target              = $amount_withoutvat / $no_of_working_days;
                    $required_target_per_day = $balance / $working_day_balance;

                    if ($required_target_per_day <= $day_target) {
                        $color = '#b2e0b2';
                    } else {
                        $color = '';
                    }

            ?>
                    <tr>

                        <td><?php echo $sl; ?></td>
                        <td><?php echo $MasUsers; ?></td>
                        <td class="text-right">
                            <?php echo Yii::app()->numberFormatter->formatCurrency($row['targetAmount'], '');
                            $total_targetAmount += $row['targetAmount'];
                            ?>
                        </td>
                        <td class="text-right">
                            <?php echo Yii::app()->numberFormatter->formatCurrency($amount_withoutvat, '');
                            $total_amount_withoutvat += $amount_withoutvat;
                            ?>
                        </td>
                        <td class="text-right">
                            <?php
                            echo Yii::app()->numberFormatter->formatCurrency($mid_per, '') . '%';
                            $total_mid_per += $mid_per;
                            ?>
                        </td>
                        <td class="text-right">
                            <?php
                            echo Yii::app()->numberFormatter->formatCurrency($balance, '');
                            $total_balance += $balance;
                            ?>
                        </td>
                        <td class="text-right">
                            <?php
                            echo Yii::app()->numberFormatter->formatCurrency($day_target, '');
                            $total_day_target += $day_target;
                            ?>
                        </td>
                        <td class="text-right" style="background-color: <?php echo $color; ?>">
                            <?php
                            echo Yii::app()->numberFormatter->formatCurrency($required_target_per_day, '');
                            $total_required_target_per_day += $required_target_per_day;
                            ?>
                        </td>
                    </tr>
            <?php
                    $sl++;
                }
            } ?>
        </tbody>
        <tr>
            <td class="text-right bg-info" colspan="2"><b>Total</b></td>
            <td class="text-right bg-info"><b> <?php echo Yii::app()->numberFormatter->formatCurrency($total_targetAmount, ''); ?></b></td>
            <td class="text-right bg-info"><b> <?php echo Yii::app()->numberFormatter->formatCurrency($total_amount_withoutvat, ''); ?></b></td>
            <td class="text-right bg-info"><b> <?php echo Yii::app()->numberFormatter->formatCurrency($total_mid_per, '') . '%'; ?></b></td>
            <td class="text-right bg-info"><b> <?php echo Yii::app()->numberFormatter->formatCurrency($total_balance, ''); ?></b></td>
            <td class="text-right bg-info"><b> <?php echo Yii::app()->numberFormatter->formatCurrency($total_day_target, ''); ?></b></td>
            <td class="text-right bg-info "><b> <?php echo Yii::app()->numberFormatter->formatCurrency($total_required_target_per_day, ''); ?></b></td>

        </tr>


    </table>
    <div class="button-container text-center">
        <a type="button" class="btn btn-sm btn-theme" id="PdfviewButton">PDF</a>
        <a type="button" class="btn btn-sm btn-theme" id="ExcelviewButton">Excel</a>
    </div>

</div>
<input type="hidden" id="no_of_working_days" value="<?php echo $no_of_working_days; ?>">
<input type="hidden" id="days_passed" value="<?php echo $days_passed; ?>">
<input type="hidden" id="target_by_date" value="<?php echo $target_by_date; ?>">
<input type="hidden" id="firstDateOfMonth" value="<?php echo $firstDateOfMonth; ?>">


<?php
// Assuming $data is already defined and contains the array of salesperson information and their targets.
$dataJson = json_encode($data);
?>

<script>
    $(document).ready(function() {
        $('#PdfviewButton').on('click', function() {
            var no_of_working_days = parseFloat($('#no_of_working_days').val());
            var days_passed = parseFloat($('#days_passed').val());

            var target_by_date = $('#target_by_date').val();
            var firstDateOfMonth = $('#firstDateOfMonth').val();

            // Convert the $data array to a JSON string
            var dataJson = <?php echo $dataJson; ?>;

            // Convert the JSON string to a URL-safe encoded string
            var dataQueryString = encodeURIComponent(JSON.stringify(dataJson));


            var liveSite = $('#liveSite').val();

            // Constructing the URL for the Excel report
            var url = liveSite + 'index.php?r=reports/PdfTargetreport';
            url += '&no_of_working_days=' + no_of_working_days + '&days_passed=' + days_passed + '&target_by_date=' + target_by_date + '&firstDateOfMonth=' + firstDateOfMonth;
            // Append the data as a query parameter
            url += '&data=' + dataQueryString;
            cache: false, // Add this line to disable caching
                // Opening the Excel report in a new tab
                window.open(url, '_blank');
        });


        $('#ExcelviewButton').on('click', function() {
            var no_of_working_days = parseFloat($('#no_of_working_days').val());
            var days_passed = parseFloat($('#days_passed').val());

            var target_by_date = $('#target_by_date').val();
            var firstDateOfMonth = $('#firstDateOfMonth').val();

            // Convert the $data array to a JSON string
            var dataJson = <?php echo $dataJson; ?>;

            // Convert the JSON string to a URL-safe encoded string
            var dataQueryString = encodeURIComponent(JSON.stringify(dataJson));


            var liveSite = $('#liveSite').val();

            // Constructing the URL for the Excel report
            var url = liveSite + 'index.php?r=reportexcel/ExcelTargetreport';
            url += '&no_of_working_days=' + no_of_working_days + '&days_passed=' + days_passed + '&target_by_date=' + target_by_date + '&firstDateOfMonth=' + firstDateOfMonth;
            // Append the data as a query parameter
            url += '&data=' + dataQueryString;
            cache: false, // Add this line to disable caching
                // Opening the Excel report in a new tab
                window.open(url, '_blank');
        });
    });
</script>