<!DOCTYPE html>
<html>
<head>
    <title><?php echo date('dmYhis'); ?></title>
</head>
<body>
<?php $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);   ?>    
<div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <small><?php echo $userModel->companyDetails->billing_address ?></small>
                </div>
            </div>
<div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;"> 
    <!--add New Template-->
    <div class="">
        <div class="col-6">
                <div class="input-block">
                    <b><?php echo 'Sales Return Report'; ?></b>
                </div>
                <br> <br> <br>
                <table class="table" style="width:50%">
                <tr>
                    <td>From</td>
                    <td>
                        <?php echo date('d/m/Y',strtotime($from));?>
                    </td>
                </tr>
                <tr>
                    <td>To</td>
                    <td>
                        <?php echo date('d/m/Y',strtotime($to));?>
                    </td>
                </tr>
                <?php if($vendor_id>0) { ?>
                <tr>
                    <td>Vendor</td>
                    <td>
                        <?php echo Customer::model()->findByPk($vendor_id)->vendor_name; ?>
                    </td>
                </tr>
                <?php } ?>
                <?php if($salesman>0) { ?>
                <tr>
                    <td>Salesman</td>
                    <td>
                    <?php echo MasUsers::model()->findByPk($salesman)->full_name; ?>
                    </td>
                </tr>
                <?php } ?>
            </table>
        </div>

    </div>
    <br>
    <div class="col-md-12">
   <div class="table-responsive">
    <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:1%">Date</th>
                <th style="width:1%">Ret #</th>
                <th style="width:1%">Inv #</th>
                <th style="width:10%">Customer</th>
                <th style="width:5%">Salesman</th>
                <th class="bg-danger" style="width:4%">VAT</th>
                <th class="bg-danger" style="width:4%">Grand Total</th>
                <th style="width:1%">Currency</th>
                <th class="bg-success" style="width:4%">VAT(BC)</th>
                <th class="bg-success" style="width:4%">Grand Total(BC)</th>
            </tr>
        </thead>
        <tbody>
            <?php  $model  = new SalesReturn();
            $condition      = '1=1';
            if($outlet>0){
                $condition.=" AND t.outlet=".$outlet;
            }
            if($from!='' && $from!='00/00/0000')
            {
                $from = str_replace('/', '-',$from);
                $from=date("Y-m-d", strtotime($from));
                $condition.=' AND t.return_date>="'.$from.'"';    
            }
            if($to!='' && $to!='00/00/0000')
            {
                $to = str_replace('/', '-',$to);
                $to=date("Y-m-d",strtotime($to));
                $condition.=' AND t.return_date<="'.$to.'"';    
            }
            if($vendor_id>0)
            {
                $condition.=' AND t.vendor_id='.$vendor_id;    
            }
            if($salesman >0)
            {
                $condition.=' AND (sr_invoice.sales_man='.$salesman.')';    
            }
            $arr_returns       = $model->with('sr_invoice','sr_customer','sr_outlet','sr_user','sr_invoice.si_salesman')->findAll(array('condition' => $condition));
            $total_vat_bc=$total_amount_bc=0;
            if(!empty($arr_returns)){
                foreach ($arr_returns as $row)
                {  
                    if($row['active']=='N'){
                        $row['tax_total']=0;
                        $row['grand_total']=0;
                    }
                    $total_vat_bc+=($row['tax_total']*$row->sr_cur->exchange_rate);
                    $total_amount_bc+=($row['grand_total']*$row->sr_cur->exchange_rate);
                ?>
                <tr>
                   <td><?php echo date("d/m/Y",strtotime($row['return_date']));?></td> 
                    <td>
                    <?php 
                    $prefix=FormMaster::model()->find(array('condition'=>'outlet='.$userModel->outlet_id.' AND code="SI"'))->prefix;
                    if($prefix!='')
                    {
                    echo $prefix.'/';    
                    }
                    echo $row['return_no'];
                    ?>
                    </td> 
                   
                   <td>
                       <?php 
                    $prefix=FormMaster::model()->find(array('condition'=>'outlet='.$userModel->outlet_id.' AND code="SI"'))->prefix;
                    if($prefix!='')
                    {
                    echo $prefix.'/';    
                    }
                   echo $row['sr_invoice']['invoice_no'];
                    ?>
                    </td>
                   <td><?php echo  $row['sr_customer']['customer_name'];?></td> 
                   <td><?php echo $row['sr_invoice']['si_salesman']['full_name'];?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['tax_total'],'');?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['grand_total'],'');?></td> 
                   <td><?php echo $row->sr_cur->currency_code;?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['tax_total']*$row->sr_cur->exchange_rate,'');?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['grand_total']*$row->sr_cur->exchange_rate,'');?></td> 
                    
                </tr>
                <?php } ?>
                <tr>
                    <th colspan="8" class="text-right bg-info">Total</th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_vat_bc,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_amount_bc,'');?></th>
                </tr>
            <?php }else{?>
            <tr>
                    <th colspan="10" class="text-center bg-info">No Details Found</th>
            </tr>
            <?php } ?>
        </tbody>
    </table>
</div>  
</div>
    <htmlpagefooter name="myfooter">
    <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
        <?php
                  date_default_timezone_set("Asia/Dubai");
                 echo date('d/m/Y')." ".date("h:i:sa"); ?>
    </div>

    
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
             <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>