<!DOCTYPE html>
<html>
    <head>
        <title>Bluesky Technologies - E-Sell</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
        <style>
            body { background:#ECF0F1;padding:20px 0; font-family:Arial, Helvetica, sans-serif}

            .container .title{ background:#0d8bf2; color:#fff; border-radius:5px;  text-align:center; font-size:24px; font-weight:600; padding:20px 0px; margin-bottom:10px;}
            .pay-details{background:#A1C7DA;border:1px solid #0d8bf2; border-radius:5px; padding:5px 10px; margin:10px;}
            .tableFixHead {
                overflow-y: auto;
                max-height: 310px;
            }
            .tableFixHead thead th{
                background:#0d8bf2;
                color:#fff;
                position: sticky;
                top: 0;
            }

            .tablebdr {border-collapse: collapse; background:#fff;}

            .tablebdr, .tablebdr th,.tablebdr td {border: 1px solid #A1C7DA; }
            .tablebdr th,.tablebdr td { padding:5px}
            .tablebdr td.bg{background:#A1C7DA; text-align:center;}

            input[type=text] {border:1px solid #ccc!important;outline:none!important;max-width:60px; border:1px solid #ccc;}
            .button {  
                border: none!important;
                outline:none!important;
                transition-duration: 0.4s;
                background:#0d8bf2; 
                color: #fff;
                padding:5px 10px;
                border-radius:5px;
            }

            .button:hover {  
                background:#008CBA; 
            } 


        </style>
    </head>
    <body>
        <div class="panel">
            <div class="container">
                <div class="title">Bluesky Technologies - E-Sell</div>
                <table width="100%" border="0" cellspacing="2" cellpadding="5">
                    <tr>
                        <td width="33%" height="30" align="left" valign="middle">Al Majaz Trading LLC</td>
                        <td width="8%" valign="middle">Friday</td>
                        <td width="9%" valign="middle">09/11/2020</td>
                        <td width="22%" valign="middle">08:44:00 AM</td>
                        <td width="8%" valign="middle"><strong>User :</strong></td>
                        <td width="9%" valign="middle">Sales 01</td>
                        <td width="11%" rowspan="3" align="center" valign="middle"><img src="" width="100" height="80"></td>
                    </tr>
                    <tr>
                        <td height="30" align="left" valign="middle">C1-208, Ajman, UAE</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td><strong>Valid Until</strong></td>
                        <td>12/31/2020</td>
                    </tr>
                    <tr>
                        <td height="30" align="left" valign="middle"><strong>VAT </strong>: 100324947646530003</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                    </tr>
                </table>
                <table width="100%" border="0" cellspacing="2" cellpadding="5">
                    <tr>
                        <td width="74%" style="padding-top:20px">  
                            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                    <td width="50%"><span style="padding-right:20px"><strong>Name</strong></span> Cash Customer</td>
                                    <td width="50%"><span style="padding-right:20px"><strong>Inv No</strong></span> 5247</td>
                                </tr>
                            </table>
                            <div class="tableFixHead">
                                <table class="tablebdr " width="100%" border="0" cellspacing="0" cellpadding="5" style="margin-top:20px;">
                                    <thead>
                                        <tr>
                                            <th width="11%" height="30"><strong>Part No</strong></th>
                                            <th ><strong>Description</strong></th>
                                            <th width="10%"><strong>Qty</strong></th>
                                            <th width="10%"><strong>Rate</strong></th>
                                            <th width="10%"><strong>Vat %</strong></th>
                                            <th width="12%"><strong>VAT Amt</strong></th>
                                            <th width="10%"><strong>Total</strong></th>
                                            <th width="8%">&nbsp;</th>
                                        </tr>
                                        <tr>
                                            <td height="30" class="bg"><input type="text" name="" value=""  ></td>
                                            <td>&nbsp;</td>
                                            <td  class="bg"><input type="text" name="" value="" ></td>
                                            <td  class="bg"><input type="text" name="" value="" ></td>
                                            <td>&nbsp;</td>
                                            <td>&nbsp;</td>
                                            <td>&nbsp;</td>
                                            <td><button class="button" type="button">ADD</button></td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td height="30">BIS001</td>
                                            <td>Biscuit 250gm - Brittania</td>
                                            <td align="center">1.00</td>
                                            <td align="center">7.50</td>
                                            <td align="center">5</td>
                                            <td align="center">0.38</td>
                                            <td align="center">7.88</td>
                                            <td>x</td>
                                        </tr>
                                        <tr>
                                            <td height="30">BIS002</td>
                                            <td>Cake Brittania - 500gm - Plum</td>
                                            <td align="center">2.00</td>
                                            <td align="center">12.50</td>
                                            <td align="center">5</td>
                                            <td align="center">1.25</td>
                                            <td align="center">26.25</td>
                                            <td>x</td>
                                        </tr>
                                        <tr>
                                            <td height="30">BIS003</td>
                                            <td>Almond Biscuit - 500 gm</td>
                                            <td align="center">1.00</td>
                                            <td align="center">3.00</td>
                                            <td align="center">5</td>
                                            <td align="center">0.15</td>
                                            <td align="center">3.15</td>
                                            <td>x</td>
                                        </tr>
                                        <tr>
                                            <td height="30">BIS004</td>
                                            <td>Pista Biuscuit - 500 gm </td>
                                            <td align="center">1.00</td>
                                            <td align="center">3.00</td>
                                            <td align="center">5</td>
                                            <td align="center">0.15</td>
                                            <td align="center">3.15</td>
                                            <td>x</td>
                                        </tr>
                                        <tr>
                                            <td height="30">BIS005</td>
                                            <td>Cashew Biscuit - 500 gm</td>
                                            <td align="center">5.00</td>
                                            <td align="center">3.00</td>
                                            <td align="center">5</td>
                                            <td align="center">0.75</td>
                                            <td align="center">15.75</td>
                                            <td>x</td>
                                        </tr>
                                        <tr>
                                            <td height="30">BIS006</td>
                                            <td>Orange Cram Biscuit - 250 gm</td>
                                            <td align="center">1.00</td>
                                            <td align="center">2.00</td>
                                            <td align="center">5</td>
                                            <td align="center">0.13</td>
                                            <td align="center">2.63</td>
                                            <td>x</td>
                                        </tr>
                                        <tr>
                                            <td height="30">BIS007</td>
                                            <td>Strawberry Cream Biscuit - 250 gm</td>
                                            <td align="center">1.00</td>
                                            <td align="center">2.00</td>
                                            <td align="center">5</td>
                                            <td align="center">0.13</td>
                                            <td align="center">2.63</td>
                                            <td>x</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </td>
                        <td width="26%" align="left" valign="top" style="padding-left:10px;">

                            <div class="pay-details" ><table width="100%" border="0" cellspacing="0" cellpadding="5">
                                    <tr>
                                        <td width="64%" height="30">Today's Invoices</td>
                                        <td width="36%" align="right">17</td>
                                    </tr>
                                    <tr>
                                        <td height="40">&nbsp;</td>
                                        <td align="right">&nbsp;</td>
                                    </tr>

                                    <tr>
                                        <td height="30">Items</td>
                                        <td align="right">7.00</td>
                                    </tr>
                                    <tr>
                                        <td height="30">Pcs</td>
                                        <td align="right">12.00</td>
                                    </tr>
                                    <tr>
                                        <td height="50">&nbsp;</td>
                                        <td align="right">&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td height="30">Dicount</td>
                                        <td align="right">&nbsp;</td>
                                    </tr>

                                    <tr>
                                        <td height="30"><strong>VAT</strong></td>
                                        <td align="right">2.93</td>
                                    </tr>

                                    <tr>
                                        <td height="50" valign="middle"><strong>Total</strong></td>
                                        <td align="right" valign="middle"><strong>61.43</strong></td>
                                    </tr>

                                    <tr>
                                        <td height="30">Paid</td>
                                        <td align="right">100.00</td>
                                    </tr>
                                    <tr>
                                        <td height="30">Balance</td>
                                        <td align="right">38.58</td>
                                    </tr>
                                </table></div></td>
                    </tr>
                </table>
                <table width="100%" border="0" cellspacing="2" cellpadding="5">
                    <tr>
                        <td width="25%" height="50" align="left" valign="middle"><button class="button" type="button">Close</button></td>
                        <td width="49%" align="center" valign="middle"><button class="button" type="button">Hold</button> <button class="button"  type="button">Cancel</button>  <button class="button" type="button">Edit</button> <button class="button" type="button">Print</button> <button class="button"  type="button">Cancel</button> <button class="button" type="button">Save</button></td>
                        <td width="26%" align="center" valign="middle"><button class="button" type="button">Pay</button> <button class="button" type="button">Save & Print</button></td>
                    </tr>
                </table>
            </div>
        </div>
    </body>
</html>
