<?php

$cs = Yii::app()->getClientScript();

$cs->registerScript("reloadPage", "function reloadPage(){
    var filter_sales_price = $('#filter_sales_price').val();
    var filter_brand_id = $('#filter_brand_id').val();
      var filter_category_id = $('#filter_category_id').val();
    
    var id = $('#SalesPriceGroupName_id').val();
    $('#loader').show();

    jQuery.ajax({
        'type': 'post',
        'url': '" . Yii::app()->createUrl('Salespricinggroup/Getsalespricelist') . "',
        'data' : {'id':id,'filter_sales_price' : filter_sales_price,'filter_brand_id' : filter_brand_id,'filter_category_id':filter_category_id},
        'success': function(data) { 
           if(data=='auditclose'){
         t8.error('Given date must be Greater than Audit Close Date');
        $('#loader').hide();
       }else{
            $('#loader').hide();
            $('#table_dis_div').show();
            $('#table_dis_div').html(data); 
       }
        }
    });
}", CClientScript::POS_HEAD);
$baseUrl = Yii::app()->baseUrl;

$form = $this->beginWidget('CActiveForm', array(
    'id' => 'edit_price',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
));



?>

<section>
    <!--ul class="nav nav-tabs customer-nav-tabs nav-tab-theme">
      <li class="active"><a href="#salesprice" data-toggle="tab" style="<?php echo $style; ?>" onclick="viewhidebutton(this.id);" id="customer_link_1">Sales Price</a></li>
</ul-->

    <div class="tab-content">
        <div class="tab-pane active" id="salesprice">

            <ul class="clearfix form-ul material">
                <li class="col-sm-3">
                    <?php
                    echo $form->hiddenField($model, 'id');
                    echo $form->hiddenField($model, 'pricing_group_file_name');
                    echo $form->textField($model, 'pricing_group_name', array('class' => 'tooltipster', 'title' => 'Pricing Group Name', 'data-label' => 'Pricing Group Name <span style="color:red;">*</span>', 'readonly' => true)); ?>

                </li>
                <li class="col-sm-3" style="display:none">
                    <?php
                    $model->start_date = date('d/m/Y', strtotime($model->start_date));
                    echo $form->textField($model, 'start_date', array('class' => 'datepicker', 'title' => 'Start Date', 'data-label' => 'Start Date <span style="color:red;">*</span>', 'readonly' => true)); ?>
                </li>
                <li class="col-sm-3" style="display:none">
                    <?php
                    $model->end_date = date('d/m/Y', strtotime($model->end_date));
                    echo $form->textField($model, 'end_date', array('class' => 'datepicker', 'title' => 'End Date', 'data-label' => 'End Date <span style="color:red;">*</span>', 'readonly' => true)); ?>

                </li>
                <?php if ($model->default_pricing_group == "Y") { ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::dropdownlist('filter_sales_price', '', array('Y' => 'Non Zero', 'N' => 'Zero'), array('class' => 'form-control', 'onchange' => '$("#table_dis_div").empty();')); ?>
                    </li>

                    <li class="col-sm-2">
                        <?php
                        echo CHtml::dropdownlist('filter_brand_id', '', MasBrand::getAllBrands(), array('class' => 'form-control', 'prompt' => '-Brand-', 'onchange' => '$("#table_dis_div").empty();')); ?>
                    </li>
                     <li class="col-sm-2">
                        <?php
                        echo CHtml::dropdownlist('filter_category_id', '',MasGeneric::getAllGeneric(), array('class' => 'form-control', 'prompt' => '-Category-', 'onchange' => '$("#table_dis_div").empty();')); ?>
                    </li>

                    <li class="col-sm-2">
                        <a class="btn btn-sm btn-theme" onclick="reloadPage();"><i class="fa fa-retweet"></i> Refresh</a>
                    </li>
                <?php } ?>

                <!--li class="col-sm-4">
        Document <span style="color:red;">*</span>
                    
    
                    <?php
                    /*  $allowedExtensions = array("csv");
                        $this->widget('ext.EAjaxUpload.EAjaxUpload', array(
                            'id' => rand(),
                            'config' => array(
                                'action' => Yii::app()->createUrl(Yii::app()->controller->id . '/upload',
                                    array('folder' => 'upload/pricelist')),
                                'multiple' => false,
                                'allowedExtensions' => $allowedExtensions,
                                'sizeLimit' => 8 * 1024 * 1024,
                                'onStart' => "js:function(){}",
                                'class' => 'pull-right',
                                'onComplete' => "js:function(id, fileName, responseJSON){
                                     $('#SalesPriceGroupName_pricing_group_file_name').val(responseJSON.filename);
                                    $('.qq-upload-list').html(responseJSON.filename);
                                }",
                                )));*/
                    ?>
                      
       
        
    </li-->
            </ul>
            <?php if ($model->default_pricing_group == "Y") { ?>
                <div class="" id="table_dis_div">
                </div>
            <?php } else { ?>
                <section>

                    <div class="tab-content">
                        <div class="tab-pane active" id="salesprice">

                            <div class="panel-body">
                                <div class="custom-data-table">
                                    <table class="table table-hover table-bordered personal-task" id="tbl_price_detail">

                                        <thead>
                                            <tr>
                                                <th>No.</th>
                                                <th>Part No</th>
                                                <th>Sales Price</th>
                                                <th>Max Allowed Discount</th>
                                                <th>
                                                    <a class="btn btn-sm btn-theme " href="javascript:void(0);" onclick="addTablelist($('#tbl_price_detail'));">ADD <i class="fa fa-plus"></i></a>
                                                </th>

                                            </tr>

                                        </thead>
                                        <?php
                                        $condition = ' pricing_group_id="' . (int)$model->id . '"';                                     

                                        $modelSalesPriceGroup = new SalesPriceGroup();
                                        $modelSalesPriceGroup = $modelSalesPriceGroup->with('product')->findAll(array('condition' => $condition));

                                        $i = 1;
                                        if (empty($modelSalesPriceGroup)) {
                                            $modelSalesPriceGroup = array(new SalesPriceGroup);
                                        }

                                        foreach ($modelSalesPriceGroup as $key => $value) {
                                        ?>
                                            <tr>
                                                <td>
                                                    <label> <?php echo $i++; ?></label>
                                                </td>

                                                <td>
                                                    <input type="hidden" name="SalesPriceGroup[<?php echo $key; ?>][id]" id="SalesPriceGroup[<?php echo $key; ?>][id]" value="<?php echo $value->id; ?>">
                                                    <input type="text" name="SalesPriceGroup[<?php echo $key; ?>][product_name]" id="SalesPriceGroup_<?php echo $key; ?>_product_name" value="<?php echo $value->product_name; ?>" onKeypress="autoCompleteProduct(this.id, 'invoice');" class="form-control" readonly="readonly">
                                                    <input type="hidden" name="SalesPriceGroup[<?php echo $key; ?>][product_id]" id="SalesPriceGroup_<?php echo $key; ?>_product_id" value="<?php echo $value->product_id; ?>">
                                                </td>
                                                <td>
                                                    <input type="text" name="SalesPriceGroup[<?php echo $key; ?>][sales_price]" id="SalesPriceGroup_<?php echo $key; ?>_sales_price" value="<?php echo $value->sales_price; ?>" class="form-control alignprice" title="Sales Price" data-label="Sales Price <span style='color:red;'>*</span>">
                                                </td>
                                                <td colspan="2">
                                                    <input type="text" name="SalesPriceGroup[<?php echo $key; ?>][maximum_discount]" id="SalesPriceGroup_<?php echo $key; ?>_maximum_discount" value="<?php echo $value->maximum_discount; ?>" class="form-control alignprice" title="Maximum Discount" data-label="Maximum Discount <span style='color:red;'>*</span>">
                                                    <input type="hidden" name="SalesPriceGroup[<?php echo $key; ?>][max_discount_percentage]" id="SalesPriceGroup_<?php echo $key; ?>_max_discount_percentage" value="<?php echo $value->max_discount_percentage; ?>" class="form-control alignprice" title="Maximum Discount percentage" data-label="Maximum Discount <span style='color:red;'>*</span>">
                                                </td>

                                            </tr>
                                        <?php
                                        }
                                        ?>
                                    </table>

                                </div>

                            </div>
                        </div>
                    </div>
                </section>
            <?php  } ?>


        </div>
    </div>
    </div>
</section>
<div class="modal-footer">
    <a href="index.php"></a>

    <button type="button" class="btn btn-danger" id="tax_close" data-dismiss="modal">Close</button>
    <?php
    $url = Yii::app()->createUrl('salespricinggroup/UpdatePricingGroup');
    echo CHtml::ajaxSubmitButton('Save', $url, array(
        'dataType' => 'json',
        'type' => 'post',
        'success' => 'function(data) {
                                $("#loader").hide();
                                    if(data.status=="success"){  
                                            t8.success("Updated Successfully!");
                                            reloadTable("#tbl_price_group_name");
                                            $("#tax_close").click();
                                          
                                    } else { 
                                        $("#edit_price .tax-save-btn").prop("disabled", false);
                                        $("#edit_price .tax-save-btn").addClass("btn-theme").removeClass("btn_loding"); 
                                        $.each(data, function(key, val) {
                                                $("#edit_price #"+key+"_em_").text(val).show(); 
                                                t8.error(""+val+""); 
                                            }); 
                                    } 
                                    }',
        'beforeSend' => 'function(){ 
                               $("#loader").show();
                               $("#edit_price .tax-save-btn").prop("disabled", true);
                               $("#edit_price .tax-save-btn").addClass("btn_loding").removeClass("btn-theme"); 
                               $(".toast8-error").hide();
                            }'

    ), array('id' => 'mybtn' . rand(), 'class' => 'tax-save-btn btn btn-theme'));

    ?>
</div>
<?php $this->endWidget(); ?>
<style>
    .alignprice {
        text-align: right;
    }
</style>

<?php

$cs = Yii::app()->getClientScript();



$cs->registerScript("addTablelist", " function addTablelist(jQtable) {

    formId              =   jQtable.attr('id');
    formIdStarter       =   jQtable.attr('id').split(/_(.+)?/)[0];
    lastId = jQtable.find('tr:last input:first').attr('id');   
    
    thenum = lastId.match(/\d+/g);        
    newId = Number(thenum) + 1;
   
    newrow= jQtable.find('tr:last').clone();
    newrow.find('label:first').html(newId + 1); // Increment the label by 1
    newrow.attr('class',newId);
    newrow.find('div,input,textarea,checkbox,td,select,.errorMessage,a,span').each(function() {
        this.id= this.id.replace(/\d+/,newId);
       if(!$(this).is(':checkbox'))
            this.value  = '';
        else
            $(this).prop('checked', false);
        (this.name!==undefined) ? this.name= this.name.replace(/\d+/,newId) : this.style  =   '';});
    jQtable.append(newrow);
    $('#SalesPriceGroup_' + newId + '_product_name').prop('readonly', false);  
    $('#SalesPriceGroup_'+newId+'_product_name').focus();

}", CClientScript::POS_HEAD);



$cs->registerScript("removeTableitem", " function removeTableitem(jQtable,evt) {

    formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
    var num_rows    =   jQtable.find('tr:gt(0)').length;
          if(num_rows>1){
        var tr  =   $(evt).parent().parent();
        if(isRowEmpty(tr)) {
                    $(evt).parents('tr').remove();

            var i=0;

            jQtable.find('tr:gt(0)').each(function() { 
                $(this).find('input,select,textarea,.errorMessage').each(function()
                {
                    old_id   =   $(this).attr('id');
                    new_id   =   old_id.replace(/\d+/,i);
                    $(this).attr('id',new_id);
                    old_name =   $(this).attr('name');
                    if(old_name!==undefined) {
                        new_name =   old_name.replace(/\d+/,i);
                        $(this).attr('name',new_name);
                    } 
                });
                $(this).find('td:first label').html(++i); 
            });
                                   
        }
         } else alert('Atleast One item needed here'); 
    
}", CClientScript::POS_HEAD);



$cs->registerScript("autoCompleteProduct", "function autoCompleteProduct(field_id,frm)        {

   
    var url = '" . Yii::app()->createUrl('inventory/GetProducts') . "'+'&frm='+frm;
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response,url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false;},
            select          : function( event, ui ) {
                event.preventDefault();
                trigger_target_id   =   $(event.target).attr('id');
                var product_id=ui.item.value;
                var desc=ui.item.description;
                var unit_id=ui.item.unit_id;
                var tax = ui.item.tax_code;
                var unit_name=ui.item.unit_name;
                var cost_rate = ui.item.rate;
                var arr_fields= field_id.split('_');
                var model_name   = arr_fields[0];
                var row_field  = arr_fields[1];
                var tax_val = 0;
                $('#SalesPriceGroup_'+row_field+'_product_name').val(ui.item.part_number);
               $('#SalesPriceGroup_'+row_field+'_product_id').val(product_id);

              
            }
        })            
    
}", CClientScript::POS_HEAD);

?>