<section>

    <div class="tab-content">
        <div class="tab-pane active" id="salesprice">

            <div class="panel-body">
                <div class="custom-data-table">
                    <table class="table table-hover table-bordered personal-task" id="tbl_price_detail">

                        <thead>
                            <tr>
                                <th>No.</th>
                                <th>Part No</th>
                                <th>Sales Price</th>
                                <th>Max Allowed Discount</th>
                                <th>
                                    <a class="btn btn-sm btn-theme " href="javascript:void(0);" onclick="addTablelist($('#tbl_price_detail'));"  style="align:right"><i class="fa fa-plus">ADD</i></a>
                                </th>

                            </tr>

                        </thead>
                        <?php
                        $condition = ' pricing_group_id="' . $id . '"';

                        if ($filter_sales_price == 'Y') {
                            $condition .= ' AND sales_price >0';
                        } else {
                            $condition .= ' AND sales_price =0';
                        }

                        if((int)$filter_brand_id >0){
                            $condition .= ' AND product.brand = ' . (int) $filter_brand_id;
                        }
                         if((int)$filter_category_id >0){
                            $condition .= ' AND product.generic_id = ' . (int) $filter_category_id;
                        }



                        $modelSalesPriceGroup = new SalesPriceGroup();
                        $modelSalesPriceGroup = $modelSalesPriceGroup->with('product')->findAll(array('condition' => $condition));

                        $i = 1;
                        if (empty($modelSalesPriceGroup)) {
                            $modelSalesPriceGroup = array(new SalesPriceGroup);
                        }

                        foreach ($modelSalesPriceGroup as $key => $value) {
                        ?>
                            <tr>
                                <td>
                                    <label> <?php echo $i++; ?></label>
                                </td>

                                <td>
                                    <input type="hidden" name="SalesPriceGroup[<?php echo $key; ?>][id]" id="SalesPriceGroup[<?php echo $key; ?>][id]" value="<?php echo $value->id; ?>">
                                    <input type="text" name="SalesPriceGroup[<?php echo $key; ?>][product_name]" id="SalesPriceGroup_<?php echo $key; ?>_product_name" value="<?php echo $value->product_name; ?>"   onKeypress="autoCompleteProduct(this.id, 'invoice');"   class="form-control" ">
                                    <input type="hidden" name="SalesPriceGroup[<?php echo $key; ?>][product_id]" id="SalesPriceGroup_<?php echo $key; ?>_product_id" value="<?php echo $value->product_id; ?>">
                                </td>
                                <td>
                                    <input type="text" name="SalesPriceGroup[<?php echo $key; ?>][sales_price]" id="SalesPriceGroup_<?php echo $key; ?>_sales_price" value="<?php echo $value->sales_price; ?>" class="form-control alignprice" title="Sales Price" data-label="Sales Price <span style='color:red;'>*</span>">
                                </td>
                                <td colspan="2">
                                    <input type="text" name="SalesPriceGroup[<?php echo $key; ?>][maximum_discount]" id="SalesPriceGroup_<?php echo $key; ?>_maximum_discount" value="<?php echo $value->maximum_discount; ?>" class="form-control alignprice" title="Maximum Discount" data-label="Maximum Discount <span style='color:red;'>*</span>">
                                    <input type="hidden" name="SalesPriceGroup[<?php echo $key; ?>][max_discount_percentage]" id="SalesPriceGroup_<?php echo $key; ?>_max_discount_percentage" value="<?php echo $value->max_discount_percentage; ?>" class="form-control alignprice" title="Maximum Discount percentage" data-label="Maximum Discount <span style='color:red;'>*</span>">
                                </td>

                            </tr>
                        <?php
                        }
                        ?>
                    </table>

                </div>

            </div>
        </div>
    </div>
</section>