<?php
class MasClosing extends CActiveRecord
{
	public function tableName()
	{
		return '{{master_closing}}';
	}
	public function rules()
	{
		return array(
			array('closing_date', 'required'),
			array('id,closing_date', 'safe', 'on'=>'search'),
		);
	}

	public function relations()
	{
		return array(
		);
	}
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'closing_date' => 'Closing Date',
		);
	}
	public function search()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);
		$criteria->compare('closing_date',$this->closing_date,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
	public static function getClosingDate(){
	return self::model()->findByPk(1)->closing_date; 
	}
}
