<!DOCTYPE html>
<html>
<head>
    <title><?php echo date('dmYhis'); ?></title>
</head>
<body>
    
<?php $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);   ?>
<div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <small><?php echo nl2br($model->voucher_outlet->address); ?></small><br>
                    <small><?php echo $model->voucher_outlet->phone_no; ?></small>
                </div>
            </div>
   
<div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;"> 
    <!--add New Template-->
    <div class="">
        <div class="col-6">
                <div class="h3" style="margin-top: 0;margin-bottom: 0;">
                    <?php echo ucfirst($model->vtype->description); ?>
                </div>
                <div class="input-block">
                    <b><?php echo $model->vtype->code.'/'.$model->voucher_no;?></b>
                </div>
        </div>
        <div class="col-5 offset-1" style="color:#101010;">
           
            <br>
            <table class="table" style="width:100%">
                <tr>
                    <td class="bc-tl">Reference</td>
                    <td>
                        <?php echo $model->reference_no;?>
                    </td>
                </tr>
                <tr>
                    <td>Voucher Date</td>
                    <td>
                        <?php echo date('d/m/Y',STRTOTIME($model->voucher_date));?>
                    </td>
                </tr>
                <!--code added by binzy 21-7-22  start-->
                <tr>

                    <td>Created By</td>

                    <td>

                        <?php echo $model->created->full_name;?>

                    </td>

                </tr>
                <!--code added by binzy 21-7-22  end-->
                <!-- <tr>
                    <td class="bc-tl">Currency</td>
                    <td>
                        <?php // echo $model->currency.'/'.round($model->exchange_rate,8); ?>
                    </td>
                </tr> -->
            </table>
        </div>
    </div>
    <br>
    <div class="col-md-12">
        <table id="" class="table">
            <thead>
                <tr>
                    <th class="text-center" style="width:2%">No</th>
                    <th class="text-center" style="width:15%">Ledger</th>
                    <th class="text-center" style="width:15%">Subledger</th>
                    <th class="text-center" style="width:15%">Debit</th>
                    <th class="text-center" style="width:15%">Credit</th>
                    <th class="text-center" style="width:30%">Description</th>
                </tr>
            </thead>
            <tbody>
                 <?php 
                    $debitTotal = 0;
                    $creditTotal = 0;
                    foreach ( $model->items as $i =>  $each ) { 
                        ?>
                        <tr>
                           <td><?php echo $i+1; ?></td>
                           <td><?php echo $each->ledger->description; ?></td>  
                           <td><?php echo ( $each->subledger_id > 0 ) ? $each->subledger->description : ''; ?></td>  
                           <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency( ( $each->amount > 0 ) ? $each->amount : 0," "); ?> <br>@<small><?php echo $each->currency_code.'/'.$each->exchange_rate ?></small></td>  
                           <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency( ( $each->amount < 0 ) ? abs($each->amount) : 0," "); ?> <br>@<small><?php echo $each->currency_code.'/'.$each->exchange_rate ?></small></td>  
                           <td><small><?php echo $each->narration; ?></small></td>  
                       </tr>
                       
                           <?php
                               ( $each->amount > 0 )  ? $debitTotal += round(($each->amount * $each->exchange_rate), 2) : $creditTotal += round((abs($each->amount) * $each->exchange_rate), 2);
                   } 
                ?>
                    <tr>
                        <td class="text-right" colspan="3"><b>Total (<?php echo FinanceLegder::baseCurrency(); ?>)</b></td>
                        <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($debitTotal," ");?></b></td>
                        <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($creditTotal," ");?></b></td>
                        <td></td>
                    </tr>
            </tbody>
        </table>
		<br>
    </div>
    <br><br> <br><br>
    <div style="position:relative">
        <div style="float:left; width: 40%;text-align: center;"> 
                ___________________________________________  <br>
                <span style="text-align: center;"><small>Prepared By / Signature</small></span>
        </div>
        <div style="width: 20%;"></div>
        <div style="width: 40%;float: right;text-align: center;"> 
                ___________________________________________ <br>
                <span style="text-align: center;"><small>Received By / Signature</small></span>
        </div>
    </div>

    
    <htmlpagefooter name="myfooter">
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
        <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
        <?php
                  date_default_timezone_set("Asia/Dubai");
                 echo date('d/m/Y')." ".date("h:i:sa"); ?>
        </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>
