<!DOCTYPE html>
<html>
<head>
    <title><?php echo date('dmYhis'); ?></title>
</head>
<body>
    
<?php $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);   ?>
<div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <small><?php echo $userModel->companyDetails->billing_address ?></small>
                </div>
            </div>
<div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;"> 
    <!--add New Template-->
    <div class="">
        <div class="col-6">
                <div class="h3" style="margin-top: 0;margin-bottom: 0;">
                    <?php echo 'Reconciliation'; ?>
                </div>
                <div class="input-block">
                    <b><?php echo $model->id; ?></b>
                </div>
        </div>
        <div class="col-5 offset-1" style="color:#101010;">
          
            <br>
            <table class="table" style="width:100%">
                <tr>
                    <td class="bc-tl">Ledger</td>
                    <td>
                        <?php echo $model->ledger->description; ?>
                    </td>
                </tr>
                <tr>
                    <td class="bc-tl">Subledger</td>
                    <td>
                        <?php echo $model->subledger->description; ?>
                    </td>
                </tr>
                <tr>
                    <td>Statement Date</td>
                    <td>
                        <?php echo date('d/m/Y', strtotime($model->statement_date));?>
                    </td>
                </tr>
                <tr>
                    <td>Created By</td>
                    <td>
                        <?php echo $model->createdUser->fullname; ?>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <br>
    <div class="col-md-12">
        <table id="" class="table">
            <thead>
                <tr>
                    <th class="text-center" style="width:10%">V.Date</th>
                    <th class="text-center" style="width:10%">Rec.Date</th>
                    <th class="text-center" style="width:10%">Voucher #</th>
                    <th class="text-center" style="width:50%">Comments</th>
                    <th class="text-right" style="width:15%">Fund In</th>
                    <th class="text-right" style="width:15%">Fund Out</th>
                </tr>
            </thead>
            <tbody>
                 <?php 
                    $totalIn = $totalOut = 0;
                    foreach ( $model->getItems() as $i =>  $each ) { 
                        
                        $fund_in = ( $each->amount > 0 ) ? Yii::app()->numberFormatter->formatCurrency( abs($each->amount)," ") : '';
                        $fund_out = ( $each->amount < 0 ) ? Yii::app()->numberFormatter->formatCurrency( abs($each->amount)," ") : '';
                        
                        ?>
                 <tr>
                    <td><?php echo date('d/m/Y', strtotime($each->parent->voucher_date));?></td>
                    <td><?php echo date('d/m/Y', strtotime($each->reconciled_date));?></td>
                    <td><?php echo $each->parent->fullvoucher; ?></td>  
                    <td><?php echo $each->narration; ?></td>  
                    <td class="text-right"><?php echo $fund_in; ?></td>  
                    <td class="text-right"><?php echo $fund_out; ?></td>  
                </tr>
                
                    <?php
                        $totalIn += ( $each->amount > 0 ) ? abs($each->amount) : 0;
                        $totalOut += ( $each->amount < 0 ) ? abs($each->amount) : 0;
                    }
                ?>

                <tr>
                    <td class="text-right" colspan="4"><b>Total</b></td>
                    <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency( $totalIn," "); ?></b></td>  
                    <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency( $totalOut," "); ?></b></td>  
                </tr>
                    
            </tbody>
        </table>
    </div>
    
    <htmlpagefooter name="myfooter">
    <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
        <?php
                  date_default_timezone_set("Asia/Dubai");
                 echo date('d/m/Y')." ".date("h:i:sa"); ?>
    </div>

    
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
             <div style="text-align:center;width:100%">
                <b><?= Yii::app()->user->footer_line_1 ?></b><br>
                <?= Yii::app()->user->footer_line_2 ?>
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>
