<!DOCTYPE html>
<html>

<head>
    <title><?php echo $category ?> Aging Report</title>
</head>

<body>
    <?php
    if ((int)$user_id > 0) {
        $userModel = MasUsers::model()->findByPk((int) $user_id);
    } else {
        $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
    }
    ?>
    <div class="">
        <div class="col-12">
            <div class="text-center">
                <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
            </div>

        </div>
        <div class="col-12">
            <br>
            <div class="text-center">
                <!--<div class="h3" style="margin-top: 0;margin-bottom: 0;">Trial Balance</div>-->
            </div>
        </div>
        <div class="col-6">
            <br>
            <div class="input-block">
                <b><?php echo $category ?> Aging Report</b>
            </div>
            <br> <br>
            <table class="table" style="width:100%">


                <tr>
                    <td><b>As on Date</b></td>
                    <td><?php
                    echo $to_date;
                //    echo date('d/m/Y', STRTOTIME($to_date)); ?></td>
                </tr>
                 <tr>
                    <td><b>Ledger</b></td>
                    <td>
                  <?php echo FinanceLegder::model()->findBypk((int) $ledger)->description;  ?></td>
                </tr>

            </table>
        </div>
    </div>
    <br>
    <?php
    $to_date = (count(explode('/', $to_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $to_date))) : date('Y-m-d');
    
    
      
//    $ledger = (int) $_GET['ledger'];
  //  $category = ($_GET['category'] == 'RECEIVABLE') ? 'RECEIVABLE' : 'PAYABLE';
    $condition = '';
    if ($outlet > 0) {
        $condition .= ' AND VI.outlet=' . $outlet;
        $condition_for_opening .= ' AND I.outlet=' . $outlet;
    }
    if ($salesman > 0) {
        $customers = Yii::app()->db->createCommand('select group_concat(S.id) from {{finance_subledger}} AS S INNER JOIN {{customer}} AS C ON S.parent_id=C.id where accessed_by = "' . $salesman . '" OR accessed_by like "%,' . $salesman . ',%" OR accessed_by like "' . $salesman . ',%" OR accessed_by like "%,' . $salesman . '"')->queryScalar();
        if ($customers != '') {
            $condition .= ' AND VI.subledger_id IN(' . $customers . ')';
        }
        //        echo $customers;die;
    }
    $dates_array = array(
        '0_to_30' => array('from' => date('Y-m-d', strtotime($to_date . ' -30 days')), 'to' => $to_date),
        '31_to_60' => array('from' => date('Y-m-d', strtotime($to_date . ' -60 days')), 'to' => date('Y-m-d', strtotime($to_date . ' -31 days'))),
        '61_to_90' => array('from' => date('Y-m-d', strtotime($to_date . ' -90 days')), 'to' => date('Y-m-d', strtotime($to_date . ' -61 days'))),
        '91_to_120' => array('from' => date('Y-m-d', strtotime($to_date . ' -120 days')), 'to' => date('Y-m-d', strtotime($to_date . ' -91 days'))),
        'greaterthan_120' => array('from' => '2010-01-01', 'to' => date('Y-m-d', strtotime($to_date . ' -121 days'))),
    );

    foreach ($dates_array as $key => $each_date_pair) {

        $query = 'CREATE OR REPLACE VIEW {{finance_ageing_' . $key . '}} AS SELECT
                    VI.ledger_id AS ledger_id,
                    VI.subledger_id AS subledger_id,
                    IFNULL(S.description, "No Subledger") AS subledger,
                    V.id AS voucher_id,
                    V.voucher_date AS voucher_date,
                    V.due_date AS due_date,
                    V.reference_no AS reference_no,
                    VI.narration AS narration,
                    VI.id AS voucher_item_id,
                    CONCAT(VT.code,"/",V.voucher_no) AS voucher_no,
                    ROUND((VI.amount*VI.exchange_rate), 4) AS total_amount,
                    IFNULL(ABS(ROUND( SUM(AI.amount), 4)), 0) AS allocated,
                    ROUND((VI.amount*VI.exchange_rate), 4) - IFNULL(ROUND( SUM(AI.amount), 4), 0) AS amount
                FROM {{finance_voucher_items}} VI
                LEFT JOIN {{finance_voucher_head}} V ON V.id = VI.header_id
                LEFT JOIN {{finance_allocation_items}} AI ON AI.voucher_item_id = VI.id
                LEFT JOIN {{finance_subledger}} S ON S.id = VI.subledger_id
                LEFT JOIN {{finance_voucher_type}} VT ON VT.id=V.voucher_type
                WHERE V.voucher_date BETWEEN "' . $each_date_pair['from'] . '" AND "' . $each_date_pair['to'] . '" AND
                V.is_posted="Y" AND VI.ledger_id = "' . (int) $ledger . '" ' . $condition . '
                GROUP BY VI.id, VI.subledger_id';

        $selectQuery = 'SELECT
                ledger_id,
                subledger_id,
                subledger,
                SUM(0_30_receivable) AS 0_30_receivable,
                SUM(0_30_unallocated) AS 0_30_unallocated,
                SUM(31_60_receivable) AS 31_60_receivable,
                SUM(31_60_unallocated) AS 31_60_unallocated,
                SUM(61_90_receivable) AS 61_90_receivable,
                SUM(61_90_unallocated) AS 61_90_unallocated,
                SUM(91_120_receivable) AS 91_120_receivable,
                SUM(91_120_unallocated) AS 91_120_unallocated,
                SUM(greater_120_receivable) AS greater_120_receivable,
                SUM(greater_120_unallocated) AS greater_120_unallocated
            FROM ( SELECT
                ledger_id,
                subledger_id,
                subledger,
                SUM( CASE WHEN amount > 0 THEN amount ELSE 0 END) AS 0_30_receivable,
                SUM( CASE WHEN amount < 0 THEN ABS(amount) ELSE 0 END) AS 0_30_unallocated,
                0 AS 31_60_receivable,
                0 AS 31_60_unallocated,
                0 AS 61_90_receivable,
                0 AS 61_90_unallocated,
                0 AS 91_120_receivable,
                0 AS 91_120_unallocated,
                0 AS greater_120_receivable,
                0 AS greater_120_unallocated
            FROM {{finance_ageing_0_to_30}} GROUP BY subledger_id
            UNION
            SELECT
                ledger_id,
                subledger_id,
                subledger,
                0 AS 0_30_receivable,
                0 AS 0_30_unallocated,
                SUM( CASE WHEN amount > 0 THEN amount ELSE 0 END) AS 31_60_receivable,
                SUM( CASE WHEN amount < 0 THEN ABS(amount) ELSE 0 END) AS 31_60_unallocated,
                0 AS 61_90_receivable,
                0 AS 61_90_unallocated,
                0 AS 91_120_receivable,
                0 AS 91_120_unallocated,
                0 AS greater_120_receivable,
                0 AS greater_120_unallocated
            FROM {{finance_ageing_31_to_60}} GROUP BY subledger_id
            UNION
            SELECT
                ledger_id,
                subledger_id,
                subledger,
                0 AS 0_30_receivable,
                0 AS 0_30_unallocated,
                0 AS 31_60_receivable,
                0 AS 31_60_unallocated,
                SUM( CASE WHEN amount > 0 THEN amount ELSE 0 END) AS 61_90_receivable,
                SUM( CASE WHEN amount < 0 THEN ABS(amount) ELSE 0 END) AS 61_90_unallocated,
                0 AS 91_120_receivable,
                0 AS 91_120_unallocated,
                0 AS greater_120_receivable,
                0 AS greater_120_unallocated
            FROM {{finance_ageing_61_to_90}} GROUP BY subledger_id
            UNION
            SELECT
                ledger_id,
                subledger_id,
                subledger,
                0 AS 0_30_receivable,
                0 AS 0_30_unallocated,
                0 AS 31_60_receivable,
                0 AS 31_60_unallocated,
                0 AS 61_90_receivable,
                0 AS 61_90_unallocated,
                SUM( CASE WHEN amount > 0 THEN amount ELSE 0 END) AS 91_120_receivable,
                SUM( CASE WHEN amount < 0 THEN ABS(amount) ELSE 0 END) AS 91_120_unallocated,
                0 AS greater_120_receivable,
                0 AS greater_120_unallocated
            FROM {{finance_ageing_91_to_120}} GROUP BY subledger_id
            UNION
            SELECT
                ledger_id,
                subledger_id,
                subledger,
                0 AS 0_30_receivable,
                0 AS 0_30_unallocated,
                0 AS 31_60_receivable,
                0 AS 31_60_unallocated,
                0 AS 61_90_receivable,
                0 AS 61_90_unallocated,
                0 AS 91_120_receivable,
                0 AS 91_120_unallocated,
                SUM( CASE WHEN amount > 0 THEN amount ELSE 0 END) AS greater_120_receivable,
                SUM( CASE WHEN amount < 0 THEN ABS(amount) ELSE 0 END) AS greater_120_unallocated
            FROM {{finance_ageing_greaterthan_120}} GROUP BY subledger_id ) AS A GROUP BY A.subledger_id ORDER BY A.subledger ASC';

        Yii::app()->db->createCommand($query)->execute();
    }

    $aging_report = Yii::app()->db->createCommand($selectQuery)->queryAll();
    ?>
    <table class="table table-hover table-fixed table-bordered" id="tb_table">
        <thead>
            <tr>
                <th>#</th>
                <th>Subledger</th>
                <th>Type</th>
                <th>0-30</th>
                <th>31-60</th>
                <th>61-90</th>
                <th>91-120</th>
                <th> > 120</th>
                <th>Total</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $grand_total = 0;
            $one = 0;
            $two = 0;
            $three = 0;
            $four = 0;
            $five = 0;
            $labelOne = ($category == 'RECEIVABLE') ? 'Receivable' : 'Unallocated';
            $labelTwo = ($category == 'RECEIVABLE') ? 'Unallocated' : 'Payable';

            $z = 0;
            foreach ($aging_report as $i => $each):
                $total_receivable = $each['0_30_receivable'] + $each['31_60_receivable'] + $each['61_90_receivable'] + $each['91_120_receivable'] + $each['greater_120_receivable'];
                $total_unallocated = $each['0_30_unallocated'] + $each['31_60_unallocated'] + $each['61_90_unallocated'] + $each['91_120_unallocated'] + $each['greater_120_unallocated'];

                $one_receivable += $each['0_30_receivable'];
                $two_receivable += $each['31_60_receivable'];
                $three_receivable += $each['61_90_receivable'];
                $four_receivable += $each['91_120_receivable'];
                $five_receivable += $each['greater_120_receivable'];
                $grand_total_receivable += $total_receivable;

                $one_unallocated += $each['0_30_unallocated'];
                $two_unallocated += $each['31_60_unallocated'];
                $three_unallocated += $each['61_90_unallocated'];
                $four_unallocated += $each['91_120_unallocated'];
                $five_unallocated += $each['greater_120_unallocated'];
                $grand_total_unallocated += $total_unallocated;

                if ($total_receivable > 0 || $total_unallocated > 0):
            ?>
                    <tr>
                        <td rowspan="2"><?php ($z + 1); ?></td>
                        <td rowspan="2"><?php echo $each['subledger'] ?></td>
                        <td><?php echo $labelOne; ?></td>
                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($each['0_30_receivable'], " "); ?></td>
                        <td class="text-right"><?php echo  Yii::app()->numberFormatter->formatCurrency($each['31_60_receivable'], " "); ?></td>
                        <td class="text-right"><?php echo  Yii::app()->numberFormatter->formatCurrency($each['61_90_receivable'], " "); ?></td>
                        <td class="text-right"><?php echo  Yii::app()->numberFormatter->formatCurrency($each['91_120_receivable'], " "); ?></td>
                        <td class="text-right"><?php echo  Yii::app()->numberFormatter->formatCurrency($each['greater_120_receivable'], " "); ?></td>
                        <td class="text-right"><?php echo  Yii::app()->numberFormatter->formatCurrency($total_receivable, " "); ?></td>
                    </tr>';
                    <tr>
                        <td><?php echo $labelTwo ?></td>
                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($each['0_30_unallocated'], " ") ?></td>
                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($each['31_60_unallocated'], " ") ?></td>
                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($each['61_90_unallocated'], " ") ?></td>
                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($each['91_120_unallocated'], " ") ?></td>
                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($each['greater_120_unallocated'], " ") ?></td>
                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($total_unallocated, " ") ?></td>
                    </tr>
            <?php
                    $z++;
                endif;
            endforeach;
            ?>

            <tr>
                <td colspan="2" rowspan="2" class="text-right"><b>Total</b></td>
                <td><?php echo $labelOne; ?></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($one_receivable, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($two_receivable, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($three_receivable, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($four_receivable, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($five_receivable, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total_receivable, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
            </tr>

            <tr>
                <td><?php echo $labelTwo; ?></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($one_unallocated, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($two_unallocated, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($three_unallocated, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($four_unallocated, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($five_unallocated, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
                <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total_unallocated, " ") . " " . FinanceLegder::baseCurrency(); ?></b></td>
            </tr>
        </tbody>
    </table>
    <br />


    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px"><?php echo $userModel->companyDetails->pdf_footer; ?>
            <?php
            date_default_timezone_set("Asia/Dubai");
            echo date('d/m/Y') . " " . date("h:i:sa");
            ?>
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
            <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>

</body>

</html>