<!DOCTYPE html>
<html>

<head>
    <style>
        .table thead {
            display: table-header-group;
        }
    </style>
    <title><?php echo date('dmYhis'); ?></title>
</head>

<body>
    <div class="col-5 offset-1" style="color:#101010;">
        <div class="text-right">
            <img src="<?php echo 'images/logo/' . Yii::app()->user->pdf_company_logo; ?>" class="logo">
        </div>
    </div>
    <div style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;">
        <!--add New Template-->
        <div class="">
            <div class="col-8">
                <div class="input-block">
                    <b><?php echo 'Cost Of Sale-Invoice Report'; ?></b>
                </div>
                <br>
                <table class="table" style="width:100%">
                    <tr>
                        <td class="bc-tl">From </td>
                        <td>
                            <?php echo $from_date; ?>
                        </td>
                    </tr>
                    <tr>
                        <td>To</td>
                        <td>
                            <?php echo $to_date; ?>
                        </td>
                    </tr>
                </table>
            </div>

        </div>
        <br>

        <?php
        $from_date = (count(explode('/', $from_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $from_date))) : date('Y-m-01');
        $to_date = (count(explode('/', $to_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $to_date))) : date('Y-m-d');
        $condition = ' where H.active="Y" AND H.invoice_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';
        if ($outlet > 0) {
            $condition .= ' AND H.outlet=' . $outlet;
            $conditions .= ' AND outlet=' . $outlet;
        }
        if ($customer_id) {
            $condition .= ' AND H.customer_id=' . $customer_id;
        }

        if ($created_user > 0) {
            $condition .= ' AND H.sales_man=' . $created_user;
        }
        if ((int)$brand_id > 0) {
            $condition .= ' AND S.brand=' . (int)$brand_id;
        }

        ?>
        <table class="table table-hover table-fixed table-bordered">
            <thead>
                <tr>
                    <th style="width:10%">Date</th>
                    <th style="width:10%">Invoice No</th>
                    <th style="width:25%">Customer</th>
                    <th style="width:5%">Net Total</th>
                    <th style="width:5%">Tax</th>
                    <th style="width:5%">Total</th>
                    <th style="width:5%">Cost</th>
                    <th style="width:5%">Profit</th>
                    <th style="width:5%">Profit(%)</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $SQL = ' Select H.invoice_no,C.customer_name,I.description,I.net_amount,I.quantity,H.invoice_date,I.amount,H.grand_total,I.product_id,I.tax_amount from erp_sales_invoice H 
                INNER JOIN erp_sales_invoice_items I ON H.id=I.invoice_id 
                INNER JOIN erp_inventory S ON S.id=I.product_id 
                INNER JOIN erp_master_brand B ON B.id=S.brand 
                INNER JOIN erp_customer C ON H.customer_id=C.id ' . $condition . ' order by H.id';
                $all = Yii::app()->db->createCommand($SQL)->queryAll();
                $total_cost = 0;
                $total_profit = 0;
                $amount = 0;
                $total_sales = 0;
                $total_tax = 0;
                $inv_no = 0;
                $invoice_date = '';
                $customer_name = '';
                $net_amount = 0;
                $tax_amount = 0;
                $inv_cost = 0;
                $inv_profit = 0;
                $inv_profit_percent = 0;
                $inv_count = 1;
                foreach ($all as $i => $each) {
                    $current_in_rate = Yii::app()->db->createCommand('SELECT CASE
                    WHEN SUM(quantity*unit_exchange_rate) > 0 THEN SUM(quantity*rate)/SUM(quantity*unit_exchange_rate) ELSE 0 END AS avg_purchase_rate 
                    FROM {{stock_ledger}}  WHERE transaction_type = "IN" AND type!= "GT" AND product_id=' . $each["product_id"] . ' AND transaction_date <= "' . $each['invoice_date'] . '" ' . $conditions)->queryScalar();

                    $avg_cost = StockLedger::getAvgPurchaseRate($each["product_id"], $each['invoice_date'], $outlet);
                    $profit = $each['net_amount'] - $each['tax_amount'] - ($each['quantity'] * $avg_cost);
                    $cost = ($each['quantity'] * $avg_cost);

                    if ($each['invoice_no'] != $inv_no && $i > 0) {

                        if ($amount != 0) {
                            $inv_profit_percent = $inv_profit / ($amount) * 100;
                        }

                ?>
                        <tr>
                            <td><?php echo  date("d-m-Y", strtotime($invoice_date)); ?></td>
                            <td><?php echo $inv_no; ?></td>
                            <td><?php echo $customer_name; ?></td>
                            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($net_amount, " "); ?></td>
                            <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($tax_amount, " "); ?></td>
                            <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($amount, " "); ?></td>
                            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($inv_cost, " "); ?></td>
                            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($inv_profit, " "); ?></td>
                            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency(($inv_profit_percent), " ") . "%"; ?></td>

                        </tr>
                <?php
                        $inv_no = $each['invoice_no'];
                        $invoice_date = $each['invoice_date'];
                        $customer_name = $each['customer_name'];
                        $amount = $each['amount'];
                        $net_amount = $each['net_amount'];
                        $tax_amount = $each['tax_amount'];

                        $inv_cost = $cost;
                        $inv_profit = $profit;
                        $inv_count = 1;
                    } else {
                        $inv_no = $each['invoice_no'];
                        $invoice_date = $each['invoice_date'];
                        $customer_name = $each['customer_name'];
                        $amount += $each['amount'];
                        $net_amount += $each['net_amount'];
                        $tax_amount += $each['tax_amount'];
                        $inv_cost += $cost;
                        $inv_profit += $profit;
                        $inv_count++;
                    }

                    $total_cost += $each['quantity'] * $avg_cost;
                    $total_profit += $profit;
                    $total_sales += $each['net_amount'];
                    $total += $each['amount'];
                    $total_tax += $each['tax_amount'];
                }
                ?>

                <tr>
                    <td><?php echo  date("d-m-Y", strtotime($invoice_date)); ?></td>
                    <td><?php echo $inv_no; ?></td>
                    <td><?php echo $customer_name; ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($net_amount, " "); ?></td>
                    <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($tax_amount, " "); ?></td>
                    <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($amount, " "); ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($inv_cost, " "); ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($inv_profit, " "); ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency(($inv_profit_percent), " ") . "%"; ?></td>

                </tr>
                <?php
                if ($total_sales > 0) {
                    $percent = $total_profit / ($total_sales) * 100;
                } else {
                    $percent = 0;
                }


                ?>
                <tr>
                    <td colspan="3">Total</td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_sales, " "); ?></b></td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_tax, " "); ?></b></td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total, " "); ?></b></td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_cost, " "); ?></b></td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_profit, " "); ?></b></td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($percent, " ") . "%"; ?></b></td>
                </tr>
            </tbody>
        </table>
    </div>
    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
            <?php
            date_default_timezone_set("Asia/Dubai");
            echo date('d/m/Y') . " " . date("h:i:sa");
            ?>
        </div>


        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
            <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>F