<?php
$cs = Yii::app()->getClientScript();
$allocations=FinanceAllocationItems::model()->findAll(array('condition'=>'voucher_item_id='.$voucher_id));
        function generateUrl($childModel)
        {
            $url = '#';
            $code = $childModel->parent->vtype->code;
            if ($code == 'SI') {
                $headModel = $childModel->parent->vtype->header_table;
                $vat_field = $childModel->parent->vtype->vat_value;
                $inv = $headModel::model()->findBypk($childModel->parent->header_table_id);
                $tax=$inv->$vat_field;
                $taxType = ($tax > 0) ? 'tax' : 'taxnil';
                $url = "window.open($('#liveSite').val()+'index.php?r=salesinvoice/PrintPDF&id=" . $childModel->parent->header_table_id ."&frm=" . $taxType . "&type=1', '_blank');";
            } else if ($code == 'PI') {
                $url = "window.open($('#liveSite').val()+'index.php?r=purchaseinvoice/PrintInvoiceReportPDF&id=" . $childModel->parent->header_table_id . "', '_blank');";
            } else if ($code == 'DN') {
                $url = "window.open($('#liveSite').val()+'index.php?r=debitnote/printfile&id=" . $childModel->parent->header_table_id . "', '_blank');";
            } else if ($code == 'CN') {
                $url = "window.open($('#liveSite').val()+'index.php?r=creditnote/printfile&id=" . $childModel->parent->header_table_id . "', '_blank');";
            } else {
                $url = "window.open($('#liveSite').val()+'index.php?r=finance/core/print&id=" . $childModel->header_id . "', '_blank');";
            }
            return $url;
        }
?>
<div class="tab-content">
    <div class="tab-pane active">
            <table class="table table-bordered" id="voucher_entries" >
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>Allocation ID</th>
                            <th>Voucher</th>
                            <th>Ledger</th>
                            <th>Subledger</th>
                            <th>Ref.</th>
                            <th>Comments</th>
                            <th>Dr</th>
                            <th>Cr</th>
                        </tr>
                    </thead>
                    <tbody id="template_div">
                    <?php
                    if(!empty($allocations))
                    {
                    $i=1;
                    foreach ($allocations as $eachAllocations)
                    {
                    $allocs=FinanceAllocationItems::model()->findAll(array('condition'=>'header_id='.$eachAllocations->header_id));  
                    foreach($allocs as $eachAllocs)
                    {
                    $voucher_items=FinanceVoucherItems::model()->findByPk($eachAllocs->voucher_item_id);
                    $vouchreformat = '<a href="#" onclick="' . generateUrl($voucher_items) . '">' . $eachAllocs->voucher->fullvoucher . '</a>';
                    echo '<tr><td>'.($i).'</td><td>'.$eachAllocs->header_id.'</td><td>'.$vouchreformat.'</td><td>'.$eachAllocs->parent->ledger->description.'</td><td>'.$eachAllocs->parent->subledger->description.'</td><td>'.$eachAllocs->voucher->reference_no.'</td><td>'.$eachAllocs->voucherItems->narration.'</td><td class="text-right">'.Yii::app()->numberFormatter->formatCurrency( ( $eachAllocs->amount > 0 ) ? $eachAllocs->amount : 0," ").'</td><td class="text-right">'.Yii::app()->numberFormatter->formatCurrency( ( $eachAllocs->amount < 0 ) ? abs($eachAllocs->amount) : 0," ").'</td></tr>'; 
                    $i++;
                    }
                    }
                    }
                    else {
                    echo '<tr><td colspan="7">No Data</td></tr>';    
                    }
                    ?>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="modal-footer">
    <button type="button" class="btn btn-danger" id="cust_close" data-dismiss="modal">Close</button>
