<?php  foreach( $template as $i => $each ): ?>
                                <tr>
                                    <td><label><?php echo $i+1; ?></label></td>
                                    <td>
                                        <?php echo CHtml::activehiddenField($each, "[".$i."]id"); ?>
                                        <?php echo CHtml::activehiddenField($each, "[" . $i . "]ledger_id"); ?>
                                        <?php $each->ledger_name = $each->ledger_id > 0 ? FinanceLegder::model()->findBypk($each->ledger_id)->description : ''; ?>
                                        <?php echo CHtml::activetextField($each, "[" . $i . "]ledger_name", array('class' => 'form-control', 'onKeypress' => 'js:getLedgers(this.id);')); ?>
                                        <?php $each->haveSubledger = $each->ledger->haveSubledger == 'Y' ? 'Y' : 'N'; ?>
                                        <?php echo CHtml::activehiddenField($each, "[" . $i . "]haveSubledger"); ?>
                                    </td>
                                    <td id="debit_<?php echo $i ?>">
                                        <?php echo CHtml::activehiddenField($each, "[".$i."]subledger_id"); ?>
                                        <?php echo CHtml::activetextField($each, "[".$i."]subledger_name",array('data-label'=>'Subledger', 'class' => 'form-control', 'onKeyup' => 'js:getSublegders(this.id);', 'readonly' => ( !$each->haveSubledger ) ? true : false, 'tabindex' => ( !$each->haveSubledger ) ? '-1' : '0' )); ?>
                                    </td>
                                     <?php 
                                        if ( $each->amount  > 0 ){
                                            $each->debit = $each->amount;
                                            $debitTotal += $each->debit;
                                        } 

                                        if ( $each->amount  < 0 ){
                                            $each->credit = abs($each->amount);
                                            $creditTotal += $each->credit;
                                        } 
                                    ?>
                                    
                                    <td>
                                        <?php echo CHtml::activetextField($each, "[".$i."]debit", array('data-label'=>'Debit', 'class' => 'form-control text-right' , 'onkeypress' => 'return isNumberKey(event)', 'onkeyup' => 'calculateTotal();', 'onBlur' => 'format_currency(this.id);', 'onkeydown' => 'nextline(event)')); ?>
                                    </td>
                                    <td>
                                        <?php echo CHtml::activetextField($each, "[".$i."]credit", array('data-label'=>'Credit', 'class' => 'form-control text-right' , 'onkeypress' => 'return isNumberKey(event)', 'onkeyup' => 'calculateTotal();', 'onBlur' => 'format_currency(this.id);', 'onkeydown' => 'nextline(event)')); ?>
                                    </td>
                                    <td>
                                        <?php echo CHtml::activetextField($each, "[" . $i . "]brand_id", array( 'class' => 'form-control', 'onKeypress' => 'js:getOrders(this.id)'  )); ?>
                                        <?php //echo $form->dropdownlist($each, "[" . $i . "]brand_id", ProductClass::getAllProductClass(), array('class' => 'form-control')); ?>
                                    </td>
                                    <td class="nw">
                                        <?php $each->exchange_rate = MasCurrency::base_exchange_rate() ?>
                                        <?php echo CHtml::activedropdownlist($each, "[".$i."]currency_id", MasCurrency::getCurrency_codes(), array('class'=>'txt-6 go exception', 'style' => 'width:100px', 'onChange' => 'getExchange(this.id, this.value);')).' '.CHtml::activetextField($each, "[".$i."]exchange_rate", array('class' => 'txt-6 go exception text-right' , 'onkeyup' => 'calculateTotal();')); ?>
                                    </td>
                                    <td>
                                        <?php echo CHtml::activetextArea($each, "[".$i."]narration",array('data-label'=>'Narration', 'class' => 'form-control', 'onkeydown' => 'nextline(event)'  )); ?>
                                    </td>
                                    <td class="text-center nw" width="1%"><?php echo CHtml::link('<i class="fa fa-times"></i>', 'javascript:void(0);', array('tabindex' => '-1', 'class'=>'btn btn-xs btn-danger','onclick' => 'removeTableRow($(\'#voucher_entries\'),this)', 'title' => 'Remove this item')); ?></td>

                                </tr>
                            <?php endforeach; ?>    