<style>
    table,
    th,
    td {
        border: 1px solid black;
    }
    .txt-right {
        text-align: right !important;
    }
    .text-left {
        text-align: left;
    }
</style>

<table style="width:100%">


    <!-- <table class="table-tree"> -->
    <thead>
        <th colspan="11">
            <?php
            $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
            echo $userModel->companyDetails->name;
            ?>
        </th>
        </tr>
        <tr>

        </tr>
        <tr>
            <th style="color: white ;background-color:#696969;" colspan="11">Brand Wise Sales Report</th>
        </tr>

        <?php
        if ($from_date != '') {
        ?>
            <tr>
                <td colspan="5"><b> From Date</b></td>
                <td class="text-left" colspan="6">
                    <?php echo date('d/m/Y', strtotime($from_date)); ?>
                </td>
            </tr>
        <?php
        }
        ?>

        <?php
        if ($to_date != '') {
        ?>
            <tr>
                <td colspan="5"><b><?php echo $date_name; ?> To Date</b></td>
                <td class="text-left" colspan="6">
                    <?php echo date('d/m/Y', strtotime($to_date)); ?>
                </td>
            </tr>
        <?php
        }
        ?>

        <tr></tr>
        <?php
        $from_date = (count(explode('/', $from_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $from_date))) : date('Y-m-01');
        $to_date = (count(explode('/', $to_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $to_date))) : date('Y-m-d');
        $condition = ' active="Y" AND invoice_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';
        if ($outlet > 0) {
            $condition .= ' AND outlet=' . $outlet;
            $conditions .= ' AND outlet=' . $outlet;
        }
        if ((int)$customer_id > 0) {
            $condition .= ' AND customer_id=' . $customer_id;
        }
        if ((int)$created_user > 0) {
            $condition .= ' AND sales_man=' . $created_user;
        }
        if ((int)$payment_term > 0) {
            $condition .= ' AND payment_term=' . $payment_term;
        }
        if ((int) $brand_id > 0) {
            $condition .= ' AND brand=' . (int) $brand_id;
        }
        //echo $condition;
        //       $SQL=' Select H.invoice_no,C.customer_name,I.description,I.net_amount,SUM(S.quantity*S.unit_exchange_rate) AS qty,I.quantity,H.invoice_date,I.product_id,I.tax_amount from erp_sales_invoice H INNER JOIN erp_sales_invoice_items I ON H.id=I.invoice_id INNER JOIN erp_stock_ledger S ON I.id=S.item_id INNER JOIN erp_customer C ON H.customer_id=C.id '.$condition.' group by I.id order by H.id'; 
        //       echo $SQL;die;

        /* $SQL = ' Select H.invoice_no,C.customer_name,I.description,I.net_amount,P.payment_term_name,I.quantity,I.rate,H.invoice_date,I.product_id,I.tax_amount,H.id AS invoice_id,I.id AS item_id,B.brand_name 
       from erp_sales_invoice H 
       INNER JOIN erp_sales_invoice_items I ON H.id=I.invoice_id 
       INNER JOIN erp_inventory S ON S.id=I.product_id 
       INNER JOIN erp_master_payment_terms P ON H.payment_term =P.id
       INNER JOIN erp_master_brand B ON B.id=S.brand
       INNER JOIN erp_customer C ON H.customer_id=C.id ' . $condition . ' order by H.id';
        $all = Yii::app()->db->createCommand($SQL)->queryAll();*/

        $SQL = "SELECT * FROM view_invoice_list WHERE " . $condition . " order by invoice_no";
        $all = Yii::app()->db->createCommand($SQL)->queryAll();
        ?>
        <tr class="to tol1">
            <th style="width:6%">Date</th>
            <th style="width:6%">Invoice No</th>
            <th style="width:20%">Customer</th>
            <th style="width:15%">Part No.</th>
            <th style="width:10%">Brand</th>
            <th style="width:10%">Payment</th>
            <th style="width:5%">Qty</th>
            <th style="width:8%">Rate</th>
            <th style="width:8%">Total</th>
            <th style="width:5%">Tax</th>
            <th style="width:5%">Net Total</th>
        </tr>
    </thead>
    <tbody>
        <?php
        $net = 0;
        $total_tax = 0;
        $total = 0;
        $k = 0;
        $tot = $net = $total_tax;
        foreach ($all as $each) {
            $total = ($each['quantity'] * $each['rate']);
        ?>
            <tr>
                <td><?php echo $k + 1; ?></td>
                <td><?php echo  date("d-m-Y", strtotime($each['invoice_date'])); ?></td>
                <td><?php echo  $each['invoice_no']; ?></td>
                <td><?php echo $each["product_id"] . '/' . $each['description']; ?></td>
                <td><?php echo $each['brand_name'] ?></td>
                <td><?php echo $each['payment_term_name']; ?></td>
                <td><?php echo $each['quantity']; ?></td>
                <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['rate'], "") ?></td>
                <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($total, " ") ?></td>
                <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['tax_amount'], "") ?></td>
                <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['net_amount'], "") ?></td>
            </tr>
        <?php

            $tot += $total;
            $net += $each['net_amount'];
            $total_tax += $each['tax_amount'];
            $k++;
        }
        ?>

        <tr>
            <td style="text-align:right !important;" colspan="8"><b>Total</b></td>
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($tot, " ") ?></b></td>
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_tax, " ") ?></b></td>
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($net, " ") ?></b></td>

        </tr>
    </tbody>
</table>