<style>
    table,
    th,
    td {
        border: 1px solid black;
    }

    .txt-right {
        text-align: right !important;
    }

    .text-left {
        text-align: left;
    }
</style>

<table style="width:100%">


    <!-- <table class="table-tree"> -->
    <thead>
        <th colspan="7">
            <?php
            $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
            echo $userModel->companyDetails->name;
            ?>
        </th>
        </tr>
        <tr>

        </tr>
        <tr>
            <th style="color: white ;background-color:#696969;" colspan="7">SALES SUMMARY REPORT</th>
        </tr>

        <?php
        if ($from_date != '') {
        ?>
            <tr>
                <td colspan="3"><b> From Date</b></td>
                <td class="text-left" colspan="4">
                    <?php echo date('d/m/Y', strtotime($from_date)); ?>
                </td>
            </tr>
        <?php
        }
        ?>

        <?php
        if ($to_date != '') {
        ?>
            <tr>
                <td colspan="3"><b><?php echo $date_name; ?> To Date</b></td>
                <td class="text-left" colspan="4">
                    <?php echo date('d/m/Y', strtotime($to_date)); ?>
                </td>
            </tr>
        <?php
        }
        ?>

        <tr></tr>
        <?php
        $condition = '1=1';
        if ($month != '') {
            $condition .= ' AND MONTH(transaction_date)=' . $month;
        }
        if ($year > 0) {
            $condition .= ' AND YEAR(transaction_date)=' . $year;
        }
        if ($day != '') {
            $condition .= ' AND DAY(transaction_date)=' . $day;
        }
        if ($customer_id != '') {
            $condition .= ' AND customer_vendor_id ="' . $customer_id . '"';
        }
        if ($salesman != '') {
            $condition .= ' AND created_by ="' . $salesman . '"';
        }
        if ($sale_type == 'M') {
            $SQL = ' SELECT YEAR(transaction_date) as y, MONTH(transaction_date) as m,  DAY(transaction_date) as d,COUNT(id) as TOTAL_COUNT,(SUM(rate*quantity)) AS TOTAL_AMT 
        FROM {{stock_ledger }} 
        
        WHERE ' . $condition . ' GROUP BY MONTH(transaction_date)';
        } else if ($sale_type == 'D') {
            $SQL = ' SELECT header_id,YEAR(transaction_date) as y, MONTH(transaction_date) as m,  DAY(transaction_date) as d,COUNT(id) as TOTAL_COUNT,(SUM(rate*quantity)) AS TOTAL_AMT 
        FROM {{stock_ledger }} 
        
        WHERE ' . $condition . ' GROUP BY DAY(transaction_date) ORDER BY MONTH(transaction_date)';
        }
        $condition;
        $all = Yii::app()->db->createCommand($SQL)->queryAll(); ?>
        <tr class="to tol1">
            <th style="width:6%">YEAR</th>
            <th style="width:10%">MONTH</th>
            <th style="width:10%">DAY</th>
            <th style="width:5%">TOTAL#INV</th>
            <th style="width:10%">INV.AMOUNT</th>
            <th style="width:10%">PAID</th>
            <th style="width:5%">BALANCE</th>
        </tr>
    </thead>
    <tbody>
        <?php
        $grand_total = 0;
        $month_array = array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");

        if (count($all) > 0) {
            foreach ($all as $each) {
                if ($month > 0) {
                    $month_name = $month_array[$each['m'] - 1];
                } else {
                    $month_name = 'ALL';
                }
                if ($sale_type == 'D') {
                    $day_name = $each['d'];
                } else {
                    $day_name = 'ALL';
                }
                if ($SQL->id > 0) {
                    $received_amount = Yii::app()->db->createCommand('select sum(amount)  from erp_finance_allocation_items where header_id=' . $each['header_id'])->queryScalar();
                } else {
                    $received_amount = 0;
                }

                $BAL = $each['TOTAL_AMT'] - $received_amount;
                $total += $each['TOTAL_AMT'];
                $rec_total += $received_amount;
                $bal_total += $BAL; ?>

                <tr>
                    <td><?php echo $each['y'] ?></td>
                    <td><?php echo $month_array[$each['m'] - 1] ?></td>
                    <td><?php echo $day_name ?></td>
                    <td><?php echo $each['TOTAL_COUNT'] ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['TOTAL_AMT'], " ") ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($received_amount, " ") ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($BAL, " ") ?></td>
                </tr>
            <?php
            }
        } else {
            ?>
            <tr>
                <td colspan="7" class="text-center">No Data found</td>


            </tr>
        <?php
        }
        ?>
        <tr>
            <td colspan="4" style="text-align:right !important;"><b>Total</b></td>
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total, " ") ?></b></td>
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($rec_total, " ") ?></b></td>
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($bal_total, " ") ?></b></td>
        </tr>

    </tbody>
</table>