<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="text-center panel-heading clearfix"><h4><b> ITEM PURCHASE SUMMARY REPORT </b></h4></header>
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <?php if( Yii::app()->user->user_access_type == 'SU' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('outlet', '', MasOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php }else{
                         echo CHtml::hiddenField('outlet',Yii::app()->user->outlet_id);
                    } ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('date_from', date('01/02/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'From')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('date_to', date('d/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'To')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php// echo CHtml::hiddenField('customer_id'); ?>

                        <?php echo CHtml::dropdownlist('vendor_id', '',Vendor::getAllVendors(), array('class' => 'tooltipster', 'data-label' => 'Vendor','prompt' => 'All','data-search'=>true)); ?>
                    </li>
                    <?php if( Yii::app()->user->user_access_type != 'SL' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('salesman', '', MasOutlets::salesmans(), array('class' => 'tooltipster', 'data-label' => 'Salesman', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php } else{
                        echo CHtml::hiddenField('salesman',Yii::app()->user->id);
                    }?>
                    <li class="col-sm-2">
                        <?php echo CHtml::dropdownlist('brand_id','',MasBrand::getAllBrands(), array('class'=>'tooltipster','data-label'=>'Brand','prompt' => 'All Brands','data-search'=>true)); ?>
                    </li>
                    <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">Load</a>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=costofsale/PrintReportpurchasePDF&from_date=' + $('#date_from').val() + '&to_date=' + $('#date_to').val() + '&vendor_id=' + $('#vendor_id').val() + '&salesman=' + $('#salesman').val() + '&brand_id=' + $('#brand_id').val(), '_blank')"><i class="fa fa-download"></i>PDF</a>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=costofsale/PrintReportpurchaseExcel&from_date=' + $('#date_from').val() + '&to_date=' + $('#date_to').val() + '&vendor_id=' + $('#vendor_id').val() + '&salesman=' + $('#salesman').val() + '&brand_id=' + $('#brand_id').val(), '_blank')"><i class="fa fa-download"></i>EXCEL</a>

                        <!--<a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/CustomerList&outlet='+$('#cuslist_outlet').val()+'&customer_id='+$('#cuslist_customer_id').val()+'&salesman='+$('#cuslist_salesman').val());">XLS</a>-->
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="gl_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<?php 

$cs = Yii::app()->getClientScript();

    $cs->registerScript("customers", "function customers(field_id)
    {
        $('#customer_id').val('');
        var url = '" . Yii::app()->createUrl('reports/get_customers') . "';
        $('#customer_id').val('');
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response, url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false; },
            select      : function( event, ui ) {
                event.preventDefault();
                $('#customer_id').val(ui.item.value);
                $('#customer').val(ui.item.label);
            }
        });
    }", CClientScript::POS_HEAD);
    $cs->registerScript("loadPage", "function loadPage(){
        $('#loader').show();
        jQuery.ajax({
            'type': 'post',
            'url': '" . Yii::app()->createUrl('costofsale/Items_Purchase_summary_html') . "',
            'data' : { 'from' : $('#date_from').val(), 'to' : $('#date_to').val(), 'vendor_id' : $('#vendor_id').val(), 'salesman' : $('#salesman').val(),'brand_id' : $('#brand_id').val(), },
            'success': function(data) {
                $('#data_div').show();
                $('.main-li-data').html(data);
                $('#loader').hide();
            }
        });
    }", CClientScript::POS_HEAD);
?>