<!DOCTYPE html>
<html>
    <head>
        <style>
            .table thead {display: table-header-group;}
        </style>
        <title><?php echo date('dmYhis'); ?></title>
    </head>
    <body>
        <?php $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);   ?>    
       <div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <small><?php echo $userModel->companyDetails->billing_address ?></small>
                </div>
            </div>
        </div>
        <div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;"> 
            <!--add New Template-->
            <div class="">
                <div class="col-8">
                    <div class="input-block">
                        <b><?php echo 'ITEM PURCHASE REPORT'; ?></b>
                    </div>
                    <br>
                    <table class="table" style="width:100%">
                        <tr>
                            <td class="bc-tl">From </td>
                            <td>
                                <?php echo $from_date; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>To</td>
                            <td>
                                <?php echo $to_date; ?>
                            </td>
                        </tr>
                    </table>
                </div>

            </div>
            <br>





<?php
       $from_date = (count(explode('/', $from_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $from_date))) : date('Y-m-01');
        $to_date = (count(explode('/', $to_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $to_date))) : date('Y-m-d');
        $condition = 'SL.type="PI" AND SL.transaction_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';
        $sr_condition= 'SL.type="PR" AND SL.transaction_date BETWEEN "' . $from_date . '" AND "' . $to_date . '" ';
       if ($vendor_id) {
            $condition .= ' AND SL.customer_vendor_id =' . $vendor_id;
             $sr_condition .= ' AND SL.customer_vendor_id =' . $vendor_id;
        }
        if ($salesman) {
            $condition .= ' AND SL.created_by=' . $salesman;
            $sr_condition .= ' AND SL.created_by=' . $salesman;
        }
        if ((int) $brand_id > 0) {
            $condition .= ' AND P.brand=' . (int) $brand_id;
            $sr_condition .= ' AND P.brand=' . (int) $brand_id;
        }
        //echo $condition;

        $SQL = ' SELECT SL.id AS sl_id,"Purchase Invoice" AS transaction_type,SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number,P.description,B.brand_name, SL.product_id, SL.customer_vendor_id, SL.created_by, I.invoice_no, C.vendor_name, U.full_name, SL.quantity,SUM(SL.quantity*SL.unit_exchange_rate) as default_qty, SL.outlet,MU.label as unit_label,DU.label as default_unit_label,SUM(SL.rate*SL.exchange_rate*SL.quantity*SL.unit_exchange_rate) AS total_amount

FROM {{stock_ledger}} SL 
LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
INNER JOIN erp_master_brand B ON B.id=P.brand 
LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
LEFT JOIN {{sales_invoice}} I ON I.id=SL.header_id 
LEFT JOIN {{vendor}} C ON C.id=SL.customer_vendor_id 
LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by 
WHERE ' . $condition . ' GROUP BY  SL.product_id  ' ;
        $all = Yii::app()->db->createCommand($SQL)->queryAll();?>
       <table class="table table-hover table-fixed table-bordered">
                    <thead>
                        <tr>
                             <th style="width:6%">SL</th>
                            <th style="width:10%">Part No.</th>
                            <th style="width:15%">Description</th>
                            <th style="width:5%">Unit</th>
                            <th style="width:10%">Brand</th>
                            <th style="width:10%">Vendor</th>
                            <th style="width:5%">Purchase Qty</th>
                            <th style="width:5%">Total Amount</th>
                            <th style="width:5%">Avg Price</th>
    
                        </tr>
                    </thead>
                <tbody>
        <?php            
        $sl = 1;
        $tot=0;
        $total=0;?>
        <?php
        foreach ($all as $each) {

            $srsql='SELECT  SUM(SL.quantity*SL.unit_exchange_rate) as default_qty, SUM(SL.rate*SL.exchange_rate*SL.quantity*SL.unit_exchange_rate) AS total_amount
                FROM {{stock_ledger}} SL 
                LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
         
                WHERE ' . $sr_condition . ' AND  SL.product_id=  ' . $each['product_id']; 
                $sr_array = Yii::app()->db->createCommand($srsql)->queryRow();
            $default_qty=$each['default_qty']-$sr_array['default_qty'] ;
            $amount = $each['total_amount']-$sr_array['total_amount'];
            if($default_qty!=0){
                $avg= $amount / $default_qty;
            }
            else{
                $avg=0;
            }
            
            $tot += $amount;
            $total += $avg;
            $tot_qty+=$default_qty;
            if($vendor_id>0)
            {
             $vendor_name=$each['vendor_name'];
            }
            else{
                $vendor_name='ALL';
            }
            ?>
            <tr>
                <td><?php echo  $sl ?></td>
                <td><?php echo  $each['part_number'] ?></td>
                <td><?php echo  $each['description'] ?></td>
                <td><?php echo  $each['unit_label'] ?></td>
                <td><?php echo  $each['brand_name'] ?></td>
                <td><?php echo  $vendor_name ?></td>
                <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($default_qty, "") ?></td>
                <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($amount , " ") ?></td>
                <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($avg, "") ?></td>
            </tr>
            <?php
            $sl++;
        }?>

       <tr>
        <td colspan="6" style="text-align:right !important;"><b>Total</b></td>
        <td style="text-align:right !important;"><b><?php echo  Yii::app()->numberFormatter->formatCurrency($tot_qty, " ") ?></b></td>
        <td style="text-align:right !important;"><b><?php echo  Yii::app()->numberFormatter->formatCurrency($tot, " ") ?></b></td>
        <td style="text-align:right !important;"><b><?php echo  Yii::app()->numberFormatter->formatCurrency($total, " ") ?></b></td>
        </tr>
        </tbody>
        </table>
        </div>
    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
            <?php
            date_default_timezone_set("Asia/Dubai");
            echo date('d/m/Y') . " " . date("h:i:sa");
            ?>
        </div>


        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
            <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>