<?php
//created by binzy.b.s 28/4/2022
//multiple customer report pdf
?>
<!DOCTYPE html>
<html>
    <head>
        <title><?php echo date('dmYhis'); ?></title>
    </head>
    <body>
        <div >
            <div class="header" style="width:100%;float: left;padding-bottom:10px;">
                <?php $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id); ?>
                <div class="col-12">
                    <div class="text-center">
                        <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                    </div>
                    <div class="text-center">
                        <small><?php echo nl2br($userModel->outletDetails->address); ?></small><br>
                        <small><?php echo $userModel->outletDetails->phone_no; ?></small>
                    </div>
                </div>
            </div>
            <div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;"> 
                <!--add New Template-->
                <div style="text-align: right;width: 100%">Date : <?= date("d/m/Y") ?></div>
                <div class="">
                    <div class="col-6">      
                        <?php
                        $ledgerModel = FinanceLegder::model()->findBypk((int) $ledger);
                        $subledgerModel = FinanceSubledger::model()->findBypk((int) $subledger);
                        ?>
                        <div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;">                         
                        </div>
                    </div>
                </div>
                <br>
                <div class="col-md-12">
                    <p>Dear Sir / Madam, </p>
                    <?php //if ($type == 'customer') { ?>
                    <p class="text-center"><b><u>Sub: Statement of Account up to <?= date("d/m/Y", strtotime($to)) ?></u></b></p>
                    <?php //} else {
                    ?>
                   <!-- <p><b>Subject : Statement Of Account</b></p>-->
                    <?php // }
                    ?>
                    <p>
                        This is to inform your Accounts Dept. that our records show an outstanding balance against the following  invoices.
                    </p>
                    <table id="tbl_reorder_level_table" class="table table-fixed table-bordered table-primary dataTable">
                        <thead>
                            <tr>
                                <th class="text-center" style="width:10%">Date</th>
                                <th class="text-center" style="width:10%">Type</th>
                                <th class="text-center" style="width:10%">Voucher #</th>
                                <th class="text-center" style="width:10%">Due Date</th>
                                <th class="text-center" style="width:10%">Customer</th>
                                <th class="text-center" style="width:10%">Over Due</th>
                                <th class="text-center" style="width:10%">Ref</th>
                                <th class="text-center"  style="width:10%">Voucher Value</th>
                                <th class="text-center" style="width:10%">Paid</th>
                                <th class="text-center" style="width:10%">Balance Amt Due</th>
                            </tr>
                        </thead>

                        <?php
                        $cur = MasCurrency::model()->findByPk($currency);
                        $exchange_rate = $cur->exchange_rate;
                        $currency_code = $cur->currency_code;
                        $amountType = 'VI.amount > 0';
                        $paidType = 'VI.amount < 0';
                        if ($type == 'customer') {
                            $amountType = 'VI.amount > 0';
                            $paidType = 'VI.amount < 0';
                        }
                        $items = array();
                        $query = 'CREATE OR REPLACE VIEW {{finance_statement}} AS (SELECT
                                    VT.description AS voucher_type,
                                    V.id AS voucher_id,
                                    V.voucher_date AS voucher_date,
                                    V.due_date AS due_date,
                                    V.reference_no AS reference_no,
                                    VI.narration AS narration,
                                    VI.id AS voucher_item_id,
                                    V.voucher_no,
                                    C.description,
                                    ROUND(ABS(VI.amount*VI.exchange_rate), 4) AS amount,
                                    ROUND(IFNULL(ABS(SUM(AI.amount)), 0), 4) AS allocated,
                                    ROUND(ABS(VI.amount*VI.exchange_rate), 4) - ROUND(IFNULL(ABS(SUM(AI.amount)), 0), 4) AS balance
                                FROM {{finance_voucher_items}} VI
                                LEFT JOIN {{finance_voucher_head}} V ON V.id = VI.header_id
                                LEFT JOIN {{finance_voucher_type}} VT ON VT.id = V.voucher_type
                                LEFT JOIN {{finance_allocation_items}} AI ON AI.voucher_item_id = VI.id
                                LEFT JOIN {{finance_subledger}} C ON C.id= VI.subledger_id
                                WHERE V.is_posted ="Y" AND V.voucher_date<="' . $to . '"  AND ' . $amountType . ' AND VI.ledger_id = ' . $ledger . ' AND VI.subledger_id IN (' . $subledger . ')
                                GROUP BY VI.id)
                                UNION
                                (SELECT
                                    VT.description AS voucher_type,
                                    V.id AS voucher_id,
                                    V.voucher_date AS voucher_date,
                                    V.due_date AS due_date,
                                    V.reference_no AS reference_no,
                                    VI.narration AS narration,
                                    VI.id AS voucher_item_id,
                                    V.voucher_no,
                                    C.description,
                                    -(ROUND(ABS(VI.amount*VI.exchange_rate), 4)) AS amount,
                                    -(ROUND(IFNULL(ABS(SUM(AI.amount)), 0), 4)) AS allocated,
                                    -(ROUND(ABS(VI.amount*VI.exchange_rate), 4) - ROUND(IFNULL(ABS(SUM(AI.amount)), 0), 4)) AS balance
                                FROM {{finance_voucher_items}} VI
                                LEFT JOIN {{finance_voucher_head}} V ON V.id = VI.header_id
                                LEFT JOIN {{finance_voucher_type}} VT ON VT.id = V.voucher_type
                                LEFT JOIN {{finance_allocation_items}} AI ON AI.voucher_item_id = VI.id
                                LEFT JOIN {{finance_subledger}} C ON C.id= VI.subledger_id
                                WHERE V.is_posted ="Y" AND V.voucher_date<="' . $to . '"  AND ' . $paidType . ' AND VI.ledger_id = ' . $ledger . ' AND VI.subledger_id IN (' . $subledger . ')
                                GROUP BY VI.id)';
                        if ($ledger > 0 && $subledger > 0) {
                            Yii::app()->db->createCommand($query)->execute();
                            $items = Yii::app()->db->createCommand('SELECT * FROM {{finance_statement}} order by voucher_date')->queryAll();
                        }
                        ?>

                        <tbody>    
                            <?php
                            $totalValue = 0;
                            $balanceTotal = 0;
                            $totalPaid = 0;
                            $due_list_array = array();
                            ?>
                            <?php
                            $amount += $opening_bal;
                            $allocated += 0;
                            $totalValue += $opening_bal;
                            $balanceTotal += $opening_bal;
                            $due_array["OB"] = $opening_bal;
                            if (!empty($items)) {
                                foreach ($items as $each) {

                                    if (round($each['balance'], 2) != 0) :
                                        $totalValue += $each['amount'];
                                        $balanceTotal += $each['balance'];
                                        $totalPaid += $each['allocated'];
                                        $due_days = strtotime($each['voucher_date']);
                                        $due = round(abs(strtotime(date('Y-m-d')) - $due_days) / 86400);
                                        $array_slot = floor($due / 30);

                                        if ($array_slot == 0) {
                                            if (!isset($due_array["0-30"])) {
                                                $due_array["0-30"] = 0;
                                            }
                                            $due_array["0-30"] = $due_array["0-30"] + $each['balance'] / $exchange_rate;
                                        } else if ($array_slot >= 6) {
                                            if (!isset($due_array[">180"])) {
                                                $due_array[">180"] = 0;
                                            }
                                            $due_array[">180"] = $due_array[">180"] + $each['balance'] / $exchange_rate;
                                        } else {
                                            $lower_limit = ($array_slot * 30) + 1;
                                            $upper_limit = $lower_limit + 29;
                                            $label = "{$lower_limit}-{$upper_limit}";
                                            if (!isset($due_array[$label])) {
                                                $due_array[$label] = 0;
                                            }
                                            $due_array[$label] = $due_array[$label] + $each['balance'] / $exchange_rate;
                                        }
                                        if ($_REQUEST['type'] == 'customer') {
                                            $vouchreformat = $each['voucher_no'];
                                        } else {
                                            $head = FinanceVoucherHead::model()->findByPk($each['voucher_id']);
                                            if ($head->voucher_type == 8) {
                                                $ref = PurchaseInvoice::model()->findByPk($head->voucher_no)->invoice_no;
                                            } else {
                                                $ref = $each['reference_no'];
                                            }
                                            if (empty($ref)) {
                                                $ref = $head->voucher_no;
                                            }
                                            $vouchreformat = $ref;
                                        }

                                        if ($_POST['type'] == 'customer') {
                                            $vouchreformat = $each['voucher_no'];

                                            $head = FinanceVoucherHead::model()->findByPk($each['voucher_id']);
                                            $vouchertype = FinanceVoucherType::model()->find(array('condition' => 'code="SI" AND outlet=' . $outlet))->id;
                                            if ($head->voucher_type == $vouchertype) {
                                                $ref = PurchaseInvoice::model()->findByPk($head->voucher_no)->invoice_no;
                                            } else {
                                                $ref = $each['reference_no'];
                                            }
                                            if (empty($ref)) {
                                                $ref = $head->voucher_no;
                                            }
                                            $vouchreformat = '<a href="#" onclick="' . generateUrl(FinanceVoucherItems::model()->findBypk((int) $each['voucher_item_id'])) . '">' . $prefix . $each['voucher_no'] . '</a>';
                                        } else {
                                            $head = FinanceVoucherHead::model()->findByPk($each['voucher_id']);
                                            $vouchertype = FinanceVoucherType::model()->find(array('condition' => 'code="PI" AND outlet=' . $outlet))->id;
                                            if ($head->voucher_type == $vouchertype) {
                                                $ref = PurchaseInvoice::model()->findByPk($head->header_table_id)->reference_no;
                                            } else {
                                                $ref = $each['reference_no'];
                                            }
                                            if (empty($ref)) {
                                                $ref = $head->voucher_no;
                                            }
                                            $vouchreformat = $prefix . $each['voucher_no'];
                                        }
                                        $now = time(); // or your date as well
                                        $your_date = strtotime($each['due_date']);
                                        $datediff = $now - $your_date;
                                        $over_due = round($datediff / (60 * 60 * 24));
                                        if ($over_due <= 0) {
                                            $over_due = 0;
                                        }
                                        ?>
                                        <tr>      
                                            <td><?php echo date("d/m/Y", strtotime($each['voucher_date'])); ?></td>
                                            <td><?php echo $each['voucher_type']; ?></td>
                                            <td><?php echo $vouchreformat; ?></td>
                                            <td><?php echo date("d/m/Y", strtotime($each['due_date'])); ?></td>
                                            <td><?php echo $each['description'] ?></td>
                                            <td><?php echo $over_due; ?>  Days</td>
                                            <td><?php echo $ref; ?></td>
                                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(($each['amount'] / $exchange_rate), " "); ?></td>
                                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(($each['allocated'] / $exchange_rate), " "); ?></td>
                                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(($each['balance'] / $exchange_rate), " "); ?></td>
                                        </tr>
                                    <?php endif; ?>
                                <?php } ?>
                                <tr>
                                    <td colspan="7" class="text-right"><b>Total </b></td>
                                    <td  class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency(($totalValue / $exchange_rate), " "); ?></b></td>
                                    <td  class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency(($totalPaid / $exchange_rate), " "); ?></b></td>
                                    <td  class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency(($balanceTotal / $exchange_rate), " "); ?></b></td>
                                </tr>
                            <?php } else { ?>
                                <tr>
                                    <td colspan="10" style="text-align:center">No Data Found</td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
    </body>
</html>
