<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'addcustomerforsale-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>

    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <li class="col-sm-4">
                <?php 
                $outlet_id=(int)Yii::app()->user->outlet_id;
                $arr_sales_man=MasUsers::get_outlet_salesandadmin($outlet_id);
                echo  $form->dropdownList($model, 'created_by',$arr_sales_man, array('data-label'=>'Created By <span style="color:red;">*</span>'));?>
            </li>
            <li class="col-sm-4">
                <?php echo CHtml::button('Load', array('type'=>'button','class'=>'btn btn-primary','onclick' => 'loadSalesmanCustomers();')); ?>
            </li>
        </ul>
        <div id="div_sales_details"></div>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" id="cust_close" data-dismiss="modal">Close</button>
    <button type="button" class="btn btn-theme" id="addcustomerforsale_close" onclick="savesalemancustomers()">Save</button>
</div>
<?php $this->endWidget(); ?>
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("savesalemancustomers", "function savesalemancustomers(){
    var accessed_by = $('#Customer_accessed_by').val();
    var num_rows=$('#tab_saleman_cust').find('tr:gt(0)').length;
    var ids = [];        
        for(i=0;i<num_rows;i++){
                var isChecked  = $('#Items_'+i+'_checked').is(':checked');
            var id  = $('#update_'+i+'_id').val();   
            if(isChecked){          
                if(id>0){
                    ids.push(id);
                }
            }             
        }
        if(ids !=''){
        $('.loader').show();
        $.ajax({
            type: 'POST',
            url: $('#liveSite').val() + 'index.php?r=customer/SaveCustomerforSale',
            data: {'ids':JSON.stringify(ids),'accessed_by':accessed_by},
            success: function(data){ 
                $('.loader').hide();
                if (data == 'success'){
                    t8.success('Customers Updated');
                    $('#cust_close').click();
                }
                else
                {
                    t8.error('Customers Not Updated');
                }
            }
        });
        }
        else{
            t8.error('No Customers Selected');
            }
}", CClientScript::POS_HEAD);  
$cs->registerScript("checkall", "function checkall(){
    var isChecked = $('.checkBoxClassAll').is(':checked');
    $('input:checkbox').not(this).prop('checked', isChecked);
}", CClientScript::POS_HEAD); 
$cs->registerScript("loadSalesmanCustomers", "
function loadSalesmanCustomers() {
    var accessed_by = $('#Customer_created_by').val();
    jQuery.ajax({
        'dataType':'json',
        'data' :{'id':accessed_by},
        'type':'post',
        'url': '" . Yii::app()->createUrl('customer/GetSalesmanCustomers') . "',
        'cache': false,
        'success': function(data) {
            $('#div_sales_details').html(data.table_customers);
        }, 
        'beforeSend':function(){
            $('#loader').show();
        },
        'complete':function(){
            $('#loader').hide();   
        }
    });  
};", CClientScript::POS_HEAD);
?>