<div class="tab-content">
    <div class="tab-pane active" id="goodstransfer_sec">
        <section class="panel">
            <header class="panel-heading clearfix panel-theame">
                <i class="fa fa-exchange"></i> Goods Transfer
                <?php if(Yii::app()->user->user_access_type != 'DEV'&& Yii::app()->user->user_access_type != 'SU'){ ?>
                <button class="btn btn-sm btn-theme" onclick="loadPopupModal('goodstransfer/create', 'New Goods Transfer', 'xl')"><i class="fa fa-plus"></i> ADD</button>
                <?php } ?>
                <div class="pull-right" style="display:inline-flex">
                    &NonBreakingSpace;
                    <?php 
                    if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet','prompt' => 'All Outlets',  'onchange' => 'changeOutletUsers(this.id,"created_user","div_created_user");reloadTable("#tbl_goods_transfer");');
                    }
                    else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet',  'onchange' => 'reloadTable("#tbl_goods_transfer");');
                    }
                    echo CHtml::dropdownlist('gt_outlet',Yii::app()->user->outlet_id, MasOutlets::getAllOutlets(), $array); ?>                   
                    &NonBreakingSpace;
                    <div id="div_created_user">
                    <?php 
                    if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU'|| Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM')
                    {
                        $uarray=array('class'=>'form-control','data-label'=>'User','prompt' => 'All Users',  'onchange' => 'reloadTable("#tbl_goods_transfer");');
                    }
                    else if( Yii::app()->user->user_access_type == 'SL')
                    {
                        $uarray=array('class'=>'form-control','data-label'=>'User',  'onchange' => 'reloadTable("#tbl_goods_transfer");');
                    }
                    $outlet=(int) Yii::app()->user->outlet_id;
                    echo CHtml::dropdownlist('created_user','',MasUsers::get_outlet_salesandadmin($outlet), $uarray); ?>
                    </div>
                     &NonBreakingSpace;
                    <label style="margin-top: 5px;margin-left: 5px;margin-right: 5px;">From</label>
                    &NonBreakingSpace;
                    <?php echo CHtml::textField('from',date('01/m/Y'), array('class'=>'form-control datepicker','data-label' => 'Start Date','style'=>'max-width: 103px;')); ?>
                    &NonBreakingSpace;
                    <label style="margin-top: 5px;margin-left: 5px;margin-right: 5px;">To</label>
                    &NonBreakingSpace;
                    <?php echo CHtml::textField('to',date('d/m/Y'), array('class'=>'form-control datepicker','data-label' => 'End Date','style'=>'max-width: 103px;')); ?>
                    &NonBreakingSpace;
                    <button class="btn btn-theme btn-md" onclick="reloadTable('#tbl_goods_transfer');"><i class="fa fa-retweet"></i></button>
                </div>
            </header>   
            <div class="panel-body">
                <div class="custom-data-table">
                    <table class="table table-hover table-bordered personal-task" id="tbl_goods_transfer">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Date</th>
                                <th>From</th>
                                <th>To</th>
                                <th>Notes</th>
                                <th>Outlet</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </section>
    </div>
</div>
<script>
    $(document).ready(function () {
        var table_details_id = "#tbl_goods_transfer";
        table_details = $(table_details_id).on("preXhr.dt", function (e, settings, data) {
        data.from = $("#from").val();
        data.to = $("#to").val();
        data.outlet = $("#gt_outlet").val();
        data.created_user = $("#created_user").val();
        return data;
    }).DataTable({
            scrollY: "550px",
            "bAutoWidth": true,
            pageLength: 50,
            ajax: {
                url: "index.php?r=goodstransfer/getlist",
                type: "POST",
                cache: false,
            },
            serverSide: true,
            fixedColumns: true,
            processing: true,
            order: [[0, "desc"]],
            aoColumnDefs: [
              { "bSortable": false, "aTargets": [ 7] },
              {
                 "targets": [7],
                 "visible": false,
              },
            ],
            "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {

                if (aData[7] == "N") {
                    $("td", nRow).addClass("bg-danger");
                }
            }
        });
        $(".dataTables_scrollFoot").hide();

    });
</script>
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("CancelTransfer", "function canceltransfer(transfer_id) {
    r =confirm('This process cannot be undone.Are You sure to cancel this?');
    if (r == true) {
                jQuery.ajax({
                    'dataType':'json',
                    'data' :{'id':transfer_id},
                    'type':'post',
                    'url': '" . Yii::app()->createUrl('goodstransfer/CancelTransfer') . "',
                    'cache': false,
                    'success': function(data) {
                        if(data.status=='success'){
                            t8.success('Goods Transfer Cancelled!');  
                            reloadTable('#tbl_goods_transfer'); 
                        }else{
                            $.each(data, function(key, val) {
                                t8.error(''+val+''); 
                            });
                            t8.error('Transfer Cannot Be Cancelled'); 
                        }
                    }, 
                    'beforeSend':function(){
                        $('#loader').show();
                    },
                    'complete':function(){
                        $('#loader').hide();   
                    }
                });     
    }
        
};", CClientScript::POS_HEAD);
?>