
<script src="https://cdn.datatables.net/1.10.21/js/dataTables.foundation.min.js" ></script>

<script src="https://cdn.datatables.net/buttons/1.6.2/js/dataTables.buttons.min.js" ></script>
<script src="https://cdn.datatables.net/buttons/1.6.2/js/buttons.foundation.min.js" ></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js" ></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" ></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js" ></script>
<script src="https://cdn.datatables.net/buttons/1.6.2/js/buttons.html5.min.js" ></script>
<script src="https://cdn.datatables.net/buttons/1.6.2/js/buttons.print.min.js" ></script>
<script src="https://cdn.datatables.net/buttons/1.6.2/js/buttons.colVis.min.js" ></script>


<script>
    function  excelcustomize(doc) {

    }
    $(document).ready(function () {
        var table_id = "#example";
        var table = $(table_id).on("preXhr.dt", function (e, settings, data) {
            data.on_date = $("#on_date").val();
            data.salesman = $("#salesman_id").val();
            return data;
        }).DataTable({
            // scrollY         : "1000px",
            // pageLength      : 100,
            columns: [
                {className: "nw sl col-max-1"},
                {className: "nw sl col-max-1"},
                {className: "nw sl col-max-3"},
                {className: "nw sl col-max-1"},
                {className: "nw sl col-max-1 text-right"},
                {className: "nw sl col-max-1 text-right"},
                {className: "nw sl col-max-2 text-right"},
            ],
            ajax: {
                url: "index.php?r=inventoryreport/report",
                type: "POST",
                cache: false,
            },
            "paging": true,
            dom: "Bfrtip",
            buttons: [
                {
                    extend: "copyHtml5",
                    text: "<i class=\"fa fa-files-o\"></i>",
                    titleAttr: "Copy"
                },
                {
                    extend: "excelHtml5",
                    text: "<i class=\"fa fa-file-excel-o\"></i>",
                    titleAttr: "Excel",
                    autoFilter: true,
                    customize: function (doc) {
                        excelcustomize(doc);
                    }
                },
                {
                    extend: "csvHtml5",
                    text: "<i class=\"fa fa-file-text-o\"></i>",
                    titleAttr: "CSV"
                },
                {
                    extend: "pdfHtml5",
                    text: "<i class=\"fa fa-file-pdf-o\"></i>",
                    titleAttr: "PDF",
                    footer: true,
                    //messageTop: getPdfHeader(),
                    customize: function (doc) {
                        pdfcustomize(doc);
                    }
                },
                {
                    extend: "print",
                    text: "<i class=\"fa fa-lg fa-print\"></i>",
                    title: "",
                    header: true,
                    footer: true,
                    // download : "download", 
                    // download : "open",
                    messageTop: getHeader(),
                    filename: "Daily Sales Report",
                    messageBottom: "",
                    customize: function (win) {
                      win.document.head.innerHTML =  '';
                        console.log(win.document.body.innerHTML);
           $(win.document.head)                           
                                .prepend(
                                        '<link rel="stylesheet" type="text/css" href="http://e-sell.me/new/css/print_report.css" />'
                                        );
                        $(win.document.body)
                                .css("font-size", "10pt")
                                .prepend(
                                        getPrintHeader()
                                        );
                        $(win.document.body).find("table").addClass("display").css("font-size", "9px");
                        $(win.document.body).find("tr:nth-child(odd) td").each(function (index) {
                            $(this).css("background-color", "#D0D0D0");
                        });
                        $(win.document.body).find("h1").css("text-align", "center");
                        $(win.document.body).find("table")
                                .addClass("compact")
                                .css("font-size", "inherit");
                       
                        
                    },
                    exportOptions: {
                        columns: ":visible",
                        stripHtml: false
                    }
                },
                {
                    extend: "colvis",
                    text: "<i class=\"fa fa-search\"></i>",
                    collectionLayout: "fixed two-column"
                },
            ],
            // Footer
            "footerCallback": function (row, data, start, end, display) {
                var api = this.api(), data;
                // Remove the formatting to get integer data for summation
                var intVal = function (i) {
                    return typeof i === "string" ?
                            i.replace(/[\$,]/g, "") * 1 :
                            typeof i === "number" ?
                            i : 0;
                };
                // Total over all pages TOTAL
                total = api
                        .column(4)
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);
                // Total over all pages VAT
                vat = api
                        .column(5)
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);
                // Total over all pages GRAND TOTAL
                grand_total = api
                        .column(5)
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);

                $(api.column(5).footer()).html(
                        grand_total.toFixed(2)
                        );
            }
        });
        table.buttons().container().appendTo("#example_wrapper .small-6.columns:eq(0)");
    });</script>
<script>function getHeader() {
        return "salesman";
        // var salesman = document.getElementById('salesman_id');
        //var selectedText = salesman.options[salesman.selectedIndex].text;
        // return '<h4 style=\'float: left\'>Date : '+$('#on_date').val()+' Salesman :  '+selectedText+' </h4>';
    }</script>
<section class="panel">
    <header class="panel-heading clearfix panel-theame">
        <i class="fa fa-users"></i> Inventory

        <div class="pull-right" style="display:inline-flex">
            <?php
            if (Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU') {
                $array = array('class' => ' filter tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All Outlets');
            } else if (Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM') {
                $array = array('class' => 'filter tooltipster', 'data-label' => 'Outlet');
            }
            echo CHtml::dropdownlist('outlet', '', MasOutlets::getAllOutlets(), $array);
            ?>
            &NonBreakingSpace;
            <?php echo CHtml::dropdownlist('type', '', array('I' => 'Inventory', 'S' => 'Service'), array('class' => 'filter tooltipster', 'data-label' => 'Type', 'prompt' => 'All Types')); ?>
            &NonBreakingSpace;
            <?php echo CHtml::dropdownlist('brand', '', MasBrand::getAllBrands(), array('class' => ' filter tooltipster', ' data-label' => 'Brand', 'prompt' => 'All Brands')); ?>
            &NonBreakingSpace;
            <?php echo CHtml::dropdownlist('stock', '', array(1 => 'Available', 2 => 'Empty'), array('class' => 'filter tooltipster', 'data-label' => 'Stock', 'prompt' => 'Stock(All)')); ?>
            &NonBreakingSpace;
            <button class="btn btn-theme btn-md" onclick="reloadTable('#tbl_inventory');"><i class="fa fa-retweet"></i></button>
        </div>
    </header>   
    <div class="panel-body">

        <div class="custom-data-table">
            <table id="example" class="table table-striped table-boardered cell-border hover" style="width:100%">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Part No</th>
                        <th>Description</th>
                        <th>Type</th>
                        <th>Brand</th>
                        <th>Qty</th>
                        <th>Unit</th>            

                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <th>#</th>
                        <th>Part No</th>
                        <th>Description</th>
                        <th>Type</th>
                        <th>Brand</th>
                        <th>Qty</th>
                        <th>Unit</th>            

                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
  
</section>
<script>
    function getBase64logo() {
        var c = document.createElement('canvas');
        var img = document.getElementById('company_logo');
        c.height = img.naturalHeight;
        c.width = img.naturalWidth;
        var ctx = c.getContext('2d');
        ctx.drawImage(img, 0, 0, c.width, c.height);
        var base64String = c.toDataURL();
        return base64String;
    }
    /**
     * Comment
     */
    function pdfcustomize(doc) {
        doc.styles.tableHeader = {
            color: 'white',
            fillColor: '#1f67b2',
            alignment: 'centre'
        }
        doc.styles.tableFooter = {
            color: 'white',
            fillColor: '#1f67b2',
            alignment: 'centre',

        }

        doc.header = getPdfHeader();
        doc.footer = function (currentPage, pageCount) {
            var text = currentPage.toString() + ' of ' + pageCount + " pages.";
            return {text: text, alignment: 'center', bold: true};
        }
        doc.content[0].text = "Inventory Report";
        table = doc.content[1];
        table.table.widths = [15, "*", "*", "*", "*", "*", "*"];
        doc.content[1] = filterTable();
        table.layout = {

            hLineColor: function (i, node) {
                return  '#1f67b2';
            },
            vLineColor: function (i, node) {
                return '#1f67b2';
            },

        };
        doc.content[2] = table;

    }
    function getPdfHeader() {
        return {
            margin: [10, 0, 0, 0],
            padding: [0, 0, 0, 0],
            width: 50,
            height: 50,
            alignment: 'center',
            image: getBase64logo(),
        };
    }
    function getPrintHeader() {
        var header = "Inventory Report";
        var html = "<img src='http://e-sell.me/new/images/logo.png' style=\"width: 100px;\"/><span style='font-size: 22pt'>" + header + "</span>";
        var table = document.createElement('table');
        $(table).css({
            'border': "1px solid black",
            'border-collapse': 'collapse',
            width: '300px',

        });
        $('.filter').each((index, el) => {
            console.log(el);
            let row = table.insertRow(index);
            let cell1 = row.insertCell(0);
            cell1.innerHTML = $(el).attr('data-label');
            let cell2 = row.insertCell(1);
            cell2.innerHTML = $(el).find(':selected').text();
        });

        html = html + table.outerHTML;
        console.log(html);
        return html;

    }
    /**
     * Comment
     */
    function filterTable() {
        var dd = {
            margin: [0, 0, 0, 20],
            layout: {
                hLineColor: function (i, node) {
                    return  '#1f67b2';
                },
                vLineColor: function (i, node) {
                    return '#1f67b2';
                },
                fillColor: function (rowIndex, node, columnIndex) {
                    return 'white';
                    //return (columnIndex === 0 || columnIndex === 2) ? 'lightgray' : null;
                }
            },
            table: {
                // headers are automatically repeated if the table spans over multiple pages
                // you can declare how many rows should be treated as headers
                //headerRows: 1,
                widths: [100, 120, 100, 120],

                body: [
                    [{text: 'Outlet', bold: true, }, $("#outlet option:selected").text(), {text: 'Brand', bold: true, }, $("#brand option:selected").text()],
                    [{text: 'Types', bold: true}, $("#type option:selected").text(), {text: 'Stock', bold: true, }, $("#stock option:selected").text()],
                ]
            }
        }
        return dd;
    }
</script>
<style>
    .button {
        background-color: #1f67b2;
        border-color: #1f67b2;
        color: #FFFFFF;
        padding: 8px;
        border-radius: 4px;
    }
    .f-dropdown {
        background-color: #1f67b2;
        z-index: 99999999999999999;
        list-style: none;
        margin-top: 20px;
        padding: 3px;
    }
    .buttons-columnVisibility a{
        color:white !important;
        padding: 3px;
        border-radius: 4px;
        background-color: #1f67b2;
        border-color: #1f67b2;
        color: #FFFFFF;
        width: 150px;
    }
    .buttons-columnVisibility {
        display: inline-block;
    }
</style>