<div class="tab-content">
    <div class="tab-pane active" id="masterstate_sec">
        <section class="panel">
            <header class="panel-heading clearfix panel-theame">
                <i class="fa fa-users"></i> Master State
                <?php if(Yii::app()->user->user_access_type != 'DEV' && Yii::app()->user->user_access_type != 'SU' && Yii::app()->user->user_access_type != 'SM' && Yii::app()->user->user_access_type != 'OM'){ ?>
                <div class="pull-right">
                    <button class="btn btn-sm btn-theme" onclick="loadPopupModal('masstate/create', 'New Master State', 'lg')"><i class="fa fa-plus"></i> ADD</button>
                </div>
                <?php  } ?>
            </header>   
            <div class="panel-body">
                <div class="custom-data-table">
                    <table class="table table-hover table-bordered personal-task" id="tbl_masterstate">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </section>
    </div>
</div>
<script>
    $(document).ready(function () {
        var table_details_id = "#tbl_masterstate";
        table_details = $(table_details_id).DataTable({
            scrollY: "550px",
            "bAutoWidth": true,
            pageLength: 50,
            ajax: {
                url: "index.php?r=masstate/getlist",
                type: "POST",
                cache: false,
            },
            serverSide: true,
            fixedColumns: true,
            processing: true,
            order: [[1, "asc"]],
            aoColumnDefs: [
              { "bSortable": false, "aTargets": [2,3,4] },
              {
                 "targets": [3,4],
                 "visible": false,
              },
            ],
            "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {

                if (aData[3] == "N") {
                    $("td", nRow).addClass("bg-danger");
                }
                if (aData[4] == "Y") {
                    $("td", nRow).addClass("bg-success");
                }
            }
        });
        $(".dataTables_scrollFoot").hide();

    });
</script>