<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'mastax-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>

    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <li class="col-sm-6">
                <?php echo $form->textField($model, 'tax_code', array('data-label' => 'Tax Code <span style="color:red;">*</span>')); ?>
                <?php echo $form->hiddenField($model, 'id'); ?>
            </li>
            <li class="col-sm-6">
                <?php echo $form->textField($model, 'tax_percentage', array('data-label' => 'Tax Percentage <span style="color:red;">*</span>')); ?>
            </li>
            <li class="col-sm-6">
                <?php echo $form->dropDownList($model, 'is_default', array('Y'=>'Yes','N'=>'No'),array('data-label' => 'Is Default <span style="color:red;">*</span>')); ?>
            </li>
            <li class="col-sm-6">
                <?php echo $form->dropDownList($model, 'active',array('Y'=>'Yes','N'=>'No'), array('data-label' => 'Is Active <span style="color:red;">*</span>')); ?>
            </li>
        </ul>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" id="tax_close" data-dismiss="modal">Close</button>
    <?php 
                $url = Yii::app()->createUrl('mastax/Save');
                echo CHtml::ajaxSubmitButton('Save', $url, array(
                            'dataType' => 'json',
                            'type' => 'post',
                            'success' => 'function(data) {
                                if(data.status=="success"){  
                                    $("#tax_close").click();                                        
                                    t8.success("Tax Details Saved Successfully!");
                                    reloadTable("#tbl_mastertax");
                                } else { 
                                    $("#mastax-form .mastax-save-btn").prop("disabled", false);
                                    $("#mastax-form .mastax-save-btn").addClass("btn-theme").removeClass("btn_loading");
                                    $.each(data, function(key, val) {
                                        $("#mastax-form #"+key+"_em_").text(val).show(); 
                                        t8.error(""+val+""); 
                                    }); 
                                } 
                            }',
                            'beforeSend' => 'function(){
                                $(".toast8-error").hide(); 
                                $("#loader").show();
                                $("#mastax-form .mastax-save-btn").prop("disabled", true);                                
                                $("#mastax-form .mastax-save-btn").addClass("btn_loading").removeClass("btn-theme");
                                
                            }',
                            'complete' => 'function(){
                                $("#loader").hide();
                                $("#mastax-form .mastax-save-btn").prop("disabled", false);                                
                                $("#mastax-form .mastax-save-btn").addClass("btn-theme").removeClass("btn_loading");
                            }'
                                
                    ), array('id' => 'mybtn' . rand(), 'class' => 'mastax-save-btn btn btn-theme'));
           
    ?>
</div>
<?php $this->endWidget(); ?>
