<?php  $cs = Yii::app()->getClientScript(); ?>
<?php
    $form = $this->beginWidget('CActiveForm', array(
        'id' => 'group-form',
        'enableAjaxValidation' => false,
        'enableClientValidation' => false,
    ));
?>

<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <li class="col-sm-6">
                <?php echo $form->textField($model, 'percentage',array('data-label'=>'Percentage *')); ?>
                <?php echo $form->hiddenField($model, 'id'); ?>
                <?php echo CHtml::hiddenField('type', $type); ?>
            </li>
        </ul>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
    <?php 
        echo CHtml::ajaxSubmitButton('Save',  Yii::app()->createUrl('masters/savemaster'), array(
            'dataType' => 'json',
            'type' => 'post',
            'success' => 'function(data) {
                $("#loader").hide();
                if(data.status=="success"){  
                    t8.success("Saved!");
                    $(".x.close").click();
                    reloadTable("#tbl_masters");
                } else { 
                    $.each(data, function(key, val) {
                        t8.error(""+val+""); 
                    }); 
                } 
            }',
            'beforeSend' => 'function(){
                $(".errorMessage").hide(); 
                $("#loader").show();
            }'
        ), array('id' => 'mybtn' . rand(), 'class' => 'btn btn-theme'));
    ?>

    </div>

<?php $this->endWidget(); ?>










