<!DOCTYPE html>
<html>
<head>
    <title> <?php echo $title ?></title>
</head>
<body>
    <div class="">
        <div class="col-6">
        <br>
                <div class="h3" style="margin-top: 0;margin-bottom: 0;">
                    Allocation
                </div>

                <br><br><br>
                <table class="table" style="width:100%">
                    <tr>
                        <td><b>Allocated Date</b></td>
                        <td>
                            <?php echo date('d/m/Y',strtotime($allocationItems[0]->allocation_date));?>
                        </td>
                    </tr>
                    <tr> 
                        <td><b>Party</b></td>
                        <td><?php echo $allocationItems[0]->childheadDetails->partyDetails->name; ?></td>
                    </tr>
                    <tr> 
                        <td><b><?php echo $allocationItems[0]->parentheadDetails->vouchertypeDetails->name ?> #</b></td>
                        <td><?php echo $allocationItems[0]->parentheadDetails->number; ?></td>
                    </tr>
                    <tr> 
                        <td><b>Date</b></td>
                        <td><?php echo date('d/m/Y',strtotime($allocationItems[0]->parentheadDetails->date)) ?></td>
                    </tr>
                    <tr> 
                        <td><b>Amount</b></td>
                        <td><?php echo Yii::app()->numberFormatter->formatCurrency($allocationItems[0]->parentheadDetails->debit_sum," ").' '.VanCurrency::base_currency_code(); ?></td>
                    </tr>
                    <tr> 
                        <td><b>Outlet</b></td>
                        <td><?php echo $allocationItems[0]->parentheadDetails->outletDetails->name; ?></td>
                    </tr>
                    <tr> 
                        <td><b>Salesman/Phone</b></td>
                        <td><?php echo nl2br($allocationItems[0]->parentheadDetails->userDetails->full_name.'/<br>'.$allocationItems[0]->parentheadDetails->userDetails->phone_no); ?></td>
                    </tr>
            </table>
        </div>
        <div class="col-5 offset-1" style="color:#101010;">
                <div class="text-right">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                    <p><?php echo nl2br($userModel->companyDetails->billing_address); ?></p>
                </div>
            
        </div>
    </div>
    <br>
    <div class="col-md-12">
        <h3>Against Invoices</h3><br>
        <table id="" class="table">
            <thead>
                <tr>
                    <th class="text-center" style="width:1%">No</th>
                    <th class="text-center" style="width:20%">Invoice #</th>
                    <th class="text-center" style="width:20%">Reference</th>
                    <th class="text-center" style="width:10%">Amount (<?php echo VanCurrency::base_currency_code() ?>)</th>
                    <th class="text-center" style="width:10%">Allocated (<?php echo VanCurrency::base_currency_code() ?>)</th>
                </tr>
            </thead>
            <tbody>
                 <?php 
                    foreach ( $allocationItems as $i =>  $each ) { ?>
                        <tr>
                            <td><?php echo $i+1; ?></td>
                            <td><?php echo $each->childheadDetails->number; ?></td>  
                            <td><?php echo $each->childheadDetails->reference_no; ?></td>  
                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(( $each->childheadDetails->grand_total_bc - $each->childheadDetails->Returns_total )," "); ?> </td>  
                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($each->amount," "); ?> </td>  
                        </tr>
                    <?php } ?>
            </tbody>
        </table>
		<br>
    </div>
    <br><br> <br><br>
    <div style="position:relative">
        <div style="float:left; width: 40%;text-align: center;"> 
                ___________________________________________  <br>
                <span style="text-align: center;"><small>Prepared By / Signature</small></span>
        </div>
        <div style="width: 20%;"></div>
        <div style="width: 40%;float: right;text-align: center;"> 
                ___________________________________________ <br>
                <span style="text-align: center;"><small>Verified By / Signature</small></span>
        </div>
    </div>

    
    <htmlpagefooter name="myfooter">
            <div style="text-align:center;width:100%;font-size:10px">
            </div>
            <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
                <div class="col-12">
                    <div class="col-6">
                        <p style="text-align:left;font-size:10px;padding-left:17px;">
                            Generated by : <?php echo $userModel->full_name; ?>
                        </p>
                    </div>
                    <div class="col-6">
                        <p style="text-align:right;font-size:10px;padding-right:17px;">
                        <?php
                                date_default_timezone_set("Asia/Dubai");
                                echo date('l, F j, Y') . " " . date("h:i a");
                        ?>
                        </p>
                    </div>
                </div>
                <div style="text-align:center;width:100%;padding-top:-22px;">
                    <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p> 
                </div>
            </div>
        </htmlpagefooter> 

</body>

</html>
