<!DOCTYPE html>
<html>
    <head>
        <title>Material Conversion</title>
    </head>
    <body>
        <div class="">
            <div class="col-6">
                <br><br>
                <div class="h3" style="margin-top: 0;margin-bottom: 0;">Material Conversion
                    <div class="input-block">
                        <b><?php echo $model->number; ?></b>
                    </div></div>
                <br><br>
                <table class="table" style="width:100%">
                   
                     <tr> 
                        <td><b>Date</b></td>
                        <td><?php echo date('d/m/Y', strtotime($model->date)); ?></td>
                    </tr>
                    <tr> 
                        <td><b>User</b></td>
                        <td><?php echo $model->userDetails->full_name; ?></td>
                    </tr>
                    <tr> 
                        <td><b>Outlet</b></td>
                        <td><?php echo $model->outletDetails->name; ?></td>
                    </tr>
                </table>
            </div>
            <div class="col-5 offset-1" style="color:#101010;">
                <div class="text-right">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                    <p><?php echo nl2br($userModel->companyDetails->billing_address); ?></p>
                </div>
            </div>
        </div>
        <br>
        <div class="col-md-12">
            <h4>From Product</h4>
            <table id="" class="table">
                <thead>
                    <tr>
                        <th style="width:15%">Part No.</th>
                        <th style="width:30%">Description</th>
                        <th style="width:8%">Quantity</th>
                        <th style="width:8%">UOM</th>
                    </tr>
                </thead>
                <?php 
                        $fromItemModel = $model->fromProductDetails;
                        $toItemModel = $model->toProductDetails;
                    ?>
                <tbody>
                    <tr>
                        <td><?php echo $fromItemModel->ledger->name ?></td>
                        <td><?php echo nl2br($fromItemModel->description) ?></td>
                        <td><?php echo abs($fromItemModel->quantity) ?></td>
                        <td><?php echo nl2br($fromItemModel->unitDetails->symbol) ?></td>
                    </tr>
                </tbody>
            </table>

            <h4>To Product</h4>
            <table id="" class="table">
                <thead>
                    <tr>
                        <th style="width:15%">Part No.</th>
                        <th style="width:30%">Description</th>
                        <th style="width:8%">Quantity</th>
                        <th style="width:8%">UOM</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><?php echo $toItemModel->ledger->name ?></td>
                        <td><?php echo nl2br($toItemModel->description) ?></td>
                        <td><?php echo abs($toItemModel->quantity) ?></td>
                        <td><?php echo nl2br($toItemModel->unitDetails->symbol) ?></td>
                    </tr>
                </tbody>
            </table>
          <?php if($model->other_references!='')
            {
            ?>
             <div class="box" style="width:100%">
                <h5>Remarks</h5>
                <div class="h5sub-details"><?php echo nl2br($model->other_references);?> </div>
            </div>
            <?php } ?>
        </div>
        <br/>


        <htmlpagefooter name="myfooter">
            <div style="text-align:center;width:100%;font-size:10px">
            </div>
            <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
                <div class="col-12">
                    <div class="col-6">
                        <p style="text-align:left;font-size:10px;padding-left:17px;">
                            Generated by : <?php echo $userModel->full_name; ?>
                        </p>
                    </div>
                    <div class="col-6">
                        <p style="text-align:right;font-size:10px;padding-right:17px;">
                        <?php
                                date_default_timezone_set("Asia/Dubai");
                                echo date('l, F j, Y') . " " . date("h:i a");
                        ?>
                        </p>
                    </div>
                </div>
                <div style="text-align:center;width:100%;padding-top:-22px;">
                    <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p> 
                </div>
            </div>
        </htmlpagefooter> 

</body>

</html>
