<!DOCTYPE html>

<html>

<head>

    <title><?php echo ucfirst($model->vouchertypeDetails->name); ?></title>

    <style>
        .table tbody tr:nth-child(even) {

            background: #fff;

        }
    </style>

</head>

<body>

    <div class="">

        <div class="col-6">

            <div class="h3" style="margin-top: 0;margin-bottom: 0;">

                <?php echo ucfirst($model->vouchertypeDetails->name); ?>

            </div>

            <div class="input-block">

                <b><?php echo $model->number; ?></b>

            </div>

            <br>

            <?php if ($model->count_of_vendors() == 1) : ?>

                <small>Paid To :</small><br>

                <?php $partyModel = $model->vendor_transaction_model(); ?>

                <b><?php echo strtoupper($partyModel->ledger->name); ?></b><br>

                <small><?php echo nl2br($partyModel->ledger->billing_address); ?></small><br>

                <br>

            <?php endif; ?>

        </div>

        <div class="col-5 offset-1" style="color:#101010;">

            <div class="text-right">

                <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">

            </div>

            <br>

            <table class="table" style="width:100%;">

                <tr>

                    <td>Payment Date</td>

                    <td>

                        <?php echo $model->method == 'CHQ' ? date('d/m/Y', strtotime($model->cheque_date)) : date('d/m/Y', strtotime($model->date)); ?>

                    </td>

                </tr>

                <tr>

                    <td>Outlet</td>

                    <td><?php echo $model->outletDetails->name; ?></td>

                </tr>

                <tr>

                    <td>Reference</td>

                    <td><?php echo $model->reference_no; ?></td>

                </tr>


                <tr>

                    <td>Salesman/Phone</td>

                    <td><?php echo nl2br($model->userDetails->full_name . '/<br>' . $model->userDetails->phone_no); ?></td>

                </tr>

            </table>

        </div>

    </div>

    <br>

    <div class="col-md-12">

        <table class="table">

            <thead>

                <tr>

                    <th class="text-center" style="width:80%">Details</th>

                    <th class="text-center" style="width:20%">Amount</th>

                </tr>

            </thead>

            <tbody>

                <tr>

                    <td style="border-bottom:none;"><b>Account :</b></td>

                    <td class="text-right" style="border-bottom:none;border-top:none;"><b>&nbsp;</b></td>

                </tr>

                <?php foreach ($model->debitItems as $each) : ?>

                    <tr>

                        <td style="border-bottom:none;border-top:none;">

                            &nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo $each->ledger->name; ?></b><br>

                            <br>

                        </td>

                        <td class="text-right" style="border-bottom:none;border-top:none;"><b><?php echo Yii::app()->numberFormatter->formatCurrency(abs($each->amount), " "); ?></b> <br>@<small><?php echo $each->currencyDetails->code . '/' . (float) $each->exchange_rate ?></small></td>

                    </tr>

                <?php endforeach;  ?>

                <tr>

                    <td style="border-bottom:none;border-top:none;"><b>Through :</b></td>

                    <td class="text-right" style="border-bottom:none;border-top:none;"><b>&nbsp;</b></td>

                </tr>

                <?php foreach ($model->creditItems as $each) : ?>

                    <tr>

                        <td style="border-bottom:none;border-top:none;">

                            &nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo $each->ledger->name; ?></b><br>

                            &nbsp;&nbsp;&nbsp;&nbsp;<small><b>Amount : </b><?php echo Yii::app()->numberFormatter->formatCurrency(abs($each->amount), " "); ?> @<small><?php echo $each->currencyDetails->code . '/' . (float) $each->exchange_rate ?></small></small>

                        </td>

                        <td class="text-right" style="border-bottom:none;border-top:none;"><b>&nbsp;</b></td>

                    </tr>

                <?php endforeach;  ?>



                <tr>

                    <td style="border-bottom:none;border-right:none;">

                        &nbsp;&nbsp;&nbsp;&nbsp;Payment Method : <b><?php echo $model->mode_of_payment(); ?></b><br>

                        <?php echo $model->payment_method_details(); ?><br>

                    </td>

                    <td class="text-right" style="border-bottom:none;border-left:none;"><b>&nbsp;</b></td>

                </tr>

                <?php if ($model->other_references != '') :

                ?>

                    <tr>

                        <td style="border-bottom:none;border-right:none;">

                            <b>Narration :</b> <br><small><?php echo nl2br($model->other_references); ?></small>

                        </td>

                        <td class="text-right" style="border-bottom:none;border-left:none;"><b>&nbsp;</b></td>

                    </tr>

                <?php endif; ?>

                <tr>

                    <td class="text-right"><b>Total (<?php echo VanCurrency::base_currency_code(); ?>)</b></td>

                    <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($model->debit_sum, " "); ?></b></td>

                </tr>

            </tbody>

        </table>

    </div>

    <br><br> <br><br>

    <div style="position:relative">

        <div style="float:left; width: 40%;text-align: center;">

            ___________________________________________ <br>

            <span style="text-align: center;"><small>Received By / Signature</small></span>

        </div>

        <div style="width: 20%;"></div>

        <div style="width: 40%;float: right;text-align: center;">

            ___________________________________________ <br>

            <span style="text-align: center;"><small>Prepared By / Signature</small></span>

        </div>

    </div>

    <htmlpagefooter name="myfooter">

        <div style="text-align:center;width:100%;font-size:10px">

        </div>

        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">

            <div class="col-12">

                <div class="col-6">

                    <p style="text-align:left;font-size:10px;padding-left:17px;">

                        Generated by : <?php echo $userModel->full_name; ?>

                    </p>

                </div>

                <div class="col-6">

                    <p style="text-align:right;font-size:10px;padding-right:17px;">

                        <?php

                        date_default_timezone_set("Asia/Dubai");

                        echo date('l, F j, Y h:i a', strtotime($model->created_date_time))

                        ?>

                    </p>

                </div>

            </div>

            <div style="text-align:center;width:100%;padding-top:-22px;">

                <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p>

            </div>

        </div>

    </htmlpagefooter>

</body>



</html>