<!DOCTYPE html>
<html>
<head>
    <title><?php echo $title; ?></title>
	<style>
	   .boldy{
	      font-weight:bold;
	   }
	</style>
</head>
<body>
       <?php
$userModel = VanUsers::model()->findBypk(Yii::app()->user->id);
$logo = $for_app_logo != '' ? $for_app_logo : Yii::app()->user->pdf_company_logo;
?>
      <div class="">
            <div class="col-6">
                <br>
                <div class="h3" style="margin-top: 0;margin-bottom: 0;"><?php echo $title; ?></div>
                <br><br>  <br><br>
                <table class="table" style="width:100%">
                    <?php if (isset($params['from_date'])) {?>
                     <tr>
                        <td><b>From </b></td>
                        <td><b><?php echo date('d/m/Y', strtotime($params['from_date'])); ?> </b></td>
                    </tr>
                    <?php }?>
                    <?php if (isset($params['to_date'])) {?>
                    <tr>
                        <td><b>To </b></td>
                        <td><b><?php echo date('d/m/Y', strtotime($params['to_date'])); ?></b> </td>
                    </tr>
                    <?php }?>
                    <?php if (isset($params['date'])) {?>
                    <tr>
                        <td><b>Date </b></td>
                        <td><b><?php echo date('d/m/Y', strtotime($params['date'])); ?></b> </td>
                    </tr>
                    <?php }?>
                    <?php if ($params['customer_id'] > 0) {?>
                    <tr>
                        <td><b>Customer </b></td>
                        <td><b><?php echo VanLedgers::model()->findBypk($params['customer_id'])->name; ?> </b></td>
                    </tr>
                    <?php }?>
                    <?php if ($params['vendor_id'] > 0) {?>
                    <tr>
                        <td><b>Vendor </b> </td>
                        <td><b><?php echo VanLedgers::model()->findBypk($params['vendor_id'])->name; ?> </b></td>
                    </tr>
                    <?php }?>
                    <?php if ($params['product_id'] > 0) {?>
                    <tr>
                        <td><b>Product </b></td>
                        <td><b><?php echo VanLedgers::model()->findBypk($params['product_id'])->name; ?> </b></td>
                    </tr>
                    <?php }?>
                    <?php if ($params['product_group_id'] > 0) {?>
                    <tr>
                        <td><b>Product Group</b></td>
                        <td><b><?php echo VanLedgers::model()->findBypk($params['product_group_id'])->name; ?> </b> </td>
                    </tr>
                    <?php }?>
                    <?php if ($params['ledger_id'] > 0) {?>
                    <tr>
                        <td><b>Customer <b></td>
                        <td><b><?php echo VanLedgers::model()->findBypk($params['ledger_id'])->name; ?></b> </td>
                    </tr>
                    <?php }?>
                    <?php if ($params['salesman_id'] > 0) {?>
                    <tr>
                        <td><b>Salesman </b></td>
                        <td><b><?php echo VanUsers::model()->findBypk($params['salesman_id'])->full_name; ?></b> </td>
                    </tr>
                    <?php }?>
                    <?php if ($params['outlet_id'] > 0) {?>
                    <tr>
                        <td><b>Outlet </b> </td>
                        <td><b><?php echo VanOutlets::model()->findBypk($params['outlet_id'])->name; ?> </b></td>
                    </tr>
                    <?php }?>
                    <?php if ($params['customer_id'] > 0) {?>
                    <tr>
                        <td><b>Billing Address </b></td>
                        <td><b><?php echo VanLedgers::model()->findBypk($params['customer_id'])->billing_address; ?> </b></td>
                    </tr>
                    <?php }?>
                    <?php if ($params['customer_id'] > 0) {?>
                    <tr>
                        <td><b>TRN </b></td>
                        <td><b><?php echo VanLedgers::model()->findBypk($params['customer_id'])->trn_no; ?> </b></td>
                    </tr>
                    <?php }?>
                </table>
            </div>
            <div class="col-5 offset-1" style="color:#101010;">
                <div class="text-right">
                    <img src="<?php echo 'images/' . $logo; ?>" class="logo">
                    <p><b><?php
echo nl2br($userModel->companyDetails->billing_address);
?></b></p>
                </div>
            </div>
        </div>
        <br>
        <br>
    <div class="clearfix"></div>
    <div class="panel">
        <div class="panel-body text-bold">
            <?php echo $table; ?>
        </div>
    </div>


    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px">
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
            <div class="col-12">
                <div class="col-6">
                    <p style="text-align:left;font-size:10px;padding-left:17px;">
                        Generated by : <?php echo $userModel->full_name; ?>
                    </p>
                </div>
                <div class="col-6">
                    <p style="text-align:right;font-size:10px;padding-right:17px;">
                     <?php
date_default_timezone_set("Asia/Dubai");
echo date('l, F j, Y') . " " . date("h:i a");
?>
                    </p>
                </div>
            </div>
            <div style="text-align:center;width:100%;padding-top:-22px;">
                <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p>
            </div>
        </div>
    </htmlpagefooter>

<sethtmlpagefooter name="myfooter" page="all" value="on" />
</body>
</html>
