<?php 

    

    $cs = Yii::app()->getClientScript();

    $cs->registerScript("loadPage", "function loadPage(){

        $('#loader').show();

        jQuery.ajax({

            'type': 'post',

            'url': '" . Yii::app()->createUrl('reports/current_stock_html') . "',

            'data' : { 'outlet' : $('#outlet').val(), 'product_id' : $('#product_id').val(), 'product_group' : $('#product_group').val(), 'salesman' : $('#salesman').val(), 'having_quantity' : $('#having_quantity').val() },

            'success': function(data) {

                $('#data_div').show();

                $('.main-li-data').html(data);

                $('#loader').hide();

            }

        });

    }", CClientScript::POS_HEAD);



    $cs->registerScript("getLegders", "function getLedgers(field_id)

    {



    $('#product_id').val(0);

    

    var url = '" . Yii::app()->createUrl('ledger/goods_and_services') . "&from=sales&service_flag=off';

    $('#'+field_id).autocomplete({

        minLength   : 1,

        source      : function (request, response) { autoCompleteSource(request, response, url) },

        focus       : function( event, ui ) { $(this).val((ui.item.label)); return false; },

        select      : function( event, ui ) {

            event.preventDefault();

            $('#product_id').val(ui.item.value);

        }

    });

}", CClientScript::POS_HEAD);



?>



<div class="row">

    <div class="col-sm-12">

        <section class="panel">

            <header class="text-center panel-heading clearfix"><h4><b>CURRENT STOCK</b></h4></header>

            <header class="panel-heading clearfix">

                <ul class="clearfix form-ul material">

                    <?php if( Yii::app()->user->user_access_type == 'SU' ) :  ?>

                        <li class="col-sm-3">

                            <?php echo CHtml::dropdownlist('outlet', '', VanOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All')); ?>

                        </li>

                    <?php endif; ?>

                    <li class="col-sm-3">

                        <?php echo CHtml::hiddenField('product_id'); ?>

                        <?php echo CHtml::textField('product', '', array('class' => 'tooltipster', 'data-label' => 'Product', 'onKeypress' => 'js:getLedgers(this.id);')); ?>

                    </li>

                    <li class="col-sm-3">

                        <?php echo CHtml::dropdownlist('product_group', '', CHtml::listdata(VanLedgers::model()->_product_heads, 'id', 'name'), array('class' => 'tooltipster', 'data-label' => 'Product Group', 'prompt' => 'All')); ?>

                    </li>

                    <!-- <li class="col-sm-3">

                        <?php //echo CHtml::dropdownlist('having_quantity', 1, array( 1 => 'Non Zero Items', 2 => 'All Items' ), array('class' => 'tooltipster', 'data-label' => 'Type')); ?>

                    </li> -->

                    <?php if( Yii::app()->user->user_access_type == 'CA' ) :  ?>

                        <li class="col-sm-3">

                            <?php echo CHtml::dropdownlist('salesman', '', VanOutlets::salesmans(), array('class' => 'tooltipster', 'data-label' => 'Salesman', 'prompt' => 'All')); ?>

                        </li>

                    <?php endif; ?>

                     <div class="btn-wrap text-center">

                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>

                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportpdf/currentstock&outlet='+$('#outlet').val()+'&product_id='+$('#product_id').val()+'&product_group='+$('#product_group').val()+'&salesman='+$('#salesman').val(), '_blank'); ">PDF</a>

                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/currentstock&outlet='+$('#outlet').val()+'&product_id='+$('#product_id').val()+'&product_group='+$('#product_group').val()+'&salesman='+$('#salesman').val());">XLS</a>

                    </div>

                </ul>

            </header>

            <div class="panel-body" id="data_div" style="display:none;" >

                <div class="tab-content">

                <div class="tab-pane main-li-data active" id="gl_tab">

                </div>

            </div>

        </section>

    </div>

</div>

