<?php 



$cs = Yii::app()->getClientScript();



    $cs->registerScript("customers", "function customers(field_id)

    {

         

        $('#customer_id').val('');

        var url = '" . Yii::app()->createUrl('ledger/get_customers') . "';

        $('#'+field_id).autocomplete({

            minLength   : 1,

            source      : function (request, response) { autoCompleteSource(request, response, url) },

            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false; },

            select      : function( event, ui ) {

                event.preventDefault();

                $('#customer_id').val(ui.item.value);

                $('#customer').val(ui.item.label);

            }

        });

    }", CClientScript::POS_HEAD);

    $cs->registerScript("loadPage", "function loadPage(){

        $('#loader').show();

        jQuery.ajax({

            'type': 'post',

            'url': '" . Yii::app()->createUrl('reports/netsales_html') . "',

            'data' : { 'outlet' : $('#outlet').val(), 'from' : $('#from').val(), 'to' : $('#to').val(), 'customer_id' : $('#customer_id').val(), 'salesman' : $('#salesman').val() },

            'success': function(data) {

                $('#data_div').show();

                $('.main-li-data').html(data);

                $('#loader').hide();

            }

        });

    }", CClientScript::POS_HEAD);

?>



<div class="row">

    <div class="col-sm-12">

        <section class="panel">

            <header class="text-center panel-heading clearfix"><h4><b>NET SALES</b></h4></header>

            <header class="panel-heading clearfix">

                <ul class="clearfix form-ul material">

                    <?php if( Yii::app()->user->user_access_type == 'SU' ) :  ?>

                        <li class="col-sm-3">

                            <?php echo CHtml::dropdownlist('outlet', '', VanOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All')); ?>

                        </li>

                    <?php endif; ?>

                    <li class="col-sm-2">

                        <?php echo CHtml::textField('from', date('01/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'From')); ?>

                    </li>

                    <li class="col-sm-2">

                        <?php echo CHtml::textField('to', date('t/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'To')); ?>

                    </li>

                    <li class="col-sm-3">

                        <?php echo CHtml::hiddenField('customer_id'); ?>

                        <?php echo CHtml::textField('customer', '', array('class' => 'tooltipster', 'data-label' => 'Customer', 'onKeypress' => 'js:customers(this.id);')); ?>

                    </li>

                    <?php if( Yii::app()->user->user_access_type == 'CA' ) :  ?>

                        <li class="col-sm-3">

                            <?php echo CHtml::dropdownlist('salesman', '', VanOutlets::salesmans(), array('class' => 'tooltipster', 'data-label' => 'Salesman', 'prompt' => 'All')); ?>

                        </li>

                    <?php endif; ?>

                     <div class="btn-wrap text-center">

                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>

                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportpdf/netsales&outlet='+$('#outlet').val()+'&from='+$('#from').val()+'&to='+$('#to').val()+'&customer_id='+$('#customer_id').val()+'&salesman='+$('#salesman').val(), '_blank'); ">PDF</a>

                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/netsales&outlet='+$('#outlet').val()+'&from='+$('#from').val()+'&to='+$('#to').val()+'&customer_id='+$('#customer_id').val()+'&salesman='+$('#salesman').val());">XLS</a>

                        <?php if (isset(Yii::app()->user->specialPermissions['net_sales_percentwise']) && Yii::app()->user->specialPermissions['net_sales_percentwise'] ) : ?>
                            <button class="btn btn-sm btn-theme" onclick="loadPopupModal('reportexcel/netsale_percentage_filter','Export Excel','sm')">XLS(%)</button>
                        <?php endif; ?>
                    </div>

                </ul>

            </header>

            <div class="panel-body" id="data_div" style="display:none;" >

                <div class="tab-content">

                <div class="tab-pane main-li-data active" id="gl_tab">

                </div>

            </div>

        </section>

    </div>

</div>

