<!DOCTYPE html>
<html>
    <head>
        <title>Material To Material Conversion</title>
    </head>
    <body>
    <?php $model = MaterialConversion::model()->findByPk($id);
    $userModel = MasUsers ::model()->findByPk((int) $model->created_by);
    ?>
        <div class="">
            <div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <b><?php echo $model->conv_outlet->name; ?></b><br>
                    <small><?php echo nl2br($model->conv_outlet->address); ?></small><br>
                    <small><?php echo $model->conv_outlet->phone_no; ?></small>
                </div>
            </div>
            <div class="col-12">
                <br>
                <div class="text-center">
                    <div class="h3" style="margin-top: 0;margin-bottom: 0;">Material Conversion</div>
                </div>
            </div>
            <div class="col-6">
                <br>
                <div class="input-block">
                    <b><?php echo $model->conversion_no; ?></b>
                </div>
                <br> <br> 
                <table class="table" style="width:100%">
                   
                     <tr> 
                        <td><b>Date</b></td>
                        <td><?php echo date('d/m/Y', STRTOTIME($model->conversion_date)); ?></td>
                    </tr>
                    <tr> 
                        <td><b>Salesman</b></td>
                        <td><?php echo $model->conv_user->full_name; ?></td>
                    </tr>
                    <tr> 
                        <td><b>Outlet</b></td>
                        <td><?php echo $model->conv_outlet->outlet_name; ?></td>
                    </tr>
                </table>
            </div>
        </div>
        <br>
        <div class="col-md-12">
            <table id="" class="table">
               <thead  class="thead-dark">
                <tr>
                    <td colspan="4" class="text-center">From</td>
                    <td colspan="4" class="text-center">To</td>
                </tr>
                <tr>
                    <th>Item</th>
                    <th>Description</th>
                    <th>Qty</th>
                    <th>Unit</th>
                    <th>Item</th>
                    <th>Description</th>
                    <th>Qty</th>
                    <th>Unit</th>

                </tr>
            </thead>
                <tbody>
                    <tr>
                    <td><?php echo  $model->conv_frm_pdt->part_number; ?></td>
                    <td>
                        <?php echo $model->conv_frm_pdt->description; ?>
                    </td>
                    <td>
                        <?php echo $model->from_quantity; ?>
                    </td>
                    <td>
                        <?php echo $model->conv_frm_unit->label; ?>
                    </td>
                    <td>
                        <?php echo $model->conv_to_pdt->part_number; ?>
                    </td>
                    <td>
                        <?php echo $model->conv_to_pdt->description; ?>
                    </td>
                    <td>
                        <?php echo $model->to_quantity; ?>
                    </td>
                    <td>
                        <?php echo $model->conv_to_unit->label; ?>
                    </td>
                    
                </tr>
                </tbody>
            </table>
          <?php if($model->narration!='')
            {
            ?>
             <div class="box" style="width:100%">
                <h5>Narration</h5>
                <div class="h5sub-details"><?php echo nl2br($model->narration);?> </div>
            </div>
            <?php } ?>
        </div>
        <br/>


        <htmlpagefooter name="myfooter">
            <div style="text-align:center;width:100%;font-size:10px">
            </div>
            <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
                <div class="col-12">
                    <div class="col-6">
                        <p style="text-align:left;font-size:10px;padding-left:17px;">
                            Generated by : <?php echo $userModel->full_name; ?>
                        </p>
                    </div>
                    <div class="col-6">
                        <p style="text-align:right;font-size:10px;padding-right:17px;">
                        <?php
                                date_default_timezone_set("Asia/Dubai");
                                echo date('l, F j, Y h:i a', strtotime($model->created_time));
                        ?>
                        </p>
                    </div>
                </div>
                <div style="text-align:center;width:100%;padding-top:-22px;">
                    <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p> 
                </div>
            </div>
        </htmlpagefooter>    

</body>

</html>
