<!DOCTYPE html>
<html>
    <head>
        <title>Order</title>
    </head>
    <body>
        <?php
        if((int)$user_id>0){
              $userModel = MasUsers ::model()->findByPk((int) $user_id);
        }else{
              $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);
        }
        
        $model = OrderCollect::model()->findByPk($id);
        ?>
        <div class="">
            <div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <small><?php echo $userModel->companyDetails->billing_address ?></small>
                </div>
            </div>
            <div class="col-12">
                <br>
                <div class="text-center">
                    <div class="h3" style="margin-top: 0;margin-bottom: 0;"> Sales Order</div>
                </div>
            </div>
            <div class="col-6">
                <br>
                <b><?php echo strtoupper($model->oc_customer_det->customer_name); ?></b><br>
                <small><?php echo nl2br($model->oc_customer_det->address); ?></small><br><br>
                <small><b>TRN :</b> <?php echo $model->oc_customer_det->trn_no; ?></small>
            </div>
            <div class="col-5 offset-1" style="color:#101010;">
                <br>
                <table class="table" style="width:100%">
                    <tr>
                        <td>Order No</td>
                        <td><?php echo $model->id ?></td>
                    </tr>
                    <tr>
                        <td>Created Date</td>
                        <td>
                            <?php echo date('d/m/Y h:i:a', STRTOTIME($model->created_date_time)); ?>
                        </td>
                    </tr>
                    <tr>
                        <td>Order Date</td>
                        <td>
                            <?php echo date('d/m/Y', STRTOTIME($model->order_date)); ?>
                        </td>
                    </tr>
                    <tr>
                        <td>Outlet</td>
                        <td><?php echo $model->oc_outlet_det->outlet_name; ?></td>
                    </tr>
                    <tr>
                        <td>Salesman/Phone</td>
                        <td><?php echo nl2br($model->oc_salesman_det->full_name . '/<br>' . $model->oc_salesman_det->phone_no); ?></td>
                    </tr>
                </table>
            </div>
        </div>
        <br>
        <div class="col-md-12">
            <table class="table">
                <thead>
                    <tr>
                        <th class="text-center bc-tl">No</th>
                        <th class="text-center">Part No</th>
                        <th class="text-center" style="width:30%">Description</th>
                        <th class="text-center" style="width:4%">Qty</th>
                        <th class="text-center">Unit</th>
                    </tr>
                </thead>
                <tbody>

                    <?php
                    $m = 1;
                    $condition .= '1=1';
                    $condition .= ' AND t.order_id ="' . $id . '"';
                    $total = $total_vat = 0;
                    $qty = 0;
                    $discount = 0;
                    $modelOrderCollectItem = OrderCollectItem::model()->findAll(array('condition' => $condition,'order'=>'id ASC'));
                    foreach ($modelOrderCollectItem as $i => $modelOrderCollectItem) {?>

                        <tr>
                            <td>
                                <?php echo $m; ?>
                            </td>
                            <td>
                                <?php echo $modelOrderCollectItem->oc_product->part_number; ?>
                            </td>
                            <td>
                                <?php echo nl2br($modelOrderCollectItem->description); ?>
                            </td>
                            <td class="text-right">
                                <?php echo Yii::app()->numberFormatter->formatCurrency($modelOrderCollectItem->quantity, " "); ?>
                            </td>
                            <td>
                                <?php echo $modelOrderCollectItem->oc_unit->label; ?>
                            </td>

                        </tr>

                        <?php
                        $m = $m + 1;
                    } ?>

                </tbody>
            </table>
        </div>

        <?php
        if ($model->notes != '') {
            ?>

            <div class="box" style="width:100%">
                <h5>Notes</h5>
                <div class="h5sub-details">
                    <?php echo nl2br($model->notes); ?>
                </div>
            </div>
        <?php } ?>

     <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px">
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #d7faeb">
            <div class="col-12">
                <div class="col-6">
                    <p style="text-align:left;font-size:10px;padding-left:17px;">
                        Generated by : <?php echo $userModel->full_name; ?>
                        <?php
                        date_default_timezone_set("Asia/Dubai");
                        echo ' On '.date('d-m-Y h:i a');
                        ?>
                    </p>
                </div>
                <div class="col-6">
                    <p style="text-align:right;font-size:10px;padding-right:17px;">
                        Created by : <?php echo $model->oc_user->full_name; ?>
                        <?php
                        date_default_timezone_set("Asia/Dubai");
                        echo ' On '.date('d-m-Y h:i a', strtotime($model->created_date_time))
                        ?>
                    </p>
                </div>
            </div>
            <div style="text-align:center;width:100%;padding-top:-22px;">
                <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p>
            </div>
        </div>
    </htmlpagefooter>
</body>

</html>
