<!DOCTYPE html>
<html>
<head>
    <title><?php echo $title; ?></title>
</head>
<body>
      <div class="">
            <div class="col-6">
                <br>
                <div class="h3" style="margin-top: 0;margin-bottom: 0;"><?php echo $title; ?></div>
                <br><br>  <br><br>
                <table class="table" style="width:100%">
                    <?php if (isset($params['from_date'])) { ?>
                     <tr>
                        <td>From </td>
                        <td><?php echo date('d/m/Y', strtotime($params['from_date'])); ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if (isset($params['to_date'])) { ?>
                    <tr>
                        <td>To </td>
                        <td><?php echo date('d/m/Y', strtotime($params['to_date'])); ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['customer_id'] > 0 ) { ?>
                    <tr>
                        <td>Customer </td>
                        <td><?php echo Customer::model()->findBypk($params['customer_id'])->customer_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['vendor_id'] > 0 ) { ?>
                    <tr>
                        <td>Vendor </td>
                        <td><?php echo Vendor::model()->findBypk($params['vendor_id'])->vendor_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['product_id'] > 0 ) { ?>
                    <tr>
                        <td>Product </td>
                        <td><?php echo Inventory::model()->findBypk($params['product_id'])->part_number; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['product_group_id'] > 0 ) { ?>
                    <tr>
                        <td>Product Group</td>
                        <td><?php echo MasBrand::model()->findBypk($params['product_group_id'])->brand_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['salesman_id'] > 0 ) { ?>
                    <tr>
                        <td>Salesman </td>
                        <td><?php echo MasUsers::model()->findBypk($params['salesman_id'])->full_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['outlet_id'] > 0 ) { ?>
                    <tr>
                        <td>Outlet </td>
                        <td><?php echo MasOutlets::model()->findBypk($params['outlet_id'])->name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['brand'] > 0 ) { ?>
                    <tr>
                        <td>Brand </td>
                        <td><?php echo  MasBrand::model()->findBypk($params['brand'])->brand_name; ?> </td>
                    </tr>
                    <?php } ?>
                </table>
            </div>
            <div class="col-5 offset-1" style="color:#101010;">
                <div class="text-right">
                    <img src="<?php echo 'images/' . $logo; ?>" class="logo">
                </div>
                 <div class="text-center">
                   <b><?php echo $userModel->outletDetails->name; ?></b><br>
                    <small><?php echo nl2br($userModel->outletDetails->address); ?></small><br>
                    <small><?php echo $userModel->outletDetails->phone_no; ?></small>
                </div>
            </div>
        </div>
        <br>
        <br>
    <div class="clearfix"></div>
    <div class="panel">
        <div class="panel-body text-bold">
            <?php echo $table; ?>
        </div>
    </div>
    
    
    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px">
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
            <div class="col-12">
                <div class="col-6">
                    <p style="text-align:left;font-size:10px;padding-left:17px;">
                        Generated by : <?php echo $userModel->full_name; ?>
                    </p>
                </div>
                <div class="col-6">
                    <p style="text-align:right;font-size:10px;padding-right:17px;">
                     <?php
                            date_default_timezone_set("Asia/Dubai");
                            echo date('l, F j, Y') . " " . date("h:i a");
                    ?>
                    </p>
                </div>
            </div>
            <div style="text-align:center;width:100%;padding-top:-22px;">
                <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p> 
            </div>
        </div>
    </htmlpagefooter> 
            
<sethtmlpagefooter name="myfooter" page="all" value="on" />
</body>
</html>
