<!DOCTYPE HTML>

<html lang="en">



<head>

    <!--=============== basic  ===============-->



    <title>PRINT POS</title>

    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <meta charset="UTF-8">



    <!--=============== css  ===============-->

    <style type="text/css">
        body {

            font-family: 'Nunito', sans-serif;

            text-align: center;

            color: #777;

            background: #f9f9f9;

            font-weight: 400;

            margin: 0px;

            padding: 0px;



        }



        body h1 {

            font-weight: 500;

            margin-bottom: 0px;

            padding-bottom: 0px;

            color: #000;

        }



        @page {

            size: auto;

            margin: 0mm;

        }



        body h3 {

            font-weight: 400;

            margin-top: 10px;

            margin-bottom: 20px;

            font-style: italic;

            color: #000;

        }



        body a {

            color: #000;

        }



        .invoice-box {

            max-width: 500px;

            /* margin: 30px auto 30px; */

            margin: -29px auto 30px;

            padding: 15px;

            border: 1px solid #eee;

            font-size: 13px;

            line-height: 24px;

            background: #fff;

            color: #000;

        }



        .invoice-box table {

            width: 100%;

            /* width: 35%; */

            line-height: inherit;

            text-align: left;

        }



        .invoice-box table td {

            padding: 3px;

            vertical-align: top;

        }



        .invoice-box table tr td:nth-child(2) {

            text-align: right;

        }



        .invoice-box table tr.top table td {

            padding-bottom: 5px;

        }



        .invoice-box table tr.information table td {

            margin-top: 50px;

            padding-bottom: 20px;

        }



        .invoice-box table tr.heading td {

            background: #f9f9f9;

            border-bottom: 1px solid #eee;

            font-weight: 400;

        }



        .invoice-box table tr.details td {

            padding-bottom: 20px;

        }



        .invoice-box table tr.item td {

            border-bottom: 1px solid #eee;

        }



        .invoice-box table tr.item.last td {

            border-bottom: none;

        }



        .invoice-box table tr.total td:nth-child(2) {

            border-top: 2px solid #eee;

            font-weight: 400;

        }



        .print-button {

            padding: 7px 26px;

            text-decoration: none;

            color: #fff;

            background: #3AACED;

            display: inline-table;

            font-weight: 900;

            margin: 20px 0;

            font-size: 13px;

            border-radius: 4px;



        }



        @media only screen and (max-width: 600px) {

            .invoice-box table tr.top table td {

                width: 100%;

                display: block;

                text-align: center;

            }



            .invoice-box table tr.top table td {

                padding-bottom: 20px;

            }



            .invoice-box table tr.information table td {

                margin-top: 20px;

                padding-bottom: 20px;

            }



            .invoice-box table tr.information table td {

                width: 100%;

                display: block;

                text-align: center;

            }

        }



        @media print {

            .print-button {

                display: none;

            }



            .invoice-box {

                border: none;

            }

        }





        table th,

        table td {

            /*padding: 10px;*/

            border-bottom: 1px dashed;

            font-weight: 400;

        }



        table .desc {

            text-align: left;

        }



        table .unit {

            background: #f8f8f8;

        }



        table .qty {}



        table .total {

            background: #c00d0e;

            color: #FFFFFF;

        }



        table td.unit,

        table td.qty,

        table td.total {

            font-size: 1.2em;

        }



        .text-center {

            text-align: center !important;

        }



        .text-left {

            text-align: left !important;

        }



        .text-right {

            text-align: right !important;

        }



        .float-left {

            float: left !important;

        }



        .float-right {

            float: right !important;

        }



        .border-none {

            border: none !important;

        }



        .p-0 {

            padding: 0px !important;

        }



        .line_height {

            line-height: 0 !important;

        }



        .padd_left {

            padding-left: 0 !important;

            text-align: left !important;

        }



        .padd_center {

            padding-left: 0 !important;

            text-align: center !important;

        }



        .padd_right {

            padding-right: 0 !important;

            text-align: right !important;

        }



        .border-top {

            border-bottom: 1px dashed;

        }



        .product_border th {

            border: none;

        }
    </style>



</head>











<body onload="window.print()">

    <div class="invoice-box" id="divToPrint">



        <table>

            <tr class="top">

                <td colspan="2" style="border: none;">

                    <table>



                        <?php

                        $model   = SalesInvoice::model()->findByPk($id);

                        $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);



                        //'mehas_pos.png';

                        //  $logo_name = !empty($userModel->companyDetails->pos_pdf_logo) ? $userModel->companyDetails->pos_pdf_logo : $userModel->companyDetails->pdf_logo;



                        $logo_name = $userModel->companyDetails->pdf_logo;





                        ?>



                        <?php if (!empty($logo_name)) { ?>

                            <?php if ($model->tax_total > 0) { ?>

                                <tr style="line-height:0;">

                                    <td class="text-center border-none">





                                        <img style="width:150px" src="<?php echo 'images/' . $logo_name; ?>" class="logo">

                                    </td>



                                </tr> </br>

                            <?php } ?>

                        <?php } else { ?>

                            </br></br>

                        <?php } ?>



                        <?php if ($model->tax_total > 0) { ?>

                            <tr>

                                <td class="title text-center border-none p-0">

                                    <h2 style="font-size: 15px;font-weight: 600;margin: 0;"><?php echo $userModel->companyDetails->name; ?></h2>

                                    <p style="margin: 0;font-size: 13px;width: 100%;display: inline-block;line-height: 1.4;">

                                        <?php

                                        echo $userModel->companyDetails->pdf_footer;

                                        ?>



                                        <br>

                                        <span style="font-size: 13px;">

                                            <?php

                                            //print_r($userModel->companyDetails);



                                            echo "TRN No:" . $userModel->companyDetails->trn_no; ?>

                                        </span>

                                    </p>

                                </td>

                            </tr>

                        <?php } ?>

                        <!-- -------------- -->

                        <table>

                            <tr>

                                <td></td>

                            </tr>

                        </table>

                        <!-- -------------- -->

                        <tr>

                            <td class="title text-center border-none p-0 line_height">

                                <p style="margin: 0;font-size: 16px;width: 50%;display: inline-block;font-weight: 600;line-height: 1;">

                                    <?php if ($model->tax_total > 0) { ?>

                                <p style="font-size: 16px" dir="rtl"><b> فاتورة ضريبية </p>

                                <br> TAX INVOICE</b> </p>

                            <?php } else { ?>

                                <p style="font-size: 16px" dir="rtl"></p>

                                <br> <b>INVOICE</b> </p>

                            <?php } ?>

                            </td>

                        </tr>



                    </table>

                </td>

            </tr>



            <!-- -------------- -->

            <table>

                <tr>

                    <td></td>

                </tr>

            </table>

            <!-- -------------- -->



            <table border="0" cellspacing="0" cellpadding="0">



                <tbody class="product_border" style="font-size:13px;">



                    <tr style="line-height: 1;">



                        <th colspan="1" style="padding: 1px 5px; width:45% !important;"> Inv No / رقم الفاتورة</th>



                        <th colspan="1" style="padding: 1px 5px;  width:5% !important;"> :</th>



                        <th colspan="1" style="padding: 1px 5px;font-size:13px;  width:50% !important;">

                            <?php echo  $model->invoice_no;

                            ?>

                        </th>

                    </tr>



                    <tr style="line-height: 1;">

                        <th colspan="1" style="padding: 1px 5px;">Inv Date / تاريخ </th>



                        <th colspan="1" style="padding: 1px 5px;"> :</th>

                        <th colspan="1" style="padding: 1px 5px;font-size:13px; ">

                            <?php echo date('d/m/Y', STRTOTIME($model->invoice_date)); ?>

                        </th>

                    </tr>

                    <tr style="line-height: 1;">

                        <th colspan="1" style="padding: 1px 5px;"> Created Date / تاريخ </th>



                        <th colspan="1" style="padding: 1px 5px;"> :</th>

                        <th colspan="1" style="padding: 1px 5px;font-size:13px; ">

                            <?php echo date('d/m/Y H:i:s', strtotime($model->created_time)); ?>

                        </th>

                    </tr>
                    <tr style="line-height: 1;">

                        <th colspan="1" style="padding: 1px 5px;"> Payment Term</th>



                        <th colspan="1" style="padding: 1px 5px;"> :</th>

                        <th colspan="1" style="padding: 1px 5px;font-size:13px; ">

                            <?php echo $model->pay_term->payment_term_name; ?>

                        </th>

                    </tr>



                    <?php if ($model->tax_total > 0) { ?>

                        <tr style="line-height: 1;">

                            <th colspan="1" style="padding: 1px 5px;">Salesman / بائع </th>



                            <th colspan="1" style="padding: 1px 5px;"> :</th>

                            <th colspan="1" style="padding: 1px 5px;font-size:13px;">

                                <?php

                                echo $model->si_salesman->full_name;



                                ?>

                            </th>

                        </tr>



                        <tr style="line-height: 1;">

                            <th colspan="1" style="padding: 1px 5px;"> Mob / رقم الهاتف</th>

                            <th colspan="1" style="padding: 1px 5px;"> :</th>

                            <th colspan="1" style="padding: 1px 5px;font-size:13px;">

                                <?php echo $model->si_salesman->phone_no; ?><br>

                            </th>

                        </tr>

                    <?php } ?>





                </tbody>

            </table>



            <!-- -------------- -->

            <table>

                <tr>

                    <td></td>

                </tr>

            </table>

            <!-- -------------- -->



            <table border="0" cellspacing="0" cellpadding="0">



                <tbody class="product_border" style="font-size:13px;">







                    <tr style="line-height: 1; ">

                        <th colspan="1" style="padding: 1px 5px ;width:45% !important;"> Customer / زبون </th>

                        <th colspan="1" style="padding: 1px 5px;  width:5% !important;"> :</th>

                        <th colspan="1" style="padding: 1px 5px;font-size:13px; width:50% !important;">

                            <?php echo strtoupper($model->customer->customer_name); ?><br>



                        </th>



                    </tr>



                    <tr style="line-height: 1;">

                        <th colspan="1" style="padding: 1px 5px;">Ph No / رقم الهاتف</th>

                        <th colspan="1" style="padding: 1px 5px;"> :</th>

                        <th colspan="1" style="padding: 1px 5px;font-size:13px;">

                            <?php echo $model->customer->mobile; ?><br>

                        </th>



                    </tr>







                    <?php

                    if (!empty($model->customer->address)) {

                    ?>

                        <tr style="line-height: 1;">

                            <th colspan="1" style="padding: 1px 5px;"> Address / عنوان </th>

                            <th colspan="1" style="padding: 1px 5px;"> :</th>

                            <th colspan="1" style="padding: 1px 5px;font-size:13px;">



                                <?php echo nl2br($model->customer->address); ?><br>



                            </th>



                        </tr>

                    <?php } ?>



                    <?php

                    if (!empty($model->customer->trn_no)) {

                    ?>

                        <tr style="line-height: 1;">

                            <th colspan="1" style="padding: 1px 5px;"> TRN / الرقم الضريبي</th>

                            <th colspan="1" style="padding: 1px 5px;"> :</th>

                            <th colspan="1" style="padding: 1px 5px;font-size:13px;">



                                <?php echo nl2br($model->customer->trn_no); ?><br>



                            </th>



                        </tr>

                    <?php } ?>



                </tbody>

            </table>





            <!-- -------------- -->

            <table>

                <tr>

                    <td></td>

                </tr>

            </table>

            <!-- -------------- -->



            <table border="0" cellspacing="0" cellpadding="0">

                <thead style="font-size: 13px;">

                    <tr>

                        <th style=" width:7% !important;">رقم </br>SL</th>

                        <th class="padd_center" style="padding: 0px; width:44% !important;"> عناصر </br>Item</th>

                        <th style=" width:20% !important;">سعر</br>Rate</th>

                        <th style=" width:5% !important;"> كمية</br>Qty</th>
                        <?php if ($model->total_discount_amount > 0) : ?>
                            <th style=" width:25% !important;" class="padd_center">تخفيض

                            </br>Discount</th>

                        <?php endif; ?>

                        <th style=" width:25% !important;" class="padd_right">مبلغ

                            </br>Total</th>

                    </tr>

                </thead>



                <tbody class="product_border" style="font-size:13px;">

                    <?php

                    $modelItems = SalesInvoiceItems::model()->findAll(array('condition' => 'invoice_id=' . $id, 'order' => 'id ASC'));





                    foreach ($modelItems as $i => $eachItem) {

                    ?>

                        <tr style="line-height: 1;">

                            <th style="padding: 0px;"> <?php echo $i + 1; ?></th>

                            <th colspan="1" style="padding: 2px 5px;font-size:13px;"> <?php echo $eachItem->product->description; ?></th>

                            <?php $rate = $eachItem->rate; ?>

                            <th style="padding: 2px 5px;font-size:13px;"> <?php echo Yii::app()->numberFormatter->formatCurrency(($rate), " "); ?>

                            </th>

                            <th class="padd_center" style="padding: 2px 5px;font-size:13px;">
                                <?php echo number_format($eachItem->quantity, 0);
                                $total_qty += $eachItem->quantity; ?>
                            </th>

                            <?php $_total = $rate * $eachItem->quantity; ?>

                            <?php if ($eachItem->deduction_amount > 0) : ?>
                                <th class="padd_center" style="padding: 2px 5px;font-size:13px;">
                                    <?php echo number_format($eachItem->deduction_amount, 2); ?>
                                </th>
                            <?php endif; ?>

                            <th class="padd_right" style="padding: 0px 5px;font-size:13px;"> <?php echo Yii::app()->numberFormatter->formatCurrency($eachItem->net_amount, " "); ?></th>



                        </tr>

                    <?php  }   ?>

                </tbody>





                <tbody>

                    <tr>

                        <th class="padd_left" colspan="5" style="padding: 2px;"></th>

                    </tr>

                </tbody>



                <!-- --------//------ -->

                <table border="0" cellspacing="0" cellpadding="0">





                    <tr style="line-height: 1.5;">

                        <th class="padd_left border-none" colspan="2" style="padding: 0px 5px; width:86% !important">Total Qty / المجموع الكمية</th>

                        <th class="border-none" style=" width:20% !important">:</th>

                        <th class="padd_right border-none" colspan="2" style="padding: 0px 5px;  width:25% !important">

                            <?php echo $total_qty; ?>

                        </th>

                    </tr>



                    <tr style="line-height: 1.5;">

                        <th class="padd_left border-none" colspan="2" style="padding: 0px 5px;">Total (Ex. VAT)/ الإجمالي </th>

                        <th class="border-none">:</th>

                        <th class="padd_right border-none" colspan="2" style="padding: 0px 5px;">

                            <?php echo Yii::app()->numberFormatter->formatCurrency($model->total_amount, " "); ?>

                        </th>

                    </tr>




                    <!-- <tr style="line-height: 1.5;">-->

                    <!--    <th class="padd_left border-none" colspan="2" style="padding: 0px 5px;">Discount / خصم</th>-->

                    <!--    <th class="border-none">:</th>-->

                    <!--    <th class="padd_right border-none" colspan="2" style="padding: 0px 5px;">-->

                    <?php //echo Yii::app()->numberFormatter->formatCurrency($model->discount, " "); 

                    ?>

                    <!--    </th>-->

                    <!--</tr>-->







                    <tr style="line-height: 1.5;">

                        <th class="padd_left border-none" colspan="2" style="padding: 0px 5px;">VAT / قيمة الضريبة</th>

                        <th class="border-none">:</th>

                        <th class="padd_right border-none" colspan="2" style="padding: 0px 5px;">

                            <?php echo Yii::app()->numberFormatter->formatCurrency($model->tax_total, " "); ?>

                        </th>

                    </tr>


                    <?php if ($model->total_discount_amount > 0) { ?>
                        <tr style="line-height: 1.5;">

                            <th class="padd_left border-none" colspan="2" style="padding: 0px 5px;">Discount / تخفيض</th>

                            <th class="border-none">:</th>

                            <th class="padd_right border-none" colspan="2" style="padding: 0px 5px;">

                                <?php echo Yii::app()->numberFormatter->formatCurrency($model->total_discount_amount, " "); ?>

                            </th>

                        </tr>
                    <?php } ?>








                    <tr style="line-height: 1.5;">

                        <th class="padd_left border-none" colspan="2" style="padding: 0px 5px;"><b>Grand Total / المجموع الإجمالي </th>

                        <th class="border-none">:</th>

                        <th class="padd_right border-none" colspan="2" style="padding: 0px 5px;">

                            <?php echo Yii::app()->numberFormatter->formatCurrency($model->grand_total, " "); ?></b>

                        </th>

                    </tr>









                </table>



                <!-- -------------- -->

                <table>

                    <tr>

                        <td></td>

                    </tr>

                </table>

                <!-- -------------- -->

                <!--------------//--------------->

                <?php if ($model->received > 0) { //for outlet 128 --not need credit in pos print so added ,not verified
                ?>

                    <table border="0" cellspacing="0" cellpadding="0">



                        <?php

                        $receipt_type = $model->received > 0 ? 'Cash' : 'credit';

                        $received_amount = $receipt_type == 'Cash' ? $model->received : 0.00;



                        ?>





                        <tr style="line-height: 1.5;">

                            <th class="padd_left border-none" colspan="2" style="padding: 0px 5px; width:55% !important">Receipt Type</th>

                            <th class="border-none" style=" width:20% !important">:</th>

                            <th class="padd_right border-none" colspan="2" style="padding: 0px 5px;  width:25% !important">

                                <?php echo $receipt_type; ?>

                            </th>

                        </tr>





                        <?php if ($receipt_type == 'Cash') { ?>

                            <tr style="line-height: 1.5;">

                                <th class="padd_left border-none" colspan="2" style="padding: 0px 5px;">Received Amount</th>

                                <th class="border-none">:</th>

                                <th class="padd_right border-none" colspan="2" style="padding: 0px 5px;">

                                    <?php echo Yii::app()->numberFormatter->formatCurrency($received_amount, " "); ?>

                                </th>

                            </tr>





                        <?php } ?>

                    </table>

                <?php } ?>

                <tbody style="font-size: 13px;border-top: 1px dashed;">



                    <!--<tr style="line-height: 1.5;">-->

                    <!--    <th class="padd_left border-none" colspan="3" style="padding: 0px 5px;">Balance :</th>-->

                    <!--    <th class="padd_right border-none" colspan="2" style="padding: 0px 5px;"><?php //echo Yii::app()->numberFormatter->formatCurrency($new_balance, " "); 

                                                                                                        ?></th>-->

                    <!--</tr>-->



                </tbody>

                <!--<table border="0" cellspacing="0" cellpadding="0">-->



                <!--    <tbody class="product_border" style="font-size:13px;">-->



                <!--        <tr style="line-height: 2;">-->



                <!--            <th colspan="1" style="padding: 0px 5px;  font-weight: 600;">Terms And Conditions:-->



                <!--            </th>-->

                <!--        </tr>-->



                <!--        <tr style="line-height: 1.5;">-->

                <!--            <th colspan="1" style="padding: 0px 5px;"> &#9678;The item/s can be exchanged within 5 days with no refund in cash..-->

                <!--            </th>-->

                <!--        </tr>-->

                <!--        <tr style="line-height: 1.5;">-->

                <!--            <th colspan="1" style="padding: 0px 5px;"> &#9678; While exchanging the item/s must be in saleable condition and not damaged.-->

                <!--            </th>-->

                <!--        </tr>-->

                <!--        <tr style="line-height: 1.5;">-->

                <!--            <th colspan="1" style="padding: 0px 5px;"> &#9678; The item/s won't be accepted without tag, label and price tag at exchange time-->



                <!--            </th>-->

                <!--        </tr>-->

                <!--        <tr style="line-height: 1.5;">-->

                <!--            <th colspan="1" style="padding: 0px 5px;"> &#9678; We are not guaranteeing the color of the cloth and hand work damaged.-->







                <!--        </tr>-->



                <!--    </tbody>-->

                <!--</table>-->



                <tr style="line-height: 1.5;">

                    <th colspan="5" class="text-center padd_left border-none" style="width:100%; padding: 10px 5px 0px; font-size: 13px; font-family: 'Nunito', sans-serif;">

                        <div style="display: flex; justify-content: center;">



                            <span style="display: flex; flex-direction: column; align-items: center;">



                                <link href='https://fonts.googleapis.com/css?family=Libre Barcode 39 Extended Text' rel='stylesheet'>

                                <style>
                                    #barcodeid {

                                        font-family: 'Libre Barcode 39 Extended Text';

                                        font-size: 40px;

                                        margin-top: 3px;

                                    }
                                </style>

                                <p style="text-align: center;margin-top: 13px;">Thank You.... Visit Again!</p>



                                <p id="barcodeid"><?php echo $model->invoice_no ?></p>

                            </span>



                        </div>

                    </th>

                </tr>

                </tfoot>

            </table>



            <br>

            <a href="javascript:window.print()" class="print-button">Print </a>

            <a style="background:#c33612;" href="javascript:window.close()" class="print-button">Close </a>

    </div>

</body>



</html>