<div id="div_purchase_order_details">
    <div class="table-responsive">
        <table class="table table-hover table-bordered personal-task" id="order_item_table">
            <tr>
                <th style="width:20%">Item</th>
                <th style="width:20%">Description</th>
                <th style="width:5%">Quantity</th>
                <th style="width:10%">Unit</th>
                <th style="width:10%">Rate</th>
                <th style="width:10%">Amount</th>
                <th style="width:5%">Tax(%)</th>
                <th style="width:5%">Excise Tax(%)</th>
                <th style="width:10%">Net</th>
                <th style="width:2%"><a class="btn btn-xs btn-theme " href="javascript:void(0);" onclick="addTableRow($('#order_item_table'));"><i class="fa fa-plus"></i></a></th>
                </th>
            </tr>
            <?php
            foreach ($modelItems as $i => $modelItems){
            ?>
                <tr>
                    <td>
                        <?php  echo $form->textField($modelItems, "[" . $i . "]part_no", array('class'=>'tooltipster go','onKeypress' => 'js:autoCompleteProduct(this.id);','value'=>$modelItems->product->part_number)); ?>
                        <?php echo $form->hiddenField($modelItems, "[" . $i . "]product_id"); ?>
                        <?php echo $form->hiddenField($modelItems, "[" . $i . "]id"); ?>
                    </td>
                    <td>
                        <?php echo $form->textArea($modelItems, "[" . $i . "]description", array( 'class' => 'tooltipster desc go en-text-area'));  ?>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]quantity", array('class' => 'qty go cell-center text-right','onkeypress' => 'return isNumberKey(event)','onkeyup' =>'calculateOrderValue($("#order_item_table"))')); ?>
                    </td>
                    <td>
                    <div id=<?php echo "unitdiv_".$i;?>><?php 
                    if($modelItems->unit>0)
                    {
                    $units=MasUnit::getSimilarUnits($modelItems->unit);
                    }
                    else {
                    $units=array();
                    }
                    echo $form->dropdownList($modelItems, "[" . $i . "]unit",$units, array('class' => 'qty go cell-center text-center')); ?></div>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]rate", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateOrderValue($("#order_item_table"))')); ?>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]amount", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event);','readonly' =>true)); ?>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]tax_percentage", array('class' => 'amout go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateOrderValue($("#order_item_table"))')); ?>
                        <?php echo $form->hiddenField($modelItems, "[" . $i . "]tax_amount", array('class' => 'go cell-center text-center')); ?>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]excise_percentage", array('class' => 'amount go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateOrderValue($("#order_item_table"))')); ?>
                        <?php echo $form->hiddenField($modelItems, "[" . $i . "]excise_amount", array('class' => 'go cell-center text-center')); ?>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]net_amount", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event)','onkeyup' =>'calculateOrderValueReverse($("#order_item_table"))')); ?>
                        </td>
                        <td class="text-center nw" width="1%">
                            <?php echo CHtml::link('<i class="fa fa-times"></i>', 'javascript:void(0);', array('class' => 'btn btn-xs btn-danger', 'onclick' => 'removeTableRow($(\'#order_item_table\'),this);calculateOrderValue($("#order_item_table"));', 'title' => 'Remove this item', 'id' => 'material_' . $i)); ?>
                        </td>
                    </tr>
                    <?php $total += $modelItems->net_amount;  
                    $total_tax += $modelItems->tax_amount; 
                    $total_excise += $modelItems->excise_amount; 
                    $total_tax=$total_tax+$total_excise;
            } ?>
        </table>
        <table class="table table-hover table-bordered table-nexted order_grand_total">
            <tr  class="summary_tr bg-total"> 
                <td width="70%" class="text-right table_total_title">
                <h3>VAT</h3></td>
                <td width="30%" class="text-right table_total">
                    <h3 class="vat" class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($total_tax, " "); ?>
                    </h3>
                </td>
            </tr>
            <tr class="summary_tr bg-total">
                <td width="70%" class="text-right table_total_title">
                        <h1>Grand Total</h1></td>
                <td width="30%" class="text-right table_total">
                    <h1 class="grandtotal" class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(($total), " "); ?></h1>
                </td>
            </tr>
            </table>
    </div>
</div>
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("calculateOrderValue", " function calculateOrderValue(jQtable) {
            formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
            var count,qty,rate,amount,net_amount,discount,costrate;
            var total   =   0;
            var grand_total =   0;
            var vat_total = 0;
            var net_amount = 0;
            jQtable.find('tr:gt(0)').each(function() {
                net_amount = 0;  discount = 0;
                rate = $(this).find('[id $=_rate]').val();
                qty =   $(this).find('[id $=_quantity]').val();
                rate_amount =   (Number(rate)*Number(qty)).toFixed(2);
                var excise_per =  $(this).find('[id $=_excise_percentage]').val();
                var excise_amount  = 0;
                if(excise_per > 0){
                    excise_amount = qty*(rate*excise_per)/100;
                }else{
                    excise_amount = 0;
                }
                excise_amount = Number(excise_amount).toFixed(2);

                amount =   ((Number(rate)*Number(qty))+ Number(excise_amount)).toFixed(2);
                total   =   Number(total)+Number(amount);
                if(amount > 0){
                    var tax_per =  $(this).find('[id $=_tax_percentage]').val();
                    var tax_amount  = 0;
                    if(tax_per > 0){
                        tax_amount = (amount*tax_per)/100;
                    }else{
                        tax_amount = 0;
                    }
                    tax_amount = Number(tax_amount).toFixed(2);
                    $(this).find('[id $=_amount]').val(Number(rate_amount).toFixed(2));
                    $(this).find('[id $=_tax_amount]').val(tax_amount);
                    $(this).find('[id $=_excise_amount]').val(excise_amount);
                    
                    net_amount=Number(Number(amount)+Number(tax_amount)).toFixed(2);
                    $(this).find('[id $=_net_amount]').val(net_amount);
                    grand_total += Number(net_amount);
                    vat_total += Number(tax_amount);
                } 
                else {
                $(this).find('[id $=_amount]').val(Number(0).toFixed(2));
                $(this).find('[id $=_tax_amount]').val(Number(0).toFixed(2));
                $(this).find('[id $=_excise_amount]').val(Number(0).toFixed(2));
                $(this).find('[id $=_net_amount]').val(Number(0).toFixed(2));    
                }
            });
            $('.total').html(Number(total).toFixed(2));
            $('.grandtotal').html(Number(grand_total).toFixed(2));
            $('.vat').html(Number(vat_total).toFixed(2));
        }
        function calculateOrderValueReverse(jQtable) {
            formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
            var count,qty,rate,amount,net_amount,discount,costrate;
            var total   =   0;
            var grand_total =   0;
            var vat_total = 0;
            var net_amount = 0;
            jQtable.find('tr:gt(0)').each(function() {
                rate = 0;  discount = 0;amount = 0;
                net_amount = $(this).find('[id $=_net_amount]').val();
                qty =   $(this).find('[id $=_quantity]').val();
                if(net_amount > 0 && qty>0){
                    var field_id = $(this).find('[id $=_tax_percentage]').attr('id');
                    var arr_fields= field_id.split('_');
                    var model_name   = arr_fields[0];
                    var row_field  = arr_fields[1];
                    var tax_per =  $(this).find('[id $=_tax_percentage]').val();
                    var excise_per =  $(this).find('[id $=_excise_percentage]').val();
                    var tax_amount  = 0;var excise_amount  = 0;
                    var percentg =100;
                    if(tax_per > 0){
                        percentg+=Number(tax_per);
                    }
                    if(excise_per > 0){
                        percentg+=Number(excise_per);
                    }
                    amount = ( net_amount * 100 ) / percentg;
                    amount = Number(amount).toFixed(2);
                    if(qty>0){
                        rate =  (Number(amount)/Number(qty)).toFixed(2);
                    }else{
                        rate = 0;
                    }
                    if(tax_per > 0){
                        tax_amount = ( amount * tax_per ) / 100;
                        tax_amount = Number(tax_amount).toFixed(2);
                    }
                    $(this).find('[id $=_tax_amount]').val(tax_amount);
                    if(excise_per > 0){
                        excise_amount = (amount*excise_per)/100;
                    }else{
                        excise_amount = 0;
                    }
                    excise_amount = Number(excise_amount).toFixed(2);
                    $(this).find('[id $=_excise_amount]').val(excise_amount);
                    $('#PurchaseOrderItems_'+row_field+'_amount').val(Number(amount).toFixed(2));
                    $('#PurchaseOrderItems_'+row_field+'_rate').val(Number(rate).toFixed(2));
                    
                    grand_total += Number(net_amount);
                    vat_total += Number(tax_amount);
                } 
                else { 
                    $(this).find('[id $=_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_tax_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_excise_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_net_amount]').val(Number(0).toFixed(2));    
                    }
            });
            $('.total').html(Number(total).toFixed(2));
            $('.grandtotal').html(Number(grand_total).toFixed(2));
            $('.vat').html(Number(vat_total).toFixed(2));
        }
        ", CClientScript::POS_HEAD);
$cs->registerScript("autoCompleteProduct", "function autoCompleteProduct(field_id)
{
    var vendor_id =$('#PurchaseOrder_vendor_id').val();
    if(vendor_id>0){
        var url = '" . Yii::app()->createUrl('inventory/GetProducts') . "'+'&frm=PI&vendor_id='+vendor_id;
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response,url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false;},
            select          : function( event, ui ) {
                event.preventDefault();
                trigger_target_id   =   $(event.target).attr('id');
                var tax_val = 0;
                var product_id=ui.item.value;
                var desc=ui.item.description;
                var unit_id=ui.item.unit_id;
                var tax = ui.item.tax;
                var excise = ui.item.excise_tax;
                var price = ui.item.rate;
                var unit = ui.item.uom;
                var arr_fields= field_id.split('_');
                var model_name   = arr_fields[0];
                var row_field  = arr_fields[1];
                $('#PurchaseOrderItems_'+row_field+'_description').val(desc);
                $('#PurchaseOrderItems_'+row_field+'_unit').val(unit_id); //FOR SHOWING UNIT NAME
                $('#PurchaseOrderItems_'+row_field+'_product_id').val(product_id);
                $('#PurchaseOrderItems_'+row_field+'_part_no').val(ui.item.part_number);
                $('#PurchaseOrderItems_'+row_field+'_quantity').val(1);
                $('#PurchaseOrderItems_'+row_field+'_rate').val(price);
                
                
                tax = Number(tax).toFixed(2);
                excise = Number(excise).toFixed(2);
                $('#PurchaseOrderItems_'+row_field+'_tax_percentage').val(tax);
                $('#PurchaseOrderItems_'+row_field+'_excise_percentage').val(excise);
                jQuery.ajax({
                    'data' :{'unit':unit,'row_field':row_field},
                    'dataType' : 'json',
                    'type':'post',
                    'url': '" . Yii::app()->createUrl('Purchaseorder/getSimilarUnits') . "',
                    'success': function(data) {
                        $('#unitdiv_'+row_field).html(data.unit);
                    }
                });
                calculateOrderValue($('#order_item_table'));
                addTableRow($('#order_item_table'));
                var next_line_id=parseInt(row_field)+1;
                $('#PurchaseOrderItems_'+row_field+'_quantity').select();
            }
        });
    }else{
        t8.error('Please Select Vendor Before adding Items');
        $('#PurchaseOrderItems_0_part_no').val('');
        return false;
    }
}", CClientScript::POS_HEAD);