<div class="tab-content">
    <div class="tab-pane active" id="purchaseorder_sec">
        <section class="panel">
        <header class="panel-heading clearfix panel-theame">
                <i class="fa fa-shopping-cart"></i> Purchase Order
                <?php if(Yii::app()->user->user_access_type != 'DEV' && Yii::app()->user->user_access_type != 'SU'){ ?>
                <button class="btn btn-sm btn-theme" onclick="loadPopupModal('purchaseorder/create', 'New Purchase Order', 'xl')"><i class="fa fa-plus"></i> ADD</button>
                <?php } ?>
                <div class="pull-right" style="display:inline-flex">
                <?php 
                if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU')
                {
                $array=array('class'=>'form-control','data-label'=>'Outlet','prompt' => 'All Outlets','style'=>'max-width: 130px;');
                }
                else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL')
                {
                $array=array('class'=>'form-control','data-label'=>'Outlet','style'=>'max-width: 130px;');
                }
                echo CHtml::dropdownlist('outlet','', MasOutlets::getAllOutlets(),$array); 
                ?>
                &NonBreakingSpace;
                <label style="margin-top: 5px;margin-left: 5px;margin-right: 5px;">From</label>
                &NonBreakingSpace;
                <?php echo CHtml::textField('from',date('01/m/Y'), array('class'=>'form-control datepicker','data-label' => 'Start Date','style'=>'max-width: 103px;')); ?>
                &NonBreakingSpace;
                <label style="margin-top: 5px;margin-left: 5px;margin-right: 5px;">To</label>
                &NonBreakingSpace;
                <?php echo CHtml::textField('to',date('d/m/Y'), array('class'=>'form-control datepicker','data-label' => 'End Date','style'=>'max-width: 103px;')); ?>
                &NonBreakingSpace;
                <label style="margin-top: 5px;margin-left: 5px;margin-right: 5px;">Vendor</label>
                &NonBreakingSpace;
                <?php echo CHtml::textField('vendor_name','', array('class'=>'form-control','data-label' => 'Vendor Name', 'onKeyup' => 'js:autoCompleteVendorDetails(this.id);','style'=>'max-width: 150px;')); ?>
                <?php echo CHtml::hiddenField('vendor_id',''); ?>
                &NonBreakingSpace;
                <button class="btn btn-theme btn-md" onclick="reloadTable('#tbl_purchase_order');"><i class="fa fa-retweet"></i></button>
                </div>
            </header>  
            <div class="panel-body">
                <div class="custom-data-table">
                    <table class="table table-hover table-bordered personal-task" id="tbl_purchase_order">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Ref#</th>
                                <th>Date</th>
                                <th>Vendor</th>
                                <th>W/O VAT</th>
                                <th>VAT</th>
                                <th>Grand Total</th>
                                <th>Purchased By</th>
                                <th>Outlet</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </section>
    </div>
</div>
<script>
    $(document).ready(function () {
        var table_details_id = "#tbl_purchase_order";
        table_details = $(table_details_id).on("preXhr.dt", function (e, settings, data) {
        data.outlet = $("#outlet").val();
        data.from = $("#from").val();
        data.to = $("#to").val();
        data.vendor_id = $("#vendor_id").val();
        return data;
    }).DataTable({
            scrollY: "550px",
            "bAutoWidth": true,
            pageLength: 50,
            columns: [
                {className: ""},
                {className: ""},
                {className: ""},
                {className: ""},               
                {className: "text-right" },
                {className: "text-right" },
                {className: "text-right" },
                {className: "" },
                {className: ""},
                {className: ""},
            ],
            ajax: {
                url: "index.php?r=purchaseorder/getlist",
                type: "POST",
                cache: false,
            },
            serverSide: true,
            fixedColumns: true,
            processing: true,
            // order: [[1, "desc"]],
            aaSorting : [ [2,'desc'], [0,'desc'] ],
            aoColumnDefs: [
              { "bSortable": false, "aTargets": [9] },
               {
                  "targets": [10],
                  "visible": false,
               },
            ],
//            "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {

//                 if (aData[9] == "N") {
//                     $("td", nRow).addClass("bg-danger");
//                 }
//            }
        });
        $(".dataTables_scrollFoot").hide();

    });
</script>
<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;
$cs->registerScript("autoCompleteVendorrDetails", "function autoCompleteVendorDetails(field_id){
    $('#vendor_id').val('');
    var url = '" . Yii::app()->createUrl('Vendor/GetVendorDetails') . "';
    $('#'+field_id).autocomplete({
        minLength : 1,
        source : function (request, response) {
            autoCompleteSource(request, response,url)
        },
        focus : function( event, ui ) {
            $(this).val((ui.item.label)); return false;
        },
        select : function( event, ui ) {
            event.preventDefault();
            trigger_target_id = $(event.target).attr('id');
            var vendor_id=ui.item.value;
            $('#vendor_id').val(vendor_id);
        } 
    }) 
}", CClientScript::POS_HEAD);


$cs->registerScript("CancelPurchase", "function CancelPurchase(order_id) {
    r =confirm('Are You sure to cancel this');
    if (r == true) {
                jQuery.ajax({
                    'dataType':'json',
                    'data' :{'id':order_id},
                    'type':'post',
                    'url': '" . Yii::app()->createUrl('purchaseorder/CancelPurchase') . "',
                    'cache': false,
                    'success': function(data) {
                        if(data.status=='success'){
                            t8.success('Purchase Order Cancelled!');  
                            reloadTable('#tbl_purchase_order'); 
                        }else{
                            $.each(data, function(key, val) {
                                t8.error(''+val+''); 
                            }); 
                            t8.error('Purchase Order Cannot Be Cancelled'); 
                        }
                    }, 
                    'beforeSend':function(){
                        $('#loader').show();
                    },
                    'complete':function(){
                        $('#loader').hide();   
                    }
                });     
    }
        
};", CClientScript::POS_HEAD);
?>