<div class="tab-content">
    <div class="tab-pane active" id="purchasereturn_sec">
        <section class="panel">
        <header class="panel-heading clearfix panel-theame">
                <i class="fa fa-shopping-cart"></i> Purchase Return
                <div class="pull-right" style="display:inline-flex">
                <?php 
                if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU')
                {
                $array=array('class'=>'form-control','data-label'=>'Outlet','prompt' => 'All Outlets','style'=>'max-width: 130px;');
                }
                else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM')
                {
                $array=array('class'=>'form-control','data-label'=>'Outlet','style'=>'max-width: 130px;');
                }
                echo CHtml::dropdownlist('outlet','', MasOutlets::getAllOutlets(),$array); 
                ?>
                &NonBreakingSpace;
                <label style="margin-top: 5px;margin-left: 5px;margin-right: 5px;">From</label>
                &NonBreakingSpace;
                <?php echo CHtml::textField('from',date('01/m/Y'), array('class'=>'form-control datepicker','data-label' => 'Start Date','style'=>'max-width: 103px;')); ?>
                &NonBreakingSpace;
                <label style="margin-top: 5px;margin-left: 5px;margin-right: 5px;">To</label>
                &NonBreakingSpace;
                <?php echo CHtml::textField('to',date('d/m/Y'), array('class'=>'form-control datepicker','data-label' => 'End Date','style'=>'max-width: 103px;')); ?>
                &NonBreakingSpace;
                <label style="margin-top: 5px;margin-left: 5px;margin-right: 5px;">Vendor</label>
                &NonBreakingSpace;
                <?php echo CHtml::textField('vendor_name','', array('class'=>'form-control','data-label' => 'Vendor Name', 'onKeyup' => 'js:autoCompleteVendorDetails(this.id);','style'=>'max-width: 150px;')); ?>
                <?php echo CHtml::hiddenField('vendor_id',''); ?>
                &NonBreakingSpace;
                <button class="btn btn-theme btn-md" onclick="reloadTable('#tbl_purchase_return');"><i class="fa fa-retweet"></i></button>
                </div>
            </header>  
            <div class="panel-body">
                <div class="custom-data-table">
                    <table class="table table-hover table-bordered personal-task" id="tbl_purchase_return">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Date</th>
                                <th>Vendor</th>
                                <th>Invoice #</th>
                                <th>W/O VAT</th>
                                <th>VAT</th>
                                <th>Grand Total</th>
                                <th>Purchased By</th>
                                <th>Outlet</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </section>
    </div>
</div>
<script>
    $(document).ready(function () {
        var table_details_id = "#tbl_purchase_return";
        table_details = $(table_details_id).on("preXhr.dt", function (e, settings, data) {
        data.outlet = $("#outlet").val();
        data.from = $("#from").val();
        data.to = $("#to").val();
        data.vendor_id = $("#vendor_id").val();
        return data;
    }).DataTable({
            scrollY: "550px",
            "bAutoWidth": true,
            pageLength: 50,
            columns: [
                {className: ""},
                {className: ""},
                {className: ""},               
                {className: "text-right" },
                {className: "text-right" },
                {className: "text-right" },
                {className: "" },
                {className: ""},
                {className: ""},
                {className: ""},
            ],
            ajax: {
                url: "index.php?r=purchasereturn/getlist",
                type: "POST",
                cache: false,
            },
            serverSide: true,
            fixedColumns: true,
            processing: true,
            // order: [[2, "desc"]],
            aaSorting : [ [1,'desc'], [0,'desc'] ],
            aoColumnDefs: [
                { "bSortable": false, "aTargets": [ 9] },
                {
                  "targets": [10],
                  "visible": false,
                },
            ],
            "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {

                if (aData[10] == "N") { 
                     $("td", nRow).addClass("bg-danger");
                }
            }
        });
        $(".dataTables_scrollFoot").hide();

    });
</script>
<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;
$cs->registerScript("autoCompleteVendorDetails", "function autoCompleteVendorDetails(field_id){
    $('#vendor_id').val('');
    var url = '" . Yii::app()->createUrl('Vendor/GetVendorDetails') . "';
    $('#'+field_id).autocomplete({
        minLength : 1,
        source : function (request, response) {
            autoCompleteSource(request, response,url)
        },
        focus : function( event, ui ) {
            $(this).val((ui.item.label)); return false;
        },
        select : function( event, ui ) {
            event.preventDefault();
            trigger_target_id = $(event.target).attr('id');
            var vendor_id=ui.item.value;
            $('#vendor_id').val(vendor_id);
        } 
    }) 
}", CClientScript::POS_HEAD);

$cs->registerScript("CancelReturn", "function cancelReturn(return_id) {
    r =confirm('Are You sure to cancel this');
    if (r == true) {
                jQuery.ajax({
                    'dataType':'json',
                    'data' :{'id':return_id},
                    'type':'post',
                    'url': '" . Yii::app()->createUrl('purchasereturn/CancelReturn') . "',
                    'cache': false,
                    'success': function(data) {
                        if(data.status=='success'){
                            t8.success('Purchase Return Cancelled!');  
                            reloadTable('#tbl_purchase_return'); 
                        }
                        else if(data.status=='error'){
                            t8.error(data.error_note);  
                        }  
                        else{
                            $.each(data, function(key, val) {
                                t8.error(''+val+''); 
                            }); 
                            t8.error('Purchase return Cannot Be Cancelled'); 
                        }
                    }, 
                    'beforeSend':function(){
                        $('#loader').show();
                    },
                    'complete':function(){
                        $('#loader').hide();   
                    }
                });     
    }
        
};", CClientScript::POS_HEAD);
?>