<div id="div_service_item_details">
    
    <div class="table-responsive">
        <table class="table table-hover table-bordered personal-task" id="order_item_table">
            <tr>
                <th style="width:5%">No</th>
                <th style="width:20%">Item</th>
                <th style="width:30%">Description</th>
                <th style="width:10%">Quantity</th>
                <th style="width:10%">Unit</th>
                <th style="width:10%">Rate</th>
                <th style="width:10%">Amount</th>
                <th style="width:5%">Tax(%)</th>
                <th style="width:10%">Net</th>
                <th style="width:2%"><a class="btn btn-xs btn-theme " href="javascript:void(0);" onclick="addTableRow($('#order_item_table'));"><i class="fa fa-plus"></i></a></th>
                </th>
            </tr>
                <?php
                foreach ($modelItems as $i => $modelItems){ ?>
                    <tr>
                        <td><label><?php echo ($i+1);?></label></td>
                        <td>
                            <?php 
                            if($modelItems->id>0){
                                $modelItems->part_number =$modelItems->oc_product->part_number;
                            }
                            echo $form->textField($modelItems, "[" . $i . "]part_number", array('class'=>'tooltipster go','onKeypress' => 'js:autoCompleteProduct(this.id,"order");')); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]product_id"); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]unit_price"); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]unit_cost"); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]unit_exchange"); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]id"); ?>
                        </td>
                        <td>
                            <?php echo $form->textArea($modelItems, "[" . $i . "]description", array( 'class' => 'tooltipster desc go en-text-area'));  ?>
                        </td>
                        <td>
                            <?php echo $form->textField($modelItems, "[" . $i . "]quantity", array('class' => 'qty go cell-center text-right','onkeypress' => 'return isNumberKey(event)','onkeyup' =>'calculateOrderValue($("#order_item_table"))')); ?>
                        </td>
                        <td>
                            <div id="span_unit_<?php echo $i;?>">
                            <?php 
                            if($modelItems->unit_id>0)
                            {
                                $units=MasUnit::getSimilarUnits($modelItems->unit_id);
                                $modelItems->unit_exchange=$modelItems->oc_unit->unit_exchange_rate;
                                $cost=StockLedger::getAvgPurchaseRate($modelItems->product_id,'',Yii::app()->user->outlet_id);
                                if($modelItems->oc_unit->unit_exchange_rate>0){
                                    $modelItems->unit_price=$modelItems->rate/$modelItems->oc_unit->unit_exchange_rate;
                                    $modelItems->unit_cost=$cost/$modelItems->oc_unit->unit_exchange_rate;
                                }
                            }
                            else {
                            $units=array();
                                }
                                echo $form->dropDownList($modelItems, "[" . $i . "]unit_id",  $units,array('class' => 'go cell-center text-center','onkeydown'=>'checkenter(event)')); ?>
                            </div>
                        </td>
                        <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]rate", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateOrderValue($("#order_item_table"))')); ?>
                        </td>
                        <td>
                            <?php echo $form->textField($modelItems, "[" . $i . "]amount", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event);','readonly' =>true)); ?>
                        </td>
                        <td>
                            <?php echo $form->textField($modelItems, "[" . $i . "]tax_percentage", array('class' => 'amout go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateOrderValue($("#order_item_table"))')); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]tax_amount", array('class' => 'go cell-center text-center')); ?>
                        </td>
                        <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]net_amount", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event)','onkeyup' =>'calculateOrderValueReverse($("#order_item_table"))')); ?>
                        </td>
                        <td class="text-center nw" width="1%">
                            <?php echo CHtml::link('<i class="fa fa-times"></i>', 'javascript:void(0);', array('class' => 'btn btn-xs btn-danger', 'onclick' => 'removeTableRow($(\'#order_item_table\'),this)', 'title' => 'Remove this item', 'id' => 'material_' . $i)); ?>
                        </td>
                    </tr>
                    <?php  $total += $modelItems->net_amount;  
                    $total_tax += $modelItems->tax_amount; 
                    } ?>
            </table>
            <table class="table table-hover table-bordered table-nexted order_grand_total">
            <tr  class="summary_tr bg-total"> 
                <td width="70%" class="text-right table_total_title">
                <h3>VAT</h3></td>
                <td width="30%" class="text-right table_total">
                    <h3 class="vat" class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($total_tax, " "); ?>
                    </h3>
                </td>
            </tr>
            <tr class="summary_tr bg-total">
                <td width="70%" class="text-right table_total_title">
                        <h1>Grand Total</h1></td>
                <td width="30%" class="text-right table_total">
                    <h1 class="grandtotal" class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(($total), " "); ?></h1>
                </td>
            </tr>
            </table>
        </div>
    </div>
    <?php
    $cs = Yii::app()->getClientScript();
    $cs->registerScript("calculateOrderValue", " function calculateOrderValue(jQtable) {
        formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
        var count,qty,rate,amount,net_amount,discount,costrate,unit_exchange,unitprice,unit_cost;
        var total   =   0;
        var grand_total =   0;
        var vat_total = 0;
        var net_amount = 0;
        jQtable.find('tr:gt(0)').each(function() {
            net_amount = 0;  discount = 0;
            unit_cost = $(this).find('[id $=_unit_cost]').val();
            unit_exchange = $(this).find('[id $=_unit_exchange]').val();
            rate = $(this).find('[id $=_rate]').val();
            if(unit_exchange>0)
                unitprice =(Number(rate)/Number(unit_exchange)).toFixed(2);
            else
                unitprice =0;
            $(this).find('[id $=_unit_price]').val(unitprice);
            qty =   $(this).find('[id $=_quantity]').val();
            amount =   (Number(rate)*Number(qty)).toFixed(2);
            total   =   Number(total)+Number(amount);
            if(amount > 0){
                var tax_per =  $(this).find('[id $=_tax_percentage]').val();
                var tax_amount  = 0;
                if(tax_per > 0){
                    tax_amount = (amount*tax_per)/100;
                }else{
                    tax_amount = 0;
                }
                tax_amount = Number(tax_amount).toFixed(2);
                $(this).find('[id $=_amount]').val(Number(amount).toFixed(2));
                $(this).find('[id $=_tax_amount]').val(tax_amount);
                var excise_per =  $(this).find('[id $=_excise_percentage]').val();
                var excise_amount  = 0;
                if(excise_per > 0){
                    excise_amount = (amount*excise_per)/100;
                }else{
                    excise_amount = 0;
                }
                excise_amount = Number(excise_amount).toFixed(2);
                $(this).find('[id $=_excise_amount]').val(excise_amount);
                net_amount=Number(Number(amount)+Number(tax_amount)+Number(excise_amount)).toFixed(2);
                $(this).find('[id $=_net_amount]').val(net_amount);
                grand_total += Number(net_amount);
                vat_total += Number(tax_amount);
                
            } 
            else {
                $(this).find('[id $=_amount]').val(Number(0).toFixed(2));
                $(this).find('[id $=_tax_amount]').val(Number(0).toFixed(2));
                $(this).find('[id $=_excise_amount]').val(Number(0).toFixed(2));
                $(this).find('[id $=_net_amount]').val(Number(0).toFixed(2));    
                }
            //if($('#Quotes_consider_sp_not_less_cp').val()=='Y'){
                if(Number(unitprice)<Number(unit_cost)){
                    $(this).find('[id $=_rate]').addClass('bg-danger');
                }else{
                    $(this).find('[id $=_rate]').removeClass('bg-danger');
                }
            //}
        });
        $('.total').html(Number(total).toFixed(2));
        $('.grandtotal').html(Number(grand_total).toFixed(2));
        $('.vat').html(Number(vat_total).toFixed(2));
    }
    function calculateOrderValueReverse(jQtable) {
        formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
        var count,qty,rate,amount,net_amount,discount,costrate;
        var total   =   0;
        var grand_total =   0;
        var vat_total = 0;
        var net_amount = 0;
        jQtable.find('tr:gt(0)').each(function() {
            rate = 0;  discount = 0;amount = 0;
            net_amount = $(this).find('[id $=_net_amount]').val();
            qty =   $(this).find('[id $=_quantity]').val();
            if(net_amount > 0 && qty>0){
                var field_id = $(this).find('[id $=_tax_percentage]').attr('id');
                var arr_fields= field_id.split('_');
                var model_name   = arr_fields[0];
                var row_field  = arr_fields[1];
                var tax_per =  $(this).find('[id $=_tax_percentage]').val();
                var excise_per =  $(this).find('[id $=_excise_percentage]').val();
                var tax_amount  = 0;var excise_amount  = 0;
                var percentg =100;
                if(tax_per > 0){
                    percentg+=Number(tax_per);
                }
                if(excise_per > 0){
                    percentg+=Number(excise_per);
                }
                amount = ( net_amount * 100 ) / percentg;
                amount = Number(amount).toFixed(2);
                if(qty>0){
                    rate =  (Number(amount)/Number(qty)).toFixed(2);
                }else{
                    rate = 0;
                }
                unit_exchange = $(this).find('[id $=_unit_exchange]').val();
                if(unit_exchange>0)
                    unitprice =(Number(rate)/Number(unit_exchange)).toFixed(2);
                else
                    unitprice =0;
                $(this).find('[id $=_unit_price]').val(unitprice);
                if(tax_per > 0){
                    tax_amount = ( amount * tax_per ) / 100;
                    tax_amount = Number(tax_amount).toFixed(2);
                }
                $(this).find('[id $=_tax_amount]').val(tax_amount);
                if(excise_per > 0){
                    excise_amount = (amount*excise_per)/100;
                }else{
                    excise_amount = 0;
                }
                excise_amount = Number(excise_amount).toFixed(2);
                $(this).find('[id $=_excise_amount]').val(excise_amount);
                $('#QuotesItem_'+row_field+'_amount').val(Number(amount).toFixed(2));
                $('#QuotesItem_'+row_field+'_rate').val(Number(rate).toFixed(2));
                
                grand_total += Number(net_amount);
                vat_total += Number(tax_amount);
            } 
            else { 
                $(this).find('[id $=_amount]').val(Number(0).toFixed(2));
                $(this).find('[id $=_tax_amount]').val(Number(0).toFixed(2));
                $(this).find('[id $=_excise_amount]').val(Number(0).toFixed(2));
                $(this).find('[id $=_net_amount]').val(Number(0).toFixed(2));    
            }
        });
        $('.total').html(Number(total).toFixed(2));
        $('.grandtotal').html(Number(grand_total).toFixed(2));
        $('.vat').html(Number(vat_total).toFixed(2));
    }
    function getPriceOnUnitChange(id){
        var unit_id =$('#'+id).val();
        jQuery.ajax({
            'data' :{'unit':unit_id},
            'dataType' : 'json',
            'type':'post',
            'url': '" . Yii::app()->createUrl('Masunit/getUnitExchangeRate') . "',
            'success': function(data) {
                var arr_fields= id.split('_');
                var row_field  = arr_fields[1];
                var exchang=Number(data.unit_exchange).toFixed(2);
                $('#QuotesItem_'+row_field+'_unit_exchange').val(exchang);
                var unitprice = $('#QuotesItem_'+row_field+'_unit_price').val();
                var rate = Number(exchang*unitprice).toFixed(2);
                $('#QuotesItem_'+row_field+'_rate').val(rate);
                calculateOrderValue($('#order_item_table'));
            }
        });
    }
        ", CClientScript::POS_HEAD);
    $cs->registerScript("autoCompleteProduct", "function autoCompleteProduct(field_id,frm)
    {
        var customer_id =$('#Quotes_customer_id').val();
        if(customer_id==''){
             t8.error('Please Select Customer Before adding Items'); 
             return false;
        }
        else{
            var url = '" . Yii::app()->createUrl('inventory/GetProducts') . "'+'&frm=OC&customer_id='+customer_id;
            $('#'+field_id).autocomplete({
                minLength   : 1,
                source      : function (request, response) { autoCompleteSource(request, response,url) },
                focus       : function( event, ui ) { $(this).val((ui.item.label)); return false;},
                select          : function( event, ui ) {
                    event.preventDefault();
                    trigger_target_id   =   $(event.target).attr('id');
                    var product_id=ui.item.value;
                    var part_number=ui.item.part_number;
                    var desc=ui.item.description;
                    var unit_id=ui.item.unit_id;
                    var tax = ui.item.tax;
                    var excise = ui.item.excise_tax;
                    var price = ui.item.rate;
                    var cost = ui.item.cost;
                    var unit = ui.item.uom;
                    var unit_exchange =ui.item.unit_exchange;
                    if(unit_exchange>0){
                        var unitprice =price/unit_exchange;
                        var unitcost =cost/unit_exchange;
                    }
                    else{
                        var unitprice =0;
                        var unitcost = 0;
                    }
                    var arr_fields= field_id.split('_');
                    var model_name   = arr_fields[0];
                    var row_field  = arr_fields[1];
                    tax = Number(tax).toFixed(2);
                    $('#QuotesItem_'+row_field+'_tax_percentage').val(tax);
                
                   jQuery.ajax({
                        'data' :{'unit':unit,'row_field':row_field},
                        'dataType' : 'json',
                        'type':'post',
                        'url': '" . Yii::app()->createUrl('quotation/getSimilarUnits') . "',
                        'success': function(data) {
                            $('#span_unit_'+row_field).html(data.unit);
                        }
                    });
                    var tax_val = 0;
                    $('#QuotesItem_'+row_field+'_description').val(desc);
                    $('#QuotesItem_'+row_field+'_unit_id').val(unit_id); //FOR SHOWING UNIT NAME
                    //$('#QuotesItem_'+row_field+'_unit').val(unit_name); //FOR SHOWING UNIT NAME
                    $('#QuotesItem_'+row_field+'_product_id').val(product_id);
                    $('#QuotesItem_'+row_field+'_part_number').val(part_number);
                    $('#QuotesItem_'+row_field+'_quantity').val(1);
                    $('#QuotesItem_'+row_field+'_quantity').focus();
                    
                    $('#QuotesItem_'+row_field+'_rate').val(price);
                    $('#QuotesItem_'+row_field+'_unit_exchange').val(unit_exchange);
                    $('#QuotesItem_'+row_field+'_unit_price').val(unitprice);
                    $('#QuotesItem_'+row_field+'_unit_cost').val(unitcost);
                    $('#QuotesItem_'+row_field+'_quantity').focus();
                    calculateOrderValue($('#order_item_table'));
               
                }
            });
        }
    
    }", CClientScript::POS_HEAD);
    
$cs->registerScript("checkenter", "function checkenter(event) {
     if (event.which == 13) {
        addTableRow($('#order_item_table'))
    }
}", CClientScript::POS_HEAD);
 ?>