<style>
    table,
    th,
    td {
        border: 1px solid black;
    }

    .txt-right {
        text-align: right !important;
    }

    .text-left {
        text-align: left;
    }
</style>

<table style="width:100%">


    <!-- <table class="table-tree"> -->
    <thead>
        <th colspan="12">
            <?php
            $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
            echo $userModel->companyDetails->name;
            ?>
        </th>
        </tr>
        <tr>

        </tr>
        <tr>
            <th style="color: white ;background-color:#696969;" colspan="12">INVENTORY SUMMARY REPORT</th>
        </tr>


        <?php

        if ($from_date != '') {
        ?>

            <tr>
                <td colspan="5"><b> From Date</b></td>
                <td class="text-left" colspan="7">
                    <?php echo $from_date; ?>
                </td>
            </tr>

        <?php
        }
        ?>

        <?php
        if ($to_date != '') {
        ?>

            <tr>
                <td colspan="5"><b>To Date</b></td>
                <td class="text-left" colspan="7">
                    <?php echo $to_date ?>
                </td>
            </tr>

        <?php
        }
        ?>


        <?php
        if ((int)$salesman >0) {
        ?>

            <tr>
                <td colspan="5"><b>Salesman</b></td>
                <td class="text-left" colspan="7">
                    <?php 
                     $full_name = MasUsers::model()->findByPk((int)$salesman)->full_name;
                      echo $full_name ?>
                </td>
            </tr>

        <?php
        }
        ?>

<?php
        if ((int)$customer_id >0) {
        ?>

            <tr>
                <td colspan="5"><b>Customer</b></td>
                <td class="text-left" colspan="7">
                    <?php 
                     $customer_name = Customer::model()->findByPk((int)$customer_id)->customer_name;
                      echo $customer_name ?>
                </td>
            </tr>

        <?php
        }
        ?>

        <tr></tr>
        <tr>
            <th>#</th>
            <th>Part No</th>
            <th>Description</th>
            <th>Sales Qty.</th>
            <th>Sales Rtn. Qty.</th>
            <th>Sales Net Qty.</th>
            <th>Purchase Qty.</th>
            <th>Purchase Rtn. Qty.</th>
            <th>Purchase Net Qty.</th>
            <th>Goods Receipt</th>
            <th>Goods Issue</th>
            <th>Unit</th>
        </tr>
    </thead>
    <tbody>
        <?php $model  = new Inventory();

        $condition  =  $condition1  =  $gi_condition = $gr_condition = '1=1';

        if ($outlet > 0) {
            $condition    .= ' AND outlet=' . $outlet;
            $condition1   .= ' AND outlet=' . $outlet;
            $gi_condition .= ' AND SL.outlet=' . $outlet;
            $gr_condition .= ' AND SL.outlet=' . $outlet;
        }
        if ($customer_id > 0) {
            $condition  .= ' AND customer_id=' . $customer_id;
            $condition1 .= ' AND customer_vendor_id=' . $customer_id;
        }
        if ($salesman > 0) {
            $condition1   .= ' AND created_by=' . $salesman;
            $gi_condition .= ' AND SL.created_by=' . $salesman;
            $gr_condition .= ' AND SL.created_by=' . $salesman;
        }




        if (!empty($from_date)) {
            $from_date = date("Y-m-d", strtotime(str_replace('/', '-', $from_date)));
        } else {
            $from_date = date("Y-m-d");
        }
        $condition1 .= ' AND transaction_date>="' . $from_date . '"';
        if (!empty($to_date)) {
            $to_date = date("Y-m-d", strtotime(str_replace('/', '-', $to_date)));
        } else {
            $to_date = date("Y-m-d");
        }
        $condition1   .= ' AND transaction_date<="' . $to_date . '"';

        $gr_condition .= '  AND SL.type="GR" AND SL.transaction_date BETWEEN "' . $from_date . '" AND "' . $to_date . '" ';

        $gi_condition .= ' AND SL.type="GI" AND SL.transaction_date BETWEEN "' . $from_date . '" AND "' . $to_date . '" ';

        $SQL = 'DROP TABLE IF EXISTS temp_inventory_summary;';

        Yii::app()->db->createCommand($SQL)->execute();

        $SQL = 'CREATE TABLE `temp_inventory_summary` (`outlet` int(11) NOT NULL,`transaction_date` date NOT NULL,`product_id` int(11) NOT NULL,
            `customer_id` int(11) NOT NULL,`vendor_id` int(11) NOT NULL,`sales_qty` decimal(15,2) NOT NULL,`purchase_qty` decimal(15,2) NOT NULL,`sales_return_qty` decimal(15,2) NOT NULL,
            `purchase_return_qty` decimal(15,2) NOT NULL);';
        Yii::app()->db->createCommand($SQL)->execute();

        $SQL = 'INSERT INTO temp_inventory_summary(outlet,transaction_date,product_id,customer_id,vendor_id,sales_qty,purchase_qty,sales_return_qty,purchase_return_qty) SELECT outlet,transaction_date,product_id,0 AS customer_vendor_id,customer_vendor_id,0 AS qty,(unit_exchange_rate*quantity) AS qty,0 AS qty,0 AS qty FROM erp_stock_ledger WHERE type="PI" AND (' . $condition1 . ')';
        //            echo $SQL;die;
        Yii::app()->db->createCommand($SQL)->execute();

        $SQL = 'INSERT INTO temp_inventory_summary(outlet,transaction_date,product_id,customer_id,vendor_id,sales_qty,purchase_qty,sales_return_qty,purchase_return_qty) SELECT outlet,transaction_date,product_id,customer_vendor_id,0 AS customer_vendor_id,(unit_exchange_rate*quantity),0 AS qty,0 AS qty,0 AS qty FROM erp_stock_ledger WHERE type="SI" AND (' . $condition1 . ')';
        Yii::app()->db->createCommand($SQL)->execute();

        $SQL = 'INSERT INTO temp_inventory_summary(outlet,transaction_date,product_id,customer_id,vendor_id,sales_qty,purchase_qty,sales_return_qty,purchase_return_qty) SELECT outlet,transaction_date,product_id,customer_vendor_id,0 AS customer_vendor_id,0 AS qty,0 AS qty,(unit_exchange_rate*quantity) AS qty,0 AS qty FROM erp_stock_ledger WHERE type="SR" AND (' . $condition1 . ')';
        Yii::app()->db->createCommand($SQL)->execute();

        $SQL = 'INSERT INTO temp_inventory_summary(outlet,transaction_date,product_id,customer_id,vendor_id,sales_qty,purchase_qty,sales_return_qty,purchase_return_qty) SELECT outlet,transaction_date,product_id,0 AS customer_vendor_id,customer_vendor_id,0 AS qty,0 AS qty,0 AS qty,(unit_exchange_rate*quantity) AS qty FROM erp_stock_ledger WHERE type="PR" AND (' . $condition1 . ')';
        Yii::app()->db->createCommand($SQL)->execute();

        $query_current_stock = 'SELECT product_id,SUM(sales_qty) AS sales_qty,SUM(purchase_qty) AS purchase_qty,SUM(sales_return_qty) AS sales_return_qty,SUM(purchase_return_qty) AS purchase_return_qty from temp_inventory_summary where ' . $condition . ' group by product_id';
        $arr_stock = Yii::app()->db->createCommand($query_current_stock)->queryAll();

        $sl = 1;
        if (!empty($arr_stock)) {
            foreach ($arr_stock as $i => $row) {
                $inventory = Inventory::model()->findByPk($row['product_id']);

                //   ---------------------------------------------------
                $grsql = 'SELECT  SUM(SL.quantity) as default_qty
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    WHERE ' . $gr_condition . ' AND  SL.product_id=  ' . $row['product_id'];
                $gr_array = Yii::app()->db->createCommand($grsql)->queryRow();
                //   ---------------------------------------------------
                $gisql = 'SELECT  SUM(SL.quantity) as default_qty
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    WHERE ' . $gi_condition . ' AND  SL.product_id=  ' . $row['product_id'];
                $gi_array = Yii::app()->db->createCommand($gisql)->queryRow();
                //   ---------------------------------------------------

        ?>
                <tr>
                    <td><?php echo ($i + 1); ?></td>
                    <td><?php echo $inventory->part_number; ?></td>
                    <td><?php echo $inventory->description; ?></td>
                    <td class="text-right"><?php echo round($row['sales_qty'], 3); ?></td>
                    <td class="text-right"><?php echo round($row['sales_return_qty'], 3); ?></td>
                    <td class="text-right"><?php echo round($row['sales_qty'] - $row['sales_return_qty'], 3); ?></td>
                    <td class="text-right"><?php echo round($row['purchase_qty'], 3); ?></td>
                    <td class="text-right"><?php echo round($row['purchase_return_qty'], 3); ?></td>
                    <td class="text-right"><?php echo round($row['purchase_qty'] - $row['purchase_return_qty'], 3); ?></td>
                    <td class="text-right"><?php echo round($gr_array['default_qty'], 3); ?></td>
                    <td class="text-right"><?php echo round($gi_array['default_qty'], 3); ?></td>
                    <td><?php echo $inventory->units->unit_name; ?></td>
                </tr>
            <?php
            }
            ?>
        <?php } else { ?>
            <tr>
                <th colspan="12" class="text-center bg-info">No Details Found</th>
            </tr>
        <?php } ?>
    </tbody>
</table>