    <style>
        table{
            width:100%;
        }
        .head{
            background-color : aquamarine;
            font-weight: bold;
            color: white;
            font-size: 14px;
        }
        .text-right{
            text-align: right;
        }
        .total{
            text-align: right;
            font-weight: bold;
            font-size: 14px;
        }
        
        
    </style>
    <table border="1">
        <thead>
            <tr style="background-color:#00abff;">
                <th colspan="12">Net Sales</th>
            </tr>
           <tr>
                <th style="width:1%">No</th>
               
                <th style="width:8%">Salesman</th>
                
                <th>Amount</th>
                
                 <th>Vat</th>
              
                <th>Net Amount</th>
            </tr>
        </thead>
        <tbody>
           <?php  $model  = new SalesInvoice();
            $condition      = '1=1';
            if($outlet>0){
                $condition.=" AND t.outlet=".$outlet;
            }
            if($from!='' && $from!='00/00/0000')
            {
                $from = str_replace('/', '-',$from);
                $from=date("Y-m-d", strtotime($from));
                $condition.=' AND t.invoice_date>="'.$from.'"';    
            }
            if($to!='' && $to!='00/00/0000')
            {
                $to = str_replace('/', '-',$to);
                $to=date("Y-m-d",strtotime($to));
                $condition.=' AND t.invoice_date<="'.$to.'"';    
            }
          
            if($salesman >0)
            {
                $condition.=' AND (t.sales_man='.$salesman.')';    
            }
       
             $sales_view_sql='CREATE OR REPLACE VIEW view_net_sale_report_new AS (SELECT "I" as type,I.id,I.customer_id,I.sales_man,I.invoice_no,I.invoice_date,C.customer_name,U.full_name,I.exchange_rate,I.total_amount,I.grand_total,I.tax_total,I.outlet,I.active,C.state
              FROM  {{sales_invoice}} I
              LEFT JOIN  {{customer}} C
              ON C.id=I.customer_id
              LEFT JOIN   bluesell_new_main.erp_users U
              ON U.id=I.sales_man
              )
              UNION ALL
              (SELECT "CN" as type,CN.id,I.customer_id,I.sales_man,CN.return_no AS invoice_no,CN.return_date AS invoice_date,C.customer_name,U.full_name,I.exchange_rate,-1*(CN.total_amount),-1*(CN.grand_total) ,-1*(CN.tax_total),CN.outlet,CN.active,C.state 
              FROM  {{sales_return}} CN
              LEFT JOIN  {{customer}} C
              ON C.id=CN.customer_id
              LEFT JOIN {{sales_invoice}} I
              ON I.id=CN.invoice_id
              LEFT JOIN   bluesell_new_main.erp_users U
              ON U.id=I.sales_man)';
            Yii::app()->db->createCommand($sales_view_sql)->execute(); 
            
                     
            $sales_sql = 'SELECT t.type,t.active,t.full_name,sum(t.total_amount) as total_amount, sum(t.tax_total) as tax_total,sum(t.grand_total) as grand_total,t.exchange_rate FROM view_net_sale_report_new t 
              WHERE ' . $condition . ' 
              GROUP BY t.sales_man 
              ORDER BY t.invoice_date ASC, t.type DESC';



            $arr_invoices = Yii::app()->db->createCommand($sales_sql)->queryAll();
            
          
            
            
            $total_inv_amount_bc=$total_inv_vat_bc=$total_inv_grand_bc=0;
            $total_ret_amount_bc=$total_ret_vat_bc=$total_ret_grand_bc=0;
            $total_net_amount_bc=0;$sl=1;
            if(!empty($arr_invoices)){
                 $total_amount_withoutvat = $total_vat_amount=$total_amount=0;
                foreach ($arr_invoices as $row)
                { 
                   
                    $amount_withoutvat = $row['exchange_rate']*$row['total_amount'];
                    $vat_amount  = $row['exchange_rate']*$row['tax_total'];
                    
                    $amount = $row['exchange_rate']*$row['grand_total'];
                    
                    $total_amount_withoutvat += $amount_withoutvat;
                    $total_vat_amount += $vat_amount;
                    $total_amount += $amount;
    
                     
                    ?>
                 <tr>
                    <td><?php echo $sl;?></td> 
                    <td><?php echo  $row['full_name'];?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($amount_withoutvat,'');?></td>
                    
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($vat_amount,'');?></td>

                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($amount,'');?></td> 
                    
                </tr>
                <?php
                    $sl++;
                } ?>
                <tr>
                    <th colspan="2" class="text-right bg-info">Total</th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_amount_withoutvat,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_vat_amount,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_amount,'');?></th>
                  
                </tr>
             <?php }else{?>
            <tr>
                    <th colspan="5" class="text-center bg-info">No Details Found</th>
            </tr>
            <?php } ?>
        </tbody>
    </table>
</div>