<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="text-center panel-heading clearfix"><h4><b>Current Stock</b></h4></header>
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <?php if( Yii::app()->user->user_access_type == 'SU' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('currentstock_outlet', '', MasOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php }else{
                         echo CHtml::hiddenField('currentstock_outlet',Yii::app()->user->outlet_id);
                    } ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::dropdownlist('currentstock_type','',array('I'=>'Inventory','S'=>'Service'), array('class'=>'tooltipster','data-label'=>'Type','prompt' => 'All Types','data-search'=>true)); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::dropdownlist('currentstock_brand','',MasBrand::getAllBrands(), array('class'=>'tooltipster','data-label'=>'Brand','prompt' => 'All Brands','data-search'=>true)); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::dropdownlist('currentstock_stock','',array(1=>'Available',2=>'Empty'), array('class'=>'tooltipster','data-label'=>'Stock','prompt' => 'Stock(All)','data-search'=>true)); ?>
                    </li>
                    <?php if( Yii::app()->user->user_access_type != 'SL' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('currentstock_salesman', '', MasOutlets::salesmans(), array('class' => 'tooltipster', 'data-label' => 'Salesman', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php } else{
                        echo CHtml::hiddenField('currentstock_salesman',Yii::app()->user->id);
                    }?>
                     <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reports/Pdfcurrentstock&outlet='+$('#currentstock_outlet').val()+'&type='+$('#currentstock_type').val()+'&brand='+$('#currentstock_brand').val()+'&stock='+$('#currentstock_stock').val()+'&salesman='+$('#currentstock_salesman').val(), '_blank'); ">PDF</a>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/currentstock&outlet='+$('#currentstock_outlet').val()+'&type='+$('#currentstock_type').val()+'&brand='+$('#currentstock_brand').val()+'&stock='+$('#currentstock_stock').val()+'&salesman='+$('#currentstock_salesman').val());">XLS</a>
                        <?php if( Yii::app()->user->user_access_type != 'SL' ) {  ?>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reports/Pdfcurrentstock&outlet='+$('#currentstock_outlet').val()+'&type='+$('#currentstock_type').val()+'&brand='+$('#currentstock_brand').val()+'&stock='+$('#currentstock_stock').val()+'&salesman='+$('#currentstock_salesman').val()+'&ctype=nocost', '_blank'); ">PDF-No Cost</a>
                        <?php } ?>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="gl_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<?php 

$cs = Yii::app()->getClientScript();

    $cs->registerScript("loadPage", "function loadPage(){
        $('#loader').show();
        jQuery.ajax({
            'type': 'post',
            'url': '" . Yii::app()->createUrl('reports/Htmlcurrentstock') . "',
            'data' : { 'outlet' : $('#currentstock_outlet').val(), 'type' : $('#currentstock_type').val(), 'brand' : $('#currentstock_brand').val(), 'stock' : $('#currentstock_stock').val(), 'salesman' : $('#currentstock_salesman').val() },
            'success': function(data) {
                $('#data_div').show();
                $('.main-li-data').html(data);
                $('#loader').hide();
            }
        });
    }", CClientScript::POS_HEAD);
?>