<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="text-center panel-heading clearfix"><h4><b>CUSTOMERS </b></h4></header>
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <?php if( Yii::app()->user->user_access_type == 'SU' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('cuslist_outlet', '', MasOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php }else{
                         echo CHtml::hiddenField('cuslist_outlet',Yii::app()->user->outlet_id);
                    } ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::hiddenField('cuslist_customer_id'); ?>
                        <?php echo CHtml::textField('cuslist_customer', '', array('class' => 'tooltipster', 'data-label' => 'Customer', 'onKeypress' => 'js:customers(this.id);')); ?>
                    </li>
                    <?php if( Yii::app()->user->user_access_type != 'SL' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('cuslist_salesman', '', MasOutlets::salesmans(), array('class' => 'tooltipster', 'data-label' => 'Salesman', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php } else{
                        echo CHtml::hiddenField('cuslist_salesman',Yii::app()->user->id);
                    }?>
                    <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>
                        <!--<a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportpdf/CustomerList&outlet='+$('#cuslist_outlet').val()+'&customer_id='+$('#cuslist_customer_id').val()), '_blank'); ">PDF</a>-->
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/CustomerList&outlet='+$('#cuslist_outlet').val()+'&customer_id='+$('#cuslist_customer_id').val()+'&salesman='+$('#cuslist_salesman').val());">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="gl_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<?php 

$cs = Yii::app()->getClientScript();

    $cs->registerScript("customers", "function customers(field_id)
    {
        $('#customer_id').val('');
        var url = '" . Yii::app()->createUrl('reports/get_customers') . "';
        $('#cuslist_customer_id').val('');
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response, url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false; },
            select      : function( event, ui ) {
                event.preventDefault();
                $('#cuslist_customer_id').val(ui.item.value);
                $('#cuslist_customer').val(ui.item.label);
            }
        });
    }", CClientScript::POS_HEAD);
    $cs->registerScript("loadPage", "function loadPage(){
        $('#loader').show();
        jQuery.ajax({
            'type': 'post',
            'url': '" . Yii::app()->createUrl('reports/HtmlCustomerList') . "',
            'data' : { 'outlet' : $('#cuslist_outlet').val(), 'from' : $('#cuslist_date_from').val(), 'to' : $('#cuslist_date_to').val(), 'customer_id' : $('#cuslist_customer_id').val(), 'salesman' : $('#cuslist_salesman').val() },
            'success': function(data) {
                $('#data_div').show();
                $('.main-li-data').html(data);
                $('#loader').hide();
            }
        });
    }", CClientScript::POS_HEAD);
?>