<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="text-center panel-heading clearfix"><h4><b>FOC SALES </b></h4></header>
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <?php if( Yii::app()->user->user_access_type == 'SU' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('focsales_outlet', '', MasOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php }else{
                         echo CHtml::hiddenField('focsales_outlet',Yii::app()->user->outlet_id);
                    } ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('focsales_date_from', date('01/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'From')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('focsales_date_to', date('t/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'To')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::hiddenField('focsales_customer_id'); ?>
                        <?php echo CHtml::textField('focsales_customer', '', array('class' => 'tooltipster', 'data-label' => 'Customer', 'onKeypress' => 'js:customers(this.id);')); ?>
                    </li>
                    <li class="col-sm-2">
                     <?php echo CHtml::dropdownlist('focsales_state', '', MasState::getActiveStates(), array('class' => 'tooltipster', 'data-label' => 'Emirates', 'prompt' => 'All','data-search'=>true)); ?>
                    </li>
                    <?php if( Yii::app()->user->user_access_type != 'SL' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('focsales_salesman', '', MasOutlets::salesmans(), array('class' => 'tooltipster', 'data-label' => 'Salesman', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php } else{
                        echo CHtml::hiddenField('focsales_salesman',Yii::app()->user->id);
                    }?>
                     <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reports/Pdffocsales&outlet='+$('#focsales_outlet').val()+'&from='+$('#focsales_date_from').val()+'&to='+$('#focsales_date_to').val()+'&customer_id='+$('#focsales_customer_id').val()+'&salesman='+$('#focsales_salesman').val(), '_blank'); ">PDF</a>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/focsales&outlet='+$('#focsales_outlet').val()+'&from='+$('#focsales_date_from').val()+'&to='+$('#focsales_date_to').val()+'&customer_id='+$('#focsales_customer_id').val()+'&salesman='+$('#focsales_salesman').val());">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="gl_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<?php 

$cs = Yii::app()->getClientScript();

    $cs->registerScript("customers", "function customers(field_id)
    {
        $('#customer_id').val('');
        var url = '" . Yii::app()->createUrl('reports/get_customers') . "';
        $('#focsales_customer_id').val('');
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response, url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false; },
            select      : function( event, ui ) {
                event.preventDefault();
                $('#focsales_customer_id').val(ui.item.value);
                $('#focsales_customer').val(ui.item.label);
            }
        });
    }", CClientScript::POS_HEAD);
    $cs->registerScript("loadPage", "function loadPage(){
        $('#loader').show();
        jQuery.ajax({
            'type': 'post',
            'url': '" . Yii::app()->createUrl('reports/Htmlfocsales') . "',
            'data' : { 'outlet' : $('#focsales_outlet').val(), 'from' : $('#focsales_date_from').val(), 'to' : $('#focsales_date_to').val(), 'customer_id' : $('#focsales_customer_id').val(), 'salesman' : $('#focsales_salesman').val(), 'state' : $('#focsales_state').val() },
            'success': function(data) {
                $('#data_div').show();
                $('.main-li-data').html(data);
                $('#loader').hide();
            }
        });
    }", CClientScript::POS_HEAD);
?>