<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="text-center panel-heading clearfix"><h4><b>VENDORS</b></h4></header>
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <?php if( Yii::app()->user->user_access_type == 'SU' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('vendorlist_outlet', '', MasOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php }else{
                         echo CHtml::hiddenField('vendorlist_outlet',Yii::app()->user->outlet_id);
                    } ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::dropdownlist('vendorlist_vendor_id', '', Vendor::getAllVendors(),array('class' => 'tooltipster', 'data-label' => 'Vendor', 'prompt' => 'All','data-search'=>true)); ?>
                    </li>
                    <?php if( Yii::app()->user->user_access_type != 'SL' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('vendorlist_salesman', '', MasOutlets::salesmans(), array('class' => 'tooltipster', 'data-label' => 'Salesman', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php } else{
                        echo CHtml::hiddenField('vendorlist_salesman',Yii::app()->user->id);
                    }?>
                     <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>
                        <!--<a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportpdf/vendorlist&outlet='+$('#vendorlist_outlet').val()+'&from='+$('#vendorlist_date_from').val()+'&to='+$('#vendorlist_date_to').val()+'&vendor_id='+$('#vendorlist_vendor_id').val()+'&salesman='+$('#vendorlist_salesman').val(), '_blank'); ">PDF</a>-->
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/vendorlist&outlet='+$('#vendorlist_outlet').val()+'&from='+$('#vendorlist_date_from').val()+'&to='+$('#vendorlist_date_to').val()+'&vendor_id='+$('#vendorlist_vendor_id').val()+'&salesman='+$('#vendorlist_salesman').val());">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="gl_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<?php 

$cs = Yii::app()->getClientScript();

    $cs->registerScript("loadPage", "function loadPage(){
        $('#loader').show();
        jQuery.ajax({
            'type': 'post',
            'url': '" . Yii::app()->createUrl('reports/Htmlvendorlist') . "',
            'data' : { 'outlet' : $('#vendorlist_outlet').val(), 'vendor_id' : $('#vendorlist_vendor_id').val(), 'salesman' : $('#vendorlist_salesman').val() },
            'success': function(data) {
                $('#data_div').show();
                $('.main-li-data').html(data);
                $('#loader').hide();
            }
        });
    }", CClientScript::POS_HEAD);
?>