<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:5%">No</th>
                <th style="width:10%">Voucher Date</th>
                <th style="width:10%">Voucher No</th>
                <th style="width:15%">Cheque Date</th>
                <th style="width:10%">Cheque No</th>
                <th style="width:20%">Reference</th>
                <th style="width:30%">Narration</th>
                <th style="width:10%">Amount</th>
            </tr>
        </thead>
        <tbody>
            <?php  
            $condition      = '1=1';
            if($outlet>0){
                $condition.=" AND t.outlet=".$outlet;
            }
            if($from!='' && $from!='00/00/0000')
            {
                $from = str_replace('/', '-',$from);
                $from=date("Y-m-d", strtotime($from));
                $condition.=' AND t.invoice_date>="'.$from.'"';    
            }
            if($to!='' && $to!='00/00/0000')
            {
                $to = str_replace('/', '-',$to);
                $to=date("Y-m-d",strtotime($to));
                $condition.=' AND t.invoice_date<="'.$to.'"';    
            }
            $legder = ($type == 1) ? FinanceSystemAccountsMapping::getSystemdefault('pdc_r') : FinanceSystemAccountsMapping::getSystemdefault('pdc_i');
            $items = FinanceVoucherItems::model()->with('parent')->findAll(array('condition' => 'parent.is_posted="Y" AND t.ledger_id=' . $legder . ' AND t.opening_cheque_cleared="N" AND t.cheque_bounced="N" AND parent.voucher_date BETWEEN "' . $from . '" AND "' . $to . '" ', 'order' => 'parent.voucher_date ASC'));
            if(!empty($items)){
                foreach ($items as $i=>$each)
                { 
                    ?>
                <tr>
                    <td><?php echo ($i+1); ?></td> 
                    <td> <?php echo date('d/m/Y', strtotime($each->parent->voucher_date)) ?> </td>  
                    <td><?php echo $each->parent->fullvoucher; ?></td>
                    <td><?php echo  date('d/m/Y', strtotime(($each->parent->cheque_date != '0000-00-00') ? $each->parent->cheque_date : $each->parent->voucher_date)); ?></td> 
                    <td><?php echo  $each->parent->cheque_no; ?></td> 
                    <td><?php echo  $each->parent->reference_no; ?></td> 
                    <td><?php echo  $each->parent->general_narration; ?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(abs($each->amount * $each->exchange_rate), " "); ?></td> 
                </tr>
                <?php
                }  
                } else {
               ?>
            <tr>
                    <th colspan="8" class="text-center bg-info">No Details Found</th>
            </tr>
            <?php } ?>
        </tbody>
    </table>
</div>