<?php

$condition = '1=1';
if ($outlet > 0) {
    $condition .= ' AND outlet="' . $outlet . '"';
}

$condition_sales = "1=1";
$condition_sales_return = "1=1";

if ($outlet > 0) {
    $condition_sales .= " AND outlet=" . $outlet;
    $condition_sales_return .= " AND outlet=" . $outlet;
}


if ($created_user > 0) {
    $condition_sales .= " AND sales_man=" . $created_user;
    $condition_sales_return .= " AND created_by=" . $created_user;
}


if ($daybook_from_date != '' && $daybook_from_date != '00/00/0000') {
    $daybook_from_date = str_replace('/', '-', $daybook_from_date);
    $daybook_from_date = date("Y-m-d", strtotime($daybook_from_date));
    $condition_sales .= ' AND invoice_date>="' . $daybook_from_date . '"';
    $condition_sales_return .= ' AND return_date>="' . $daybook_from_date . '"';
}
if ($daybook_to_date != '' && $daybook_to_date != '00/00/0000') {
    $daybook_to_date = str_replace('/', '-', $daybook_to_date);
    $daybook_to_date = date("Y-m-d", strtotime($daybook_to_date));
    $condition_sales .= ' AND invoice_date<="' . $daybook_to_date . '"';
    $condition_sales_return .= ' AND return_date<="' . $daybook_to_date . '"';
}


/*$daybook_date =date("Y-m-d", strtotime(str_replace('/', '-', $daybook_date)));

if ($daybook_date != '' && $daybook_date != '0000-00-00') {
    $condition_sales .= ' AND invoice_date="' . $daybook_date . '"';
    $condition_sales_return .= ' AND return_date="' . $daybook_date . '"';
}*/


$sales_invoice_count = Yii::app()->db->createCommand("SELECT count(*) FROM {{sales_invoice}} where $condition_sales")->queryScalar();
$sales_return_count = Yii::app()->db->createCommand("SELECT count(*) FROM {{sales_return}} where $condition_sales_return")->queryScalar();

$sales_invoice_amount = Yii::app()->db->createCommand("SELECT SUM(grand_total) FROM {{sales_invoice}} where $condition_sales")->queryScalar();
$sales_return_amount = Yii::app()->db->createCommand("SELECT SUM(grand_total) FROM {{sales_return}} where $condition_sales_return")->queryScalar();

$sales_invoice_tax_amount = Yii::app()->db->createCommand("SELECT SUM(tax_total) FROM {{sales_invoice}} where $condition_sales")->queryScalar();
$sales_return_tax_amount = Yii::app()->db->createCommand("SELECT SUM(tax_total) FROM {{sales_return}} where $condition_sales_return")->queryScalar();


?>

<!-- -------------------------------------Sales----------------------------------------------- -->
<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered">
        <thead>
            <tr>
                <th class="text-center bg-success" colspan="2">Sales</th>
            </tr>
        </thead>
        <tbody>

            <tr>
                <td>Total Invoices</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($sales_invoice_count, ""); ?></td>
            </tr>

            <tr>
                <td>Total Invoices Value</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($sales_invoice_amount, "");  ?></td>
            </tr>

        </tbody>
    </table>
</div><br>

<?php
// Second Table: Sales Return
$totalSalesReturnCount = 0; // Replace with your actual calculation for Sales Return
$totalSalesReturn = 0; // Replace with your actual calculation for Sales Return

?>
<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered">
        <thead>
            <tr>
                <th class="text-center bg-success" colspan="2">Sales Return</th>
            </tr>
        </thead>
        <tbody>

            <tr>
                <td>No of Credit</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($sales_return_count, "");  ?></td>
            </tr>

            <tr>
                <td>Amount</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($sales_return_amount, "");  ?></td>
            </tr>
        </tbody>
    </table>
</div><br>
<?php

// -------------------------------------Purchase-----------------------------------------------


$condition_purchase = "active='Y'";
$condition_purchase_return = "1=1";

if ($outlet > 0) {
    $condition_purchase .= " AND outlet=" . $outlet;
    $condition_purchase_return .= " AND outlet=" . $outlet;
}
if ($created_user > 0) {
    $condition_purchase .= " AND created_by=" . $created_user;
    $condition_purchase_return .= " AND created_by=" . $created_user;
}


if ($daybook_from_date != '' && $daybook_from_date != '00/00/0000') {
    $daybook_from_date = str_replace('/', '-', $daybook_from_date);
    $daybook_from_date = date("Y-m-d", strtotime($daybook_from_date));
    $condition_purchase .= ' AND invoice_date>="' . $daybook_from_date . '"';
    $condition_purchase_return .= ' AND return_date>="' . $daybook_from_date . '"';
}
if ($daybook_to_date != '' && $daybook_to_date != '00/00/0000') {
    $daybook_to_date = str_replace('/', '-', $daybook_to_date);
    $daybook_to_date = date("Y-m-d", strtotime($daybook_to_date));
    $condition_purchase .= ' AND invoice_date<="' . $daybook_to_date . '"';
    $condition_purchase_return .= ' AND return_date<="' . $daybook_to_date . '"';
}

/*if ($daybook_date != '' && $daybook_date != '0000-00-00') {
    $condition_purchase .= ' AND invoice_date="' . $daybook_date . '"';
    $condition_purchase_return .= ' AND return_date="' . $daybook_date . '"';
}
*/

//Purchase
$purchase_invoice_count = Yii::app()->db->createCommand("SELECT count(*) FROM {{purchase_invoice}} where $condition_purchase")->queryScalar();
$purchase_return_count = Yii::app()->db->createCommand("SELECT count(*) FROM {{purchase_return}} where $condition_purchase_return")->queryScalar();

$purchase_invoice_amount = Yii::app()->db->createCommand("SELECT SUM(grand_total) FROM {{purchase_invoice}} where $condition_purchase")->queryScalar();
$purchase_return_amount = Yii::app()->db->createCommand("SELECT SUM(grand_total) FROM {{purchase_return}} where $condition_purchase_return")->queryScalar();


$purchase_invoice_tax_amount = Yii::app()->db->createCommand("SELECT SUM(tax_total) FROM {{purchase_invoice}} where $condition_purchase")->queryScalar();
$purchase_return_tax_amount = Yii::app()->db->createCommand("SELECT SUM(tax_total) FROM {{purchase_return}} where $condition_purchase_return")->queryScalar();


// First Table: Sales
?>
<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered">
        <thead>
            <tr>
                <th class="text-center bg-success" colspan="2">Purchase</th>
            </tr>
        </thead>
        <tbody>

            <tr>
                <td>Total Invoices</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($purchase_invoice_count, "");  ?></td>
            </tr>

            <tr>
                <td>Total Invoices Value</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($purchase_invoice_amount, "");  ?></td>
            </tr>

        </tbody>
    </table>
</div><br>
<!-- -------------------------------------Purchase-Return---------------------------------------------- -->



<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered">
        <thead>
            <tr>
                <th class="text-center bg-success" colspan="2">Purchase Return</th>
            </tr>
        </thead>
        <tbody>

            <tr>
                <td>No Of Debit</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($purchase_return_count, "");  ?></td>
            </tr>

            <tr>
                <td>Amount</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($purchase_return_amount, "");  ?></td>
            </tr>

        </tbody>
    </table>
</div><br>
<?php
// -------------------------------------Expense----------------------------------------------

$CashAccount = FinanceSystemAccountsMapping::getSystemdefault('cash_account');

$vat_account = FinanceSystemAccountsMapping::getSystemdefault('vat_on_expense');






$condition_expense = "1=1 AND H.is_posted='Y' AND L.main_account_type='E'";

$condition_vat_expense = "1=1 AND H.is_posted='Y' AND ledger_id=" . $vat_account;

$condition_cash = "1=1 AND H.is_posted='Y' AND amount>0 AND ledger_id=" . $CashAccount;

if ($outlet > 0) {
    $condition_expense .= " AND I.outlet=" . $outlet;
    $condition_vat_expense .= " AND I.outlet=" . $outlet;
    $condition_cash .= " AND I.outlet=" . $outlet;
}
if ($created_user > 0) {
    $condition_expense .= " AND H.created_by=" . $created_user;
    $condition_vat_expense .= " AND H.created_by=" . $created_user;
    $condition_cash .= " AND H.created_by=" . $created_user;
}

if ($daybook_from_date != '' && $daybook_from_date != '00/00/0000') {
    $daybook_from_date = str_replace('/', '-', $daybook_from_date);
    $daybook_from_date = date("Y-m-d", strtotime($daybook_from_date));
    $condition_expense .= ' AND H.voucher_date>="' . $daybook_from_date . '"';
    $condition_vat_expense .= ' AND H.voucher_date>="' . $daybook_from_date . '"';
    $condition_cash .= ' AND H.voucher_date>="' . $daybook_from_date . '"';
}
if ($daybook_to_date != '' && $daybook_to_date != '00/00/0000') {
    $daybook_to_date = str_replace('/', '-', $daybook_to_date);
    $daybook_to_date = date("Y-m-d", strtotime($daybook_to_date));
    $condition_expense .= ' AND H.voucher_date<="' . $daybook_to_date . '"';
    $condition_vat_expense .= ' AND H.voucher_date<="' . $daybook_to_date . '"';
    $condition_cash .= ' AND H.voucher_date<="' . $daybook_to_date . '"';
}


/*if ($daybook_date != '' && $daybook_date != '0000-00-00') {
    $condition_expense .= ' AND H.voucher_date="' . $daybook_date . '"';
    $condition_vat_expense .= ' AND H.voucher_date="' . $daybook_date . '"';
    $condition_cash .= ' AND H.voucher_date="' . $daybook_date . '"';
}*/

$condition_expense .= ' AND I.amount >0 ';
$condition_expense .= ' AND H.voucher_type NOT IN (8, 9)';


//Expense & Cash

//echo "SELECT SUM(amount) FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id LEFT join {{finance_legder}} L ON L.id = I.ledger_id where $condition_expense";

$expense_count = Yii::app()->db->createCommand("SELECT count(*) FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id LEFT join {{finance_legder}} L ON L.id = I.ledger_id where $condition_expense")->queryScalar();
$cash_count = Yii::app()->db->createCommand("SELECT count(*) FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id where $condition_cash")->queryScalar();
$expense_amount = Yii::app()->db->createCommand("SELECT SUM(amount) FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id LEFT join {{finance_legder}} L ON L.id = I.ledger_id where $condition_expense")->queryScalar();

$expense_vat_amount = Yii::app()->db->createCommand("SELECT SUM(amount) FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id where $condition_vat_expense")->queryScalar();
$cash_amount = Yii::app()->db->createCommand("SELECT SUM(amount) FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id where $condition_cash")->queryScalar();

?>

<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered">
        <thead>
            <tr>
                <th class="text-center bg-success" colspan="2">Expense</th>
            </tr>
        </thead>
        <tbody>

            <tr>
                <td>No Of Expense</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($expense_count, "");  ?></td>
            </tr>

            <tr>
                <td>Amount</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($expense_amount, "");  ?></td>
            </tr>

        </tbody>
    </table>
</div><br>
<!-- -------------------------------------------------------------------------------------- -->
<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered">
        <thead>
            <tr>
                <th class="text-center bg-success" colspan="2">Cash</th>
            </tr>
        </thead>
        <tbody>

            <tr>
                <td>Total Cash Collected</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($cash_amount, "")  ?></td>
            </tr>

            <tr>
                <td>Balance</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($cash_amount - $expense_amount, "")  ?></td>
            </tr>
            <?php
            $total_vat_payable = (float)$sales_invoice_tax_amount - (float)$sales_return_tax_amount - (float)$purchase_invoice_tax_amount + (float)$purchase_return_tax_amount - (float)$expense_vat_amount;
            ?>
            <tr>
                <td>Total Vat Payable</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($total_vat_payable, "")  ?></td>
            </tr>


            <?php
            $profit = ((float)$sales_invoice_amount - (float)$sales_return_amount) - ((float)$purchase_invoice_amount - (float)$purchase_return_amount) - (float)$expense_amount;
            ?>
            <tr>
                <td>Profit</td>
                <td><?php echo Yii::app()->numberFormatter->formatCurrency($profit, "")  ?></td>
            </tr>

        </tbody>
    </table>
</div>