<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:1%">No</th>
                <th style="width:1%">Salesman</th>
                <th style="width:1%">Date</th>
                <th style="width:10%">Type</th>
                <th style="width:8%">Number</th>
                <th>Customer/Vendor</th>
                <th>Reference</th>
                <th>Narration</th>
                <th>Value</th>
            </tr>
        </thead>
        <tbody>
            <?php 
            $condition      = '1=1';
            if($outlet>0){
                $condition.=" AND outlet=".$outlet;
            }
            if($from!='' && $from!='00/00/0000')
            {
                $from = str_replace('/', '-',$from);
                $from=date("Y-m-d", strtotime($from));
                $condition.=' AND date>="'.$from.'"';    
            }
            if($to!='' && $to!='00/00/0000')
            {
                $to = str_replace('/', '-',$to);
                $to=date("Y-m-d",strtotime($to));
                $condition.=' AND date<="'.$to.'"';    
            }
            if($salesman >0)
            {
                $condition.=' AND (user_id='.$salesman.')';    
            }
            $sales_sql = 'SELECT * FROM daybook WHERE ' . $condition . ' ORDER BY date asc,type DESC';
            $arr_invoices = Yii::app()->db->createCommand($sales_sql)->queryAll();
            if(!empty($arr_invoices)){
                $tot_sales=0;
                $tot_purchase=0;
                $tot_sales_return=0;
                $tot_purchase_return=0;
                
                foreach ($arr_invoices as $i=>$row)
                { 
                switch($row['type'])
                {
                case 'sales':
                $tot_sales+=$row['total'];
                break;
                case 'purchase':
                $tot_purchase+=$row['total'];
                break;
                case 'sales return':
                $tot_sales_return+=$row['total'];
                break;
                case 'purchase return':
                $tot_purchase_return+=$row['total'];
                break;
                }
                ?>
                <tr>
                    <td><?php echo ($i+1);?></td> 
                     <td><?php echo  $row['username'];?></td>
                    <td><?php echo date("d/m/Y",strtotime($row['date']));?></td> 
                    <td><?php echo $row['type'];?></td>
                    <td><?php echo $row['no'];?></td> 
                    <td><?php echo  $row['customer_name'];?></td> 
                    <td><?php echo  $row['ref'];?></td> 
                     <td><?php echo  $row['note'];?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['total'],'');?></td> 
                </tr>
                <?php }
                ?>
                <tr>
                    <td colspan="8" class="text-right"><b>TOTAL PURCHASE</b></td> 
                    <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($tot_purchase,'');?></b></td> 
                </tr>
                <tr>
                    <td colspan="8" class="text-right"><b>TOTAL PURCHASE RETURN</b></td> 
                    <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($tot_purchase_return,'');?></b></td> 
                </tr>
                <tr>
                    <td colspan="8" class="text-right"><b>TOTAL SALES</b></td> 
                    <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($tot_sales,'');?></b></td> 
                </tr>
                <tr>
                    <td colspan="8" class="text-right"><b>TOTAL SALES RETURN</b></td> 
                    <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($tot_sales_return,'');?></b></td> 
                </tr>
                <?php
                } else {
               ?>
            <tr>
                    <th colspan="12" class="text-center bg-info">No Details Found</th>
            </tr>
            <?php } ?>
        </tbody>
    </table>
</div>