<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:1%">No</th>
                <th style="width:1%">Date</th>
                <th style="width:1%">Inv./CN. #</th>
                <th style="width:10%">Customer</th>
                <th style="width:8%">Salesman</th>
                <th>Sales Amt(BC)</th>
                <th>Inv.VAT(BC)</th>
                <th class="bg-success">Sales Amt with VAT(BC)</th>
                <th>CRN Amt(BC)</th>
                <th>CRN VAT(BC)</th>                        
                <th class="bg-danger">CRN Amt with VAT(BC)</th>
                <!--<th>Others(+)</th>
                <th>Others(-)</th>
                <th>Net ADD/DED</th>-->
                <th>Net Amt(AED)</th>
            </tr>
        </thead>
        <tbody>
            <?php  $model  = new SalesInvoice();
            $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id); 
            $condition      = '1=1';
            if($outlet>0){
                $condition.=" AND t.outlet=".$outlet;
            }
            if($from!='' && $from!='00/00/0000')
            {
                $from = str_replace('/', '-',$from);
                $from=date("Y-m-d", strtotime($from));
                $condition.=' AND t.invoice_date>="'.$from.'"';    
            }
            if($to!='' && $to!='00/00/0000')
            {
                $to = str_replace('/', '-',$to);
                $to=date("Y-m-d",strtotime($to));
                $condition.=' AND t.invoice_date<="'.$to.'"';    
            }
            if($customer_id>0)
            {
                $condition.=' AND t.customer_id='.$customer_id;    
            }
            if($salesman >0)
            {
                $condition.=' AND (t.sales_man='.$salesman.')';    
            }
            if($state >0)
            {
                $condition.=' AND (t.state='.$state.')';    
            }
            
            
            $sales_view_sql='CREATE OR REPLACE VIEW view_net_sale_report AS (SELECT "I" as type,I.id,I.customer_id,I.sales_man,I.invoice_no,I.invoice_date,C.customer_name,U.full_name,I.exchange_rate,I.total_amount,I.grand_total,I.tax_total,I.outlet,I.active,C.state
              FROM  {{sales_invoice}} I
              LEFT JOIN  {{customer}} C
              ON C.id=I.customer_id
              LEFT JOIN   bluesell_new_main.erp_users U
              ON U.id=I.sales_man
              )
              UNION ALL
              (SELECT "CN" as type,CN.id,I.customer_id,I.sales_man,CN.return_no AS invoice_no,CN.return_date AS invoice_date,C.customer_name,U.full_name,I.exchange_rate,CN.total_amount,CN.grand_total ,CN.tax_total,CN.outlet,CN.active,C.state 
              FROM  {{sales_return}} CN
              LEFT JOIN  {{customer}} C
              ON C.id=CN.customer_id
              LEFT JOIN {{sales_invoice}} I
              ON I.id=CN.invoice_id
              LEFT JOIN   bluesell_new_main.erp_users U
              ON U.id=I.sales_man)';
            Yii::app()->db->createCommand($sales_view_sql)->execute(); 
            $sales_sql = 'SELECT * FROM view_net_sale_report t 
                    WHERE ' . $condition . ' ORDER BY invoice_date asc,type DESC';
            $arr_invoices = Yii::app()->db->createCommand($sales_sql)->queryAll();
            $total_inv_amount_bc=$total_inv_vat_bc=$total_inv_grand_bc=0;
            $total_ret_amount_bc=$total_ret_vat_bc=$total_ret_grand_bc=0;
            $total_net_amount_bc=0;$sl=1;
            if(!empty($arr_invoices)){
                foreach ($arr_invoices as $row)
                { 
                    if($row['active']=='N'){
                        $row['total_amount']=0;
                        $row['tax_total']=0;
                        $row['grand_total']=0;
                    }
                    if($row["type"]=='I'){
                        $invoice_amount_bc=$row['exchange_rate']*$row['total_amount'];
                        $invoice_vat_bc=$row['exchange_rate']*$row['tax_total'];
                        $invoice_grandtotal_bc=$row['exchange_rate']*$row['grand_total'];
                        $return_amount_bc=0;
                        $return_vat_bc=0;
                        $return_grandtotal_bc=0;
                    }else{
                        $invoice_amount_bc=0;
                        $invoice_vat_bc=0;
                        $invoice_grandtotal_bc=0;
                        $return_amount_bc=$row['exchange_rate']*$row['total_amount'];
                        $return_vat_bc=$row['exchange_rate']*$row['tax_total'];
                        $return_grandtotal_bc=$row['exchange_rate']*$row['grand_total'];
                    }
                    $net_total=$invoice_grandtotal_bc-$return_grandtotal_bc;
                    $total_inv_amount_bc+=$invoice_amount_bc;
                    $total_inv_vat_bc+=$invoice_vat_bc;
                    $total_inv_grand_bc+=$invoice_grandtotal_bc;
                    $total_ret_amount_bc+=$return_amount_bc;
                    $total_ret_vat_bc+=$return_vat_bc;
                    $total_ret_grand_bc+=$return_grandtotal_bc;
                    $total_net_amount_bc+=$net_total;
                    
                    ?>
                <tr>
                    <td><?php echo $sl;?></td> 
                    <td><?php echo date("d/m/Y",strtotime($row['invoice_date']));?></td> 
                    <td>
                    <?php 
                    $prefix=FormMaster::model()->find(array('condition'=>'outlet='.$userModel->outlet_id.' AND code="SI"'))->prefix;
                    if($prefix!='')
                    {
                    echo $prefix.'/';    
                    }
                    echo $row['invoice_no'];
                    ?>
                    </td> 
                    <td><?php echo  $row['customer_name'];?></td> 
                    <td><?php echo  $row['full_name'];?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice_amount_bc,'');?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice_vat_bc,'');?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice_grandtotal_bc,'');?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($return_amount_bc,'');?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($return_vat_bc,'');?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($return_grandtotal_bc,'');?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($net_total,'');?></td> 
                    
                </tr>
                <?php
                    $sl++;
                } ?>
                <tr>
                    <th colspan="5" class="text-right bg-info">Total</th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_inv_amount_bc,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_inv_vat_bc,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_inv_grand_bc,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_ret_amount_bc,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_ret_vat_bc,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_ret_grand_bc,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_net_amount_bc,'');?></th>
                </tr>
                <tr>
                   <th colspan="11" class="text-right bg-info">Net Sales Without VAT</th> 
                   <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_inv_amount_bc-$total_ret_amount_bc,'');?></th>
                </tr>
            <?php }else{?>
            <tr>
                    <th colspan="12" class="text-center bg-info">No Details Found</th>
            </tr>
            <?php } ?>
        </tbody>
    </table>
</div>