<!DOCTYPE html>
<html>

<head>
    <title><?php echo date('dmYhis'); ?></title>
</head>

<body>
    <?php

    if ((int)$user_id > 0) {
        $userModel = MasUsers::model()->findByPk((int) $user_id);
    } else {
        $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
    }

    $access_type = $userModel->access_type;

    $daybook_date = $to;
    ?>
    <div class="col-12">
        <div class="text-center">
            <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
        </div>
        <div class="text-center">
            <small><?php echo $userModel->companyDetails->billing_address ?></small>
        </div>
    </div>
    <div style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;">
        <!--add New Template-->
        <div class="">
            <div class="col-6">
                <div class="input-block">
                    <b><?php echo 'Current Stock Report'; ?></b>
                </div>
                <br> <br> <br>
                <table class="table" style="width:50%">
                    <?php if ($customer_id > 0) { ?>
                        <tr>
                            <td>Customer</td>
                            <td>
                                <?php echo Customer::model()->findByPk($customer_id)->customer_name; ?>
                            </td>
                        </tr>
                    <?php } ?>
                    <?php if ($salesman > 0) { ?>
                        <tr>
                            <td>Salesman</td>
                            <td>
                                <?php echo MasUsers::model()->findByPk($salesman)->full_name; ?>
                            </td>
                        </tr>
                    <?php } ?>
                </table>
            </div>

        </div>
        <br>
        <div class="col-md-12">
            <?php $colspan = 9; ?>
            <div class="table-responsive">
                <table class="table table-hover table-striped table-bordered ">
                    <thead>
                        <tr>
                            <th style="width:1%">#</th>
                            <th style="width:10%">Part No</th>
                            <th style="width:25%">Description</th>
                            <th style="width:5%">Type</th>
                            <th style="width:8%">Brand</th>
                            <th>Base Qty</th>
                            <th>Base Unit</th>
                            <th>Sec Qty</th>
                            <th>Sec Unit</th>
                            <?php if ($access_type != 'SL' && $ctype != 'nocost') {
                                $colspan++;
                            ?><th>Cost</th><?php } ?>
                            <th>Price</th>
                            <th>Tax(%)</th>
                            <?php if ($access_type != 'SL' && $ctype != 'nocost') {
                                $colspan++;
                            ?><th>Cost Amount</th><?php } ?>
                            <?php if ($access_type == 'SU') {
                                $colspan++;
                            ?><th>Outlet</th><?php } ?>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $model  = new Inventory();
                        $condition      = '1=1';
                        if ($outlet > 0) {
                            $condition .= ' AND I.outlet=' . $outlet;
                        }
                        if ($type != '') {
                            $condition .= ' AND I.type="' . $type . '"';
                        }
                        if ($brand > 0) {
                            $condition .= ' AND I.brand=' . $brand;
                        }
                        if ($customer_id > 0) {
                            $condition .= ' AND t.customer_id=' . $customer_id;
                        }
                        if ($salesman > 0) {
                            $condition .= ' AND (S.created_by=' . $salesman . ' OR S.type="OB" )';
                        }
                        if ($stock == 1) {
                            $query_current_stock = "SELECT * FROM (SELECT id,part_number,description,active,brand_name,type,SUM(in_qty) AS in_qty,SUM(out_qty) AS out_qty,SUM(in_qty)-SUM(out_qty) AS qty,
                    unit_name,sec_unit_id,SUM(avg_purchase_rate) AS avg_purchase_rate,SUM(avg_sales_rate) AS avg_sales_rate,SUM(tax) AS tax,name,outlet_name,rate from view_current_stock group by id
                    ) A where A.qty>0";
                        } else if ($stock == 2) {
                            $query_current_stock = "SELECT * FROM (SELECT id,part_number,description,active,brand_name,type,SUM(in_qty) AS in_qty,SUM(out_qty) AS out_qty,SUM(in_qty)-SUM(out_qty) AS qty,
                    unit_name,sec_unit_id,SUM(avg_purchase_rate) AS avg_purchase_rate,SUM(avg_sales_rate) AS avg_sales_rate,SUM(tax) AS tax,name,outlet_name,rate from view_current_stock group by id) A where A.qty=0";
                        } else {
                            $query_current_stock = "SELECT id,part_number,description,active,brand_name,type,SUM(in_qty) AS in_qty,SUM(out_qty) AS out_qty,SUM(in_qty)-SUM(out_qty) AS qty,
                    unit_name,sec_unit_id,SUM(avg_purchase_rate) AS avg_purchase_rate,SUM(avg_sales_rate) AS avg_sales_rate,SUM(tax) AS tax,name,outlet_name,rate from view_current_stock group by id";
                        }

                        $SQL = "CREATE OR REPLACE VIEW view_current_stock AS
                (SELECT I.id,I.part_number,I.description,I.active,B.brand_name,I.type,SUM(S.quantity*S.unit_exchange_rate) AS in_qty,
                0 AS out_qty,U.unit_name,I.sec_unit_id,CASE
                WHEN SUM(S.quantity*S.unit_exchange_rate) > 0 THEN SUM(S.quantity*S.rate)/SUM(S.quantity*S.unit_exchange_rate) ELSE 0 END AS avg_purchase_rate,0 AS avg_sales_rate,tax,O.name,O.outlet_name,I.rate 
                FROM erp_inventory I 
                LEFT JOIN erp_stock_ledger S ON I.id=S.product_id 
                LEFT JOIN erp_master_brand B ON I.brand=B.id 
                LEFT JOIN erp_master_unit U ON I.unit=U.id 
                 LEFT JOIN erp_master_unit T ON I.sec_unit_id=T.base_unit_id 
                LEFT JOIN bluesell_new_main.erp_outlets O ON I.outlet=O.id where $condition AND (S.transaction_type='IN' OR S.type='OB') group by I.id)
                UNION
                (SELECT I.id,I.part_number,I.description,I.active,B.brand_name,I.type,0 AS in_qty,SUM(S.quantity*S.unit_exchange_rate) AS out_qty,
                U.unit_name,I.sec_unit_id,0 AS avg_purchase_rate,CASE
                WHEN SUM(S.quantity*S.unit_exchange_rate) > 0 THEN SUM(S.quantity*S.rate)/SUM(S.quantity*S.unit_exchange_rate) ELSE 0 END AS avg_sales_rate,0 AS tax,O.name,O.outlet_name,I.rate 
                FROM erp_inventory I 
                LEFT JOIN erp_stock_ledger S ON I.id=S.product_id 
                LEFT JOIN erp_master_brand B ON I.brand=B.id 
                LEFT JOIN erp_master_unit U ON I.unit=U.id 
                 LEFT JOIN erp_master_unit T ON I.sec_unit_id=T.base_unit_id 
                LEFT JOIN bluesell_new_main.erp_outlets O ON I.outlet=O.id where $condition AND (S.transaction_type='OUT' OR S.type='OB')  group by I.id)";
                        Yii::app()->db->createCommand($SQL)->execute();
                        $arr_stock = Yii::app()->db->createCommand($query_current_stock)->queryAll();
                        $sl = 1;
                        if (!empty($arr_stock)) {
                            $total_amount = 0;
                            foreach ($arr_stock as $row) {

                                $inv_type = ($row['type'] == 'I') ? "Inventory" : "Service";
                                $avg_purchase_rate = round(StockLedger::getAvgPurchaseRate($row['id'], '', $outlet), 2);
                                $cost_amount = $avg_purchase_rate * round($row['qty'], 3);
                                $total_amount += ($cost_amount);
                                $sec_unit_id = $row['sec_unit_id'];
                                $mas_unit = MasUnit::model()->findByPk($sec_unit_id);
                                $sec_qty=0;
                                if((int)$sec_unit_id>0){
                                     $sec_qty = (float)$row['qty'] / (float)$mas_unit['unit_exchange_rate'];
                                }
                               
                        ?>
                                <tr>
                                    <td><?php echo $sl; ?></td>
                                    <td><?php echo $row['part_number']; ?></td>
                                    <td><?php echo $row['description']; ?></td>
                                    <td><?php echo  $inv_type; ?></td>
                                    <td><?php echo  $row['brand_name']; ?></td>
                                    <td class="text-right"><?php echo round($row['qty'], 3); ?></td>
                                    <td><?php echo $row['unit_name']; ?></td>
                                    <td><?php echo round($sec_qty, 2); ?></td>
                                    <td><?php echo $mas_unit['unit_name']; ?></td>
                                    <?php if ($access_type != 'SL' && $ctype != 'nocost') { ?>
                                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($avg_purchase_rate, ''); ?></td>
                                    <?php } ?>
                                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['rate'], ''); ?></td>
                                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['tax'], '') . ' %'; ?></td>
                                    <?php if ($access_type != 'SL' && $ctype != 'nocost') { ?>
                                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($cost_amount, ''); ?></td>
                                    <?php } ?>
                                    <?php if ($access_type == 'SU') { ?><td class="text-right"><?php echo $row['outlet_name']; ?></td><?php } ?>

                                </tr>
                            <?php
                                $sl++;
                            } ?>
                            <?php if ($access_type != 'SL' && $ctype != 'nocost') { ?>
                                <tr>
                                    <?php
                                    $spantot = $colspan - 1;
                                    if ($access_type == 'SU') {
                                        $spantot = $colspan - 2;
                                    }
                                    ?>
                                    <th colspan="<?php echo $spantot + 2; ?>" class="text-right bg-info">Total Amount</th>
                                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_amount, ''); ?></th>
                                </tr>
                            <?php } ?>
                        <?php } else { ?>
                            <tr>
                                <th colspan="<?php echo $colspan; ?>" class="text-center bg-info">No Details Found</th>
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>

        </div>
        <htmlpagefooter name="myfooter">
            <?php
            $pdf_footer = $userModel->companyDetails->pdf_footer;
            ?>
            <div style="text-align:center;width:100%;font-size:10px">
               <?php echo $pdf_footer; ?>
                <?php
                date_default_timezone_set("Asia/Dubai");
                echo date('d/m/Y') . " " . date("h:i:sa"); ?>
            </div>


            <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
                <div style="text-align:center;width:100%">
                </div>
                <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
            </div>
        </htmlpagefooter>
</body>

</html>