<!DOCTYPE html>
<html>

<head>
    <title><?php echo date('dmYhis'); ?></title>
</head>

<body>
    <?php 
    
     if ((int)$user_id > 0) {
        $userModel = MasUsers::model()->findByPk((int) $user_id);
    } else {
        $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
    }
    $access_type = $userModel->access_type;
    
    $daybook_date = $to;
    ?>
    <div class="col-12">
        <div class="text-center">
            <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
        </div>
        <div class="text-center">
            <small><?php echo $userModel->companyDetails->billing_address ?></small>
        </div>
    </div>
    <div style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;">
        <!--add New Template-->

        <div class="">
            <div class="col-12">
                <div class="input-block">
                    <b><?php echo 'Transaction Report'; ?></b>

                </div>
                <br>

                <table class="table" style="width:100%">
                    <tr>
                        <td><b>From</b></td>
                        <td>
                            <?php echo date('d/m/Y', strtotime($from)); ?>
                        </td>

                        <td><b>To</b></td>
                        <td>
                            <?php echo date('d/m/Y', strtotime($to)); ?>
                        </td>

                        <td><b>Salesman</b></td>
                        <td>
                            <?php
                            if ((int)$salesman > 0) {
                                echo MasUsers::model()->findByPk($salesman)->full_name;
                            }  ?>
                        </td>



                    </tr>
                    <tr>
                        <td><b>Part Number</b></td>
                        <td colspan="2">
                            <?php
                            if ((int)$product_id > 0) {
                                echo  Inventory::model()->findByPk($product_id)->part_number;
                            }  ?>
                        </td>
                        <td><b>Product Name</b></td>
                        <td colspan="2">
                            <?php
                            if ((int)$product_id > 0) {
                                echo Inventory::model()->findByPk($product_id)->description;
                            }  ?>
                        </td>
                        <!-- <td><b>Customer</b></td>
                        <td>
                            <?php
                            /* if ((int)$customer_id > 0) {
                                echo Customer::model()->findByPk((int)$customer_id)->customer_name;
                            } */  ?>
                        </td> -->

                    </tr>

                </table>
            </div>
        </div>
        
       
        <br>
        <div class="col-md-12">
            <?php if ($product_id > 0) {
                $pdt_model = Inventory::model()->findByPk($product_id);
                $default_unit = $pdt_model->Unit_symbol;
            } ?>
            <div class="table-responsive">
                <table class="table table-hover table-striped table-bordered ">
                    <thead>
                        <tr>

                            <th style="width:5%">Date</th>
                            <th style="width:8%">Transaction No</th>
                            <th style="width:10%">Type</th>
                            <th style="width:5%">Salesman</th>
                            <th style="width:20%">Customer/Vendor</th>
                            <?php if ($access_type != 'SL' && $ctype != 'nocost') { ?>
                                <th style="width:5%">Cost/Item</th>
                            <?php } ?>
                            <th style="width:5%">Rate/Item</th>
                            <th style="width:5%">Quantity</th>
                            <th style="width:5%">Unit</th>

                            <th style="width:10%">Balance(in <?php echo $default_unit; ?>)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $model  = new StockLedger();
                        $condition      = '1=1';
                        if ($outlet > 0) {
                            $condition .= " AND t.outlet=" . $outlet;
                        }
                        if ($from != '' && $from != '00/00/0000') {
                            $from = str_replace('/', '-', $from);
                            $from = date("Y-m-d", strtotime($from));
                            $condition .= ' AND t.transaction_date>="' . $from . '"';
                        }
                        if ($to != '' && $to != '00/00/0000') {
                            $to = str_replace('/', '-', $to);
                            $to = date("Y-m-d", strtotime($to));
                            $condition .= ' AND t.transaction_date<="' . $to . '"';
                        }
                        if ($product_id > 0) {
                            $condition .= ' AND t.product_id=' . $product_id;
                        }
                        if ($salesman > 0) {
                            $condition .= ' AND (t.created_by=' . $salesman . ')';
                        }
                        //echo $condition;
                        $transaction_view_sql = 'CREATE OR REPLACE VIEW view_stockledger AS 
                (SELECT SL.id AS sl_id,"Sales Invoice" AS transaction_type,SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number, SL.product_id, SL.customer_vendor_id, SL.created_by, I.id AS invoice_no, C.customer_name, U.full_name, SL.quantity,SL.quantity*SL.unit_exchange_rate as default_qty, SL.outlet,MU.label as unit_label,DU.label as default_unit_label,SL.rate*SL.exchange_rate AS rate 
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
                    LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
                    LEFT JOIN {{sales_invoice}} I ON I.id=SL.header_id 
                    LEFT JOIN {{customer}} C ON C.id=SL.customer_vendor_id 
                    LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by WHERE SL.type="SI"
                )
                UNION ALL
                (SELECT SL.id AS sl_id,"Sales Return" AS transaction_type,SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number, SL.product_id, SL.customer_vendor_id, SL.created_by, I.return_no AS invoice_no, C.customer_name, U.full_name, SL.quantity,SL.quantity*SL.unit_exchange_rate as default_qty, SL.outlet,MU.label as unit_label,DU.label as default_unit_label,SL.rate*SL.exchange_rate AS rate 
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
                    LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
                    LEFT JOIN {{sales_return}} I ON I.id=SL.header_id 
                    LEFT JOIN {{customer}} C ON C.id=SL.customer_vendor_id 
                    LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by WHERE SL.type="SR")
                UNION ALL
                (SELECT SL.id AS sl_id,"Purchase Invoice" AS transaction_type,SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number, SL.product_id, SL.customer_vendor_id, SL.created_by, I.invoice_no, V.vendor_name AS customer_name, U.full_name, SL.quantity,SL.quantity*SL.unit_exchange_rate as default_qty, SL.outlet,MU.label as unit_label ,DU.label as default_unit_label,SL.rate*SL.exchange_rate AS rate
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
                    LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
                    LEFT JOIN {{purchase_invoice}} I ON I.id=SL.header_id 
                    LEFT JOIN {{vendor}} V ON V.id=SL.customer_vendor_id 
                    LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by WHERE SL.type="PI")
                UNION ALL
                (SELECT SL.id AS sl_id,"Purchase Return" AS transaction_type,SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number, SL.product_id, SL.customer_vendor_id, SL.created_by, I.return_no AS invoice_no, V.vendor_name AS customer_name, U.full_name, SL.quantity,SL.quantity*SL.unit_exchange_rate as default_qty, SL.outlet,MU.label as unit_label ,DU.label as default_unit_label,SL.rate*SL.exchange_rate AS rate
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
                    LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
                    LEFT JOIN {{sales_return}} I ON I.id=SL.header_id 
                    LEFT JOIN {{vendor}} V ON V.id=SL.customer_vendor_id 
                    LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by WHERE SL.type="PR")
                UNION ALL
                (SELECT SL.id AS sl_id,"Goods Receipt" AS transaction_type, SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number, SL.product_id, SL.customer_vendor_id, SL.created_by, I.receipt_no AS invoice_no, "-" AS customer_name, U.full_name, SL.quantity,SL.quantity*SL.unit_exchange_rate as default_qty, SL.outlet,MU.label as unit_label ,DU.label as default_unit_label,SL.rate*SL.exchange_rate AS rate
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
                    LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
                    LEFT JOIN {{goods_receipt}} I ON I.id=SL.header_id 
                    LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by WHERE SL.type="GR")
                UNION ALL
                (SELECT SL.id AS sl_id,"Goods Issue" AS transaction_type, SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number, SL.product_id, SL.customer_vendor_id, SL.created_by, I.issue_no AS invoice_no, "-" AS customer_name, U.full_name, SL.quantity,SL.quantity*SL.unit_exchange_rate as default_qty, SL.outlet,MU.label as unit_label ,DU.label as default_unit_label,SL.rate*SL.exchange_rate AS rate
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
                    LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
                    LEFT JOIN {{goods_issue}} I ON I.id=SL.header_id 
                    LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by WHERE SL.type="GI")
                UNION ALL
                (SELECT SL.id AS sl_id,"Goods Transfer IN" AS transaction_type, SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number, SL.product_id, SL.customer_vendor_id, SL.created_by, I.transfer_no AS invoice_no, "-" AS customer_name, U.full_name, SL.quantity,SL.quantity*SL.unit_exchange_rate as default_qty, SL.outlet,MU.label as unit_label ,DU.label as default_unit_label,SL.rate*SL.exchange_rate AS rate
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
                    LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
                    LEFT JOIN {{goods_transfer}} I ON I.id=SL.header_id 
                    LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by WHERE SL.type="GT" and SL.transaction_type="IN")
                UNION ALL
                (SELECT SL.id AS sl_id,"Goods Transfer OUT" AS transaction_type, SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number, SL.product_id, SL.customer_vendor_id, SL.created_by, I.transfer_no AS invoice_no, "-" AS customer_name, U.full_name, SL.quantity,SL.quantity*SL.unit_exchange_rate as default_qty, SL.outlet,MU.label as unit_label ,DU.label as default_unit_label,SL.rate*SL.exchange_rate AS rate
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
                    LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
                    LEFT JOIN {{goods_transfer}} I ON I.id=SL.header_id 
                    LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by WHERE SL.type="GT" AND SL.transaction_type="OUT")
                UNION ALL
                (SELECT SL.id AS sl_id,"Opening Balance" AS transaction_type, SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number, SL.product_id, SL.customer_vendor_id, SL.created_by, "-" AS invoice_no, "-" AS customer_name, U.full_name, SL.quantity,SL.quantity*SL.unit_exchange_rate as default_qty, SL.outlet,MU.label as unit_label ,DU.label as default_unit_label,SL.rate*SL.exchange_rate AS rate
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
                    LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
                    LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by WHERE SL.type="OB")
                UNION ALL
                (SELECT SL.id AS sl_id,"Material to Material Transfer" AS transaction_type, SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number, SL.product_id, SL.customer_vendor_id, SL.created_by, I.conversion_no AS invoice_no, "-" AS customer_name, U.full_name, SL.quantity,SL.quantity*SL.unit_exchange_rate as default_qty, SL.outlet,MU.label as unit_label ,DU.label as default_unit_label,SL.rate*SL.exchange_rate AS rate
                    FROM {{stock_ledger}} SL 
                    LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
                    LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
                    LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
                    LEFT JOIN {{material_conversion}} I ON I.id=SL.header_id 
                    LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by WHERE SL.type="MTM")';

                        Yii::app()->db->createCommand($transaction_view_sql)->execute();
                        $transaction_sql = 'SELECT * FROM view_stockledger t 
                    WHERE ' . $condition . ' ORDER BY transaction_date,in_out asc';
                        $arr_transactions = Yii::app()->db->createCommand($transaction_sql)->queryAll();
                        $open_cond = 'product_id=' . $product_id;
                        if ($outlet > 0) {
                            $open_cond .= " AND t.outlet=" . $outlet;
                        }
                        if ($from != '' && $from != '00/00/0000') {
                            $open_cond .= ' AND t.transaction_date<"' . $from . '"';
                        }
                        if ($salesman > 0) {
                            $open_cond .= ' AND (t.created_by=' . $salesman . ')';
                        }
                        $open_bal_in_sql = 'SELECT SUM(default_qty) AS in_qty FROM view_stockledger t 
                    WHERE ' . $open_cond . ' AND in_out="IN" ';
                        $open_bal_out_sql = 'SELECT SUM(default_qty) AS in_qty FROM view_stockledger t 
                    WHERE ' . $open_cond . ' AND in_out="OUT" ';
                        $opening_in_qty = Yii::app()->db->createCommand($open_bal_in_sql)->queryScalar();
                        $opening_out_qty = Yii::app()->db->createCommand($open_bal_out_sql)->queryScalar();
                        $balance = $opening_in_qty - $opening_out_qty;
                        ?>
                        <tr>
                            <?php if ($access_type != 'SL' && $ctype != 'nocost') { ?>
                                <th colspan="9" class="text-right">Opening Balance</th>
                            <?php } else { ?>
                                <th colspan="8" class="text-right">Opening Balance</th>
                            <?php } ?>
                            <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($balance, ''); ?></td>
                        </tr>

                        <?php if (!empty($arr_transactions)) {
                            foreach ($arr_transactions as $row) {
                                $cost_per_item = $rate_per_item = 0;
                                if ($row['in_out'] == 'IN') {
                                    $balance += $row['default_qty'];
                                } else {
                                    $balance -= $row['default_qty'];
                                }
                                if ($row['type'] == 'SI' || $row['type'] == 'SR' || $row['type'] == 'GR' || $row['type'] == 'PI' || $row['type'] == 'PR') {
                                    $rate_per_item = $row['rate'];
                                }
                                if ($row['type'] == 'PI' || $row['type'] == 'PR' || $row['type'] == 'MTM') {
                                    $cost_per_item = $row['rate'];
                                } else {
                                    $cost_per_item = StockLedger::getAvgPurchaseRate($row['product_id'], $row['transaction_date'], $outlet);
                                }
                        ?>
                                <tr>
                                    <td><?php echo date("d/m/Y", strtotime($row['transaction_date'])); ?></td>
                                    <td><?php echo $row['invoice_no']; ?></td>
                                    <td><?php echo $row['transaction_type']; ?></td>
                                    <td><?php echo $row['full_name']; ?></td>
                                    <td><?php echo $row['customer_name']; ?></td>
                                    <?php if ($access_type != 'SL' && $ctype != 'nocost') { ?>
                                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($cost_per_item, ''); ?></td>
                                    <?php } ?>
                                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($rate_per_item, ''); ?></td>
                                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['quantity'], ''); ?></td>
                                    <td><?php echo $row['unit_label']; ?></td>

                                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($balance, ''); ?></td>

                                </tr>
                            <?php } ?>
                            <tr>
                                <?php if ($access_type != 'SL' && $ctype != 'nocost') { ?>
                                    <th colspan="9" class="text-right bg-info">Closing Balance</th>
                                <?php } else { ?>
                                    <th colspan="8" class="text-right bg-info">Closing Balance</th>
                                <?php } ?>
                                <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($balance, ''); ?></th>
                            </tr>
                        <?php } else { ?>
                            <tr>
                                <?php if ($access_type != 'SL' && $ctype != 'nocost') { ?>
                                    <th colspan="10" class="text-center bg-info">No Details Found</th>
                                <?php } else { ?>
                                    <th colspan="9" class="text-center bg-info">No Details Found</th>
                                <?php } ?>
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
        <htmlpagefooter name="myfooter">
              <?php
            $pdf_footer = $userModel->companyDetails->pdf_footer;
            ?>
            
            <div style="text-align:center;width:100%;font-size:10px"><?= $pdf_footer; ?>
                <?php
                date_default_timezone_set("Asia/Dubai");
                echo date('d/m/Y') . " " . date("h:i:sa"); ?>
            </div>


            <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
                <div style="text-align:center;width:100%">
                </div>
                <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
            </div>
        </htmlpagefooter>
</body>

</html>