<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'salesinvoice-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
));
?>
<ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
    <li class="active"><a href="#si_tab1" data-toggle="tab">General</a></li>
    <li><a href="#si_tab2" data-toggle="tab">Details</a></li>
</ul>
<div class="tab-content">
    <div class="tab-pane active" id="si_tab1">
        <?php $this->renderPartial('general', array('model' => $model, 'form' => $form)); ?>
    </div>
    <div class="tab-pane" id="si_tab2">
        <?php $this->renderPartial('details', array('model' => $model, 'modelItems' => $modelItems, 'form' => $form)); ?>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" id="si_close" data-dismiss="modal">Close</button>
    <?php
    $url = Yii::app()->createUrl('salesinvoice/Save');
    echo CHtml::ajaxSubmitButton('Save', $url, array(
        'dataType' => 'json',
        'type' => 'post',
        'success' => 'function(data) {
                                if(data.status=="success"){  
                                    $("#si_close").click();                                        
                                    t8.success("Sales Invoice Details Saved Successfully!");
                                    if( data.generate_print )
                                    {
                                    window.open("index.php?r=salesinvoice/PrintPDF&id="+data.id);
                                    }else if(data.generate_print2=="Y"){
                                        window.open("index.php?r=salesinvoice/PrintPOS&id="+data.id);
                                    }
                                    reloadTable("#tbl_sales_invoice");
                                } else { 
                                    $("#salesinvoice-form .salesinvoice-save-btn").prop("disabled", false);
                                    $("#salesinvoice-form .salesinvoice-save-btn").addClass("btn-theme").removeClass("btn_loading");
                                    $.each(data, function(key, val) {
                                        $("#salesinvoice-form #"+key+"_em_").text(val).show(); 
                                        t8.error(""+val+""); 
                                    }); 
                                } 
                            }',
        'beforeSend' => 'function(){
                                $(".toast8-error").hide(); 
                                $("#loader").show();
                                $("#salesinvoice-form .salesinvoice-save-btn").prop("disabled", true);                                
                                $("#salesinvoice-form .salesinvoice-save-btn").addClass("btn_loading").removeClass("btn-theme");
                            }',
        'complete' => 'function(){
                                $("#loader").hide();
                                $("#salesinvoice-form .salesinvoice-save-btn").prop("disabled", false);                                
                                $("#salesinvoice-form .salesinvoice-save-btn").addClass("btn-theme").removeClass("btn_loading");
                            }'

    ), array('id' => 'mybtn' . rand(), 'class' => 'salesinvoice-save-btn btn btn-theme'));

    ?>
</div>
<?php $this->endWidget(); ?>