<?php

$cs = Yii::app()->getClientScript();

$baseUrl = Yii::app()->baseUrl;

$form = $this->beginWidget('CActiveForm', array(
    'id' => 'edit_price',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));



?>

<section >
    <!--ul class="nav nav-tabs customer-nav-tabs nav-tab-theme">
      <li class="active"><a href="#salesprice" data-toggle="tab" style="<?php echo $style; ?>" onclick="viewhidebutton(this.id);" id="customer_link_1">Sales Price</a></li>
</ul-->
    
    <div class="tab-content">
        <div class="tab-pane active" id="salesprice">
        
            <ul class="clearfix form-ul material">
    <li class="col-sm-6">
        <?php 
        echo $form->hiddenField($model, 'id');
        $model->pricing_group_file_name='';
		echo $form->hiddenField($model, 'pricing_group_file_name'); 
        echo $form->textField($model, 'pricing_group_name', array('class' => 'tooltipster', 'title' => 'Pricing Group Name', 'data-label' => 'Pricing Group Name <span style="color:red;">*</span>','readonly'=>true)); ?>
    
    </li>
    <li class="col-sm-3">
        <?php 
        $model->start_date = date('d/m/Y',strtotime($model->start_date));
        
        echo $form->textField($model, 'start_date', array('class' => 'datepicker', 'title' => 'Start Date', 'data-label' => 'Start Date <span style="color:red;">*</span>','readonly'=>true)); ?>
    
    </li>
     <li class="col-sm-3">
        <?php 
        $model->end_date = date('d/m/Y',strtotime($model->end_date));
        echo $form->textField($model, 'end_date', array('class' => 'datepicker', 'title' => 'End Date', 'data-label' => 'End Date <span style="color:red;">*</span>','readonly'=>true)); ?>
    
    </li>
    <li class="col-sm-3">
        Document <span style="color:red;">*</span>
                    
    
                    <?php
                        $allowedExtensions = array("csv");
                        $this->widget('ext.EAjaxUpload.EAjaxUpload', array(
                            'id' => rand(),
                            'config' => array(
                                'action' => Yii::app()->createUrl(Yii::app()->controller->id . '/upload',
                                    array('folder' => 'upload/pricelist')),
                                'multiple' => false,
                                'allowedExtensions' => $allowedExtensions,
                                'sizeLimit' => 8 * 1024 * 1024,
                                'onStart' => "js:function(){}",
                                'class' => 'pull-right',
                                'onComplete' => "js:function(id, fileName, responseJSON){
                                     $('#SalesPriceGroupName_pricing_group_file_name').val(responseJSON.filename);
                                    $('.qq-upload-list').html(responseJSON.filename);
                                }",
                                )));
                    ?>
                      
       <br/>
        <div class="icon_images">
            <input type="hidden" id="uploadfile" />
          <?php  if ($model->pricing_group_file_name!=''){
              echo '<a href ="'.Yii::app()->createUrl("/salespricinggroup/DownloadSalesPriceList").'&filename='.$model->pricing_group_file_name.' " class="btn btn-primary btn-xs">
                        <i class="fa fa-download" title="Download Existing File"></i></a> ';
                       echo $model->pricing_group_file_name;
                    ?>
                  
          <?php  }?>
        </div>
        
    </li>
     <li class="col-sm-3">
        <?php echo CHtml::link("<i class='fa fa-download'></i> Download Format", Yii::app()->createUrl('salespricinggroup/downloadsalespricelist&id='.(int) $model->id),array('class'=>'btn btn-link')); ?>
     </li>
</ul>
      
        </div>
    </div>   
</section>
<div class="modal-footer">
        <a href="index.php"></a>
        
        <button type="button" class="btn btn-danger" id="tax_close" data-dismiss="modal">Close</button>
        <?php
                $url = Yii::app()->createUrl('salespricinggroup/SavePricingGroup');
                echo CHtml::ajaxSubmitButton('Save', $url, array(
                            'dataType' => 'json',
                            'type' => 'post',
                            'success' => 'function(data) {
                                $("#loader").hide();
                                    if(data.status=="success"){  
                                            t8.success("Updated Successfully!");
                                            reloadTable("#tbl_price_group_name");
                                            $("#tax_close").click();
                                          
                                    } else { 
                                        $("#edit_price .tax-save-btn").prop("disabled", false);
                                        $("#edit_price .tax-save-btn").addClass("btn-theme").removeClass("btn_loding"); 
                                        $.each(data, function(key, val) {
                                                $("#edit_price #"+key+"_em_").text(val).show(); 
                                                t8.error(""+val+""); 
                                            }); 
                                    } 
                                    }',
                            'beforeSend' => 'function(){ 
                                var file                = $("#SalesPriceGroupName_pricing_group_file_name").val();
                               
                               if(file==""){
                                    t8.error("Please Upload a csv file"); 
                                    return false;
                                }
                            
                            
                               $("#loader").show();
                               $("#edit_price .tax-save-btn").prop("disabled", true);
                               $("#edit_price .tax-save-btn").addClass("btn_loding").removeClass("btn-theme"); 
                               $(".toast8-error").hide();
                            }'
                                
                    ), array('id' => 'mybtn' . rand(), 'class' => 'tax-save-btn btn btn-theme'));
           
    ?>
    </div>
<?php $this->endWidget(); ?>
<style>
    .alignprice{
        text-align:right;
    }
    </style>