<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'salesreturnconsolidated-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>
<div class="tab-content">
    <ul class="clearfix form-ul material">
        <li class="col-sm-3">
            <?php echo $form->hiddenField($model, 'invoice_id'); ?>
            <?php echo $form->textField($model, 'invoice_no', array('data-label'=>'Invoice Nos. <span style="color:red;">*</span>','readonly'=>true));?>
        </li>
        <li class="col-sm-3">
            <?php echo $form->hiddenField($model, 'id'); ?>
            <?php echo $form->hiddenField($model, 'return_no'); ?>
            <?php echo $form->textField($model, 'customer_name', array('data-label'=>'Customer <span style="color:red;">*</span>','value' =>$model->sr_customer->customer_name,'readonly'=>true));
                echo $form->hiddenField($model, 'customer_id'); 
                echo $form->hiddenField($model, 'currency',array('value'=>1,'data-label' => 'Currency <span style="color:red;">*</span>'));
                echo $form->hiddenField($model, 'exchange_rate',array('value'=>1,'data-label' => 'Exchange_rate <span style="color:red;">*</span>'));
                ?>
                <?php echo CHtml::hiddenField('SalesReturn[salesman_id]',$user_id);?>
        </li>
        <?php
            $return_date=date('d/m/Y');
            if($model->id>0)
            {
                if($model->return_date!='0000-00-00')
                {
                    $return_date=date('d/m/Y',strtotime($model->return_date));    
                }    
            }
        ?>
        <li class="col-sm-3">
            <?php echo $form->textField($model, 'return_date', array('data-label' => 'Return Date <span style="color:red;">*</span>', 'class' => 'datepicker','value'=>$return_date)); ?>
        </li>
        <li class="col-sm-3">
            <?php echo $form->textField($model, 'reference_no', array('data-label' => 'Reference No ')); ?>
        </li>
        <li class="col-sm-6">
            <?php echo $form->textArea($model, 'notes', array('data-label' => 'Notes')); ?>
        </li>
    </ul>

    <div id="div_sales_return_details">
        <div class="table-responsive">
            <table class="table table-hover table-bordered personal-task" id="return_item_table">
                <tr>
                    <th style="width:10%">Product</th>
                    <th style="width:10%">Inv.No</th>
                    <th style="width:10%">Item</th>
                    <th style="width:20%">Description</th>
                    <th style="width:5%">Returnable Qty.</th>
                    <th style="width:5%">Return Qty.</th>
                    <th style="width:5%">Unit</th>
                    <th style="width:10%">Rate</th>
                    <th style="width:10%">Amount</th>
                    <th style="width:5%">Tax(%)</th>
                    <th style="width:10%">Net</th>
                </tr>
                <?php
                $prev_item='';
                foreach ($modelItems as $i => $each){ 
                    if($user_id>0)
                        $sales_man=$user_id;
                    else
                        $sales_man=Yii::app()->user->id;
                    $already_returned_qty = Yii::app()->db->createCommand("select IFNULL(SUM(S.quantity*S.unit_exchange_rate),0) from {{stock_ledger}} S LEFT JOIN {{sales_return_items}} R ON R.id=S.item_id where R.invoice_id='" . $each->invoice_id . "'  AND type='SR' AND S.product_id='" . $each->product_id . "' AND outlet=" . Yii::app()->user->outlet_id)->queryScalar();
                    $qty_returnable =$each->invoiced_qty-$already_returned_qty;
                        
                    if($each->unit>0){
                        $each->unit_exchange=$each->sr_units->unit_exchange_rate;
                        $each->unit_price=$each->rate/$each->sr_units->unit_exchange_rate;
                    }
                ?>
                    <tr>
                        <td>
                            <?php if($prev_item!=$each->product_id){
                                echo $each->sr_product->part_number;
                            }
                            $prev_item=$each->product_id;
                            ?>
                        </td>
                        <td><?php echo $each->sr_invoice->invoice_no;?></td>
                        <td>
                            <?php  echo $form->textField($each, "[" . $i . "]part_no", array('class'=>'tooltipster go','value'=>$each->sr_product->part_number,'readonly'=>true)); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]product_id"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]invoiced_qty"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]invoice_item_id"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]invoice_id"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]unit_price"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]unit_exchange"); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]id"); ?>
                        </td>
                        <td>
                            <?php echo $form->textArea($each, "[" . $i . "]description", array( 'class' => 'tooltipster desc go en-text-area','readonly'=>true));  ?>
                        </td>
                        <td class="text-right"><?php echo $qty_returnable;?></td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]returned_quantity", array('class' => 'qty go cell-center text-right','onkeypress' => 'return isNumberKey(event)','onkeyup' =>'calculateReturnValue($("#return_item_table"))')); ?>
                        </td>
                        <td>
                        <div id=<?php echo "unitdiv_".$i;?>><?php 
                        if($each->unit>0)
                        {
                        $units=MasUnit::getSimilarUnits($each->unit);
                        }
                        else {
                        $units=array();
                        }
                        echo $form->dropdownList($each, "[" . $i . "]unit",$units, array('class' => 'qty go cell-center text-center','onchange'=>'getPriceOnUnitChange(this.id)'));  ?></div>
                        </td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]rate", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateReturnValue($("#return_item_table"))','readonly' =>true)); ?>
                        </td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]amount", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event);','readonly' =>true)); ?>
                        </td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]tax_percentage", array('class' => 'amout go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateReturnValue($("#return_item_table"))','readonly' =>true)); ?>
                            <?php echo $form->hiddenField($each, "[" . $i . "]tax_amount", array('class' => 'go cell-center text-center')); ?>
                        </td>
                        <td>
                            <?php echo $form->textField($each, "[" . $i . "]net_amount", array('class' => 'rate go text-right','onkeypress' => 'return isNumberKey(event)','readonly' => 'readonly')); ?>
                        </td>
                        </tr>
                        <?php $total += $each->net_amount;  
                        $total_tax += $each->tax_amount; 
                        $total_excise += $each->excise_amount; 
                        $total_tax=$total_tax+$total_excise;
                } ?>
            </table>
            <table class="table table-hover table-bordered table-nexted order_grand_total">
                <tr  class="summary_tr bg-total"> 
                    <td width="70%" class="text-right table_total_title">
                    <h3>VAT</h3></td>
                    <td width="30%" class="text-right table_total">
                        <h3 class="vat" class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($total_tax, " "); ?>
                        </h3>
                    </td>
                </tr>
                <tr class="summary_tr bg-total">
                    <td width="70%" class="text-right table_total_title">
                            <h1>Grand Total</h1></td>
                    <td width="30%" class="text-right table_total">
                        <h1 class="grandtotal" class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(($total), " "); ?></h1>
                    </td>
                </tr>
                </table>
        </div>
    </div>
</div>
<?php if($model->id>0)
{
echo $form->hiddenField($model, 'paid', array('data-label' => 'Received','value'=>0));   
echo $form->hiddenField($model, 'discount', array('data-label' => 'Discount','value'=>0));
if($model->discount>0)
{
echo $form->hiddenField($model, 'old_discount', array('data-label' => 'Discount','value'=>$model->discount));
}
}
else {
?>
<ul class="clearfix form-ul material">
<li class="col-sm-3">
<?php echo $form->textField($model, 'paid', array('data-label' => 'Paid')); ?>
</li>
<li class="col-sm-3">
<?php echo $form->textField($model, 'discount', array('data-label' => 'Discount')); ?>
</li>
</ul>
<?php } ?>
<div class="modal-footer">
    <button type="button" class="btn btn-default" id="sr_close" data-dismiss="modal">Close</button>
    <?php 
                $url = Yii::app()->createUrl('salesreturn/SaveConsolidated');
                echo CHtml::ajaxSubmitButton('Save', $url, array(
                            'dataType' => 'json',
                            'type' => 'post',
                            'success' => 'function(data) {
                                if(data.status=="success"){  
                                    $("#sr_close").click();                                        
                                    t8.success("Sales return Details Saved Successfully!");
                                    reloadTable("#tbl_sales_return");reloadTable("#tbl_sales_invoice");
                                } else { 
                                    $("#salesreturnconsolidated-form .salesreturn-save-btn").prop("disabled", false);
                                    $("#salesreturnconsolidated-form .salesreturn-save-btn").addClass("btn-theme").removeClass("btn_loading");
                                    $.each(data, function(key, val) {
                                        $("#salesreturnconsolidated-form #"+key+"_em_").text(val).show(); 
                                        t8.error(""+val+""); 
                                    }); 
                                } 
                            }',
                            'beforeSend' => 'function(){
                                $(".toast8-error").hide(); 
                                $("#loader").show();
                                $("#salesreturnconsolidated-form .salesreturn-save-btn").prop("disabled", true);                                
                                $("#salesreturnconsolidated-form .salesreturn-save-btn").addClass("btn_loading").removeClass("btn-theme");
                                
                            }',
                            'complete' => 'function(){
                                $("#loader").hide();
                                $("#salesreturnconsolidated-form .salesreturn-save-btn").prop("disabled", false);                                
                                $("#salesreturnconsolidated-form .salesreturn-save-btn").addClass("btn-theme").removeClass("btn_loading");
                            }'
                                
                    ), array('id' => 'mybtn' . rand(), 'class' => 'salesreturn-save-btn btn btn-theme'));
           
    ?>
</div>
<?php $this->endWidget(); ?>
<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;
$cs->registerScript("calculateReturnValue", " 
    function getPriceOnUnitChange(id){
        var unit_id =$('#'+id).val();
        jQuery.ajax({
                'data' :{'unit':unit_id},
                'dataType' : 'json',
                'type':'post',
                'url': '" . Yii::app()->createUrl('Masunit/getUnitExchangeRate') . "',
                'success': function(data) {
                    var arr_fields= id.split('_');
                    var row_field  = arr_fields[1];
                    var exchang=Number(data.unit_exchange).toFixed(2);
                    $('#SalesReturnItems_'+row_field+'_unit_exchange').val(exchang);
                    var unitprice = $('#SalesReturnItems_'+row_field+'_unit_price').val();
                    var rate = Number(exchang*unitprice).toFixed(2);
                    $('#SalesReturnItems_'+row_field+'_rate').val(rate);
                    calculateReturnValue($('#return_item_table'));
                }
            });
    }
    function calculateReturnValue(jQtable) {
            formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
            var count,qty,rate,amount,net_amount,discount,costrate;
            var total   =   0;
            var grand_total =   0;
            var vat_total = 0;
            var net_amount = 0;
            jQtable.find('tr:gt(0)').each(function() {
                net_amount = 0;  discount = 0;
                rate = $(this).find('[id $=_rate]').val();
                qty =   $(this).find('[id $=_quantity]').val();
                amount =   (Number(rate)*Number(qty)).toFixed(2);
                total   =   Number(total)+Number(amount);
                if(amount > 0){
                    var tax_per =  $(this).find('[id $=_tax_percentage]').val();
                    var tax_amount  = 0;
                    if(tax_per > 0){
                        tax_amount = (amount*tax_per)/100;
                    }else{
                        tax_amount = 0;
                    }
                    tax_amount = Number(tax_amount).toFixed(2);
                    $(this).find('[id $=_amount]').val(Number(amount).toFixed(2));
                    $(this).find('[id $=_tax_amount]').val(tax_amount);
                    /*var excise_per =  $(this).find('[id $=_excise_percentage]').val();
                    var excise_amount  = 0;
                    if(excise_per > 0){
                        excise_amount = (amount*excise_per)/100;
                    }else{
                        excise_amount = 0;
                    }
                    excise_amount = Number(excise_amount).toFixed(2);
                    $(this).find('[id $=_excise_amount]').val(excise_amount);*/
                    net_amount=Number(Number(amount)+Number(tax_amount)).toFixed(2);//+Number(excise_amount)
                    $(this).find('[id $=_net_amount]').val(net_amount);
                    grand_total += Number(net_amount);
                    vat_total += Number(tax_amount);
                } 
                else {
                    $(this).find('[id $=_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_tax_amount]').val(Number(0).toFixed(2));
                    //$(this).find('[id $=_excise_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_net_amount]').val(Number(0).toFixed(2));  
                    }
            });
            $('.total').html(Number(total).toFixed(2));
            $('.grandtotal').html(Number(grand_total).toFixed(2));
            $('.vat').html(Number(vat_total).toFixed(2));
        }", CClientScript::POS_HEAD);
