<div class="tab-content">
    <form>
        <ul class="clearfix form-ul material">
            <li class="col-sm-3">
                <?php echo CHtml::textField('SalesReturn_from_date',date('d/m/Y', strtotime('-1 month')),array('data-label' => 'From Date <span style="color:red;">*</span>','class' => 'datepicker'));?>
            </li>
            <li class="col-sm-3">
                <?php echo CHtml::textField('SalesReturn_to_date',date('d/m/Y'),array('data-label' => 'To Date <span style="color:red;">*</span>','class' => 'datepicker'));?>
            </li>
            <li class="col-sm-4">
                <?php echo CHtml::textField('SalesReturn_customer_name','',array('data-label' => 'Customer <span style="color:red;">*</span>', 'onKeyup' => 'js:autoCompleteSalesReturnInvoiceCustomer(this.id);'));?>
                <?php echo CHtml::hiddenField('SalesReturn_customer_id');?>
            </li>
            <li class="col-sm-2">
            <?php 
                if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU'|| Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM')
                {
                    $uarray=array('data-label'=>'Sales Man','prompt' => 'All Users');
                }
                else if( Yii::app()->user->user_access_type == 'SL')
                {
                    $uarray=array('data-label'=>'Sales Man');
                }
                $outlet=(int) Yii::app()->user->outlet_id;
                echo CHtml::dropdownlist('SalesReturn_created_user','',MasUsers::get_outlet_salesandadmin($outlet), $uarray); ?>
            </li>
            <button type="button" class="btn btn-primary pull-right" onclick="loadInvoiceDetails()">Load</button>
        </ul>
        <div id="div_customer_sales_invoices"></div>
    </form>    
</div>

<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;
$cs->registerScript("consolidatedDetails", " 
    function autoCompleteSalesReturnInvoiceCustomer(field_id){
        $('#SalesReturn_customer_id').val('');
        var url = '" . Yii::app()->createUrl('Customer/GetCustomerDetails') . "'+'&frm=SI';
        $('#'+field_id).autocomplete({
            minLength : 1,
            source : function (request, response) {
                autoCompleteSource(request, response,url)
            },
            focus : function( event, ui ) {
                $(this).val((ui.item.label)); return false;
            },
            select : function( event, ui ) {
                event.preventDefault();
                trigger_target_id = $(event.target).attr('id');
                var customer_id=ui.item.value;
                $('#SalesReturn_customer_id').val(customer_id);
            } 
        }) 
    }
    function loadInvoiceDetails(){
        var from_date   = $('#SalesReturn_from_date').val();
        var to_date     = $('#SalesReturn_to_date').val();
        var customer_id = $('#SalesReturn_customer_id').val();
        var created_user= $('#SalesReturn_created_user').val();
        $('#div_customer_sales_invoices').html('');
        if(from_date==''||to_date==''||customer_id==''){
            t8.error('Please Select Customer,From Date and To Date');
            return false;
        }else{
            $('#loader').show();
            jQuery.ajax({
                'data' :{
                'from_date':from_date,
                'to_date':to_date,
                'customer_id':customer_id,
                'created_user':created_user
                },
                'type':'post',
                'url': '" . Yii::app()->createUrl('salesreturn/getInvoices') . "',
                'success': function(data) {
                    $('#loader').hide();                    
                    $('#div_customer_sales_invoices').html(data);
                }
            });
        }
    }
    function loadSalesReturn(){
        var value='';
        var cust_id=$('#SalesReturnInvoice_customer_id').val();
        var user_id=$('#SalesReturnInvoice_sales_man_id').val();
        $('.check_invoice_ids').each(function(){
            var each_id =$(this).attr('id');
            var checked = document.getElementById(''+each_id+'').checked;
            if(checked==true){
                if(value!=''){
                    value +=' , ';
                }
                value +=document.getElementById(''+each_id+'').value;
            }
        });
        if(value==''){
            t8.error('Please select Invoices to continue');
        }else{
            loadPopupModal('salesreturn/consolidated_form&customer_id='+cust_id+'&user_id='+user_id+'&invoice_ids='+value,'Consolidated Sales Return', 'xl');
        }
    }
    ", CClientScript::POS_HEAD);
