<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>
<?php    
            $totalCash = 0;
            $totalBank = 0;
            $totalReceivable = 0;
            $totalPayable = 0;
            $sales_invoices = 0;
            $date=date('Y-m-d');
            $outlet_id=Yii::app()->user->outlet_id;
            $bank=FinanceSystemAccountsMapping::getSystemdefault('bank');
            $totalBank=Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.voucher_date<='".$date."' AND H.is_posted='Y' AND I.ledger_id=".$bank." AND H.outlet=".$outlet_id)->queryScalar();
            $debtors=FinanceSystemAccountsMapping::getSystemdefault('debtors');
            $totalReceivable=Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.voucher_date<='".$date."' AND H.is_posted='Y' AND I.ledger_id=".$debtors." AND H.outlet=".$outlet_id)->queryScalar();
            $creditors=FinanceSystemAccountsMapping::getSystemdefault('creditors');
            $totalPayable=Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.voucher_date<='".$date."' AND H.is_posted='Y' AND I.ledger_id=".$creditors." AND H.outlet=".$outlet_id)->queryScalar();
            $cash=FinanceSystemAccountsMapping::getSystemdefault('cash_account');
            $totalCash=Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.is_posted='Y' AND I.ledger_id=".$cash." AND H.outlet=".$outlet_id." AND H.created_by=".Yii::app()->user->id)->queryScalar();
    
?>
<?php 
      $arr_of_dates = array();
      $year=2020;
      for( $i =1; $i <=12; $i++ ){
      $arr_of_dates[] = array( 'from' => date('Y-'.$i.'-01'), 'to' => date('Y-'.$i.'-t') );
      }
      $condition = 'H.is_posted="Y" AND H.voucher_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';
      if ($outlet > 0) {
      $condition .= ' AND I.outlet=' . $outlet;
      $conditions .= ' AND outlet=' . $outlet;
      }
Yii::app()->db->createCommand('TRUNCATE TABLE trail_balance_tbl')->execute();                    
Yii::app()->db->createCommand('INSERT INTO  trail_balance_tbl (SELECT A.id,A.account_order,0 AS account_open_amount,A.account_no,A.description,A.level,A.main_account_type,A.isParent,sum(I.amount) AS amount FROM {{finance_voucher_items}} as I left join {{finance_legder}} as A on I.ledger_id=A.id left join {{finance_voucher_head}} as H on H.id=I.header_id WHERE  '.$condition.'   AND ( A.main_account_type="I") group by A.id order by A.account_no)')->execute();
Yii::app()->db->createCommand("INSERT INTO  trail_balance_tbl (SELECT id,account_order,0 AS account_open_amount,account_no,description,level,main_account_type,isParent,0 AS amount FROM {{finance_legder}}  where main_account_type='I')")->execute();
Yii::app()->db->createCommand('INSERT INTO  trail_balance_tbl (SELECT A.id,A.account_order,0 AS account_open_amount,A.account_no,A.description,A.level,A.main_account_type,A.isParent,sum(I.amount) AS amount FROM {{finance_voucher_items}} as I left join {{finance_legder}} as A on I.ledger_id=A.id left join {{finance_voucher_head}} as H on H.id=I.header_id WHERE  '.$condition.'   AND ( A.main_account_type="E") group by A.id order by A.account_no)')->execute();
Yii::app()->db->createCommand("INSERT INTO  trail_balance_tbl (SELECT id,account_order,0 AS account_open_amount,account_no,description,level,main_account_type,isParent,0 AS amount FROM {{finance_legder}}  where main_account_type='E')")->execute();
$SQL="select sum(amount) AS amount from trail_balance_tbl";
$income=Yii::app()->db->createCommand($SQL)->queryAll();
      $margin = $income = array();
//      $netSaleModel = MasLedgers::model()->findBypk( MasLedgers::model()->get_parent_id(MasLedgers::NET_SALES) );

      foreach( $arr_of_dates as $each ){
          $query = 'SELECT
                      ROUND(SUM(T.amount*T.exchange_rate), 2) AS net_profit
                    FROM {{transactions}} T
                    LEFT JOIN {{vouchers}} V ON V.id = T.voucher_id
                    LEFT JOIN {{ledgers}} L ON T.ledger_id = L.id
                    WHERE V.is_posted="Y" AND V.outlet_id='.Yii::app()->user->outlet_id.' AND L.type IN ("I", "E") AND V.date BETWEEN "' . $each['from'] . '" AND "' . $each['to'] . '" ';
//          $netProfit = -1 * (float) Yii::app()->db->createCommand($query)->queryScalar();
          $income[] = $netProfit;
          
//          $netSaleModel->filter_for_pl = true;
//          $netSaleModel->filter_from = $each['from'];
//          $netSaleModel->filter_to = $each['to'];
//          $netSales = $netSaleModel->total_debit - $netSaleModel->total_credit;
        
          $net_profit_margin = $netSales != 0 ? $netProfit / $netSales : 0;

          $margin[] = round( $net_profit_margin, 2) * 100;
      }
      

?>
<script>

Highcharts.chart('container', {
  chart: {
    zoomType: 'xy'
  },
  title: {
    text: 'Net Profit'
  },
  subtitle: {
    text: '<?php //echo Yii::app()->user->outlet_name != '' ? trim(Yii::app()->user->outlet_name) : trim(Yii::app()->user->company_name); ?>'
  },
  xAxis: [{
    categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun',
      'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
    crosshair: true
  }],
  yAxis: [{ // Primary yAxis
    labels: {
      format: '{value}%',
      style: {
        color: Highcharts.getOptions().colors[1]
      }
    },
    title: {
      text: 'Net Profit Margin',
      style: {
        color: Highcharts.getOptions().colors[1]
      }
    }
  }, { // Secondary yAxis
    title: {
      text: 'Net Profit',
      style: {
        color: Highcharts.getOptions().colors[0]
      }
    },
    labels: {
      format: '{value}',
      style: {
        color: Highcharts.getOptions().colors[0]
      }
    },
    opposite: true
  }],
  tooltip: {
    shared: true
  },
  legend: {
    layout: 'vertical',
    align: 'left',
    x: 120,
    verticalAlign: 'top',
    y: 100,
    floating: true,
    backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || 'rgba(255,255,255,0.25)'
  },
  series: [{
    name: 'Net Profit',
    type: 'column',
    yAxis: 1,
    data: [<?php //echo implode(',', $income); ?>],
    tooltip: {
      valueSuffix: ' '
    }

  }, {
    name: 'Net Profit Margin',
    type: 'spline',
    data: [<?php //echo implode(',', $margin); ?>],
    tooltip: {
      valueSuffix: '%'
    }
  }]
});
</script>
