<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'user-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>
<div class="tab-pane active">
    <ul class="clearfix form-ul material">
        <li class="col-sm-4">
            <?php echo $form->textField($model, 'username', array('data-label' => 'User Name <span style="color:red;">*</span>','readonly'=>true)); ?>
            <?php echo $form->hiddenField($model, 'id'); ?>
        </li>
        <li class="col-sm-4">
            <?php echo $form->textField($model, 'full_name', array('data-label' => 'Name <span style="color:red;">*</span>')); ?>
        </li>
        <li class="col-sm-4">
            <?php echo $form->textField($model, 'phone_no', array('data-label' => 'Phone No <span style="color:red;">*</span>')); ?>
        </li>
        <li class="col-sm-4">
            <?php echo $form->passwordField($model, 'password', array('data-label' => 'Password <span style="color:red;">*</span>')); ?>
        </li>
        <li class="col-sm-4">
            <?php echo $form->dropdownList($model, 'is_active', array('Y'=>'Yes','N'=>'No'),array('data-label' => 'Active <span style="color:red;">*</span>')); ?>
        </li>
    </ul>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" id="user_close" data-dismiss="modal">Close</button>
    <?php 
    $url = Yii::app()->createUrl('user/Save');
    echo CHtml::ajaxSubmitButton('Save', $url, array(
                'dataType' => 'json',
                'type' => 'post',
                'success' => 'function(data) {
                    $("#loader").hide();
                    if(data.status=="success"){  
                        $("#user_close").click();                                        
                        t8.success("User Details Saved Successfully!");
                        reloadTable("#tbl_user");
                    } else { 
                        $("#user-form .user-save-btn").prop("disabled", false);
                        $("#user-form .user-save-btn").addClass("btn-theme").removeClass("btn_loading");
                        $.each(data, function(key, val) {
                            $("#user-form #"+key+"_em_").text(val).show(); 
                            t8.error(""+val+""); 
                        }); 
                    } 
                }',
                'beforeSend' => 'function(){
                    $(".toast8-error").hide(); 
                    $("#loader").show();
                    $("#user-form .user-save-btn").prop("disabled", true);                                
                    $("#user-form .user-save-btn").addClass("btn_loading").removeClass("btn-theme");
                    
                }',
                'complete' => 'function(){
                    $("#loader").hide();
                    $("#user-form .user-save-btn").prop("disabled", false);                                
                    $("#user-form .user-save-btn").addClass("btn-theme").removeClass("btn_loading");
                }'
                    
        ), array('id' => 'mybtn' . rand(), 'class' => 'user-save-btn btn btn-theme'));
           
    ?>
</div>
<?php $this->endWidget(); ?>
