<div class="tab-content">
    <div class="tab-pane active" id="user_sec">
        <section class="panel">
        <header class="panel-heading clearfix panel-theame">
                <i class="fa fa-users"></i> Users
                <div class="pull-right" style="display:inline-flex">
                <?php 
                if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU')
                {
                $array=array('class'=>'form-control','data-label'=>'Outlet','prompt' => 'All Outlets','style'=>'max-width: 130px;');
                }
                else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM')
                {
                $array=array('class'=>'form-control','data-label'=>'Outlet','style'=>'max-width: 130px;');
                }
                echo CHtml::dropdownlist('outlet','', MasOutlets::getAllOutlets(),$array); 
                ?>
                <button class="btn btn-theme btn-md" onclick="reloadTable('#tbl_user');"><i class="fa fa-retweet"></i></button>
                </div>
            </header>  
            <div class="panel-body">
                <div class="custom-data-table">
                    <table class="table table-hover table-bordered personal-task" id="tbl_user">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Username</th>
                                <th>Name</th>
                                <th>Phone No</th>
                                <th>Outlet</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </section>
    </div>
</div>
<script>
    $(document).ready(function () {
        var table_details_id = "#tbl_user";
        table_details = $(table_details_id).on("preXhr.dt", function (e, settings, data) {
        data.outlet = $("#outlet").val();
        return data;
    }).DataTable({
            scrollY: "550px",
            "bAutoWidth": true,
            pageLength: 50,
            ajax: {
                url: "index.php?r=user/getlist",
                type: "POST",
                cache: false,
            },
            serverSide: true,
            fixedColumns: true,
            processing: true,
            // order: [[1, "desc"]],
            aaSorting : [ [4,'asc'], [1,'asc'] ],
            aoColumnDefs: [
              { "bSortable": false, "aTargets": [5] },
               {
                  "targets": [6],
                  "visible": false,
               },
            ],
            "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {

                 if (aData[6] == "N") {
                     $("td", nRow).addClass("bg-danger");
                 }
            }
        });
        $(".dataTables_scrollFoot").hide();

    });
</script>