<?php

class InventoryreportController extends Controller {
    public function accessRules() {
        return array(
            array(
                'allow', // allow all users to perform 'index' and 'view' actions
                'actions' => array('login', 'error', 'logout'),
                'users' => array('*'),
            ),
            array(
                'allow', // allow authenticated user to perform 'create' and 'update' actions
                'actions' => array('index', 'report'),
                'expression' => '$user->isMember()',
            ),
            array(
                'deny', // deny all users
                'users' => array('*'),
            ),
        );
    }

    public function actionIndex() {
        $this->render('index');
    }
    public function actionReport(){
       echo  '{"data":[[1,"A1001","A1001 Item","Inventory","JBL1","0.000000","kg"," 10.00"," 12.00"," 0.00%",""],[2,"A1002","A1002 Item","Inventory",null,"10.000000","ea"," 0.00"," 500.00"," 0.00%",""],[3,"S1001","Packing","Service",null,"30.000000","ea"," 0.00"," 0.00"," 5.00%",""]]}';
    }
}
