<?php

class MigrationController extends Controller {

    public function accessRules() {
        return array(
            array(
                'allow', // allow all users to perform 'index' and 'view' actions
                'actions' => array('login', 'error', 'logout'),
                'users' => array('*'),
            ),
            array(
                'allow', // allow authenticated user to perform 'create' and 'update' actions
                'actions' => array('MaterialConversion'),
                'expression' => '$user->isMember()',
            ),
            array(
                'deny', // deny all users
                'users' => array('*'),
            ),
        );
    }

    public function actionIndex() {
        $this->render('index');
    }
    /*
     * ajax function to list all vendors datatable
     * modified by jisha on 17-6-20. 
     */

      public function actionMaterialConversion() {
     $SQL="SELECT R.id,R.receipt_date,I.id AS item_id,I.product_id,R.outlet FROM `erp_goods_receipt_new` R INNER JOIN erp_goods_receipt_items_new I ON I.receipt_id=R.id where R.receipt_date<'2020-11-01' ORDER BY R.id";
     $All=Yii::app()->db->createCommand($SQL)->queryAll();
     foreach ($All as $Each)
     {
     $avg_purchase_rate = StockLedger::getAvgPurchaseRate($Each['product_id'],$Each['receipt_date'],$Each['outlet']); 
     Yii::app()->db->createCommand('Update erp_goods_receipt_items_new SET rate='.$avg_purchase_rate.' where id='.$Each['item_id'])->execute();
     }
     echo "Test";
//     $SQL='SELECT product_id,CASE
//                 WHEN SUM(quantity*unit_exchange_rate) > 0 THEN SUM(quantity*rate)/SUM(quantity*unit_exchange_rate) ELSE 0 END AS avg_purchase_rate 
//                 FROM erp_stock_ledger  WHERE transaction_type = "IN" AND type!= "GT" AND transaction_date <= "2019-11-16"  AND outlet=7 AND product_id=1345 group by product_id';
    }
}
