<!DOCTYPE html>
<html>
<head>
    <title><?php echo date('dmYhis'); ?></title>
	<style>
	.table tbody tr:nth-child(even){
	background: #fff;
}
	</style>
</head>
<body>

<?php $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);   ?>
<div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <small><?php echo nl2br($model->voucher_outlet->address); ?></small><br>
                    <small><?php echo $model->voucher_outlet->phone_no; ?></small>
                </div>
            </div>
       
<div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;"> 
    <!--add New Template-->
    <div class="">
    <div class="col-6">
                <div class="h3" style="margin-top: 0;margin-bottom: 0;">
                    <?php echo ucfirst($model->vtype->description); ?>
                </div>
                <div class="input-block">
                    <b><?php echo $model->vtype->code.'/'.$model->voucher_no;?></b>
                </div>
                <br>
                <?php if( $model->count_system_generated_subledger() == 1 ) : ?>
                    <small>Paid to :</small><br>
                    <?php  $subledgerModel = $model->generateSubledger_model(); ?>
                    <b><?php echo strtoupper($subledgerModel->description); ?></b><br>
                    <small><?php echo strtoupper(nl2br($subledgerModel->address)); ?></small><br>
                    <small>Phone : <?php echo ($subledgerModel->phone != '' ) ? strtoupper($subledgerModel->phone) : 'N/A'; ?></small><br>
                    <br>
                <?php endif; ?>
        </div>
        <div class="col-5 offset-1" style="color:#101010;">
       
            <br>
            <table class="table" style="width:100%;">
                <tr>
                    <td class="" style="width:52%;">Reference</td>
                    <td>
                        <?php echo $model->reference_no;?>
                    </td>
                </tr>
                <tr>
                    <td>Voucher Date</td>
                    <td>
                        <?php echo date('d/m/Y',STRTOTIME($model->voucher_date));?>
                    </td>
                </tr>
                 <!--code added by binzy 21-7-22  start-->
                <tr>

                    <td>Created By</td>

                    <td>

                        <?php echo $model->created->full_name;?>

                    </td>

                </tr>
                <!--code added by binzy 21-7-22  start-->
                <!-- <tr>
                    <td>Mode of Payment</td>
                    <td>
                        <?php //echo $model->mode_of_payment();?>
                    </td>
                </tr> -->
                <!-- <tr>
                    <td>Paid Amount</td>
                    <td class="text-right" >
                        <?php // echo $model->debit_total.' '.$model->currency.'/'.round($model->exchange_rate,8); ?>
                    </td>
                </tr> -->
            </table>
        </div>
    </div>
    <br>
    <div class="col-md-12">
        <table class="table">
            <thead>
                <tr>
                    <th class="text-center" style="width:80%">Details</th>
                    <th class="text-center" style="width:20%">Amount</th>
                </tr>
            </thead>
            <tbody>
                <!--<tr>
                    <td style="background-color:white; border:0" height="15"></td>
                </tr>-->
                <tr>
                    <td style="border-bottom:none;"><b>Account :</b></td>
					<td class="text-right" style="border-bottom:none;border-top:none;"><b>&nbsp;</b></td>
                </tr>
                <?php foreach( $model->debitItems as $each ) : ?>
                    <tr>
                        <td style="border-bottom:none;border-top:none;">
                            &nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo $each->ledger->description; ?></b><br>
                            &nbsp;&nbsp;&nbsp;&nbsp;<small><?php echo $each->subledger->description; ?></small>
                            <br>
                        </td>
                        <td class="text-right" style="border-bottom:none;border-top:none;"><b><?php echo Yii::app()->numberFormatter->formatCurrency( ( $each->amount > 0 ) ? $each->amount : 0," "); ?></b> <br>@<small><?php echo $each->currency_code.'/'.$each->exchange_rate ?></small></td>  
                    </tr>
                <?php endforeach;  ?>
                <!--<tr>
                    <td style="background-color:white; border:0" height="25"></td>
                </tr>-->
                <tr>
                    <td style="border-bottom:none;border-top:none;"><b>Through :</b></td>
					<td class="text-right" style="border-bottom:none;border-top:none;"><b>&nbsp;</b></td>
                </tr>
                <?php foreach( $model->creditItems as $each ) : ?>
                    <tr>
                        <td style="border-bottom:none;border-top:none;">
                            &nbsp;&nbsp;&nbsp;&nbsp;<b><?php echo $each->ledger->description; ?></b><br>
                            &nbsp;&nbsp;&nbsp;&nbsp;<?php if( $each->subledger->description != '' ) : ?><small><?php echo $each->subledger->description; ?></small><?php endif; ?><br>
                            &nbsp;&nbsp;&nbsp;&nbsp;<small><b>Amount : </b><?php echo Yii::app()->numberFormatter->formatCurrency( abs($each->amount)," "); ?> @<small><?php echo $each->currency_code.'/'.$each->exchange_rate ?></small></small>
                        </td>
						<td class="text-right" style="border-bottom:none;border-top:none;"><b>&nbsp;</b></td>
                    </tr>
                <?php endforeach;  ?>
                 
                <tr>
                        <td style="border-bottom:none;border-right:none;">
                            &nbsp;&nbsp;&nbsp;&nbsp;Payment Method : <b><?php echo $model->mode_of_payment(); ?></b><br>
                            <?php echo $model->payment_method_details(); ?><br>
                            &nbsp;&nbsp;&nbsp;&nbsp;<small><b>Amount (in words) : </b><?php echo ucfirst($this->widget('ext.NumtoWord.NumtoWord', array('num' => $model->debit_total ))->result) . ' only';  ?></small>
                        </td>
						<td class="text-right" style="border-bottom:none;border-left:none;"><b>&nbsp;</b></td>
                </tr>
                <?php if( $model->general_narration != '' ) : 
                ?>
                        <tr>
                            <td style="border-bottom:none;border-right:none;">
                                <b>Narration :</b> <br><small><?php echo nl2br($model->general_narration); ?></small>
                            </td>
                            <td class="text-right" style="border-bottom:none;border-left:none;"><b>&nbsp;</b></td>
                        </tr>
                    <?php endif; ?>
                <tr>
                    <td class="text-right"><b>Total (<?php echo FinanceLegder::baseCurrency(); ?>)</b></td>
                    <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($model->debit_total_base," ");?></b></td>
                </tr>
            </tbody>
        </table>
    </div>
    <br><br> <br><br>
    <div style="position:relative">
        <div style="float:left; width: 40%;text-align: center;"> 
                ___________________________________________  <br>
                <span style="text-align: center;"><small>Prepared  By / Signature</small></span>
        </div>
        <div style="width: 20%;"></div>
        <div style="width: 40%;float: right;text-align: center;"> 
                ___________________________________________ <br>
                <span style="text-align: center;"><small>Received By / Signature</small></span>
        </div>
    </div>
    
    <htmlpagefooter name="myfooter">
    
        <?php
                  date_default_timezone_set("Asia/Dubai");
                 echo date('d/m/Y')." ".date("h:i:sa"); ?>
    </div>

    
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
             <div style="text-align:center;width:100%">
             <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>
