<!DOCTYPE html>
<html>

<head>
    <title>Balance Sheet</title>
</head>

<body>
    <?php 
    if ((int)$user_id > 0) {
        $userModel = MasUsers::model()->findByPk((int) $user_id);
    } else {
        $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
    }
    ?>
    <div class="">
        <div class="col-12">
            <div class="text-center">
                <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
            </div>

        </div>
        <div class="col-12">
            <br>
            <div class="text-center">
                <!--<div class="h3" style="margin-top: 0;margin-bottom: 0;">Trial Balance</div>-->
            </div>
        </div>
        <div class="col-6">
            <br>
            <div class="input-block">
                <b>Balance Sheet</b>
            </div>
            <br> <br>
            <table class="table" style="width:100%">

            
                <tr>
                    <td><b>As on date</b></td>
                    <td><?php echo date('d/m/Y', STRTOTIME($to_date)); ?></td>
                </tr>

            </table>
        </div>
    </div>
    <br>
    <?php

    $condition = 'H.is_posted="Y" AND H.voucher_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';

    if ($outlet > 0) {
        $condition .= ' AND I.outlet=' . $outlet;
        $conditions .= ' AND outlet=' . $outlet;
        $purchase_conditions .= ' AND I.outlet=' . $outlet;
    }

    $time = strtotime($end_date);
    $year = date("Y", $time);
    Yii::app()->db->createCommand('TRUNCATE TABLE trail_balance_tbl')->execute();
    Yii::app()->db->createCommand('INSERT INTO  trail_balance_tbl (SELECT A.id,A.account_order,0 AS account_open_amount,A.account_no,A.description,A.level,A.main_account_type,A.isParent,sum(I.amount) AS amount FROM {{finance_voucher_items}} as I left join {{finance_legder}} as A on I.ledger_id=A.id left join {{finance_voucher_head}} as H on H.id=I.header_id WHERE  ' . $condition . '   AND ( A.main_account_type="A") group by A.id order by A.account_no)')->execute();
    Yii::app()->db->createCommand("INSERT INTO  trail_balance_tbl (select id,account_order,0 AS account_open_amount,account_no,description,level,main_account_type,isParent,0 AS amount FROM {{finance_legder}}  where main_account_type='A')")->execute();
    $SQL = "select id,account_sorting_number,account_open_amount,accounting_number,title,stage,type_of_account,rollup_account,sum(amount) AS amount from trail_balance_tbl group by id order by account_sorting_number,accounting_number,title";
    $income = Yii::app()->db->createCommand($SQL)->queryAll();
    ?>


    <!-- //We have 5 levels -->
    <table class="table table-hover table-fixed table-bordered">
        <thead>
            <tr>
                <th style="width:50%">Accounts</th>
                <th style="width:25%">Amount</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $totals = array();
            //        $directIncome = FinanceLegder::model()->findAll(array('condition' => 'classification="DIRECT_INCOME"', 'order' => 'id ASC'));
            $totalDirectincome = 0;
            $totalDirectexpense = 0;
            $totalIndirectincome = 0;
            $totalIndirectexpense = 0;
            //level - 2
            $Total_Income = 0;
            foreach ($income as $eachAccount) {
                $balance = 0;
                $accountName = $eachAccount['title'];
                switch ($eachAccount['stage']) {
                    case 1:
                        $space = '&nbsp;&nbsp;&nbsp;';
                        break;
                    case 2:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 3:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 4:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 5:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                }
                if ($eachAccount['rollup_account'] == 'Y') {
            ?>
                    <tr>
                        <td colspan="2"><b><?php echo $space . $accountName; ?></b></td>
                    </tr>
                    <?php
                } else {
                    if ($eachAccount['amount'] != 0) {
                    ?>
                        <tr>
                            <td><?php echo $space . $accountName; ?></td>
                            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency(($eachAccount['amount']), " "); ?></td>
                        </tr>
                    <?php
                    }
                }
                $Total_Income += ($eachAccount['amount']);
                if ($eachAccount['id'] == 10020) {
                    $balance = Yii::app()->db->createCommand('SELECT SUM(cost)-SUM(sales_return) AS stock 
                FROM temp_cost_stock_tbl  WHERE date BETWEEN "' . $from_date . '" AND "' . $to_date . '"  ' . $conditions)->queryScalar();
                    $goods_issue = Yii::app()->db->createCommand('SELECT SUM(goods_issue) AS goods_issue 
                FROM temp_cost_stock_tbl  WHERE date BETWEEN "' . $from_date . '" AND "' . $to_date . '"  ' . $conditions)->queryScalar();
                    $goods_receipt = Yii::app()->db->createCommand('SELECT SUM(goods_receipt) AS goods_receipt 
                FROM temp_cost_stock_tbl  WHERE date BETWEEN "' . $from_date . '" AND "' . $to_date . '"  ' . $conditions)->queryScalar();
                    $Total_Income += - ($balance + $goods_issue);
                    $accountName = 'Current Stock';

                    $purchase = Yii::app()->db->createCommand('SELECT SUM(amount) AS purchase 
                FROM erp_finance_voucher_items AS I INNER JOIN erp_finance_voucher_head AS H ON I.header_id=H.id WHERE ledger_id=10005 AND voucher_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"  ' . $purchase_conditions)->queryScalar();
                    $Total_Income += ($purchase + $goods_receipt);
                    ?>

                    <tr>
                        <td><?php echo $space . $accountName; ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency(($purchase + $goods_receipt - $balance - $goods_issue), " "); ?></td>
                    </tr>

            <?php   }
            } ?>
            <tr>
                <td style="color:#1F67B2;text-align:right !important;"><b>Total Asset </b></td>
                <td style="color:#1F67B2;text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency(abs($Total_Income), " "); ?></b></td>
            </tr>
            <!-- //direct expense -->

            <?php
            Yii::app()->db->createCommand('TRUNCATE TABLE trail_balance_tbl')->execute();
            Yii::app()->db->createCommand('INSERT INTO  trail_balance_tbl (SELECT A.id,A.account_order,0 AS account_open_amount,A.account_no,A.description,A.level,A.main_account_type,A.isParent,sum(I.amount) AS amount FROM {{finance_voucher_items}} as I left join {{finance_legder}} as A on I.ledger_id=A.id left join {{finance_voucher_head}} as H on H.id=I.header_id WHERE ' . $condition . ' AND ( A.main_account_type="L") group by A.id order by A.account_no)')->execute();
            Yii::app()->db->createCommand("INSERT INTO  trail_balance_tbl (select id,account_order,0 AS account_open_amount,account_no,description,level,main_account_type,isParent,0 AS amount FROM {{finance_legder}}  where main_account_type='L')")->execute();
            $SQL1 = "select id,account_sorting_number,account_open_amount,accounting_number,title,stage,type_of_account,rollup_account,sum(amount) AS amount from trail_balance_tbl group by id order by account_sorting_number,accounting_number,title";
            $expenses = Yii::app()->db->createCommand($SQL1)->queryAll();
            $Total_Expense = 0;
            foreach ($expenses as $eachAccount) {
                $balance = 0;
                $accountName = $eachAccount['title'];
                switch ($eachAccount['stage']) {
                    case 1:
                        $space = '&nbsp;&nbsp;&nbsp;';
                        break;
                    case 2:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 3:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 4:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 5:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                }
                if ($eachAccount['rollup_account'] == 'Y') { ?>
                    <tr>
                        <td colspan="2"><b><?php echo $space . $accountName; ?></b></td>
                    </tr>
                    <?php   } else {
                    if ($eachAccount['amount'] != 0) { ?>
                        <tr>
                            <td><?php echo $space . $accountName; ?></td>
                            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency(-1 * ($eachAccount['amount']), " "); ?></td>
                        </tr>
            <?php }
                }
                $Total_Expense += (-1 * $eachAccount['amount']);
            }
            ?>

            <tr>
                <td style="color:#1F67B2;text-align:right !important;"><b>Total Liability </b></td>
                <td style="color:#1F67B2;text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency(abs($Total_Expense), " "); ?></b></td>
            </tr>

            <?php
            $netProfit = $Total_Income - $Total_Expense;
            if ($netProfit > 0) {
            ?>
                <tr>
                    <td style="color:#1F67B2;text-align:right !important;"><b>Profit <?php echo FinanceLegder::baseCurrency(); ?></b></td>
                    <td style="color:#1F67B2;text-align:right !important;"><b><?php echo $symbol . Yii::app()->numberFormatter->formatCurrency(abs($netProfit), " "); ?></b></td>
                </tr>
            <?php  } else { ?>
                tr>
                <td style="color:#1F67B2;text-align:right !important;"><b>Loss <?php echo FinanceLegder::baseCurrency(); ?></b></td>
                <td style="color:#1F67B2;text-align:right !important;"><b><?php echo $symbol . Yii::app()->numberFormatter->formatCurrency(abs($netProfit), " ") ; ?></b></td>
                </tr>
            <?php   } ?>
        </tbody>
    </table>
    <br />



    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px"><?php echo $userModel->companyDetails->pdf_footer; ?>
            <?php
            date_default_timezone_set("Asia/Dubai");
            echo date('d/m/Y') . " " . date("h:i:sa");
            ?>
        </div>


        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
            <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>

</body>

</html>