<!DOCTYPE html>
<html>
<head>
<style>
.table thead {display: table-header-group;}
</style>
    <title><?php echo date('dmYhis'); ?></title>
</head>
<body>
    <?php  $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);?>
<div class="col-5 offset-1" style="color:#101010;">
            <div class="text-right">
                <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
            </div>
</div>
<div  style="width:100%;float: left;margin-top: 10px;font-size:18px;font-family:'Times New Roman', Times, serif;"> 
    <!--add New Template-->
    <div class="">
        <div class="col-6">
                <div class="input-block">
                    <b><?php echo 'DAY BOOK'; ?></b>
                </div>
                <br>
                <table class="table" style="width:100%">
                <tr>
                    <td class="bc-tl">DATE </td>
                    <td>
                        <?php echo $from_date;?>
                    </td>
                </tr>
            </table>
        </div>
       
    </div>
    <br>
    <div class="col-md-12">
       <?php
       
        $ledger_id = (int) $ledger;
        $subledger = (int) $subledger;
        $brand = (int) $_POST['brand'];
        $currency = 1;
        $outlet = (int) $outlet;
        $user = (int) $user;
        $cur=MasCurrency::model()->findByPk($currency);
        $exchange_rate=$cur->exchange_rate;
        $currency_code=$cur->currency_code;
        
        $fromdate = (count(explode('/', $from_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $from_date))) : date('Y-m-d');
        $to_date = (count(explode('/', $from_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $from_date))) : date('Y-m-d');

        $condition = 'parent.is_posted = "Y" AND parent.voucher_date BETWEEN "' . $fromdate . '" AND "' . $to_date . '"';

        if ($ledger_id > 0) {
            $condition .= ' AND t.ledger_id IN(' . $ledger_id . ')';
        }

        if ($subledger > 0) {
            $condition .= ' AND t.subledger_id=' . $subledger;
        }

        if ($brand > 0) {
            $condition .= ' AND t.brand_id=' . $brand;
        }

        if ($outlet > 0) {
            $condition .= ' AND t.outlet=' . $outlet;
        }
        
        if ($user > 0) {
            $condition .= ' AND parent.created_by=' . $user;
        }
        //echo $condition;
        $items = FinanceVoucherItems::model()->with('parent','parent.vtype')->findAll(array('condition' => $condition, 'order' => 'parent.voucher_date DESC,vtype.code ASC,parent.voucher_no ASC'));
        $previousBalance = $openingBalance;
        $closingBalance = $openingBalance;
        $symbol = ($previousBalance > 0) ? 'Dr' : 'Cr';

        $total_debit = 0;
        $total_credit = 0;
       
        $discount_allowed=FinanceSystemAccountsMapping::getSystemdefault('discount_allowed');
               $table = '<br><div class="col-md-12"><table id="tbl_reorder_level_table" class="table table-fixed table-bordered table-primary dataTable" style="font-size:18px;">
                  <thead>
                      <tr>
                        <th style="width:7%" >Salesman</th>
                        <th style="width:7%" >Date</th>
                         <th style="width:5%" >Type</th>
                        <th style="width:5%" >VO #</th>
                        <th style="width:10%" >Ledger</th>
                        <th style="width:20%" >Subledger</th>
                        <th style="width:10%" >PT</th>
                        <th style="width:20%" >Ref</th>
                        <th style="width:40%">Narration</th>
                        <th style="width:12%;text-align:right !important;" class="text-right">Value</th>
                      </tr>
                  </thead>
                  <tbody>';
        $parent = 1;
        $sales_total=0;
        $purchase_total=0;
        $creditnote_total=0;
        $debitnote_total=0;
        $receipt_total=0;
        $payment_total=0;
        $journal_total=0;
        $discount_total=0;
        $receipt_discount_total=0;
        foreach ($items as $each) {

            $debit = ($each->amount > 0) ? round(($each->amount * $each->exchange_rate), 4) : '';
            $credit = ($each->amount < 0) ? round(abs($each->amount * $each->exchange_rate), 4) : '';
            
            $debit= ($currency==$each->currency_id) ? $debit/$each->exchange_rate : $debit/$exchange_rate;
            $credit= ($currency==$each->currency_id) ? $credit/$each->exchange_rate : $credit/$exchange_rate;

            $running = $debit - $credit + $previousBalance;
            $previousBalance = $running;
            $symbol = ($running > 0) ? 'Dr' : 'Cr';
            $closingBalance += ($debit - $credit);

            $total_debit += $debit;
            $total_credit += $credit;

            $subledgerName = ($each->subledger_id > 0) ? $each->subledger->description : '';
            $vouchreformat =  $each->parent->fullvoucher;
            if($each->parent->vtype->code=="SI" && $debit>0)
            {
            if($each->parent->header_table_id>0)   
            {
            $SalesInvoice=SalesInvoice::model()->findByPk($each->parent->header_table_id);
            switch($SalesInvoice->payment_term)
            {
            case 1:
            $payTerms='Cash';
            break;
            case 2:
            $payTerms='Credit';
            if($SalesInvoice->customer->credit_days>0)
            {
            $payTerms.= ' - '.$SalesInvoice->customer->credit_days.' Days ';    
            }
            break;
            case 3:
            $payTerms='Credit 60 PDC';
            break;
            case 4:
            $payTerms='Credit 90 PDC';
            break;
            case 5:
            $payTerms='Credit 30 PDC';
            break;
            case 6:
            $payTerms='Credit 15 PDC';
            break;
            }
            }
            $table .= ' <tr>
                          <td>' . $each->parent->created->full_name . '</td>
                          <td>' . date("d/m/Y", strtotime($each->parent->voucher_date)) . '</td>
                          <td> SALES </td>
                          <td>' . $vouchreformat . '</td>
                          <td>' . $each->ledger->description . '</td>
                          <td>' . $subledgerName . '</td>
                          <td>' . $payTerms . '</td>
                          <td>' . $each->parent->reference_no . '</td>
                          <td><small>' . $each->narration . '</small></td>
                          <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($debit, " ") . '</td>
                      </tr>';
            $sales_total+=$debit;
            }
            else if($each->parent->vtype->code=="PI" && $credit>0)
            {
            if($each->parent->header_table_id>0)   
            {
            $PurchaseInvoice=PurchaseInvoice::model()->findByPk($each->parent->header_table_id);
            switch($PurchaseInvoice->payment_term)
            {
            case 1:
            $payTerms='Cash';
            break;
            case 2:
            $payTerms='Credit';
            break;
            case 3:
            $payTerms='Credit 60 PDC';
            break;
            case 4:
            $payTerms='Credit 90 PDC';
            break;
            case 5:
            $payTerms='Credit 30 PDC';
            break;
            case 6:
            $payTerms='Credit 15 PDC';
            break;
            }
            }
            $table .= ' <tr>
                          <td>' . $each->parent->created->full_name . '</td>
                          <td>' . date("d/m/Y", strtotime($each->parent->voucher_date)) . '</td>
                          <td> PURCHASE </td>
                          <td>' . $vouchreformat . '</td>
                          <td>' . $each->ledger->description . '</td>
                          <td>' . $subledgerName . '</td>
                          <td>' . $payTerms . '</td>
                          <td>' . $each->parent->reference_no . '</td>
                          <td><small>' . $each->narration . '</small></td>
                          <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($credit, " ") . '</td>
                      </tr>';
            $purchase_total+=$credit;
            }
            else if($each->parent->vtype->code=="CN" && $credit>0)
            {
            $table .= ' <tr>
                          <td>' . $each->parent->created->full_name . '</td>
                          <td>' . date("d/m/Y", strtotime($each->parent->voucher_date)) . '</td>
                          <td> CREDIT NOTE </td>
                          <td>' . $vouchreformat . '</td>
                          <td>' . $each->ledger->description . '</td>
                          <td>' . $subledgerName . '</td>
                          <td></td>
                          <td>' . $each->parent->reference_no . '</td>
                          <td><small>' . $each->narration . '</small></td>
                          <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($credit, " ") . '</td>
                      </tr>';
            $creditnote_total+=$credit;
            }
            else if($each->parent->vtype->code=="DN" && $debit>0)
            {
            $table .= ' <tr>
                          <td>' . $each->parent->created->full_name . '</td>
                          <td>' . date("d/m/Y", strtotime($each->parent->voucher_date)) . '</td>
                          <td> DEBIT NOTE </td>
                          <td>' . $vouchreformat . '</td>
                          <td>' . $each->ledger->description . '</td>
                          <td>' . $subledgerName . '</td>
                          <td></td>
                          <td>' . $each->parent->reference_no . '</td>
                          <td><small>' . $each->narration . '</small></td>
                          <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($debit, " ") . '</td>
                      </tr>';
            $debitnote_total+=$debit;
            }
            else if($each->parent->vtype->code=="PV" && $debit>0)
            {
            $table .= ' <tr>
                          <td>' . $each->parent->created->full_name . '</td>
                          <td>' . date("d/m/Y", strtotime($each->parent->voucher_date)) . '</td>
                          <td> PAYMENT </td>
                          <td>' . $vouchreformat . '</td>
                          <td>' . $each->ledger->description . '</td>
                          <td>' . $subledgerName . '</td>
                          <td></td>
                          <td>' . $each->parent->reference_no . '</td>
                          <td><small>' . $each->narration . '</small></td>
                          <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($debit, " ") . '</td>
                      </tr>';
            $payment_total+=$debit;
            }
            else if($each->parent->vtype->code=="CA" && $credit>0)
            {
            $table .= ' <tr>
                          <td>' . $each->parent->created->full_name . '</td>
                          <td>' . date("d/m/Y", strtotime($each->parent->voucher_date)) . '</td>
                           <td> RECEIPT </td>
                          <td>' . $vouchreformat . '</td>
                          <td>' . $each->ledger->description . '</td>
                          <td>' . $subledgerName . '</td>
                          <td></td>
                          <td>' . $each->parent->reference_no . '</td>
                          <td><small>' . $each->narration . '</small></td>
                          <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($credit, " ") . '</td>
                      </tr>';
            $receipt_total+=$credit;
            }
            else if($each->parent->vtype->code=="CA" && $each->ledger_id==$discount_allowed)
            {
            $table .= ' <tr>
                          <td>' . $each->parent->created->full_name . '</td>
                          <td>' . date("d/m/Y", strtotime($each->parent->voucher_date)) . '</td>
                           <td> DISCOUNT RECEIPT </td>
                          <td>' . $vouchreformat . '</td>
                          <td>' . $each->ledger->description . '</td>
                          <td>' . $subledgerName . '</td>
                          <td></td>
                          <td>' . $each->parent->reference_no . '</td>
                          <td><small>' . $each->narration . '</small></td>
                          <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($debit, " ") . '</td>
                      </tr>';
            $receipt_discount_total+=$debit;
            }
            else if($each->parent->vtype->code=="CHQ" && $credit>0)
            {
            $table .= ' <tr>
                          <td>' . $each->parent->created->full_name . '</td>
                          <td>' . date("d/m/Y", strtotime($each->parent->voucher_date)) . '</td>
                          <td> RECEIPT </td>
                          <td>' . $vouchreformat . '</td>
                          <td>' . $each->ledger->description . '</td>
                          <td>' . $subledgerName . '</td>
                          <td></td>
                          <td>' . $each->parent->reference_no . '</td>
                          <td><small>' . $each->narration . '</small></td>
                          <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($credit, " ") . '</td>
                      </tr>';
            $receipt_total+=$credit;
            }
            else if($each->parent->vtype->code=="DA" && $credit>0)
            {
            $table .= ' <tr>
                          <td>' . $each->parent->created->full_name . '</td>
                          <td>' . date("d/m/Y", strtotime($each->parent->voucher_date)) . '</td>
                          <td> DISCOUNT </td>
                          <td>' . $vouchreformat . '</td>
                          <td>' . $each->ledger->description . '</td>
                          <td>' . $subledgerName . '</td>
                          <td></td>
                          <td>' . $each->parent->reference_no . '</td>
                          <td><small>' . $each->narration . '</small></td>
                          <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($credit, " ") . '</td>
                      </tr>';
            $discount_total+=$credit;
            }
            else if($each->parent->vtype->code=="JV" && $debit>0)
            {
            $table .= ' <tr>
                          <td>' . $each->parent->created->full_name . '</td>
                          <td>' . date("d/m/Y", strtotime($each->parent->voucher_date)) . '</td>
                          <td> JOURNAL </td>
                          <td>' . $vouchreformat . '</td>
                          <td>' . $each->ledger->description . '</td>
                          <td>' . $subledgerName . '</td>
                          <td></td>
                          <td>' . $each->parent->reference_no . '</td>
                          <td><small>' . $each->narration . '</small></td>
                          <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($debit, " ") . '</td>
                      </tr>';
            $journal_total+=$debit;
            }
            $parent = $child;
        }
         $running = $debit - $credit + $previousBalance;
        $symbol = ($closingBalance > 0) ? 'Dr' : 'Cr';
        $table .= '<tr>
                      <td colspan="9" class="text-right"><b>TOTAL PURCHASE </b></td>
                      <td class="text-right"><b>' . Yii::app()->numberFormatter->formatCurrency(abs($purchase_total), " ") . '</b></td>
                  </tr>';
         $table .= '<tr>
                      <td colspan="9" class="text-right"><b>TOTAL DEBIT NOTE </b></td>
                      <td class="text-right"><b>' . Yii::app()->numberFormatter->formatCurrency(abs($debitnote_total), " ") . '</b></td>
                  </tr>';
         $table .= '<tr>
                      <td colspan="9" class="text-right"><b>TOTAL SALES </b></td>
                      <td class="text-right"><b>' . Yii::app()->numberFormatter->formatCurrency(abs($sales_total), " ") . '</b></td>
                  </tr>';
         $table .= '<tr>
                      <td colspan="9" class="text-right"><b>TOTAL CREDIT NOTE </b></td>
                      <td class="text-right"><b>' . Yii::app()->numberFormatter->formatCurrency(abs($creditnote_total), " ") . '</b></td>
                  </tr>';
         $table .= '<tr>
                      <td colspan="9" class="text-right"><b>TOTAL RECEIPT </b></td>
                      <td class="text-right"><b>' . Yii::app()->numberFormatter->formatCurrency(abs($receipt_total), " ") . '</b></td>
                  </tr>';
         $table .= '<tr>
                      <td colspan="9" class="text-right"><b>TOTAL PAYMENT </b></td>
                      <td class="text-right"><b>' . Yii::app()->numberFormatter->formatCurrency(abs($payment_total), " ") . '</b></td>
                  </tr>';
         $table .= '<tr>
                      <td colspan="9"  class="text-right"><b>TOTAL JOURNAL </b></td>
                      <td class="text-right"><b>' . Yii::app()->numberFormatter->formatCurrency(abs($journal_total), " ") . '</b></td>
                  </tr>';
         $table .= '<tr>
                      <td colspan="9"  class="text-right"><b>TOTAL DISCOUNT </b></td>
                      <td class="text-right"><b>' . Yii::app()->numberFormatter->formatCurrency(abs($discount_total), " "). '</b></td> 
                  </tr>';
         $table .= '<tr>
                      <td colspan="9"  class="text-right"><b>TOTAL RECEIPT DISCOUNT </b></td>
                      <td  class="text-right"><b>' . Yii::app()->numberFormatter->formatCurrency(abs($receipt_discount_total), " "). '</b></td>
                  </tr>';
        $table .= '</tbody>
              </table></div>';
        echo $table;
       ?>
            </div>
    
    <htmlpagefooter name="myfooter">
    <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
        <?php
                  date_default_timezone_set("Asia/Dubai");
                 echo date('d/m/Y')." ".date("h:i:sa"); ?>
    </div>

    
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
             <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>

