<script>
$("#DebitAll").click(function() {
    $("input[class=debit]").prop("checked", $(this).prop("checked"));
    if($(this).prop("checked")==true)
    {
        $('#table_debit').find('tr:gt(0)').each(function() {
            $(this).find('[id $=_amount]').val($(this).find('[id $=_balance]').val());
            if( $(this).find('[id $=_amount]').val() > 0 )
            total_debit += parseFloat($(this).find('[id $=_amount]').val());
            });
    }
    else {
        $('#table_debit').find('tr:gt(0)').each(function() {
            $(this).find('[id $=_amount]').val(0);
            if( $(this).find('[id $=_amount]').val() > 0 )
            total_debit += parseFloat($(this).find('[id $=_amount]').val());
            });
    }
});

$("input[class=debit]").click(function() {
    if (!$(this).prop("checked")) {
        $("#DebitAll").prop("checked", false);
    }
});
$("#CreditAll").click(function() {
    $("input[class=credit]").prop("checked", $(this).prop("checked"));
    if($(this).prop("checked")==true)
    {
        $('#table_credit').find('tr:gt(0)').each(function() {
            $(this).find('[id $=_amount]').val($(this).find('[id $=_balance]').val());
            if( $(this).find('[id $=_amount]').val() > 0 )
            total_debit += parseFloat($(this).find('[id $=_amount]').val());
            });
    }
    else {
        $('#table_credit').find('tr:gt(0)').each(function() {
            $(this).find('[id $=_amount]').val(0);
            if( $(this).find('[id $=_amount]').val() > 0 )
            total_debit += parseFloat($(this).find('[id $=_amount]').val());
            });
    }
});

$("input[class=credit]").click(function() {
    if (!$(this).prop("checked")) {
        $("#CreditAll").prop("checked", false);
    }
});
</script>
<?php 
        $cs = Yii::app()->getClientScript();
        $cs->registerScript("getSublegders", "function getSublegders(field_id)
        {
            $('#debit_table').empty();
            $('#credit_table').empty();

            var account_id = $('#FinanceAllocation_ledger_id').val();
            if( account_id > 0 ){
                var url = '" . Yii::app()->createUrl('finance/vouchers/subledgerlist') . "&ledger='+account_id;
                $('#'+field_id).autocomplete({
                    minLength   : 1,
                    source      : function (request, response) { autoCompleteSource(request, response, url) },
                    focus       : function( event, ui ) {},
                    select          : function( event, ui ) {
                        event.preventDefault();
                        $('#FinanceAllocation_subledger_name').val(ui.item.label);
                        $('#FinanceAllocation_subledger_id').val(ui.item.value);
                    }
                })
            }else{
                t8.error('Choose Ledger First!');
                $('#FinanceAllocation_subledger_name').val('');
                return false;
            }
        }", CClientScript::POS_HEAD); 
        $cs->registerScript("reloadPage", "function reloadPage(){
            var subledger = $('#FinanceAllocation_subledger_id').val();
            var ledger = $('#FinanceAllocation_ledger_id').val();
            if( subledger > 0 && ledger > 0 ) {
                $('#loader').show();
                jQuery.ajax({
                    'type': 'post',
                    'dataType' : 'json',
                    'url': '" . Yii::app()->createUrl('finance/vouchers/getallocationdata') . "',
                    'data' : {'ledger' : ledger, 'subledger' : subledger},
                    'success': function(data) { 
                        $('#loader').hide();
                        $('#table_one').show();
                        $('#table_two').show();
                        $('#debit_table').html(data.debit);
                        $('#credit_table').html(data.credit);
                    }
                });
            }else{
                t8.error('Choose subledger!');
            }
        }", CClientScript::POS_HEAD);
        $cs->registerScript("validateAmount", "function validateAmount(from, field_id, value){
            var arr_field_id = field_id.split('_');
            var i = arr_field_id[1];
            var limit = parseFloat($('#'+from+'_'+i+'_balance').val());
            if( parseFloat(value) > limit ){
                t8.error('Exceed limit!');
                $('#'+field_id).val('');
            }
        }", CClientScript::POS_HEAD);
        $cs->registerScript("copyValue", "function copyValue(from, evnt, field_id){
            var arr_field_id = field_id.split('_');
            var i = arr_field_id[1];
            if( $(evnt).prop('checked') ){
                $('#'+from+'_'+i+'_amount').val($('#'+from+'_'+i+'_balance').val());
            }else{
                $('#'+from+'_'+i+'_amount').val(0);
            }
        }", CClientScript::POS_HEAD);
        $cs->registerScript("copyAllValue", "function copyAllValue(type){
         
        }", CClientScript::POS_HEAD);
        $cs->registerScript("calculateValue", "function calculateValue(){
            var total_debit = 0;
            $('#table_debit').find('tr:gt(0)').each(function() {
                if( $(this).find('[id $=_amount]').val() > 0 )
                    total_debit += parseFloat($(this).find('[id $=_amount]').val());
            });
            $('#total_debit').val(Number(total_debit).toFixed(2));
            var total_credit = 0;
            $('#table_credit').find('tr:gt(0)').each(function() {
                if( $(this).find('[id $=_amount]').val() > 0 )
                    total_credit += parseFloat($(this).find('[id $=_amount]').val());
            });
            $('#total_credit').val(Number(total_credit).toFixed(2));
        }", CClientScript::POS_HEAD);
        
        $form = $this->beginWidget('CActiveForm', array(
            'id' => 'voucher-form',
            'enableAjaxValidation' => false,
            'enableClientValidation' => false,
        ));
        
?>
<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <li class="col-sm-3">
                <?php echo $form->dropdownlist($model, 'ledger_id', FinanceLegder::getAllocatable(), array('data-label'=>'Ledger', 'onChange' => '$("#FinanceAllocation_subledger_name").val("");$("#FinanceAllocation_subledger_id").val("");')); // receipt or Payment ?>
            </li>
            <li class="col-sm-3">
                <?php echo $form->hiddenField($model, "subledger_id"); ?>
                <?php echo $form->textField($model,'subledger_name',array('data-label'=>'Subledger', 'class' => 'tooltipster', 'onKeyup' => 'js:getSublegders(this.id);' )); ?>
            </li>
            <li class="col-sm-2">
                <a class="btn btn-sm btn-theme" onclick="reloadPage();"><i class="fa fa-retweet"></i> Refresh</a>
            </li>
        </ul>
        <div class="row">
            <div class="col-sm-6">
                <div class="table-responsive" style="max-height:800px; display:none" id="table_one">
                    <u><b>DEBIT</b></u>
                    <table class="table table-bordered" id="table_debit">        
                        <thead>
                            <tr>
                                <th style="width:5%"><?php echo CHtml::CheckBox('DebitAll', '', array('onChange' => 'copyAllValue("debit"); calculateValue();')) ?></th>
                                <th style="width:5%">#</th>      
                                <th style="width:20%">Type</th>      
                                <th style="width:20%">Date</th>
                                <th style="width:20%">Balance</th>     
                                <th style="width:20%">Alloc.</th>           
                            </tr>
                        </thead>
                        <tbody id="debit_table">
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="table-responsive" style="max-height:800px; display:none" id="table_two">
                    <u><b>CREDIT</b></u>
                    <table class="table table-bordered" id="table_credit">        
                        <thead>
                            <tr>
                                <th style="width:5%"><?php echo CHtml::CheckBox('CreditAll', '', array('onChange' => 'copyAllValue("debit"); calculateValue();')) ?></th>
                                <th style="width:5%">#</th>     
                                <th style="width:20%">Type</th>          
                                <th style="width:20%">Date</th>
                                <th style="width:20%">Balance</th>     
                                <th style="width:20%">Alloc.</th>           
                            </tr>
                        </thead>
                        <tbody id="credit_table">
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-danger" id="cust_close" data-dismiss="modal">Close</button>
    <?php
        
        echo CHtml::ajaxSubmitButton('Save', Yii::app()->createUrl('finance/vouchers/saveallocation'), array(
            'dataType' => 'json',
            'type' => 'post',
            'success' => 'function(data) {
                            $("#loader").hide();
                            if(data.status=="success"){  
                                t8.success("Done!");
                                $(".x.close").click();
                                reloadTable("#fin_table_allocation");
                            }else{ 
                                $.each(data, function(key, val) {
                                    t8.error(""+val+""); 
                                }); 
                            } 
                        }',
                        'beforeSend' => 'function(){
                            var debit = parseFloat($("#total_debit").val());
                            var credit = parseFloat($("#total_credit").val());
                            if( debit == credit && ( debit > 0 && credit > 0 ) )
                                $("#loader").show();
                            else{
                                t8.error("Totals are not matching!");
                                return false;
                            }
                        }',
            ), array('id' => 'mybtn' . rand(), 'class' => 'btn btn-theme'));
           
    ?>
    </div>
<?php $this->endWidget(); ?>