
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("load", '
        $(document).ready(function() {
            $("#tbl_users").on("preXhr.dt", function (e, settings, data) {
                return data;
            }).DataTable({
                "sScrollY": "auto",
                pageLength      : 50,
                "bSort" : false,
                "bFilter": false,
                ajax: {
                    url: "' . Yii::app()->createUrl('config/adminlist') . '",
                    type: "POST",
                    cache : false,
                },
                serverSide:     true,
                fixedColumns:   true,
                processing: true,
                order: [[ 0, "ASC" ]],
            });

    });', CClientScript::POS_HEAD);

?>
    <section class="panel">
            <header class="panel-heading clearfix panel-theame">
                <i class="fa fa-users"></i> Admin Users
                <div class="pull-right">
                    <!--<button class="btn btn-sm btn-theme" onclick="loadPopupModal('config/create_user&type=admin','New User','lg')"><i class="fa fa-plus"></i> ADD</button>-->
                </div>
            </header>   
        <div class="panel-body">
            <div class="custom-data-table">
                <table class="table table-hover table-bordered personal-task" id="tbl_users">
                    <thead>
                        <tr>
                           <th>Full Name</th>
                           <th>User Name</th>
                           <th>Phone</th>
                           <th>Actions</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </section>
