<style>
    table,
    th,
    td {
        border: 1px solid black;
    }

    .txt-right {
        text-align: right !important;
    }

    .text-left {
        text-align: left;
    }
</style>

<table style="width:100%">


    <!-- <table class="table-tree"> -->
    <thead>
        <th colspan="10">
            <?php
            $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
            echo $userModel->companyDetails->name;
            ?>
        </th>
        </tr>
        <tr>

        </tr>
        <tr>
            <th style="color: white ;background-color:#696969;" colspan="10">ITEM SALES SUMMARY REPORT</th>
        </tr>


        <?php

        if ($from_date != '') {
        ?>

            <tr>
                <td colspan="3"><b> From Date</b></td>
                <td class="text-left" colspan="7">
                    <?php echo $from_date; ?>
                </td>
            </tr>

        <?php
        }
        ?>

        <?php
        if ($to_date != '') {
        ?>

            <tr>
                <td colspan="3"><b><?php echo $date_name; ?> To Date</b></td>
                <td class="text-left" colspan="7">
                    <?php echo $to_date; ?>
                </td>
            </tr>

        <?php
        }
        ?>
        <?php
        if ((int)$salesman > 0) {
        ?>

            <tr>
                <td colspan="3"><b>Salesman</b></td>
                <td class="text-left" colspan="7">
                    <?php
                    $full_name = MasUsers::model()->findByPk((int)$salesman)->full_name;
                    echo $full_name ?>
                </td>
            </tr>

        <?php
        }
        ?>

        <?php
        if ((int)$customer_id > 0) {
        ?>

            <tr>
                <td colspan="3"><b>Customer</b></td>
                <td class="text-left" colspan="7">
                    <?php
                    $customer_name = Customer::model()->findByPk((int)$customer_id)->customer_name;
                    echo $customer_name ?>
                </td>
            </tr>

        <?php
        }
        ?>

        <?php
        if ((int)$brand_id > 0) {
        ?>

            <tr>
                <td colspan="3"><b>Brand</b></td>
                <td class="text-left" colspan="7">
                    <?php
                    $brand_name = MasBrand::model()->findByPk((int)$brand_id)->brand_name;
                    echo $brand_name ?>
                </td>
            </tr>

        <?php
        }
        ?>

<?php
        if ((int)$payment_term > 0) {
        ?>

            <tr>
                <td colspan="3"><b>Payment Term</b></td>
                <td class="text-left" colspan="5">
                    <?php
                    $MasPaymentTerms = MasPaymentTerms::model()->findByPk((int)$payment_term)->payment_term_name;
                    echo $MasPaymentTerms ?>
                </td>
            </tr>

        <?php
        }
        ?>
        <tr></tr>

        <?php
        $from_date = (count(explode('/', $from_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $from_date))) : date('Y-m-01');
        $to_date = (count(explode('/', $to_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $to_date))) : date('Y-m-d');
        $condition = 'SL.type="SI" AND SL.transaction_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';
        $sr_condition = 'SL.type="SR" AND SL.transaction_date BETWEEN "' . $from_date . '" AND "' . $to_date . '" ';
        if ($customer_id) {
            $condition .= ' AND SL.customer_vendor_id =' . $customer_id;
            $sr_condition .= ' AND SL.customer_vendor_id =' . $customer_id;
        }
        if ($salesman) {
            $condition .= ' AND SL.created_by=' . $salesman;
            $sr_condition .= ' AND SL.created_by=' . $salesman;
        }
        if ((int) $brand_id > 0) {
            $condition .= ' AND P.brand=' . (int) $brand_id;
            $sr_condition .= ' AND P.brand=' . (int) $brand_id;
        }
        if ($payment_term) {
            $condition .= ' AND I.payment_term=' . $payment_term;
        }
        //echo $condition;

        $SQL = ' SELECT SL.id AS sl_id,"Sales Invoice" AS transaction_type,SL.transaction_type  as in_out, SL.type,SL.transaction_date,P.part_number,P.description,B.brand_name, SL.product_id, SL.customer_vendor_id, SL.created_by, I.invoice_no, C.customer_name, U.full_name, SL.quantity,SUM(SL.quantity*SL.unit_exchange_rate) as default_qty, SL.outlet,MU.label as unit_label,DU.label as default_unit_label,SUM(SL.rate*SL.exchange_rate*SL.quantity*SL.unit_exchange_rate) AS total_amount
            FROM {{stock_ledger}} SL 
            LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
            INNER JOIN erp_master_brand B ON B.id=P.brand 
            LEFT JOIN {{master_unit}} MU ON MU.id=SL.unit 
            LEFT JOIN {{master_unit}} DU ON DU.id=SL.default_product_unit 
            LEFT JOIN {{sales_invoice}} I ON I.id=SL.header_id 
            LEFT JOIN {{customer}} C ON C.id=SL.customer_vendor_id 
            LEFT JOIN bluesell_new_main.{{users}} U ON U.id=SL.created_by 
            WHERE ' . $condition . ' GROUP BY  SL.product_id  ';
        $all = Yii::app()->db->createCommand($SQL)->queryAll();
        ?>
        <tr class="to tol1">
            <th style="width:6%">SL</th>
            <th style="width:10%">Part No.</th>
            <th style="width:15%">Description</th>
            <th style="width:5%">Unit</th>
            <th style="width:10%">Brand</th>
            <!--<th style="width:10%">Customer</th>-->
            <th style="width:5%">Sales Qty</th>
            <th style="width:5%">Return Qty</th>
            <th style="width:5%">Total Qty</th>
            <th style="width:5%">Total Amount</th>
            <th style="width:5%">Avg Price</th>
        </tr>
    </thead>
    <tbody>
        <?php
        $sl = 1;
        $tot = 0;
        $total = 0;

        foreach ($all as $each) {

            $srsql = 'SELECT  SUM(SL.quantity*SL.unit_exchange_rate) as default_qty, SUM(SL.rate*SL.exchange_rate*SL.quantity*SL.unit_exchange_rate) AS total_amount
                FROM {{stock_ledger}} SL 
                LEFT JOIN {{inventory}} P ON P.id=SL.product_id 
         
                WHERE ' . $sr_condition . ' AND  SL.product_id=  ' . $each['product_id'];
            $sr_array = Yii::app()->db->createCommand($srsql)->queryRow();
            $default_qty = $each['default_qty'] - $sr_array['default_qty'];
            $amount = $each['total_amount'] - $sr_array['total_amount'];
            if ($default_qty != 0) {
                $avg = $amount / $default_qty;
            } else {
                $avg = 0;
            }

            $tot += $amount;
            $total += $avg;
            $tot_qty += $default_qty;
            if ($customer_id > 0) {
                $customer_name = $each['customer_name'];
            } else {
                $customer_name = 'ALL';
            }
        ?>
            <tr>
                <td><?php echo  $sl ?> </td>
                <td><?php echo  $each['part_number'] ?> </td>
                <td><?php echo  $each['description'] ?> </td>
                <td><?php echo  $each['unit_label'] ?> </td>
                <td><?php echo  $each['brand_name'] ?> </td>
                <!--<td><?php echo  $customer_name ?> </td>-->
                <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($each['default_qty'], "") ?> </td>
                <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($sr_array['default_qty'], "") ?> </td>
                <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($default_qty, "") ?> </td>
                <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($amount, " ") ?> </td>
                <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($avg, "") ?> </td>
            </tr>
        <?php
            $sl++;
        } ?>

        <tr>
            <td colspan="7" style="text-align:right !important;"><b>Total</b></td>
            <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($tot_qty, " ") ?></b></td>
            <td style="text-align:right !important;"><b><?php echo  Yii::app()->numberFormatter->formatCurrency($tot, " ") ?> </b></td>
            <td style="text-align:right !important;"><b><?php echo  Yii::app()->numberFormatter->formatCurrency($total, " ") ?> </b></td>
        </tr>
    </tbody>
</table>