<style>
    table,
    th,
    td {
        border: 1px solid black;
    }

    .txt-right {
        text-align: right !important;
    }

    .text-left {
        text-align: left;
    }
</style>

<table style="width:100%">


    <!-- <table class="table-tree"> -->
    <thead>
        <th colspan="7">
            <?php
            $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
            echo $userModel->companyDetails->name;
            ?>
        </th>
        </tr>
        <tr>

        </tr>
        <tr>
            <th style="color: white ;background-color:#696969;" colspan="7">Brand Wise Sales Report</th>
        </tr>


        <?php




        if ($from_date != '') {
        ?>

            <tr>
                <td colspan="3"><b> From Date</b></td>
                <td class="text-left" colspan="4">
                    <?php echo date('d/m/Y', strtotime($from_date)); ?>
                </td>
            </tr>

        <?php
        }
        ?>

        <?php
        if ($to_date != '') {
        ?>

            <tr>
                <td colspan="3"><b><?php echo $date_name; ?> To Date</b></td>
                <td class="text-left" colspan="4">
                    <?php echo date('d/m/Y', strtotime($to_date)); ?>
                </td>
            </tr>

        <?php
        }
        ?>

        <tr></tr>
        <?php
        $from_date = (count(explode('/', $from_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $from_date))) : date('Y-m-01');
        $to_date = (count(explode('/', $to_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $to_date))) : date('Y-m-d');
        $condition = 'H.active="Y" AND H.invoice_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';
        if ($outlet > 0) {
            $condition .= ' AND H.outlet=' . $outlet;
            $conditions .= ' AND outlet=' . $outlet;
        }
        if ((int)$customer_id > 0) {
            $condition .= ' AND H.customer_id=' . $customer_id;
        }
        if ((int)$payment_term > 0) {
            $condition .= ' AND H.payment_term=' . $payment_term;
        }
        if ((int)$created_user > 0) {
            $condition .= ' AND H.sales_man=' . $created_user;
        }
        if ((int) $brand_id > 0) {
            $condition .= ' AND S.brand=' . (int) $brand_id;
        }
        /*  $SQL = ' Select H.invoice_no,C.customer_name,I.description,P.payment_term_name,I.net_amount,I.quantity,H.invoice_date,I.product_id,I.tax_amount,I.amount from erp_sales_invoice H 
       INNER JOIN erp_sales_invoice_items I ON H.id=I.invoice_id 
       INNER JOIN erp_inventory S ON S.id=I.product_id 
        INNER JOIN erp_master_payment_terms P ON H.payment_term =P.id
       INNER JOIN erp_master_brand B ON B.id=S.brand 
       INNER JOIN erp_customer C ON H.customer_id=C.id ' . $condition . ' order by H.id';
        $all = Yii::app()->db->createCommand($SQL)->queryAll();*/

        $SQL = 'SELECT H.invoice_no, C.customer_name, I.description, I.net_amount, I.quantity, H.invoice_date, I.product_id, I.tax_amount, I.amount, ';
        $SQL .= 'CASE WHEN H.payment_term <> 0 THEN P.payment_term_name ELSE "-" END AS payment_term_name ';
        $SQL .= 'FROM erp_sales_invoice H ';
        $SQL .= 'INNER JOIN erp_sales_invoice_items I ON H.id = I.invoice_id ';
        $SQL .= 'INNER JOIN erp_inventory S ON S.id = I.product_id ';
        $SQL .= 'INNER JOIN erp_master_brand B ON B.id = S.brand ';
        $SQL .= 'INNER JOIN erp_customer C ON H.customer_id = C.id ';
        $SQL .= 'LEFT JOIN erp_master_payment_terms P ON H.payment_term = P.id AND H.payment_term <> 0 ';
        $SQL .= 'WHERE ' . $condition;
        $SQL .= ' ORDER BY H.id';
        $all = Yii::app()->db->createCommand($SQL)->queryAll();

        ?>
        <tr class="to tol1">
            <th style="width:10%">Date</th>
            <th style="width:10%">Invoice No</th>
            <th style="width:25%">Customer</th>
            <th style="width:10%">Payment</th>
            <th style="width:5%">Total</th>
            <th style="width:5%">Tax</th>
            <th style="width:5%">Net Total</th>
        </tr>
    </thead>
    <tbody>
        <?php
        $total_cost = 0;
        $total_profit = 0;
        $total_sales = 0;
        $total_tax = 0;
        $inv_no = 0;
        $invoice_date = '';
        $customer_name = '';
        $net_amount = 0;
        $tax_amount = 0;
        $inv_cost = 0;
        $inv_profit = 0;
        $inv_profit_percent = 0;
        $inv_count = 1;
        $amount = 0;
        foreach ($all as $i => $each) {

            $current_in_rate = Yii::app()->db->createCommand('SELECT CASE
        WHEN SUM(quantity*unit_exchange_rate) > 0 THEN SUM(quantity*rate)/SUM(quantity*unit_exchange_rate) ELSE 0 END AS avg_purchase_rate 
        FROM {{stock_ledger}}  WHERE transaction_type = "IN" AND type!= "GT" AND product_id=' . $each["product_id"] . ' AND transaction_date <= "' . $each['invoice_date'] . '" ' . $conditions)->queryScalar();

            $avg_cost = StockLedger::getAvgPurchaseRate($each["product_id"], $each['invoice_date'], $outlet);
            $profit = $each['net_amount'] - $each['tax_amount'] - ($each['quantity'] * $avg_cost);
            $cost = ($each['quantity'] * $avg_cost);
            if ($each['invoice_no'] != $inv_no && $i > 0) {
                if ($inv_cost != 0) {
                    $inv_profit_percent = $inv_profit / ($inv_cost) * 100;
                } ?>

                <tr>
                    <td><?php echo  date("d-m-Y", strtotime($invoice_date)) ?></td>
                    <td><?php echo  $inv_no ?></td>
                    <td><?php echo  $customer_name ?></td>
                    <td><?php echo  $payment_term_name ?></td>
                    <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($amount, " ") ?></td>
                    <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($tax_amount, " ") ?></td>
                    <td style="text-align:right !important;"><?php echo  Yii::app()->numberFormatter->formatCurrency($net_amount, " ") ?></td>
                </tr>
        <?php
                $inv_no = $each['invoice_no'];
                $invoice_date = $each['invoice_date'];
                $customer_name = $each['customer_name'];
                $payment_term_name = $each['payment_term_name'];
                $net_amount = $each['net_amount'];
                $amount = $each['amount'];
                $tax_amount = $each['tax_amount'];
                $inv_cost = $cost;
                $inv_profit = $profit;
                $inv_count = 1;
            } else {
                $inv_no = $each['invoice_no'];
                $invoice_date = $each['invoice_date'];
                $customer_name = $each['customer_name'];
                $payment_term_name = $each['payment_term_name'];
                $net_amount += $each['net_amount'];
                $amount += $each['amount'];
                $tax_amount += $each['tax_amount'];
                $inv_cost += $cost;
                $inv_profit += $profit;
                $inv_count++;
            }
            $tot += $each['amount'];
            $total_cost += $each['quantity'] * $avg_cost;
            $total_profit += $profit;
            $total_sales += $each['net_amount'];
            $total_tax += $each['tax_amount'];
        }
        if ($inv_cost != 0) {
            $inv_profit_percent = $inv_profit / ($inv_cost) * 100;
        } ?>
        <tr>

            <td><?php echo  date("d-m-Y", strtotime($invoice_date)) ?></td>
            <td><?php echo  $inv_no ?></td>
            <td><?php echo  $customer_name ?></td>
            <td><?php echo  $payment_term_name ?></td>
            <td style="text-align:right !important;"><?php echo  $amount ?></td>
            <td style="text-align:right !important;"><?php echo  $tax_amount ?></td>
            <td style="text-align:right !important;"><?php echo  $net_amount ?></td>
        </tr>

        <tr>
            <td colspan="3" style="text-align:right !important;"><b>Total</b></td>
            <td></td>
            <td style="text-align:right !important;"><b><?php echo  Yii::app()->numberFormatter->formatCurrency($tot, " ") ?></b></td>
            <td style="text-align:right !important;"><b><?php echo  Yii::app()->numberFormatter->formatCurrency($total_tax, " ") ?></b></td>
            <td style="text-align:right !important;"><b><?php echo  Yii::app()->numberFormatter->formatCurrency($total_sales, " ") ?></b></td>

        </tr>
    </tbody>
</table>