<!DOCTYPE html>
<html>

<head>
    <title><?php echo date('dmYhis'); ?></title>
</head>

<body>
    <?php $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);   ?>
    <div class="col-12">
        <div class="text-center">
            <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
        </div>
        <div class="text-center">
            <small><?php echo $userModel->companyDetails->billing_address ?></small>
        </div>
    </div>
    <div style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;">
        <!--add New Template-->
        <div class="">
            <div class="col-8">
                <div class="input-block">
                    <b><?php echo 'Brand Wise Sales Report'; ?></b>
                </div>
                <br>
                <table class="table" style="width:100%">
                    <tr>
                        <td class="bc-tl">From </td>
                        <td>
                            <?php echo $from_date; ?>
                        </td>
                    </tr>
                    <tr>
                        <td>To</td>
                        <td>
                            <?php echo $to_date; ?>
                        </td>
                    </tr>
                </table>
            </div>

        </div>
        <br>

        <?php
        $from_date = (count(explode('/', $from_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $from_date))) : date('Y-m-01');
        $to_date = (count(explode('/', $to_date)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $to_date))) : date('Y-m-d');
        $condition = ' active="Y" AND invoice_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';
        if ($outlet > 0) {
            $condition .= ' AND outlet=' . $outlet;
            $conditions .= ' AND outlet=' . $outlet;
        }
        if ((int)$customer_id>0) {
            $condition .= ' AND customer_id=' . $customer_id;
        }
        if ((int)$created_user>0) {
            $condition .= ' AND sales_man=' . $created_user;
        }
        if ((int)$payment_term>0) {
            $condition .= ' AND payment_term=' . $payment_term;
        }
        if ((int) $brand_id > 0) {
            $condition .= ' AND brand=' . (int) $brand_id;
        }
        //echo $condition;
        //       $SQL=' Select H.invoice_no,C.customer_name,I.description,I.net_amount,SUM(S.quantity*S.unit_exchange_rate) AS qty,I.quantity,H.invoice_date,I.product_id,I.tax_amount from erp_sales_invoice H INNER JOIN erp_sales_invoice_items I ON H.id=I.invoice_id INNER JOIN erp_stock_ledger S ON I.id=S.item_id INNER JOIN erp_customer C ON H.customer_id=C.id '.$condition.' group by I.id order by H.id'; 
        //       echo $SQL;die;

        /* $SQL = ' Select H.invoice_no,C.customer_name,I.description,I.net_amount,P.payment_term_name,I.quantity,I.rate,H.invoice_date,I.product_id,I.tax_amount,H.id AS invoice_id,I.id AS item_id,B.brand_name 
       from erp_sales_invoice H 
       INNER JOIN erp_sales_invoice_items I ON H.id=I.invoice_id 
       INNER JOIN erp_inventory S ON S.id=I.product_id 
       INNER JOIN erp_master_payment_terms P ON H.payment_term =P.id
       INNER JOIN erp_master_brand B ON B.id=S.brand
       INNER JOIN erp_customer C ON H.customer_id=C.id ' . $condition . ' order by H.id';
        $all = Yii::app()->db->createCommand($SQL)->queryAll();*/
      
        $SQL = "SELECT * FROM view_invoice_list WHERE " . $condition . " order by invoice_no";
        $all = Yii::app()->db->createCommand($SQL)->queryAll();
        ?>
        <table class="table table-hover table-fixed table-bordered">
            <thead>
                <tr>
                    <th style="width:6%">Date</th>
                    <th style="width:6%">Invoice No</th>
                    <th style="width:20%">Customer</th>
                    <th style="width:15%">Part No.</th>
                    <th style="width:10%">Brand</th>
                    <th style="width:10%">Payment</th>
                    <th style="width:5%">Qty</th>
                    <th style="width:8%">Rate</th>
                    <th style="width:8%">Total</th>
                    <th style="width:5%">Tax</th>
                    <th style="width:5%">Net Total</th>

                </tr>
            </thead>
            <tbody>
                <?php
                $net = 0;
                $total_tax = 0;
                $total = 0;
                $k = 0;
                $tot = $net = $total_tax;
                foreach ($all as $each) {
                    $total = ($each['quantity'] * $each['rate']);
                ?>
                    <tr>
                        <td><?php echo $k + 1; ?></td>
                        <td><?php echo  date("d-m-Y", strtotime($each['invoice_date'])); ?></td>
                        <td><?php echo  $each['invoice_no']; ?></td>
                        <td><?php echo $each["product_id"] . '/' . $each['description']; ?></td>
                        <td><?php echo $each['brand_name'] ?></td>
                        <td><?php echo $each['payment_term_name']; ?></td>
                        <td><?php echo $each['quantity']; ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['rate'], "") ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($total, " ") ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['tax_amount'], "") ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['net_amount'], "") ?></td>
                    </tr>
                <?php

                    $tot += $total;
                    $net += $each['net_amount'];
                    $total_tax += $each['tax_amount'];
                    $k++;
                }
                ?>

                <tr>
                    <td colspan="8">Total</td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($tot, " ") ?></b></td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_tax, " ") ?></b></td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($net, " ") ?></b></td>

                </tr>
            </tbody>
        </table>
    </div>
    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
            <?php
            date_default_timezone_set("Asia/Dubai");
            echo date('d/m/Y') . " " . date("h:i:sa");
            ?>
        </div>


        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
            <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>