<div id="div_goodsissue_details">
    <div class="table-responsive">
        <table class="table table-hover table-bordered personal-task" id="goodsissue_items_table">
            <tr>
                <th style="width:20%">Item</th>
                <th style="width:50%">Description</th>
                <th style="width:10%">Quantity</th>
                <th style="width:10%">Unit</th>
                <th style="width:2%"><a class="btn btn-xs btn-theme " href="javascript:void(0);" onclick="addTableRow($('#goodsissue_items_table'));"><i class="fa fa-plus"></i></a></th>
                </th>
            </tr>
            <?php
            foreach ($modelItems as $i => $modelItems) { ?>
                <tr>
                    <td>

                        <?php
                        $modelItems->part_no = $modelItems->gi_product_details->part_number;
                        echo $form->textField($modelItems, "[" . $i . "]part_no", array(
                            'class' => 'tooltipster go',
                            'oninput' => 'js:trackPasteEvent(this);',
                            'onkeydown' => 'js:handleEnterWithPaste(event, this);',
                            'onKeypress' => 'js:autoCompleteProduct(this.id);'
                        )); ?>

                        <?php
                        // $modelItems->part_no = $modelItems->gi_product_details->part_number;
                        // echo $form->textField($modelItems, "[" . $i . "]part_no", array('class' => 'tooltipster go', 'onKeypress' => 'js:autoCompleteProduct(this.id);')); 
                        ?>
                        <?php echo $form->hiddenField($modelItems, "[" . $i . "]product_id"); ?>
                        <?php echo $form->hiddenField($modelItems, "[" . $i . "]id"); ?>
                    </td>
                    <td>
                        <?php echo $form->textArea($modelItems, "[" . $i . "]description", array('class' => 'tooltipster desc go en-text-area'));  ?>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]quantity", array('class' => 'qty go cell-center text-right','onkeydown' => 'moveToNextCell(event, this)', 'onkeypress' => 'return isNumberKey(event)')); ?>
                    </td>
                    <td>
                        <div id=<?php echo "unitdiv_" . $i; ?>><?php echo $form->dropdownList($modelItems, "[" . $i . "]unit", MasUnit::getSimilarUnits($modelItems->unit), array('class' => 'go cell-center text-center')); ?></div>
                    </td>
                    <td class="text-center nw" width="1%">
                        <?php echo CHtml::link('<i class="fa fa-times"></i>', 'javascript:void(0);', array('class' => 'btn btn-xs btn-danger', 'onclick' => 'removeTableRow($(\'#goodsissue_items_table\'),this)', 'title' => 'Remove this item', 'id' => 'material_' . $i)); ?>
                    </td>
                </tr>
            <?php } ?>
        </table>
    </div>
</div>

<script>
    let isPasted = false; // Flag to track if a paste event occurred

    function trackPasteEvent(inputElement) {
        // Triggered on any input change, sets the flag to true for paste detection
        isPasted = true;
    }

    function handleEnterWithPaste(event, inputElement) {
        if (event.key === 'Enter') {
            event.preventDefault(); // Prevent default form submission
            if (isPasted) {
                // If paste event occurred and Enter is pressed, call AJAX function
                autoLoadAjaxFunction(inputElement);
                isPasted = false; // Reset the flag after processing
            } else {
                // If no paste occurred, fall back to auto-complete logic
                autoCompleteProduct(inputElement.id);
            }
        }
    }

    function autoLoadAjaxFunction(inputElement) {
        // Parse input element's ID to extract row field
        var arr_fields = inputElement.id.split('_');
        var model_name = arr_fields[0];
        var row_field = arr_fields[1];
        $.ajax({
            url: "<?php echo Yii::app()->createUrl('inventory/GetProductByBarcode'); ?>", // Generate and escape URL
            dataType: 'json',
            type: 'post',
            data: {
                barcode: inputElement.value,
                frm: 'GR'
            },
            success: function(response) {
                //  console.log('AJAX response:', response);

                if (response && response.value) {
                    var product_id = response.value;
                    var desc = response.description;
                    var part_number = response.part_number;
                    var unit = response.uom;
                    // Populate the fields with the response data
                    $('#GoodsIssueItems_' + row_field + '_description').val(desc);
                    $('#GoodsIssueItems_' + row_field + '_product_id').val(product_id);
                    $('#GoodsIssueItems_' + row_field + '_part_no').val(part_number);
                    $('#GoodsIssueItems_' + row_field + '_quantity').val(1);
                    addTableRow($('#goodsissue_items_table'));
                    var next_line_id = parseInt(row_field) + 1;
                    $('#GoodsIssueItems_' + row_field + '_quantity').select();

                    // Fetch similar units
                    $.ajax({
                        data: {
                            unit: unit,
                            row_field: row_field
                        },
                        dataType: 'json',
                        type: 'post',
                        url: "<?php echo Yii::app()->createUrl('goodsissue/getSimilarUnits'); ?>",
                        success: function(data) {
                            $('#unitdiv_' + row_field).html(data.unit); 
                        }
                    });
                } else {
                    t8.error('Cannot find product!');
                }
            },
            error: function(xhr, status, error) {
                console.log('AJAX error:', error);
            }
        });

    }
     function moveToNextCell(event, element) {



        if (event.key === "Enter") {

            event.preventDefault(); // Prevent default form submission

            addTableRow($('#goodsissue_items_table'));

        }

    }
</script>
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("autoCompleteProduct", "function autoCompleteProduct(field_id)
{
    var url = '" . Yii::app()->createUrl('inventory/GetProducts') . "'+'&frm=GR';
    $('#'+field_id).autocomplete({
        minLength   : 1,
        source      : function (request, response) { autoCompleteSource(request, response,url) },
        focus       : function( event, ui ) { $(this).val((ui.item.label)); return false;},
        select          : function( event, ui ) {
            event.preventDefault();
            trigger_target_id   =   $(event.target).attr('id');
            var product_id=ui.item.value;
            var desc=ui.item.description;
            var part_number=ui.item.part_number;
            var unit = ui.item.uom;
            var arr_fields= field_id.split('_');
            var model_name   = arr_fields[0];
            var row_field  = arr_fields[1];
            $('#GoodsIssueItems_'+row_field+'_description').val(desc);
            $('#GoodsIssueItems_'+row_field+'_product_id').val(product_id);
            $('#GoodsIssueItems_'+row_field+'_part_no').val(part_number);
            $('#GoodsIssueItems_'+row_field+'_quantity').val(1);
            addTableRow($('#goodsissue_items_table'));
            var next_line_id=parseInt(row_field)+1;
            $('#GoodsIssueItems_'+row_field+'_quantity').select();
            jQuery.ajax({
                'data' :{'unit':unit,'row_field':row_field},
                'dataType' : 'json',
                'type':'post',
                'url': '" . Yii::app()->createUrl('goodsissue/getSimilarUnits') . "',
                'success': function(data) {
                    $('#unitdiv_'+row_field).html(data.unit);
                }
            });
        }
    });
}", CClientScript::POS_HEAD); ?>