<div id="div_goodsreceipt_details">
    
    <div class="table-responsive">
        <table class="table table-hover table-bordered personal-task" id="goodsreceipt_items_table">
            <tr>
                <th style="width:20%">Item</th>
                <th style="width:20%">Description</th>
                <th style="width:10%">Quantity</th>
                <th style="width:10%">Unit</th>
                <th style="width:10%">Rate</th>
                <th style="width:2%"><a class="btn btn-xs btn-theme " href="javascript:void(0);" onclick="addTableRow($('#goodsreceipt_items_table'));"><i class="fa fa-plus"></i></a></th>
                </th>
            </tr>
            <?php
            foreach ($modelItems as $i => $modelItems) {
                if ($modelItems->unit > 0) {
                    $modelItems->unit_exchange = $modelItems->gr_unit_details->unit_exchange_rate;
                    $modelItems->unit_price = $modelItems->rate / $modelItems->gr_unit_details->unit_exchange_rate;
                }
            ?>
                <tr>
                    <td>

                        <?php
                        $modelItems->part_no = $modelItems->gr_product_details->part_number;
                        echo $form->textField($modelItems, "[" . $i . "]part_no", array(
                            'class' => 'tooltipster go',
                            'oninput' => 'js:trackPasteEvent(this);',
                            'onkeydown' => 'js:handleEnterWithPaste(event, this);',
                            'onKeypress' => 'js:autoCompleteProduct(this.id);'
                        )); ?>

                        <?php
                        //  $modelItems->part_no = $modelItems->gr_product_details->part_number;
                        // echo $form->textField($modelItems, "[" . $i . "]part_no", array('class' => 'tooltipster go', 'onKeypress' => 'js:autoCompleteProduct(this.id);')); 
                        ?>
                        <?php echo $form->hiddenField($modelItems, "[" . $i . "]product_id"); ?>
                        <?php echo $form->hiddenField($modelItems, "[" . $i . "]unit_price"); ?>
                        <?php echo $form->hiddenField($modelItems, "[" . $i . "]unit_exchange"); ?>
                        <?php echo $form->hiddenField($modelItems, "[" . $i . "]id"); ?>
                    </td>
                    <td>
                        <?php echo $form->textArea($modelItems, "[" . $i . "]description", array('class' => 'tooltipster desc go en-text-area'));  ?>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]quantity", array('class' => 'qty go cell-center text-right','onkeydown' => 'moveToNextCell(event, this)', 'onkeypress' => 'return isNumberKey(event)')); ?>
                    </td>
                    <td>
                        <div id=<?php echo "unitdiv_" . $i; ?>><?php
                                                                echo $form->dropdownList($modelItems, "[" . $i . "]unit", MasUnit::getSimilarUnits($modelItems->unit), array('class' => 'go cell-center text-center', 'onchange' => 'getPriceOnUnitChange(this.id)')); ?></div>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]rate", array('class' => 'rate go text-right','onkeydown' => 'moveToNextCell(event, this)', 'onkeypress' => 'return isNumberKey(event);')); ?>
                    </td>
                    <td class="text-center nw" width="1%">
                        <?php echo CHtml::link('<i class="fa fa-times"></i>', 'javascript:void(0);', array('class' => 'btn btn-xs btn-danger', 'onclick' => 'removeTableRow($(\'#goodsreceipt_items_table\'),this)', 'title' => 'Remove this item', 'id' => 'material_' . $i)); ?>
                    </td>
                </tr>
            <?php } ?>
        </table>
    </div>
</div>

<script>
    let isPasted = false; // Flag to track if a paste event occurred

    function trackPasteEvent(inputElement) {
        // Triggered on any input change, sets the flag to true for paste detection
        isPasted = true;
    }

    function handleEnterWithPaste(event, inputElement) {
        if (event.key === 'Enter') {
            event.preventDefault(); // Prevent default form submission
            if (isPasted) {
                // If paste event occurred and Enter is pressed, call AJAX function
                autoLoadAjaxFunction(inputElement);
                isPasted = false; // Reset the flag after processing
            } else {
                // If no paste occurred, fall back to auto-complete logic
                autoCompleteProduct(inputElement.id);
            }
        }
    }

    function autoLoadAjaxFunction(inputElement) {
        // Parse input element's ID to extract row field
        var arr_fields = inputElement.id.split('_');
        var model_name = arr_fields[0];
        var row_field = arr_fields[1];
        $.ajax({
            url: "<?php echo Yii::app()->createUrl('inventory/GetProductByBarcode'); ?>", // Generate and escape URL
            dataType: 'json',
            type: 'post',
            data: {
                barcode: inputElement.value,
                frm: 'GR'
            },
            success: function(response) {
                //  console.log('AJAX response:', response);

                if (response && response.value) {


                    var product_id = response.value;
                    var desc = response.description;
                    var part_number = response.part_number;
                    var rate = response.cost;
                    var unit = response.uom;
                    var unit_exchange = response.unit_exchange;
                    if (unit_exchange > 0)
                        var unitprice = rate / unit_exchange;
                    else
                        var unitprice = 0;


                    // Populate the fields with the response data


                    $('#GoodsReceiptItems_' + row_field + '_description').val(desc);
                    $('#GoodsReceiptItems_' + row_field + '_product_id').val(product_id);
                    $('#GoodsReceiptItems_' + row_field + '_rate').val(rate);
                    $('#GoodsReceiptItems_' + row_field + '_unit_exchange').val(unit_exchange);
                    $('#GoodsReceiptItems_' + row_field + '_unit_price').val(unitprice);
                    $('#GoodsReceiptItems_' + row_field + '_part_no').val(part_number);
                    $('#GoodsReceiptItems_' + row_field + '_quantity').val(1);
                    addTableRow($('#goodsreceipt_items_table'));
                    var next_line_id = parseInt(row_field) + 1;
                    $('#GoodsReceiptItems_' + row_field + '_quantity').select();                  
                   

                    // Fetch similar units
                    $.ajax({
                        data: {
                            unit: unit,
                            row_field: row_field
                        },
                        dataType: 'json',
                        type: 'post',
                        url: "<?php echo Yii::app()->createUrl('goodsreceipt/getSimilarUnits'); ?>",
                        success: function(data) {
                            $('#unitdiv_' + row_field).html(data.unit);                           
                        }
                    });
                } else {
                    t8.error('Cannot find product!');
                }
            },
            error: function(xhr, status, error) {
                console.log('AJAX error:', error);
            }
        });

    }
    
    function moveToNextCell(event, element) {


        if (event.key === "Enter") {

            event.preventDefault(); // Prevent default form submission

            addTableRow($('#goodsreceipt_items_table'));

        }

    }
</script>
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("autoCompleteProduct", "function autoCompleteProduct(field_id)
{
    var url = '" . Yii::app()->createUrl('inventory/GetProducts') . "'+'&frm=GR';
    $('#'+field_id).autocomplete({
        minLength   : 1,
        source      : function (request, response) { autoCompleteSource(request, response,url) },
        focus       : function( event, ui ) { $(this).val((ui.item.label)); return false;},
        select          : function( event, ui ) {
            event.preventDefault();
            trigger_target_id   =   $(event.target).attr('id');
            var product_id=ui.item.value;
            var desc=ui.item.description;
            var part_number=ui.item.part_number;
            var rate = ui.item.cost;
            var unit = ui.item.uom;
            var unit_exchange =ui.item.unit_exchange;
            if(unit_exchange>0)
                var unitprice =rate/unit_exchange;
            else
                var unitprice =0;
            var arr_fields= field_id.split('_');
            var model_name   = arr_fields[0];
            var row_field  = arr_fields[1];
            $('#GoodsReceiptItems_'+row_field+'_description').val(desc);
            $('#GoodsReceiptItems_'+row_field+'_product_id').val(product_id);
            $('#GoodsReceiptItems_'+row_field+'_rate').val(rate);
            $('#GoodsReceiptItems_'+row_field+'_unit_exchange').val(unit_exchange);
            $('#GoodsReceiptItems_'+row_field+'_unit_price').val(unitprice);
            $('#GoodsReceiptItems_'+row_field+'_part_no').val(part_number);
            $('#GoodsReceiptItems_'+row_field+'_quantity').val(1);
            addTableRow($('#goodsreceipt_items_table'));
            var next_line_id=parseInt(row_field)+1;
            $('#GoodsReceiptItems_'+row_field+'_quantity').select();
            jQuery.ajax({
                'data' :{'unit':unit,'row_field':row_field},
                'dataType' : 'json',
                'type':'post',
                'url': '" . Yii::app()->createUrl('goodsreceipt/getSimilarUnits') . "',
                'success': function(data) {
                    $('#unitdiv_'+row_field).html(data.unit);
                }
            });
        }
    });
}
    function getPriceOnUnitChange(id){
        var unit_id =$('#'+id).val();
        jQuery.ajax({
                'data' :{'unit':unit_id},
                'dataType' : 'json',
                'type':'post',
                'url': '" . Yii::app()->createUrl('Masunit/getUnitExchangeRate') . "',
                'success': function(data) {
                    var arr_fields= id.split('_');
                    var row_field  = arr_fields[1];
                    var exchang=Number(data.unit_exchange).toFixed(2);
                    $('#GoodsReceiptItems_'+row_field+'_unit_exchange').val(exchang);
                    var unitprice = $('#GoodsReceiptItems_'+row_field+'_unit_price').val();
                    var rate = Number(exchang*unitprice).toFixed(2);
                    $('#GoodsReceiptItems_'+row_field+'_rate').val(rate);
                    calculateReceiptValue($('#goodsreceipt_items_table'));
                }
            });
    }
    function calculateReceiptValue(jQtable) {
            formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
            var count,qty,rate,amount,net_amount,discount,costrate,unit_exchange,unitprice;
            var total   =   0;
            var grand_total =   0;
            var vat_total = 0;
            var net_amount = 0;
            jQtable.find('tr:gt(0)').each(function() {
                net_amount = 0;  discount = 0;
                unit_exchange = $(this).find('[id $=_unit_exchange]').val();
                rate = $(this).find('[id $=_rate]').val();
                if(unit_exchange>0)
                    unitprice =(Number(rate)/Number(unit_exchange)).toFixed(2);
                else
                    unitprice =0;
                $(this).find('[id $=_unit_price]').val(unitprice);
                qty =   $(this).find('[id $=_quantity]').val();
                amount =   (Number(rate)*Number(qty)).toFixed(2);
                total   =   Number(total)+Number(amount);
                
            });
        }
", CClientScript::POS_HEAD); ?>