<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'inventory-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>

<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
                <?php echo $form->hiddenField($model, 'id'); ?> 
            <li class="col-sm-4">
                <?php echo $form->textField($model, 'cost', array('data-label' => 'Cost Rate','onkeypress'=>'return isNumberKey(event)')); ?>
            </li>
        </ul>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" id="inv_close" data-dismiss="modal">Close</button>
    <?php 
                $url = Yii::app()->createUrl('inventory/SaveCostRate');
                echo CHtml::ajaxSubmitButton('Save', $url, array(
                            'dataType' => 'json',
                            'type' => 'post',
                            'success' => 'function(data) {
                                if(data.status=="success"){  
                                    $("#inv_close").click();                                        
                                    t8.success("Cost Details Saved Successfully!");
                                    reloadTable("#tbl_inventory");
                                } else { 
                                    $("#inventory-form .customer-save-btn").prop("disabled", false);
                                    $("#inventory-form .customer-save-btn").addClass("btn-theme").removeClass("btn_loading");
                                    $.each(data, function(key, val) {
                                        $("#inventory-form #"+key+"_em_").text(val).show(); 
                                        t8.error(""+val+""); 
                                    }); 
                                } 
                            }',
                            'beforeSend' => 'function(){
                                $(".toast8-error").hide(); 
                                $("#loader").show();
                                $("#inventory-form .customer-save-btn").prop("disabled", true);                                
                                $("#inventory-form .customer-save-btn").addClass("btn_loading").removeClass("btn-theme");
                                
                            }',
                            'complete' => 'function(){
                                $("#loader").hide();
                                $("#inventory-form .customer-save-btn").prop("disabled", false);                                
                                $("#inventory-form .customer-save-btn").addClass("btn-theme").removeClass("btn_loading");
                            }'
                                
                    ), array('id' => 'mybtn' . rand(), 'class' => 'customer-save-btn btn btn-theme'));
           
    ?>
</div>
<?php $this->endWidget(); ?>
