<div class="tab-content">
    <div class="tab-pane active" id="masterunit_sec">
        <section class="panel">
            <header class="panel-heading clearfix panel-theame">
                <i class="fa fa-users"></i> Master Unit
                <?php if(Yii::app()->user->user_access_type != 'DEV' && Yii::app()->user->user_access_type != 'SU' && Yii::app()->user->user_access_type != 'SM' && Yii::app()->user->user_access_type != 'OM'){ ?>
                <div class="pull-right">
                    <button class="btn btn-sm btn-theme" onclick="loadPopupModal('masunit/create', 'New Master Unit', 'lg')"><i class="fa fa-plus"></i> ADD</button>
                </div>
                <?php } ?>
             
            <div class="pull-right" style="display:inline-flex">
                &NonBreakingSpace;
                <?php 
                if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM')
                {
                $array=array('class'=>'form-control','data-label'=>'Outlet','prompt' => 'All Outlets','style'=>'max-width: 130px;','onchange'=>'reloadTable("#tbl_masterunit");');
                }
                else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL')
                {
                $array=array('class'=>'form-control','data-label'=>'Outlet','style'=>'max-width: 130px;','onchange'=>'reloadTable("#tbl_masterunit");');
                }
                echo CHtml::dropdownlist('unit_outlet','', MasOutlets::getAllOutlets(),$array); 
                ?>
                </div>
                </header>  
            <div class="panel-body">
                <div class="custom-data-table">
                    <table class="table table-hover table-bordered personal-task" id="tbl_masterunit">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Unit</th>
                                <th>Label</th>
                                <th>BaseUnit</th>
                                <th>Factor</th>
                                <th>Outlet</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </section>
    </div>
</div>
<script>
    $(document).ready(function () {
        var table_details_id = "#tbl_masterunit";
        table_details = $(table_details_id).on("preXhr.dt", function (e, settings, data) {
        data.outlet = $("#unit_outlet").val();
        return data;
    }).DataTable({
            scrollY: "550px",
            "bAutoWidth": true,
            pageLength: 50,
            ajax: {
                url: "index.php?r=masunit/getlist",
                type: "POST",
                cache: false,
            },
            serverSide: true,
            fixedColumns: true,
            processing: true,
            order: [[1, "asc"]],
            aoColumnDefs: [
              { "bSortable": false, "aTargets": [6] },
              {
                 "targets": [7,8],
                 "visible": false,
              },
            ],
            "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {

                if (aData[7] == "N") {
                    $("td", nRow).addClass("bg-danger");
                }
                if (aData[8] == "Y") {
                    $("td", nRow).addClass("bg-success");
                }
            }
        });
        $(".dataTables_scrollFoot").hide();

    });
</script>