<?php 

$cs = Yii::app()->getClientScript();

    $cs->registerScript("loadPage", "function loadPage(){
        if( $('#ledger_id').val() > 0 ){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('financial/vendor_statement_html') . "',
                'data' : { 'ledger_id' : $('#ledger_id').val() },
                'success': function(data) {
                    $('#data_div').show();
                    $('.main-li-data').html(data);
                    $('#loader').hide();
                }
            });
        }else{
            t8.error('Choose customer first!');
            return false;
        }
    }", CClientScript::POS_HEAD);
?>

<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="text-center panel-heading clearfix"><h4><b>INVOICE OUTSTANDING (PURCHASE)</b></h4></header>
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <li class="col-sm-3">
                        <?php echo CHtml::dropdownlist( 'ledger_id', '', VanLedgers::get_accounts(array('"'.VanLedgers::VENDOR.'"')),array('data-label'=>'Vendor', 'data-search' => true)); ?>
                    </li>
                     <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportpdf/vendorstatement&ledger_id='+$('#ledger_id').val(), '_blank'); ">PDF</a>
                        <a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/vendorstatement&ledger_id='+$('#ledger_id').val());">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                <div class="tab-pane main-li-data active" id="gl_tab">
                </div>
            </div>
        </section>
    </div>
</div>
