<?php

$cs = Yii::app()->getClientScript();

$cs->registerScript("load", '

        $(document).ready(function() {

         



            $("#tbl_vendors").on("preXhr.dt", function (e, settings, data) {

                data.type = "vendors";

                data.view_type = "outlet";

                data.outlet_id = "'.Yii::app()->user->outlet_id.'";

                return data;

            }).DataTable({

                "sScrollY": "auto",

                pageLength      : 50,

                columns: [

                    {className: "nw sl col-max-3"},

                    {className: "nw sl col-max-3"},

                    {className: "nw sl col-max-2"},

                    {className: "nw sl col-max-2"},

                    {className: "nw sl col-max-3"},

                    {className: "nw sl col-max-1"},

                    {className: "nw sl col-max-1"},

                    {className: "nw sl col-max-1"},

                ],

                ajax: {

                    url: "' . Yii::app()->createUrl('ledger/getLedgers') . '",

                    type: "POST",

                    cache : false,

                },

                serverSide:     true,

                fixedColumns:   true,

                processing: true,

                order: [[ 0, "ASC" ]],

            });



            

    });', CClientScript::POS_HEAD);

?>





<div class="tab-content">



    <!--vendors section start-->

    <div class="tab-pane active" id="vendors_sec">

        <section class="panel">

            <header class="panel-heading clearfix panel-theame">

                <i class="fa fa-users"></i> Vendors

                <div class="pull-right">

                    <button class="btn btn-sm btn-theme" onclick="loadPopupModal('ledger/createledger&type=vendors&view_type=outlet','New Vendor','lg')"><i class="fa fa-plus"></i> ADD</button>

                </div>

            </header>   

            <div class="panel-body">

                <div class="custom-data-table">

                    <table class="table table-hover table-bordered personal-task" id="tbl_vendors">

                        <thead>

                            <tr>

                                <th>Name</th>

                                <th>Alias</th>

                                <th>Phone</th>

                                <th>Address</th>

                                <th>Emirate</th>

                                <th>TRN No</th>

                                <th>Balance</th>

                                <th>Actions</th>

                            </tr>

                        </thead>

                    </table>

                </div>

            </div>

        </section>

    </div>

    <!--vendors end-->



</div>

