<!DOCTYPE html>
<html>
<head>
    <title> <?php echo ucfirst($model->vouchertypeDetails->name); ?></title>
</head>
<body>
    <div class="">
        <div class="col-6">
        <br>
                <div class="h3" style="margin-top: 0;margin-bottom: 0;">
                    <?php echo ucfirst($model->vouchertypeDetails->name); ?>
                </div>
                <div class="input-block">
                    <b><?php echo $model->number; ?></b>
                </div>
                <br><br><br>
                <table class="table" style="width:100%">
                    <tr>
                        <td><b>Voucher Date</b></td>
                        <td>
                            <?php echo date('d/m/Y',strtotime($model->date));?>
                        </td>
                    </tr>
                    <tr> 
                        <td>Outlet</td>
                        <td><?php echo $model->outletDetails->name; ?></td>
                    </tr>
                    <tr> 
                        <td>User</td>
                        <td><?php echo $model->userDetails->full_name; ?></td>
                    </tr>
            </table>
        </div>
        <div class="col-5 offset-1" style="color:#101010;">
                <div class="text-right">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                    <p><?php echo nl2br($userModel->companyDetails->billing_address); ?></p>
                </div>
            
        </div>
    </div>
    <br>
    <div class="col-md-12">
        <table id="" class="table">
            <thead>
                <tr>
                    <th class="text-center" style="width:1%">No</th>
                    <th class="text-center" style="width:40%">Account</th>
                    <th class="text-center" style="width:30%">Debit</th>
                    <th class="text-center" style="width:30%">Credit</th>
                </tr>
            </thead>
            <tbody>
                 <?php 
                    $debitTotal = 0;
                    $creditTotal = 0;
                    foreach ( $model->entries as $i =>  $each ) { ?>
                 <tr>
                    <td><?php echo $i+1; ?></td>
                    <td><?php echo $each->ledger->name; ?></td>  
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency( ( $each->amount > 0 ) ? $each->amount : 0," "); ?> <br>@<small><?php echo $each->currencyDetails->code.'/'.(float) $each->exchange_rate ?></small></td>  
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency( ( $each->amount < 0 ) ? abs($each->amount) : 0," "); ?> <br>@<small><?php echo $each->currencyDetails->code.'/'.(float) $each->exchange_rate ?></small></td>   
                </tr>
                
                    <?php
                        ( $each->amount > 0 )  ? $debitTotal += round(($each->amount * $each->exchange_rate), 2) : $creditTotal += round((abs($each->amount) * $each->exchange_rate), 2);
                    }
                ?>
                    <tr>
                        <td class="text-right" colspan="2"><b>Total (AED)</b></td>
                        <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($debitTotal," ");?></b></td>
                        <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($creditTotal," ");?></b></td>
                    </tr>
            </tbody>
        </table>
		<br>
    </div>
    <br><br> <br><br>
    <div style="position:relative">
        <div style="float:left; width: 40%;text-align: center;"> 
                ___________________________________________  <br>
                <span style="text-align: center;"><small>Prepared By / Signature</small></span>
        </div>
        <div style="width: 20%;"></div>
        <div style="width: 40%;float: right;text-align: center;"> 
                ___________________________________________ <br>
                <span style="text-align: center;"><small>Verified By / Signature</small></span>
        </div>
    </div>

    
    <htmlpagefooter name="myfooter">
            <div style="text-align:center;width:100%;font-size:10px">
            </div>
            <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
                <div class="col-12">
                    <div class="col-6">
                        <p style="text-align:left;font-size:10px;padding-left:17px;">
                            Generated by : <?php echo $userModel->full_name; ?>
                        </p>
                    </div>
                    <div class="col-6">
                        <p style="text-align:right;font-size:10px;padding-right:17px;">
                        <?php
                                date_default_timezone_set("Asia/Dubai");
                                echo date('l, F j, Y') . " " . date("h:i a");
                        ?>
                        </p>
                    </div>
                </div>
                <div style="text-align:center;width:100%;padding-top:-22px;">
                    <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p> 
                </div>
            </div>
        </htmlpagefooter> 

</body>

</html>
