<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'voucher-form' . rand(),
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
));
$cs = Yii::app()->getClientScript();
$cs->registerScript("copyValue", "function copyValue(event, field_id){



    var totalValue = $('#received_amount').val();

    var totalAlloc = 0;



    $('#allocation_table').find('tr:gt(0)').each(function() {

        if( parseFloat( $(this).find('[id $=_amount]').val() ) > 0 )

            totalAlloc += parseFloat( $(this).find('[id $=_amount]').val() );

    });



    var balance = Number(totalValue) - Number(totalAlloc);

    balance= roundToTwo(balance);

    var arr_field_id = field_id.split('_');

    var i = arr_field_id[1];



    if( $(event).prop('checked') ){

        var pastable = $('#Allocate_'+i+'_balance').val() > balance ? balance : $('#Allocate_'+i+'_balance').val();

        $('#Allocate_'+i+'_amount').val( pastable );

    }else{

        $('#Allocate_'+i+'_amount').val(0);

    }

}", CClientScript::POS_HEAD);

$cs->registerScript('calculateTotal', 'function calculateTotal( flag ){

    var creditTotal = 0;

    var credit =0;

    var ex_rate =0;

    $("#voucher_entries").find("tr:gt(0)").each(function() {

        ex_rate = parseFloat($(this).find("[id $=_exchange_rate]").val() );

        credit = parseFloat($(this).find("[id $=_credit]").val());

        if( parseFloat($(this).find("[id $=_credit]").val()) > 0 )

            creditTotal += roundToTwo(( credit * ex_rate ));

    });

    var formatted_value_credit = creditTotal > 0 ? parseFloat(creditTotal)

    .toFixed(2)

    .toString()

    .replace(/\B(?=(\d{3})+(?!\d))/g, ",") : 0.00;



    $("#credit_total").val( formatted_value_credit );

    $(".alloc_received").text( formatted_value_credit);



    if( flag )

        $("#allocation_table").find("tr:gt(0)").each(function() {

        $(this).find("[id $=_amount]").val("");

        $(this).find("[id $=_check]").prop("checked", false);

        });



    calculateValue();

}', CClientScript::POS_HEAD);


$cs->registerScript('calculateValue', 'function calculateValue(){

    var totalAlloc = 0;

    var totalValue = $("#received_amount").val();

    var balance = 0;



    $("#allocation_table").find("tr:gt(0)").each(function() {

        if( parseFloat( $(this).find("[id $=_amount]").val() ) > 0 )

            totalAlloc += parseFloat( $(this).find("[id $=_amount]").val() );

    });



    balance = Number(totalValue) - Number(totalAlloc);



    var formatted_value_alloc = totalAlloc > 0 ? parseFloat(totalAlloc)

        .toFixed(2)

        .toString() : 0.00;



    var formatted_value_bal = balance > 0 ? parseFloat(balance)

        .toFixed(2)

        .toString() : 0.00;



    $(".alloc_allocated").text( formatted_value_alloc );

    $(".alloc_bal").text( formatted_value_bal );

}', CClientScript::POS_HEAD);


$cs->registerScript('validateAmount', 'function validateAmount(maximum, field_id, value){



    var totalValue = $("#received_amount").val();

    var totalAlloc = 0;



    $("#allocation_table").find("tr:gt(0)").each(function() {

        if( parseFloat( $(this).find("[id $=_amount]").val() ) > 0 )

            totalAlloc += parseFloat( $(this).find("[id $=_amount]").val() );

    });



    if( value > Number(maximum) || value < 0 || Number(totalAlloc) > Number(totalValue) ){

        $("#"+field_id).val("");

    }



}', CClientScript::POS_HEAD);



$cs->registerScript("nextline", "function nextline(event)

{

    if ( event.keyCode == 13 || event.keyCode == 9 ) {

        event.preventDefault();

        newVoucher($('#voucher_entries'));

        return false;

    }

}", CClientScript::POS_HEAD);

$cs->registerScript("newVoucher", " function newVoucher(jQtable) {

    formId              =   jQtable.attr('id');

    formIdStarter       =   jQtable.attr('id').split(/_(.+)?/)[0];

    lastId = jQtable.find('tr:last input:first').attr('id');

    thenum = lastId.match(/\d+/g);

    newId = Number(thenum) + 1;

    newrow= jQtable.find('tr:last').clone();

    newrow.find('label:first').html(newId+1);

    newrow.attr('class',newId);

    newrow.find('div,input,textarea,checkbox,td,select,.errorMessage,a').each(function() {

        this.id= this.id.replace(/\d+/,newId);

        if(!$(this).is(':checkbox'))

            this.value  = '';

        else

            $(this).prop('checked', false);

        (this.name!==undefined) ? this.name= this.name.replace(/\d+/,newId) : this.style = '';

    });

    jQtable.append(newrow);

    $('#VanTransactions_'+newId+'_ledger_name').focus();

    $('#VanTransactions_'+newId+'_currency_id').val(1); //AED

    $('#VanTransactions_'+newId+'_exchange_rate').val(1); //AED

}", CClientScript::POS_HEAD);



$cs->registerScript("format_currency", "function format_currency(field_id)

{

var currency = $('#'+field_id).val() > 0 ?  $('#'+field_id).val() : 0;

var formatted_value = currency > 0 ? parseFloat(currency)

.toFixed(2)

.toString() : 0.00;

$('#'+field_id).val(formatted_value);

}", CClientScript::POS_HEAD);
$debitTotal = 0;
$creditTotal = 0;
?>
<ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
    <li><a href="#alloc_tab" class="active"> Allocate</a></li>
</ul>

    <div class="tab-content">
            <div id="alloc_tab" class="tab-pane active" >
                <table class="table table-bordered" id="allocation_table">
                    <thead>
                        <tr>
                            <th style="width:1%">#</th>
                            <th style="width:5%">Date</th>
                            <th style="width:15%">Type</th>
                            <th style="width:10%">Inv #</th>
                            <th style="width:15%">Total</th>
                            <th style="width:15%">Allocated</th>
                            <th style="width:15%">Balance</th>
                            <th style="width:20%">Amount</th>
                        </tr>
                    </thead>
                    <?php
$voucher_item=VanTransactions::model()->findByPk($voucher_id);
$amountBc = $voucher_item->amount * $voucher_item->exchange_rate;
$item_id=(int) $voucher_item->id;
            $allocatedValue = Yii::app()->db->createCommand('SELECT IFNULL(ROUND(SUM(A.amount), 6), 0) AS amount FROM {{allocation}} A LEFT JOIN {{vouchers}} V ON V.id = A.parent_voucher_id WHERE V.is_posted="Y" AND (A.child_id=' . $item_id .' OR A.parent_id=' . $item_id .')')->queryScalar();
            if($amountBc>0)
            { 
            $balance_amt = abs((float) $amountBc - (float) $allocatedValue);
            }
            else {
            $balance_amt = abs((float) $amountBc + (float) $allocatedValue);    
            }
echo CHtml::hiddenfield('received_amount', $balance_amt);
echo CHtml::hiddenfield('voucher_id',$item_id);
$ledgerModel = VanLedgers::model()->findBypk($voucher_item->ledger_id);
if($ledgerModel->type=='L')
{
$condition='T.amount < 0';
}
else if($ledgerModel->type=='A')
{
$condition='T.amount > 0';   
}
                                    $query = 'SELECT

                                        V.id AS voucher_id,

                                        VT.name AS voucher_type,

                                        V.number AS voucher_no,

                                        V.date AS voucher_date,

                                        T.id AS voucher_item_id,

                                        T.ledger_id AS ledger_id,

                                        ABS(ROUND((T.amount*T.exchange_rate), 6)) AS voucher_value

                                    FROM {{transactions}} T

                                    LEFT JOIN {{vouchers}} V ON V.id = T.voucher_id

                                    LEFT JOIN {{voucher_types}} VT ON V.type = VT.id

                                    WHERE V.is_posted="Y" AND '.$condition.' AND T.ledger_id=' . (int) $voucher_item->ledger_id . '

                                    GROUP BY T.id ORDER BY V.date ASC';



$items = Yii::app()->db->createCommand($query)->queryAll();

?>

                    <tbody id="alloc_data_body">

                        <?php

if (!empty($items)) {

    foreach ($items as $i => $each) {

        $returnsValue = (float) VanVouchers::model()->findBypk($each['voucher_id'])->returns_total;

        $voucherValue = (float) $each['voucher_value'] ;

        $allocatedValue = Yii::app()->db->createCommand('SELECT IFNULL(ROUND(SUM(A.amount), 6), 0) AS amount FROM {{allocation}} A LEFT JOIN {{vouchers}} V ON V.id = A.parent_voucher_id WHERE V.is_posted="Y" AND A.child_id=' . (int) $each['voucher_item_id'])->queryScalar();

        $balance = (float) $voucherValue - (float) $allocatedValue;



        if (round($balance,2) > 0) {

            echo '<tr>

                <td>' . CHtml::CheckBox('Allocate[' . $i . '][check]', '', array('value' => $each['voucher_item_id'], 'onChange' => 'copyValue(this, this.id); calculateValue();')) . '</td>

                <td>' . date('d/m/Y', strtotime($each['voucher_date'])) . '</td>

                <td>' . $each['voucher_type'] . '</td>

                <td>' . $each['voucher_no'] . '</td>

                <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($voucherValue, " ") . '</td>

                <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($allocatedValue, " ") . '</td>

                <td class="text-right">' . Yii::app()->numberFormatter->formatCurrency($balance, " ") . '</td>

                <td>' . CHtml::hiddenfield('Allocate[' . $i . '][voucher_id]', $each['voucher_id']) .

                CHtml::hiddenfield('Allocate[' . $i . '][voucher_item_id]', $each['voucher_item_id']) .

                CHtml::hiddenfield('Allocate[' . $i . '][balance]', round($balance, 2)) .

                CHtml::hiddenfield('Allocate[' . $i . '][ledger_id]', $each['ledger_id']) .

                CHtml::textfield('Allocate[' . $i . '][amount]', 0, array('class' => 'form-control text-right', 'onkeyup' => 'validateAmount("' . round($balance, 2) . '", this.id, this.value); calculateValue();')) . '</td>

                                                                                </tr>';

        }



    }

} else {

    echo '<tr>

            <td colspan="8" class="text-center"> No Data</td>

        </tr>';

}

?>

                    </tbody>

                </table>

                <table class="table table-hover table-bordered table-nexted quotes_total">

                    <tr class="bg-total">

                        <td width="70%" class="text-right table_total_title">

                            <h2>Received (<?php echo VanCurrency::base_currency_code() ?>)</h2>

                        </td>

                        <td width="30%" class="text-right table_total ">

                            <h2 class="text-right alloc_received"><?php echo Yii::app()->numberFormatter->formatCurrency($balance_amt, " "); ?></h2>

                        </td>

                    </tr>

                </table>

                <table class="table table-hover table-bordered table-nexted quotes_total">

                    <tr class="bg-total">

                        <td width="70%" class="text-right table_total_title">

                            <h2>Allocated (<?php echo VanCurrency::base_currency_code() ?>)</h2>

                        </td>

                        <td width="30%" class="text-right table_total ">

                            <h2 class="text-right alloc_allocated"><?php echo Yii::app()->numberFormatter->formatCurrency($total, " "); ?></h2>

                        </td>

                    </tr>

                </table>

                <table class="table table-hover table-bordered table-nexted quotes_total">

                    <tr class="bg-total">

                        <td width="70%" class="text-right table_total_title">

                            <h2>Balance (<?php echo VanCurrency::base_currency_code() ?>)</h2>

                        </td>

                        <td width="30%" class="text-right table_total ">

                            <h2 class="text-right alloc_bal"><?php echo Yii::app()->numberFormatter->formatCurrency($total, " "); ?></h2>

                        </td>

                    </tr>

                </table>

            </div>

        </div>

<div class="modal-footer">

    <button type="button" class="btn btn-danger" id="cust_close" data-dismiss="modal">Close</button>

    <?php



echo CHtml::ajaxSubmitButton('Save', Yii::app()->createUrl('voucher/saveAllocation'), array(

    'dataType' => 'json',

    'type' => 'post',

    'success' => 'function(data) {

            $("#loader").hide();

            if(data.status=="success"){

                t8.success("Done!");

                    $(".x.close").click();

                }else{

                    $.each(data, function(key, val) {

                        t8.error(""+val+"");

                    });

                }

            }',

    'beforeSend' => 'function(){

                $("#loader").show();

            }',

), array('id' => 'mybtn' . rand(), 'class' => 'voucher-submit btn btn-theme'));



?>

    </div>

<?php $this->endWidget();?>
<script>

$(function() {

    lastId = $('#voucher_entries').find('tr:last input:first').attr('id');

    thenum = lastId;

    setTimeout(function() {

        $('#VanTransactions_'+thenum+'_ledger_name').focus();

        calculateTotal(false);

    }, 500);

});

function roundToTwo(num) {

    return +(Math.round(num + "e+2")  + "e-2");

}

</script>

