<?php

$cs = Yii::app()->getClientScript();

$cs->registerScript("cancel_voucher", "function cancel_voucher(id){

    var r = confirm('Are you sure to cancel the voucher? This cant be reverted!!');

    if(r==true)

        jQuery.ajax({

            'type'  : 'post',

            'data'  : {'id' : id},

            'url'  : $('#liveSite').val()+'index.php?r=voucher/cancelvoucher',

            'cache': false,

            'success':function(data){

                if(data=='success'){

                    t8.success('Done!');

                    reloadTable('#tbl_journal');

                    reloadTable('#tbl_receipts');

                    reloadTable('#tbl_payments');

                    reloadTable('#tbl_purchase');

                    reloadTable('#tbl_sales');

                    reloadTable('#tbl_purchase_rtn');

                    reloadTable('#tbl_sales_rtn');

                }else{

                    t8.error(data);

                }

            }

        });

};", CClientScript::POS_HEAD);

$cs->registerScript("remove_allocation", "function remove_allocation(id){

    var r = confirm('Do you want to remove allocation!!');

    if(r==true)

        jQuery.ajax({

            'type'  : 'post',

            'data'  : {'id' : id},

            'url'  : $('#liveSite').val()+'index.php?r=voucher/removeallocation',

            'cache': false,

            'success':function(data){

                if(data=='success'){

                    t8.success('Done!');

                    reloadTable('#tbl_journal');

                    reloadTable('#tbl_receipts');

                    reloadTable('#tbl_payments');

                    reloadTable('#tbl_purchase');

                    reloadTable('#tbl_sales');

                    reloadTable('#tbl_purchase_rtn');

                    reloadTable('#tbl_sales_rtn');

                }else{

                    t8.error(data);

                }

            }

        });

};", CClientScript::POS_HEAD);



$cs->registerScript("load", '

        $(document).ready(function() {

            $("#tbl_receipts").on("preXhr.dt", function (e, settings, data) {

                data.type = "receipts";
                data.from = $("#receipt_from").val();
                data.to = $("#receipt_to").val();


                return data;

            }).DataTable({

                "sScrollY": "auto",

                pageLength      : 50,

                columns: [

                    {className: "nw sl col-max-1"},

                    {className: "nw sl col-max-2"},

                    {className: "nw sl col-max-2"},

                    {className: "nw sl col-max-1 text-right"},

                    {className: "nw sl col-max-1"},

                ],

                "oLanguage": {

                    "sSearch": "Voucher No:"

                },

                ajax: {

                    url: "' . Yii::app()->createUrl('voucher/getvouchers') . '",

                    type: "POST",

                    cache : false,

                },

                serverSide:     true,

                fixedColumns:   true,

                processing: true,

                order: [[ 1, "DESC" ]],

            });


            $("#tbl_sales").on("preXhr.dt", function (e, settings, data) {

                data.type = "sales";
                data.from = $("#sale_from").val();
                data.to = $("#sale_to").val();

                return data;

            }).DataTable({

                "sScrollY": "auto",

                pageLength      : 50,

                columns: [

                    {className: "nw sl col-max-1"},

                    {className: "nw sl col-max-2"},

                    {className: "nw sl col-max-2"},

                    {className: "nw sl col-max-1 text-right"},

                    {className: "nw sl col-max-1 text-right"},

                    {className: "nw sl col-max-1"},

                    {className: "nw sl col-max-1"},

                ],

                ajax: {

                    url: "' . Yii::app()->createUrl('voucher/getvouchers') . '",

                    type: "POST",

                    cache : false,

                },

                "oLanguage": {

                    "sSearch": "Voucher No:"

                },

                serverSide:     true,

                fixedColumns:   true,

                processing: true,

                order: [[ 1, "DESC" ]],

            });



            $("#tbl_sales_rtn").on("preXhr.dt", function (e, settings, data) {

                data.type = "creditnote";
                data.from = $("#sale_rtn_from").val();
                data.to = $("#sale_rtn_to").val();

                return data;

            }).DataTable({

                "sScrollY": "auto",

                pageLength      : 50,

                columns: [

                    {className: "nw sl col-max-1"},

                    {className: "nw sl col-max-2"},

                    {className: "nw sl col-max-2"},

                    {className: "nw sl col-max-1"},

                    {className: "nw sl col-max-1 text-right"},

                    {className: "nw sl col-max-1 text-right"},

                    {className: "nw sl col-max-1"},

                ],

                ajax: {

                    url: "' . Yii::app()->createUrl('voucher/getvouchers') . '",

                    type: "POST",

                    cache : false,

                },

                "oLanguage": {

                    "sSearch": "Voucher No:"

                },

                serverSide:     true,

                fixedColumns:   true,

                processing: true,

                order: [[ 1, "DESC" ]],

            });





    });', CClientScript::POS_HEAD);

?>



<!--ul start-->

<ul class="nav nav-tabs company-nav-tabs nav-tab-theme">

    <li class="active" onclick="reloadTable('#tbl_sales')"><a href="#sales_sec" data-toggle="tab"> <i class="fa fa-cogs"></i> Sales</a></li>

    <li onclick="reloadTable('#tbl_sales_rtn')"><a href="#sales_rtn_sec" data-toggle="tab"> <i class="fa fa-cogs"></i> Returns</a></li>  

    <li onclick="reloadTable('#tbl_receipts')"><a href="#receipts_sec" data-toggle="tab"> <i class="fa fa-cogs"></i> Receipts</a></li> 



</ul>

<!--ul end-->





<div class="tab-content">



    <!--Receipts section start-->

    <div class="tab-pane" id="receipts_sec">

        <section class="panel">
            <header class="panel-heading clearfix">
                <div class="pull-right" style="display:inline-flex">
                    <input type="text" name="receipt_from" id="receipt_from" class="datepicker form-control" value="<?php echo date('01/m/Y') ?>">&NonBreakingSpace;<input type="text" name="receipt_to" id="receipt_to" class="datepicker form-control" value="<?php echo date('d/m/Y') ?>">&NonBreakingSpace;<button class="btn btn-theme btn-md" onclick="reloadTable('#tbl_receipts');"><i class="fa fa-retweet"></i></button>
                </div>
            </header>
            <div class="panel-body">

                <div class="custom-data-table">

                    <table class="table table-hover table-bordered personal-task" id="tbl_receipts">

                        <thead>

                            <tr>

                                <th>Voucher No</th>

                                <th>Date</th>

                                <th>Particulars</th>

                                <th>Value</th>

                                <th>Actions</th>

                            </tr>

                        </thead>

                    </table>

                </div>

            </div>

        </section>

    </div>

    <!--Receipts end-->





    <!--sales section start-->

    <div class="tab-pane active" id="sales_sec">

        <section class="panel">
            <header class="panel-heading clearfix">
                <div class="pull-right" style="display:inline-flex">
                    <input type="text" name="sale_from" id="sale_from" class="datepicker form-control" value="<?php echo date('01/m/Y') ?>">&NonBreakingSpace;<input type="text" name="sale_to" id="sale_to" class="datepicker form-control" value="<?php echo date('d/m/Y') ?>">&NonBreakingSpace;<button class="btn btn-theme btn-md" onclick="reloadTable('#tbl_sales');"><i class="fa fa-retweet"></i></button>
                </div>
            </header>
            <div class="panel-body">

                <div class="custom-data-table">

                    <table class="table table-hover table-bordered personal-task" id="tbl_sales">

                        <thead>

                            <tr>

                                <th>Voucher No</th>

                                <th>Date</th>

                                <th>Customer</th>

                                <th>VAT</th>

                                <th>Grand Total</th>

                                <th>Status</th>

                                <th>Actions</th>

                            </tr>

                        </thead>

                    </table>

                </div>

            </div>

        </section>

    </div>

    <!--sales end-->



    <!--sales section start-->

    <div class="tab-pane" id="sales_rtn_sec">

        <section class="panel">
            <header class="panel-heading clearfix">
                <div class="pull-right" style="display:inline-flex">
                    <input type="text" name="sale_rtn_from" id="sale_rtn_from" class="datepicker form-control" value="<?php echo date('01/m/Y') ?>">&NonBreakingSpace;<input type="text" name="sale_rtn_to" id="sale_rtn_to" class="datepicker form-control" value="<?php echo date('d/m/Y') ?>">&NonBreakingSpace;<button class="btn btn-theme btn-md" onclick="reloadTable('#tbl_sales_rtn');"><i class="fa fa-retweet"></i></button>
                </div>
            </header>
            <div class="panel-body">

                <div class="custom-data-table">

                    <table class="table table-hover table-bordered personal-task" id="tbl_sales_rtn">

                        <thead>

                            <tr>

                                <th>Voucher No</th>

                                <th>Date</th>

                                <th>Invoice No</th>

                                <th>Customer</th>

                                <th>VAT</th>

                                <th>Grand Total</th>

                                <th>Actions</th>

                            </tr>

                        </thead>

                    </table>

                </div>

            </div>

        </section>

    </div>

    <!--sales end-->



</div>

