<style>
    .nopad {
        padding: 2px;
        font-size: 14.50px;

    }
    .card-heading{
        font-size:15px;
    }
    .card-widget-body{
        height:auto;
    }

</style>
<div class="row ">
    <div class="col-md-6">
        <div class="card-widget">
            <div class="card-heading">Party</div>
            <div class="card-widget-icon">
                <i class="fa fa-user" aria-hidden="true"></i>
            </div>
            <div class="card-widget-body">
                <div class="clearfix">
                    <span class="block col-xs-3 nopad text-bold">Name</span>
                    <span class="block col-xs-9 nopad">: <?php echo $model->partyDetails->name; ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-3 nopad text-bold">Phone No</span>
                    <span class="block col-xs-9 nopad">: <?php echo $model->partyDetails->phone_no; ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-3 nopad text-bold">TRN No</span>
                    <span class="block col-xs-9 nopad">: <?php echo $model->partyDetails->trn_no ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-3 nopad text-bold">Emirate</span>
                    <span class="block col-xs-9 nopad">: <?php echo $model->partyDetails->tax_classification; ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-3 nopad text-bold">Billing Address</span>
                    <span class="block col-xs-9 nopad">: <?php echo nl2br($model->billing_address); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class="card-widget">
            <div class="card-heading">Invoice Details</div>
            <div class="card-widget-icon">
                <i class="fa fa-file" aria-hidden="true"></i>
            </div>
            <div class="card-widget-body">
                <div class="clearfix">
                    <span class="block col-xs-4 nopad text-bold">Invoice No</span>
                    <span class="block col-xs-8 nopad">: <?php echo $model->number; ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-4 nopad text-bold">Invoice Date</span>
                    <span class="block col-xs-8 nopad">: <?php echo date('d/m/Y', strtotime($model->date)); ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-4 nopad text-bold">Due Date</span>
                    <span class="block col-xs-8 nopad">: <?php echo date('d/m/Y', strtotime($model->due_date)); ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-4 nopad text-bold">Total VAT (<?php echo VanCurrency::base_currency_code() ?>)</span>
                    <span class="block col-xs-8 nopad">: <?php echo Yii::app()->numberFormatter->formatCurrency($model->total_vat_bc, " "); ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-4 nopad text-bold">Grand Total (<?php echo VanCurrency::base_currency_code() ?>)</span>
                    <span class="block col-xs-8 nopad">: <?php echo Yii::app()->numberFormatter->formatCurrency($model->grand_total_bc, " "); ?></span>
                </div>

                <div class="clearfix">
                    <span class="block col-xs-4 nopad text-bold">Currency</span>
                    <span class="block col-xs-8 nopad">: <?php echo $model->voucher_currency_code; ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-4 nopad text-bold">Country</span>
                    <span class="block col-xs-8 nopad">: <?php echo $model->partyDetails->Country_name; ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-4 nopad text-bold">Invoice Age</span>
                    <span class="block col-xs-8 nopad">: <?php echo $model->Invoice_age; ?></span>
                </div>
                <div class="clearfix">
                    <span class="block col-xs-4 nopad text-bold">Over Due</span>
                    <span class="block col-xs-8 nopad">: <?php echo $model->over_due_days; ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class="table-responsive">
            <h5><u>Returns</u></h5>
            <table class="table table-hover table-striped table-bordered ">
                <thead>
                    <tr>
                        <th style="width:30%">Return No</th>
                        <th style="width:30%">Date</th>
                        <th style="width:30%">Grand Total (<?php echo VanCurrency::base_currency_code() ?>)</th>
                    </tr>
                </thead>
                <tbody>
                    <?php 
                        $totalReturns = 0;
                        $returns = VanVouchers::model()->findAll( array( 'condition' => 'is_posted="Y" AND return_parent='.(int) $model->id, 'order' => 'date ASC' ) );
                        if( !empty( $returns ) ){
                            foreach( $returns as $each ){
                    ?>
                            <tr>
                                <td><a href="#" onclick="window.open($('#liveSite').val()+'index.php?r=voucher/print&id=<?php echo $each->id; ?>', '_blank');"><?php echo $each->number; ?></a></td>
                                <td><?php echo date('d/m/Y', strtotime($each->date)); ?></td>
                                <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($each->grand_total_bc, " "); ?></td>
                            </tr>
                        <?php   
                            $totalReturns += $each->grand_total_bc;
                                }
                        }else{ ?>
                            <tr><td colspan="3" class="text-center">No Data</td></tr>
                        <?php } ?>
                </tbody>
            </table>
        </div>
    </div>

    <div class="col-md-6">
        <div class="table-responsive">
            <h5><u><?php echo $model->type== 4 ? 'Receipts' : 'Payments' ?></u></h5>
            <table class="table table-hover table-striped table-bordered ">
                <thead>
                    <tr>
                        <th style="width:30%">Voucher No</th>
                        <th style="width:30%">Date</th>
                        <th style="width:30%">Amount (<?php echo VanCurrency::base_currency_code() ?>)</th>
                    </tr>
                </thead>
                <tbody>
                    <?php 
                        $totalReceived = 0;
                        $receipts = VanAllocation::model()->findAll( array( 'condition' => 'child_voucher_id='.(int) $model->id, 'order' => 'allocation_date ASC' ) );
                        if( !empty( $receipts ) ){
                            foreach( $receipts as $each ){
                    ?>
                            <tr>
                                <td><a href="#" onclick="window.open($('#liveSite').val()+'index.php?r=voucher/print&id=<?php echo $each->parent_voucher_id; ?>', '_blank');"><?php echo $each->parentheadDetails->number; ?></a></td>
                                <td><?php echo date('d/m/Y', strtotime($each->parentheadDetails->date)); ?></td>
                                <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($each->amount, " "); ?></td>
                            </tr>
                            <?php 
                                $totalReceived += $each->amount;
                            }
                        }else{ ?>
                            <tr><td colspan="3" class="text-center">No Data</td></tr>
                        <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
    
    <div class="col-md-12">
    <br>
        <table class="table table-hover table-bordered table-nexted quotes_total">
            <tr class="bg-total">
                <td width="70%" class="text-right table_total_title">
                    <h2>Total <?php echo $model->type== 4 ? 'Receivable' : 'Payable' ?></h2>
                </td>
                <td width="30%" class="text-right table_total ">
                    <?php 
                        $receivable = $model->grand_total_bc;
                        $receivable -= $totalReturns;
                        $balance = $receivable - $totalReceived;
                    ?>
                    <h2 class="text-right grand_total"><?php echo Yii::app()->numberFormatter->formatCurrency($receivable, " "); ?></h2>
                </td>
            </tr>
        </table>
        <table class="table table-hover table-bordered table-nexted quotes_total">
            <tr class="bg-total">
                <td width="70%" class="text-right table_total_title">
                    <h2><?php echo $model->type== 4 ? 'Received' : 'Paid' ?></h2>
                </td>
                <td width="30%" class="text-right table_total ">
                    <h2 class="text-right grand_total"><?php echo Yii::app()->numberFormatter->formatCurrency($totalReceived, " "); ?></h2>
                </td>
            </tr>
        </table>
        <table class="table table-hover table-bordered table-nexted quotes_total">
            <tr class="bg-total">
                <td width="70%" class="text-right table_total_title">
                    <h2>Balance</h2>
                </td>
                <td width="30%" class="text-right table_total ">
                    <h2 class="text-right grand_total"><?php echo Yii::app()->numberFormatter->formatCurrency($balance, " "); ?></h2>
                </td>
            </tr>
        </table>
    </div>
</div>