<!DOCTYPE HTML>
<html lang="en">

<head>
    <!--=============== basic  ===============-->

    <title>PRINT POS</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <meta charset="UTF-8">

    <!--=============== css  ===============-->
    <style type="text/css">
        body {
            font-family: 'Nunito', sans-serif;
            text-align: center;
            color: #777;
            background: #f9f9f9;
            font-weight: 400;
            margin: 0px;
            padding: 0px;

        }

        body h1 {
            font-weight: 500;
            margin-bottom: 0px;
            padding-bottom: 0px;
            color: #000;
        }

        @page {
            size: auto;
            margin: 0mm;
        }

        body h3 {
            font-weight: 400;
            margin-top: 10px;
            margin-bottom: 20px;
            font-style: italic;
            color: #000;
        }

        body a {
            color: #000;
        }

        .invoice-box {
            max-width: 500px;
            /* margin: 30px auto 30px; */
            margin: -29px auto 30px;
            padding: 15px;
            border: 1px solid #eee;
            font-size: 13px;
            line-height: 24px;
            background: #fff;
            color: #000;
        }

        .invoice-box table {
            width: 100%;
            /* width: 35%; */
            line-height: inherit;
            text-align: left;
        }

        .invoice-box table td {
            padding: 3px;
            vertical-align: top;
        }

        .invoice-box table tr td:nth-child(2) {
            text-align: right;
        }

        .invoice-box table tr.top table td {
            padding-bottom: 5px;
        }

        .invoice-box table tr.information table td {
            margin-top: 50px;
            padding-bottom: 20px;
        }

        .invoice-box table tr.heading td {
            background: #f9f9f9;
            border-bottom: 1px solid #eee;
            font-weight: 400;
        }

        .invoice-box table tr.details td {
            padding-bottom: 20px;
        }

        .invoice-box table tr.item td {
            border-bottom: 1px solid #eee;
        }

        .invoice-box table tr.item.last td {
            border-bottom: none;
        }

        .invoice-box table tr.total td:nth-child(2) {
            border-top: 2px solid #eee;
            font-weight: 400;
        }

        .print-button {
            padding: 7px 26px;
            text-decoration: none;
            color: #fff;
            background: #3AACED;
            display: inline-table;
            font-weight: 900;
            margin: 20px 0;
            font-size: 13px;
            border-radius: 4px;

        }

        @media only screen and (max-width: 600px) {
            .invoice-box table tr.top table td {
                width: 100%;
                display: block;
                text-align: center;
            }

            .invoice-box table tr.top table td {
                padding-bottom: 20px;
            }

            .invoice-box table tr.information table td {
                margin-top: 20px;
                padding-bottom: 20px;
            }

            .invoice-box table tr.information table td {
                width: 100%;
                display: block;
                text-align: center;
            }
        }

        @media print {
            .print-button {
                display: none;
            }

            .invoice-box {
                border: none;
            }
        }


        table th,
        table td {
            /*padding: 10px;*/
            border-bottom: 1px dashed;
            font-weight: 400;
        }

        table .desc {
            text-align: left;
        }

        table .unit {
            background: #f8f8f8;
        }

        table .qty {}

        table .total {
            background: #c00d0e;
            color: #FFFFFF;
        }

        table td.unit,
        table td.qty,
        table td.total {
            font-size: 1.2em;
        }

        .text-center {
            text-align: center !important;
        }

        .text-left {
            text-align: left !important;
        }

        .text-right {
            text-align: right !important;
        }

        .float-left {
            float: left !important;
        }

        .float-right {
            float: right !important;
        }

        .border-none {
            border: none !important;
        }

        .p-0 {
            padding: 0px !important;
        }

        .line_height {
            line-height: 0 !important;
        }

        .padd_left {
            padding-left: 0 !important;
            text-align: left !important;
        }

        .padd_center {
            padding-left: 0 !important;
            text-align: center !important;
        }

        .padd_right {
            padding-right: 0 !important;
            text-align: right !important;
        }

        .border-top {
            border-bottom: 1px dashed;
        }

        .product_border th {
            border: none;
        }
    </style>

</head>





<body onload="window.print()">
    <div class="invoice-box" id="divToPrint">

        <table>
            <tr class="top">
                <td colspan="2" style="border: none;">
                    <table>

                        <?php
                        $model = GoodsTransfer::model()->findByPk($id);
                        $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);

                        //'mehas_pos.png';
                        //  $logo_name = !empty($userModel->companyDetails->pos_pdf_logo) ? $userModel->companyDetails->pos_pdf_logo : $userModel->companyDetails->pdf_logo;

                        $logo_name = $userModel->companyDetails->pdf_logo;


                        ?>

                        <?php if (!empty($logo_name)) { ?>

                            <tr style="line-height:0;">
                                <td class="text-center border-none">


                                    <img style="width:150px" src="<?php echo 'images/' . $logo_name; ?>" class="logo">
                                </td>

                            </tr> </br>
                        <?php } else { ?>
                            </br></br>
                        <?php } ?>


                        <tr>
                            <td class="title text-center border-none p-0">
                                <h2 style="font-size: 15px;font-weight: 600;margin: 0;"><?php echo $userModel->companyDetails->name; ?></h2>
                                <p style="margin: 0;font-size: 13px;width: 100%;display: inline-block;line-height: 1.4;">

                                    <?php

                                    echo $userModel->companyDetails->pdf_footer;


                                    ?>


                                    <br>
                                    <span style="font-size: 13px;">
                                        <?php

                                        //print_r($userModel->companyDetails);


                                        echo "TRN No:" . $userModel->companyDetails->trn_no; ?>

                                    </span>

                                </p>
                            </td>
                        </tr>
                        <!-- -------------- -->
                        <table>
                            <tr>
                                <td></td>
                            </tr>
                        </table>
                        <!-- -------------- -->
                        <tr>

                            <td class="title text-center border-none p-0 line_height">
                                <p style="margin: 0;font-size: 14px;width: 50%;display: inline-block;font-weight: 600;line-height: 1;">
                                    <b>GOODS TRANSFER</b>
                                </p>
                            </td>
                        </tr>

                    </table>
                </td>
            </tr>

            <!-- -------------- -->
            <table>
                <tr>
                    <td></td>
                </tr>
            </table>
            <!-- -------------- -->

            <table border="0" cellspacing="0" cellpadding="0">

                <tbody class="product_border" style="font-size:13px;">

                    <tr style="line-height: 1;">

                        <th colspan="1" style="padding: 1px 5px; width:45% !important;"> Transfer No</th>

                        <th colspan="1" style="padding: 1px 5px;  width:5% !important;"> :</th>

                        <th colspan="1" style="padding: 1px 5px;font-size:13px;  width:50% !important;">
                            <?php echo  $model->transfer_no;
                            ?>
                        </th>
                    </tr>

                    <tr style="line-height: 1;">
                        <th colspan="1" style="padding: 1px 5px;">Transfer Date</th>

                        <th colspan="1" style="padding: 1px 5px;"> :</th>
                        <th colspan="1" style="padding: 1px 5px;font-size:13px; ">
                            <?php echo date('d/m/Y', STRTOTIME($model->transfer_date)); ?>
                        </th>
                    </tr>
                    <tr style="line-height: 1;">
                        <th colspan="1" style="padding: 1px 5px;"> Created Date</th>

                        <th colspan="1" style="padding: 1px 5px;"> :</th>
                        <th colspan="1" style="padding: 1px 5px;font-size:13px; ">
                            <?php echo date('d/m/Y H:i:s', strtotime($model->created_time)); ?>
                        </th>
                    </tr>


                    <tr style="line-height: 1;">
                        <th colspan="1" style="padding: 1px 5px;">Transfer from</th>

                        <th colspan="1" style="padding: 1px 5px;"> :</th>
                        <th colspan="1" style="padding: 1px 5px;font-size:13px;">
                            <?php
                            echo $model->gt_from_user->full_name;

                            ?>
                        </th>
                    </tr>

                    <tr style="line-height: 1;">
                        <th colspan="1" style="padding: 1px 5px;"> Transfer to </th>
                        <th colspan="1" style="padding: 1px 5px;"> :</th>
                        <th colspan="1" style="padding: 1px 5px;font-size:13px;">
                            <?php echo $model->gt_to_user->full_name; ?><br>

                        </th>

                    </tr>
                    <tr style="line-height: 1;">
                        <th colspan="1" style="padding: 1px 5px;"> Outlet </th>
                        <th colspan="1" style="padding: 1px 5px;"> :</th>
                        <th colspan="1" style="padding: 1px 5px;font-size:13px;">
                            <?php echo $model->gt_outlet->outlet_name; ?><br>
                        </th>
                    </tr>




                </tbody>
            </table>


            <!-- -------------- -->
            <table>
                <tr>
                    <td></td>
                </tr>
            </table>
            <!-- -------------- -->

            <table border="0" cellspacing="0" cellpadding="0">
                <thead style="font-size: 13px;">
                    <tr>
                        <th style=" width:8% !important;"></br>SL</th>
                        <th style="padding: 0px; width:33% !important;"></br>Part No.</th>
                        <th style=" width:39% !important;"></br>Description</th>
                        <th class="padd_center" style=" width:25% !important;"></br>Qty</th>
                    </tr>
                </thead>

                <tbody class="product_border" style="font-size:13px;">
                    <?php
                    $modelItems = GoodsTransferItems::model()->findAll(array('condition' => 'transfer_id=' . $id, 'order' => 'id ASC'));
                    foreach ($modelItems as $i => $eachItem) {
                    ?>
                        <tr style="line-height: 1;">
                            <th style="padding: 0px;"> <?php echo $i + 1; ?></th>
                            <th colspan="1" style="padding: 2px 5px;font-size:13px;"> <?php echo $eachItem->gt_product_details->part_number; ?></th>
                            <th colspan="1" style="padding: 2px 5px;font-size:13px;"> <?php echo $eachItem->description; ?></th>
                            <th class="padd_center" style="padding: 2px 5px;font-size:13px;"> <?php echo number_format($eachItem->quantity, 0);
                                                                                                $total_qty += $eachItem->quantity; ?></th>
                            <?php $_total = $rate * $eachItem->quantity; ?>
                        </tr>
                    <?php  }   ?>
                </tbody>


                <tbody>
                    <tr>
                        <th class="padd_left" colspan="5" style="padding: 2px;"></th>
                    </tr>
                </tbody>

                <!-- --------//------ -->
                <table border="0" cellspacing="0" cellpadding="0">


                    <tr style="line-height: 1.5;">
                        <th class="padd_left border-none" colspan="2" style="padding: 0px 5px; width:86% !important"><b>Total Qty</b></th>
                        <th class="border-none" style=" width:20% !important">:</th>
                        <th class="padd_right border-none" colspan="2" style="padding: 0px 5px;  width:25% !important">
                            <b> <?php echo $total_qty; ?></b>
                        </th>
                    </tr>

                </table>

                <!-- -------------- -->
                <table>
                    <tr>
                        <td></td>
                    </tr>
                </table>
                <!-- -------------- -->

                <?php if ($model->notes != '') {
                ?>
                    <table border="0" cellspacing="0" cellpadding="0">

                        <tbody class="product_border" style="font-size:12px;">

                            <tr style="line-height: 2;">

                                <th colspan="1" style="padding: 0px 5px;"><b>Notes:</b> <?php echo nl2br($model->notes); ?>

                                </th>
                            </tr>
                            <!-- 
                            <tr style="line-height: 1.5;">
                                <th colspan="1" style="padding: 0px 5px;">
                                </th>
                            </tr> -->

                        </tbody>
                    </table>
                <?php } ?>


                <tr style="line-height: 1.5;">
                    <th colspan="5" class="text-center padd_left border-none" style="width:100%; padding: 10px 5px 0px; font-size: 13px; font-family: 'Nunito', sans-serif;">
                        <div style="display: flex; justify-content: center;">

                            <span style="display: flex; flex-direction: column; align-items: center;">

                                <link href='https://fonts.googleapis.com/css?family=Libre Barcode 39 Extended Text' rel='stylesheet'>
                                <style>
                                    #barcodeid {
                                        font-family: 'Libre Barcode 39 Extended Text';
                                        font-size: 40px;
                                        margin-top: 3px;
                                    }
                                </style>
                                <p style="text-align: center;margin-top: 13px;">Thank You.... Visit Again!</p>

                                <p id="barcodeid"><?php echo $model->transfer_no ?></p>
                            </span>

                        </div>
                    </th>
                </tr>
                </tfoot>
            </table>

            <br>
            <a href="javascript:window.print()" class="print-button">Print </a>
            <a style="background:#c33612;" href="javascript:window.close()" class="print-button">Close </a>
    </div>
</body>

</html>