<ul class="clearfix form-ul material">


<li class="col-sm-3">
<?php echo $form->hiddenField($model, 'id'); ?>
<?php echo $form->hiddenField($model, 'invoice_no'); ?>
        <?php   echo $form->textField($model, 'vendor_name', array('class' => '', 'onKeyup' => 'js:autoCompleteInvoiceVendor(this.id);', 'data-label'=>'Vendor <span style="color:red;">*</span>','value' =>$model->vendor->vendor_name));
                echo $form->hiddenField($model, 'vendor_id'); 
                echo $form->hiddenField($model, 'currency',array('value'=>1,'data-label' => 'Currency <span style="color:red;">*</span>'));
                echo $form->hiddenField($model, 'exchange_rate', array('value'=>1,'data-label' => 'Exchange Rate <span style="color:red;">*</span>'));
                ?>
    </li>
    <?php
    $invoice_date=date('d/m/Y');
    if($model->id>0)
    {
    if($model->invoice_date!='0000-00-00')
    {
    $invoice_date=date('d/m/Y',strtotime($model->invoice_date));    
    }    
    }
    ?>
    <li class="col-sm-3">
        <?php echo $form->textField($model, 'invoice_date', array('data-label' => 'Invoice Date <span style="color:red;">*</span>', 'class' => 'datepicker','value'=>$invoice_date)); ?>
    </li>
    <li class="col-sm-3">
        <?php echo $form->textField($model, 'reference_no', array('data-label' => 'Reference No ')); ?>
    </li>
    <li class="col-sm-3">
        <?php echo $form->dropdownList($model, 'payment_term', MasPaymentTerms::getActivePaymentTerms(), array('data-label' => 'Payment Term <span style="color:red;">*</span>')); ?>
    </li>
    
    <li class="col-sm-3">
        <?php
           $disabledtax = false;
        if($model->id>0){
            $disabledtax = true;
             echo $form->hiddenField($model, 'invoice_type'); 
            
        }
            $arrayinv_type = array('1' => 'Taxable', '2' => 'Import'); // Tax Invoice (default) / Import Invoice - non-tax
            echo $form->dropdownList($model, 'invoice_type', $arrayinv_type, array('disabled'=>$disabledtax,'data-label' => 'Invoice Type <span style="color:red;">*</span>', 'onchange' => 'calculateInvoiceValue($(\'#invoice_item_table\'));'));
        ?>
   </li>
   
    <li class="col-sm-6">
        <?php echo $form->textArea($model, 'notes', array('data-label' => 'Notes')); ?>
    </li>
</ul>
<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;
$cs->registerScript("autoCompleteInvoiceVendor", "function autoCompleteInvoiceVendor(field_id){
    var url = '" . Yii::app()->createUrl('Vendor/GetVendorDetails') . "'+'&frm=PI';
    $('#'+field_id).autocomplete({
        minLength : 1,
        source : function (request, response) {
            autoCompleteSource(request, response,url)
        },
        focus : function( event, ui ) {
            $(this).val((ui.item.label)); return false;
        },
        select : function( event, ui ) {
            event.preventDefault();
            trigger_target_id = $(event.target).attr('id');
            var vendor_id=ui.item.value;
            var payment_term = ui.item.payment_term;
            $('#PurchaseInvoice_vendor_id').val(vendor_id);
            $('#PurchaseInvoice_payment_term').multiselect('select', payment_term);
        } 
    }) 
}", CClientScript::POS_HEAD);