<?php

$form = $this->beginWidget('CActiveForm', array(
    'id' => 'quotation-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>
	<ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
		<li class="active"><a href="#sale_tab1" data-toggle="tab">General</a></li>
        <li><a href="#sale_tab2" data-toggle="tab">Details</a></li>
	</ul>

	<div class="tab-content">
		<div class="tab-pane active" id="sale_tab1">
            <?php $this->renderPartial('general_details', array('model' => $model, 'form' => $form)); ?>
        </div>
        <div class="tab-pane" id="sale_tab2">
            <?php $this->renderPartial('quotes_details',array('model' => $model,'modelItems' => $modelItems, 'form' => $form)); ?>
        </div>
	</div>

<div class="modal-footer">
 <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
 <?php
    $url = Yii::app()->createUrl('quotation/save');
    echo CHtml::ajaxSubmitButton('Save', $url, array(
            'dataType' => 'json',
            'type' => 'post',
            'success' => 'function(data) {
                var customer_id= data.id;
                    if(data.status=="success"){  
                        $(".x.close").click();
                        t8.success("Sales Quotation Saved!");
                        reloadTable("#quotation_table");
                        /*if(data.flag == 1){
                            $.each(data.message, function(key, val) { 
                                t8.error(""+val+""); 
                            }); 
                        }*/
                        $("#loader").hide(); 

                    } else { 
                        $("#loader").hide(); 
                        $.each(data, function(key, val) {                                        
                            $("#quotation-form #"+key+"_em_").text(val).show(); 
                            t8.error(""+val+""); 
                        }); 
                    } 
            }',

            'beforeSend' => 'function(){
                $("#loader").show();   
                $("#quotation-form .sale-save-btn").prop("disabled", true);  
                $("#quotation-form .sale-save-btn").addClass("btn_loding").removeClass("btn btn-theme"); $(".errorMessage").hide(); 
            }',
                
            'complete' => 'function(){
                $("#loader").hide();   
                $("#quotation-form .sale-save-btn").prop("disabled", false);  
                $("#quotation-form .sale-save-btn").addClass("btn btn-theme").removeClass("btn_loding"); $(".errorMessage").hide(); 
            }',
        ), array('id' => 'mybtn_'.rand(), 'class' => 'sale-save-btn btn btn-theme'));

  ?>

</div>
<?php $this->endWidget(); ?>