    <style>
        table{
            width:100%;
        }
        .head{
            background-color : aquamarine;
            font-weight: bold;
            color: white;
            font-size: 14px;
        }
        .text-right{
            text-align: right;
        }
        .total{
            text-align: right;
            font-weight: bold;
            font-size: 14px;
        }
    </style>
    <table border="1">
        <thead>
            <tr style="background-color:#00abff;">
                <th colspan="10">Purchase Return</th>
            </tr>
            <tr class="head">
                <th style="width:1%">Date</th>
                <th style="width:1%">Ret #</th>
                <th style="width:1%">Inv #</th>
                <th style="width:10%">vendor</th>
                <th style="width:5%">Salesman</th>
                <th class="bg-danger" style="width:4%">VAT</th>
                <th class="bg-danger" style="width:4%">Grand Total</th>
                <th style="width:1%">Currency</th>
                <th class="bg-success" style="width:4%">VAT(BC)</th>
                <th class="bg-success" style="width:4%">Grand Total(BC)</th>
            </tr>
        </thead>
        <tbody>
            <?php  $model  = new PurchaseReturn();
            $condition      = '1=1';
            if($outlet>0){
                $condition.=" AND t.outlet=".$outlet;
            }
            if($from!='' && $from!='00/00/0000')
            {
                $from = str_replace('/', '-',$from);
                $from=date("Y-m-d", strtotime($from));
                $condition.=' AND t.return_date>="'.$from.'"';    
            }
            if($to!='' && $to!='00/00/0000')
            {
                $to = str_replace('/', '-',$to);
                $to=date("Y-m-d",strtotime($to));
                $condition.=' AND t.return_date<="'.$to.'"';    
            }
            if($vendor_id>0)
            {
                $condition.=' AND t.vendor_id='.$vendor_id;    
            }
            if($salesman >0)
            {
                $condition.=' AND (pr_invoice.created_by='.$salesman.')';    
            }
            $arr_returns       = $model->with('pr_invoice','pr_vendor','pr_outlet','pr_user','pr_invoice.user')->findAll(array('condition' => $condition));
            $total_vat_bc=$total_amount_bc=0;
            if(!empty($arr_returns)){
                foreach ($arr_returns as $row)
                {  
                    if($row['active']=='N'){
                        $row['tax_total']=0;
                        $row['grand_total']=0;
                    }
                    $total_vat_bc+=($row['tax_total']*$row->pr_cur->exchange_rate);
                    $total_amount_bc+=($row['grand_total']*$row->pr_cur->exchange_rate);
                ?>
                <tr>
                   <td><?php echo date("d/m/Y",strtotime($row['return_date']));?></td> 
                   <td><?php echo $row['return_no'];?></td> 
                   <td><?php echo $row['pr_invoice']['invoice_no'];?></td> 
                   <td><?php echo  $row['pr_vendor']['vendor_name'];?></td> 
                   <td><?php echo $row['pr_invoice']['user']['full_name'];?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['tax_total'],'');?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['grand_total'],'');?></td> 
                   <td><?php echo $row->pr_cur->currency_code;?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['tax_total']*$row->pr_cur->exchange_rate,'');?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['grand_total']*$row->pr_cur->exchange_rate,'');?></td> 
                    
                </tr>
                <?php } ?>
                <tr>
                    <th colspan="8" class="text-right bg-info">Total</th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_vat_bc,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_amount_bc,'');?></th>
                </tr>
            <?php }else{?>
            <tr>
                    <th colspan="10" class="text-center bg-info">No Details Found</th>
            </tr>
            <?php } ?>
        </tbody>
    </table>
