<div class="table-responsive">
    <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:1%">Date</th>
                <th style="width:1%">Inv #</th>
                <th style="width:10%">Customer</th>
                <th style="width:5%">Salesman</th>
                <th class="bg-danger" style="width:4%">VAT</th>
                <th class="bg-danger" style="width:4%">Grand Total</th>
                <th style="width:1%">Currency</th>
                <th class="bg-success" style="width:4%">VAT(BC)</th>
                <th class="bg-success" style="width:4%">Grand Total(BC)</th>
            </tr>
        </thead>
        <tbody>
            <?php  $model  = new SalesInvoice();
            $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id); 
            $condition      = '1=1';
            if($outlet>0){
                $condition.=" AND t.outlet=".$outlet;
            }
            if($from!='' && $from!='00/00/0000')
            {
                $from = str_replace('/', '-',$from);
                $from=date("Y-m-d", strtotime($from));
                $condition.=' AND t.invoice_date>="'.$from.'"';    
            }
            if($to!='' && $to!='00/00/0000')
            {
                $to = str_replace('/', '-',$to);
                $to=date("Y-m-d",strtotime($to));
                $condition.=' AND t.invoice_date<="'.$to.'"';    
            }
            if($customer_id>0)
            {
                $condition.=' AND t.customer_id='.$customer_id;    
            }
            if($salesman >0)
            {
                $condition.=' AND (t.sales_man='.$salesman.')';    
            }
            $arr_invoices       = $model->with('customer','sales_outlet','si_salesman')->findAll(array('condition' => $condition));
            $total_vat_bc=$total_amount_bc=0;
            if(!empty($arr_invoices)){
                foreach ($arr_invoices as $row)
                { 
                    if($row['active']=='N'){
                        $row['tax_total']=0;
                        $row['grand_total']=0;
                    }
                    $total_vat_bc+=($row['tax_total']*$row->sales_cur->exchange_rate);
                    $total_amount_bc+=($row['grand_total']*$row->sales_cur->exchange_rate);
                    ?>
                <tr>
                   <td><?php echo date("d/m/Y",strtotime($row['invoice_date']));?></td> 
                   <td>
                    <?php 
                    $prefix=FormMaster::model()->find(array('condition'=>'outlet='.$userModel->outlet_id.' AND code="SI"'))->prefix;
                    if($prefix!='')
                    {
                    echo $prefix.'/';    
                    }
                    echo $row['invoice_no'];
                    ?>
                    </td> 
                   <td><?php echo  $row['customer']['customer_name'];?></td> 
                   <td><?php echo $row['si_salesman']['full_name'];?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['tax_total'],'');?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['grand_total'],'');?></td> 
                   <td><?php echo $row->sales_cur->currency_code;?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row->sales_cur->exchange_rate*$row['tax_total'],'');?></td> 
                   <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row->sales_cur->exchange_rate*$row['grand_total'],'');?></td> 
                    
                </tr>
                <?php } ?>
                <tr>
                    <th colspan="7" class="text-right bg-info">Total</th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_vat_bc,'');?></th>
                    <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_amount_bc,'');?></th>
                </tr>
            <?php }else{?>
            <tr>
                    <th colspan="9" class="text-center bg-info">No Details Found</th>
            </tr>
            <?php } ?>
        </tbody>
    </table>
</div>