<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'masterreport-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
        ));
?>
<div class="panel" id="mainMenu">
    <div class="panel-heading clearfix panel-theame">
        <span id="title_rs_main">REPORTS</span>
        <span class="pull-right">
            <select name='sel_report' id="sel_report" class="form-control" style="max-width: 150px;" onchange="loadMasterReportSearch(this.value)">
                <option value="" >Select</option>
                <option value="filter_stock_ledger" data-title="Stock Ledger">Stock Ledger</option>
                <option value="filter_sales_invoices" data-title="Sales Invoice">Sales Invoice</option>
            </select>
        </span>
    </div>
    <div class="panel-body">
        <?php echo CHtml::hiddenField('report_from'); ?>
        <?php echo CHtml::hiddenField('pagetitle'); ?>
        <div class="panel">
            <div class="panel-body">
                <div id="div_load_master_buttons"></div>
                <div style="display:none;" id="div_master_report_load_content"></div>
            </div>
        </div>
    </div>
</div>
<?php $this->endWidget(); ?>
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript('loadreportintially', '$(document).ready(function() {
    $("#sel_report").val("filter_stock_ledger");
    loadMasterReportSearch("filter_stock_ledger");
  });', CClientScript::POS_HEAD);
$cs->registerScript("loadMasterReportSearch", "function loadMasterReportSearch(from)
{
    $('#report_from').val('+from+');
    var pars = 'report_from='+from;
    alert(from);
    var url = '" . Yii::app()->createUrl('reports/LoadMasterReportFilter') . "';
    jQuery.ajax({
        'type': 'post',
        'data': pars,
        'url': url,
        'cache': false,
        'success': function(data)
        {
            $('#loader').hide();
            $('#div_load_master_buttons').show();
            $('#div_load_master_buttons').html(data);
            $('#div_master_report_load_content').hide();
        },
        'beforeSend':function(){
            $('#loader').show();
        },
        'complete':function() {
            $('#loader').hide();
        }
    });
}", CClientScript::POS_HEAD);
$cs = Yii::app()->getClientScript();
$cs->registerScript("loadMasterReport", "function loadMasterReport(page)
    {
        var par = $('form').serialize();
        var url = 'index.php?r=reports/' + page;
        $.ajax({
            'url': url,
            data: par,
            'type': 'post',
            'cache': false,
            success: function (data, textStatus, jqXHR) {
                $('#loader').hide();
                $('#div_master_report_load_content').show();
                $('#div_master_report_load_content').html(data);
            },
            beforeSend: function (xhr) {
                $('#loader').show();
            },
            complete: function (jqXHR, textStatus) {
                $('#loader').hide();
            }
        });
    }", CClientScript::POS_HEAD);
?>