<br/>
<form>
<div class="table-responsive">
    <?php echo CHtml::hiddenField('SalesReturnInvoice_customer_id',$customer_id);?>
    <?php echo CHtml::hiddenField('SalesReturnInvoice_sales_man_id',$sales_man_id);?>
    <table class="table table-hover table-bordered personal-task" id="tbl_customer_invoice">
        <tr><td colspan="4"><b>List Of Invoices</b></td></tr>
        <tr>
            <th style="width:5%"></th>
            <th style="width:20%">Invoice No</th>
            <th style="width:25%">Date</th>
            <th style="width:20%">Salesman</th>
            <th style="width:25%">Amount</th>
        </tr>
        <?php if(!empty($modelItems)){
            foreach($modelItems as $i=>$each){ ?>
            <tr>
            <td>
                <?php echo CHtml::checkbox('checkinvoice_'.$i,'',array('class'=>'check_invoice_ids','value'=>$each->id));?>
            </td>
            <td><?php echo $each->invoice_no;?>
            <a href="#" class="stockhover" id="qtnstockhelper_<?php echo $i;?>"><i class="fa fa-shopping-cart "><div class="triangle-right"></div></i></a>
            </td>
            <td><?php echo date("d/m/Y",strtotime($each->invoice_date));?></td>
            <td><?php echo $each->si_salesman->full_name;?></td>
            <td class="text-right"><?php echo $each->grand_total;?></td>
            </tr>
        <?php  }
        }else {?>
        <tr>
          <td colspan="4" class="text-center">No Invoices Found</td>  
        </tr>
        <?php } ?>
    </table>
</div>
<div class="modal-footer" id="div_salesreturn_next">
    <button type="button" class="btn btn-theme" onclick="loadSalesReturn();" >Next</button>
</div>
</form>
<script>
    $(document).ready(function () {
        $('.stockhover').popover({
        title: '<b>PRODUCTS LIST</b>',
        html: true,
        placement: 'right',
        trigger: 'hover',
        content:popoverContent
        });
  
  
    });
    
    function popoverContent() {
       
        var content = '';
        var element = $(this);
        var id = element.attr("id");
        content ="";
        var arr_fields= id.split('_');
        var row_field=arr_fields[1];
        var id=$('#checkinvoice_'+row_field).val(); 
        jQuery.ajax({
            'type': 'post',
            'url': "<?php  echo Yii::app()->createUrl('salesreturn/GetInvoiceProducts') ?>",
            'data': {'id':id}  ,
            'cache': false,
            'async': false,
            'success': function(retdata) {
                   content=retdata;
            }
        });
        
   return content;  


}
</script>