<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>
<?php
$totalCash = 0;
$totalBank = 0;
$totalReceivable = 0;
$totalPayable = 0;
$sales_invoices = 0;
$date = date('Y-m-d');
$outlet_id = Yii::app()->user->outlet_id;
$bank = FinanceSystemAccountsMapping::getSystemdefault('bank');
$totalBank = Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.voucher_date<='" . $date . "' AND H.is_posted='Y' AND I.ledger_id=" . $bank . " AND H.outlet=" . $outlet_id)->queryScalar();
$UserBank = Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.voucher_date<='" . $date . "' AND H.is_posted='Y' AND I.ledger_id=" . $bank . " AND H.outlet=" . $outlet_id . " AND H.created_by=" . Yii::app()->user->id)->queryScalar();
$debtors = FinanceSystemAccountsMapping::getSystemdefault('debtors');
$totalReceivable = Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.voucher_date<='" . $date . "' AND H.is_posted='Y' AND I.ledger_id=" . $debtors . " AND H.outlet=" . $outlet_id)->queryScalar();
$creditors = FinanceSystemAccountsMapping::getSystemdefault('creditors');
$totalPayable = Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.voucher_date<='" . $date . "' AND H.is_posted='Y' AND I.ledger_id=" . $creditors . " AND H.outlet=" . $outlet_id)->queryScalar();
$cash = FinanceSystemAccountsMapping::getSystemdefault('cash_account');
$totalCash = Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.is_posted='Y' AND I.ledger_id=" . $cash . " AND H.outlet=" . $outlet_id)->queryScalar();
$UserCash = Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.is_posted='Y' AND I.ledger_id=" . $cash . " AND H.outlet=" . $outlet_id . " AND H.created_by=" . Yii::app()->user->id)->queryScalar();
$pdc_r = FinanceSystemAccountsMapping::getSystemdefault('pdc_r');
$totalpdc_r = Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.voucher_date<='" . $date . "' AND H.is_posted='Y' AND I.ledger_id=" . $pdc_r . " AND H.outlet=" . $outlet_id)->queryScalar();
$pdc_i = FinanceSystemAccountsMapping::getSystemdefault('pdc_i');
$totalpdc_i = Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.voucher_date<='" . $date . "' AND H.is_posted='Y' AND I.ledger_id=" . $pdc_i . " AND H.outlet=" . $outlet_id)->queryScalar();
$sales = Yii::app()->db->createCommand("select SUM(grand_total) from {{sales_invoice}} where invoice_date='" . date('Y-m-d') . "'")->queryScalar();
$voucher_type1 = FinanceVoucherType::model()->find(array('condition' => '(code="CA") AND outlet=' . $outlet_id))->id;
$voucher_type2 = FinanceVoucherType::model()->find(array('condition' => '(code="CHQ") AND outlet=' . $outlet_id))->id;
$collection = Yii::app()->db->createCommand('SELECT SUM(total_voucher_amount) FROM `erp_finance_voucher_head` WHERE (voucher_type=' . $voucher_type1 . ' OR voucher_type=' . $voucher_type2 . ') AND voucher_date = "' . date('Y-m-d') . '" AND is_posted="Y"')->queryScalar();
$receivable = FinanceSystemAccountsMapping::getSystemdefault('receivable_parent');
$payable = FinanceSystemAccountsMapping::getSystemdefault('payable_parent');
$payables = Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id LEFT JOIN {{finance_legder}} AS L ON I.ledger_id=L.id where H.voucher_date<='" . $date . "' AND H.is_posted='Y' AND (L.root like '%," . $payable . "' OR L.root like '%," . $payable . ",%' OR L.root like '" . $payable . ",%') AND H.outlet=" . $outlet_id)->queryScalar();
$receivables = Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id LEFT JOIN {{finance_legder}} AS L ON I.ledger_id=L.id where H.voucher_date<='" . $date . "' AND H.is_posted='Y' AND (L.root like '%," . $receivable . "' OR L.root like '%," . $receivable . ",%' OR L.root like '" . $receivable . ",%') AND H.outlet=" . $outlet_id)->queryScalar();
?>
<div class="row status">
    <div class="col-lg-3 col-sm-8">
        <section class="panel">
            <div class="symbol bg-terques">
                <i class="fa fa-dollar"></i>
            </div>
            <div class="value">
                <!--<h4><?php //echo Yii::app()->numberFormatter->formatCurrency($UserCash > 0 ? $UserCash : $UserCash, " "); 
                        ?></h4>-->
                <h4><?php echo number_format(($UserCash > 0 ? $UserCash : $UserCash), 2, '.', ','); ?></h4>
                <p>Cash In Hand - Current User </p>
            </div>
        </section>
    </div>
    <?php if (Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-university"></i>
                </div>
                <div class="value">
                    <!--<h4><?php //echo Yii::app()->numberFormatter->formatCurrency($UserBank > 0 ? $UserBank : 0, " "); 
                            ?> </h4>-->
                    <h4><?php echo number_format(($UserBank > 0 ? $UserBank : 0), 2, '.', ','); ?></h4>

                    <p>Cash In Bank - Current User </p>
                </div>
            </section>
        </div>
    <?php } ?>
    <?php if (Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-users"></i>
                </div>
                <div class="value">
                    <h4><?php echo Yii::app()->numberFormatter->formatCurrency($totalReceivable > 0 ? $totalReceivable : 0, " "); ?> </h4>
                    <p>Customer Outstanding</p>
                </div>
            </section>
        </div>
    <?php } ?>
    <?php if (Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-shopping-cart"></i>
                </div>
                <div class="value">
                    <h4><?php echo Yii::app()->numberFormatter->formatCurrency($totalPayable < 0 ? abs($totalPayable) : 0, " "); ?></h4>
                    <p>Vendor Outstanding</p>
                </div>
            </section>
        </div>
    <?php } ?>

    <!-- 2nd Row -->

    <?php if (Yii::app()->user->user_access_type != 'PM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-dollar"></i>
                </div>
                <div class="value">
                    <!--<h4><?php //echo Yii::app()->numberFormatter->formatCurrency($totalCash > 0 ? $totalCash : $totalCash, " "); 
                            ?></h4>-->
                    <h4><?php echo number_format(($totalCash > 0 ? $totalCash : $totalCash), 2, '.', ','); ?></h4>
                    <p>Cash In Hand - Company Account </p>
                </div>
            </section>
        </div>
    <?php } ?>
    <?php if (Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-university"></i>
                </div>
                <div class="value">
                    <!--<h4><?php //echo Yii::app()->numberFormatter->formatCurrency($totalBank > 0 ? $totalBank : 0, " "); 
                            ?> </h4>-->
                    <h4><?php echo number_format(($totalBank > 0 ? $totalBank : 0), 2, '.', ','); ?></h4>
                    <p>Cash In Bank - Company Account </p>
                </div>
            </section>
        </div>
    <?php } ?>
    <?php if (Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-users"></i>
                </div>
                <div class="value">
                    <h4><?php echo Yii::app()->numberFormatter->formatCurrency(abs($receivables), " "); ?> </h4>
                    <p>Total Receivable</p>
                </div>
            </section>
        </div>
    <?php } ?>
    <?php if (Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-shopping-cart"></i>
                </div>
                <div class="value">
                    <h4><?php echo Yii::app()->numberFormatter->formatCurrency(abs($payables), " "); ?></h4>
                    <p>Total Payable</p>
                </div>
            </section>
        </div>
    <?php } ?>

    <!-- 3rd Row -->
    <?php if (Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-users"></i>
                </div>
                <div class="value">
                    <h4><?php echo Yii::app()->numberFormatter->formatCurrency(abs($sales), " "); ?> </h4>
                    <p>Today's Sale</p>
                </div>
            </section>
        </div>
    <?php } ?>
    <?php if (Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-shopping-cart"></i>
                </div>
                <div class="value">
                    <h4><?php echo Yii::app()->numberFormatter->formatCurrency(abs($collection), " "); ?></h4>
                    <p>Today's collection</p>
                </div>
            </section>
        </div>
    <?php } ?>
    <?php if (Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-university"></i>
                </div>
                <div class="value">
                    <h4><?php echo Yii::app()->numberFormatter->formatCurrency(abs($totalpdc_r), " "); ?> </h4>
                    <p>PDC Received </p>
                </div>
            </section>
        </div>
    <?php } ?>
    <?php if (Yii::app()->user->user_access_type != 'PM') { ?>
        <div class="col-lg-3 col-sm-8">
            <section class="panel">
                <div class="symbol bg-terques">
                    <i class="fa fa-dollar"></i>
                </div>
                <div class="value">
                    <h4><?php echo Yii::app()->numberFormatter->formatCurrency(abs($totalpdc_i), " "); ?></h4>
                    <p>PDC Issued</p>
                </div>
            </section>
        </div>
    <?php } ?>


    <!--    <div class="col-md-12">
        <section class="panel">
            <div class="panel-body">
              <div id="container" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
            </div>
        </section>
    </div>-->
</div>
<?php
$outlet = Yii::app()->user->outlet_id;
$arr_of_dates = array();
$year = 2020;
for ($i = 1; $i <= 12; $i++) {
    $arr_of_dates[] = array('from' => date('Y-' . $i . '-01'), 'to' => date('Y-' . $i . '-t'));
}
$margin = $income = array();
//      $netSaleModel = MasLedgers::model()->findBypk( MasLedgers::model()->get_parent_id(MasLedgers::NET_SALES) );

foreach ($arr_of_dates as $each) {
    $query = 'SELECT
                      ROUND(SUM(T.amount*T.exchange_rate), 2) AS net_profit
                    FROM {{transactions}} T
                    LEFT JOIN {{vouchers}} V ON V.id = T.voucher_id
                    LEFT JOIN {{ledgers}} L ON T.ledger_id = L.id
                    WHERE V.is_posted="Y" AND V.outlet_id=' . Yii::app()->user->outlet_id . ' AND L.type IN ("I", "E") AND V.date BETWEEN "' . $each['from'] . '" AND "' . $each['to'] . '" ';
    $condition = 'H.is_posted="Y" AND H.voucher_date BETWEEN "' . $each['from'] . '" AND "' . $each['to'] . '"';
    if ($outlet > 0) {
        $condition .= ' AND I.outlet=' . $outlet;
        $conditions .= ' AND outlet=' . $outlet;
    }
    Yii::app()->db->createCommand('TRUNCATE TABLE trail_balance_tbl')->execute();
    Yii::app()->db->createCommand('INSERT INTO  trail_balance_tbl (SELECT A.id,A.account_order,0 AS account_open_amount,A.account_no,A.description,A.level,A.main_account_type,A.isParent,sum(I.amount) AS amount FROM {{finance_voucher_items}} as I left join {{finance_legder}} as A on I.ledger_id=A.id left join {{finance_voucher_head}} as H on H.id=I.header_id WHERE  ' . $condition . '   AND ( A.main_account_type="I") group by A.id order by A.account_no)')->execute();
    Yii::app()->db->createCommand("INSERT INTO  trail_balance_tbl (SELECT id,account_order,0 AS account_open_amount,account_no,description,level,main_account_type,isParent,0 AS amount FROM {{finance_legder}}  where main_account_type='I')")->execute();
    $SQL = "select sum(amount) AS amount from trail_balance_tbl";
    $income1 = -1 * Yii::app()->db->createCommand($SQL)->queryScalar();
    $goods_receipt = Yii::app()->db->createCommand('SELECT SUM(goods_receipt) AS goods_receipt FROM temp_cost_stock_tbl  WHERE date BETWEEN "' . $each['from'] . '" AND "' . $each['to'] . '" AND outlet=' . $outlet)->queryScalar();
    $income1 += $goods_receipt;
    Yii::app()->db->createCommand('TRUNCATE TABLE trail_balance_tbl')->execute();
    Yii::app()->db->createCommand('INSERT INTO  trail_balance_tbl (SELECT A.id,A.account_order,0 AS account_open_amount,A.account_no,A.description,A.level,A.main_account_type,A.isParent,sum(I.amount) AS amount FROM {{finance_voucher_items}} as I left join {{finance_legder}} as A on I.ledger_id=A.id left join {{finance_voucher_head}} as H on H.id=I.header_id WHERE  ' . $condition . '   AND ( A.main_account_type="E") AND I.ledger_id NOT IN(10005,4114) group by A.id order by A.account_no)')->execute();
    Yii::app()->db->createCommand("INSERT INTO  trail_balance_tbl (SELECT id,account_order,0 AS account_open_amount,account_no,description,level,main_account_type,isParent,0 AS amount FROM {{finance_legder}}  where main_account_type='E')")->execute();
    $SQL = "select sum(amount) AS amount from trail_balance_tbl";
    $expense1 = Yii::app()->db->createCommand($SQL)->queryScalar();
    $cost = Yii::app()->db->createCommand('SELECT SUM(cost)-SUM(sales_return) AS cost FROM temp_cost_stock_tbl  WHERE date BETWEEN "' . $each['from'] . '" AND "' . $each['to'] . '" AND outlet=' . $outlet)->queryScalar();
    $expense1 += $cost;
    $goods_issue = Yii::app()->db->createCommand('SELECT SUM(goods_issue) AS goods_issue FROM temp_cost_stock_tbl  WHERE date BETWEEN "' . $each['from'] . '" AND "' . $each['to'] . '" AND outlet=' . $outlet)->queryScalar();
    $expense1 += $goods_issue;
    $pl = ($income1 - $expense1);
    $Sales = Yii::app()->db->createCommand('select sum(grand_total) AS amount from erp_sales_invoice where active="Y" AND invoice_date BETWEEN "' . $each['from'] . '" AND "' . $each['to'] . '" AND outlet=' . $outlet)->queryScalar();
    $SalesReturn = Yii::app()->db->createCommand('select sum(grand_total) AS amount from erp_sales_return where active="Y" AND return_date BETWEEN "' . $each['from'] . '" AND "' . $each['to'] . '" AND outlet=' . $outlet)->queryScalar();
    $netSales = $Sales - $SalesReturn;
    $income[] = $pl;
    $net_profit_margin = $netSales != 0 ? $pl / $netSales : 0;

    $margin[] = round($net_profit_margin, 2) * 100;
    //          echo $each['from'].' to '.$each['to'].' : Income -'.$income1.' : Expense -'.$expense1.' : pl -'.$pl.' : Cost -'.$cost.' : Receipt -'.$goods_issue.'<br>';
}


?>
<script>
    Highcharts.chart('container', {
        chart: {
            zoomType: 'xy'
        },
        title: {
            text: 'Net Profit'
        },
        subtitle: {
            text: '<?php echo Yii::app()->user->outlet_name != '' ? trim(Yii::app()->user->outlet_name) : trim(Yii::app()->user->company_name); ?>'
        },
        xAxis: [{
            categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun',
                'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'
            ],
            crosshair: true
        }],
        yAxis: [{ // Primary yAxis
            labels: {
                format: '{value}%',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            },
            title: {
                text: 'Net Profit Margin',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            }
        }, { // Secondary yAxis
            title: {
                text: 'Net Profit',
                style: {
                    color: Highcharts.getOptions().colors[0]
                }
            },
            labels: {
                format: '{value}',
                style: {
                    color: Highcharts.getOptions().colors[0]
                }
            },
            opposite: true
        }],
        tooltip: {
            shared: true
        },
        legend: {
            layout: 'vertical',
            align: 'left',
            x: 120,
            verticalAlign: 'top',
            y: 100,
            floating: true,
            backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || 'rgba(255,255,255,0.25)'
        },
        series: [{
            name: 'Net Profit',
            type: 'column',
            yAxis: 1,
            data: [<?php echo implode(',', $income); ?>],
            tooltip: {
                valueSuffix: ' '
            }

        }, {
            name: 'Net Profit Margin',
            type: 'spline',
            data: [<?php echo implode(',', $margin); ?>],
            tooltip: {
                valueSuffix: '%'
            }
        }]
    });
</script>