<!DOCTYPE html>
<html>
<head>
    <title><?php echo date('dmYhis'); ?></title>
</head>
<body>
    <?php
        $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);
        ?>
    <div class="">
<div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                     <b><?php echo $model->outlets->name; ?></b><br>
                    <small><?php echo nl2br($model->outlets->address); ?></small><br>
                    <small><?php echo $model->outlets->phone_no; ?></small>
                </div>
            </div>
        <div class="col-6">
                <div class="h3" style="margin-top: 0;margin-bottom: 0;">
                    <?php echo 'Allocation Report'; ?>
                </div>
                <div class="input-block">
                    <b><?php echo $model->id; ?></b>
                </div>
        </div>
        <div class="col-5 offset-1" style="color:#101010;">
            <br>
            <table class="table" style="width:100%">
                <tr>
                    <td class="bc-tl">Ledger</td>
                    <td>
                        <?php echo $model->ledger->description; ?>
                    </td>
                </tr>
                <tr>
                    <td class="bc-tl">Subledger</td>
                    <td>
                        <?php echo $model->subledger->description; ?>
                    </td>
                </tr>
                <tr>
                    <td>Allocation Date</td>
                    <td>
                        <?php echo date('d/m/Y', strtotime($model->allocation_date));?>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <br>
    <div class="col-md-12">
        <table id="" class="table">
            <thead>
                <tr>
                    <th class="text-center" style="width:2%">No</th>
                    <th class="text-center" style="width:15%">Voucher #</th>
                    <th class="text-center" style="width:15%">Ref.</th>
                    <th class="text-center" style="width:40%">Comments</th>
                    <th class="text-center" style="width:10%">Dr</th>
                    <th class="text-center" style="width:10%">Cr</th>
                </tr>
            </thead>
            <tbody>
                 <?php 
                    $debitTotal = 0;
                    $creditTotal = 0;
                    foreach ( $model->items as $i =>  $each ) { ?>
                 <tr>
                    <td><?php echo $i+1; ?></td>
                    <td><?php echo $each->voucher->fullvoucher; ?></td>  
                    <td><?php echo $each->voucher->reference_no; ?></td>  
                    <td><?php echo $each->voucherItems->narration; ?></td>  
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency( ( $each->amount > 0 ) ? $each->amount : 0," "); ?></td>  
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency( ( $each->amount < 0 ) ? abs($each->amount) : 0," "); ?></td>  
                </tr>
                
                    <?php
                        ( $each->amount > 0 )  ? $debitTotal += $each->amount : $creditTotal += abs($each->amount);
                    }
                ?>
                    <tr>
                        <td class="text-right"  colspan="4"><b>Total</b></td>
                        <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($debitTotal," ");?></b></td>
                        <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($creditTotal," ");?></b></td>
                    </tr>
            </tbody>
        </table>
    </div>
    
    <htmlpagefooter name="myfooter">
        
    </div>

    
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
             <div style="text-align:center;width:100%">
                <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
                </div>
                <?php
                  date_default_timezone_set("Asia/Dubai");
                 echo date('d/m/Y')." ".date("h:i:sa"); ?>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
            </div>
            </div>
    </htmlpagefooter>
</body>

</html>
