<?php 
$cs = Yii::app()->getClientScript();
    
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'salesinvoice-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>
<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <li class="col-sm-4">
                <?php
                $created_by=Yii::app()->user->id;
                $outlet=Yii::app()->user->outlet_id;
                $cash=FinanceSystemAccountsMapping::getSystemdefault('cash_account');
                $balance=Yii::app()->db->createCommand("select SUM(amount) AS amount from {{finance_voucher_items}} AS I LEFT JOIN {{finance_voucher_head}} AS H ON I.header_id=H.id where H.is_posted='Y' AND I.ledger_id=".$cash." AND H.outlet=".$outlet." AND H.created_by=".$created_by)->queryScalar();
                $balance=Yii::app()->numberFormatter->formatCurrency($balance, " ");
                echo CHtml::textField('balance',$balance,array('data-label'=>'Available Balance', 'readonly' => 'True')); 
                ?>
            </li>
            <li class="col-sm-4">
                <?php echo CHtml::textField('voucher_date', date('d/m/Y'),array('data-label'=>'Voucher Date *', 'class' => 'datepicker')); ?>
            </li>
            <li class="col-sm-4">
                <?php echo CHtml::textField('amount','',array('data-label'=>'Amount *','onkeypress' => 'return isNumberKey(event);')); ?>
            </li>
        </ul>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-danger"  data-dismiss="modal">Close</button>
    <?php
        
        echo CHtml::ajaxSubmitButton('Save', Yii::app()->createUrl('finance/core/SaveCashTransfer'), array(
            'dataType' => 'json',
            'type' => 'post',
            'success' => 'function(data) {
                            $("#loader").hide();
                            if(data.status=="success"){  
                                t8.success("Done!");
                                $.each(data.warnings, function(key, val) {
                                    t8.warning({
                                        message:""+val+"", 
                                        title:"Warning",
                                        iconClass: "fa fa-file",
                                    });
                                }); 
                                loadPopupModal("finance/core/post_unpost","Post & Unpost vouchers","lg");
                                reloadTable("#fin_voucher_table");
                            }else{ 
                                $.each(data, function(key, val) {
                                    t8.error(""+val+""); 
                                }); 
                            } 
                        }',
                        'beforeSend' => 'function(){
                            $("#loader").show();
                        }',
            ), array('id' => 'mybtn' . rand(), 'class' => 'btn btn-theme')); 
    ?>
</div>
<?php $this->endWidget(); ?>
