<?php 
$cs = Yii::app()->getClientScript();
    
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'salesinvoice-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>
<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
                <?php
                $created_by=Yii::app()->user->id;
                $outlet=Yii::app()->user->outlet_id;
                $cash=FinanceSystemAccountsMapping::getSystemdefault('cash_account');
                $expense_accounts=FinanceLegder::model()->findAll(array('condition'=>'main_account_type="E" AND isParent="N"','order'=>'description'));
                $expense_accounts=CHtml::listData($expense_accounts, 'id', 'description');
                ?>
            <li class="col-sm-4">
                <?php echo CHtml::textField('voucher_date', date('d/m/Y'),array('data-label'=>'Voucher Date *', 'class' => 'datepicker')); ?>
            </li>
            <li class="col-sm-4">
                <?php echo CHtml::dropDownList('to_account', '',$expense_accounts,array('data-label'=>'Expense Account *', 'data-search' => true)); ?>
            </li>
            <li class="col-sm-4">
                <?php echo CHtml::dropDownList('from_account', '',array($cash=>"Cash"),array('data-label'=>'payment Mode *')); ?>
            </li>
            <li class="col-sm-4">
                <?php echo CHtml::textField('amount','',array('data-label'=>'Amount *','onkeypress' => 'return isNumberKey(event);')); ?>
            </li>
            <li class="col-sm-4">
                <?php echo CHtml::textField('vat_amount','',array('data-label'=>'VAT ','onkeypress' => 'return isNumberKey(event);')); ?>
            </li>
            <li class="col-sm-4">
                <?php echo CHtml::textArea('narration','',array('data-label'=>'Narration *')); ?>
            </li>
        </ul>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-danger"  data-dismiss="modal">Close</button>
    <?php
        
        echo CHtml::ajaxSubmitButton('Save', Yii::app()->createUrl('finance/core/SaveExpenseVoucher'), array(
            'dataType' => 'json',
            'type' => 'post',
            'success' => 'function(data) {
                            $("#loader").hide();
                            if(data.status=="success"){  
                                t8.success("Done!");
                                $.each(data.warnings, function(key, val) {
                                    t8.warning({
                                        message:""+val+"", 
                                        title:"Warning",
                                        iconClass: "fa fa-file",
                                    });
                                }); 
                                loadPopupModal("finance/core/post_unpost","Post & Unpost vouchers","lg");
                                reloadTable("#fin_voucher_table");
                            }else{ 
                                $.each(data, function(key, val) {
                                    t8.error(""+val+""); 
                                }); 
                            } 
                        }',
                        'beforeSend' => 'function(){
                            $("#loader").show();
                        }',
            ), array('id' => 'mybtn' . rand(), 'class' => 'btn btn-theme')); 
    ?>
</div>
<?php $this->endWidget(); ?>
