<script src="js/jquery.aCollapTable.js"></script>

<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("loadPage", "function loadPage(){
                $('#loader').show();
                jQuery.ajax({
                    'type': 'post',
                    'url': '" . Yii::app()->createUrl('finance/reports/aging_html') . "',
                    'data' : { 'ledger_id' : $('#ledger_id').val(), 'to' : $('#fn_report_to').val(), 'brand' : 0, 'category' : $('#category').val(), 'outlet' : $('#outlet').val(), 'salesman' : $('#salesman').val() },
                    'success': function(data) {
                        $('#data_div').show();
                        $('#aging_detailed_li').hide();
                        $('#aging_detailed').empty();
                        $('#aging_li').show();
                        $('#aging_li').addClass('active');
                        $('#aging_tab').addClass('active');
                        $('#aging_tab').html(data);
                        $('#loader').hide();
                    }
                });
        }", CClientScript::POS_HEAD);
        $cs->registerScript("loadVouchers", "function loadVouchers(ledger_id, subledger_id, tail, mode){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/aging_vouchers_html') . "',
                'data' : { 'ledger_id' : ledger_id, 'subledger_id' : subledger_id, 'tail' : tail, 'mode' : mode },
                'success': function(data) {
                    $('#aging_detailed_li').show();
                    $('#aging_detailed').html(data);
                    $('#aging_li').removeClass('active');
                    $('#aging_tab').removeClass('active');
                    $('#aging_detailed_li').addClass('active');
                    $('#aging_detailed').addClass('active');
                    $('#loader').hide();
                    return false;
                }
            });
        }", CClientScript::POS_HEAD);
        
?>

<style>
table {
  font-family: arial, sans-serif !important;
  border-collapse: collapse !important;
  width: 100% !important;
}

td, th {
  border: 1px solid #dddddd !important;
  text-align: left !important;
  padding: 8px !important;
}

table th{
	padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #1f67b2;
    color: white;
}

tr:nth-child(even) {
  background-color: #f2f2f2 !important;
}
</style>
<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('fn_report_to', date('t/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'To')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::dropdownlist("ledger_id", '', $filter_array, array('class' => 'tooltipster', 'data-label' => 'Ledgers', 'data-search' => true)); //getAll  ?>
                        <?php echo CHtml::hiddenfield("category", $category); ?>
                    </li>
                    <?php if($category=='RECEIVABLE') {  ?>
                    <?php if( Yii::app()->user->user_access_type != 'SL' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('salesman', '', MasOutlets::salesmans(), array('class' => 'tooltipster', 'data-label' => 'Salesman', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php } else{
                        echo CHtml::hiddenField('salesman',Yii::app()->user->id);
                    }
                    }?>
                    <li class="col-sm-2">
                    <?php 
                    if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet','prompt' => 'All Outlets');
                    }
                    else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet');
                    }
                    echo CHtml::dropdownlist('outlet',Yii::app()->user->outlet_id, MasOutlets::getAllOutlets(), $array); ?>     
                    </li>
                    <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-theme" onclick="loadPage();">HTML</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/aging_pdf&to_date='+$('#fn_report_to').val()+'&ledger='+$('#ledger_id').val()+'&brand='+$('#brand_id').val()+'&category='+$('#category').val()+'&outlet='+$('#outlet').val()+'&salesman='+$('#salesman').val(), '_blank'); ">PDF</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/aging_excel&to_date='+$('#fn_report_to').val()+'&ledger='+$('#ledger_id').val()+'&brand='+$('#brand_id').val()+'&category='+$('#category').val()+'&outlet='+$('#outlet').val()+'&salesman='+$('#salesman').val(), '_blank');">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
                    <li id="aging_li" style="display:none;"><a href="#aging_tab" data-toggle="tab" ><?php echo ucfirst(strtolower($category)); ?> Aging </a></li>
                    <li id="aging_detailed_li" style="display:none;"><a href="#aging_detailed" data-toggle="tab" >Vouchers <i onclick="$('#aging_li').addClass('active'); $('#aging_tab').addClass('active');  $('#aging_detailed_li').hide();$('#aging_detailed').empty();" class="fa fa-remove"></i></a></li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane" id="aging_tab">
                    </div>
                    <div class="tab-pane" id="aging_detailed">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
