<div class="table-responsive">

    <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:8%">Date</th>
                <th style="width:5%">Inv.No</th>
                <th style="width:15%">Customer</th>
                <th style="width:15%">Part No.</th>
                <th style="width:10%">Brand</th>
                <th style="width:5%">Qty</th>
                <th style="width:5%">Rate</th>
                <th style="width:5%">Tax</th>
                <th style="width:5%">Net</th>
                <th style="width:5%">Total</th>
                <th style="width:5%">Cost</th>
                <th style="width:5%">Tot.Cost</th>
                <th style="width:5%">Profit</th>
                <th style="width:5%">Profit(%)</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $customer_id = (int) $salesinvoice_customer_id;
            $created_user = (int) $created_user;
            $from_date = (count(explode('/', $from)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $from))) : date('Y-m-01');
            $to_date = (count(explode('/', $to)) == 3) ? date("Y-m-d", strtotime(str_replace('/', '-', $to))) : date('Y-m-d');
            $condition = ' where SI.active="Y" AND SI.invoice_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';
            if ($outlet > 0) {
                $condition .= ' AND SI.outlet=' . $outlet;
                $conditions .= ' AND outlet=' . $outlet;
            }
            if ($customer_id) {
                $condition .= ' AND SI.customer_id=' . $customer_id;
            }
            if ($created_user) {
                $condition .= ' AND SI.sales_man=' . $created_user;
            }
            if ((int)$brand_id > 0) {
                $condition .= ' AND S.brand=' . (int)$brand_id;
            }

            $SQL = ' Select SI.invoice_no,C.customer_name,C.id as customer_id,I.description,I.net_amount,I.quantity,I.rate,SI.invoice_date,I.product_id,I.tax_amount,SI.id AS invoice_id,I.id AS item_id,B.brand_name 
                    from erp_sales_invoice_items I 
                    INNER JOIN   erp_sales_invoice SI ON SI.id=I.invoice_id 
                    INNER JOIN erp_inventory S ON S.id=I.product_id 
                    INNER JOIN erp_master_brand B ON B.id=S.brand 
                    INNER JOIN erp_customer C ON SI.customer_id=C.id ' . $condition . ' ORDER BY I.product_id, SI.customer_id, I.rate DESC';
            $all = Yii::app()->db->createCommand($SQL)->queryAll();
            $total_cost = 0;
            $total_profit = 0;
            $total_sales = 0;
            $total_tax = 0;
            $min_rate_condition = 'SI.active="Y" AND SI.invoice_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';
            $previous_product_id = null;
            $previous_customer_id = null;
            $color_check = 1;
            foreach ($all as $key => $each) {
                $minratesql = 'SELECT  MIN(I.rate) AS rate
                        FROM erp_sales_invoice_items I 
                        INNER JOIN erp_sales_invoice SI ON SI.id=I.invoice_id
                        WHERE  ' . $min_rate_condition . ' AND  I.product_id=' . $each["product_id"] . '
                        GROUP BY I.product_id';
                $min_rate = Yii::app()->db->createCommand($minratesql)->queryScalar();
                $qty = Yii::app()->db->createCommand('SELECT quantity*unit_exchange_rate AS qty from erp_stock_ledger where  type="SI" AND header_id=' . $each["invoice_id"] . ' AND item_id=' . $each["item_id"] . ' AND product_id=' . $each["product_id"] . ' AND transaction_date <= "' . $each['invoice_date'] . '" ' . $conditions)->queryScalar();
                $qty = round($qty, 2);
                $current_in_rate = Yii::app()->db->createCommand('SELECT CASE
                WHEN SUM(quantity*unit_exchange_rate) > 0 THEN SUM(quantity*rate)/SUM(quantity*unit_exchange_rate) ELSE 0 END AS avg_purchase_rate 
                FROM {{stock_ledger}}  WHERE transaction_type = "IN" AND type!= "GT" AND product_id=' . $each["product_id"] . ' AND transaction_date <= "' . $each['invoice_date'] . '" ' . $conditions)->queryScalar();
                $profit = $each['net_amount'] - $each['tax_amount'] - ($qty * $current_in_rate);
                $cost = ($qty * $current_in_rate);
                $rate = $each['rate'];
                $Total_woVat = $each['net_amount'] - $each['tax_amount'];
                if ($Total_woVat > 0) {
                    $profit_percent = $profit / ($Total_woVat) * 100;
                }

                // if ($qty == 1 && ($min_rate == $each['rate'])) {
                //     $colour = '#66ff66';
                // } else {
                //     $colour = '#ff66cc';
                // }

                $current_product_id  = $each['product_id'];
                $next_product_id     = $all[$key + 1]['product_id'];
                $current_customer_id = $each['customer_id'];
                $next_customer_id    = $all[$key + 1]['customer_id'];
                $current_rate        = round($each['rate'], 2);
                $next_rate           = round($all[$key + 1]['rate'], 2);


                if ($current_product_id == $previous_product_id && $current_customer_id == $previous_customer_id) {
                    $color_check = 0;
                } else {
                    if ($current_product_id == $next_product_id && $current_customer_id == $next_customer_id && $current_rate == $next_rate) {
                        $color_check = 0;
                    } else {
                        // $color_check = 1;
                        if ($current_product_id == $next_product_id && $current_customer_id == $next_customer_id) {
                            $color_check = 1;
                        } else {
                            $color_check = 0;
                        }
                    }
                }
                $previous_product_id  = $current_product_id;
                $previous_customer_id = $current_customer_id;

                if ($color_check == 1) {
                    $colour = '#ffa500';
                } else {
                    $colour = '';
                }

            ?>
                <tr>
                    <td><?php echo  date("d-m-Y", strtotime($each['invoice_date'])); ?></td>
                    <td><?php echo $each['invoice_no']; ?></td>
                    <td><?php echo $each['customer_name']; ?></td>
                    <td><?php echo  $each["product_id"] . '/' . $each['description']; ?></td>
                    <td><?php echo  $each['brand_name']; ?></td>
                    <td><?php echo  $qty; ?></td>
                    <td style="text-align:right !important;background-color:<?php echo $colour; ?>"><?php echo   Yii::app()->numberFormatter->formatCurrency($each['rate'], ""); ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['tax_amount'], ""); ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['net_amount'], ""); ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($Total_woVat, " "); ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($current_in_rate, " "); ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($qty * $current_in_rate, " "); ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($profit, " "); ?></td>
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($profit_percent, " ") . "%"; ?></td>
                </tr>
            <?php
                $total_cost += $qty * $current_in_rate;
                $total_profit += $profit;
                $total_sales += $each['net_amount'];
                $total_tax += $each['tax_amount'];
                $total_woVat         += $Total_woVat;
            }
            if ($total_sales > 0) {
                $percent = $total_profit / ($total_sales) * 100;
            } else {
                $percent = 0;
            }

            ?>

            <tr>
                <td colspan="7">Total</td>
                <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_tax, " "); ?></b></td>
                <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_sales, " "); ?></b></td>
                <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_woVat, " "); ?></b>
                </td>
                <td></td>
                <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_cost, " "); ?></b></td>
                <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_profit, " "); ?></b></td>
                <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($percent, " ") . "%"; ?></b></td>
            </tr>


        </tbody>
    </table>
</div>