<!DOCTYPE html>
<html>

<head>
    <title>Profit and Loss</title>
</head>

<body>
    <?php
    if ((int)$user_id > 0) {
        $userModel = MasUsers::model()->findByPk((int) $user_id);
    } else {
        $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
    }
    ?>
    <div class="">
        <div class="col-12">
            <div class="text-center">
                <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
            </div>

        </div>
        <div class="col-12">
            <br>
            <div class="text-center">
                <!--<div class="h3" style="margin-top: 0;margin-bottom: 0;">Trial Balance</div>-->
            </div>
        </div>
        <div class="col-6">
            <br>
            <div class="input-block">
                <b>Profit and Loss</b>
            </div>
            <br> <br>
            <table class="table" style="width:100%">

                <tr>
                    <td><b>From</b></td>
                    <td><?php echo date('d/m/Y', STRTOTIME($from_date)); ?></td>
                </tr>
                <tr>
                    <td><b>To</b></td>
                    <td><?php echo date('d/m/Y', STRTOTIME($to_date)); ?></td>
                </tr>

            </table>
        </div>
    </div>
    <br>
    <?php

    $condition = 'H.is_posted="Y" AND H.voucher_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';

    if ($outlet > 0) {
        $condition .= ' AND I.outlet=' . $outlet;
        $conditions .= ' AND outlet=' . $outlet;
    }

    $time = strtotime($end_date);
    $year = date("Y", $time);
    //echo '(SELECT A.id,A.account_order,0 AS account_open_amount,A.account_no,A.description,A.level,A.main_account_type,A.isParent,sum(I.amount) AS amount FROM {{finance_voucher_items}} as I left join {{finance_legder}} as A on I.ledger_id=A.id left join {{finance_voucher_head}} as H on H.id=I.header_id WHERE  '.$condition.'   AND ( A.main_account_type="I") group by A.id order by A.account_no)';die;
    Yii::app()->db->createCommand('TRUNCATE TABLE trail_balance_tbl')->execute();
    Yii::app()->db->createCommand('INSERT INTO  trail_balance_tbl (SELECT A.id,A.account_order,0 AS account_open_amount,A.account_no,A.description,A.level,A.main_account_type,A.isParent,sum(I.amount) AS amount FROM {{finance_voucher_items}} as I left join {{finance_legder}} as A on I.ledger_id=A.id left join {{finance_voucher_head}} as H on H.id=I.header_id WHERE  ' . $condition . '   AND ( A.main_account_type="I") group by A.id order by A.account_no)')->execute();
    Yii::app()->db->createCommand("INSERT INTO  trail_balance_tbl (SELECT id,account_order,0 AS account_open_amount,account_no,description,level,main_account_type,isParent,0 AS amount FROM {{finance_legder}}  where main_account_type='I')")->execute();
    $SQL = "select id,account_sorting_number,account_open_amount,accounting_number,title,stage,type_of_account,rollup_account,sum(amount) AS amount from trail_balance_tbl group by id order by account_sorting_number,accounting_number,title";
    $income = Yii::app()->db->createCommand($SQL)->queryAll();
    ?>


    <!-- //We have 5 levels -->
    <table class="table table-hover table-fixed table-bordered">
        <thead>
            <tr>
                <th style="width:50%">Accounts</th>
                <th style="width:25%">Amount</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $totals = array();
            //        $directIncome = FinanceLegder::model()->findAll(array('condition' => 'classification="DIRECT_INCOME"', 'order' => 'id ASC'));
            $totalDirectincome = 0;
            $totalDirectexpense = 0;
            $totalIndirectincome = 0;
            $totalIndirectexpense = 0;
            //level - 2
            $Total_Income = 0;
            $TotalDirectIncome = 0;
            foreach ($income as $eachAccount) {

                $balance = 0;
                $accountName = $eachAccount['title'];
                switch ($eachAccount['stage']) {
                    case 1:
                        $space = '&nbsp;&nbsp;&nbsp;';
                        break;
                    case 2:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 3:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 4:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 5:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                }
                if ($eachAccount['rollup_account'] == 'Y') {
            ?>
                    <tr>
                        <td colspan="2"><b><?php echo $space . $accountName; ?></b></td>
                    </tr>
                    <?php

                } else {
                    if ($eachAccount['amount'] != 0) {
                    ?>
                        <tr>
                            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $accountName; ?></td>
                            <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency((-1 * $eachAccount['amount']), " "); ?></td>
                        </tr>
            <?php
                    }
                }
                if ($eachAccount['id'] == 11) {
                    $TotalDirectIncome += $eachAccount['amount'];
                }
                if ($eachAccount['id'] == 12) {
                    $TotalDirectIncome += $eachAccount['amount'];
                }
                if ($eachAccount['id'] == 53) {
                    $TotalDirectIncome += $eachAccount['amount'];
                }

                $Total_Income += -1 * ($eachAccount['amount']);
            }

            $goods_receipt = Yii::app()->db->createCommand('SELECT SUM(goods_receipt) AS goods_receipt 
                FROM temp_cost_stock_tbl  WHERE date BETWEEN "' . $from_date . '" AND "' . $to_date . '"  ' . $conditions)->queryScalar();
            $accountName = "Goods Receipt";
            ?>
            <tr>
                <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $accountName; ?></td>
                <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency(($goods_receipt), " "); ?></td>
            </tr>
            <?php $Total_Income += $goods_receipt; ?>
            <tr>
                <td style="color:#1F67B2;text-align:right !important;"><b>Total Income </b></td>
                <td style="color:#1F67B2;text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency(abs($Total_Income), " "); ?></b></td>
            </tr>
            <!-- //direct expense -->
            <?php

            Yii::app()->db->createCommand('TRUNCATE TABLE trail_balance_tbl')->execute();
            Yii::app()->db->createCommand('INSERT INTO  trail_balance_tbl (SELECT A.id,A.account_order,0 AS account_open_amount,A.account_no,A.description,A.level,A.main_account_type,A.isParent,sum(I.amount) AS amount FROM {{finance_voucher_items}} as I left join {{finance_legder}} as A on I.ledger_id=A.id left join {{finance_voucher_head}} as H on H.id=I.header_id WHERE ' . $condition . ' AND ( A.main_account_type="E") group by A.id order by A.account_no)')->execute();
            Yii::app()->db->createCommand("INSERT INTO  trail_balance_tbl (select id,account_order,0 AS account_open_amount,account_no,description,level,main_account_type,isParent,0 AS amount FROM {{finance_legder}}  where main_account_type='E')")->execute();
            $SQL1 = "select id,account_sorting_number,account_open_amount,accounting_number,title,stage,type_of_account,rollup_account,sum(amount) AS amount from trail_balance_tbl group by id order by account_sorting_number,accounting_number,title";
            $expenses = Yii::app()->db->createCommand($SQL1)->queryAll();
            $Total_Expense = 0;
            foreach ($expenses as $eachAccount) {

                $balance = 0;
                switch ($eachAccount['stage']) {
                    case 1:
                        $space = '&nbsp;&nbsp;&nbsp;';
                        break;
                    case 2:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 3:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 4:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                    case 5:
                        $space = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                        break;
                }
                if ($eachAccount['id'] == 10005) {
                    $balance = Yii::app()->db->createCommand('SELECT SUM(cost)-SUM(sales_return) AS cost 
                FROM temp_cost_stock_tbl  WHERE date BETWEEN "' . $from_date . '" AND "' . $to_date . '"  ' . $conditions)->queryScalar();
                    $Total_Expense += $balance;
                    $accountName = 'Cost of Sale';
            ?>
                    <tr>
                        <td><?php echo $space . $accountName; ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($balance, " "); ?></td>
                    </tr>

                <?php
                } else if ($eachAccount['id'] == 4114) {
                    $balance = Yii::app()->db->createCommand('SELECT SUM(goods_issue) AS goods_issue 
                FROM temp_cost_stock_tbl  WHERE date BETWEEN "' . $from_date . '" AND "' . $to_date . '"  ' . $conditions)->queryScalar();
                    $Total_Expense += $balance;
                    $accountName = 'Damage/stock clearing/expiry';
                ?>
                    <tr>
                        <td><?php echo $space . $accountName; ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($balance, " "); ?></td>
                    </tr>
                    <?php
                } else {
                    $accountName = $eachAccount['title'];
                    if ($eachAccount['rollup_account'] == 'Y') {
                    ?>
                        <tr>
                            <td colspan="2"><b><?php echo $space . $accountName; ?></b></td>
                        </tr>
                        <?php
                    } else {
                        if ($eachAccount['amount'] != 0) {
                        ?>
                            <tr>
                                <td><?php echo $space . $accountName; ?></td>
                                <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($eachAccount['amount'], " "); ?></td>
                            </tr>
            <?php
                        }
                    }
                    $Total_Expense += $eachAccount['amount'];
                }
            }
            ?>
            <tr>
                <td style="color:#1F67B2;text-align:right !important;"><b>Total Expense </b></td>
                <td style="color:#1F67B2;text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency(abs($Total_Expense), " "); ?></b></td>
            </tr>

            <?php
            $netProfit = $Total_Income - $Total_Expense;
            if ($netProfit > 0) {
            ?>
                <tr>
                    <td style="color:#1F67B2;text-align:right !important;"><b>Profit <?php echo FinanceLegder::baseCurrency(); ?></b></td>
                    <td style="color:#1F67B2;text-align:right !important;"><b><?php echo $symbol . Yii::app()->numberFormatter->formatCurrency(abs($netProfit), " "); ?></b></td>
                </tr>
            <?php
            } else {
            ?>
                <tr>
                    <td style="color:#1F67B2;text-align:right !important;"><b>Loss <?php echo FinanceLegder::baseCurrency(); ?></b></td>
                    <td style="color:#1F67B2;text-align:right !important;"><b><?php echo $symbol . Yii::app()->numberFormatter->formatCurrency(abs($netProfit), " "); ?></b></td>
                </tr>
            <?php  } ?>
        </tbody>
    </table>
    <br />


    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px"><?php echo $userModel->companyDetails->pdf_footer; ?>
            <?php
            date_default_timezone_set("Asia/Dubai");
            echo date('d/m/Y') . " " . date("h:i:sa");
            ?>
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
            <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>

</body>

</html>