<?php
$mpdf->use_kwt = true;
$telenumber = "";
$fax = "";
$due_array = [];
$due_array["0-30"] = 0;
for ($index = 1; $index < 6; $index++) {
    $lower_limit = ($index * 30) + 1;
    $upper_limit = $lower_limit + 29;
    $label = "{$lower_limit}-{$upper_limit}";
    if (!isset($due_array[$label])) {
        $due_array[$label] = 0;
    }
}
$due_array[">180"] = 0;
?>


<!DOCTYPE html>
<html>

<head>
    <title><?php echo date('dmYhis'); ?></title>
    <style>
        @page :last {
            footer: myfooter;
        }
    </style>
</head>

<body>


    <!--new header start-->

    <htmlpageheader name="firstpage" style="display:none">
    </htmlpageheader>

    <?php
    if ((int)$user_id > 0) {
        $userModel = MasUsers::model()->findByPk((int) $user_id);
    } else {
        $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
    }
    ?>

    <htmlpageheader name="otherpages" style="display:none">
        <div style="text-align:center; float:left; width:100%;font-family:'Times New Roman', Times, serif;font-style:italic;margin-bottom:10c.m;">
            <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo" style="height:90px;" />
            ---- Page {PAGENO} ----
        </div>
    </htmlpageheader>

    <sethtmlpageheader name="firstpage" value="off" show-this-page="1" />
    <sethtmlpageheader name="otherpages" value="on" />

    <div>
        <div class="header" style="width:100%;float: left;padding-bottom:10px;">
            <?php //$userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);   ?>
            <div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <small><?php echo nl2br($userModel->outletDetails->address); ?></small><br>
                    <small><?php echo $userModel->outletDetails->phone_no; ?></small>
                </div>
            </div>
        </div>
        <?php
        $telenumber = "+971 4 3272500";
        $fax = "+971 4 3272600";
        $prefix = '';
        if ($userModel->outletDetails->prefix != '') {
            $prefix = $userModel->outletDetails->prefix . '/';
        }
        ?>
        <!--new header end-->

        <div style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;">
            <!--add New Template-->
            <div style="text-align: right;width: 100%">Date : <?= date("d/m/Y") ?></div>
            <div class="">
                <div class="col-6">
                    <?php
                    $ledgerModel = FinanceLegder::model()->findBypk((int) $ledger);
                    $subledgerModel = FinanceSubledger::model()->findBypk((int) $subledger);
                    ?>


                    <!-- <b><?php echo strtoupper($subledgerModel->description); ?></b><br>
<small><?php echo strtoupper(nl2br($subledgerModel->address)); ?></small><br>
<small><?php echo ($subledgerModel->phone != '') ? 'Phone : ' . strtoupper($subledgerModel->phone) : ''; ?></small><br> -->
                    <div style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;">

                        <div style="text-align:left; float:left; width:65%;">

                            <div style="float:left;">
                                To,<br>
                                <?php
                                if ($subledgerModel->subledger_type_id == 1 || $subledgerModel->subledger_type_id == 2) {
                                    if ($subledgerModel->subledger_type_id == 1) {
                                        $customer = Customer::model()->findByPk($subledgerModel->parent_id);
                                ?>
                                        <span style="font-weight:bold;padding-bottom: 6px;float: left;">M/s. <?php echo $customer->customer_name; ?> </span><br />

                                        <span style="padding-bottom: 6px;float: left;"><?php
                                                                                        if (!empty($customer->customer_address)) {
                                                                                            echo $customer->customer_address . ",";
                                                                                        }
                                                                                        ?>
                                            <?php if (!empty($customer->customer_postal_code)) { ?>P. O. Box <?php echo $customer->customer_postal_code; ?><?php } ?><br />
                                            <?php
                                            if (!empty($customer->customer_city)) {
                                                echo "&nbsp;" . $customer->customer_city . " ";
                                            }
                                            ?>
                                            <?php
                                            if (!empty($customer->customer_country)) {
                                                echo " - " . $customer->country->country_name;
                                            }
                                            ?><br />
                                            <table border="0" style="margin-left: 0px;">
                                                <tr>
                                                    <td>Tel</td>
                                                    <td>:</td>
                                                    <td><?php echo $customer->phone; ?></td>
                                                </tr>
                                                <tr>
                                                    <td>TRN</td>
                                                    <td>:</td>
                                                    <td><?php echo $customer->trn_no; ?></td>
                                                </tr>
                                            </table>

                                        <?php
                                    } else {
                                        $vendor = Vendor::model()->findByPk($subledgerModel->parent_id);
                                        ?>
                                            <span style="font-weight:bold;padding-bottom: 6px;float: left;">M/s. <?php echo $vendor->vendor_name; ?> </span><br />
                                            <span style="padding-bottom: 6px;float: left;"><?php
                                                                                            if (!empty($vendor->address)) {
                                                                                                echo $vendor->address . ",";
                                                                                            }
                                                                                            ?>
                                                <?php
                                                if ($vendor->state > 0) {
                                                    echo $vendor->state_detail->state_name . ",";
                                                }
                                                ?>
                                                <?php
                                                if ($vendor->country > 0) {
                                                    echo " - " . $vendor->country_detail->country_name;
                                                }
                                                ?><br />
                                                <table border="0">
                                                    <tr>
                                                        <td>Tel</td>
                                                        <td>:</td>
                                                        <td><?php echo $vendor->phone; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <td>TRN</td>
                                                        <td>:</td>
                                                        <td><?php echo $vendor->trn_no; ?></td>
                                                    </tr>
                                                </table>
                                            <?php
                                        }
                                            ?>
                                        <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <br>
            <div class="col-md-12">
                <p>Dear Sir / Madam, </p>
                <?php if ($type == 'customer') { ?>
                    <p class="text-center"><b><u>Sub: Statement of Account up to <?= date("d/m/Y", strtotime($to)) ?></u></b></p>
                <?php } else {
                ?>
                    <p><b>Subject : Statement Of Account</b></p>
                <?php }
                ?>

                <p>
                    This is to inform your Accounts Dept. that our records show an outstanding balance against the following invoices.
                </p>
                <table id="tbl_reorder_level_table" class="table table-fixed table-bordered table-primary dataTable">
                    <thead>
                        <tr>
                            <th class="text-center" style="width:10%">Date</th>
                            <th class="text-center" style="width:10%">Type</th>
                            <th class="text-center" style="width:10%">Voucher #</th>
                            <th class="text-center" style="width:10%">Due Date</th>
                            <th class="text-center" style="width:10%">Over Due</th>
                            <th class="text-center" style="width:10%">Ref</th>
                            <th class="text-center" style="width:10%">Voucher Value</th>
                            <th class="text-center" style="width:10%">Paid</th>
                            <th class="text-center" style="width:10%">Balance Amt Due</th>
                        </tr>
                    </thead>
                    <?php
                    $cur = MasCurrency::model()->findByPk($currency);
                    $exchange_rate = $cur->exchange_rate;
                    $currency_code = $cur->currency_code;

                    // $amountType = 'VI.amount < 0';
                    // if ($type == 'customer')
                    //     $amountType = 'VI.amount > 0';
                    $amountType = 'VI.amount < 0';
                    $paidType = 'VI.amount > 0';
                    if ($type == 'customer') {
                        $amountType = 'VI.amount > 0';
                        $paidType = 'VI.amount < 0';
                    }
                    $items = array();

                    //                                                $opening = 'SELECT ROUND(ABS(VI.amount*VI.exchange_rate), 4) AS balance FROM {{finance_voucher_items}} VI
                    //                    LEFT JOIN {{finance_voucher_head}} V ON V.id = VI.header_id
                    //                    WHERE V.is_posted ="Y" AND is_allocated="N" AND V.voucher_date<"' . $from . '" AND ' . $amountType . ' AND VI.ledger_id = ' . $ledger . ' AND VI.subledger_id = ' . $subledger;
                    //                                                $opening_bal = Yii::app()->db->createCommand($opening)->queryScalar();

                    //             $query = 'CREATE OR REPLACE VIEW {{finance_statement}} AS SELECT
                    //     V.id AS voucher_id,
                    //     V.voucher_date AS voucher_date,
                    //     V.due_date AS due_date,
                    //     V.reference_no AS reference_no,
                    //     VI.narration AS narration,
                    //     VI.id AS voucher_item_id,
                    //     V.voucher_no, 
                    //     ROUND(ABS(VI.amount*VI.exchange_rate), 4) AS amount,
                    //     ROUND(IFNULL(ABS(SUM(AI.amount)), 0), 4) AS allocated,
                    //     ROUND(ABS(VI.amount*VI.exchange_rate), 4) - ROUND(IFNULL(ABS(SUM(AI.amount)), 0), 4) AS balance
                    // FROM {{finance_voucher_items}} VI
                    // LEFT JOIN {{finance_voucher_head}} V ON V.id = VI.header_id
                    // LEFT JOIN {{finance_allocation_items}} AI ON AI.voucher_item_id = VI.id
                    // WHERE V.is_posted ="Y" AND V.voucher_date>="' . $from . '" AND V.voucher_date<="' . $to . '"   AND ' . $amountType . ' AND VI.ledger_id = ' . $ledger . ' AND VI.subledger_id = ' . $subledger . '
                    // GROUP BY VI.id ORDER BY voucher_date';
                    $query = 'CREATE OR REPLACE VIEW {{finance_statement}} AS (SELECT
                                    VT.description AS voucher_type,
                                    V.id AS voucher_id,
                                    V.voucher_date AS voucher_date,
                                    V.due_date AS due_date,
                                    V.reference_no AS reference_no,
                                    VI.narration AS narration,
                                    VI.id AS voucher_item_id,
                                    V.voucher_no,
                                    ROUND(ABS(VI.amount*VI.exchange_rate), 4) AS amount,
                                    ROUND(IFNULL(ABS(SUM(AI.amount)), 0), 4) AS allocated,
                                    ROUND(ABS(VI.amount*VI.exchange_rate), 4) - ROUND(IFNULL(ABS(SUM(AI.amount)), 0), 4) AS balance
                                FROM {{finance_voucher_items}} VI
                                LEFT JOIN {{finance_voucher_head}} V ON V.id = VI.header_id
                                LEFT JOIN {{finance_voucher_type}} VT ON VT.id = V.voucher_type
                                LEFT JOIN {{finance_allocation_items}} AI ON AI.voucher_item_id = VI.id
                                WHERE V.is_posted ="Y" AND V.voucher_date<="' . $to . '"  AND ' . $amountType . ' AND VI.ledger_id = ' . $ledger . ' AND VI.subledger_id = ' . $subledger . '
                                GROUP BY VI.id)
                                UNION
                                (SELECT
                                    VT.description AS voucher_type,
                                    V.id AS voucher_id,
                                    V.voucher_date AS voucher_date,
                                    V.due_date AS due_date,
                                    V.reference_no AS reference_no,
                                    VI.narration AS narration,
                                    VI.id AS voucher_item_id,
                                    V.voucher_no,
                                    -(ROUND(ABS(VI.amount*VI.exchange_rate), 4)) AS amount,
                                    -(ROUND(IFNULL(ABS(SUM(AI.amount)), 0), 4)) AS allocated,
                                    -(ROUND(ABS(VI.amount*VI.exchange_rate), 4) - ROUND(IFNULL(ABS(SUM(AI.amount)), 0), 4)) AS balance
                                FROM {{finance_voucher_items}} VI
                                LEFT JOIN {{finance_voucher_head}} V ON V.id = VI.header_id
                                LEFT JOIN {{finance_voucher_type}} VT ON VT.id = V.voucher_type
                                LEFT JOIN {{finance_allocation_items}} AI ON AI.voucher_item_id = VI.id
                                WHERE V.is_posted ="Y" AND V.voucher_date<="' . $to . '"  AND ' . $paidType . ' AND VI.ledger_id = ' . $ledger . ' AND VI.subledger_id = ' . $subledger . '
                                GROUP BY VI.id)';
                    if ($ledger > 0 && $subledger > 0) {
                        Yii::app()->db->createCommand($query)->execute();
                        $items = Yii::app()->db->createCommand('SELECT * FROM {{finance_statement}} order by voucher_date')->queryAll();
                    }
                    ?>

                    <tbody>
                        <?php
                        $totalValue = 0;
                        $balanceTotal = 0;
                        $totalPaid = 0;
                        $due_list_array = array();
                        ?>
                        <!--                                                    <tr>
                                                        <td colspan="3" class="text-right">Opening Balance</td>
                                                        <td class="text-right"><?php //echo $currency_code . Yii::app()->numberFormatter->formatCurrency(($opening_bal / $exchange_rate), " "); 
                                                                                ?> </td>
                                                        <td class="text-right"><?php //echo $currency_code . Yii::app()->numberFormatter->formatCurrency((0 / $exchange_rate), " "); 
                                                                                ?> </td>
                                                        <td class="text-right"><?php //echo $currency_code . Yii::app()->numberFormatter->formatCurrency(($opening_bal / $exchange_rate), " "); 
                                                                                ?></td>
                                                    </tr>-->
                        <?php
                        $amount += $opening_bal;
                        $allocated += 0;
                        // $balanced += $opening_bal;
                        $totalValue += $opening_bal;
                        $balanceTotal += $opening_bal;
                        // $totalPaid += $opening_bal;
                        $due_array["OB"] = $opening_bal;
                        foreach ($items as $each) {
                            if (round($each['balance'], 2) != 0) :
                                $totalValue += $each['amount'];
                                $balanceTotal += $each['balance'];
                                $totalPaid += $each['allocated'];
                                $due_days = strtotime($each['voucher_date']);
                                $due = round(abs(strtotime(date('Y-m-d')) - $due_days) / 86400);
                                $array_slot = floor($due / 30);

                                if ($array_slot == 0) {
                                    if (!isset($due_array["0-30"])) {
                                        $due_array["0-30"] = 0;
                                    }
                                    $due_array["0-30"] = $due_array["0-30"] + $each['balance'] / $exchange_rate;
                                } else if ($array_slot >= 6) {
                                    if (!isset($due_array[">180"])) {
                                        $due_array[">180"] = 0;
                                    }
                                    $due_array[">180"] = $due_array[">180"] + $each['balance'] / $exchange_rate;
                                } else {
                                    $lower_limit = ($array_slot * 30) + 1;
                                    $upper_limit = $lower_limit + 29;
                                    $label = "{$lower_limit}-{$upper_limit}";
                                    if (!isset($due_array[$label])) {
                                        $due_array[$label] = 0;
                                    }
                                    $due_array[$label] = $due_array[$label] + $each['balance'] / $exchange_rate;
                                }
                                if ($_REQUEST['type'] == 'customer') {
                                    $vouchreformat = $each['voucher_no'];
                                } else {
                                    $head = FinanceVoucherHead::model()->findByPk($each['voucher_id']);
                                    if ($head->voucher_type == 8) {
                                        $ref = PurchaseInvoice::model()->findByPk($head->voucher_no)->invoice_no;
                                    } else {
                                        $ref = $each['reference_no'];
                                    }
                                    if (empty($ref)) {
                                        $ref = $head->voucher_no;
                                    }
                                    $vouchreformat = $ref;
                                }

                                if ($_POST['type'] == 'customer') {
                                    $vouchreformat = $each['voucher_no'];

                                    $head = FinanceVoucherHead::model()->findByPk($each['voucher_id']);
                                    $vouchertype = FinanceVoucherType::model()->find(array('condition' => 'code="SI" AND outlet=' . $outlet))->id;
                                    if ($head->voucher_type == $vouchertype) {
                                        $ref = PurchaseInvoice::model()->findByPk($head->voucher_no)->invoice_no;
                                    } else {
                                        $ref = $each['reference_no'];
                                    }
                                    if (empty($ref)) {
                                        $ref = $head->voucher_no;
                                    }
                                    $vouchreformat = '<a href="#" onclick="' . generateUrl(FinanceVoucherItems::model()->findBypk((int) $each['voucher_item_id'])) . '">' .  $prefix . $each['voucher_no'] . '</a>';
                                } else {
                                    $head = FinanceVoucherHead::model()->findByPk($each['voucher_id']);
                                    $vouchertype = FinanceVoucherType::model()->find(array('condition' => 'code="PI" AND outlet=' . $outlet))->id;
                                    if ($head->voucher_type == $vouchertype) {
                                        $ref = PurchaseInvoice::model()->findByPk($head->header_table_id)->reference_no;
                                    } else {
                                        $ref = $each['reference_no'];
                                    }
                                    if (empty($ref)) {
                                        $ref = $head->voucher_no;
                                    }
                                    $vouchreformat = $prefix . $each['voucher_no'];
                                }
                                $now = time(); // or your date as well
                                $your_date = strtotime($each['due_date']);
                                $datediff = $now - $your_date;
                                $over_due = round($datediff / (60 * 60 * 24));
                                if ($over_due <= 0) {
                                    $over_due = 0;
                                }
                        ?>
                                <tr>
                                    <td><?php echo date("d/m/Y", strtotime($each['voucher_date'])); ?></td>
                                    <td><?php echo $each['voucher_type']; ?></td>
                                    <td><?php echo $vouchreformat; ?></td>
                                    <td><?php echo date("d/m/Y", strtotime($each['due_date'])); ?></td>
                                    <td><?php echo $over_due; ?> Days</td>
                                    <td><?php echo $ref; ?></td>
                                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(((float)$each['amount'] / (float)$exchange_rate), " "); ?></td>
                                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(((float)$each['allocated'] / (float)$exchange_rate), " "); ?></td>
                                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(((float)$each['balance'] / (float)$exchange_rate), " "); ?></td>
                                </tr>
                            <?php endif; ?>
                        <?php } ?>
                        <tr>
                            <td colspan="6" class="text-right"><b>Total </b></td>
                            <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency(($totalValue / $exchange_rate), " "); ?></b></td>
                            <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency(($totalPaid / $exchange_rate), " "); ?></b></td>
                            <td class="text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency(($balanceTotal / $exchange_rate), " "); ?></b></td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <?php if ($userModel->outletDetails->statement_graph == "Y" &&  $type == 'customer') { ?>
                <div style="border: solid red 1px">
                    <!--                graph plotted here -->

                    <?php
                    $max_value = 0;
                    foreach ($due_array as $value) {
                        if ($max_value < $value) {
                            $max_value = (int) $value;
                        }
                    }
                    $exp = strlen($max_value) - 1;
                    $max_value_tmp = $max_value / pow(10, $exp);

                    $padding_from_top = 500;
                    $max_value = ((int) $max_value_tmp + 1) * pow(10, $exp);
                    if ($max_value < 10) {
                        $max_value = 10;
                    }
                    $y_unit = (int) ($max_value / 10);
                    ?>

                    <svg xmlns="http://www.w3.org/2000/svg" width="1000px" height="560px" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 1000 520" preserveAspectRatio="xMidYMid meet">
                        <?php
                        for ($index = 1; $index <= 10; $index++) {
                            $y = $padding_from_top - ($index * 40);
                            $y_value = $y_unit * $index;
                        ?>
                            <line style="stroke: #d8bfd8; stroke-width:1" x1="60" y1="<?= $y ?>" x2="1000" y2="<?= $y ?>"></line>
                            <text x="0" y="<?= $y - 10 ?>" fill="black"><?= htmlentities(number_format($y_value)) ?></text>
                            <?php
                        }

                        $width = 110;
                        $height = 0;
                        $margins = 70;
                        $i = 0;
                        foreach ($due_array as $key => $value) {
                            $x = ($width * $i) + $margins;
                            $i++;
                            $height = round((400 * $value) / $max_value);
                            //$height +=50;
                            $rect_y = $padding_from_top - $height;
                            if ($value > 0) {
                            ?>
                                <text x="<?= $x ?>" y="<?= $rect_y - 8 ?>" fill="#850ea6"><b><?= htmlentities(number_format($value, 2)) ?></b></text>
                            <?php } ?>
                            <rect x="<?= $x ?>" y="<?= $rect_y ?>" style="fill:#d8bfd8;stroke:#850ea6;stroke-width:2px;" id="e2_rectangle_<?= $x ?>" width="100" height="<?= $height ?>" />
                            <defs id="svgEditorDefs">
                                <marker id="arrow8-6-right" markerHeight="6" markerUnits="strokeWidth" markerWidth="8" orient="auto" refX="-3" refY="0" viewBox="-15 -5 20 20">
                                    <path d="M -15 -5 L 0 0 L -15 5 z" fill="black" />
                                </marker>
                            </defs>

                        <?php }
                        ?>
                        <line style="stroke: #555555; stroke-width:2" x1="60" y1="500" x2="1000" y2="500"></line>
                        <line style="stroke: #555555; stroke-width:2" x1="60" y1="500" x2="60" y2="80"></line>
                        <?php
                        $i = 0;

                        foreach ($due_array as $key => $value) {
                            $x = ($width * $i) + $margins + 30;
                            $y = $padding_from_top - ($i * 40);
                            $i++;
                        ?>
                            <text x="<?= $x ?>" y="520" fill="black"><?= htmlentities($key) ?></text>

                        <?php } ?>

                    </svg>

                </div>
            <?php } ?>
        </div>
        <br>
        <?php if ($userModel->outletDetails->statement_bank == "Y" &&  $type == 'customer') { ?>
            <p>With reference to the above details, kindly arrange the payment / Bank transfer to the provided bank details.</p>

            <div class="box" style="width: 100%;">
                <h5 style="font-size: 13px  ; "><b>Please wire transfer all payments to the below mentioned Bank Account</b></h5>
                <table class="" style="width:100% ;page-break-inside:avoid">
                    <tr>
                        <td style="width: 90px">Account Name</td>
                        <td style="width: 2px">:</td>
                        <td style="float: left;"><?php echo $userModel->outletDetails->account_name; ?></td>

                        <td style="width: 90px">Account No</td>
                        <td style="width: 2px">:</td>
                        <td style="float: left;"><?php echo $userModel->outletDetails->account_no; ?></td>
                    </tr>
                    <tr>
                        <td style="width: 90px">Bank Name</td>
                        <td style="width: 2px">:</td>
                        <td style="float: left;"><?php echo $userModel->outletDetails->bank_name; ?></td>

                        <td style="width: 90px">Bank Branch</td>
                        <td style="width: 2px">:</td>
                        <td style="float: left;"><?php echo $userModel->outletDetails->bank_branch; ?></td>
                    </tr>
                    <tr>
                        <td style="width: 90px">IBAN #</td>
                        <td style="width: 2px">:</td>
                        <td style="float: left;"><?php echo $userModel->outletDetails->iban; ?></td>

                        <td style="width: 90px">Swift Code</td>
                        <td style="width: 2px">:</td>
                        <td style="float: left;"><?php echo $userModel->outletDetails->swift_code; ?></td>
                    </tr>
                </table>
            </div>
        <?php } ?>
        <p>In case of any queries or discrepancies, please do not hesitate to contact us:</p>




        <p>Best regards</p>
        <p><b>Finance Dept.</b></p>
        <br>
        
            <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px"><?php echo $userModel->companyDetails->pdf_footer; ?>
            <?php
            date_default_timezone_set("Asia/Dubai");
            echo date('d/m/Y') . " " . date("h:i:sa");
            ?>
        </div>


        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
            <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>