<script src="js/jquery.aCollapTable.js"></script>

<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("loadPage", "function loadPage(){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/pl_new_html') . "',
                'data' : { 'from' : $('#fn_report_from').val(), 'to' : $('#fn_report_to').val(), 'brand' : $('#brand_id').val(), 'outlet' : $('#outlet').val(), 'created_user' : $('#created_user').val(), 'costcenter' : $('#costcenter').val() },
                'success': function(data) {
                    $('#data_div').show();
                    $('.main-li-data').html(data);
                    $('#loader').hide();
                    
                    $('#pl_table_1').aCollapTable({
                        startCollapsed: false,
                        addColumn: false,
                        plusButton: '<i class=\"fa fa-plus\"></i>&nbsp;', 
                        minusButton: '<i class=\"fa fa-minus\"></i>&nbsp;' 
                    });
                    
                    $('#pl_table_2').aCollapTable({
                        startCollapsed: false,
                        addColumn: false,
                        plusButton: '<i class=\"fa fa-plus\"></i>&nbsp;', 
                        minusButton: '<i class=\"fa fa-minus\"></i>&nbsp;' 
                    });
                }
            });
        }", CClientScript::POS_HEAD);
        $cs->registerScript("load_gl_report", "function load_gl_report(ledger_id, subledger_id, from_date, to_date){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/gl_html') . "',
                'data' : { 'ledger_id' : ledger_id, 'subledger_id' : subledger_id, 'from' : from_date, 'to' : to_date, 'brand' : $('#brand_id').val(), 'created_user' : $('#created_user').val(), 'costcenter' : $('#costcenter').val() },
                'success': function(data) {
                    $('#gl_report_li').show();
                    $('#gl_report_tab').html(data);
                    $('#pl_li').removeClass('active');
                    $('#pl_tab').removeClass('active');
                    $('#gl_summary_li').removeClass('active');
                    $('#gl_summary_tab').removeClass('active');
                    $('#gl_report_li').addClass('active');
                    $('#gl_report_tab').addClass('active');
                    $('#loader').hide();
                    $('#gl_table').aCollapTable({
                        startCollapsed: true,
                        addColumn: false,
                        plusButton: '<i class=\"fa fa-plus\"></i>&nbsp;', 
                        minusButton: '<i class=\"fa fa-minus\"></i>&nbsp;' 
                    });
                }
            });
        }", CClientScript::POS_HEAD);
        $cs->registerScript("load_summary", "function load_summary(ledger_id, from_date, to_date){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('finance/reports/gl_summary_html') . "',
                'data' : { 'ledger_id' : ledger_id, 'to' : to_date, 'brand' : $('#brand_id').val() },
                'success': function(data) {
                    $('#gl_report_li').hide();
                    $('#gl_report_tab').empty();
                    $('#pl_li').removeClass('active');
                    $('#pl_tab').removeClass('active');
                    $('#gl_summary_li').show();
                    $('#gl_summary_li').addClass('active');
                    $('#gl_summary_tab').addClass('active');
                    $('#gl_summary_tab').html(data);
                    $('#loader').hide();
                }
            });
        }", CClientScript::POS_HEAD);
        $cs->registerScript("getOrders", "function getOrders(field_id)
        {
            var arr_field_id = field_id.split('_');
            var i = arr_field_id[1];

                var url = '" . Yii::app()->createUrl('finance/vouchers/getorders') . "';
                $('#'+field_id).autocomplete({
                    minLength   : 1,
                    source      : function (request, response) { autoCompleteSource(request, response, url) },
                    focus       : function( event, ui ) { $(this).val((ui.item.value)); return false; },
                    select          : function( event, ui ) {
                        event.preventDefault();
                        $('#FinanceVoucherItems_'+i+'_brand_id').val(ui.item.value);
                    }
                });
        }", CClientScript::POS_HEAD);

?>

<style>
table {
  font-family: arial, sans-serif !important;
  border-collapse: collapse !important;
  width: 100% !important;
}

td, th {
  border: 1px solid #dddddd !important;
  text-align: left !important;
  padding: 8px !important;
}

table th{
	padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #1f67b2;
    color: white;
}

tr:nth-child(even) {
  background-color: #f2f2f2 !important;
}
</style>
<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <li class="col-sm-3">
                        <?php echo CHtml::textField('fn_report_from', date('01/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'From')); ?>
                    </li>
                    <li class="col-sm-3">
                        <?php echo CHtml::textField('fn_report_to', date('d/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'To')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php 
                        if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU')
                        {
                        $array=array('class'=>'tooltipster','data-label'=>'Outlet','prompt' => 'All Outlets');
                        }
                        else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL')
                        {
                        $array=array('class'=>'tooltipster','data-label'=>'Outlet');
                        }
                        echo CHtml::dropdownlist('outlet',Yii::app()->user->outlet_id, MasOutlets::getAllOutlets(), $array); ?>     
                    </li>
                    
                    <li class="col-sm-2">
                        <?php 
                        $outlet=(int) Yii::app()->user->outlet_id;
                        if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU'|| Yii::app()->user->user_access_type == 'CA')
                        {
                        $uarray=array('class'=>'tooltipster','data-label'=>'User','prompt' => 'All Users');
                        if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU'){
                        $outlet=0;
                        }
                        }
                        else if( Yii::app()->user->user_access_type == 'SL' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM')
                        {
                        $uarray=array('class'=>'tooltipster','data-label'=>'User');
                        }
                    
                        echo CHtml::dropdownlist('created_user','',MasUsers::get_outlet_salesandadmin($outlet), $uarray); ?>  
                    </li>
                     <li class="col-sm-3">
                        <?php 
                          $arrayinv_type = array('1' => 'Taxable', '2' => 'Non Tax'); // Tax  (default) / Export  - non-tax
                          echo CHtml::dropdownlist('costcenter','', $arrayinv_type, array('data-label' => 'Costcenter','empty'=>'All')); ?>

                    </li>
                    <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-theme" onclick="loadPage();">HTML</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/pl_new_pdf&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&brand='+$('#brand_id').val()+'&outlet='+$('#outlet').val()+'&created_user='+$('#created_user').val()+'&costcenter='+$('#costcenter').val(), '_blank')">PDF</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=finance/reports/pl_new_excel&from_date='+$('#fn_report_from').val()+'&to_date='+$('#fn_report_to').val()+'&brand='+$('#brand_id').val()+'&outlet='+$('#outlet').val()+'&created_user='+$('#created_user').val()+'&costcenter='+$('#costcenter').val(), '_blank');">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
                    <li id="pl_li" class="main-li active"><a href="#pl_tab" data-toggle="tab">Profit & Loss</a></li>
                    <li id="gl_summary_li" style="display:none;"><a href="#gl_summary_tab" data-toggle="tab" >Summary <i onclick="$('#pl_li').addClass('active');$('#pl_tab').addClass('active');$('#gl_summary_li').hide();$('#gl_summary_tab').empty();" class="fa fa-remove"></i></a></li>
                    <li id="gl_report_li" style="display:none;"><a href="#gl_report_tab" data-toggle="tab" >General Ledger <i onclick="if( !$('#gl_summary_li').is(':visible') ){ $('#pl_li').addClass('active'); $('#pl_tab').addClass('active'); }else{ $('#gl_summary_li').addClass('active'); $('#gl_summary_tab').addClass('active'); } $('#gl_report_li').hide();$('#gl_report_tab').empty();" class="fa fa-remove"></i></a></li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="pl_tab">
                    </div>
                    <div class="tab-pane" id="gl_summary_tab">
                    </div>
                    <div class="tab-pane" id="gl_report_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
