<style>
.progress {
 height:25px;
 width:60px;
 border:1px solid #000;
 color:#fff;
 text-align: center;
 margin: 0px;
 margin-left: 6px;
 margin-right: 6px
}
</style>
<div class="tab-content">
    <div class="tab-pane active" id="user_sec">
        <section class="panel">
        <header class="panel-heading clearfix panel-theame">
                <i class="fa fa-bank"></i> Outlets 
                <button class="btn btn-sm btn-theme" onclick="loadPopupModal('admin/create', 'New Outlet', 'xl')"><i class="fa fa-plus"></i> ADD</button></header>  
            <div class="panel-body">
                <div class="custom-data-table">
                    <table class="table table-hover table-bordered personal-task" id="tbl_outlet">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Company</th>
                                <th>Outlet Name</th>
                                <th>Outlet Code</th>
                                <th>Start Date</th>
                                <th>Notify Days</th>
                                <th>End Date</th>
                                <th>Status</th>
                                <th>Actions</th>
                                <th></th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </section>
    </div>
</div>
<script>
    $(document).ready(function () {
        var table_details_id = "#tbl_outlet";
        table_details = $(table_details_id).DataTable({//on("preXhr.dt", function (e, settings, data) {        }).
            scrollY: "550px",
            "bAutoWidth": true,
            pageLength: 50,
            ajax: {
                url: "index.php?r=admin/getlist",
                type: "POST",
                cache: false,
            },
            serverSide: true,
            fixedColumns: true,
            processing: true,
            // order: [[1, "desc"]],
            aaSorting : [  [1,'asc'],[2,'asc'] ],
            aoColumnDefs: [
                { "bSortable": false, "aTargets": [8] },
                {
                  "targets": [9],
                  "visible": false,
                },
            ],
            "fnRowCallback": function (nRow, aData, iDisplayIndex, iDisplayIndexFull) {

                 if (aData[9] == "N") {
                     $("td", nRow).addClass("bg-danger");
                 }
            }
        });
        $(".dataTables_scrollFoot").hide();

    });
</script>