<script src="js/jquery.aCollapTable.js"></script>

<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("loadPage", "function loadPage(){
                $('#loader').show();
                jQuery.ajax({
                    'type': 'post',
                    'url': '" . Yii::app()->createUrl('costofsale/statement_html') . "',
                    'data' : { 'ledger_id' : $('#ledger_id').val(),  'to' : $('#fn_report_to').val(), 'subledger_id' : $('#subledger_id').val(), 'currency' : $('#currency').val(), 'type' : '".$type."', 'outlet' : $('#outlet').val() },
                    'success': function(data) {
                        $('#data_div').show();
                        $('#statement_tab').addClass('active');
                        $('#statement_tab').html(data);
                        $('#loader').hide();
                    }
                });
        }", CClientScript::POS_HEAD);       
?>

<style>
table {
  font-family: arial, sans-serif !important;
  border-collapse: collapse !important;
  width: 100% !important;
}

td, th {
  border: 1px solid #dddddd !important;
  text-align: left !important;
  padding: 8px !important;
}

table th{
	padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #1f67b2;
    color: white;
}

tr:nth-child(even) {
  background-color: #f2f2f2 !important;
}
</style>
<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('fn_report_to', date('d/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => ' AS ON ')); ?>
                    </li>
                    <li class="col-sm-4">

                         <?php 
                         $ledger_id=FinanceSystemAccountsMapping::getSystemdefault('debtors');
                         echo CHtml::hiddenfield("ledger_id", $ledger_id ); ?>
                        <?php echo CHtml::dropDownList('subledger_id', '', FinanceSubledger::getSubledgers($ledger_id), array( 'data-label' => 'Customer Name', 'data-search' => 'true','multiple'=>true)); ?>

                    </li>
                    <li class="col-sm-2">
                    <?php 
                    echo CHtml::dropDownList("currency","",MasCurrency::getCurrency(), array('class' => 'tooltipster', 'title' => 'Currency', 'data-label' => 'Currency', 'value' => MasCurrency::base_currency_id()));
                    ?> 
            </li>
            <li class="col-sm-2">
                    <?php 
                    if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet','prompt' => 'All Outlets');
                    }
                    else if(Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL')
                    {
                    $array=array('class'=>'tooltipster','data-label'=>'Outlet');
                    }
                    echo CHtml::dropdownlist('outlet',Yii::app()->user->outlet_id, MasOutlets::getAllOutlets(), $array); ?>     
                    </li>
                    <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-theme" onclick="loadPage();">HTML</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=costofsale/statement_pdf&layout=1&from='+$('#fn_report_from').val()+'&to='+$('#fn_report_to').val()+'&ledger_id='+$('#ledger_id').val()+'&subledger_id='+$('#subledger_id').val()+'&currency='+$('#currency').val()+'&outlet='+$('#outlet').val()+'&type=<?php echo $type ?>', '_blank');">Pdf</a>
                        <a type="button" class="btn btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=costofsale/statement_excel&from='+$('#fn_report_from').val()+'&to='+$('#fn_report_to').val()+'&ledger_id='+$('#ledger_id').val()+'&subledger_id='+$('#subledger_id').val()+'&currency='+$('#currency').val()+'&outlet='+$('#outlet').val()+'&type=<?php echo $type ?>', '_blank');">XLS</a>
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                    <div class="tab-pane" id="statement_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
