<?php $baseUrl = Yii::app()->baseUrl;
?>
<div class="row status">
    <div class="panel">
        <div class="panel-heading clearfix panel-theame">
            <span id="title_rs_main">REPORTS</span>
        </div>
        <div class="panel-body">
            <div class="row">
                 <?php if(  Yii::app()->user->user_access_type != 'PM'){ ?>
                <div class="col-md-3 col-sm-6">
                    <div class="widget-box1">
                        <span class="widget-title">
                            <a href="<?php echo $baseUrl; ?>/index.php?r=reports/salesinvoices" class="btn btn-primary">Sales Invoices</a>
                        </span>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="widget-box1">
                        <span class="widget-title">
                            <a href="<?php echo $baseUrl; ?>/index.php?r=reports/salesreturns" class="btn btn-primary">Sales Returns</a>
                        </span>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="widget-box1">
                        <span class="widget-title">
                            <a href="<?php echo $baseUrl; ?>/index.php?r=reports/netsales" class="btn btn-primary">Net Sales</a>
                        </span>
                    </div>
                </div>
                <?php if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/DailyReport" class="btn btn-primary">Consolidated Report</a>
                            </span>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/DailySalesReport" class="btn btn-primary">Daily Sales</a>
                            </span>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/CashCollectionReport" class="btn btn-primary">Cash Collection</a>
                            </span>
                        </div>
                    </div>
                <?php } ?>
                <?php } ?>
                <?php if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'|| Yii::app()->user->user_access_type == 'PM' ): ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/purchaseinvoices" class="btn btn-success">Purchase Invoices</a>
                            </span>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/purchasereturns" class="btn btn-success">Purchase Returns</a>
                            </span>
                        </div>
                    </div>
                <?php endif; ?>
                <?php  if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'PM'): ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/netpurchase" class="btn btn-success">Net Purchase</a>
                            </span>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if( Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SL' || Yii::app()->user->user_access_type == 'PM') : ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/currentstock" class="btn btn-info">Current Stock</a>
                            </span>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/TransactionDetail" class="btn btn-info">Transaction Details</a>
                            </span>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/stockledgerReport" class="btn btn-info">Stock Ledger</a>
                            </span>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if(  Yii::app()->user->user_access_type != 'PM'){ ?>
                <div class="col-md-3 col-sm-6">
                    <div class="widget-box1">
                        <span class="widget-title">
                            <a href="<?php echo $baseUrl; ?>/index.php?r=reports/customerlist" class="btn btn-danger">Customers</a>
                        </span>
                    </div>
                </div>
                <?php } ?>
                <?php if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA' ): ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/vendorlist" class="btn btn-danger">Vendors</a>
                            </span>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA') { ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/chequeReport" class="btn btn-danger">Cheque Report</a>
                            </span>
                        </div>
                    </div>
                <?php } ?>
                <?php if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM' ) { ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=finance/reports/day_book_report" class="btn btn-danger">Day Book</a>
                            </span>
                        </div>
                    </div>
                <?php } ?>
                <?php if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'OM'  || Yii::app()->user->user_access_type == 'SM') { ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=finance/reports/statement_report&type=customer" class="btn btn-danger">Customer Statement</a>
                            </span>
                        </div>
                    </div>
                <?php } ?>
                <?php if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'OM') { ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=finance/reports/gl_report" class="btn btn-danger">General Ledger</a>
                            </span>
                        </div>
                    </div>
                <?php } ?>
                <?php if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM') { ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=finance/reports/aging_report&type=1" class="btn btn-danger">Receivable Aging</a>
                            </span>
                        </div>
                    </div>
                <?php } ?>
                <?php if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=finance/reports/gl_summary_report" class="btn btn-danger">Ledger Summary</a>
                            </span>
                        </div>
                    </div>
                <?php } ?>
                <?php if(  Yii::app()->user->user_access_type == 'SU' || Yii::app()->user->user_access_type == 'CA'  || Yii::app()->user->user_access_type == 'SM'  || Yii::app()->user->user_access_type == 'OM') { ?>
                    <div class="col-md-3 col-sm-6">
                        <div class="widget-box1">
                            <span class="widget-title">
                                <a href="<?php echo $baseUrl; ?>/index.php?r=reports/DaySummary" class="btn btn-danger">Day Summary</a>
                            </span>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
</div>