<?php  $cs = Yii::app()->getClientScript(); ?>
<?php
    $form = $this->beginWidget('CActiveForm', array(
        'id' => 'group-form',
        'enableAjaxValidation' => false,
        'enableClientValidation' => false,
    ));
?>

<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <li class="col-sm-6">
                <?php echo $form->textField($model, 'name',array('data-label'=>'Name *')); ?>
                <?php echo $form->hiddenField($model, 'id'); ?>
                <?php echo $form->hiddenField($model, 'ledger_type'); ?>
                <?php echo $form->hiddenField($model, 'view_type'); ?>
                <?php echo $model->ledger_type == 'product_group' ? CHtml::hiddenField('VanLedgers[parent_id]', $model->get_parent_id(VanLedgers::INVENTORY_PARENT)) : ''; ?>
            </li>
            <?php if( $model->ledger_type == 'ledger_group' ){ ?>
                <li class="col-sm-6">
                    <?php echo $form->dropdownlist($model, 'parent_id', VanLedgers::get_parents((int) $model->id), array('data-label'=>'Parent *', 'data-search' => true, 'prompt' => '[Primary]')); ?>
                </li>
            <?php } ?>
            <?php if( $model->view_type == 'company' ) : ?>
                <li class="col-sm-6">
                    <?php echo $form->dropdownlist($model, 'outlet_id', VanOutlets::get_outlets(), array('data-label'=>'Outlet *', 'data-search' => true, 'prompt' => 'None')); ?>
                </li>
            <?php endif; ?>
        </ul>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
    <?php 
      if( Yii::app()->user->user_access_type == 'CA' ) 
            echo CHtml::ajaxSubmitButton('Save',  Yii::app()->createUrl('ledger/saveledgergroup'), array(
                'dataType' => 'json',
                'type' => 'post',
                'success' => 'function(data) {
                    $("#loader").hide();
                    if(data.status=="success"){  
                        t8.success("Saved!");
                        $(".x.close").click();
                        reloadTable("#tbl_groups");
                    } else { 
                        $.each(data, function(key, val) {
                            t8.error(""+val+""); 
                        }); 
                    } 
                }',
                'beforeSend' => 'function(){
                    $(".errorMessage").hide(); 
                    $("#loader").show();
                }'
            ), array('id' => 'mybtn' . rand(), 'class' => 'btn btn-theme'));

           

    ?>

    </div>

<?php $this->endWidget(); ?>










