
<?php
     $form = $this->beginWidget('CActiveForm', array(
            'id' => 'voucher-form',
            'enableAjaxValidation' => false,
            'enableClientValidation' => false,
        ));
        $cs = Yii::app()->getClientScript();
        $cs->registerScript("lockYear",  "function lockYear(){
            var r = confirm('Are you sure?');
            if(r==true){
                $('#loader').show();
                jQuery.ajax({
                    'type'  : 'post',
                    'data'  : {'year' : $('#VanAuditClose_year').val(), 'type' : 'pre_audit' },
                    'url'  : $('#liveSite').val()+'index.php?r=voucher/closeyear_preaudit',
                    'cache': false,
                    'success':function(data){
                        $('#loader').hide();
                        if(data=='success'){
                            t8.success('Done!');
                            location.reload();
                        }else{
                            t8.error(data);
                        }
                    }
                });
            }
        };", CClientScript::POS_HEAD);
        $cs->registerScript("unlockYear",  "function unlockYear(id){
            var r = confirm('Are you sure?');
            if(r==true){
                $('#loader').show();
                jQuery.ajax({
                    'type'  : 'post',
                    'data'  : {'id' : id },
                    'url'  : $('#liveSite').val()+'index.php?r=voucher/unlockyear_preaudit',
                    'cache': false,
                    'success':function(data){
                        $('#loader').hide();
                        if(data=='success'){
                            t8.success('Done!');
                            location.reload();
                        }else{
                            t8.error(data);
                        }
                    }
                });
            }
        };", CClientScript::POS_HEAD);
        $cs->registerScript("updateYear",  "function updateYear(id){
            var r = confirm('Are you sure?');
            if(r==true){
                $('#loader').show();
                jQuery.ajax({
                    'type'  : 'post',
                    'data'  : {'id' : id },
                    'url'  : $('#liveSite').val()+'index.php?r=voucher/updateyear_finalaudit',
                    'cache': false,
                    'success':function(data){
                        $('#loader').hide();
                        if(data=='success'){
                            t8.success('Done!');
                            location.reload();
                        }else{
                            t8.error(data);
                        }
                    }
                });
            }
        };", CClientScript::POS_HEAD);
?>
<ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
    <li class="active"><a href="#tab1" data-toggle="tab">Pre Audit</a></li>
    <li><a href="#tab2" data-toggle="tab">Final Audit</a></li>
</ul>
<div class="tab-content">
    <div class="tab-pane active" id="tab1">
        <ul class="clearfix form-ul material">
             <li class="col-sm-4">
                <?php $model->year = VanAuditClose::getClosingyear(); ?>
                <?php echo $form->textField($model,'year',array('data-label'=>'Year *', 'readonly' =>  true )); ?>
             </li>
             <li class="col-sm-4">
                <a class="btn btn-sm btn-theme" title="Close Year" onclick="lockYear();"><i class="fa fa-check"></i></a>
             </li>
        </ul>
        <ul class="clearfix form-ul material">
            <div class="table-responsive">
                <table class="table table-hover table-bordered personal-task">        
                <tr>
                    <th>Year</th>            
                    <th></th>                          
                </tr>
                    <?php 
                        $condition =  'closed="PRE"';
                        if ( Yii::app()->user->user_access_type == 'CA') {
                            $condition .= ' AND outlet_id='.(int) Yii::app()->user->outlet_id;
                        }
    
                        if ( Yii::app()->user->user_access_type == 'SU') {
                            $condition .= ' AND outlet_id=0 AND company_id='.(int) Yii::app()->user->company_id;
                        }
                    ?>
                    <?php $items = VanAuditClose::model()->findAll( array( 'condition' => $condition ) ); ?>
                    <?php if( !empty( $items ) ) { ?>
                        <?php  foreach( $items as $i => $each ): ?>
                            <tr>
                                <td>
                                    <?php echo $form->hiddenField($each, "[".$i."]id"); ?>
                                    <?php echo $form->textField($each, "[".$i."]year",array('data-label'=>'Year', 'readonly' =>  true, 'class' => 'form-control' )); ?>
                                </td>
                                <td class="text-center nw" width="1%">
                                    <a class="btn btn-sm btn-theme" title="Delete Entry" onclick="unlockYear(<?php echo $each->id; ?>);"><i class="fa fa-remove"></i></a>
                                </td>
                            </tr>
                        <?php endforeach; ?>    
                    <?php }else{ ?>
                        <tr>
                            <td colspan="2" class="text-center">No Data</td>
                        </tr>
                    <?php } ?>
                </table>
            </div>
        </ul>
    </div>
    <div class="tab-pane" id="tab2">
        <ul class="clearfix form-ul material">
            <div class="table-responsive">
            <table class="table table-hover table-bordered personal-task">        
                <tr>
                    <th>Year</th>            
                    <th></th>                          
                </tr>
                    <?php 
                    
                        $condition =  'closed="PRE"';
                        if ( Yii::app()->user->user_access_type == 'CA') {
                            $condition .= ' AND outlet_id='.(int) Yii::app()->user->outlet_id;
                        }

                        if ( Yii::app()->user->user_access_type == 'SU') {
                            $condition .= ' AND outlet_id=0 AND company_id='.(int) Yii::app()->user->company_id;
                        }   
                    ?>
                    <?php $items = VanAuditClose::model()->findAll( array( 'condition' => $condition ) ); ?>
                    <?php if( !empty( $items ) ) { ?>
                        <?php  foreach( $items as $i => $each ): ?>
                            <tr>
                                <td>
                                    <?php echo $form->hiddenField($each, "[".$i."]id"); ?>
                                    <?php echo $form->textField($each, "[".$i."]year",array('data-label'=>'Year', 'readonly' =>  true, 'class' => 'form-control' )); ?>
                                </td>
                                <td class="text-center nw" width="1%">
                                    <a class="btn btn-sm btn-theme" title="Final Close Year" onclick="updateYear(<?php echo $each->id; ?>);"><i class="fa fa-check"></i></a>
                                </td>
                            </tr>
                        <?php endforeach; ?>    
                    <?php }else{ ?>
                        <tr>
                            <td colspan="2" class="text-center">No Data</td>
                        </tr>
                    <?php } ?>
                </table>
            </div>
        </ul>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default "  data-dismiss="modal">Close</button>
</div>


<?php $this->endWidget(); ?>






