<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;
$cs->registerScript("LoadDetails", "function LoadDetails() {
            $('#btn_direct_transfer').hide();
            var order_date = $('#search_order_date').val();
            var salesman_id = $('#search_salesman_id').val();
            if(order_date==''||salesman_id==''){
                t8.error('Please select a salesman and date');
                return false;                
            }
            jQuery.ajax({
                'type'  : 'post',
                'data'  : 'order_date='+order_date+'&salesman_id='+salesman_id,
                'url'  : $('#liveSite').val()+'index.php?r=ordercollect/refreshOrderList',
                'cache': false,
                'success':function(data){
                    $('#order_list_tbody').html(data);
                    if(data==''){
                    $('#order_list_tbody').html('<tr> <td colspan=8 class=\"text-center\">No Details Found</td></tr>');
                    }else{
                    $('#btn_direct_transfer').show();
                    }
                }
            });
                  
        }", CClientScript::POS_HEAD);

$cs->registerScript("directTransfer", "function directTransfer() {
        
            var order_date = $('#search_order_date').val();
            var salesman_id = $('#search_salesman_id').val();
            if(order_date==''||salesman_id==''){
                t8.error('Please select a salesman and date');
                return false;                
            }else{
                loadPopupModal('goodstransfer/create&frm=order&order_date='+order_date+'&salesman_id='+salesman_id, 'New Direct Transfer ', 'xl')
            }      
        }", CClientScript::POS_HEAD);
?>    <section class="panel">
    <header class="panel-heading clearfix panel-theame">
        <div class="col-12">
            <div class="col-3"><i class="fa  fa-balance-scale"></i> Order List</div>

            <?php
            $login_user = Yii::app()->user->id;
            
            ?> 
            <div class="row">
                <div class="col-sm-4 col-md-4">
                    <?php
                    
                    if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU'|| Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM')
                    {
                    $uarray=array('class'=>'form-control','data-label'=>'Salesman','empty'=>'-Salesman--',  'onchange' => 'reloadTable("#order_collect_table");');
                    }
                    else if( Yii::app()->user->user_access_type == 'SL')
                    {
                    $uarray=array('class'=>'form-control','data-label'=>'Salesman',  'onchange' => 'reloadTable("#order_collect_table");');
                    }
                    $outlet=(int) Yii::app()->user->outlet_id;
                    echo CHtml::dropDownList('search_salesman_id', '', MasUsers::get_outlet_salesandadmin($outlet), $uarray);
                    ?> 
                </div>
                <div class="col-sm-4 col-md-4">                
                    <?php echo CHtml::textField('search_order_date', date('d/m/Y'), array('class' => 'datepicker text-bold', 'onblur' => 'LoadDetails()', 'title' => 'Order Date', 'data-label' => 'Order Date')); ?>
                </div>
                <div class="col-sm-4 col-md-4">                
                    <button onclick="LoadDetails()" class="btn btn-theme">Load</button>
                </div>                
            </div>
        </div>


    </header>
    <div class="panel-body">
        <div class="col-3 pull-right" id="btn_direct_transfer" style="display:none;">                
            <?php if(Yii::app()->user->user_access_type == 'DEV' || Yii::app()->user->user_access_type == 'SU'|| Yii::app()->user->user_access_type == 'CA' || Yii::app()->user->user_access_type == 'SM' || Yii::app()->user->user_access_type == 'OM')
                    { ?>
            <button class="btn btn-sm btn-theme" onclick="directTransfer();"><i class="fa fa-retweet"></i> Direct Transfer</button>
            <?php } ?>
        </div>
        <div class="custom-data-table">
            <table class="table table-hover table-bordered personal-task " id="order_list_table">
                <thead>
                    <tr>
                        <th>Sl.No</th>
                        <th>Salesman</th>
                        <th>Part No</th>
                        <th>Description</th>
                        <th>Base. Qty</th>
                        <th>Base. Unit</th>
                        <th>Sec. Qty</th>
                        <th>Sec. Unit</th>
                    </tr>
                </thead>
                <tbody id="order_list_tbody">
                    <tr>
                        <td colspan="8">No Details Found</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</section>