<!DOCTYPE html>
<html>
<head>
    <title><?php echo $title; ?></title>
</head>
<body>
      <div class="">
            <div class="col-6">
                <br>
                <div class="h3" style="margin-top: 0;margin-bottom: 0;"><?php echo $title; ?></div>
                <br><br>  <br><br>
                <table class="table" style="width:100%">
                    <?php if (isset($params['from_date'])) { ?>
                     <tr>
                        <td>From </td>
                        <td><?php echo date('d/m/Y', strtotime($params['from_date'])); ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if (isset($params['to_date'])) { ?>
                    <tr>
                        <td>To </td>
                        <td><?php echo date('d/m/Y', strtotime($params['to_date'])); ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['customer_id'] > 0 ) { ?>
                    <tr>
                        <td>Customer </td>
                        <td><?php echo Customer::model()->findBypk($params['customer_id'])->customer_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['vendor_id'] > 0 ) { ?>
                    <tr>
                        <td>Vendor </td>
                        <td><?php echo Vendor::model()->findBypk($params['vendor_id'])->vendor_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['product_id'] > 0 ) { ?>
                    <tr>
                        <td>Product </td>
                        <td><?php echo Inventory::model()->findBypk($params['product_id'])->part_number; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['product_group_id'] > 0 ) { ?>
                    <tr>
                        <td>Product Group</td>
                        <td><?php echo MasBrand::model()->findBypk($params['product_group_id'])->brand_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['salesman_id'] > 0 ) { ?>
                    <tr>
                        <td>Salesman </td>
                        <td><?php echo MasUsers::model()->findBypk($params['salesman_id'])->full_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['outlet_id'] > 0 ) { ?>
                    <tr>
                        <td>Outlet </td>
                        <td><?php echo MasOutlets::model()->findBypk($params['outlet_id'])->name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['brand'] > 0 ) { ?>
                    <tr>
                        <td>Brand </td>
                        <td><?php echo  MasBrand::model()->findBypk($params['brand'])->brand_name; ?> </td>
                    </tr>
                    <?php } ?>
                </table>
            </div>
            <div class="col-5 offset-1" style="color:#101010;">
                <div class="text-right">
                    <img src="<?php echo 'images/' . $logo; ?>" class="logo">
                </div>
                 <div class="text-center">
                   <b><?php echo $userModel->outletDetails->name; ?></b><br>
                    <small><?php echo nl2br($userModel->outletDetails->address); ?></small><br>
                    <small><?php echo $userModel->outletDetails->phone_no; ?></small>
                </div>
            </div>
        </div>
        <br>
        <br>
    <div class="clearfix"></div>
    <div class="panel">
        <div class="panel-body text-bold">
            <?php
        $from_date = $params['from_date'];
                    $to_date = $params['to_date'];
                    $customer_id = (int) $params['customer_id'];
                    $salesman = (int) $params['salesman'];
                    $brand = (int) $params['brand'];
                    $payment_term = (int) $params['payment_term'];
                    $outlet = (int) $params['outlet_id'];
                    $condition = ' WHERE H.active="Y" AND H.invoice_date BETWEEN "' . $from_date . '" AND "' . $to_date . '"';
                    if ($outlet > 0) {
                        $condition .= ' AND H.outlet=' . $outlet;
                        $conditions .= ' AND outlet=' . $outlet;
                    }
                    if ($customer_id) {
                        $condition .= ' AND H.customer_id=' . $customer_id;
                    }
                    if ($salesman) {
                        $condition .= ' AND H.sales_man=' . $salesman;
                    }
                    if ($payment_term) {
                        $condition .= ' AND H.payment_term=' . $payment_term;
                    }
                    if ((int) $brand > 0) {
                        $condition .= ' AND S.brand=' . (int) $brand;
                    }
                    $SQL = ' Select H.invoice_no,C.customer_name,I.description,I.net_amount,P.payment_term_name,I.quantity,I.rate,H.invoice_date,I.product_id,I.tax_amount,H.id AS invoice_id,I.id AS item_id,B.brand_name 
                    from erp_sales_invoice H 
                    INNER JOIN erp_sales_invoice_items I ON H.id=I.invoice_id 
                    INNER JOIN erp_inventory S ON S.id=I.product_id 
                    INNER JOIN erp_master_payment_terms P ON H.payment_term =P.id
                    INNER JOIN erp_master_brand B ON B.id=S.brand
                    INNER JOIN erp_customer C ON H.customer_id=C.id ' . $condition . ' order by H.id';

                    $all = Yii::app()->db->createCommand($SQL)->queryAll();
                    ?>
                    <table class="table table-hover table-fixed table-bordered">
                        <thead>
                            <tr>
                                <th style="width:6%">Date</th>
                                <th style="width:6%">Invoice No</th>
                                <th style="width:20%">Customer</th>
                                <th style="width:15%">Part No.</th>
                                <th style="width:10%">Brand</th>
                                <th style="width:10%">Payment</th>
                                <th style="width:5%">Qty</th>
                                <th style="width:8%">Rate</th>
                                <th style="width:8%">Total</th>
                                <th style="width:5%">Tax</th>
                                <th style="width:5%">Net Total</th>
                            </tr>
                        </thead>
                        <tbody>
                    <?php
                    $total_cost = 0;
                    $total_profit = 0;
                    $net = 0;
                    $total_tax = 0;
                    $total = 0;
                    foreach ($all as $each) {
                        $qty = Yii::app()->db->createCommand('SELECT quantity AS qty from erp_stock_ledger where  type="SI" AND header_id=' . $each["invoice_id"] . ' AND item_id=' . $each["item_id"] . ' AND product_id=' . $each["product_id"] . ' AND transaction_date <= "' . $each['invoice_date'] . '" ' . $conditions)->queryScalar();
                        $qty = round($qty, 2);
                        $current_in_rate = Yii::app()->db->createCommand('SELECT CASE WHEN SUM(quantity*unit_exchange_rate) >0 THEN SUM(quantity*rate)/SUM(quantity*unit_exchange_rate) ELSE 0 END AS avg_purchase_rate 
                        FROM {{stock_ledger}}  WHERE transaction_type = "IN" AND type!= "GT" AND product_id=' . $each["product_id"] . ' AND transaction_date <= "' . $each['invoice_date'] . '" ' . $conditions)->queryScalar();
                        $profit = $each['net_amount'] - $each['tax_amount'] - ($qty * $current_in_rate);
                        $cost = ($qty * $rate);
                        $total = ($qty * $each['rate']);
                        if ($cost > 0) {
                            $profit_percent = $profit / ($cost) * 100;
                        }

                    ?>
                    <tr><td><?php echo date("d-m-Y", strtotime($each['invoice_date'])); ?></td>
                        <td><?php echo $each['invoice_no']; ?></td>
                        <td><?php echo $each['customer_name'] ; ?></td>
                        <td><?php echo $each["product_id"] . '/' . $each['description'] ; ?></td>
                        <td><?php echo $each['brand_name'] ; ?></td>
                        <td><?php echo $each['payment_term_name'] ; ?></td>
                        <td><?php echo $qty ; ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['rate'], "") ; ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($total, " ") ; ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['tax_amount'], "") ; ?></td>
                        <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($each['net_amount'], "") ; ?></td>
                    </tr>
                        <?php
                        $tot += $total;
                        $total_cost += $qty * $current_in_rate;
                        $total_profit += $profit;
                        $net += $each['net_amount'];
                        $total_tax += $each['tax_amount'];
                    }
                    if ($total_cost > 0) {
                        $percent = ($total_sales - $total_cost) / $total_cost * 100;
                    } else {
                        $percent = 0;
                    }
                    ?>
                    <tr>
                    <td colspan="8" style="text-align:right !important;"><b>Total</b></td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($tot, " "); ?></b></td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_tax, " "); ?></b></td>
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($net, " "); ?></b></td></tr>
                    </tbody>
                            </table>
        </div>
    </div>
    
    
    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px">
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
            <div class="col-12">
                <div class="col-6">
                    <p style="text-align:left;font-size:10px;padding-left:17px;">
                        Generated by : <?php echo $userModel->full_name; ?>
                    </p>
                </div>
                <div class="col-6">
                    <p style="text-align:right;font-size:10px;padding-right:17px;">
                     <?php
                            date_default_timezone_set("Asia/Dubai");
                            echo date('l, F j, Y') . " " . date("h:i a");
                    ?>
                    </p>
                </div>
            </div>
            <div style="text-align:center;width:100%;padding-top:-22px;">
                <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p> 
            </div>
        </div>
    </htmlpagefooter> 
            
<sethtmlpagefooter name="myfooter" page="all" value="on" />
</body>
</html>
