<!DOCTYPE html>
<html>
<head>
    <title><?php echo $title; ?></title>
</head>
<body>
      <div class="">
            <div class="col-6">
                <br>
                <div class="h3" style="margin-top: 0;margin-bottom: 0;"><?php echo $title; ?></div>
                <br><br>  <br><br>
                <table class="table" style="width:100%">
                    <?php if (isset($params['from_date'])) { ?>
                     <tr>
                        <td>From </td>
                        <td><?php echo date('d/m/Y', strtotime($params['from_date'])); ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if (isset($params['to_date'])) { ?>
                    <tr>
                        <td>To </td>
                        <td><?php echo date('d/m/Y', strtotime($params['to_date'])); ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['customer_id'] > 0 ) { ?>
                    <tr>
                        <td>Customer </td>
                        <td><?php echo Customer::model()->findBypk($params['customer_id'])->customer_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['vendor_id'] > 0 ) { ?>
                    <tr>
                        <td>Vendor </td>
                        <td><?php echo Vendor::model()->findBypk($params['vendor_id'])->vendor_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['product_id'] > 0 ) { ?>
                    <tr>
                        <td>Product </td>
                        <td><?php echo Inventory::model()->findBypk($params['product_id'])->part_number; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['product_group_id'] > 0 ) { ?>
                    <tr>
                        <td>Product Group</td>
                        <td><?php echo MasBrand::model()->findBypk($params['product_group_id'])->brand_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['salesman_id'] > 0 ) { ?>
                    <tr>
                        <td>Salesman </td>
                        <td><?php echo MasUsers::model()->findBypk($params['salesman_id'])->full_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['outlet_id'] > 0 ) { ?>
                    <tr>
                        <td>Outlet </td>
                        <td><?php echo MasOutlets::model()->findBypk($params['outlet_id'])->name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['brand'] > 0 ) { ?>
                    <tr>
                        <td>Brand </td>
                        <td><?php echo  MasBrand::model()->findBypk($params['brand'])->brand_name; ?> </td>
                    </tr>
                    <?php } ?>
                </table>
            </div>
            <div class="col-5 offset-1" style="color:#101010;">
                <div class="text-right">
                    <img src="<?php echo 'images/' . $logo; ?>" class="logo">
                </div>
                 <div class="text-center">
                   <b><?php echo $userModel->outletDetails->name; ?></b><br>
                    <small><?php echo nl2br($userModel->outletDetails->address); ?></small><br>
                    <small><?php echo $userModel->outletDetails->phone_no; ?></small>
                </div>
            </div>
        </div>
        <br>
        <br>
    <div class="clearfix"></div>
    <div class="panel">
        <div class="panel-body text-bold">
           
        



<?php

$from_date = $params['from_date'];
$daybook_date = $params['to_date'];
$outlet = (int) $params['outlet_id'];
$created_user = (int) $params['salesman_id'];
$condition_sales = "1=1";
$condition_sales_return = "1=1";

if ($outlet > 0) {
    $condition_sales .= " AND outlet=" . $outlet;
    $condition_sales_return .= " AND outlet=" . $outlet;
}
 if ($created_user > 0) {
    $condition_sales .= " AND sales_man=" . $created_user;
    $condition_sales_return .= " AND created_by=" . $created_user;
}
if ($daybook_date != '' && $daybook_date != '0000-00-00') {
    $condition_sales .= ' AND invoice_date="' . $daybook_date . '"';
    $condition_sales_return .= ' AND return_date="' . $daybook_date . '"';
}


$sales_invoice_count = Yii::app()->db->createCommand("SELECT count(*) FROM  {{sales_invoice}} where $condition_sales")->queryScalar();
$sales_return_count = Yii::app()->db->createCommand("SELECT count(*) FROM  {{sales_return}} where $condition_sales_return")->queryScalar();

$sales_invoice_amount = Yii::app()->db->createCommand("SELECT SUM(grand_total) FROM  {{sales_invoice}} where $condition_sales")->queryScalar();
$sales_return_amount = Yii::app()->db->createCommand("SELECT SUM(grand_total) FROM  {{sales_return}} where $condition_sales_return")->queryScalar();

$sales_invoice_tax_amount = Yii::app()->db->createCommand("SELECT SUM(tax_total) FROM  {{sales_invoice}} where $condition_sales")->queryScalar();
$sales_return_tax_amount = Yii::app()->db->createCommand("SELECT SUM(tax_total) FROM  {{sales_return}} where $condition_sales_return")->queryScalar();



                    // -------------------------------------Sales-----------------------------------------------
                    ?>
                    <div class="table-responsive">
                            <table class="table table-hover table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center" colspan="2">Sales</th> 
                                    </tr>
                                </thead>
                                <tbody>
                    <tr>
                            <td>Total Invoices</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($sales_invoice_count, ""); ?></td>
                        </tr>

                    <tr>
                            <td>Total Invoices Value</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($sales_invoice_amount, "") ; ?></td>
                        </tr>

                    </tbody>
                            </table>
                        </div><br>
                    <?php 
                    // Second Table: Sales Return
                    $totalSalesReturnCount = 0; // Replace with your actual calculation for Sales Return
                    $totalSalesReturn = 0; // Replace with your actual calculation for Sales Return
                    ?>
                    <div class="table-responsive">
                            <table class="table table-hover table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center" colspan="2">Sales Return</th>
                                    </tr>
                                </thead>
                                <tbody>

                    <tr>
                            <td>No of Credit</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($sales_return_count, "") ; ?></td>
                        </tr>

                    <tr>
                            <td>Amount</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($sales_return_amount, "") ; ?></td>
                        </tr>';

                    </tbody>
                            </table>
                        </div><br>
                    <?php
                    // -------------------------------------Purchase-----------------------------------------------

                    $condition_purchase = "active='Y'";
                    $condition_purchase_return = "1=1";

                    if ($outlet > 0) {
                        $condition_purchase .= " AND outlet=" . $outlet;
                        $condition_purchase_return .= " AND outlet=" . $outlet;
                    }
                   if ($created_user > 0) {
                        $condition_purchase .= " AND created_by=" . $created_user;
                        $condition_purchase_return .= " AND created_by=" . $created_user;
                    }
                    if ($daybook_date != '' && $daybook_date != '0000-00-00') {
                        $condition_purchase .= ' AND invoice_date="' . $daybook_date . '"';
                        $condition_purchase_return .= ' AND return_date="' . $daybook_date . '"';
                    }
                    //Purchase
                    $purchase_invoice_count = Yii::app()->db->createCommand("SELECT count(*) FROM  {{purchase_invoice}} where $condition_purchase")->queryScalar();
                    $purchase_return_count = Yii::app()->db->createCommand("SELECT count(*) FROM  {{purchase_return}} where $condition_purchase_return")->queryScalar();

                    $purchase_invoice_amount = Yii::app()->db->createCommand("SELECT SUM(grand_total) FROM  {{purchase_invoice}} where $condition_purchase")->queryScalar();
                    $purchase_return_amount = Yii::app()->db->createCommand("SELECT SUM(grand_total) FROM  {{purchase_return}} where $condition_purchase_return")->queryScalar();


                    $purchase_invoice_tax_amount = Yii::app()->db->createCommand("SELECT SUM(tax_total) FROM  {{purchase_invoice}} where $condition_purchase")->queryScalar();
                    $purchase_return_tax_amount = Yii::app()->db->createCommand("SELECT SUM(tax_total) FROM  {{purchase_return}} where $condition_purchase_return")->queryScalar();


                    // First Table: Sales
                    ?>
                    <div class="table-responsive">
                            <table class="table table-hover table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center" colspan="2">Purchase</th>
                                    </tr>
                                </thead>
                                <tbody>

                    <tr>
                            <td>Total Invoices</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($purchase_invoice_count, "") ; ?></td>
                        </tr>

                    <tr>
                            <td>Total Invoices Value</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($purchase_invoice_amount, "") ; ?></td>
                        </tr>

                    </tbody>
                            </table>
                        </div><br>

 


                    <div class="table-responsive">
                            <table class="table table-hover table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center" colspan="2">Purchase  Return</th>
                                    </tr>
                                </thead>
                                <tbody>

                    <tr>
                            <td>No Of Debit</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($purchase_return_count, "") ; ?></td>
                        </tr>

                    <tr>
                            <td>Amount</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($purchase_return_amount, "") ; ?></td>
                         </tr>

                    </tbody>
                            </table>
                        </div><br>
                    <?php
                    // -------------------------------------Expense----------------------------------------------

                    $CashAccount = FinanceSystemAccountsMapping::getSystemdefault('cash_account');
                    
                    $vat_account = FinanceSystemAccountsMapping::getSystemdefault('vat_on_expense');



    
    
    
                    $condition_expense = "1=1 AND  H.is_posted='Y' AND L.main_account_type='E'";
                    
                    $condition_vat_expense = "1=1 AND H.is_posted='Y'  AND  ledger_id=" . $vat_account;
                    
                    $condition_cash = "1=1 AND H.is_posted='Y'  AND amount>0 AND ledger_id=" . $CashAccount;

                    if ($outlet > 0) {
                        $condition_expense .= " AND I.outlet=" . $outlet;
                        $condition_vat_expense .= " AND I.outlet=" . $outlet;
                        $condition_cash .= " AND I.outlet=" . $outlet;
                    }
                     if($created_user > 0) {
                        $condition_expense .= " AND H.created_by=" . $created_user;
                        $condition_vat_expense .= " AND H.created_by=" . $created_user;
                        $condition_cash .= " AND H.created_by=" . $created_user;
                    }
                    
                    if ($daybook_date != '' && $daybook_date != '0000-00-00') {
                        $condition_expense .= ' AND H.voucher_date="' . $daybook_date . '"';
                        $condition_vat_expense .= ' AND H.voucher_date="' . $daybook_date . '"';
                        $condition_cash .= ' AND H.voucher_date="' . $daybook_date . '"';
                    }
                    
                    $condition_expense .= ' AND I.amount >0 ';
                    $condition_expense .= ' AND H.voucher_type NOT IN (8, 9)';

                    
                    //Expense & Cash
                    

                    $expense_count = Yii::app()->db->createCommand("SELECT count(*) FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id  LEFT join {{finance_legder}} L ON L.id = I.ledger_id where $condition_expense")->queryScalar();
                  
                  
                  
                  
                    $cash_count = Yii::app()->db->createCommand("SELECT count(*) FROM  {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id where $condition_cash")->queryScalar();

                    $expense_amount = Yii::app()->db->createCommand("SELECT SUM(amount) FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id  LEFT join {{finance_legder}} L ON L.id = I.ledger_id where $condition_expense")->queryScalar();

                   
                    $expense_vat_amount = Yii::app()->db->createCommand("SELECT SUM(amount) FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id where $condition_vat_expense")->queryScalar();
                    
                    $cash_amount = Yii::app()->db->createCommand("SELECT SUM(amount) FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id where $condition_cash")->queryScalar();
                    




                    ?>
                    <div class="table-responsive">
                            <table class="table table-hover table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center" colspan="2">Expense</th>
                                    </tr>
                                </thead>
                                <tbody>

                    <tr>
                            <td>No Of Expense</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($expense_count, "") ; ?></td>
                        </tr>

                    <tr>
                            <td>Amount</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($expense_amount, "") ; ?></td>
                       </tr>

                    </tbody>
                            </table>
                        </div><br>
                     <div class="table-responsive">
                            <table class="table table-hover table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center" colspan="2">Cash</th>
                                    </tr>
                                </thead>
                                <tbody>

                        <tr>
                            <td>Total Cash Collected</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($cash_amount, "") ; ?></td>
                        </tr>

                        <tr>
                            <td>Balance</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($cash_amount - $expense_amount, "") ; ?></td>
                        </tr>
                    <?php
                       $total_vat_payable = (float)$sales_invoice_tax_amount- (float)$sales_return_tax_amount - (float)$purchase_invoice_tax_amount + (float)$purchase_return_tax_amount -(float)$expense_vat_amount;
                       ?>
                    <tr>
                            <td>Total Vat Payable</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($total_vat_payable, ""); ?></td>
                        </tr>

                    <?php
                       $profit = ((float)$sales_invoice_amount - (float)$sales_return_amount) - ((float)$purchase_invoice_amount - (float)$purchase_return_amount) - (float)$expense_amount;
                       ?>
                    <tr>
                            <td>Profit</td>
                            <td><?php echo Yii::app()->numberFormatter->formatCurrency($profit, "") ; ?></td>
                        </tr>

                    </tbody>
                            </table>
                        </div>




        </div>
    </div>
    
    
    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px">
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
            <div class="col-12">
                <div class="col-6">
                    <p style="text-align:left;font-size:10px;padding-left:17px;">
                        Generated by : <?php echo $userModel->full_name; ?>
                    </p>
                </div>
                <div class="col-6">
                    <p style="text-align:right;font-size:10px;padding-right:17px;">
                     <?php
                            date_default_timezone_set("Asia/Dubai");
                            echo date('l, F j, Y') . " " . date("h:i a");
                    ?>
                    </p>
                </div>
            </div>
            <div style="text-align:center;width:100%;padding-top:-22px;">
                <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p> 
            </div>
        </div>
    </htmlpagefooter> 
            
<sethtmlpagefooter name="myfooter" page="all" value="on" />
</body>
</html>
