<!DOCTYPE html>
<html>
<head>
    <title><?php echo $title; ?></title>
</head>
<body>
      <div class="">
            <div class="col-6">
                <br>
                <div class="h3" style="margin-top: 0;margin-bottom: 0;"><?php echo $title; ?></div>
                <br><br>  <br><br>
                <table class="table" style="width:100%">
                    <?php if (isset($params['from_date'])) { ?>
                     <tr>
                        <td>From </td>
                        <td><?php echo date('d/m/Y', strtotime($params['from_date'])); ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if (isset($params['to_date'])) { ?>
                    <tr>
                        <td>To </td>
                        <td><?php echo date('d/m/Y', strtotime($params['to_date'])); ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['customer_id'] > 0 ) { ?>
                    <tr>
                        <td>Customer </td>
                        <td><?php echo Customer::model()->findBypk($params['customer_id'])->customer_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['vendor_id'] > 0 ) { ?>
                    <tr>
                        <td>Vendor </td>
                        <td><?php echo Vendor::model()->findBypk($params['vendor_id'])->vendor_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['product_id'] > 0 ) { ?>
                    <tr>
                        <td>Product </td>
                        <td><?php echo Inventory::model()->findBypk($params['product_id'])->part_number; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['product_group_id'] > 0 ) { ?>
                    <tr>
                        <td>Product Group</td>
                        <td><?php echo MasBrand::model()->findBypk($params['product_group_id'])->brand_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['salesman_id'] > 0 ) { ?>
                    <tr>
                        <td>Salesman </td>
                        <td><?php echo MasUsers::model()->findBypk($params['salesman_id'])->full_name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['outlet_id'] > 0 ) { ?>
                    <tr>
                        <td>Outlet </td>
                        <td><?php echo MasOutlets::model()->findBypk($params['outlet_id'])->name; ?> </td>
                    </tr>
                    <?php } ?>
                    <?php if ( $params['brand'] > 0 ) { ?>
                    <tr>
                        <td>Brand </td>
                        <td><?php echo  MasBrand::model()->findBypk($params['brand'])->brand_name; ?> </td>
                    </tr>
                    <?php } ?>
                </table>
            </div>
            <div class="col-5 offset-1" style="color:#101010;">
                <div class="text-right">
                    <img src="<?php echo 'images/' . $logo; ?>" class="logo">
                </div>
                 <div class="text-center">
                   <b><?php echo $userModel->outletDetails->name; ?></b><br>
                    <small><?php echo nl2br($userModel->outletDetails->address); ?></small><br>
                    <small><?php echo $userModel->outletDetails->phone_no; ?></small>
                </div>
            </div>
        </div>
        <br>
        <br>
    <div class="clearfix"></div>
    <div class="panel">
        <div class="panel-body text-bold">
<?php 
        $condition = '1=1 ';
            $condition .= ' AND t.invoice_date>="' . $params['from_date'] . '"';
            $condition .= ' AND t.invoice_date<="' . $params['to_date'] . '"';
            if ($params['outlet_id'] > 0) {
                $condition .= " AND t.outlet=" . $params['outlet_id'];
            }
            if ($params['customer_id'] > 0) {
                $condition .= ' AND t.customer_id=' . $params['customer_id'];
            }
            if ($params['salesman_id'] > 0) {
                $condition .= ' AND (t.sales_man=' . $params['salesman_id'] . ')';
            }
            $net_sales_sql = 'SELECT * FROM view_net_sale_report t 
                    WHERE ' . $condition . ' ORDER BY invoice_date asc,type DESC,invoice_no ASC';
            $arr_invoices = Yii::app()->db->createCommand($net_sales_sql)->queryAll();
            ?>
            <div class="table-responsive">
                                <table class="table table-hover table-striped table-bordered ">
                                    <thead>
                                        <tr>
                                            <th style="width:1%">Date</th>
                                            <th style="width:1%">Inv #/CN. #</th>
                                            <th style="width:10%">Customer</th>
                                            <th style="width:5%">Salesman</th>
                                            <th>Sales Amt(BC)</th>
                                            <th>Inv.VAT(BC)</th>
                                            <th>Sales Amt with VAT(BC)</th>
                                            <th>CRN Amt(BC)</th>
                                            <th>CRN VAT(BC)</th>
                                            <th>CRN Amt with VAT(BC)</th>
                                            <th>Net Amt(AED)</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php

            $total_inv_amount_bc = $total_inv_vat_bc = $total_inv_grand_bc = 0;
            $total_ret_amount_bc = $total_ret_vat_bc = $total_ret_grand_bc = 0;
            $total_net_amount_bc = 0;
            $sl = 1;
            if (!empty($arr_invoices)) {
                foreach ($arr_invoices as $each) {

                    if ($each['active'] == 'N') {
                        $each['total_amount'] = 0;
                        $each['tax_total'] = 0;
                        $each['grand_total'] = 0;
                    }

                    if ($each["type"] == 'I') {
                        $invoice_amount_bc = $each['exchange_rate'] * $each['total_amount'];
                        $invoice_vat_bc = $each['exchange_rate'] * $each['tax_total'];
                        $invoice_grandtotal_bc = $each['exchange_rate'] * $each['grand_total'];
                        $return_amount_bc = 0;
                        $return_vat_bc = 0;
                        $return_grandtotal_bc = 0;
                    } else {
                        $invoice_amount_bc = 0;
                        $invoice_vat_bc = 0;
                        $invoice_grandtotal_bc = 0;
                        $return_amount_bc = $each['exchange_rate'] * $each['total_amount'];
                        $return_vat_bc = $each['exchange_rate'] * $each['tax_total'];
                        $return_grandtotal_bc = $each['exchange_rate'] * $each['grand_total'];
                    }
                    $net_total = $invoice_grandtotal_bc - $return_grandtotal_bc;
                    $total_inv_amount_bc += $invoice_amount_bc;
                    $total_inv_vat_bc += $invoice_vat_bc;
                    $total_inv_grand_bc += $invoice_grandtotal_bc;
                    $total_ret_amount_bc += $return_amount_bc;
                    $total_ret_vat_bc += $return_vat_bc;
                    $total_ret_grand_bc += $return_grandtotal_bc;
                    $total_net_amount_bc += $net_total;
                    ?>
                    <tr>
                                        <td><?php echo date('d/m/Y', strtotime($each['invoice_date'])); ?></td>
                                        <td><?php echo $each['invoice_no'] ; ?></td>
                                        <td><?php echo $each['customer_name'] ; ?></td>
                                        <td><?php echo $each['full_name'] ; ?></td>
                                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice_amount_bc, " ") ; ?></td>
                                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice_vat_bc, " ") ; ?></td>
                                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice_grandtotal_bc, " ") ; ?></td>
                                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($return_amount_bc, " ") ; ?></td>
                                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($return_vat_bc, " ") ; ?></td>
                                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($return_grandtotal_bc, " ") ; ?></td>
                                        <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($net_total, " ") ; ?></td>
                                    </tr>
                                    <?php
                    $grand_total_bc += $each['grand_total_bc'];
                    $total_vat_bc += $each['total_vat_bc'];
                    $total_disc_bc += $each['discount_bc'];

                    $total_returns_amount_bc += $each['return_total'];
                    $total_returns_vat_bc += $each['return_vat'];
                    $total_returns_disc_bc += $each['return_disount'];
                    $totalSales += $netSale;
                }
                ?>
                <tr>
                                    <td colspan="4" class="boldy text-right"><b>Total</b></td>
                                    <td class="boldy text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_inv_amount_bc, " "); ?></b></td>
                                    <td class="boldy text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_inv_vat_bc, " ") ; ?></b></td>
                                    <td class="boldy text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_inv_grand_bc, " ") ; ?></b></td>
                                    <td class="boldy text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_ret_amount_bc, " ") ; ?></b></td>
                                    <td class="boldy text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_ret_vat_bc, " ") ; ?></b></td>
                                    <td class="boldy text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_ret_grand_bc, " "); ?></b></td>
                                    <td class="boldy text-right"><b><?php echo Yii::app()->numberFormatter->formatCurrency($total_net_amount_bc, " "); ?></b></td>
                                </tr>
                <tr>
                                <th colspan="10" class="text-right bg-info">Net Sales Without VAT</th> 
                                <th class="text-right bg-info"><?php echo Yii::app()->numberFormatter->formatCurrency($total_inv_amount_bc - $total_ret_amount_bc, "") ; ?></th>
                             </tr>
                             <?php
            } else {
                ?>
                <tr>
                                <th colspan="11" class="text-center bg-info">No Details Found</th>
                             </tr>
            <?php }
            ?>
            </tbody>
                                </table>
                            </div>

                            
                            </div>
    </div>
    
    
    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px">
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
            <div class="col-12">
                <div class="col-6">
                    <p style="text-align:left;font-size:10px;padding-left:17px;">
                        Generated by : <?php echo $userModel->full_name; ?>
                    </p>
                </div>
                <div class="col-6">
                    <p style="text-align:right;font-size:10px;padding-right:17px;">
                     <?php
                            date_default_timezone_set("Asia/Dubai");
                            echo date('l, F j, Y') . " " . date("h:i a");
                    ?>
                    </p>
                </div>
            </div>
            <div style="text-align:center;width:100%;padding-top:-22px;">
                <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p> 
            </div>
        </div>
    </htmlpagefooter> 
            
<sethtmlpagefooter name="myfooter" page="all" value="on" />
</body>
</html>
