<!DOCTYPE html>
<html>

<head>
    <title>Order List</title>
</head>

<body>
    <?php
    $userModel = MasUsers::model()->findByPk((int) Yii::app()->user->id);
    ?>
    <div class="">
        <div class="col-12">
            <div class="text-center">
                <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
            </div>
            <div class="text-center">
                <small><?php echo $userModel->companyDetails->billing_address ?></small>
            </div>
        </div>
        <div class="col-6">
            <div style="height: 10px;"></div>
        </div>
        <div class="col-6 text-right">
            <h1>ORDER LIST</h1>
            <div class="details-box">
                <div class="pull-left">
                    <div class="filter_details">

                        <?php
                       /* if ($order_date !== '' ) {
                        ?>
                            <div class="filter-item">
                                <label>Order Date :</label>
                                <b><?php echo $order_date ?></b>
                            </div>
                            <br />
                        <?php
                        }*/
                        ?>
                        <?php
                        if ($from != '') {
                        ?>
                            <div class="filter-item">
                                <label>From  Date :</label>
                                <b><?php echo $from ?></b>
                            </div>
                            <br />
                        <?php
                        }
                        ?>
                        <?php
                        if ($to != '') {
                        ?>
                            <div class="filter-item">
                                <label>To  Date :</label>
                                <b><?php echo $to ?></b>
                            </div>
                            <br />
                        <?php
                        }
                        ?>
                    </div>
                    <?php
                    if ($salesman_id != '') {   ?>
                        <div class="filter-item">
                            <label>Salesman :</label>
                            <b><?php echo MasUsers::model()->findByPk($salesman_id)->full_name ?></b>
                        </div>
                        <br />
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="table-body">
        <table id="tbl_enquiry_table" class="table ">
            <thead>
                <tr>
                    <th>No</th>
                    <th>Part Numberrr</th>
                    <th>Description</th>
                    <th>Sec. Qty</th>
                    <th>Sec. Unit</th>
                    <th>Primary. Qty</th>
                    <th>Primary. Unit</th>
                </tr>
            </thead>
            <tbody>
                <?php

              //  $condition = "is_invoiced='N' AND order_date='" . $str_order_date . "'";
                $condition = "is_invoiced='N'";
                
                if ($from != '') {

        
                    $condition .= ' AND order_date>="' . $from . '"';                }
        
                if ($to != '') {
        
                   $condition .= ' AND order_date<="' . $to . '"';
                }
                if ($salesman_id > 0) {
                    $condition .= " AND salesman_id=" . $salesman_id;
                }
                
           

                $allSalesmans = Yii::app()->db->createCommand('SELECT salesman_id,MU.full_name FROM erp_order_collect O LEFT JOIN bluesell_new_main.erp_users MU ON MU.id=O.salesman_id
  WHERE  ' . $condition . ' GROUP BY salesman_id ORDER BY full_name')->queryAll();
                $allGenerics = Yii::app()->db->createCommand('SELECT G.generic_name,G.id 
FROM erp_order_collect_item OI 
LEFT JOIN  erp_order_collect O ON O.id=OI.order_id
LEFT JOIN erp_inventory I ON I.id=OI.product_id 
LEFT JOIN erp_master_generic G ON G.id=I.generic_id  
WHERE  ' . $condition . ' GROUP BY I.generic_id ORDER BY generic_name')->queryAll();

                foreach ($allSalesmans as $eachSalesman) {

                ?>

                    <tr>
                        <td colspan="7">
                            <b><?php echo $eachSalesman['full_name']; ?></b>
                        </td>
                    </tr>
                    <?php
                    foreach ($allGenerics as $i => $eachName) {

                    ?>
                        <tr>
                            <td colspan="7">
                                <b><?php echo $eachName['generic_name']; ?></b>
                            </td>
                        </tr>
                        <?php
                        $sql = "SELECT O.id AS order_id,O.order_date,O.salesman_id,I.sec_unit_id,O.customer_id,O.outlet,OI.product_id,I.part_number,OI.description,SUM(OI.quantity) AS quantity,OI.unit_id,OI.base_unit_id,SUM(OI.base_unit_qty) AS base_qty,OI.unit_factor,BU.unit_name as base_unit,U.unit_name as ordered_unit,U.unit_exchange_rate,U.unit_name as sec_unit
                    FROM erp_order_collect_item OI
                    LEFT JOIN erp_order_collect O ON O.id=OI.order_id
                    LEFT JOIN erp_inventory I ON I.id=OI.product_id
                    LEFT JOIN erp_master_unit U ON U.id=I.sec_unit_id
                    LEFT JOIN erp_master_unit BU ON BU.id=OI.base_unit_id
                    WHERE O.order_date= '" . $str_order_date . "' AND O.is_invoiced='N' AND O.outlet =" . (int) Yii::app()->user->outlet_id . " 
                    AND O.salesman_id =" . $eachSalesman['salesman_id'] . " 
                    AND I.generic_id=" . $eachName['id'] . "
                    GROUP BY I.id,O.order_date";
                        //$SQL = "SELECT SUM(primary_unit_qty) as quantity,part_no,primary_unit_id as unit,warehouse_name, description, warehouse_id,SUM((primary_unit_qty/sec_factor)) AS secondary_qty,secondary_unit_symbol as secondary_unit, generic_name FROM view_order_collect WHERE is_invoiced='N' AND order_date='" . $str_order_date . "' AND generic_name='" . $eachName['generic_name'] . "' AND warehouse_id = " . $eachSalesman['warehouse_id'] . " GROUP BY product_id ORDER BY part_no";
                        $arr_list = Yii::app()->db->createCommand($sql)->queryAll();

                        foreach ($arr_list as $i => $eachItem) { ?>
                            <tr>
                                <td>
                                    <?php echo $i + 1; ?>
                                </td>
                                <td>
                                    <?php echo $eachItem['part_number']; ?>
                                </td>
                                <td>
                                    <?php echo $eachItem['description']; ?>
                                </td>
                                <td>
                                    <?php
                                    $sec_qty = $eachItem['base_qty'] / $eachItem['unit_exchange_rate'];
                                    echo Yii::app()->numberFormatter->formatCurrency($sec_qty, ""); ?>
                                </td>
                                <td>
                                    <?php echo $eachItem['sec_unit']; ?>
                                </td>
                                <td>
                                    <?php echo Yii::app()->numberFormatter->formatCurrency($eachItem['base_qty'], ""); ?>
                                </td>
                                <td>
                                    <?php echo $eachItem['base_unit']; ?>
                                </td>
                            </tr>
                <?php $si_no++;
                        }
                    }
                } ?>
            </tbody>
        </table>
    </div>


    <htmlpagefooter name="myfooter">
        <div style="text-align:center;width:100%;font-size:10px">
        </div>
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; background-color: #ffffff">
            <div class="col-12">
                <div class="col-6">
                    <p style="text-align:left;font-size:10px;padding-left:17px;">
                        Generated by : <?php echo $userModel->full_name; ?>
                    </p>
                </div>
                <div class="col-6">
                    <p style="text-align:right;font-size:10px;padding-right:17px;">
                        <?php
                        date_default_timezone_set("Asia/Dubai");
                        echo date('l, F j, Y') . " " . date("h:i a");
                        ?>
                    </p>
                </div>
            </div>
            <div style="text-align:center;width:100%;padding-top:-22px;">
                <p style="text-align:center;font-size:9.5px">Page {PAGENO} of {nb}</p>
            </div>
        </div>
    </htmlpagefooter>
    <sethtmlpagefooter name="myfooter" page="all" value="on" />
</body>

</html>