<ul class="clearfix form-ul material">
    <li class="col-sm-6">
        <?php 
        $outlet_id=(int)Yii::app()->user->outlet_id;
        $arr_sales_man=MasUsers::get_outlet_salesandadmin($outlet_id);
        if($model->id>0)
        {
            if($model->production_date !='0000-00-00')
            {
                $model->production_date=date('d/m/Y',strtotime($model->production_date));    
            }    
        } else{
            $model->production_date=date('d/m/Y');
        }
        echo $form->textField($model, 'production_date', array('data-label' => 'Issue Date <span style="color:red;">*</span>', 'class' => 'datepicker')); ?>
        <?php echo $form->hiddenField($model, 'id'); ?>
    </li>
    <li class="col-sm-6">
        <?php echo $form->textField($model, 'reference', array('data-label' => 'Reference  <span style="color:red;">*</span>')); ?>
    </li>
    <li class="col-sm-3">
        <?php echo $form->textField($model, 'part_no', array('data-label' => 'Product  <span style="color:red;">*</span>','onKeypress' => 'js:autoCompleteProduct1(this.id);')); ?>
        <?php echo $form->hiddenField($model, 'product_id'); ?>
    </li>
    <li class="col-sm-3">
        <?php echo $form->textField($model, 'description', array('data-label' => 'Description  <span style="color:red;">*</span>')); ?>
    </li>
    <li class="col-sm-2">
        <?php echo $form->textField($model, 'quantity', array('data-label' => 'Quantity  <span style="color:red;">*</span>','onkeypress' => 'return isNumberKey(event)')); ?>
    </li>
    <li class="col-sm-2">
        <div id="unitdiv">
        <?php echo $form->dropdownList($model, "unit",MasUnit::getSimilarUnits($model->unit), array('data-label' => 'Unit')); ?>
        </div>
    </li>
    <li class="col-sm-2">
        <?php echo $form->textField($model, 'wastage_percentage', array('data-label' => 'Wastage(%)  <span style="color:red;">*</span>','onkeypress' => 'return isNumberKey(event)')); ?>
    </li>
    <li class="col-sm-12">
        <?php echo $form->textArea($model, 'notes', array('data-label' => 'Notes')); ?>
    </li>
</ul>
<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("autoCompleteProduct1", "function autoCompleteProduct1(field_id)
{
    var url = '" . Yii::app()->createUrl('inventory/GetProducts') . "'+'&frm=PR';
    $('#'+field_id).autocomplete({
        minLength   : 1,
        source      : function (request, response) { autoCompleteSource(request, response,url) },
        focus       : function( event, ui ) { $(this).val((ui.item.label)); return false;},
        select          : function( event, ui ) {
            event.preventDefault();
            trigger_target_id   =   $(event.target).attr('id');
            var product_id=ui.item.value;
            var desc=ui.item.description;
            var part_number=ui.item.part_number;
            var unit = ui.item.uom;
            $('#Production_description').val(desc);
            $('#Production_product_id').val(product_id);
            $('#Production_part_no').val(part_number);
            $('#Production_quantity').val(1);
            $('#Production_quantity').select();
            jQuery.ajax({
                'data' :{'unit':unit},
                'dataType' : 'json',
                'type':'post',
                'url': '" . Yii::app()->createUrl('production/getSimilarUnits1') . "',
                'success': function(data) {
                    $('#unitdiv').html(data.unit);
                }
            });
        }
    });
}", CClientScript::POS_HEAD);?>