<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'purchaseinvoice-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));
?>
<ul class="nav nav-tabs company-nav-tabs nav-tab-theme">
    <li class="active"><a href="#pi_tab1" data-toggle="tab">General</a></li>
    <li><a href="#pi_tab2" data-toggle="tab">Details</a></li>
</ul>
<div class="tab-content">
    <div class="tab-pane active" id="pi_tab1">
        <?php $this->renderPartial('general', array('model' => $model, 'form' => $form)); ?>
    </div>
    <div class="tab-pane" id="pi_tab2">
        <?php $this->renderPartial('details', array('model' => $model, 'modelItems' => $modelItems, 'form' => $form)); ?>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" id="pi_close" data-dismiss="modal">Close</button>
    <?php 
                $url = Yii::app()->createUrl('purchaseinvoice/Save');
                echo CHtml::ajaxSubmitButton('Save', $url, array(
                            'dataType' => 'json',
                            'type' => 'post',
                            'success' => 'function(data) {
                                if(data.status=="success"){  
                                    $("#pi_close").click();                                        
                                    t8.success("Purchase Invoice Details Saved Successfully!");
                                    if( data.generate_print )
                                    {
                                    window.open("index.php?r=purchaseinvoice/PrintPDF&id="+data.id);
                                    }
                                    reloadTable("#tbl_purchase_invoice");
                                } else { 
                                    $("#purchaseinvoice-form .purchaseinvoice-save-btn").prop("disabled", false);
                                    $("#purchaseinvoice-form .purchaseinvoice-save-btn").addClass("btn-theme").removeClass("btn_loading");
                                    $.each(data, function(key, val) {
                                        $("#purchaseinvoice-form #"+key+"_em_").text(val).show(); 
                                        t8.error(""+val+""); 
                                    }); 
                                } 
                            }',
                            'beforeSend' => 'function(){
                                $(".toast8-error").hide(); 
                                $("#loader").show();
                                $("#purchaseinvoice-form .purchaseinvoice-save-btn").prop("disabled", true);                                
                                $("#purchaseinvoice-form .purchaseinvoice-save-btn").addClass("btn_loading").removeClass("btn-theme");
                                
                            }',
                            'complete' => 'function(){
                                $("#loader").hide();
                                $("#purchaseinvoice-form .purchaseinvoice-save-btn").prop("disabled", false);                                
                                $("#purchaseinvoice-form .purchaseinvoice-save-btn").addClass("btn-theme").removeClass("btn_loading");
                            }'
                                
                    ), array('id' => 'mybtn' . rand(), 'class' => 'purchaseinvoice-save-btn btn btn-theme'));
           
    ?>
</div>
<?php $this->endWidget(); ?>
