<?php $colspan=9;?>
    <style>
        table{
            width:100%;
        }
        .head{
            background-color : aquamarine;
            font-weight: bold;
            color: white;
            font-size: 14px;
        }
        .text-right{
            text-align: right;
        }
        .text-center{
            text-align: center;
        }
        .total{
            text-align: right;
            font-weight: bold;
            font-size: 14px;
        }
    </style>
     <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:1%">#</th>
                <th style="width:10%">Part No</th>
                <th style="width:25%">Description</th>
                <th style="width:5%">Type</th>
                <th style="width:8%">Brand</th>
                <th>Open Qty</th>
                <th>In Qty</th>
                <th>Out Qty</th>
                <th>Bal Qty</th>
                <th>Unit</th>
                <th>Cost</th>
                <th>Price</th>                        
                <th>Tax(%)</th>
                <th>Outlet</th>
            </tr>
        </thead>
        <tbody>
            <?php  $model  = new Inventory();
            $condition      = '1=1';
            if($outlet>0){
                $condition.=' AND I.outlet='.$outlet;
            }
            if($type!='')
            {
                $condition.=' AND I.type="'.$type.'"';    
            }
            if($brand>0)
            {
                $condition.=' AND I.brand='.$brand;    
            }
            if($customer_id>0)
            {
                $condition.=' AND t.customer_id='.$customer_id;    
            }
            if($salesman >0)
            {
                $condition.=' AND (S.created_by='.$salesman.' OR S.type="OB" )'; 
            }
            if(!empty($from_date))
            {
            $from_date = date("Y-m-d", strtotime(str_replace('/', '-', $from_date)));
            }
            if(!empty($to_date))
            {
            $to_date = date("Y-m-d", strtotime(str_replace('/', '-', $to_date)));
            }
                $query_opening_stock="SELECT id,part_number,description,active,brand_name,type,SUM(in_qty) AS in_qty,SUM(out_qty) AS out_qty,SUM(in_qty)-SUM(out_qty) AS qty,
                    unit_name,SUM(avg_purchase_rate) AS avg_purchase_rate,SUM(avg_sales_rate) AS avg_sales_rate,SUM(tax) AS tax,name,outlet_name,rate from view_current_stock  where transaction_date<'".$from_date."' group by id";
                $query_current_stock="SELECT id,part_number,description,active,brand_name,type,SUM(in_qty) AS in_qty,SUM(out_qty) AS out_qty,SUM(in_qty)-SUM(out_qty) AS qty,
                    unit_name,SUM(avg_purchase_rate) AS avg_purchase_rate,SUM(avg_sales_rate) AS avg_sales_rate,tax,name,outlet_name,rate from view_current_stock  where transaction_date>='".$from_date."' AND  transaction_date<='".$to_date."'  group by id";

            
            $SQL="CREATE OR REPLACE VIEW view_current_stock AS
                (SELECT I.id,I.part_number,I.description,I.active,B.brand_name,I.type,S.quantity*S.unit_exchange_rate AS in_qty,
                0 AS out_qty,U.unit_name,0 AS avg_purchase_rate,0 AS avg_sales_rate,tax,
                O.name,O.outlet_name,I.rate,S.transaction_date
                FROM erp_inventory I 
                LEFT JOIN erp_stock_ledger S ON I.id=S.product_id 
                LEFT JOIN erp_master_brand B ON I.brand=B.id 
                LEFT JOIN erp_master_unit U ON I.unit=U.id 
                LEFT JOIN bluesell_new_main.erp_outlets O ON I.outlet=O.id where $condition AND (S.transaction_type='IN' OR S.type='OB'))
                UNION
                (SELECT I.id,I.part_number,I.description,I.active,B.brand_name,I.type,0 AS in_qty,S.quantity*S.unit_exchange_rate AS out_qty,
                U.unit_name,0 AS avg_purchase_rate,0 AS avg_sales_rate,tax,O.name,O.outlet_name,I.rate,S.transaction_date
                FROM erp_inventory I 
                LEFT JOIN erp_stock_ledger S ON I.id=S.product_id 
                LEFT JOIN erp_master_brand B ON I.brand=B.id 
                LEFT JOIN erp_master_unit U ON I.unit=U.id 
                LEFT JOIN bluesell_new_main.erp_outlets O ON I.outlet=O.id where $condition AND (S.transaction_type='OUT' OR S.type='OB'))";
                Yii::app()->db->createCommand($SQL)->execute();
            $arr_stock = Yii::app()->db->createCommand($query_current_stock)->queryAll();
            $sl=1;
            if(!empty($arr_stock)){
                foreach ($arr_stock as $row)
                { 
                    $inv_type=($row['type']=='I')? "Inventory" : "Service";
                    $avg_purchase_rate = StockLedger::getAvgPurchaseRate($row['id'],'',$outlet);
                    $product_id=$row['id'];
                    ?>
                <tr>
                    <td><?php echo $sl;?></td> 
                    <td><?php echo $row['part_number'];?></td> 
                    <td><?php echo $row['description'];?></td> 
                    <td><?php echo  $inv_type;?></td> 
                    <td><?php echo  $row['brand_name'];?></td> 
                    <td class="text-right"><?php 
                    $open_in_qty=Yii::app()->db->createCommand("select SUM(quantity*unit_exchange_rate) from erp_stock_ledger where product_id=$product_id AND transaction_type='IN' AND transaction_date<'".$from_date."'")->queryScalar();
                    $open_out_qty=Yii::app()->db->createCommand("select SUM(quantity*unit_exchange_rate) from erp_stock_ledger where product_id=$product_id AND transaction_type='OUT' AND transaction_date<'".$from_date."'")->queryScalar();
                    echo round(($open_in_qty-$open_out_qty),3);
                    ?></td>
                    <td class="text-right"><?php echo round($row['in_qty'],3);?></td> 
                    <td class="text-right"><?php echo round($row['out_qty'],3);?></td> 
                    <td class="text-right"><?php echo round(($open_in_qty-$open_out_qty+$row['qty']),3);?></td>
                    <td><?php echo $row['unit_name'];?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($avg_purchase_rate,'');?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['rate'],'');?></td> 
                    <td class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($row['tax'],'').' %';?></td> 
                    <td class="text-right"><?php echo $row['outlet_name'];?></td>                    
                </tr>
                <?php
                    $sl++;
                } ?>
            <?php }else{?>
            <tr>
                    <th colspan="<?php echo $colspan;?>" class="text-center bg-info">No Details Found</th>
            </tr>
            <?php } ?>
        </tbody>
    </table>
<!--    <table border="1">
        <thead>
            <tr style="background-color:#00abff;">
                <th colspan="10">Current Stock</th>
            </tr>
            <tr class="head">
                <th style="width:1%">#</th>
                <th style="width:10%">Part No</th>
                <th style="width:25%">Description</th>
                <th style="width:5%">Type</th>
                <th style="width:8%">Brand</th>
                <th>Qty</th>
                <th>Unit</th>
                <?php 
//                if(Yii::app()->user->user_access_type != 'SL'){ 
//                $colspan++;
                ?><th>Cost</th><?php 
//} 
                ?>
                <th>Price</th>                        
                <th>Tax(%)</th>
                <?php //if(Yii::app()->user->user_access_type == 'SU' ){ 
//                $colspan++;
                ?>
<th>Outlet</th>
    <?php //} ?>
            </tr>
        </thead>
        <tbody>
            <?php  
//            $model  = new Inventory();
//            $condition      = '1=1';
//            if($outlet>0){
//                $condition.=' AND I.outlet='.$outlet;
//            }
//            if($type!='')
//            {
//                $condition.=' AND I.type="'.$type.'"';    
//            }
//            if($brand>0)
//            {
//                $condition.=' AND I.brand='.$brand;    
//            }
//            if($customer_id>0)
//            {
//                $condition.=' AND t.customer_id='.$customer_id;    
//            }
//            if($salesman >0)
//            {
//                $condition.=' AND (S.created_by='.$salesman.' OR S.type="OB" )'; 
//            }
//            if($stock==1){
//                $query_current_stock="SELECT * FROM (SELECT id,part_number,description,active,brand_name,type,SUM(in_qty) AS in_qty,SUM(out_qty) AS out_qty,SUM(in_qty)-SUM(out_qty) AS qty,
//                    unit_name,SUM(avg_purchase_rate) AS avg_purchase_rate,SUM(avg_sales_rate) AS avg_sales_rate,SUM(tax) AS tax,name,outlet_name,rate from view_current_stock group by id
//                    ) A where A.qty>0";
//            }else if($stock==2){
//                $query_current_stock="SELECT * FROM (SELECT id,part_number,description,active,brand_name,type,SUM(in_qty) AS in_qty,SUM(out_qty) AS out_qty,SUM(in_qty)-SUM(out_qty) AS qty,
//                    unit_name,SUM(avg_purchase_rate) AS avg_purchase_rate,SUM(avg_sales_rate) AS avg_sales_rate,SUM(tax) AS tax,name,outlet_name,rate from view_current_stock group by id) A where A.qty=0";
//            }else{
//                $query_current_stock="SELECT id,part_number,description,active,brand_name,type,SUM(in_qty) AS in_qty,SUM(out_qty) AS out_qty,SUM(in_qty)-SUM(out_qty) AS qty,
//                    unit_name,SUM(avg_purchase_rate) AS avg_purchase_rate,SUM(avg_sales_rate) AS avg_sales_rate,SUM(tax) AS tax,name,outlet_name,rate from view_current_stock group by id";
//            }
//            
//            $SQL="CREATE OR REPLACE VIEW view_current_stock AS
//                (SELECT I.id,I.part_number,I.description,I.active,B.brand_name,I.type,SUM(S.quantity*S.unit_exchange_rate) AS in_qty,
//                0 AS out_qty,U.unit_name,CASE
//                WHEN SUM(S.quantity*S.unit_exchange_rate) > 0 THEN SUM(S.quantity*S.rate)/SUM(S.quantity*S.unit_exchange_rate) ELSE 0 END AS avg_purchase_rate,0 AS avg_sales_rate,tax,O.name,O.outlet_name,I.rate 
//                FROM erp_inventory I 
//                LEFT JOIN erp_stock_ledger S ON I.id=S.product_id 
//                LEFT JOIN erp_master_brand B ON I.brand=B.id 
//                LEFT JOIN erp_master_unit U ON I.unit=U.id 
//                LEFT JOIN bluesell_new_main.erp_outlets O ON I.outlet=O.id where $condition AND (S.transaction_type='IN' OR S.type='OB') group by I.id)
//                UNION
//                (SELECT I.id,I.part_number,I.description,I.active,B.brand_name,I.type,0 AS in_qty,SUM(S.quantity*S.unit_exchange_rate) AS out_qty,
//                U.unit_name,0 AS avg_purchase_rate,CASE
//                WHEN SUM(S.quantity*S.unit_exchange_rate) > 0 THEN SUM(S.quantity*S.rate)/SUM(S.quantity*S.unit_exchange_rate) ELSE 0 END AS avg_sales_rate,0 AS tax,O.name,O.outlet_name,I.rate 
//                FROM erp_inventory I 
//                LEFT JOIN erp_stock_ledger S ON I.id=S.product_id 
//                LEFT JOIN erp_master_brand B ON I.brand=B.id 
//                LEFT JOIN erp_master_unit U ON I.unit=U.id 
//                LEFT JOIN bluesell_new_main.erp_outlets O ON I.outlet=O.id where $condition AND (S.transaction_type='OUT' OR S.type='OB')  group by I.id)";
//                Yii::app()->db->createCommand($SQL)->execute();
//            $arr_stock = Yii::app()->db->createCommand($query_current_stock)->queryAll();
//            $sl=1;
//            if(!empty($arr_stock)){
//                foreach ($arr_stock as $row)
//                { 
//                    $inv_type=($row['type']=='I')? "Inventory" : "Service";
//                    $avg_purchase_rate = StockLedger::getAvgPurchaseRate($row['id'],'',$outlet);
                    ?>
                <tr>
                    <td><?php //echo $sl;?></td> 
                    <td><?php //echo $row['part_number'];?></td> 
                    <td><?php //echo $row['description'];?></td> 
                    <td><?php// echo  $inv_type;?></td> 
                    <td><?php// echo  $row['brand_name'];?></td> 
                    <td class="text-right"><?php //echo round($row['qty'],3);?></td> 
                    <td><?php //echo $row['unit_name'];?></td> 
                    <?php //if(Yii::app()->user->user_access_type != 'SL'){ ?>
                    <td class="text-right"><?php //echo Yii::app()->numberFormatter->formatCurrency($avg_purchase_rate,'');?></td> 
                    <?php //} ?>
                    <td class="text-right"><?php //echo Yii::app()->numberFormatter->formatCurrency($row['rate'],'');?></td> 
                    <td class="text-right"><?php //echo Yii::app()->numberFormatter->formatCurrency($row['tax'],'').' %';?></td> 
                    <?php //if(Yii::app()->user->user_access_type == 'SU' ){ ?><td class="text-right"><?php //echo $row['outlet_name'];?></td><?php //} ?> 
                    
                </tr>
                <?php
//                    $sl++;
//                } 
                ?>
            <?php //}else{?>
            <tr>
                    <th colspan="<?php //echo $colspan;?>" class="text-center bg-info">No Details Found</th>
            </tr>
            <?php //} ?>
        </tbody>-->
    <!--</table>-->
