<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="text-center panel-heading clearfix"><h4><b>Transaction Detail</b></h4></header>
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <?php if( Yii::app()->user->user_access_type == 'SU'||Yii::app()->user->user_access_type == 'DEV' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('transdet_outlet', '', MasOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php }else{
                         echo CHtml::hiddenField('transdet_outlet',Yii::app()->user->outlet_id);
                    } ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('transdet_date_from', date('01/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'From')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('transdet_date_to', date('t/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'To')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::hiddenField('transdet_product_id'); ?>
                        <?php echo CHtml::textField('transdet_product', '', array('class' => 'tooltipster', 'data-label' => 'Product <span style="color:red;">*</style>', 'onKeypress' => 'js:transdetproducts(this.id);')); ?>
                    </li>
                    <?php if( Yii::app()->user->user_access_type != 'SL' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('transdet_salesman', '', MasOutlets::salesmans(), array('class' => 'tooltipster', 'data-label' => 'Salesman', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php } else{
                        echo CHtml::hiddenField('transdet_salesman',Yii::app()->user->id);
                    }?>
                     <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>
                        <!--<a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reports/PdfTransactionDetail&outlet='+$('#transdet_outlet').val()+'&from='+$('#transdet_date_from').val()+'&to='+$('#transdet_date_to').val()+'&product_id='+$('#transdet_product_id').val()+'&salesman='+$('#transdet_salesman').val(), '_blank'); ">PDF</a>-->
                      <a type="button" class="btn btn-sm btn-theme" onclick="generatePdf()">PDF</a>
                      
                      
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadExcel()">XLS</a>
                        
                        <!--<a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reports/PdfTransactionDetail&outlet='+$('#transdet_outlet').val()+'&from='+$('#transdet_date_from').val()+'&to='+$('#transdet_date_to').val()+'&product_id='+$('#transdet_product_id').val()+'&salesman='+$('#transdet_salesman').val()+'&ctype=nocost', '_blank'); ">PDF-No Cost</a>-->



                      <a type="button" class="btn btn-sm btn-theme" onclick="generatePdfnocost()">PDF-No Cost</a>





                    </div>
                </ul>
            </header>
            
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="gl_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>

<script>
function generatePdf() {
  var productId = $('#transdet_product_id').val();
  if (productId > 0) {
    var url = $('#liveSite').val() + 'index.php?r=reports/PdfTransactionDetail&outlet=' + $('#transdet_outlet').val() + '&from=' + $('#transdet_date_from').val() + '&to=' + $('#transdet_date_to').val() + '&product_id=' + productId + '&salesman=' + $('#transdet_salesman').val();
    window.open(url, '_blank');
  } else {
     t8.error('Please Select Product');
  }
}
</script>

<script>
function generatePdfnocost() {
  var productId = $('#transdet_product_id').val();
  if (productId > 0) {
    var url = $('#liveSite').val() + 'index.php?r=reports/PdfTransactionDetail&outlet=' + $('#transdet_outlet').val() + '&from=' + $('#transdet_date_from').val() + '&to=' + $('#transdet_date_to').val() + '&product_id=' + productId + '&salesman=' + $('#transdet_salesman').val()+'&ctype=nocost';
    window.open(url, '_blank');
  } else {
     t8.error('Please Select Product');
  }
}


</script>

<?php 

$cs = Yii::app()->getClientScript();

    $cs->registerScript("products", "function transdetproducts(field_id)
    {
        $('#transdet_product_id').val('');
        var url = '" . Yii::app()->createUrl('inventory/GetProducts') . "'+'&frm=reports';
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response, url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false; },
            select      : function( event, ui ) {
                event.preventDefault();
                $('#transdet_product_id').val(ui.item.value);
                $('#transdet_product').val(ui.item.label);
            }
        });
    }", CClientScript::POS_HEAD);
    $cs->registerScript("loadPage", "function loadPage(){
        var product_id=$('#transdet_product_id').val();
        if(product_id>0){
            $('#loader').show();
            jQuery.ajax({
                'type': 'post',
                'url': '" . Yii::app()->createUrl('reports/HtmlTransactionDetail') . "',
                'data' : { 'outlet' : $('#transdet_outlet').val(), 'from' : $('#transdet_date_from').val(), 'to' : $('#transdet_date_to').val(), 'product_id' : $('#transdet_product_id').val(), 'salesman' : $('#transdet_salesman').val() },
                'success': function(data) {
                    $('#data_div').show();
                    $('.main-li-data').html(data);
                    $('#loader').hide();
                }
            });
        }else{
            t8.error('Please Select Product');
        }
    }
    function loadExcel(){  
        var product_id=$('#transdet_product_id').val();
        if(product_id>0){
            window.open($('#liveSite').val()+'index.php?r=reportexcel/TransactionDetail&outlet='+$('#transdet_outlet').val()+'&from='+$('#transdet_date_from').val()+'&to='+$('#transdet_date_to').val()+'&product_id='+$('#transdet_product_id').val()+'&salesman='+$('#transdet_salesman').val());
        }else{
            t8.error('Please Select Product');
        }
    }", CClientScript::POS_HEAD);
?>