<div class="row">
    <div class="col-sm-12">
        <section class="panel">
            <header class="text-center panel-heading clearfix"><h4><b>VAT REGISTER </b></h4></header>
            <header class="panel-heading clearfix">
                <ul class="clearfix form-ul material">
                    <?php if( Yii::app()->user->user_access_type == 'SU' ) {  ?>
                        <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('cheque_report_outlet', '', MasOutlets::get_outlets(), array('class' => 'tooltipster', 'data-label' => 'Outlet', 'prompt' => 'All','data-search'=>true)); ?>
                        </li>
                    <?php }else{
                         echo CHtml::hiddenField('cheque_report_outlet',Yii::app()->user->outlet_id);
                    } ?>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('cheque_report_date_from', date('01/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'From')); ?>
                    </li>
                    <li class="col-sm-2">
                        <?php echo CHtml::textField('cheque_report_date_to', date('t/m/Y'), array('class' => 'datepicker tooltipster', 'data-label' => 'To')); ?>
                    </li>
                    <li class="col-sm-2">
                            <?php echo CHtml::dropdownlist('cheque_report_type', '', array(1=>'Receivable',2=>'Payable'), array('class' => 'tooltipster', 'data-label' => 'Type')); ?>
                    </li>
                     <div class="btn-wrap text-center">
                        <a type="button" class="btn btn-sm btn-theme" onclick="loadPage();">VIEW</a>
                        <!--<a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportpdf/netsales&outlet='+$('#netsales_outlet').val()+'&from='+$('#netsales_date_from').val()+'&to='+$('#netsales_date_to').val()+'&customer_id='+$('#netsales_customer_id').val()+'&salesman='+$('#netsales_salesman').val()), '_blank'); ">PDF</a>-->
                        <!--<a type="button" class="btn btn-sm btn-theme" onclick="window.open($('#liveSite').val()+'index.php?r=reportexcel/netsales&outlet='+$('#netsales_outlet').val()+'&from='+$('#netsales_date_from').val()+'&to='+$('#netsales_date_to').val()+'&customer_id='+$('#netsales_customer_id').val());">XLS</a>-->
                    </div>
                </ul>
            </header>
            <div class="panel-body" id="data_div" style="display:none;" >
                <div class="tab-content">
                    <div class="tab-pane main-li-data active" id="gl_tab">
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
<?php 

$cs = Yii::app()->getClientScript();

    $cs->registerScript("customers", "function customers(field_id)
    {
        $('#customer_id').val('');
        var url = '" . Yii::app()->createUrl('reports/get_customers') . "';
        $('#netsales_customer_id').val('');
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response, url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false; },
            select      : function( event, ui ) {
                event.preventDefault();
                $('#netsales_customer_id').val(ui.item.value);
                $('#netsales_customer').val(ui.item.label);
            }
        });
    }", CClientScript::POS_HEAD);
    $cs->registerScript("loadPage", "function loadPage(){
        $('#loader').show();
        jQuery.ajax({
            'type': 'post',
            'url': '" . Yii::app()->createUrl('reports/HtmlChequeReport') . "',
            'data' : { 'outlet' : $('#cheque_report_outlet').val(), 'from' : $('#cheque_report_date_from').val(), 'to' : $('#cheque_report_date_to').val(), 'type' : $('#cheque_report_type').val() },
            'success': function(data) {
                $('#data_div').show();
                $('.main-li-data').html(data);
                $('#loader').hide();
            }
        });
    }", CClientScript::POS_HEAD);
?>