<div class="table-responsive">
    <b>FOC Invoice Items </b>
    <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:3%">Sl No.</th>
                <th style="width:7%">Inv No.</th>
                <th style="width:10%">Date</th>
                <th style="width:25%">Customer</th>
                <th style="width:8%">Salesman</th>
                <th style="width:10%">Product</th>
                <th style="width:10%">Quantity</th>
                <th style="width:10%">Unit</th>
            </tr>
        </thead>
        <tbody>
            <?php  $model  = new SalesInvoiceItems();
            $condition      = 't.rate=0';
            if($outlet>0){
                $condition.=" AND invoice.outlet=".$outlet;
            }
            if($from!='' && $from!='00/00/0000')
            {
                $from = str_replace('/', '-',$from);
                $from=date("Y-m-d", strtotime($from));
                $condition.=' AND invoice.invoice_date>="'.$from.'"';    
            }
            if($to!='' && $to!='00/00/0000')
            {
                $to = str_replace('/', '-',$to);
                $to=date("Y-m-d",strtotime($to));
                $condition.=' AND invoice.invoice_date<="'.$to.'"';    
            }
            if($customer_id>0)
            {
                $condition.=' AND invoice.customer_id='.$customer_id;    
            }
            if($salesman >0)
            {
                $condition.=' AND (invoice.sales_man='.$salesman.')';    
            }
            if($state >0)
            {
                $condition.=' AND (invoice.state='.$state.')';    
            }
            $arr_invoices       = $model->with('product','invoice','invoice.si_salesman','units')->findAll(array('condition' => $condition));
            $sl=1;
            if(!empty($arr_invoices)){
                foreach ($arr_invoices as $row)
                { 
                    ?>
                <tr>
                    <td><?php echo $sl;?></td> 
                    <td><?php echo $row['invoice']['invoice_no'];?></td> 
                    <td><?php echo date("d/m/Y",strtotime($row['invoice']['invoice_date']));?></td> 
                    <td><?php echo  $row['invoice']['customer']['customer_name'];?></td> 
                    <td><?php echo  $row['invoice']['si_salesman']['full_name'];?></td>  
                    <td><?php echo  $row['product']['part_number'];?></td>  
                    <td><?php echo  $row['quantity'];?></td>  
                    <td><?php echo  $row['units']['unit_name'];?></td>  
                    
                </tr>
                <?php
                    $sl++;
                } 
            }?>
            </tbody>
    </table>
</div>
            