<!DOCTYPE html>
<html>
<head>
    <title><?php echo date('dmYhis'); ?></title>
</head>
<body>
<?php $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);   ?>    
<div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <small><?php echo $userModel->companyDetails->billing_address ?></small>
                </div>
            </div>
<div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;"> 
    <!--add New Template-->
    <div class="">
        <div class="col-6">
                <div class="input-block">
                    <b><?php echo 'Cash Collection Report'; ?></b>
                </div>
                <br> <br> <br>
                <table class="table" style="width:50%">
                <tr>
                    <td>From</td>
                    <td>
                        <?php echo date('d/m/Y',strtotime($from));?>
                    </td>
                </tr>
                <tr>
                    <td>To</td>
                    <td>
                        <?php echo date('d/m/Y',strtotime($to));?>
                    </td>
                </tr>
                <?php if($customer_id>0) { ?>
                <tr>
                    <td>Customer</td>
                    <td>
                        <?php echo Customer::model()->findByPk($customer_id)->customer_name; ?>
                    </td>
                </tr>
                <?php } ?>
                <?php if($salesman>0) { ?>
                <tr>
                    <td>Salesman</td>
                    <td>
                    <?php echo MasUsers::model()->findByPk($salesman)->full_name; ?>
                    </td>
                </tr>
                <?php } ?>
            </table>
        </div>

    </div>
    <br>
    <div class="col-md-12">
        <div class="table-responsive">
        <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:3%">Sl No.</th>
                <th style="width:7%">Voucher No.</th>
                <th style="width:7%">Inv No.</th>
                <th style="width:10%">Inv. Date</th>
                <th style="width:25%">Customer</th>
                <th style="width:10%">Inv. Amount</th>
                <th style="width:10%">Voucher Date</th>
                <th style="width:10%">Receipt Amount</th>
                <th style="width:10%">Discount</th>
                <th style="width:10%">Balance</th>
            </tr>
        </thead>
        <tbody>
            <?php 
                $CashAccount=FinanceSystemAccountsMapping::getSystemdefault('cash_account');
                $condition_expense="1=1 AND H.is_posted='Y' AND H.is_posted='Y' AND amount<0 AND ledger_id=".$CashAccount;
                $condition_cash="1=1 AND H.is_posted='Y' AND H.is_posted='Y' AND amount>0 AND ledger_id=".$CashAccount;
                
            if($outlet>0){
                $condition_expense.=" AND I.outlet=".$outlet;
                $condition_cash.=" AND I.outlet=".$outlet;
            }
            /*if($salesman>0){
                $condition_expense.=" AND H.created_by=".$salesman;
                $condition_cash.=" AND H.created_by=".$salesman;
            }*/
            
             if ($salesman > 0) {
                $subledger_id = FinanceSubledger::model()->find(array('condition' => 'subledger_type_id=3 AND parent_id=' . $salesman))->id;
                if ((int)$subledger_id > 0) {
                    $condition_expense .= " AND I.subledger_id=" . $subledger_id;
                    $condition_cash .= " AND I.subledger_id=" . $subledger_id;
                }
            }
            
            if($from!='' && $to!='')
            {
                $condition_cash.=' AND (H.voucher_date>="'.$from.'" AND H.voucher_date<="'.$to.'")';  
            }
        //Expense & Cash
        $grand_total=0;
        $received_total=0;
        $discount_tot=0;
        $expenses=Yii::app()->db->createCommand("SELECT H.voucher_no,H.id,I.id AS voucher_item_id,H.voucher_date,I.amount FROM {{finance_voucher_items}} I INNER JOIN {{finance_voucher_head}} H ON H.id=I.header_id where $condition_cash")->queryAll();
        foreach ($expenses as $i=>$row)
        {       
            if($customer_id>0)
            {
            $subledger=FinanceSubledger::model()->find(array('condition'=>'subledger_type_id=1 AND parent_id='.$customer_id));  
            }
                $voucher=FinanceVoucherItems::model()->find(array('condition'=>'amount<0 AND header_id='.$row['id']));
                if($voucher->id>0){
                    $invoice=SalesInvoice::model()->findByPk($voucher->parent->header_table_id);
//                    $received_amount=-1*Yii::app()->db->createCommand('select sum(amount) from erp_finance_allocation_items where voucher_item_id='.$voucher->id)->queryScalar();
                }else{
//                    $received_amount=0;
                }
        ?>
            <?php if($customer_id>0)
            {
            if($voucher->subledger_id==$subledger->id)
            {
            ?>
                <tr>
                    <td style="text-align:center !important;"><?php echo ($i+1); ?></td> 
                    <td style="text-align:left !important;"><?php echo $row['voucher_no']; ?></td> 
                    <td style="text-align:left !important;"><?php echo $invoice->invoice_no; ?></td> 
                    <td style="text-align:left !important;"><?php if($invoice->invoice_no>0) { echo date('d/m/Y',strtotime($invoice->invoice_date)); } ?></td> 
                    <td style="text-align:left !important;"><?php echo $voucher->subledger->description; ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total,""); ?></td>
                    <td style="text-align:left !important;"><?php echo date('d/m/Y',strtotime($row['voucher_date'])); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row['amount'],""); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->discount,""); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total-$row['amount']-$invoice->discount,""); ?></td>
                </tr>
        <?php
        $grand_total+=$invoice->grand_total;
        $received_total+=1*$row['amount'];
        $discount_tot+=$invoice->discount;
            }
            }
            else {
                if($voucher->subledger->description!='')
                {
                ?>
                <tr>
                    <td style="text-align:center !important;"><?php echo ($i+1); ?></td> 
                    <td style="text-align:left !important;"><?php echo $row['voucher_no']; ?></td> 
                    <td style="text-align:left !important;"><?php echo $invoice->invoice_no; ?></td> 
                    <td style="text-align:left !important;"><?php if($invoice->invoice_no>0) { echo date('d/m/Y',strtotime($invoice->invoice_date)); } ?></td> 
                    <td style="text-align:left !important;"><?php echo $voucher->subledger->description; ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total,""); ?></td>
                    <td style="text-align:left !important;"><?php echo date('d/m/Y',strtotime($row['voucher_date'])); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($row['amount'],""); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->discount,""); ?></td> 
                    <td style="text-align:right !important;"><?php echo Yii::app()->numberFormatter->formatCurrency($invoice->grand_total-$row['amount']-$invoice->discount,""); ?></td>
                </tr>
        <?php
        $grand_total+=$invoice->grand_total;
        $received_total+=1*$row['amount'];
        $discount_tot+=$invoice->discount;
                }
            }
        } 
        $cash_collected=$received_total;
        ?>
                <tr>
                    <td style="text-align:right !important;" colspan="5"><b>Total</b></td> 
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total,""); ?></b></td>
                    <td style="text-align:right !important;"></td> 
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($received_total,""); ?></b></td> 
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($discount_tot,""); ?></b></td> 
                    <td style="text-align:right !important;"><b><?php echo Yii::app()->numberFormatter->formatCurrency($grand_total-$received_total-$discount_tot,""); ?></b></td>
                </tr>
        </tbody>
    </table>
</div>
    </div>
    
    <htmlpagefooter name="myfooter">
    <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
        <?php
                  date_default_timezone_set("Asia/Dubai");
                 echo date('d/m/Y')." ".date("h:i:sa"); ?>
    </div>

    
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
             <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>
