<!DOCTYPE html>
<html>
<head>
    <title><?php echo date('dmYhis'); ?></title>
</head>
<body>
    <body>
<?php $userModel = MasUsers ::model()->findByPk((int) Yii::app()->user->id);   ?>    
<div class="col-12">
                <div class="text-center">
                    <img src="<?php echo 'images/' . $userModel->companyDetails->pdf_logo; ?>" class="logo">
                </div>
                <div class="text-center">
                    <small><?php echo $userModel->companyDetails->billing_address ?></small>
                </div>
            </div>
<div  style="width:100%;float: left;margin-top: 10px;font-size:12px;font-family:'Times New Roman', Times, serif;"> 
    <!--add New Template-->
    <div class="">
        <div class="col-6">
                <div class="input-block">
                    <b><?php echo 'FOC Sales Report'; ?></b>
                </div>
                <br> <br> <br>
                <table class="table" style="width:50%">
                <tr>
                    <td>From</td>
                    <td>
                        <?php echo date('d/m/Y',strtotime($from));?>
                    </td>
                </tr>
                <tr>
                    <td>To</td>
                    <td>
                        <?php echo date('d/m/Y',strtotime($to));?>
                    </td>
                </tr>
                <?php if($customer_id>0) { ?>
                <tr>
                    <td>Customer</td>
                    <td>
                        <?php echo Customer::model()->findByPk($customer_id)->customer_name; ?>
                    </td>
                </tr>
                <?php } ?>
                <?php if($salesman>0) { ?>
                <tr>
                    <td>Salesman</td>
                    <td>
                    <?php echo MasUsers::model()->findByPk($salesman)->full_name; ?>
                    </td>
                </tr>
                <?php } ?>
            </table>
        </div>

    </div>
    <br>
    <div class="col-md-12">
        <div class="table-responsive">
            <table class="table table-hover table-striped table-bordered ">
        <thead>
            <tr>
                <th style="width:3%">Sl No.</th>
                <th style="width:7%">Inv No.</th>
                <th style="width:10%">Date</th>
                <th style="width:25%">Customer</th>
                <th style="width:8%">Salesman</th>
                <th style="width:10%">Product</th>
                <th style="width:10%">Quantity</th>
                <th style="width:10%">Unit</th>
            </tr>
        </thead>
        <tbody>
            <?php  $model  = new SalesInvoiceItems();
            $condition      = 't.rate=0';
            if($outlet>0){
                $condition.=" AND invoice.outlet=".$outlet;
            }
            if($from!='' && $from!='00/00/0000')
            {
                $from = str_replace('/', '-',$from);
                $from=date("Y-m-d", strtotime($from));
                $condition.=' AND invoice.invoice_date>="'.$from.'"';    
            }
            if($to!='' && $to!='00/00/0000')
            {
                $to = str_replace('/', '-',$to);
                $to=date("Y-m-d",strtotime($to));
                $condition.=' AND invoice.invoice_date<="'.$to.'"';    
            }
            if($customer_id>0)
            {
                $condition.=' AND invoice.customer_id='.$customer_id;    
            }
            if($salesman >0)
            {
                $condition.=' AND (invoice.sales_man='.$salesman.')';    
            }
            if($state >0)
            {
                $condition.=' AND (invoice.state='.$state.')';    
            }
            $arr_invoices       = $model->with('product','invoice','invoice.si_salesman','units')->findAll(array('condition' => $condition));
            $sl=1;
            if(!empty($arr_invoices)){
                foreach ($arr_invoices as $row)
                { 
                    ?>
                <tr>
                    <td><?php echo $sl;?></td> 
                    <td><?php echo $row['invoice']['invoice_no'];?></td> 
                    <td><?php echo date("d/m/Y",strtotime($row['invoice']['invoice_date']));?></td> 
                    <td><?php echo  $row['invoice']['customer']['customer_name'];?></td> 
                    <td><?php echo  $row['invoice']['si_salesman']['full_name'];?></td>  
                    <td><?php echo  $row['product']['part_number'];?></td>  
                    <td><?php echo  $row['quantity'];?></td>  
                    <td><?php echo  $row['units']['unit_name'];?></td>  
                    
                </tr>
                <?php
                    $sl++;
                } 
            }?>
            </tbody>
        </table>
        </div>
    </div>
    <htmlpagefooter name="myfooter">
    <div style="text-align:center;width:100%;font-size:10px"><?= Yii::app()->user->footer_autogenerated; ?>
        <?php
                  date_default_timezone_set("Asia/Dubai");
                 echo date('d/m/Y')." ".date("h:i:sa"); ?>
    </div>

    
        <div style="border-top: 1px dotted #000000; font-size: 12px; text-align: center; padding-top: 10px; background-color: #d7faeb;">
             <div style="text-align:center;width:100%">
            </div>
            <div style="text-align:center;width:100%">Page {PAGENO} of {nb} </div>
        </div>
    </htmlpagefooter>
</body>

</html>