<div id="div_sales_invoice_details">
    <div class="table-responsive">
        <?php $have_discount = MasOutlets::model()->findByPk(Yii::app()->user->outlet_id)->have_discount;
        ?>
        <input type="hidden" name="have_discount" id="have_discount_id" value="<?php echo $have_discount ?>">
        <table class="table table-hover table-bordered personal-task" id="invoice_item_table">
            <tr>
                <th style="width:20%">Item</th>
                <th style="width:20%">Description</th>
                <th style="width:5%">Quantity</th>
                <th style="width:10%">Unit</th>
                <th style="width:10%">Rate</th>
                <th style="width:10%">Amount</th>
                <th style="width:5%">Tax(%)</th>
                <th style="width:8%">Tax Amount</th>
                <!-- <th style="width:5%">Excise Tax(%)</th> -->
                <?php if ($have_discount == 'Y') { ?>
                    <th class="bg-danger text-center">Discount</th>
                <?php } ?>
                <th style="width:10%">Net</th>
                <th style="width:2%"><a class="btn btn-xs btn-theme " href="javascript:void(0);" onclick="addInvoiceTableRow($('#invoice_item_table'));"><i class="fa fa-plus"></i></a></th>
                </th>
            </tr>
            <?php
            foreach ($modelItems as $i => $modelItems) {
                if ($modelItems->unit > 0) {
                    $modelItems->unit_exchange = $modelItems->units->unit_exchange_rate;
                    $cost = StockLedger::getAvgPurchaseRate($modelItems->product_id, '', Yii::app()->user->outlet_id);
                    if ($modelItems->units->unit_exchange_rate > 0) {
                        $modelItems->unit_price = $modelItems->rate / $modelItems->units->unit_exchange_rate;
                        $modelItems->unit_cost = $cost / $modelItems->units->unit_exchange_rate;
                    }
                }
            ?>
                <tr>

                    <td>

                        <div class="info-block invoice-helper-new-<?php echo $i; ?>">

                            <?php echo $form->textField($modelItems, "[" . $i . "]part_no", array(
                                'class' => 'tooltipster go',
                                'oninput' => 'js:trackPasteEvent(this);',
                                'onkeydown' => 'js:handleEnterWithPaste(event, this);',
                                'onKeypress' => 'js:autoCompleteProduct(this.id);',
                                'value' => $modelItems->product->part_number
                            )); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]product_id"); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]unit_price"); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]unit_cost"); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]unit_exchange"); ?>
                            <?php echo $form->hiddenField($modelItems, "[" . $i . "]id"); ?>

                            <?php
                            if ($modelItems->product_id > 0) {

                                $qty = Yii::app()->db->createCommand("select SUM(quantity*U.unit_exchange_rate) from {{sales_invoice_items}} S INNER JOIN {{master_unit}} U ON S.unit=U.id where invoice_id='" . $model->id . "' AND product_id='" . $modelItems->product_id . "'")->queryScalar();


                                $qty_condt = " AND product_id = '{$modelItems->product_id}'  AND outlet = '" . Yii::app()->user->outlet_id . "'  AND created_by = '" . $model->sales_man . "'  ";
                                $in_qty_single = Yii::app()->db->createCommand(" SELECT IFNULL(SUM(quantity * unit_exchange_rate), 0)  FROM {{stock_ledger}} WHERE transaction_type = 'IN' $qty_condt ")->queryScalar();
                                $out_qty_single = Yii::app()->db->createCommand(" SELECT IFNULL(SUM(quantity * unit_exchange_rate), 0)  FROM {{stock_ledger}}  WHERE transaction_type = 'OUT' $qty_condt ")->queryScalar();
                                $base_qty = round($in_qty_single - $out_qty_single, 3);

                                $modelItems->base_qty = (float)$base_qty + (float)$qty;
                            }
                            echo $form->hiddenField($modelItems, "[" . $i . "]base_qty");
                            ?>

                            <?php   // if (Yii::app()->user->user_access_type !== 'SL') { 
                            ?>
                            <div class="info-btn" onclick="$('.info-table').hide();loadTable(this.id);" id="SalesInvoiceItems_<?php echo $i; ?>_helper" title="Previous Invoices"><i class="fa fa-info-circle" aria-hidden="true"></i></div>
                            <div class="info-table" id="SalesInvoiceItems_<?php echo $i; ?>_mini_table">
                                <span class="info-table-close" onclick="$('.info-table').hide()">
                                    <i class="fa fa-times-circle" aria-hidden="true"></i>
                                </span>
                                <div class="temp_div" id="data_of_<?php echo $i; ?>"> </div> 
                            </div>
                            <?php  // }  
                            ?>
                        </div>
                    </td>
                    <td>
                        <?php echo $form->textArea($modelItems, "[" . $i . "]description", array('class' => 'tooltipster desc go en-text-area'));  ?>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]quantity", array('class' => 'qty go cell-center text-right', 'onkeypress' => 'return isNumberKey(event)', 'onkeyup' => 'calculateInvoiceValue($("#invoice_item_table"),this.id)', 'onkeydown' => 'moveToNextCell(event, this)')); ?>
                    </td>
                    <td>
                        <div id=<?php echo "unitdiv_" . $i; ?>>
                            <?php
                            if ($modelItems->unit > 0) {
                                $units = MasUnit::getSimilarUnits($modelItems->unit);
                            } else {
                                $units = array();
                            }
                            echo $form->dropdownList($modelItems, "[" . $i . "]unit", $units, array('class' => 'qty go cell-center text-center', 'onchange' => 'getPriceOnUnitChange(this.id)')); ?>
                        </div>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]rate", array('class' => 'rate go text-right', 'onkeypress' => 'return isNumberKey(event);', 'onkeyup' => 'calculateInvoiceValue($("#invoice_item_table"),this.id)')); ?>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]amount", array('class' => 'rate go text-right', 'onkeypress' => 'return isNumberKey(event);', 'readonly' => true)); ?>
                    </td>
                    <td>
                        <input type="hidden" id="check_defult_product_tax_percentage_<?php echo $i; ?>" value="<?php echo $modelItems->product->taxDetails->tax_percentage; ?>" />

                        <?php echo $form->textField($modelItems, "[" . $i . "]tax_percentage", array('class' => 'amout go text-right', 'onkeypress' => 'return isNumberKey(event);', 'onkeyup' => 'calculateInvoiceValue($("#invoice_item_table"),thid.id)')); ?>
                    </td>
                    <td>
                        <?php echo $form->textField($modelItems, "[" . $i . "]tax_amount", array('class' => 'go cell-center text-right', 'readonly' => true)); ?>
                    </td>
                    <!-- <td>
                        <?php //echo $form->textField($modelItems, "[" . $i . "]excise_percentage", array('class' => 'amount go text-right','onkeypress' => 'return isNumberKey(event);','onkeyup' =>'calculateInvoiceValue($("#invoice_item_table"),this.id)')); 
                        ?>
                        <?php //echo $form->hiddenField($modelItems, "[" . $i . "]excise_amount", array('class' => 'go cell-center text-center')); 
                        ?>
                    </td> -->
                    <?php
                    $readonly_net_amt = false;
                    if ($have_discount == 'Y') {
                        $readonly_net_amt = true;
                    ?>
                        <td class="bg-danger nw">
                            <?php

                            $readonlyded = 'true';
                            //echo $form->textField($modelItems, "[" . $i . "]deduction_percentage", array('class' => 'txt-6 go  text-right', 'readonly' => $readonlyded)); 
                            ?>
                            <?php echo $form->textField($modelItems, "[" . $i . "]deduction_amount", array('class' => 'txt-6 go  text-right deductions', 'readonly' => true)); ?>
                        </td>
                    <?php } ?>
                    <td>
                        <?php


                        echo $form->textField($modelItems, "[" . $i . "]net_amount", array('class' => 'rate go text-right', 'readonly' => $readonly_net_amt, 'onkeypress' => 'return isNumberKey(event)', 'onkeyup' => 'calculateInvoiceValueReverse($("#invoice_item_table"))')); ?>
                    </td>
                    <td class="text-center nw" width="1%">
                        <?php echo CHtml::link('<i class="fa fa-times"></i>', 'javascript:void(0);', array('class' => 'btn btn-xs btn-danger', 'onclick' => 'removeTableRowInvoiceItem($(\'#invoice_item_table\'),this)', 'title' => 'Remove this item', 'id' => 'material_' . $i)); ?>
                    </td>
                </tr>
            <?php $total += $modelItems->net_amount;
                $total_tax += $modelItems->tax_amount;
                $total_excise += $modelItems->excise_amount;
                $total_tax = $total_tax + $total_excise;
            } ?>
        </table>
        <table class="table table-hover table-bordered table-nexted order_grand_total">
            <tr class="summary_tr bg-total">
                <td width="70%" class="text-right table_total_title">
                    <h3>VAT</h3>
                </td>
                <td width="30%" class="text-right table_total">
                    <h3 class="vat" class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency($total_tax, " "); ?>
                    </h3>
                </td>
            </tr>
            <?php if ($have_discount == 'Y') { ?>
                <td width="70%" class="text-right table_total_title">
                    <h2>Discount Amount</h2>
                </td>

                <td width="30%" class="text-right table_total bg-danger nw">
                    <div class="tex-ed-nw">
                        <?php //echo $form->textField($model, 'total_discount_percentage', array('class' => 'col-sm-3 form-control text-right', 'onkeyup' => 'calculateInvoiceTableDiscount($("#invoice_item_table"),this.id);', 'placeholder' => '')); 
                        ?>
                        <?php
                        echo $form->textField($model, 'total_discount_amount', array('class' => 'col-sm-3 form-control text-right', 'onkeypress' => 'return isNumberKey(event)', 'onkeyup' => 'calculateInvoiceTableDiscount($("#invoice_item_table"),this.id);', 'placeholder' => ''));
                        ?>
                    </div>
                </td>
            <?php } ?>
            <tr class="summary_tr bg-total">
                <td width="70%" class="text-right table_total_title">
                    <h1>Grand Total</h1>
                </td>
                <td width="30%" class="text-right table_total">
                    <h1 class="grandtotal" class="text-right"><?php echo Yii::app()->numberFormatter->formatCurrency(($total), " "); ?></h1>
                </td>
            </tr>
        </table>
    </div>
</div>


<script>
    $(document).ready(function() {
        calculateInvoiceValue($('#invoice_item_table')); // Recalculate invoice totals

    });
</script>
<?php if ($model->id > 0) {
    echo $form->hiddenField($model, 'received', array('data-label' => 'Received', 'value' => 0));
    echo $form->hiddenField($model, 'discount', array('data-label' => 'Discount', 'value' => 0));
    if ($model->discount > 0) {
        echo $form->hiddenField($model, 'old_discount', array('data-label' => 'Discount', 'value' => $model->discount));
    }
?>
    <ul class="clearfix form-ul material">
        <li class="col-sm-3">
            <input type="checkbox" id="print" name="print" data-label="Print">
        </li>
    </ul>
<?php
} else {
?>
    <ul class="clearfix form-ul material">
        <li class="col-sm-3">
            <?php echo $form->textField($model, 'received', array('data-label' => 'Received')); ?>
        </li>
        <li class="col-sm-3">
            <?php echo $form->textField($model, 'discount', array('data-label' => 'Receipt Discount')); ?>
        </li>
        <li class="col-sm-3">
            <input type="checkbox" id="print" name="print" data-label="Print">
        </li>
    </ul>
<?php } ?>




<script>
    let isPasted = false; // Flag to track if a paste event occurred

    function trackPasteEvent(inputElement) {
        // Triggered on any input change, sets the flag to true for paste detection
        isPasted = true;
    }

    function handleEnterWithPaste(event, inputElement) {
        if (event.key === 'Enter') {
            event.preventDefault(); // Prevent default form submission
            if (isPasted) {
                // If paste event occurred and Enter is pressed, call AJAX function
                autoLoadAjaxFunction(inputElement);
                isPasted = false; // Reset the flag after processing
            } else {
                // If no paste occurred, fall back to auto-complete logic
                autoCompleteProduct(inputElement.id);
            }
        }
    }


    function autoLoadAjaxFunction(inputElement) {
        // Parse input element's ID to extract row field
        var arr_fields = inputElement.id.split('_');
        var model_name = arr_fields[0];
        var row_field = arr_fields[1];

        var customer_id = $('#SalesInvoice_customer_id').val();
        var sales_man = $('#SalesInvoice_sales_man').val();

        if (customer_id > 0) {
            $.ajax({
                url: "<?php echo Yii::app()->createUrl('inventory/GetProductByBarcode'); ?>", // Generate and escape URL
                dataType: 'json',
                type: 'post',
                data: {
                    barcode: inputElement.value,
                    customer_id: customer_id,
                    sales_man: sales_man,
                    frm: 'SI'
                },
                success: function(response) {
                    //  console.log('AJAX response:', response);

                    if (response && response.value) {
                        var tax_val = 0;
                        var product_id = response.value;
                        var desc = response.description;
                        var unit_id = response.unit_id;
                        var tax = response.tax;
                        var excise = response.excise_tax;
                        var price = response.rate;
                        var cost = response.cost;
                        var unit = response.uom;
                        var unit_exchange = response.unit_exchange;
                        var unitprice = unit_exchange > 0 ? price / unit_exchange : 0;
                        var unitcost = unit_exchange > 0 ? cost / unit_exchange : 0;

                        // Populate the fields with the response data
                        $('#SalesInvoiceItems_' + row_field + '_description').val(desc);
                        $('#SalesInvoiceItems_' + row_field + '_unit').val(unit_id); // FOR SHOWING UNIT NAME
                        $('#SalesInvoiceItems_' + row_field + '_product_id').val(product_id);
                        $('#SalesInvoiceItems_' + row_field + '_part_no').val(response.part_number);
                        $('#SalesInvoiceItems_' + row_field + '_quantity').val(1);
                        $('#SalesInvoiceItems_' + row_field + '_rate').val(price);
                        $('#SalesInvoiceItems_' + row_field + '_unit_exchange').val(unit_exchange);
                        $('#SalesInvoiceItems_' + row_field + '_unit_price').val(unitprice);
                        $('#SalesInvoiceItems_' + row_field + '_unit_cost').val(unitcost);
                        $('#SalesInvoiceItems_' + row_field + '_base_qty').val(response.base_qty);
                        $('#SalesInvoiceItems_' + row_field + '_quantity').focus();

                        // ------------------------------------
                        $('#SalesInvoice_total_discount_amount').val(0.00);
                        var have_discount_id = $('#have_discount_id').val();
                        if (have_discount_id == 'Y') {
                            calculateInvoiceTableDiscount($('#invoice_item_table'), 'SalesInvoice_total_discount_amount');
                        }
                        // ------------------------------------

                        tax = Number(tax).toFixed(2);
                        $('#check_defult_product_tax_percentage_' + row_field).val(tax);

                        if (typeof invoice_type !== 'undefined' && invoice_type == 2) {
                            tax = 0;
                        }

                        excise = Number(excise).toFixed(2);
                        $('#SalesInvoiceItems_' + row_field + '_tax_percentage').val(tax);
                        $('#SalesInvoiceItems_' + row_field + '_excise_percentage').val(excise);

                        // Fetch similar units
                        $.ajax({
                            data: {
                                unit: unit,
                                row_field: row_field
                            },
                            dataType: 'json',
                            type: 'post',
                            url: "<?php echo Yii::app()->createUrl('Salesinvoice/getSimilarUnits'); ?>",
                            success: function(data) {
                                $('#unitdiv_' + row_field).html(data.unit);
                            }
                        });

                        calculateInvoiceValue($('#invoice_item_table'), 'SalesInvoiceItems_' + row_field + '_quantity'); // Recalculate invoice totals

                        addInvoiceTableRow($('#invoice_item_table')); // Add a new row for the next item

                        var next_line_id = parseInt(row_field) + 1; // Prepare for the next line ID
                    } else {
                        t8.error('Cannot find product!');
                    }
                },
                error: function(xhr, status, error) {
                    console.log('AJAX error:', error);
                }
            });

        } else {
            t8.error('Please Select Customer Before adding Items');
            $('#SalesInvoiceItems_' + row_field + '_part_no').val('');

        }
    }




    /* function autoCompleteProduct(inputId) {
         // Your autocomplete logic here
         console.log('Autocomplete called for input ID:', inputId);
     }*/
</script>


<script>
    function moveToNextCell(event, element) {

        if (event.key === "Enter") {
            event.preventDefault(); // Prevent default form submission
            addInvoiceTableRow($('#invoice_item_table'));
        }
    }
</script>


<?php
$cs = Yii::app()->getClientScript();

$cs->registerScript("addInvoiceTableRow", " function addInvoiceTableRow(jQtable) {
formId              =   jQtable.attr('id');
formIdStarter       =   jQtable.attr('id').split(/_(.+)?/)[0];

// let lastRow = jQtable.find('tr:last');

//     if (!lastRow.length) {
//         alert('No rows found in the table!');
//         return;
//     }

//     let lastInput = lastRow.find('input:first');
//     if (!lastInput.length) {
//         alert('No input found in the last row!');
//         return;
//     }

lastId = jQtable.find('tr:last input:first').attr('id');

thenum = lastId.match(/\d+/g);

newId = Number(thenum) + 1;

var date = $('#PurchasingOrderStockItem_'+thenum+'_expected_delivery_date').val();

newrow= jQtable.find('tr:last').clone();

newrow.find('label:first').html(newId+1);

newrow.attr('class',newId);

newrow.find('.hasDatepicker').removeClass('hasDatepicker');

newrow.find('.datetimepicker').siblings().remove();

newrow.find('.datetimepicker').datetimepicker( 'destroy' );

newrow.find('div,input,textarea,checkbox,select,.errorMessage').each(function() {

    this.id= this.id.replace(/\d+/,newId);

   if(!$(this).is(':checkbox'))

        this.value  = '';

    else

        $(this).prop('checked', false);

    (this.name!==undefined) ? this.name= this.name.replace(/\d+/,newId) : this.style  =   '';});

jQtable.append(newrow);


}", CClientScript::POS_HEAD);

$cs->registerScript("removeTableRowInvoiceItem", " function removeTableRowInvoiceItem(jQtable, evt) {
        formIdStarter = jQtable.attr('id').split(/_(.+)?/)[0];
        var num_rows = jQtable.find('tr:gt(0)').length;
        if(num_rows > 1) {
            var tr = $(evt).parent().parent();
            if(isRowEmpty(tr)) {
            
                amount = $(evt).parents('tr').find('[id$=\"_amount\"]').val();
                net_amount = $(evt).parents('tr').find('[id$=\"_net_amount\"]').val();
                tax_amount = $(evt).parents('tr').find('[id$=\"_tax_amount\"]').val();
                    
                gd_total =   $('.grandtotal').text();
                vat_total =   $('.vat').text();

                gd_total =   (Number(gd_total)-Number(net_amount)).toFixed(2);
                
                vat_total =   (Number(vat_total)-Number(tax_amount)).toFixed(2);

                $('.grandtotal').text(gd_total);
                
                $('.vat').text(vat_total);
               
                
                $(evt).parents('tr').remove();
                var i = 0;
    
                jQtable.find('tr:gt(0)').each(function() { 
                    $(this).find('input,select,checkbox,span,div,td,textarea,.errorMessage').each(function(){
                        if ($(this).attr('id')) {
                            old_id = $(this).attr('id');
                            // console.log('Old ID: ' + old_id);
                            new_id = old_id.replace(/\\d+/, i);
                            $(this).attr('id', new_id);
                        }
    
                        if ($(this).attr('name')) {
                            old_name = $(this).attr('name');
                            if(old_name !== undefined) {
                                new_name = old_name.replace(/\\d+/, i);
                                $(this).attr('name', new_name);
                            }
                        }
                    });
                    $(this).find('td:first label').html(++i);
                });   
            } else {
                alert('At least one item needed here');
            }
        } else {
            alert('At least one item needed here');
        }
    }", CClientScript::POS_HEAD);


$cs->registerScript("calculateInvoiceTableDiscount", " function calculateInvoiceTableDiscount(jQtable,from) {             
   
      var arr_fields= from.split('_');
        var model_name   = arr_fields[0];
        var index  = arr_fields[1];

    //formIdStarter =   jQtable.attr('id').split(/_(.+)?/)[0];
    var count,qty,rate,amount,add_ded,discount,net,count_hash;
    var total = grand_total = 0;
    var total_discount_amount = $('#SalesInvoice_total_discount_amount').val();
    jQtable.find('tr:gt(0)').each(function() {       
        amount    =   $(this).find('[id $=_amount]').val();      
        tax_amount    =   $(this).find('[id $=_tax_amount]').val();      
        grand_total += Number(amount) + Number(tax_amount);
  
    });

    jQtable.find('tr:gt(0)').each(function() {
        var model_id=this.id;
        var arr_fields= model_id.split('_');
        var row_field=arr_fields[1];
        net  = 0;
        qtn_qty     =   $(this).find('[id $=_quantity]').val();
        qtn_rate    =   $(this).find('[id $=_rate]').val();      
        amount    =   $(this).find('[id $=_amount]').val();      
        tax_amount    =   $(this).find('[id $=_tax_amount]').val();      
        qtn_rate    =   $(this).find('[id $=_rate]').val();      
      //  net_amount    =   $(this).find('[id $=_net_amount]').val();
        qtn_amount  =   Number(qtn_qty) * Number(qtn_rate);
        item_discount = 0;
        var amount    =   $(this).find('[id $=_amount]').val();      
        var tax_amount    =   $(this).find('[id $=_tax_amount]').val(); 
        var net_amount = Number(amount)+ Number(tax_amount);
      
       if (!isNaN(total_discount_amount) && Number(total_discount_amount) >= 0) {           
               
            deduction_amount =  (Number(total_discount_amount)/ Number(grand_total)) * Number(net_amount);            
            deduction_amount = isNaN(deduction_amount) ? 0 : deduction_amount;
            $(this).find('[id $=_deduction_amount]').val(Number(deduction_amount).toFixed(2)); 
            calculateInvoiceValue($('#invoice_item_table'), '','percamt');// Recalculate invoice totals
        }
        else{        
            $(this).find('[id $=_deduction_amount]').val(Number(0).toFixed(2));
        }
  
    });


}", CClientScript::POS_HEAD);



$cs->registerScript("loadTable", "function loadTable(field_id){

    var arr_field_id = field_id.split('_');
    var row_id   =  arr_field_id[1];
    var product_id = $('#SalesInvoiceItems_'+row_id+'_product_id').val();
    var customer_id = $('#SalesInvoice_customer_id').val();
    var sales_man = $('#SalesInvoice_sales_man').val();
    $('.temp_div').empty();   
    if(customer_id > 0 && product_id > 0  && sales_man > 0){
             jQuery.ajax({
                'data' :{'customer_id':customer_id,'product_id':product_id,'sales_man':sales_man},
                'dataType' : 'json',
                'type':'post',
                'url': '" . Yii::app()->createUrl('salesinvoice/GetItemHistoryNew') . "',
                'success': function(data) {
                        //  $('#data_of_'+row_id).html(data.table);
                           $('#data_of_' + row_id).html(data.list); // The 'list' key holds the plain text
                           $('#SalesInvoiceItems_'+row_id+'_mini_table').show();
                }
            });
    }else{
            if(customer_id == ''){
                t8.error('Choose a Customer!');
            }
            if(product_id == ''){
                 t8.error('Choose an Item!');
            }
            if(sales_man == ''){
                 t8.error('Choose an Salesman!');
            }
             $('#SalesInvoiceItems_'+row_id+'_mini_table').hide();
             $('.temp_div').empty();
    }
};", CClientScript::POS_HEAD);



$cs->registerScript("calculateInvoiceValue", " function calculateInvoiceValue(jQtable,from='',percfrom='') { 
      

        var arr_fields= from.split('_');
        var model_name   = arr_fields[0];
        var index  = arr_fields[1];
                
        var invoice_type = $('#SalesInvoice_invoice_type').val();
        
        formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
        var count,qty,rate,amount,net_amount,discount,costrate,unit_exchange,unitprice,unit_cost;
        var total   =   0;
        var grand_total =   0;
        var vat_total = 0;
        var net_amount = 0;
        jQtable.find('tr:gt(0)').each(function() {
          var row_id     = $(this).find('[id $=_id]').attr('id').split('_')[1];          
           // Only process the  index          
            net_amount = 0;  discount = 0;
            unit_cost        = $('#SalesInvoiceItems_'+row_id+'_unit_cost').val(); 
            base_qty         = $('#SalesInvoiceItems_'+row_id+'_base_qty').val();             
            unit_exchange    = $('#SalesInvoiceItems_'+row_id+'_unit_exchange').val(); 
            rate             = $(this).find('[id $=_rate]').val();
            qty              = $('#SalesInvoiceItems_'+row_id+'_quantity').val(); 
            var have_discount_id =  $('#have_discount_id').val(); 

           
            let deduction_amount = $('#SalesInvoiceItems_' + row_id + '_deduction_amount').val();
            deduction_amount = deduction_amount ? parseFloat(deduction_amount) || 0 : 0;
            



            if(unit_exchange>0)
                unitprice = (Number(rate)/Number(unit_exchange)).toFixed(2);
            else
                unitprice =0;
             // -------------------------------------            
            if(Number(qty) > Number(base_qty)){
                $('#SalesInvoiceItems_'+row_id+'_quantity').addClass('bg-danger');                    
            }else{
                $('#SalesInvoiceItems_'+row_id+'_quantity').removeClass('bg-danger');
            }                
             // -------------------------------------          
            
            amount  =   (Number(rate)*Number(qty)).toFixed(2);
            total   =   Number(total)+Number(amount);
            if(amount > 0){
               if(invoice_type==2){ //non tax
                 var tax_per = 0;
               }else{
                var tax_per =   $('#check_defult_product_tax_percentage_'+row_id).val();
               }      
                var tax_amount  = 0;
                if(tax_per > 0){
                    if(invoice_type==2){ //non tax
                         tax_amount = 0;
                    }else{
                         tax_amount = (amount*tax_per)/100;
                    }
                }else{
                    tax_amount = 0;
                }
                tax_amount = Number(tax_amount).toFixed(2);
               
                var excise_per =   $('#SalesInvoiceItems_'+row_id+'_excise_percentage').val(); 
                var excise_amount  = 0;
                if(excise_per > 0){
                    excise_amount = (amount*excise_per)/100;
                }else{
                    excise_amount = 0;
                }
                excise_amount = Number(excise_amount).toFixed(2);
                net_amount=Number(Number(amount)+Number(tax_amount)+Number(excise_amount)-Number(deduction_amount)).toFixed(2);
                // ----------------------------------

                
                if(have_discount_id =='Y'){
                    if(percfrom=='percamt'){ 
                        $('#SalesInvoiceItems_'+row_id+'_net_amount').val(Number(net_amount).toFixed(2));
                    }
                }

                // ----------------------------------
                grand_total += Number(net_amount);
                vat_total += Number(tax_amount);       
               
                    if (row_id !== index) {    
                        return;
                    }else{
                        $('#SalesInvoiceItems_'+row_id+'_unit_price').val(Number(unitprice).toFixed(2));
                        if(invoice_type==2){ //non tax
                            $('#SalesInvoiceItems_'+row_id+'_tax_percentage').val(Number(0).toFixed(2));
                            var tax_per = 0;
                        }else{
                            var tax_per =   $('#check_defult_product_tax_percentage_'+row_id).val();
                            $('#SalesInvoiceItems_'+row_id+'_tax_percentage').val(Number(tax_per).toFixed(2));
                        }

                        $('#SalesInvoiceItems_'+row_id+'_amount').val(Number(amount).toFixed(2));
                        $('#SalesInvoiceItems_'+row_id+'_tax_amount').val(Number(tax_amount).toFixed(2));
                        $('#SalesInvoiceItems_'+row_id+'_excise_amount').val(Number(excise_amount).toFixed(2));
                        $('#SalesInvoiceItems_'+row_id+'_net_amount').val(Number(net_amount).toFixed(2));

                    }                 

            } 
            else {  
            
                $('#SalesInvoiceItems_'+row_id+'_amount').val(Number(0).toFixed(2));
                $('#SalesInvoiceItems_'+row_id+'_tax_amount').val(Number(0).toFixed(2));
                $('#SalesInvoiceItems_'+row_id+'_excise_amount').val(Number(0).toFixed(2));
                $('#SalesInvoiceItems_'+row_id+'_net_amount').val(Number(0).toFixed(2));
                $('#SalesInvoiceItems_'+row_id+'_deduction_amount').val(Number(0).toFixed(2));
                $('#SalesInvoiceItems_'+row_id+'_deduction_percentage').val(Number(0).toFixed(2));               
                
                }
            if($('#SalesInvoice_consider_sp_not_less_cp').val()=='Y'){
            
                if(Number(unitprice)<Number(unit_cost)){
                    //t8.info('Amount Less than Cost Price');
                     $('#SalesInvoiceItems_'+row_id+'_rate').addClass('bg-danger');
                }else{
                 $('#SalesInvoiceItems_'+row_id+'_rate').removeClass('bg-danger');
                }
            }
            
        });
    
        $('.total').html(Number(total).toFixed(2));
        $('.grandtotal').html(Number(grand_total).toFixed(2));
        $('.vat').html(Number(vat_total).toFixed(2));
    }
        

    function calculateInvoiceValueReverse(jQtable) {
            formIdStarter   =   jQtable.attr('id').split(/_(.+)?/)[0];
            var count,qty,rate,amount,net_amount,discount,costrate;
            var total   =   0;
            var grand_total =   0;
            var vat_total = 0;
            var net_amount = 0;
            jQtable.find('tr:gt(0)').each(function() {
                rate = 0;  discount = 0;amount = 0;
                net_amount = $(this).find('[id $=_net_amount]').val();
                qty =   $(this).find('[id $=_quantity]').val();
                if(net_amount >= 0 && qty>0){
                    var field_id = $(this).find('[id $=_tax_percentage]').attr('id');
                    var arr_fields= field_id.split('_');
                    var model_name   = arr_fields[0];
                    var row_field  = arr_fields[1];
                    var tax_per =  $(this).find('[id $=_tax_percentage]').val();
                    var excise_per =  $(this).find('[id $=_excise_percentage]').val();
                    var tax_amount  = 0;var excise_amount  = 0;
                    var percentg =100;
                    if(tax_per > 0){
                        percentg+=Number(tax_per);
                    }
                    if(excise_per > 0){
                        percentg+=Number(excise_per);
                    }
                    amount = ( net_amount * 100 ) / percentg;
                    amount = Number(amount).toFixed(2);
                    if(qty>0){
                        rate =  (Number(amount)/Number(qty)).toFixed(2);
                    }else{
                        rate = 0;
                    }
                    unit_exchange = $(this).find('[id $=_unit_exchange]').val();
                    if(unit_exchange>0)
                        unitprice =(Number(rate)/Number(unit_exchange)).toFixed(2);
                    else
                        unitprice =0;
                    $(this).find('[id $=_unit_price]').val(unitprice);
                    if(tax_per > 0){
                        tax_amount = ( amount * tax_per ) / 100;
                        tax_amount = Number(tax_amount).toFixed(2);
                    }
                    $(this).find('[id $=_tax_amount]').val(tax_amount);
                    if(excise_per > 0){
                        excise_amount = (amount*excise_per)/100;
                    }else{
                        excise_amount = 0;
                    }
                    excise_amount = Number(excise_amount).toFixed(2);
                    $(this).find('[id $=_excise_amount]').val(excise_amount);
                    $('#SalesInvoiceItems_'+row_field+'_amount').val(Number(amount).toFixed(2));
                    $('#SalesInvoiceItems_'+row_field+'_rate').val(Number(rate).toFixed(2));
                    
                    grand_total += Number(net_amount);
                    vat_total += Number(tax_amount);
                } 
                else { 
                    $(this).find('[id $=_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_tax_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_excise_amount]').val(Number(0).toFixed(2));
                    $(this).find('[id $=_net_amount]').val(Number(0).toFixed(2));    
                    }
            });
            $('.total').html(Number(total).toFixed(2));
            $('.grandtotal').html(Number(grand_total).toFixed(2));
            $('.vat').html(Number(vat_total).toFixed(2));
    }
    function getPriceOnUnitChange(id){
        var unit_id =$('#'+id).val();
        jQuery.ajax({
                'data' :{'unit':unit_id},
                'dataType' : 'json',
                'type':'post',
                'url': '" . Yii::app()->createUrl('Masunit/getUnitExchangeRate') . "',
                'success': function(data) {
                    var arr_fields= id.split('_');
                    var row_field  = arr_fields[1];
                    var exchang=Number(data.unit_exchange).toFixed(2);
                    $('#SalesInvoiceItems_'+row_field+'_unit_exchange').val(exchang);
                    var unitprice = $('#SalesInvoiceItems_'+row_field+'_unit_price').val();
                    var rate = Number(exchang*unitprice).toFixed(2);
                    $('#SalesInvoiceItems_'+row_field+'_rate').val(rate); 
                    calculateInvoiceValue($('#invoice_item_table'), 'SalesInvoiceItems_'+row_field+'_quantity');// Recalculate invoice totals

                }
            });
    }
        ", CClientScript::POS_HEAD);
$cs->registerScript("autoCompleteProduct", "function autoCompleteProduct(field_id)
{
    var customer_id =$('#SalesInvoice_customer_id').val();
    var sales_man =$('#SalesInvoice_sales_man').val();
      var invoice_type = $('#SalesInvoice_invoice_type').val();
    if(customer_id>0){
var url = '" . Yii::app()->createUrl('inventory/GetProducts') . "' + 
          '&frm=SI' + 
          '&customer_id=' + encodeURIComponent(customer_id) + 
          '&sales_man=' + encodeURIComponent(sales_man);
        $('#'+field_id).autocomplete({
            minLength   : 1,
            source      : function (request, response) { autoCompleteSource(request, response,url) },
            focus       : function( event, ui ) { $(this).val((ui.item.label)); return false;},
            select          : function( event, ui ) {
                event.preventDefault();
                trigger_target_id   =   $(event.target).attr('id');
                var tax_val = 0;
                var product_id=ui.item.value;
                var desc=ui.item.description;
                var unit_id=ui.item.unit_id;
                var tax = ui.item.tax;
                var excise = ui.item.excise_tax;
                var price = ui.item.rate;
                var cost = ui.item.cost;
                var unit = ui.item.uom;
                var unit_exchange =ui.item.unit_exchange;
                if(unit_exchange>0){
                    var unitprice =price/unit_exchange;
                    var unitcost =cost/unit_exchange;
                }
                else{
                    var unitprice =0;
                    var unitcost = 0;
                }
                var arr_fields= field_id.split('_');
                var model_name   = arr_fields[0];
                var row_field  = arr_fields[1];
                $('#SalesInvoiceItems_'+row_field+'_description').val(desc);
                $('#SalesInvoiceItems_'+row_field+'_unit').val(unit_id); //FOR SHOWING UNIT NAME
                $('#SalesInvoiceItems_'+row_field+'_product_id').val(product_id);
                $('#SalesInvoiceItems_'+row_field+'_part_no').val(ui.item.part_number);
                $('#SalesInvoiceItems_'+row_field+'_quantity').val(1);
                $('#SalesInvoiceItems_'+row_field+'_rate').val(price);
                $('#SalesInvoiceItems_'+row_field+'_unit_exchange').val(unit_exchange);
                $('#SalesInvoiceItems_'+row_field+'_unit_price').val(unitprice);
                $('#SalesInvoiceItems_'+row_field+'_unit_cost').val(unitcost);
                $('#SalesInvoiceItems_'+row_field+'_base_qty').val( ui.item.base_qty);
                $('#SalesInvoiceItems_'+row_field+'_base_qty').val( ui.item.base_qty);
                $('#SalesInvoiceItems_'+row_field+'_deduction_percentage').val(0);
                $('#SalesInvoiceItems_'+row_field+'_deduction_amount').val(0);
                $('#SalesInvoiceItems_'+row_field+'_quantity').focus();
                // ------------------------------------
                $('#SalesInvoice_total_discount_amount').val(0.00);
                var have_discount_id =  $('#have_discount_id').val();                
                if(have_discount_id =='Y'){
                    calculateInvoiceTableDiscount($('#invoice_item_table'), 'SalesInvoice_total_discount_amount');
                }
                // ------------------------------------
                tax = Number(tax).toFixed(2);
                 $('#check_defult_product_tax_percentage_'+row_field).val(tax);
                if(invoice_type==2){
                     tax =0;
                }
                excise = Number(excise).toFixed(2);
                $('#SalesInvoiceItems_'+row_field+'_tax_percentage').val(tax);
                $('#SalesInvoiceItems_'+row_field+'_excise_percentage').val(excise);
                jQuery.ajax({
                    'data' :{'unit':unit,'row_field':row_field},
                    'dataType' : 'json',
                    'type':'post',
                    'url': '" . Yii::app()->createUrl('Salesinvoice/getSimilarUnits') . "',
                    'success': function(data) {
                        $('#unitdiv_'+row_field).html(data.unit);
                    }
                });

                calculateInvoiceValue($('#invoice_item_table'), 'SalesInvoiceItems_'+row_field+'_quantity');

                addInvoiceTableRow($('#invoice_item_table'));
                var next_line_id=parseInt(row_field)+1;
                // $('#SalesInvoiceItems_'+next_line_id+'_quantity').focus();
                
                
            }
        });
    }else{
        t8.error('Please Select Customer Before adding Items');
        $('#SalesInvoiceItems_0_part_no').val('');
        return false;
    }
}", CClientScript::POS_HEAD);
