<ul class="clearfix form-ul material">

<li class="col-sm-3">
    <?php 
        $outlet_id=(int)Yii::app()->user->outlet_id;
        if($outlet_id>0){
            $mod_mas_outlet = MasOutlets::model()->findByPk($outlet_id);
            $model->consider_sp_not_less_cp=$mod_mas_outlet->consider_sp_not_less_cp;
            $model->consider_previous_sprice=$mod_mas_outlet->consider_previous_sprice;
        }
        $arr_sales_man=MasUsers::get_outlet_salesandadmin($outlet_id);
        echo $form->hiddenField($model, 'consider_sp_not_less_cp'); 
        echo $form->hiddenField($model, 'order_collect_id'); 
        echo $form->hiddenField($model, 'consider_previous_sprice'); 
        echo $form->hiddenField($model, 'id'); 
        echo $form->hiddenField($model, 'invoice_no'); 
        echo $form->textField($model, 'customer_name', array('class' => '', 'onKeyup' => 'js:autoCompleteInvoiceCustomer(this.id);', 'data-label'=>'Customer <span style="color:red;">*</span>','value' =>$model->customer->customer_name));
        echo $form->hiddenField($model, 'customer_id'); 
        echo $form->hiddenField($model, 'currency',array('value'=>1,'data-label' => 'Currency <span style="color:red;">*</span>'));
        echo $form->hiddenField($model, 'exchange_rate', array('value'=>1,'data-label' => 'Exchange Rate <span style="color:red;">*</span>'));
    ?>
    </li>
    <?php
    $invoice_date=date('d/m/Y');
    if($model->id>0)
    {
        $arr_sales_man=MasUsers::get_outlet_salesandadmin($outlet_id,$model->sales_man);
        if($model->invoice_date!='0000-00-00')
        {
            $invoice_date=date('d/m/Y',strtotime($model->invoice_date));    
        }    
    }
    if(!($model->sales_man>0)){
        $model->sales_man=Yii::app()->user->id;
    }
    ?>
    <li class="col-sm-2">
        <?php echo $form->textField($model, 'invoice_date', array('data-label' => 'Invoice Date <span style="color:red;">*</span>', 'class' => 'datepicker','value'=>$invoice_date)); ?>
    </li>
    <li class="col-sm-2">
        <?php echo $form->textField($model, 'reference_no', array('data-label' => 'Reference No ')); ?>
    </li>
    <li class="col-sm-2">
        <?php echo $form->dropdownList($model, 'payment_term', MasPaymentTerms::getActivePaymentTerms(), array('data-label' => 'Payment Term <span style="color:red;">*</span>')); ?>
    </li>
    <!--<li class="col-sm-2">-->
        <?php //echo $form->dropdownList($model, 'taxable',array('N'=>'No','Y'=>'Yes'), array('data-label' => 'Taxable <span style="color:red;">*</span>')); ?>
    <!--</li>-->
    <li class="col-sm-3">
        <?php echo $form->dropdownList($model, 'sales_man',$arr_sales_man, array('onChange' => 'clearitemTableInputs(this.value);','data-label'=>'By <span style="color:red;">*</span>')); ?>
    </li>
    
    <li class="col-sm-3">
        <?php
           $disabledtax = false;
        if($model->id>0){
            $disabledtax = true;
             echo $form->hiddenField($model, 'invoice_type'); 
            
        }
            $arrayinv_type = array('1' => 'Taxable', '2' => 'Export'); // Tax Invoice (default) / Export Invoice - non-tax
            echo $form->dropdownList($model, 'invoice_type', $arrayinv_type, array('disabled'=>$disabledtax,'data-label' => 'Invoice Type <span style="color:red;">*</span>', 'onchange' => 'calculateInvoiceValue($(\'#invoice_item_table\'));'));
        ?>
   </li>

    <li class="col-sm-6">
        <?php echo $form->textArea($model, 'notes', array('data-label' => 'Notes')); ?>
    </li>
</ul>
<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;


$cs->registerScript("clearitemTableInputs", "function clearitemTableInputs(salesman_id) { 
      if($('#SalesInvoiceItems_0_product_id').val() > 0){
      var r = confirm('Are you sure you want to change Salesman? If you change Salesman, the Details Tab table content will be lose');
	        if(r==true)
	        {
              $('#invoice_item_table').find(':input').each(function() {
                            $(this).val('');
                     });
	        }
	        
      }
      else{
          $('#hid_from_warehouse_id').val(warehouse_id);
      }

  }", CClientScript::POS_HEAD);
  
  
$cs->registerScript("autoCompleteInvoiceCustomer", "function autoCompleteInvoiceCustomer(field_id){
    var url = '" . Yii::app()->createUrl('Customer/GetCustomerDetails') . "'+'&frm=SI';
    $('#'+field_id).autocomplete({
        minLength : 1,
        source : function (request, response) {
            autoCompleteSource(request, response,url)
        },
        focus : function( event, ui ) {
            $(this).val((ui.item.label)); return false;
        },
        select : function( event, ui ) {
            event.preventDefault();
            trigger_target_id = $(event.target).attr('id');
            var customer_id=ui.item.value;
            var payment_term = ui.item.payment_term;
            $('#SalesInvoice_customer_id').val(customer_id);
            $('#SalesInvoice_payment_term').multiselect('select', payment_term);
            // $('#SalesInvoice_exchange_rate').val(1);
            // $('#SalesInvoice_exchange_rate').addClass('filled');
        } 
    }) 
}", CClientScript::POS_HEAD);