<?php

$cs = Yii::app()->getClientScript();

$baseUrl = Yii::app()->baseUrl;

$form = $this->beginWidget('CActiveForm', array(
    'id' => 'upload-price-list-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ));



?>
         

<div class="row">
<ul class="clearfix form-ul material">
    <li class="col-sm-6">
        <?php 
        $existing_pricing_group_file_name='';
        $readonly=false;
        if((int) $model->id > 0){
            $existing_pricing_group_file_name = $model->pricing_group_file_name;
            $model->pricing_group_file_name='';
            $model->end_date = date('d/m/Y',strtotime($model->end_date));
            $model->start_date = date('d/m/Y',strtotime($model->start_date));
            $readonly=true;
        }
        
        echo $form->hiddenField($model, 'id');?>
		<?php echo $form->hiddenField($model,'pricing_group_file_name');?>
        <?php echo $form->textField($model, 'pricing_group_name', array('class' => 'tooltipster', 'title' => 'Pricing Group Name', 'data-label' => 'Pricing Group Name <span style="color:red;">*</span>')); ?>
    
    </li>
     <li class="col-sm-3">
        <?php echo $form->textField($model, 'start_date', array('class' => 'datepicker', 'title' => 'Start Date', 'data-label' => 'Start Date <span style="color:red;">*</span>','readonly'=>$readonly)); ?>
    
    </li>
     <li class="col-sm-3">
        <?php echo $form->textField($model, 'end_date', array('class' => 'datepicker', 'title' => 'End Date', 'data-label' => 'End Date <span style="color:red;">*</span>','readonly'=>$readonly)); ?>
    
    </li>
    <li class="col-sm-3">
        Document <span style="color:red;">*</span>
                  
    
                    <?php
                        $allowedExtensions = array("csv");
                        $this->widget('ext.EAjaxUpload.EAjaxUpload', array(
                            'id' => rand(),
                            'config' => array(
                                'action' => Yii::app()->createUrl(Yii::app()->controller->id . '/upload',
                                    array('folder' => 'upload/pricelist')),
                                'multiple' => false,
                                'allowedExtensions' => $allowedExtensions,
                                'sizeLimit' => 8 * 1024 * 1024,
                                'onStart' => "js:function(){}",
                                'class' => 'pull-right',
                                'onComplete' => "js:function(id, fileName, responseJSON){
                                     $('#SalesPriceGroupName_pricing_group_file_name').val(responseJSON.filename);
                                    $('.qq-upload-list').html(responseJSON.filename);
                                }",
                                )));
                    ?>
                    
                     <div class="icon_images">
            <input type="hidden" id="uploadfile" />
          <?php  /*if ($existing_pricing_group_file_name!=''){
              echo '<a href ="'.Yii::app()->createUrl("/salespricinggroup/DownloadPriceList").'&filename='.$existing_pricing_group_file_name.' " class="btn btn-primary btn-xs">
                        <i class="fa fa-download" title="Download Existing File"></i></a> ';
                       echo $existing_pricing_group_file_name;
                    ?>
                  
          <?php  }*/?>
        </div>
                      
       
    </li>
     <li class="col-sm-3">
        <?php echo CHtml::link("<i class='fa fa-download'></i> Download Format", Yii::app()->createUrl('salespricinggroup/downloadsalespricelist&id='.(int) $model->id),array('class'=>'btn btn-link')); ?>
     </li>
     
     
     
</ul>
</div>
<div class="modal-footer">
         <button type="button" class="btn btn-danger" data-dismiss="modal" id="btn_price_close">Close</button>        
     
        <?php
               $url = Yii::app()->createUrl('salespricinggroup/SavePricingGroup');
                echo CHtml::ajaxSubmitButton('Save', $url, array(
                            'dataType' => 'json',
                            'type' => 'post',
                            'success' => 'function(data) {
                             $("#loader").hide();
                                var id= data.id;
                                if(data.status=="success"){  
                                    t8.success("Upload Successfully!");
                                     $("#btn_price_close").click();
                                    reloadTable("#tbl_price_group_name");
                                } else { 
                                     $.each(data, function(key, val) {
                                            $("#upload-price-list-form #"+key+"_em_").text(val).show(); 
                                            t8.error(""+val+""); 
                                        }); 
                                } 
                            }',
                            'beforeSend' => 'function(){
                                
                                var file                = $("#SalesPriceGroupName_pricing_group_file_name").val();
                                var pricing_group_name  = $("#SalesPriceGroupName_pricing_group_name").val();
                                if(pricing_group_name==""){
                                    t8.error("Please enter Group Name"); 
                                    return false;
                                }
                                else if($("#SalesPriceGroupName_start_date").val()==""){
                                    t8.error("Please enter Start Date"); 
                                    return false;
                                }
                                else if($("#SalesPriceGroupName_end_date").val()==""){
                                    t8.error("Please enter End Date"); 
                                    return false;
                                }
                                else if(file==""){
                                    t8.error("Please Upload a csv file"); 
                                    return false;
                                }
                                
                                $("#loader").show();

                                $("#upload-price-list-form .enquiry-save-btn").prop("disabled", true);
                                
                                $("#upload-price-list-form .enquiry-save-btn").addClass("btn_loding").removeClass("btn btn-theme"); $(".errorMessage").hide();
                            }',
                            'complete' => 'function(){
                                $("#upload-price-list-form .enquiry-save-btn").prop("disabled", false);
                                $("#upload-price-list-form .enquiry-save-btn").addClass("btn btn-theme").removeClass("btn_loading");
                            }'
                                
                    ), array('id' => 'mybtn' . rand(), 'class' => 'enquiry-save-btn btn btn-theme'));
          
    ?>
             <?php //} ?>   
    </div>


<?php $this->endWidget(); ?>
<style>
    .required{
        display: none !important;
    }
    </style>